#ifdef GET_RISCVVIntrinsicsTable_DECL
const RISCVVIntrinsicInfo *getRISCVVIntrinsicInfo(unsigned IntrinsicID);
#endif

#ifdef GET_RISCVVIntrinsicsTable_IMPL
constexpr RISCVVIntrinsicInfo RISCVVIntrinsicsTable[] = {
  { Intrinsic::riscv_vaadd, 0x2 }, // 0
  { Intrinsic::riscv_vaadd_mask, 0x3 }, // 1
  { Intrinsic::riscv_vaaddu, 0x2 }, // 2
  { Intrinsic::riscv_vaaddu_mask, 0x3 }, // 3
  { Intrinsic::riscv_vadc, 0x2 }, // 4
  { Intrinsic::riscv_vadd, 0x2 }, // 5
  { Intrinsic::riscv_vadd_mask, 0x3 }, // 6
  { Intrinsic::riscv_vamoadd, 0x0 }, // 7
  { Intrinsic::riscv_vamoadd_mask, 0x0 }, // 8
  { Intrinsic::riscv_vamoand, 0x0 }, // 9
  { Intrinsic::riscv_vamoand_mask, 0x0 }, // 10
  { Intrinsic::riscv_vamomax, 0x0 }, // 11
  { Intrinsic::riscv_vamomax_mask, 0x0 }, // 12
  { Intrinsic::riscv_vamomaxu, 0x0 }, // 13
  { Intrinsic::riscv_vamomaxu_mask, 0x0 }, // 14
  { Intrinsic::riscv_vamomin, 0x0 }, // 15
  { Intrinsic::riscv_vamomin_mask, 0x0 }, // 16
  { Intrinsic::riscv_vamominu, 0x0 }, // 17
  { Intrinsic::riscv_vamominu_mask, 0x0 }, // 18
  { Intrinsic::riscv_vamoor, 0x0 }, // 19
  { Intrinsic::riscv_vamoor_mask, 0x0 }, // 20
  { Intrinsic::riscv_vamoswap, 0x0 }, // 21
  { Intrinsic::riscv_vamoswap_mask, 0x0 }, // 22
  { Intrinsic::riscv_vamoxor, 0x0 }, // 23
  { Intrinsic::riscv_vamoxor_mask, 0x0 }, // 24
  { Intrinsic::riscv_vand, 0x2 }, // 25
  { Intrinsic::riscv_vand_mask, 0x3 }, // 26
  { Intrinsic::riscv_vasub, 0x2 }, // 27
  { Intrinsic::riscv_vasub_mask, 0x3 }, // 28
  { Intrinsic::riscv_vasubu, 0x2 }, // 29
  { Intrinsic::riscv_vasubu_mask, 0x3 }, // 30
  { Intrinsic::riscv_vcompress, 0x0 }, // 31
  { Intrinsic::riscv_vdiv, 0x2 }, // 32
  { Intrinsic::riscv_vdiv_mask, 0x3 }, // 33
  { Intrinsic::riscv_vdivu, 0x2 }, // 34
  { Intrinsic::riscv_vdivu_mask, 0x3 }, // 35
  { Intrinsic::riscv_vfadd, 0x2 }, // 36
  { Intrinsic::riscv_vfadd_mask, 0x3 }, // 37
  { Intrinsic::riscv_vfclass, 0x0 }, // 38
  { Intrinsic::riscv_vfclass_mask, 0x0 }, // 39
  { Intrinsic::riscv_vfcvt_f_x_v, 0x0 }, // 40
  { Intrinsic::riscv_vfcvt_f_x_v_mask, 0x0 }, // 41
  { Intrinsic::riscv_vfcvt_f_xu_v, 0x0 }, // 42
  { Intrinsic::riscv_vfcvt_f_xu_v_mask, 0x0 }, // 43
  { Intrinsic::riscv_vfcvt_rtz_x_f_v, 0x0 }, // 44
  { Intrinsic::riscv_vfcvt_rtz_x_f_v_mask, 0x0 }, // 45
  { Intrinsic::riscv_vfcvt_rtz_xu_f_v, 0x0 }, // 46
  { Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask, 0x0 }, // 47
  { Intrinsic::riscv_vfcvt_x_f_v, 0x0 }, // 48
  { Intrinsic::riscv_vfcvt_x_f_v_mask, 0x0 }, // 49
  { Intrinsic::riscv_vfcvt_xu_f_v, 0x0 }, // 50
  { Intrinsic::riscv_vfcvt_xu_f_v_mask, 0x0 }, // 51
  { Intrinsic::riscv_vfdiv, 0x2 }, // 52
  { Intrinsic::riscv_vfdiv_mask, 0x3 }, // 53
  { Intrinsic::riscv_vfirst, 0x0 }, // 54
  { Intrinsic::riscv_vfirst_mask, 0x0 }, // 55
  { Intrinsic::riscv_vfmacc, 0x2 }, // 56
  { Intrinsic::riscv_vfmacc_mask, 0x2 }, // 57
  { Intrinsic::riscv_vfmadd, 0x2 }, // 58
  { Intrinsic::riscv_vfmadd_mask, 0x2 }, // 59
  { Intrinsic::riscv_vfmax, 0x2 }, // 60
  { Intrinsic::riscv_vfmax_mask, 0x3 }, // 61
  { Intrinsic::riscv_vfmerge, 0x2 }, // 62
  { Intrinsic::riscv_vfmin, 0x2 }, // 63
  { Intrinsic::riscv_vfmin_mask, 0x3 }, // 64
  { Intrinsic::riscv_vfmsac, 0x2 }, // 65
  { Intrinsic::riscv_vfmsac_mask, 0x2 }, // 66
  { Intrinsic::riscv_vfmsub, 0x2 }, // 67
  { Intrinsic::riscv_vfmsub_mask, 0x2 }, // 68
  { Intrinsic::riscv_vfmul, 0x2 }, // 69
  { Intrinsic::riscv_vfmul_mask, 0x3 }, // 70
  { Intrinsic::riscv_vfmv_f_s, 0x0 }, // 71
  { Intrinsic::riscv_vfmv_s_f, 0x0 }, // 72
  { Intrinsic::riscv_vfmv_v_f, 0x0 }, // 73
  { Intrinsic::riscv_vfncvt_f_f_w, 0x0 }, // 74
  { Intrinsic::riscv_vfncvt_f_f_w_mask, 0x0 }, // 75
  { Intrinsic::riscv_vfncvt_f_x_w, 0x0 }, // 76
  { Intrinsic::riscv_vfncvt_f_x_w_mask, 0x0 }, // 77
  { Intrinsic::riscv_vfncvt_f_xu_w, 0x0 }, // 78
  { Intrinsic::riscv_vfncvt_f_xu_w_mask, 0x0 }, // 79
  { Intrinsic::riscv_vfncvt_rod_f_f_w, 0x0 }, // 80
  { Intrinsic::riscv_vfncvt_rod_f_f_w_mask, 0x0 }, // 81
  { Intrinsic::riscv_vfncvt_rtz_x_f_w, 0x0 }, // 82
  { Intrinsic::riscv_vfncvt_rtz_x_f_w_mask, 0x0 }, // 83
  { Intrinsic::riscv_vfncvt_rtz_xu_f_w, 0x0 }, // 84
  { Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask, 0x0 }, // 85
  { Intrinsic::riscv_vfncvt_x_f_w, 0x0 }, // 86
  { Intrinsic::riscv_vfncvt_x_f_w_mask, 0x0 }, // 87
  { Intrinsic::riscv_vfncvt_xu_f_w, 0x0 }, // 88
  { Intrinsic::riscv_vfncvt_xu_f_w_mask, 0x0 }, // 89
  { Intrinsic::riscv_vfnmacc, 0x2 }, // 90
  { Intrinsic::riscv_vfnmacc_mask, 0x2 }, // 91
  { Intrinsic::riscv_vfnmadd, 0x2 }, // 92
  { Intrinsic::riscv_vfnmadd_mask, 0x2 }, // 93
  { Intrinsic::riscv_vfnmsac, 0x2 }, // 94
  { Intrinsic::riscv_vfnmsac_mask, 0x2 }, // 95
  { Intrinsic::riscv_vfnmsub, 0x2 }, // 96
  { Intrinsic::riscv_vfnmsub_mask, 0x2 }, // 97
  { Intrinsic::riscv_vfrdiv, 0x2 }, // 98
  { Intrinsic::riscv_vfrdiv_mask, 0x3 }, // 99
  { Intrinsic::riscv_vfrec7, 0x0 }, // 100
  { Intrinsic::riscv_vfrec7_mask, 0x0 }, // 101
  { Intrinsic::riscv_vfredmax, 0x0 }, // 102
  { Intrinsic::riscv_vfredmax_mask, 0x0 }, // 103
  { Intrinsic::riscv_vfredmin, 0x0 }, // 104
  { Intrinsic::riscv_vfredmin_mask, 0x0 }, // 105
  { Intrinsic::riscv_vfredosum, 0x0 }, // 106
  { Intrinsic::riscv_vfredosum_mask, 0x0 }, // 107
  { Intrinsic::riscv_vfredusum, 0x0 }, // 108
  { Intrinsic::riscv_vfredusum_mask, 0x0 }, // 109
  { Intrinsic::riscv_vfrsqrt7, 0x0 }, // 110
  { Intrinsic::riscv_vfrsqrt7_mask, 0x0 }, // 111
  { Intrinsic::riscv_vfrsub, 0x2 }, // 112
  { Intrinsic::riscv_vfrsub_mask, 0x3 }, // 113
  { Intrinsic::riscv_vfsgnj, 0x2 }, // 114
  { Intrinsic::riscv_vfsgnj_mask, 0x3 }, // 115
  { Intrinsic::riscv_vfsgnjn, 0x2 }, // 116
  { Intrinsic::riscv_vfsgnjn_mask, 0x3 }, // 117
  { Intrinsic::riscv_vfsgnjx, 0x2 }, // 118
  { Intrinsic::riscv_vfsgnjx_mask, 0x3 }, // 119
  { Intrinsic::riscv_vfslide1down, 0x2 }, // 120
  { Intrinsic::riscv_vfslide1down_mask, 0x3 }, // 121
  { Intrinsic::riscv_vfslide1up, 0x2 }, // 122
  { Intrinsic::riscv_vfslide1up_mask, 0x3 }, // 123
  { Intrinsic::riscv_vfsqrt, 0x0 }, // 124
  { Intrinsic::riscv_vfsqrt_mask, 0x0 }, // 125
  { Intrinsic::riscv_vfsub, 0x2 }, // 126
  { Intrinsic::riscv_vfsub_mask, 0x3 }, // 127
  { Intrinsic::riscv_vfwadd, 0x2 }, // 128
  { Intrinsic::riscv_vfwadd_mask, 0x3 }, // 129
  { Intrinsic::riscv_vfwadd_w, 0x2 }, // 130
  { Intrinsic::riscv_vfwadd_w_mask, 0x3 }, // 131
  { Intrinsic::riscv_vfwcvt_f_f_v, 0x0 }, // 132
  { Intrinsic::riscv_vfwcvt_f_f_v_mask, 0x0 }, // 133
  { Intrinsic::riscv_vfwcvt_f_x_v, 0x0 }, // 134
  { Intrinsic::riscv_vfwcvt_f_x_v_mask, 0x0 }, // 135
  { Intrinsic::riscv_vfwcvt_f_xu_v, 0x0 }, // 136
  { Intrinsic::riscv_vfwcvt_f_xu_v_mask, 0x0 }, // 137
  { Intrinsic::riscv_vfwcvt_rtz_x_f_v, 0x0 }, // 138
  { Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask, 0x0 }, // 139
  { Intrinsic::riscv_vfwcvt_rtz_xu_f_v, 0x0 }, // 140
  { Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask, 0x0 }, // 141
  { Intrinsic::riscv_vfwcvt_x_f_v, 0x0 }, // 142
  { Intrinsic::riscv_vfwcvt_x_f_v_mask, 0x0 }, // 143
  { Intrinsic::riscv_vfwcvt_xu_f_v, 0x0 }, // 144
  { Intrinsic::riscv_vfwcvt_xu_f_v_mask, 0x0 }, // 145
  { Intrinsic::riscv_vfwmacc, 0x2 }, // 146
  { Intrinsic::riscv_vfwmacc_mask, 0x2 }, // 147
  { Intrinsic::riscv_vfwmsac, 0x2 }, // 148
  { Intrinsic::riscv_vfwmsac_mask, 0x2 }, // 149
  { Intrinsic::riscv_vfwmul, 0x2 }, // 150
  { Intrinsic::riscv_vfwmul_mask, 0x3 }, // 151
  { Intrinsic::riscv_vfwnmacc, 0x2 }, // 152
  { Intrinsic::riscv_vfwnmacc_mask, 0x2 }, // 153
  { Intrinsic::riscv_vfwnmsac, 0x2 }, // 154
  { Intrinsic::riscv_vfwnmsac_mask, 0x2 }, // 155
  { Intrinsic::riscv_vfwredosum, 0x0 }, // 156
  { Intrinsic::riscv_vfwredosum_mask, 0x0 }, // 157
  { Intrinsic::riscv_vfwredusum, 0x0 }, // 158
  { Intrinsic::riscv_vfwredusum_mask, 0x0 }, // 159
  { Intrinsic::riscv_vfwsub, 0x2 }, // 160
  { Intrinsic::riscv_vfwsub_mask, 0x3 }, // 161
  { Intrinsic::riscv_vfwsub_w, 0x2 }, // 162
  { Intrinsic::riscv_vfwsub_w_mask, 0x3 }, // 163
  { Intrinsic::riscv_vid, 0x0 }, // 164
  { Intrinsic::riscv_vid_mask, 0x0 }, // 165
  { Intrinsic::riscv_viota, 0x0 }, // 166
  { Intrinsic::riscv_viota_mask, 0x0 }, // 167
  { Intrinsic::riscv_vle, 0x0 }, // 168
  { Intrinsic::riscv_vle_mask, 0x0 }, // 169
  { Intrinsic::riscv_vleff, 0x0 }, // 170
  { Intrinsic::riscv_vleff_mask, 0x0 }, // 171
  { Intrinsic::riscv_vlm, 0x0 }, // 172
  { Intrinsic::riscv_vloxei, 0x0 }, // 173
  { Intrinsic::riscv_vloxei_mask, 0x0 }, // 174
  { Intrinsic::riscv_vloxseg2, 0x0 }, // 175
  { Intrinsic::riscv_vloxseg2_mask, 0x0 }, // 176
  { Intrinsic::riscv_vloxseg3, 0x0 }, // 177
  { Intrinsic::riscv_vloxseg3_mask, 0x0 }, // 178
  { Intrinsic::riscv_vloxseg4, 0x0 }, // 179
  { Intrinsic::riscv_vloxseg4_mask, 0x0 }, // 180
  { Intrinsic::riscv_vloxseg5, 0x0 }, // 181
  { Intrinsic::riscv_vloxseg5_mask, 0x0 }, // 182
  { Intrinsic::riscv_vloxseg6, 0x0 }, // 183
  { Intrinsic::riscv_vloxseg6_mask, 0x0 }, // 184
  { Intrinsic::riscv_vloxseg7, 0x0 }, // 185
  { Intrinsic::riscv_vloxseg7_mask, 0x0 }, // 186
  { Intrinsic::riscv_vloxseg8, 0x0 }, // 187
  { Intrinsic::riscv_vloxseg8_mask, 0x0 }, // 188
  { Intrinsic::riscv_vlse, 0x0 }, // 189
  { Intrinsic::riscv_vlse_mask, 0x0 }, // 190
  { Intrinsic::riscv_vlseg2, 0x0 }, // 191
  { Intrinsic::riscv_vlseg2_mask, 0x0 }, // 192
  { Intrinsic::riscv_vlseg2ff, 0x0 }, // 193
  { Intrinsic::riscv_vlseg2ff_mask, 0x0 }, // 194
  { Intrinsic::riscv_vlseg3, 0x0 }, // 195
  { Intrinsic::riscv_vlseg3_mask, 0x0 }, // 196
  { Intrinsic::riscv_vlseg3ff, 0x0 }, // 197
  { Intrinsic::riscv_vlseg3ff_mask, 0x0 }, // 198
  { Intrinsic::riscv_vlseg4, 0x0 }, // 199
  { Intrinsic::riscv_vlseg4_mask, 0x0 }, // 200
  { Intrinsic::riscv_vlseg4ff, 0x0 }, // 201
  { Intrinsic::riscv_vlseg4ff_mask, 0x0 }, // 202
  { Intrinsic::riscv_vlseg5, 0x0 }, // 203
  { Intrinsic::riscv_vlseg5_mask, 0x0 }, // 204
  { Intrinsic::riscv_vlseg5ff, 0x0 }, // 205
  { Intrinsic::riscv_vlseg5ff_mask, 0x0 }, // 206
  { Intrinsic::riscv_vlseg6, 0x0 }, // 207
  { Intrinsic::riscv_vlseg6_mask, 0x0 }, // 208
  { Intrinsic::riscv_vlseg6ff, 0x0 }, // 209
  { Intrinsic::riscv_vlseg6ff_mask, 0x0 }, // 210
  { Intrinsic::riscv_vlseg7, 0x0 }, // 211
  { Intrinsic::riscv_vlseg7_mask, 0x0 }, // 212
  { Intrinsic::riscv_vlseg7ff, 0x0 }, // 213
  { Intrinsic::riscv_vlseg7ff_mask, 0x0 }, // 214
  { Intrinsic::riscv_vlseg8, 0x0 }, // 215
  { Intrinsic::riscv_vlseg8_mask, 0x0 }, // 216
  { Intrinsic::riscv_vlseg8ff, 0x0 }, // 217
  { Intrinsic::riscv_vlseg8ff_mask, 0x0 }, // 218
  { Intrinsic::riscv_vlsseg2, 0x0 }, // 219
  { Intrinsic::riscv_vlsseg2_mask, 0x0 }, // 220
  { Intrinsic::riscv_vlsseg3, 0x0 }, // 221
  { Intrinsic::riscv_vlsseg3_mask, 0x0 }, // 222
  { Intrinsic::riscv_vlsseg4, 0x0 }, // 223
  { Intrinsic::riscv_vlsseg4_mask, 0x0 }, // 224
  { Intrinsic::riscv_vlsseg5, 0x0 }, // 225
  { Intrinsic::riscv_vlsseg5_mask, 0x0 }, // 226
  { Intrinsic::riscv_vlsseg6, 0x0 }, // 227
  { Intrinsic::riscv_vlsseg6_mask, 0x0 }, // 228
  { Intrinsic::riscv_vlsseg7, 0x0 }, // 229
  { Intrinsic::riscv_vlsseg7_mask, 0x0 }, // 230
  { Intrinsic::riscv_vlsseg8, 0x0 }, // 231
  { Intrinsic::riscv_vlsseg8_mask, 0x0 }, // 232
  { Intrinsic::riscv_vluxei, 0x0 }, // 233
  { Intrinsic::riscv_vluxei_mask, 0x0 }, // 234
  { Intrinsic::riscv_vluxseg2, 0x0 }, // 235
  { Intrinsic::riscv_vluxseg2_mask, 0x0 }, // 236
  { Intrinsic::riscv_vluxseg3, 0x0 }, // 237
  { Intrinsic::riscv_vluxseg3_mask, 0x0 }, // 238
  { Intrinsic::riscv_vluxseg4, 0x0 }, // 239
  { Intrinsic::riscv_vluxseg4_mask, 0x0 }, // 240
  { Intrinsic::riscv_vluxseg5, 0x0 }, // 241
  { Intrinsic::riscv_vluxseg5_mask, 0x0 }, // 242
  { Intrinsic::riscv_vluxseg6, 0x0 }, // 243
  { Intrinsic::riscv_vluxseg6_mask, 0x0 }, // 244
  { Intrinsic::riscv_vluxseg7, 0x0 }, // 245
  { Intrinsic::riscv_vluxseg7_mask, 0x0 }, // 246
  { Intrinsic::riscv_vluxseg8, 0x0 }, // 247
  { Intrinsic::riscv_vluxseg8_mask, 0x0 }, // 248
  { Intrinsic::riscv_vmacc, 0x2 }, // 249
  { Intrinsic::riscv_vmacc_mask, 0x2 }, // 250
  { Intrinsic::riscv_vmadc, 0x2 }, // 251
  { Intrinsic::riscv_vmadc_carry_in, 0x2 }, // 252
  { Intrinsic::riscv_vmadd, 0x2 }, // 253
  { Intrinsic::riscv_vmadd_mask, 0x2 }, // 254
  { Intrinsic::riscv_vmand, 0x0 }, // 255
  { Intrinsic::riscv_vmandnot, 0x0 }, // 256
  { Intrinsic::riscv_vmax, 0x2 }, // 257
  { Intrinsic::riscv_vmax_mask, 0x3 }, // 258
  { Intrinsic::riscv_vmaxu, 0x2 }, // 259
  { Intrinsic::riscv_vmaxu_mask, 0x3 }, // 260
  { Intrinsic::riscv_vmclr, 0x0 }, // 261
  { Intrinsic::riscv_vmerge, 0x2 }, // 262
  { Intrinsic::riscv_vmfeq, 0x2 }, // 263
  { Intrinsic::riscv_vmfeq_mask, 0x3 }, // 264
  { Intrinsic::riscv_vmfge, 0x2 }, // 265
  { Intrinsic::riscv_vmfge_mask, 0x3 }, // 266
  { Intrinsic::riscv_vmfgt, 0x2 }, // 267
  { Intrinsic::riscv_vmfgt_mask, 0x3 }, // 268
  { Intrinsic::riscv_vmfle, 0x2 }, // 269
  { Intrinsic::riscv_vmfle_mask, 0x3 }, // 270
  { Intrinsic::riscv_vmflt, 0x2 }, // 271
  { Intrinsic::riscv_vmflt_mask, 0x3 }, // 272
  { Intrinsic::riscv_vmfne, 0x2 }, // 273
  { Intrinsic::riscv_vmfne_mask, 0x3 }, // 274
  { Intrinsic::riscv_vmin, 0x2 }, // 275
  { Intrinsic::riscv_vmin_mask, 0x3 }, // 276
  { Intrinsic::riscv_vminu, 0x2 }, // 277
  { Intrinsic::riscv_vminu_mask, 0x3 }, // 278
  { Intrinsic::riscv_vmnand, 0x0 }, // 279
  { Intrinsic::riscv_vmnor, 0x0 }, // 280
  { Intrinsic::riscv_vmor, 0x0 }, // 281
  { Intrinsic::riscv_vmornot, 0x0 }, // 282
  { Intrinsic::riscv_vmsbc, 0x2 }, // 283
  { Intrinsic::riscv_vmsbc_borrow_in, 0x2 }, // 284
  { Intrinsic::riscv_vmsbf, 0x0 }, // 285
  { Intrinsic::riscv_vmsbf_mask, 0x0 }, // 286
  { Intrinsic::riscv_vmseq, 0x2 }, // 287
  { Intrinsic::riscv_vmseq_mask, 0x3 }, // 288
  { Intrinsic::riscv_vmset, 0x0 }, // 289
  { Intrinsic::riscv_vmsge, 0x2 }, // 290
  { Intrinsic::riscv_vmsge_mask, 0x3 }, // 291
  { Intrinsic::riscv_vmsgeu, 0x2 }, // 292
  { Intrinsic::riscv_vmsgeu_mask, 0x3 }, // 293
  { Intrinsic::riscv_vmsgt, 0x2 }, // 294
  { Intrinsic::riscv_vmsgt_mask, 0x3 }, // 295
  { Intrinsic::riscv_vmsgtu, 0x2 }, // 296
  { Intrinsic::riscv_vmsgtu_mask, 0x3 }, // 297
  { Intrinsic::riscv_vmsif, 0x0 }, // 298
  { Intrinsic::riscv_vmsif_mask, 0x0 }, // 299
  { Intrinsic::riscv_vmsle, 0x2 }, // 300
  { Intrinsic::riscv_vmsle_mask, 0x3 }, // 301
  { Intrinsic::riscv_vmsleu, 0x2 }, // 302
  { Intrinsic::riscv_vmsleu_mask, 0x3 }, // 303
  { Intrinsic::riscv_vmslt, 0x2 }, // 304
  { Intrinsic::riscv_vmslt_mask, 0x3 }, // 305
  { Intrinsic::riscv_vmsltu, 0x2 }, // 306
  { Intrinsic::riscv_vmsltu_mask, 0x3 }, // 307
  { Intrinsic::riscv_vmsne, 0x2 }, // 308
  { Intrinsic::riscv_vmsne_mask, 0x3 }, // 309
  { Intrinsic::riscv_vmsof, 0x0 }, // 310
  { Intrinsic::riscv_vmsof_mask, 0x0 }, // 311
  { Intrinsic::riscv_vmul, 0x2 }, // 312
  { Intrinsic::riscv_vmul_mask, 0x3 }, // 313
  { Intrinsic::riscv_vmulh, 0x2 }, // 314
  { Intrinsic::riscv_vmulh_mask, 0x3 }, // 315
  { Intrinsic::riscv_vmulhsu, 0x2 }, // 316
  { Intrinsic::riscv_vmulhsu_mask, 0x3 }, // 317
  { Intrinsic::riscv_vmulhu, 0x2 }, // 318
  { Intrinsic::riscv_vmulhu_mask, 0x3 }, // 319
  { Intrinsic::riscv_vmv_s_x, 0x0 }, // 320
  { Intrinsic::riscv_vmv_v_v, 0x0 }, // 321
  { Intrinsic::riscv_vmv_v_x, 0x0 }, // 322
  { Intrinsic::riscv_vmv_x_s, 0x0 }, // 323
  { Intrinsic::riscv_vmxnor, 0x0 }, // 324
  { Intrinsic::riscv_vmxor, 0x0 }, // 325
  { Intrinsic::riscv_vnclip, 0x0 }, // 326
  { Intrinsic::riscv_vnclip_mask, 0x0 }, // 327
  { Intrinsic::riscv_vnclipu, 0x0 }, // 328
  { Intrinsic::riscv_vnclipu_mask, 0x0 }, // 329
  { Intrinsic::riscv_vnmsac, 0x2 }, // 330
  { Intrinsic::riscv_vnmsac_mask, 0x2 }, // 331
  { Intrinsic::riscv_vnmsub, 0x2 }, // 332
  { Intrinsic::riscv_vnmsub_mask, 0x2 }, // 333
  { Intrinsic::riscv_vnsra, 0x0 }, // 334
  { Intrinsic::riscv_vnsra_mask, 0x0 }, // 335
  { Intrinsic::riscv_vnsrl, 0x0 }, // 336
  { Intrinsic::riscv_vnsrl_mask, 0x0 }, // 337
  { Intrinsic::riscv_vor, 0x2 }, // 338
  { Intrinsic::riscv_vor_mask, 0x3 }, // 339
  { Intrinsic::riscv_vpopc, 0x0 }, // 340
  { Intrinsic::riscv_vpopc_mask, 0x0 }, // 341
  { Intrinsic::riscv_vredand, 0x0 }, // 342
  { Intrinsic::riscv_vredand_mask, 0x0 }, // 343
  { Intrinsic::riscv_vredmax, 0x0 }, // 344
  { Intrinsic::riscv_vredmax_mask, 0x0 }, // 345
  { Intrinsic::riscv_vredmaxu, 0x0 }, // 346
  { Intrinsic::riscv_vredmaxu_mask, 0x0 }, // 347
  { Intrinsic::riscv_vredmin, 0x0 }, // 348
  { Intrinsic::riscv_vredmin_mask, 0x0 }, // 349
  { Intrinsic::riscv_vredminu, 0x0 }, // 350
  { Intrinsic::riscv_vredminu_mask, 0x0 }, // 351
  { Intrinsic::riscv_vredor, 0x0 }, // 352
  { Intrinsic::riscv_vredor_mask, 0x0 }, // 353
  { Intrinsic::riscv_vredsum, 0x0 }, // 354
  { Intrinsic::riscv_vredsum_mask, 0x0 }, // 355
  { Intrinsic::riscv_vredxor, 0x0 }, // 356
  { Intrinsic::riscv_vredxor_mask, 0x0 }, // 357
  { Intrinsic::riscv_vrem, 0x2 }, // 358
  { Intrinsic::riscv_vrem_mask, 0x3 }, // 359
  { Intrinsic::riscv_vremu, 0x2 }, // 360
  { Intrinsic::riscv_vremu_mask, 0x3 }, // 361
  { Intrinsic::riscv_vrgather_vv, 0x0 }, // 362
  { Intrinsic::riscv_vrgather_vv_mask, 0x0 }, // 363
  { Intrinsic::riscv_vrgather_vx, 0x0 }, // 364
  { Intrinsic::riscv_vrgather_vx_mask, 0x0 }, // 365
  { Intrinsic::riscv_vrgatherei16_vv, 0x0 }, // 366
  { Intrinsic::riscv_vrgatherei16_vv_mask, 0x0 }, // 367
  { Intrinsic::riscv_vrsub, 0x2 }, // 368
  { Intrinsic::riscv_vrsub_mask, 0x3 }, // 369
  { Intrinsic::riscv_vsadd, 0x2 }, // 370
  { Intrinsic::riscv_vsadd_mask, 0x3 }, // 371
  { Intrinsic::riscv_vsaddu, 0x2 }, // 372
  { Intrinsic::riscv_vsaddu_mask, 0x3 }, // 373
  { Intrinsic::riscv_vsbc, 0x2 }, // 374
  { Intrinsic::riscv_vse, 0x0 }, // 375
  { Intrinsic::riscv_vse_mask, 0x0 }, // 376
  { Intrinsic::riscv_vsext, 0x0 }, // 377
  { Intrinsic::riscv_vsext_mask, 0x0 }, // 378
  { Intrinsic::riscv_vslide1down, 0x2 }, // 379
  { Intrinsic::riscv_vslide1down_mask, 0x3 }, // 380
  { Intrinsic::riscv_vslide1up, 0x2 }, // 381
  { Intrinsic::riscv_vslide1up_mask, 0x3 }, // 382
  { Intrinsic::riscv_vslidedown, 0x0 }, // 383
  { Intrinsic::riscv_vslidedown_mask, 0x0 }, // 384
  { Intrinsic::riscv_vslideup, 0x0 }, // 385
  { Intrinsic::riscv_vslideup_mask, 0x0 }, // 386
  { Intrinsic::riscv_vsll, 0x0 }, // 387
  { Intrinsic::riscv_vsll_mask, 0x0 }, // 388
  { Intrinsic::riscv_vsm, 0x0 }, // 389
  { Intrinsic::riscv_vsmul, 0x2 }, // 390
  { Intrinsic::riscv_vsmul_mask, 0x3 }, // 391
  { Intrinsic::riscv_vsoxei, 0x0 }, // 392
  { Intrinsic::riscv_vsoxei_mask, 0x0 }, // 393
  { Intrinsic::riscv_vsoxseg2, 0x0 }, // 394
  { Intrinsic::riscv_vsoxseg2_mask, 0x0 }, // 395
  { Intrinsic::riscv_vsoxseg3, 0x0 }, // 396
  { Intrinsic::riscv_vsoxseg3_mask, 0x0 }, // 397
  { Intrinsic::riscv_vsoxseg4, 0x0 }, // 398
  { Intrinsic::riscv_vsoxseg4_mask, 0x0 }, // 399
  { Intrinsic::riscv_vsoxseg5, 0x0 }, // 400
  { Intrinsic::riscv_vsoxseg5_mask, 0x0 }, // 401
  { Intrinsic::riscv_vsoxseg6, 0x0 }, // 402
  { Intrinsic::riscv_vsoxseg6_mask, 0x0 }, // 403
  { Intrinsic::riscv_vsoxseg7, 0x0 }, // 404
  { Intrinsic::riscv_vsoxseg7_mask, 0x0 }, // 405
  { Intrinsic::riscv_vsoxseg8, 0x0 }, // 406
  { Intrinsic::riscv_vsoxseg8_mask, 0x0 }, // 407
  { Intrinsic::riscv_vsra, 0x0 }, // 408
  { Intrinsic::riscv_vsra_mask, 0x0 }, // 409
  { Intrinsic::riscv_vsrl, 0x0 }, // 410
  { Intrinsic::riscv_vsrl_mask, 0x0 }, // 411
  { Intrinsic::riscv_vsse, 0x0 }, // 412
  { Intrinsic::riscv_vsse_mask, 0x0 }, // 413
  { Intrinsic::riscv_vsseg2, 0x0 }, // 414
  { Intrinsic::riscv_vsseg2_mask, 0x0 }, // 415
  { Intrinsic::riscv_vsseg3, 0x0 }, // 416
  { Intrinsic::riscv_vsseg3_mask, 0x0 }, // 417
  { Intrinsic::riscv_vsseg4, 0x0 }, // 418
  { Intrinsic::riscv_vsseg4_mask, 0x0 }, // 419
  { Intrinsic::riscv_vsseg5, 0x0 }, // 420
  { Intrinsic::riscv_vsseg5_mask, 0x0 }, // 421
  { Intrinsic::riscv_vsseg6, 0x0 }, // 422
  { Intrinsic::riscv_vsseg6_mask, 0x0 }, // 423
  { Intrinsic::riscv_vsseg7, 0x0 }, // 424
  { Intrinsic::riscv_vsseg7_mask, 0x0 }, // 425
  { Intrinsic::riscv_vsseg8, 0x0 }, // 426
  { Intrinsic::riscv_vsseg8_mask, 0x0 }, // 427
  { Intrinsic::riscv_vssra, 0x0 }, // 428
  { Intrinsic::riscv_vssra_mask, 0x0 }, // 429
  { Intrinsic::riscv_vssrl, 0x0 }, // 430
  { Intrinsic::riscv_vssrl_mask, 0x0 }, // 431
  { Intrinsic::riscv_vssseg2, 0x0 }, // 432
  { Intrinsic::riscv_vssseg2_mask, 0x0 }, // 433
  { Intrinsic::riscv_vssseg3, 0x0 }, // 434
  { Intrinsic::riscv_vssseg3_mask, 0x0 }, // 435
  { Intrinsic::riscv_vssseg4, 0x0 }, // 436
  { Intrinsic::riscv_vssseg4_mask, 0x0 }, // 437
  { Intrinsic::riscv_vssseg5, 0x0 }, // 438
  { Intrinsic::riscv_vssseg5_mask, 0x0 }, // 439
  { Intrinsic::riscv_vssseg6, 0x0 }, // 440
  { Intrinsic::riscv_vssseg6_mask, 0x0 }, // 441
  { Intrinsic::riscv_vssseg7, 0x0 }, // 442
  { Intrinsic::riscv_vssseg7_mask, 0x0 }, // 443
  { Intrinsic::riscv_vssseg8, 0x0 }, // 444
  { Intrinsic::riscv_vssseg8_mask, 0x0 }, // 445
  { Intrinsic::riscv_vssub, 0x2 }, // 446
  { Intrinsic::riscv_vssub_mask, 0x3 }, // 447
  { Intrinsic::riscv_vssubu, 0x2 }, // 448
  { Intrinsic::riscv_vssubu_mask, 0x3 }, // 449
  { Intrinsic::riscv_vsub, 0x2 }, // 450
  { Intrinsic::riscv_vsub_mask, 0x3 }, // 451
  { Intrinsic::riscv_vsuxei, 0x0 }, // 452
  { Intrinsic::riscv_vsuxei_mask, 0x0 }, // 453
  { Intrinsic::riscv_vsuxseg2, 0x0 }, // 454
  { Intrinsic::riscv_vsuxseg2_mask, 0x0 }, // 455
  { Intrinsic::riscv_vsuxseg3, 0x0 }, // 456
  { Intrinsic::riscv_vsuxseg3_mask, 0x0 }, // 457
  { Intrinsic::riscv_vsuxseg4, 0x0 }, // 458
  { Intrinsic::riscv_vsuxseg4_mask, 0x0 }, // 459
  { Intrinsic::riscv_vsuxseg5, 0x0 }, // 460
  { Intrinsic::riscv_vsuxseg5_mask, 0x0 }, // 461
  { Intrinsic::riscv_vsuxseg6, 0x0 }, // 462
  { Intrinsic::riscv_vsuxseg6_mask, 0x0 }, // 463
  { Intrinsic::riscv_vsuxseg7, 0x0 }, // 464
  { Intrinsic::riscv_vsuxseg7_mask, 0x0 }, // 465
  { Intrinsic::riscv_vsuxseg8, 0x0 }, // 466
  { Intrinsic::riscv_vsuxseg8_mask, 0x0 }, // 467
  { Intrinsic::riscv_vwadd, 0x2 }, // 468
  { Intrinsic::riscv_vwadd_mask, 0x3 }, // 469
  { Intrinsic::riscv_vwadd_w, 0x2 }, // 470
  { Intrinsic::riscv_vwadd_w_mask, 0x3 }, // 471
  { Intrinsic::riscv_vwaddu, 0x2 }, // 472
  { Intrinsic::riscv_vwaddu_mask, 0x3 }, // 473
  { Intrinsic::riscv_vwaddu_w, 0x2 }, // 474
  { Intrinsic::riscv_vwaddu_w_mask, 0x3 }, // 475
  { Intrinsic::riscv_vwmacc, 0x2 }, // 476
  { Intrinsic::riscv_vwmacc_mask, 0x2 }, // 477
  { Intrinsic::riscv_vwmaccsu, 0x2 }, // 478
  { Intrinsic::riscv_vwmaccsu_mask, 0x2 }, // 479
  { Intrinsic::riscv_vwmaccu, 0x2 }, // 480
  { Intrinsic::riscv_vwmaccu_mask, 0x2 }, // 481
  { Intrinsic::riscv_vwmaccus, 0x2 }, // 482
  { Intrinsic::riscv_vwmaccus_mask, 0x2 }, // 483
  { Intrinsic::riscv_vwmul, 0x2 }, // 484
  { Intrinsic::riscv_vwmul_mask, 0x3 }, // 485
  { Intrinsic::riscv_vwmulsu, 0x2 }, // 486
  { Intrinsic::riscv_vwmulsu_mask, 0x3 }, // 487
  { Intrinsic::riscv_vwmulu, 0x2 }, // 488
  { Intrinsic::riscv_vwmulu_mask, 0x3 }, // 489
  { Intrinsic::riscv_vwredsum, 0x0 }, // 490
  { Intrinsic::riscv_vwredsum_mask, 0x0 }, // 491
  { Intrinsic::riscv_vwredsumu, 0x0 }, // 492
  { Intrinsic::riscv_vwredsumu_mask, 0x0 }, // 493
  { Intrinsic::riscv_vwsub, 0x2 }, // 494
  { Intrinsic::riscv_vwsub_mask, 0x3 }, // 495
  { Intrinsic::riscv_vwsub_w, 0x2 }, // 496
  { Intrinsic::riscv_vwsub_w_mask, 0x3 }, // 497
  { Intrinsic::riscv_vwsubu, 0x2 }, // 498
  { Intrinsic::riscv_vwsubu_mask, 0x3 }, // 499
  { Intrinsic::riscv_vwsubu_w, 0x2 }, // 500
  { Intrinsic::riscv_vwsubu_w_mask, 0x3 }, // 501
  { Intrinsic::riscv_vxor, 0x2 }, // 502
  { Intrinsic::riscv_vxor_mask, 0x3 }, // 503
  { Intrinsic::riscv_vzext, 0x0 }, // 504
  { Intrinsic::riscv_vzext_mask, 0x0 }, // 505
 };

const RISCVVIntrinsicInfo *getRISCVVIntrinsicInfo(unsigned IntrinsicID) {
  struct KeyType {
    unsigned IntrinsicID;
  };
  KeyType Key = {IntrinsicID};
  auto Table = makeArrayRef(RISCVVIntrinsicsTable);
  auto Idx = std::lower_bound(Table.begin(), Table.end(), Key,
    [](const RISCVVIntrinsicInfo &LHS, const KeyType &RHS) {
      if (LHS.IntrinsicID < RHS.IntrinsicID)
        return true;
      if (LHS.IntrinsicID > RHS.IntrinsicID)
        return false;
      return false;
    });

  if (Idx == Table.end() ||
      Key.IntrinsicID != Idx->IntrinsicID)
    return nullptr;
  return &*Idx;
}
#endif

#ifdef GET_RISCVVLETable_DECL
const VLEPseudo *getVLEPseudo(uint8_t Masked, uint8_t Strided, uint8_t FF, uint8_t Log2SEW, uint8_t LMUL);
#endif

#ifdef GET_RISCVVLETable_IMPL
constexpr VLEPseudo RISCVVLETable[] = {
  { 0x0, 0x0, 0x0, 0x0, 0x0, PseudoVLM_V_B8 }, // 0
  { 0x0, 0x0, 0x0, 0x0, 0x1, PseudoVLM_V_B16 }, // 1
  { 0x0, 0x0, 0x0, 0x0, 0x2, PseudoVLM_V_B32 }, // 2
  { 0x0, 0x0, 0x0, 0x0, 0x3, PseudoVLM_V_B64 }, // 3
  { 0x0, 0x0, 0x0, 0x0, 0x5, PseudoVLM_V_B1 }, // 4
  { 0x0, 0x0, 0x0, 0x0, 0x6, PseudoVLM_V_B2 }, // 5
  { 0x0, 0x0, 0x0, 0x0, 0x7, PseudoVLM_V_B4 }, // 6
  { 0x0, 0x0, 0x0, 0x3, 0x0, PseudoVLE8_V_M1 }, // 7
  { 0x0, 0x0, 0x0, 0x3, 0x1, PseudoVLE8_V_M2 }, // 8
  { 0x0, 0x0, 0x0, 0x3, 0x2, PseudoVLE8_V_M4 }, // 9
  { 0x0, 0x0, 0x0, 0x3, 0x3, PseudoVLE8_V_M8 }, // 10
  { 0x0, 0x0, 0x0, 0x3, 0x5, PseudoVLE8_V_MF8 }, // 11
  { 0x0, 0x0, 0x0, 0x3, 0x6, PseudoVLE8_V_MF4 }, // 12
  { 0x0, 0x0, 0x0, 0x3, 0x7, PseudoVLE8_V_MF2 }, // 13
  { 0x0, 0x0, 0x0, 0x4, 0x0, PseudoVLE16_V_M1 }, // 14
  { 0x0, 0x0, 0x0, 0x4, 0x1, PseudoVLE16_V_M2 }, // 15
  { 0x0, 0x0, 0x0, 0x4, 0x2, PseudoVLE16_V_M4 }, // 16
  { 0x0, 0x0, 0x0, 0x4, 0x3, PseudoVLE16_V_M8 }, // 17
  { 0x0, 0x0, 0x0, 0x4, 0x6, PseudoVLE16_V_MF4 }, // 18
  { 0x0, 0x0, 0x0, 0x4, 0x7, PseudoVLE16_V_MF2 }, // 19
  { 0x0, 0x0, 0x0, 0x5, 0x0, PseudoVLE32_V_M1 }, // 20
  { 0x0, 0x0, 0x0, 0x5, 0x1, PseudoVLE32_V_M2 }, // 21
  { 0x0, 0x0, 0x0, 0x5, 0x2, PseudoVLE32_V_M4 }, // 22
  { 0x0, 0x0, 0x0, 0x5, 0x3, PseudoVLE32_V_M8 }, // 23
  { 0x0, 0x0, 0x0, 0x5, 0x7, PseudoVLE32_V_MF2 }, // 24
  { 0x0, 0x0, 0x0, 0x6, 0x0, PseudoVLE64_V_M1 }, // 25
  { 0x0, 0x0, 0x0, 0x6, 0x1, PseudoVLE64_V_M2 }, // 26
  { 0x0, 0x0, 0x0, 0x6, 0x2, PseudoVLE64_V_M4 }, // 27
  { 0x0, 0x0, 0x0, 0x6, 0x3, PseudoVLE64_V_M8 }, // 28
  { 0x0, 0x0, 0x1, 0x3, 0x0, PseudoVLE8FF_V_M1 }, // 29
  { 0x0, 0x0, 0x1, 0x3, 0x1, PseudoVLE8FF_V_M2 }, // 30
  { 0x0, 0x0, 0x1, 0x3, 0x2, PseudoVLE8FF_V_M4 }, // 31
  { 0x0, 0x0, 0x1, 0x3, 0x3, PseudoVLE8FF_V_M8 }, // 32
  { 0x0, 0x0, 0x1, 0x3, 0x5, PseudoVLE8FF_V_MF8 }, // 33
  { 0x0, 0x0, 0x1, 0x3, 0x6, PseudoVLE8FF_V_MF4 }, // 34
  { 0x0, 0x0, 0x1, 0x3, 0x7, PseudoVLE8FF_V_MF2 }, // 35
  { 0x0, 0x0, 0x1, 0x4, 0x0, PseudoVLE16FF_V_M1 }, // 36
  { 0x0, 0x0, 0x1, 0x4, 0x1, PseudoVLE16FF_V_M2 }, // 37
  { 0x0, 0x0, 0x1, 0x4, 0x2, PseudoVLE16FF_V_M4 }, // 38
  { 0x0, 0x0, 0x1, 0x4, 0x3, PseudoVLE16FF_V_M8 }, // 39
  { 0x0, 0x0, 0x1, 0x4, 0x6, PseudoVLE16FF_V_MF4 }, // 40
  { 0x0, 0x0, 0x1, 0x4, 0x7, PseudoVLE16FF_V_MF2 }, // 41
  { 0x0, 0x0, 0x1, 0x5, 0x0, PseudoVLE32FF_V_M1 }, // 42
  { 0x0, 0x0, 0x1, 0x5, 0x1, PseudoVLE32FF_V_M2 }, // 43
  { 0x0, 0x0, 0x1, 0x5, 0x2, PseudoVLE32FF_V_M4 }, // 44
  { 0x0, 0x0, 0x1, 0x5, 0x3, PseudoVLE32FF_V_M8 }, // 45
  { 0x0, 0x0, 0x1, 0x5, 0x7, PseudoVLE32FF_V_MF2 }, // 46
  { 0x0, 0x0, 0x1, 0x6, 0x0, PseudoVLE64FF_V_M1 }, // 47
  { 0x0, 0x0, 0x1, 0x6, 0x1, PseudoVLE64FF_V_M2 }, // 48
  { 0x0, 0x0, 0x1, 0x6, 0x2, PseudoVLE64FF_V_M4 }, // 49
  { 0x0, 0x0, 0x1, 0x6, 0x3, PseudoVLE64FF_V_M8 }, // 50
  { 0x0, 0x1, 0x0, 0x3, 0x0, PseudoVLSE8_V_M1 }, // 51
  { 0x0, 0x1, 0x0, 0x3, 0x1, PseudoVLSE8_V_M2 }, // 52
  { 0x0, 0x1, 0x0, 0x3, 0x2, PseudoVLSE8_V_M4 }, // 53
  { 0x0, 0x1, 0x0, 0x3, 0x3, PseudoVLSE8_V_M8 }, // 54
  { 0x0, 0x1, 0x0, 0x3, 0x5, PseudoVLSE8_V_MF8 }, // 55
  { 0x0, 0x1, 0x0, 0x3, 0x6, PseudoVLSE8_V_MF4 }, // 56
  { 0x0, 0x1, 0x0, 0x3, 0x7, PseudoVLSE8_V_MF2 }, // 57
  { 0x0, 0x1, 0x0, 0x4, 0x0, PseudoVLSE16_V_M1 }, // 58
  { 0x0, 0x1, 0x0, 0x4, 0x1, PseudoVLSE16_V_M2 }, // 59
  { 0x0, 0x1, 0x0, 0x4, 0x2, PseudoVLSE16_V_M4 }, // 60
  { 0x0, 0x1, 0x0, 0x4, 0x3, PseudoVLSE16_V_M8 }, // 61
  { 0x0, 0x1, 0x0, 0x4, 0x6, PseudoVLSE16_V_MF4 }, // 62
  { 0x0, 0x1, 0x0, 0x4, 0x7, PseudoVLSE16_V_MF2 }, // 63
  { 0x0, 0x1, 0x0, 0x5, 0x0, PseudoVLSE32_V_M1 }, // 64
  { 0x0, 0x1, 0x0, 0x5, 0x1, PseudoVLSE32_V_M2 }, // 65
  { 0x0, 0x1, 0x0, 0x5, 0x2, PseudoVLSE32_V_M4 }, // 66
  { 0x0, 0x1, 0x0, 0x5, 0x3, PseudoVLSE32_V_M8 }, // 67
  { 0x0, 0x1, 0x0, 0x5, 0x7, PseudoVLSE32_V_MF2 }, // 68
  { 0x0, 0x1, 0x0, 0x6, 0x0, PseudoVLSE64_V_M1 }, // 69
  { 0x0, 0x1, 0x0, 0x6, 0x1, PseudoVLSE64_V_M2 }, // 70
  { 0x0, 0x1, 0x0, 0x6, 0x2, PseudoVLSE64_V_M4 }, // 71
  { 0x0, 0x1, 0x0, 0x6, 0x3, PseudoVLSE64_V_M8 }, // 72
  { 0x1, 0x0, 0x0, 0x3, 0x0, PseudoVLE8_V_M1_MASK }, // 73
  { 0x1, 0x0, 0x0, 0x3, 0x1, PseudoVLE8_V_M2_MASK }, // 74
  { 0x1, 0x0, 0x0, 0x3, 0x2, PseudoVLE8_V_M4_MASK }, // 75
  { 0x1, 0x0, 0x0, 0x3, 0x3, PseudoVLE8_V_M8_MASK }, // 76
  { 0x1, 0x0, 0x0, 0x3, 0x5, PseudoVLE8_V_MF8_MASK }, // 77
  { 0x1, 0x0, 0x0, 0x3, 0x6, PseudoVLE8_V_MF4_MASK }, // 78
  { 0x1, 0x0, 0x0, 0x3, 0x7, PseudoVLE8_V_MF2_MASK }, // 79
  { 0x1, 0x0, 0x0, 0x4, 0x0, PseudoVLE16_V_M1_MASK }, // 80
  { 0x1, 0x0, 0x0, 0x4, 0x1, PseudoVLE16_V_M2_MASK }, // 81
  { 0x1, 0x0, 0x0, 0x4, 0x2, PseudoVLE16_V_M4_MASK }, // 82
  { 0x1, 0x0, 0x0, 0x4, 0x3, PseudoVLE16_V_M8_MASK }, // 83
  { 0x1, 0x0, 0x0, 0x4, 0x6, PseudoVLE16_V_MF4_MASK }, // 84
  { 0x1, 0x0, 0x0, 0x4, 0x7, PseudoVLE16_V_MF2_MASK }, // 85
  { 0x1, 0x0, 0x0, 0x5, 0x0, PseudoVLE32_V_M1_MASK }, // 86
  { 0x1, 0x0, 0x0, 0x5, 0x1, PseudoVLE32_V_M2_MASK }, // 87
  { 0x1, 0x0, 0x0, 0x5, 0x2, PseudoVLE32_V_M4_MASK }, // 88
  { 0x1, 0x0, 0x0, 0x5, 0x3, PseudoVLE32_V_M8_MASK }, // 89
  { 0x1, 0x0, 0x0, 0x5, 0x7, PseudoVLE32_V_MF2_MASK }, // 90
  { 0x1, 0x0, 0x0, 0x6, 0x0, PseudoVLE64_V_M1_MASK }, // 91
  { 0x1, 0x0, 0x0, 0x6, 0x1, PseudoVLE64_V_M2_MASK }, // 92
  { 0x1, 0x0, 0x0, 0x6, 0x2, PseudoVLE64_V_M4_MASK }, // 93
  { 0x1, 0x0, 0x0, 0x6, 0x3, PseudoVLE64_V_M8_MASK }, // 94
  { 0x1, 0x0, 0x1, 0x3, 0x0, PseudoVLE8FF_V_M1_MASK }, // 95
  { 0x1, 0x0, 0x1, 0x3, 0x1, PseudoVLE8FF_V_M2_MASK }, // 96
  { 0x1, 0x0, 0x1, 0x3, 0x2, PseudoVLE8FF_V_M4_MASK }, // 97
  { 0x1, 0x0, 0x1, 0x3, 0x3, PseudoVLE8FF_V_M8_MASK }, // 98
  { 0x1, 0x0, 0x1, 0x3, 0x5, PseudoVLE8FF_V_MF8_MASK }, // 99
  { 0x1, 0x0, 0x1, 0x3, 0x6, PseudoVLE8FF_V_MF4_MASK }, // 100
  { 0x1, 0x0, 0x1, 0x3, 0x7, PseudoVLE8FF_V_MF2_MASK }, // 101
  { 0x1, 0x0, 0x1, 0x4, 0x0, PseudoVLE16FF_V_M1_MASK }, // 102
  { 0x1, 0x0, 0x1, 0x4, 0x1, PseudoVLE16FF_V_M2_MASK }, // 103
  { 0x1, 0x0, 0x1, 0x4, 0x2, PseudoVLE16FF_V_M4_MASK }, // 104
  { 0x1, 0x0, 0x1, 0x4, 0x3, PseudoVLE16FF_V_M8_MASK }, // 105
  { 0x1, 0x0, 0x1, 0x4, 0x6, PseudoVLE16FF_V_MF4_MASK }, // 106
  { 0x1, 0x0, 0x1, 0x4, 0x7, PseudoVLE16FF_V_MF2_MASK }, // 107
  { 0x1, 0x0, 0x1, 0x5, 0x0, PseudoVLE32FF_V_M1_MASK }, // 108
  { 0x1, 0x0, 0x1, 0x5, 0x1, PseudoVLE32FF_V_M2_MASK }, // 109
  { 0x1, 0x0, 0x1, 0x5, 0x2, PseudoVLE32FF_V_M4_MASK }, // 110
  { 0x1, 0x0, 0x1, 0x5, 0x3, PseudoVLE32FF_V_M8_MASK }, // 111
  { 0x1, 0x0, 0x1, 0x5, 0x7, PseudoVLE32FF_V_MF2_MASK }, // 112
  { 0x1, 0x0, 0x1, 0x6, 0x0, PseudoVLE64FF_V_M1_MASK }, // 113
  { 0x1, 0x0, 0x1, 0x6, 0x1, PseudoVLE64FF_V_M2_MASK }, // 114
  { 0x1, 0x0, 0x1, 0x6, 0x2, PseudoVLE64FF_V_M4_MASK }, // 115
  { 0x1, 0x0, 0x1, 0x6, 0x3, PseudoVLE64FF_V_M8_MASK }, // 116
  { 0x1, 0x1, 0x0, 0x3, 0x0, PseudoVLSE8_V_M1_MASK }, // 117
  { 0x1, 0x1, 0x0, 0x3, 0x1, PseudoVLSE8_V_M2_MASK }, // 118
  { 0x1, 0x1, 0x0, 0x3, 0x2, PseudoVLSE8_V_M4_MASK }, // 119
  { 0x1, 0x1, 0x0, 0x3, 0x3, PseudoVLSE8_V_M8_MASK }, // 120
  { 0x1, 0x1, 0x0, 0x3, 0x5, PseudoVLSE8_V_MF8_MASK }, // 121
  { 0x1, 0x1, 0x0, 0x3, 0x6, PseudoVLSE8_V_MF4_MASK }, // 122
  { 0x1, 0x1, 0x0, 0x3, 0x7, PseudoVLSE8_V_MF2_MASK }, // 123
  { 0x1, 0x1, 0x0, 0x4, 0x0, PseudoVLSE16_V_M1_MASK }, // 124
  { 0x1, 0x1, 0x0, 0x4, 0x1, PseudoVLSE16_V_M2_MASK }, // 125
  { 0x1, 0x1, 0x0, 0x4, 0x2, PseudoVLSE16_V_M4_MASK }, // 126
  { 0x1, 0x1, 0x0, 0x4, 0x3, PseudoVLSE16_V_M8_MASK }, // 127
  { 0x1, 0x1, 0x0, 0x4, 0x6, PseudoVLSE16_V_MF4_MASK }, // 128
  { 0x1, 0x1, 0x0, 0x4, 0x7, PseudoVLSE16_V_MF2_MASK }, // 129
  { 0x1, 0x1, 0x0, 0x5, 0x0, PseudoVLSE32_V_M1_MASK }, // 130
  { 0x1, 0x1, 0x0, 0x5, 0x1, PseudoVLSE32_V_M2_MASK }, // 131
  { 0x1, 0x1, 0x0, 0x5, 0x2, PseudoVLSE32_V_M4_MASK }, // 132
  { 0x1, 0x1, 0x0, 0x5, 0x3, PseudoVLSE32_V_M8_MASK }, // 133
  { 0x1, 0x1, 0x0, 0x5, 0x7, PseudoVLSE32_V_MF2_MASK }, // 134
  { 0x1, 0x1, 0x0, 0x6, 0x0, PseudoVLSE64_V_M1_MASK }, // 135
  { 0x1, 0x1, 0x0, 0x6, 0x1, PseudoVLSE64_V_M2_MASK }, // 136
  { 0x1, 0x1, 0x0, 0x6, 0x2, PseudoVLSE64_V_M4_MASK }, // 137
  { 0x1, 0x1, 0x0, 0x6, 0x3, PseudoVLSE64_V_M8_MASK }, // 138
 };

const VLEPseudo *getVLEPseudo(uint8_t Masked, uint8_t Strided, uint8_t FF, uint8_t Log2SEW, uint8_t LMUL) {
  struct KeyType {
    uint8_t Masked;
    uint8_t Strided;
    uint8_t FF;
    uint8_t Log2SEW;
    uint8_t LMUL;
  };
  KeyType Key = {Masked, Strided, FF, Log2SEW, LMUL};
  auto Table = makeArrayRef(RISCVVLETable);
  auto Idx = std::lower_bound(Table.begin(), Table.end(), Key,
    [](const VLEPseudo &LHS, const KeyType &RHS) {
      if (LHS.Masked < RHS.Masked)
        return true;
      if (LHS.Masked > RHS.Masked)
        return false;
      if (LHS.Strided < RHS.Strided)
        return true;
      if (LHS.Strided > RHS.Strided)
        return false;
      if (LHS.FF < RHS.FF)
        return true;
      if (LHS.FF > RHS.FF)
        return false;
      if (LHS.Log2SEW < RHS.Log2SEW)
        return true;
      if (LHS.Log2SEW > RHS.Log2SEW)
        return false;
      if (LHS.LMUL < RHS.LMUL)
        return true;
      if (LHS.LMUL > RHS.LMUL)
        return false;
      return false;
    });

  if (Idx == Table.end() ||
      Key.Masked != Idx->Masked ||
      Key.Strided != Idx->Strided ||
      Key.FF != Idx->FF ||
      Key.Log2SEW != Idx->Log2SEW ||
      Key.LMUL != Idx->LMUL)
    return nullptr;
  return &*Idx;
}
#endif

#ifdef GET_RISCVVLSEGTable_DECL
const VLSEGPseudo *getVLSEGPseudo(uint8_t NF, uint8_t Masked, uint8_t Strided, uint8_t FF, uint8_t Log2SEW, uint8_t LMUL);
#endif

#ifdef GET_RISCVVLSEGTable_IMPL
constexpr VLSEGPseudo RISCVVLSEGTable[] = {
  { 0x2, 0x0, 0x0, 0x0, 0x3, 0x0, PseudoVLSEG2E8_V_M1 }, // 0
  { 0x2, 0x0, 0x0, 0x0, 0x3, 0x1, PseudoVLSEG2E8_V_M2 }, // 1
  { 0x2, 0x0, 0x0, 0x0, 0x3, 0x2, PseudoVLSEG2E8_V_M4 }, // 2
  { 0x2, 0x0, 0x0, 0x0, 0x3, 0x5, PseudoVLSEG2E8_V_MF8 }, // 3
  { 0x2, 0x0, 0x0, 0x0, 0x3, 0x6, PseudoVLSEG2E8_V_MF4 }, // 4
  { 0x2, 0x0, 0x0, 0x0, 0x3, 0x7, PseudoVLSEG2E8_V_MF2 }, // 5
  { 0x2, 0x0, 0x0, 0x0, 0x4, 0x0, PseudoVLSEG2E16_V_M1 }, // 6
  { 0x2, 0x0, 0x0, 0x0, 0x4, 0x1, PseudoVLSEG2E16_V_M2 }, // 7
  { 0x2, 0x0, 0x0, 0x0, 0x4, 0x2, PseudoVLSEG2E16_V_M4 }, // 8
  { 0x2, 0x0, 0x0, 0x0, 0x4, 0x6, PseudoVLSEG2E16_V_MF4 }, // 9
  { 0x2, 0x0, 0x0, 0x0, 0x4, 0x7, PseudoVLSEG2E16_V_MF2 }, // 10
  { 0x2, 0x0, 0x0, 0x0, 0x5, 0x0, PseudoVLSEG2E32_V_M1 }, // 11
  { 0x2, 0x0, 0x0, 0x0, 0x5, 0x1, PseudoVLSEG2E32_V_M2 }, // 12
  { 0x2, 0x0, 0x0, 0x0, 0x5, 0x2, PseudoVLSEG2E32_V_M4 }, // 13
  { 0x2, 0x0, 0x0, 0x0, 0x5, 0x7, PseudoVLSEG2E32_V_MF2 }, // 14
  { 0x2, 0x0, 0x0, 0x0, 0x6, 0x0, PseudoVLSEG2E64_V_M1 }, // 15
  { 0x2, 0x0, 0x0, 0x0, 0x6, 0x1, PseudoVLSEG2E64_V_M2 }, // 16
  { 0x2, 0x0, 0x0, 0x0, 0x6, 0x2, PseudoVLSEG2E64_V_M4 }, // 17
  { 0x2, 0x0, 0x0, 0x1, 0x3, 0x0, PseudoVLSEG2E8FF_V_M1 }, // 18
  { 0x2, 0x0, 0x0, 0x1, 0x3, 0x1, PseudoVLSEG2E8FF_V_M2 }, // 19
  { 0x2, 0x0, 0x0, 0x1, 0x3, 0x2, PseudoVLSEG2E8FF_V_M4 }, // 20
  { 0x2, 0x0, 0x0, 0x1, 0x3, 0x5, PseudoVLSEG2E8FF_V_MF8 }, // 21
  { 0x2, 0x0, 0x0, 0x1, 0x3, 0x6, PseudoVLSEG2E8FF_V_MF4 }, // 22
  { 0x2, 0x0, 0x0, 0x1, 0x3, 0x7, PseudoVLSEG2E8FF_V_MF2 }, // 23
  { 0x2, 0x0, 0x0, 0x1, 0x4, 0x0, PseudoVLSEG2E16FF_V_M1 }, // 24
  { 0x2, 0x0, 0x0, 0x1, 0x4, 0x1, PseudoVLSEG2E16FF_V_M2 }, // 25
  { 0x2, 0x0, 0x0, 0x1, 0x4, 0x2, PseudoVLSEG2E16FF_V_M4 }, // 26
  { 0x2, 0x0, 0x0, 0x1, 0x4, 0x6, PseudoVLSEG2E16FF_V_MF4 }, // 27
  { 0x2, 0x0, 0x0, 0x1, 0x4, 0x7, PseudoVLSEG2E16FF_V_MF2 }, // 28
  { 0x2, 0x0, 0x0, 0x1, 0x5, 0x0, PseudoVLSEG2E32FF_V_M1 }, // 29
  { 0x2, 0x0, 0x0, 0x1, 0x5, 0x1, PseudoVLSEG2E32FF_V_M2 }, // 30
  { 0x2, 0x0, 0x0, 0x1, 0x5, 0x2, PseudoVLSEG2E32FF_V_M4 }, // 31
  { 0x2, 0x0, 0x0, 0x1, 0x5, 0x7, PseudoVLSEG2E32FF_V_MF2 }, // 32
  { 0x2, 0x0, 0x0, 0x1, 0x6, 0x0, PseudoVLSEG2E64FF_V_M1 }, // 33
  { 0x2, 0x0, 0x0, 0x1, 0x6, 0x1, PseudoVLSEG2E64FF_V_M2 }, // 34
  { 0x2, 0x0, 0x0, 0x1, 0x6, 0x2, PseudoVLSEG2E64FF_V_M4 }, // 35
  { 0x2, 0x0, 0x1, 0x0, 0x3, 0x0, PseudoVLSSEG2E8_V_M1 }, // 36
  { 0x2, 0x0, 0x1, 0x0, 0x3, 0x1, PseudoVLSSEG2E8_V_M2 }, // 37
  { 0x2, 0x0, 0x1, 0x0, 0x3, 0x2, PseudoVLSSEG2E8_V_M4 }, // 38
  { 0x2, 0x0, 0x1, 0x0, 0x3, 0x5, PseudoVLSSEG2E8_V_MF8 }, // 39
  { 0x2, 0x0, 0x1, 0x0, 0x3, 0x6, PseudoVLSSEG2E8_V_MF4 }, // 40
  { 0x2, 0x0, 0x1, 0x0, 0x3, 0x7, PseudoVLSSEG2E8_V_MF2 }, // 41
  { 0x2, 0x0, 0x1, 0x0, 0x4, 0x0, PseudoVLSSEG2E16_V_M1 }, // 42
  { 0x2, 0x0, 0x1, 0x0, 0x4, 0x1, PseudoVLSSEG2E16_V_M2 }, // 43
  { 0x2, 0x0, 0x1, 0x0, 0x4, 0x2, PseudoVLSSEG2E16_V_M4 }, // 44
  { 0x2, 0x0, 0x1, 0x0, 0x4, 0x6, PseudoVLSSEG2E16_V_MF4 }, // 45
  { 0x2, 0x0, 0x1, 0x0, 0x4, 0x7, PseudoVLSSEG2E16_V_MF2 }, // 46
  { 0x2, 0x0, 0x1, 0x0, 0x5, 0x0, PseudoVLSSEG2E32_V_M1 }, // 47
  { 0x2, 0x0, 0x1, 0x0, 0x5, 0x1, PseudoVLSSEG2E32_V_M2 }, // 48
  { 0x2, 0x0, 0x1, 0x0, 0x5, 0x2, PseudoVLSSEG2E32_V_M4 }, // 49
  { 0x2, 0x0, 0x1, 0x0, 0x5, 0x7, PseudoVLSSEG2E32_V_MF2 }, // 50
  { 0x2, 0x0, 0x1, 0x0, 0x6, 0x0, PseudoVLSSEG2E64_V_M1 }, // 51
  { 0x2, 0x0, 0x1, 0x0, 0x6, 0x1, PseudoVLSSEG2E64_V_M2 }, // 52
  { 0x2, 0x0, 0x1, 0x0, 0x6, 0x2, PseudoVLSSEG2E64_V_M4 }, // 53
  { 0x2, 0x1, 0x0, 0x0, 0x3, 0x0, PseudoVLSEG2E8_V_M1_MASK }, // 54
  { 0x2, 0x1, 0x0, 0x0, 0x3, 0x1, PseudoVLSEG2E8_V_M2_MASK }, // 55
  { 0x2, 0x1, 0x0, 0x0, 0x3, 0x2, PseudoVLSEG2E8_V_M4_MASK }, // 56
  { 0x2, 0x1, 0x0, 0x0, 0x3, 0x5, PseudoVLSEG2E8_V_MF8_MASK }, // 57
  { 0x2, 0x1, 0x0, 0x0, 0x3, 0x6, PseudoVLSEG2E8_V_MF4_MASK }, // 58
  { 0x2, 0x1, 0x0, 0x0, 0x3, 0x7, PseudoVLSEG2E8_V_MF2_MASK }, // 59
  { 0x2, 0x1, 0x0, 0x0, 0x4, 0x0, PseudoVLSEG2E16_V_M1_MASK }, // 60
  { 0x2, 0x1, 0x0, 0x0, 0x4, 0x1, PseudoVLSEG2E16_V_M2_MASK }, // 61
  { 0x2, 0x1, 0x0, 0x0, 0x4, 0x2, PseudoVLSEG2E16_V_M4_MASK }, // 62
  { 0x2, 0x1, 0x0, 0x0, 0x4, 0x6, PseudoVLSEG2E16_V_MF4_MASK }, // 63
  { 0x2, 0x1, 0x0, 0x0, 0x4, 0x7, PseudoVLSEG2E16_V_MF2_MASK }, // 64
  { 0x2, 0x1, 0x0, 0x0, 0x5, 0x0, PseudoVLSEG2E32_V_M1_MASK }, // 65
  { 0x2, 0x1, 0x0, 0x0, 0x5, 0x1, PseudoVLSEG2E32_V_M2_MASK }, // 66
  { 0x2, 0x1, 0x0, 0x0, 0x5, 0x2, PseudoVLSEG2E32_V_M4_MASK }, // 67
  { 0x2, 0x1, 0x0, 0x0, 0x5, 0x7, PseudoVLSEG2E32_V_MF2_MASK }, // 68
  { 0x2, 0x1, 0x0, 0x0, 0x6, 0x0, PseudoVLSEG2E64_V_M1_MASK }, // 69
  { 0x2, 0x1, 0x0, 0x0, 0x6, 0x1, PseudoVLSEG2E64_V_M2_MASK }, // 70
  { 0x2, 0x1, 0x0, 0x0, 0x6, 0x2, PseudoVLSEG2E64_V_M4_MASK }, // 71
  { 0x2, 0x1, 0x0, 0x1, 0x3, 0x0, PseudoVLSEG2E8FF_V_M1_MASK }, // 72
  { 0x2, 0x1, 0x0, 0x1, 0x3, 0x1, PseudoVLSEG2E8FF_V_M2_MASK }, // 73
  { 0x2, 0x1, 0x0, 0x1, 0x3, 0x2, PseudoVLSEG2E8FF_V_M4_MASK }, // 74
  { 0x2, 0x1, 0x0, 0x1, 0x3, 0x5, PseudoVLSEG2E8FF_V_MF8_MASK }, // 75
  { 0x2, 0x1, 0x0, 0x1, 0x3, 0x6, PseudoVLSEG2E8FF_V_MF4_MASK }, // 76
  { 0x2, 0x1, 0x0, 0x1, 0x3, 0x7, PseudoVLSEG2E8FF_V_MF2_MASK }, // 77
  { 0x2, 0x1, 0x0, 0x1, 0x4, 0x0, PseudoVLSEG2E16FF_V_M1_MASK }, // 78
  { 0x2, 0x1, 0x0, 0x1, 0x4, 0x1, PseudoVLSEG2E16FF_V_M2_MASK }, // 79
  { 0x2, 0x1, 0x0, 0x1, 0x4, 0x2, PseudoVLSEG2E16FF_V_M4_MASK }, // 80
  { 0x2, 0x1, 0x0, 0x1, 0x4, 0x6, PseudoVLSEG2E16FF_V_MF4_MASK }, // 81
  { 0x2, 0x1, 0x0, 0x1, 0x4, 0x7, PseudoVLSEG2E16FF_V_MF2_MASK }, // 82
  { 0x2, 0x1, 0x0, 0x1, 0x5, 0x0, PseudoVLSEG2E32FF_V_M1_MASK }, // 83
  { 0x2, 0x1, 0x0, 0x1, 0x5, 0x1, PseudoVLSEG2E32FF_V_M2_MASK }, // 84
  { 0x2, 0x1, 0x0, 0x1, 0x5, 0x2, PseudoVLSEG2E32FF_V_M4_MASK }, // 85
  { 0x2, 0x1, 0x0, 0x1, 0x5, 0x7, PseudoVLSEG2E32FF_V_MF2_MASK }, // 86
  { 0x2, 0x1, 0x0, 0x1, 0x6, 0x0, PseudoVLSEG2E64FF_V_M1_MASK }, // 87
  { 0x2, 0x1, 0x0, 0x1, 0x6, 0x1, PseudoVLSEG2E64FF_V_M2_MASK }, // 88
  { 0x2, 0x1, 0x0, 0x1, 0x6, 0x2, PseudoVLSEG2E64FF_V_M4_MASK }, // 89
  { 0x2, 0x1, 0x1, 0x0, 0x3, 0x0, PseudoVLSSEG2E8_V_M1_MASK }, // 90
  { 0x2, 0x1, 0x1, 0x0, 0x3, 0x1, PseudoVLSSEG2E8_V_M2_MASK }, // 91
  { 0x2, 0x1, 0x1, 0x0, 0x3, 0x2, PseudoVLSSEG2E8_V_M4_MASK }, // 92
  { 0x2, 0x1, 0x1, 0x0, 0x3, 0x5, PseudoVLSSEG2E8_V_MF8_MASK }, // 93
  { 0x2, 0x1, 0x1, 0x0, 0x3, 0x6, PseudoVLSSEG2E8_V_MF4_MASK }, // 94
  { 0x2, 0x1, 0x1, 0x0, 0x3, 0x7, PseudoVLSSEG2E8_V_MF2_MASK }, // 95
  { 0x2, 0x1, 0x1, 0x0, 0x4, 0x0, PseudoVLSSEG2E16_V_M1_MASK }, // 96
  { 0x2, 0x1, 0x1, 0x0, 0x4, 0x1, PseudoVLSSEG2E16_V_M2_MASK }, // 97
  { 0x2, 0x1, 0x1, 0x0, 0x4, 0x2, PseudoVLSSEG2E16_V_M4_MASK }, // 98
  { 0x2, 0x1, 0x1, 0x0, 0x4, 0x6, PseudoVLSSEG2E16_V_MF4_MASK }, // 99
  { 0x2, 0x1, 0x1, 0x0, 0x4, 0x7, PseudoVLSSEG2E16_V_MF2_MASK }, // 100
  { 0x2, 0x1, 0x1, 0x0, 0x5, 0x0, PseudoVLSSEG2E32_V_M1_MASK }, // 101
  { 0x2, 0x1, 0x1, 0x0, 0x5, 0x1, PseudoVLSSEG2E32_V_M2_MASK }, // 102
  { 0x2, 0x1, 0x1, 0x0, 0x5, 0x2, PseudoVLSSEG2E32_V_M4_MASK }, // 103
  { 0x2, 0x1, 0x1, 0x0, 0x5, 0x7, PseudoVLSSEG2E32_V_MF2_MASK }, // 104
  { 0x2, 0x1, 0x1, 0x0, 0x6, 0x0, PseudoVLSSEG2E64_V_M1_MASK }, // 105
  { 0x2, 0x1, 0x1, 0x0, 0x6, 0x1, PseudoVLSSEG2E64_V_M2_MASK }, // 106
  { 0x2, 0x1, 0x1, 0x0, 0x6, 0x2, PseudoVLSSEG2E64_V_M4_MASK }, // 107
  { 0x3, 0x0, 0x0, 0x0, 0x3, 0x0, PseudoVLSEG3E8_V_M1 }, // 108
  { 0x3, 0x0, 0x0, 0x0, 0x3, 0x1, PseudoVLSEG3E8_V_M2 }, // 109
  { 0x3, 0x0, 0x0, 0x0, 0x3, 0x5, PseudoVLSEG3E8_V_MF8 }, // 110
  { 0x3, 0x0, 0x0, 0x0, 0x3, 0x6, PseudoVLSEG3E8_V_MF4 }, // 111
  { 0x3, 0x0, 0x0, 0x0, 0x3, 0x7, PseudoVLSEG3E8_V_MF2 }, // 112
  { 0x3, 0x0, 0x0, 0x0, 0x4, 0x0, PseudoVLSEG3E16_V_M1 }, // 113
  { 0x3, 0x0, 0x0, 0x0, 0x4, 0x1, PseudoVLSEG3E16_V_M2 }, // 114
  { 0x3, 0x0, 0x0, 0x0, 0x4, 0x6, PseudoVLSEG3E16_V_MF4 }, // 115
  { 0x3, 0x0, 0x0, 0x0, 0x4, 0x7, PseudoVLSEG3E16_V_MF2 }, // 116
  { 0x3, 0x0, 0x0, 0x0, 0x5, 0x0, PseudoVLSEG3E32_V_M1 }, // 117
  { 0x3, 0x0, 0x0, 0x0, 0x5, 0x1, PseudoVLSEG3E32_V_M2 }, // 118
  { 0x3, 0x0, 0x0, 0x0, 0x5, 0x7, PseudoVLSEG3E32_V_MF2 }, // 119
  { 0x3, 0x0, 0x0, 0x0, 0x6, 0x0, PseudoVLSEG3E64_V_M1 }, // 120
  { 0x3, 0x0, 0x0, 0x0, 0x6, 0x1, PseudoVLSEG3E64_V_M2 }, // 121
  { 0x3, 0x0, 0x0, 0x1, 0x3, 0x0, PseudoVLSEG3E8FF_V_M1 }, // 122
  { 0x3, 0x0, 0x0, 0x1, 0x3, 0x1, PseudoVLSEG3E8FF_V_M2 }, // 123
  { 0x3, 0x0, 0x0, 0x1, 0x3, 0x5, PseudoVLSEG3E8FF_V_MF8 }, // 124
  { 0x3, 0x0, 0x0, 0x1, 0x3, 0x6, PseudoVLSEG3E8FF_V_MF4 }, // 125
  { 0x3, 0x0, 0x0, 0x1, 0x3, 0x7, PseudoVLSEG3E8FF_V_MF2 }, // 126
  { 0x3, 0x0, 0x0, 0x1, 0x4, 0x0, PseudoVLSEG3E16FF_V_M1 }, // 127
  { 0x3, 0x0, 0x0, 0x1, 0x4, 0x1, PseudoVLSEG3E16FF_V_M2 }, // 128
  { 0x3, 0x0, 0x0, 0x1, 0x4, 0x6, PseudoVLSEG3E16FF_V_MF4 }, // 129
  { 0x3, 0x0, 0x0, 0x1, 0x4, 0x7, PseudoVLSEG3E16FF_V_MF2 }, // 130
  { 0x3, 0x0, 0x0, 0x1, 0x5, 0x0, PseudoVLSEG3E32FF_V_M1 }, // 131
  { 0x3, 0x0, 0x0, 0x1, 0x5, 0x1, PseudoVLSEG3E32FF_V_M2 }, // 132
  { 0x3, 0x0, 0x0, 0x1, 0x5, 0x7, PseudoVLSEG3E32FF_V_MF2 }, // 133
  { 0x3, 0x0, 0x0, 0x1, 0x6, 0x0, PseudoVLSEG3E64FF_V_M1 }, // 134
  { 0x3, 0x0, 0x0, 0x1, 0x6, 0x1, PseudoVLSEG3E64FF_V_M2 }, // 135
  { 0x3, 0x0, 0x1, 0x0, 0x3, 0x0, PseudoVLSSEG3E8_V_M1 }, // 136
  { 0x3, 0x0, 0x1, 0x0, 0x3, 0x1, PseudoVLSSEG3E8_V_M2 }, // 137
  { 0x3, 0x0, 0x1, 0x0, 0x3, 0x5, PseudoVLSSEG3E8_V_MF8 }, // 138
  { 0x3, 0x0, 0x1, 0x0, 0x3, 0x6, PseudoVLSSEG3E8_V_MF4 }, // 139
  { 0x3, 0x0, 0x1, 0x0, 0x3, 0x7, PseudoVLSSEG3E8_V_MF2 }, // 140
  { 0x3, 0x0, 0x1, 0x0, 0x4, 0x0, PseudoVLSSEG3E16_V_M1 }, // 141
  { 0x3, 0x0, 0x1, 0x0, 0x4, 0x1, PseudoVLSSEG3E16_V_M2 }, // 142
  { 0x3, 0x0, 0x1, 0x0, 0x4, 0x6, PseudoVLSSEG3E16_V_MF4 }, // 143
  { 0x3, 0x0, 0x1, 0x0, 0x4, 0x7, PseudoVLSSEG3E16_V_MF2 }, // 144
  { 0x3, 0x0, 0x1, 0x0, 0x5, 0x0, PseudoVLSSEG3E32_V_M1 }, // 145
  { 0x3, 0x0, 0x1, 0x0, 0x5, 0x1, PseudoVLSSEG3E32_V_M2 }, // 146
  { 0x3, 0x0, 0x1, 0x0, 0x5, 0x7, PseudoVLSSEG3E32_V_MF2 }, // 147
  { 0x3, 0x0, 0x1, 0x0, 0x6, 0x0, PseudoVLSSEG3E64_V_M1 }, // 148
  { 0x3, 0x0, 0x1, 0x0, 0x6, 0x1, PseudoVLSSEG3E64_V_M2 }, // 149
  { 0x3, 0x1, 0x0, 0x0, 0x3, 0x0, PseudoVLSEG3E8_V_M1_MASK }, // 150
  { 0x3, 0x1, 0x0, 0x0, 0x3, 0x1, PseudoVLSEG3E8_V_M2_MASK }, // 151
  { 0x3, 0x1, 0x0, 0x0, 0x3, 0x5, PseudoVLSEG3E8_V_MF8_MASK }, // 152
  { 0x3, 0x1, 0x0, 0x0, 0x3, 0x6, PseudoVLSEG3E8_V_MF4_MASK }, // 153
  { 0x3, 0x1, 0x0, 0x0, 0x3, 0x7, PseudoVLSEG3E8_V_MF2_MASK }, // 154
  { 0x3, 0x1, 0x0, 0x0, 0x4, 0x0, PseudoVLSEG3E16_V_M1_MASK }, // 155
  { 0x3, 0x1, 0x0, 0x0, 0x4, 0x1, PseudoVLSEG3E16_V_M2_MASK }, // 156
  { 0x3, 0x1, 0x0, 0x0, 0x4, 0x6, PseudoVLSEG3E16_V_MF4_MASK }, // 157
  { 0x3, 0x1, 0x0, 0x0, 0x4, 0x7, PseudoVLSEG3E16_V_MF2_MASK }, // 158
  { 0x3, 0x1, 0x0, 0x0, 0x5, 0x0, PseudoVLSEG3E32_V_M1_MASK }, // 159
  { 0x3, 0x1, 0x0, 0x0, 0x5, 0x1, PseudoVLSEG3E32_V_M2_MASK }, // 160
  { 0x3, 0x1, 0x0, 0x0, 0x5, 0x7, PseudoVLSEG3E32_V_MF2_MASK }, // 161
  { 0x3, 0x1, 0x0, 0x0, 0x6, 0x0, PseudoVLSEG3E64_V_M1_MASK }, // 162
  { 0x3, 0x1, 0x0, 0x0, 0x6, 0x1, PseudoVLSEG3E64_V_M2_MASK }, // 163
  { 0x3, 0x1, 0x0, 0x1, 0x3, 0x0, PseudoVLSEG3E8FF_V_M1_MASK }, // 164
  { 0x3, 0x1, 0x0, 0x1, 0x3, 0x1, PseudoVLSEG3E8FF_V_M2_MASK }, // 165
  { 0x3, 0x1, 0x0, 0x1, 0x3, 0x5, PseudoVLSEG3E8FF_V_MF8_MASK }, // 166
  { 0x3, 0x1, 0x0, 0x1, 0x3, 0x6, PseudoVLSEG3E8FF_V_MF4_MASK }, // 167
  { 0x3, 0x1, 0x0, 0x1, 0x3, 0x7, PseudoVLSEG3E8FF_V_MF2_MASK }, // 168
  { 0x3, 0x1, 0x0, 0x1, 0x4, 0x0, PseudoVLSEG3E16FF_V_M1_MASK }, // 169
  { 0x3, 0x1, 0x0, 0x1, 0x4, 0x1, PseudoVLSEG3E16FF_V_M2_MASK }, // 170
  { 0x3, 0x1, 0x0, 0x1, 0x4, 0x6, PseudoVLSEG3E16FF_V_MF4_MASK }, // 171
  { 0x3, 0x1, 0x0, 0x1, 0x4, 0x7, PseudoVLSEG3E16FF_V_MF2_MASK }, // 172
  { 0x3, 0x1, 0x0, 0x1, 0x5, 0x0, PseudoVLSEG3E32FF_V_M1_MASK }, // 173
  { 0x3, 0x1, 0x0, 0x1, 0x5, 0x1, PseudoVLSEG3E32FF_V_M2_MASK }, // 174
  { 0x3, 0x1, 0x0, 0x1, 0x5, 0x7, PseudoVLSEG3E32FF_V_MF2_MASK }, // 175
  { 0x3, 0x1, 0x0, 0x1, 0x6, 0x0, PseudoVLSEG3E64FF_V_M1_MASK }, // 176
  { 0x3, 0x1, 0x0, 0x1, 0x6, 0x1, PseudoVLSEG3E64FF_V_M2_MASK }, // 177
  { 0x3, 0x1, 0x1, 0x0, 0x3, 0x0, PseudoVLSSEG3E8_V_M1_MASK }, // 178
  { 0x3, 0x1, 0x1, 0x0, 0x3, 0x1, PseudoVLSSEG3E8_V_M2_MASK }, // 179
  { 0x3, 0x1, 0x1, 0x0, 0x3, 0x5, PseudoVLSSEG3E8_V_MF8_MASK }, // 180
  { 0x3, 0x1, 0x1, 0x0, 0x3, 0x6, PseudoVLSSEG3E8_V_MF4_MASK }, // 181
  { 0x3, 0x1, 0x1, 0x0, 0x3, 0x7, PseudoVLSSEG3E8_V_MF2_MASK }, // 182
  { 0x3, 0x1, 0x1, 0x0, 0x4, 0x0, PseudoVLSSEG3E16_V_M1_MASK }, // 183
  { 0x3, 0x1, 0x1, 0x0, 0x4, 0x1, PseudoVLSSEG3E16_V_M2_MASK }, // 184
  { 0x3, 0x1, 0x1, 0x0, 0x4, 0x6, PseudoVLSSEG3E16_V_MF4_MASK }, // 185
  { 0x3, 0x1, 0x1, 0x0, 0x4, 0x7, PseudoVLSSEG3E16_V_MF2_MASK }, // 186
  { 0x3, 0x1, 0x1, 0x0, 0x5, 0x0, PseudoVLSSEG3E32_V_M1_MASK }, // 187
  { 0x3, 0x1, 0x1, 0x0, 0x5, 0x1, PseudoVLSSEG3E32_V_M2_MASK }, // 188
  { 0x3, 0x1, 0x1, 0x0, 0x5, 0x7, PseudoVLSSEG3E32_V_MF2_MASK }, // 189
  { 0x3, 0x1, 0x1, 0x0, 0x6, 0x0, PseudoVLSSEG3E64_V_M1_MASK }, // 190
  { 0x3, 0x1, 0x1, 0x0, 0x6, 0x1, PseudoVLSSEG3E64_V_M2_MASK }, // 191
  { 0x4, 0x0, 0x0, 0x0, 0x3, 0x0, PseudoVLSEG4E8_V_M1 }, // 192
  { 0x4, 0x0, 0x0, 0x0, 0x3, 0x1, PseudoVLSEG4E8_V_M2 }, // 193
  { 0x4, 0x0, 0x0, 0x0, 0x3, 0x5, PseudoVLSEG4E8_V_MF8 }, // 194
  { 0x4, 0x0, 0x0, 0x0, 0x3, 0x6, PseudoVLSEG4E8_V_MF4 }, // 195
  { 0x4, 0x0, 0x0, 0x0, 0x3, 0x7, PseudoVLSEG4E8_V_MF2 }, // 196
  { 0x4, 0x0, 0x0, 0x0, 0x4, 0x0, PseudoVLSEG4E16_V_M1 }, // 197
  { 0x4, 0x0, 0x0, 0x0, 0x4, 0x1, PseudoVLSEG4E16_V_M2 }, // 198
  { 0x4, 0x0, 0x0, 0x0, 0x4, 0x6, PseudoVLSEG4E16_V_MF4 }, // 199
  { 0x4, 0x0, 0x0, 0x0, 0x4, 0x7, PseudoVLSEG4E16_V_MF2 }, // 200
  { 0x4, 0x0, 0x0, 0x0, 0x5, 0x0, PseudoVLSEG4E32_V_M1 }, // 201
  { 0x4, 0x0, 0x0, 0x0, 0x5, 0x1, PseudoVLSEG4E32_V_M2 }, // 202
  { 0x4, 0x0, 0x0, 0x0, 0x5, 0x7, PseudoVLSEG4E32_V_MF2 }, // 203
  { 0x4, 0x0, 0x0, 0x0, 0x6, 0x0, PseudoVLSEG4E64_V_M1 }, // 204
  { 0x4, 0x0, 0x0, 0x0, 0x6, 0x1, PseudoVLSEG4E64_V_M2 }, // 205
  { 0x4, 0x0, 0x0, 0x1, 0x3, 0x0, PseudoVLSEG4E8FF_V_M1 }, // 206
  { 0x4, 0x0, 0x0, 0x1, 0x3, 0x1, PseudoVLSEG4E8FF_V_M2 }, // 207
  { 0x4, 0x0, 0x0, 0x1, 0x3, 0x5, PseudoVLSEG4E8FF_V_MF8 }, // 208
  { 0x4, 0x0, 0x0, 0x1, 0x3, 0x6, PseudoVLSEG4E8FF_V_MF4 }, // 209
  { 0x4, 0x0, 0x0, 0x1, 0x3, 0x7, PseudoVLSEG4E8FF_V_MF2 }, // 210
  { 0x4, 0x0, 0x0, 0x1, 0x4, 0x0, PseudoVLSEG4E16FF_V_M1 }, // 211
  { 0x4, 0x0, 0x0, 0x1, 0x4, 0x1, PseudoVLSEG4E16FF_V_M2 }, // 212
  { 0x4, 0x0, 0x0, 0x1, 0x4, 0x6, PseudoVLSEG4E16FF_V_MF4 }, // 213
  { 0x4, 0x0, 0x0, 0x1, 0x4, 0x7, PseudoVLSEG4E16FF_V_MF2 }, // 214
  { 0x4, 0x0, 0x0, 0x1, 0x5, 0x0, PseudoVLSEG4E32FF_V_M1 }, // 215
  { 0x4, 0x0, 0x0, 0x1, 0x5, 0x1, PseudoVLSEG4E32FF_V_M2 }, // 216
  { 0x4, 0x0, 0x0, 0x1, 0x5, 0x7, PseudoVLSEG4E32FF_V_MF2 }, // 217
  { 0x4, 0x0, 0x0, 0x1, 0x6, 0x0, PseudoVLSEG4E64FF_V_M1 }, // 218
  { 0x4, 0x0, 0x0, 0x1, 0x6, 0x1, PseudoVLSEG4E64FF_V_M2 }, // 219
  { 0x4, 0x0, 0x1, 0x0, 0x3, 0x0, PseudoVLSSEG4E8_V_M1 }, // 220
  { 0x4, 0x0, 0x1, 0x0, 0x3, 0x1, PseudoVLSSEG4E8_V_M2 }, // 221
  { 0x4, 0x0, 0x1, 0x0, 0x3, 0x5, PseudoVLSSEG4E8_V_MF8 }, // 222
  { 0x4, 0x0, 0x1, 0x0, 0x3, 0x6, PseudoVLSSEG4E8_V_MF4 }, // 223
  { 0x4, 0x0, 0x1, 0x0, 0x3, 0x7, PseudoVLSSEG4E8_V_MF2 }, // 224
  { 0x4, 0x0, 0x1, 0x0, 0x4, 0x0, PseudoVLSSEG4E16_V_M1 }, // 225
  { 0x4, 0x0, 0x1, 0x0, 0x4, 0x1, PseudoVLSSEG4E16_V_M2 }, // 226
  { 0x4, 0x0, 0x1, 0x0, 0x4, 0x6, PseudoVLSSEG4E16_V_MF4 }, // 227
  { 0x4, 0x0, 0x1, 0x0, 0x4, 0x7, PseudoVLSSEG4E16_V_MF2 }, // 228
  { 0x4, 0x0, 0x1, 0x0, 0x5, 0x0, PseudoVLSSEG4E32_V_M1 }, // 229
  { 0x4, 0x0, 0x1, 0x0, 0x5, 0x1, PseudoVLSSEG4E32_V_M2 }, // 230
  { 0x4, 0x0, 0x1, 0x0, 0x5, 0x7, PseudoVLSSEG4E32_V_MF2 }, // 231
  { 0x4, 0x0, 0x1, 0x0, 0x6, 0x0, PseudoVLSSEG4E64_V_M1 }, // 232
  { 0x4, 0x0, 0x1, 0x0, 0x6, 0x1, PseudoVLSSEG4E64_V_M2 }, // 233
  { 0x4, 0x1, 0x0, 0x0, 0x3, 0x0, PseudoVLSEG4E8_V_M1_MASK }, // 234
  { 0x4, 0x1, 0x0, 0x0, 0x3, 0x1, PseudoVLSEG4E8_V_M2_MASK }, // 235
  { 0x4, 0x1, 0x0, 0x0, 0x3, 0x5, PseudoVLSEG4E8_V_MF8_MASK }, // 236
  { 0x4, 0x1, 0x0, 0x0, 0x3, 0x6, PseudoVLSEG4E8_V_MF4_MASK }, // 237
  { 0x4, 0x1, 0x0, 0x0, 0x3, 0x7, PseudoVLSEG4E8_V_MF2_MASK }, // 238
  { 0x4, 0x1, 0x0, 0x0, 0x4, 0x0, PseudoVLSEG4E16_V_M1_MASK }, // 239
  { 0x4, 0x1, 0x0, 0x0, 0x4, 0x1, PseudoVLSEG4E16_V_M2_MASK }, // 240
  { 0x4, 0x1, 0x0, 0x0, 0x4, 0x6, PseudoVLSEG4E16_V_MF4_MASK }, // 241
  { 0x4, 0x1, 0x0, 0x0, 0x4, 0x7, PseudoVLSEG4E16_V_MF2_MASK }, // 242
  { 0x4, 0x1, 0x0, 0x0, 0x5, 0x0, PseudoVLSEG4E32_V_M1_MASK }, // 243
  { 0x4, 0x1, 0x0, 0x0, 0x5, 0x1, PseudoVLSEG4E32_V_M2_MASK }, // 244
  { 0x4, 0x1, 0x0, 0x0, 0x5, 0x7, PseudoVLSEG4E32_V_MF2_MASK }, // 245
  { 0x4, 0x1, 0x0, 0x0, 0x6, 0x0, PseudoVLSEG4E64_V_M1_MASK }, // 246
  { 0x4, 0x1, 0x0, 0x0, 0x6, 0x1, PseudoVLSEG4E64_V_M2_MASK }, // 247
  { 0x4, 0x1, 0x0, 0x1, 0x3, 0x0, PseudoVLSEG4E8FF_V_M1_MASK }, // 248
  { 0x4, 0x1, 0x0, 0x1, 0x3, 0x1, PseudoVLSEG4E8FF_V_M2_MASK }, // 249
  { 0x4, 0x1, 0x0, 0x1, 0x3, 0x5, PseudoVLSEG4E8FF_V_MF8_MASK }, // 250
  { 0x4, 0x1, 0x0, 0x1, 0x3, 0x6, PseudoVLSEG4E8FF_V_MF4_MASK }, // 251
  { 0x4, 0x1, 0x0, 0x1, 0x3, 0x7, PseudoVLSEG4E8FF_V_MF2_MASK }, // 252
  { 0x4, 0x1, 0x0, 0x1, 0x4, 0x0, PseudoVLSEG4E16FF_V_M1_MASK }, // 253
  { 0x4, 0x1, 0x0, 0x1, 0x4, 0x1, PseudoVLSEG4E16FF_V_M2_MASK }, // 254
  { 0x4, 0x1, 0x0, 0x1, 0x4, 0x6, PseudoVLSEG4E16FF_V_MF4_MASK }, // 255
  { 0x4, 0x1, 0x0, 0x1, 0x4, 0x7, PseudoVLSEG4E16FF_V_MF2_MASK }, // 256
  { 0x4, 0x1, 0x0, 0x1, 0x5, 0x0, PseudoVLSEG4E32FF_V_M1_MASK }, // 257
  { 0x4, 0x1, 0x0, 0x1, 0x5, 0x1, PseudoVLSEG4E32FF_V_M2_MASK }, // 258
  { 0x4, 0x1, 0x0, 0x1, 0x5, 0x7, PseudoVLSEG4E32FF_V_MF2_MASK }, // 259
  { 0x4, 0x1, 0x0, 0x1, 0x6, 0x0, PseudoVLSEG4E64FF_V_M1_MASK }, // 260
  { 0x4, 0x1, 0x0, 0x1, 0x6, 0x1, PseudoVLSEG4E64FF_V_M2_MASK }, // 261
  { 0x4, 0x1, 0x1, 0x0, 0x3, 0x0, PseudoVLSSEG4E8_V_M1_MASK }, // 262
  { 0x4, 0x1, 0x1, 0x0, 0x3, 0x1, PseudoVLSSEG4E8_V_M2_MASK }, // 263
  { 0x4, 0x1, 0x1, 0x0, 0x3, 0x5, PseudoVLSSEG4E8_V_MF8_MASK }, // 264
  { 0x4, 0x1, 0x1, 0x0, 0x3, 0x6, PseudoVLSSEG4E8_V_MF4_MASK }, // 265
  { 0x4, 0x1, 0x1, 0x0, 0x3, 0x7, PseudoVLSSEG4E8_V_MF2_MASK }, // 266
  { 0x4, 0x1, 0x1, 0x0, 0x4, 0x0, PseudoVLSSEG4E16_V_M1_MASK }, // 267
  { 0x4, 0x1, 0x1, 0x0, 0x4, 0x1, PseudoVLSSEG4E16_V_M2_MASK }, // 268
  { 0x4, 0x1, 0x1, 0x0, 0x4, 0x6, PseudoVLSSEG4E16_V_MF4_MASK }, // 269
  { 0x4, 0x1, 0x1, 0x0, 0x4, 0x7, PseudoVLSSEG4E16_V_MF2_MASK }, // 270
  { 0x4, 0x1, 0x1, 0x0, 0x5, 0x0, PseudoVLSSEG4E32_V_M1_MASK }, // 271
  { 0x4, 0x1, 0x1, 0x0, 0x5, 0x1, PseudoVLSSEG4E32_V_M2_MASK }, // 272
  { 0x4, 0x1, 0x1, 0x0, 0x5, 0x7, PseudoVLSSEG4E32_V_MF2_MASK }, // 273
  { 0x4, 0x1, 0x1, 0x0, 0x6, 0x0, PseudoVLSSEG4E64_V_M1_MASK }, // 274
  { 0x4, 0x1, 0x1, 0x0, 0x6, 0x1, PseudoVLSSEG4E64_V_M2_MASK }, // 275
  { 0x5, 0x0, 0x0, 0x0, 0x3, 0x0, PseudoVLSEG5E8_V_M1 }, // 276
  { 0x5, 0x0, 0x0, 0x0, 0x3, 0x5, PseudoVLSEG5E8_V_MF8 }, // 277
  { 0x5, 0x0, 0x0, 0x0, 0x3, 0x6, PseudoVLSEG5E8_V_MF4 }, // 278
  { 0x5, 0x0, 0x0, 0x0, 0x3, 0x7, PseudoVLSEG5E8_V_MF2 }, // 279
  { 0x5, 0x0, 0x0, 0x0, 0x4, 0x0, PseudoVLSEG5E16_V_M1 }, // 280
  { 0x5, 0x0, 0x0, 0x0, 0x4, 0x6, PseudoVLSEG5E16_V_MF4 }, // 281
  { 0x5, 0x0, 0x0, 0x0, 0x4, 0x7, PseudoVLSEG5E16_V_MF2 }, // 282
  { 0x5, 0x0, 0x0, 0x0, 0x5, 0x0, PseudoVLSEG5E32_V_M1 }, // 283
  { 0x5, 0x0, 0x0, 0x0, 0x5, 0x7, PseudoVLSEG5E32_V_MF2 }, // 284
  { 0x5, 0x0, 0x0, 0x0, 0x6, 0x0, PseudoVLSEG5E64_V_M1 }, // 285
  { 0x5, 0x0, 0x0, 0x1, 0x3, 0x0, PseudoVLSEG5E8FF_V_M1 }, // 286
  { 0x5, 0x0, 0x0, 0x1, 0x3, 0x5, PseudoVLSEG5E8FF_V_MF8 }, // 287
  { 0x5, 0x0, 0x0, 0x1, 0x3, 0x6, PseudoVLSEG5E8FF_V_MF4 }, // 288
  { 0x5, 0x0, 0x0, 0x1, 0x3, 0x7, PseudoVLSEG5E8FF_V_MF2 }, // 289
  { 0x5, 0x0, 0x0, 0x1, 0x4, 0x0, PseudoVLSEG5E16FF_V_M1 }, // 290
  { 0x5, 0x0, 0x0, 0x1, 0x4, 0x6, PseudoVLSEG5E16FF_V_MF4 }, // 291
  { 0x5, 0x0, 0x0, 0x1, 0x4, 0x7, PseudoVLSEG5E16FF_V_MF2 }, // 292
  { 0x5, 0x0, 0x0, 0x1, 0x5, 0x0, PseudoVLSEG5E32FF_V_M1 }, // 293
  { 0x5, 0x0, 0x0, 0x1, 0x5, 0x7, PseudoVLSEG5E32FF_V_MF2 }, // 294
  { 0x5, 0x0, 0x0, 0x1, 0x6, 0x0, PseudoVLSEG5E64FF_V_M1 }, // 295
  { 0x5, 0x0, 0x1, 0x0, 0x3, 0x0, PseudoVLSSEG5E8_V_M1 }, // 296
  { 0x5, 0x0, 0x1, 0x0, 0x3, 0x5, PseudoVLSSEG5E8_V_MF8 }, // 297
  { 0x5, 0x0, 0x1, 0x0, 0x3, 0x6, PseudoVLSSEG5E8_V_MF4 }, // 298
  { 0x5, 0x0, 0x1, 0x0, 0x3, 0x7, PseudoVLSSEG5E8_V_MF2 }, // 299
  { 0x5, 0x0, 0x1, 0x0, 0x4, 0x0, PseudoVLSSEG5E16_V_M1 }, // 300
  { 0x5, 0x0, 0x1, 0x0, 0x4, 0x6, PseudoVLSSEG5E16_V_MF4 }, // 301
  { 0x5, 0x0, 0x1, 0x0, 0x4, 0x7, PseudoVLSSEG5E16_V_MF2 }, // 302
  { 0x5, 0x0, 0x1, 0x0, 0x5, 0x0, PseudoVLSSEG5E32_V_M1 }, // 303
  { 0x5, 0x0, 0x1, 0x0, 0x5, 0x7, PseudoVLSSEG5E32_V_MF2 }, // 304
  { 0x5, 0x0, 0x1, 0x0, 0x6, 0x0, PseudoVLSSEG5E64_V_M1 }, // 305
  { 0x5, 0x1, 0x0, 0x0, 0x3, 0x0, PseudoVLSEG5E8_V_M1_MASK }, // 306
  { 0x5, 0x1, 0x0, 0x0, 0x3, 0x5, PseudoVLSEG5E8_V_MF8_MASK }, // 307
  { 0x5, 0x1, 0x0, 0x0, 0x3, 0x6, PseudoVLSEG5E8_V_MF4_MASK }, // 308
  { 0x5, 0x1, 0x0, 0x0, 0x3, 0x7, PseudoVLSEG5E8_V_MF2_MASK }, // 309
  { 0x5, 0x1, 0x0, 0x0, 0x4, 0x0, PseudoVLSEG5E16_V_M1_MASK }, // 310
  { 0x5, 0x1, 0x0, 0x0, 0x4, 0x6, PseudoVLSEG5E16_V_MF4_MASK }, // 311
  { 0x5, 0x1, 0x0, 0x0, 0x4, 0x7, PseudoVLSEG5E16_V_MF2_MASK }, // 312
  { 0x5, 0x1, 0x0, 0x0, 0x5, 0x0, PseudoVLSEG5E32_V_M1_MASK }, // 313
  { 0x5, 0x1, 0x0, 0x0, 0x5, 0x7, PseudoVLSEG5E32_V_MF2_MASK }, // 314
  { 0x5, 0x1, 0x0, 0x0, 0x6, 0x0, PseudoVLSEG5E64_V_M1_MASK }, // 315
  { 0x5, 0x1, 0x0, 0x1, 0x3, 0x0, PseudoVLSEG5E8FF_V_M1_MASK }, // 316
  { 0x5, 0x1, 0x0, 0x1, 0x3, 0x5, PseudoVLSEG5E8FF_V_MF8_MASK }, // 317
  { 0x5, 0x1, 0x0, 0x1, 0x3, 0x6, PseudoVLSEG5E8FF_V_MF4_MASK }, // 318
  { 0x5, 0x1, 0x0, 0x1, 0x3, 0x7, PseudoVLSEG5E8FF_V_MF2_MASK }, // 319
  { 0x5, 0x1, 0x0, 0x1, 0x4, 0x0, PseudoVLSEG5E16FF_V_M1_MASK }, // 320
  { 0x5, 0x1, 0x0, 0x1, 0x4, 0x6, PseudoVLSEG5E16FF_V_MF4_MASK }, // 321
  { 0x5, 0x1, 0x0, 0x1, 0x4, 0x7, PseudoVLSEG5E16FF_V_MF2_MASK }, // 322
  { 0x5, 0x1, 0x0, 0x1, 0x5, 0x0, PseudoVLSEG5E32FF_V_M1_MASK }, // 323
  { 0x5, 0x1, 0x0, 0x1, 0x5, 0x7, PseudoVLSEG5E32FF_V_MF2_MASK }, // 324
  { 0x5, 0x1, 0x0, 0x1, 0x6, 0x0, PseudoVLSEG5E64FF_V_M1_MASK }, // 325
  { 0x5, 0x1, 0x1, 0x0, 0x3, 0x0, PseudoVLSSEG5E8_V_M1_MASK }, // 326
  { 0x5, 0x1, 0x1, 0x0, 0x3, 0x5, PseudoVLSSEG5E8_V_MF8_MASK }, // 327
  { 0x5, 0x1, 0x1, 0x0, 0x3, 0x6, PseudoVLSSEG5E8_V_MF4_MASK }, // 328
  { 0x5, 0x1, 0x1, 0x0, 0x3, 0x7, PseudoVLSSEG5E8_V_MF2_MASK }, // 329
  { 0x5, 0x1, 0x1, 0x0, 0x4, 0x0, PseudoVLSSEG5E16_V_M1_MASK }, // 330
  { 0x5, 0x1, 0x1, 0x0, 0x4, 0x6, PseudoVLSSEG5E16_V_MF4_MASK }, // 331
  { 0x5, 0x1, 0x1, 0x0, 0x4, 0x7, PseudoVLSSEG5E16_V_MF2_MASK }, // 332
  { 0x5, 0x1, 0x1, 0x0, 0x5, 0x0, PseudoVLSSEG5E32_V_M1_MASK }, // 333
  { 0x5, 0x1, 0x1, 0x0, 0x5, 0x7, PseudoVLSSEG5E32_V_MF2_MASK }, // 334
  { 0x5, 0x1, 0x1, 0x0, 0x6, 0x0, PseudoVLSSEG5E64_V_M1_MASK }, // 335
  { 0x6, 0x0, 0x0, 0x0, 0x3, 0x0, PseudoVLSEG6E8_V_M1 }, // 336
  { 0x6, 0x0, 0x0, 0x0, 0x3, 0x5, PseudoVLSEG6E8_V_MF8 }, // 337
  { 0x6, 0x0, 0x0, 0x0, 0x3, 0x6, PseudoVLSEG6E8_V_MF4 }, // 338
  { 0x6, 0x0, 0x0, 0x0, 0x3, 0x7, PseudoVLSEG6E8_V_MF2 }, // 339
  { 0x6, 0x0, 0x0, 0x0, 0x4, 0x0, PseudoVLSEG6E16_V_M1 }, // 340
  { 0x6, 0x0, 0x0, 0x0, 0x4, 0x6, PseudoVLSEG6E16_V_MF4 }, // 341
  { 0x6, 0x0, 0x0, 0x0, 0x4, 0x7, PseudoVLSEG6E16_V_MF2 }, // 342
  { 0x6, 0x0, 0x0, 0x0, 0x5, 0x0, PseudoVLSEG6E32_V_M1 }, // 343
  { 0x6, 0x0, 0x0, 0x0, 0x5, 0x7, PseudoVLSEG6E32_V_MF2 }, // 344
  { 0x6, 0x0, 0x0, 0x0, 0x6, 0x0, PseudoVLSEG6E64_V_M1 }, // 345
  { 0x6, 0x0, 0x0, 0x1, 0x3, 0x0, PseudoVLSEG6E8FF_V_M1 }, // 346
  { 0x6, 0x0, 0x0, 0x1, 0x3, 0x5, PseudoVLSEG6E8FF_V_MF8 }, // 347
  { 0x6, 0x0, 0x0, 0x1, 0x3, 0x6, PseudoVLSEG6E8FF_V_MF4 }, // 348
  { 0x6, 0x0, 0x0, 0x1, 0x3, 0x7, PseudoVLSEG6E8FF_V_MF2 }, // 349
  { 0x6, 0x0, 0x0, 0x1, 0x4, 0x0, PseudoVLSEG6E16FF_V_M1 }, // 350
  { 0x6, 0x0, 0x0, 0x1, 0x4, 0x6, PseudoVLSEG6E16FF_V_MF4 }, // 351
  { 0x6, 0x0, 0x0, 0x1, 0x4, 0x7, PseudoVLSEG6E16FF_V_MF2 }, // 352
  { 0x6, 0x0, 0x0, 0x1, 0x5, 0x0, PseudoVLSEG6E32FF_V_M1 }, // 353
  { 0x6, 0x0, 0x0, 0x1, 0x5, 0x7, PseudoVLSEG6E32FF_V_MF2 }, // 354
  { 0x6, 0x0, 0x0, 0x1, 0x6, 0x0, PseudoVLSEG6E64FF_V_M1 }, // 355
  { 0x6, 0x0, 0x1, 0x0, 0x3, 0x0, PseudoVLSSEG6E8_V_M1 }, // 356
  { 0x6, 0x0, 0x1, 0x0, 0x3, 0x5, PseudoVLSSEG6E8_V_MF8 }, // 357
  { 0x6, 0x0, 0x1, 0x0, 0x3, 0x6, PseudoVLSSEG6E8_V_MF4 }, // 358
  { 0x6, 0x0, 0x1, 0x0, 0x3, 0x7, PseudoVLSSEG6E8_V_MF2 }, // 359
  { 0x6, 0x0, 0x1, 0x0, 0x4, 0x0, PseudoVLSSEG6E16_V_M1 }, // 360
  { 0x6, 0x0, 0x1, 0x0, 0x4, 0x6, PseudoVLSSEG6E16_V_MF4 }, // 361
  { 0x6, 0x0, 0x1, 0x0, 0x4, 0x7, PseudoVLSSEG6E16_V_MF2 }, // 362
  { 0x6, 0x0, 0x1, 0x0, 0x5, 0x0, PseudoVLSSEG6E32_V_M1 }, // 363
  { 0x6, 0x0, 0x1, 0x0, 0x5, 0x7, PseudoVLSSEG6E32_V_MF2 }, // 364
  { 0x6, 0x0, 0x1, 0x0, 0x6, 0x0, PseudoVLSSEG6E64_V_M1 }, // 365
  { 0x6, 0x1, 0x0, 0x0, 0x3, 0x0, PseudoVLSEG6E8_V_M1_MASK }, // 366
  { 0x6, 0x1, 0x0, 0x0, 0x3, 0x5, PseudoVLSEG6E8_V_MF8_MASK }, // 367
  { 0x6, 0x1, 0x0, 0x0, 0x3, 0x6, PseudoVLSEG6E8_V_MF4_MASK }, // 368
  { 0x6, 0x1, 0x0, 0x0, 0x3, 0x7, PseudoVLSEG6E8_V_MF2_MASK }, // 369
  { 0x6, 0x1, 0x0, 0x0, 0x4, 0x0, PseudoVLSEG6E16_V_M1_MASK }, // 370
  { 0x6, 0x1, 0x0, 0x0, 0x4, 0x6, PseudoVLSEG6E16_V_MF4_MASK }, // 371
  { 0x6, 0x1, 0x0, 0x0, 0x4, 0x7, PseudoVLSEG6E16_V_MF2_MASK }, // 372
  { 0x6, 0x1, 0x0, 0x0, 0x5, 0x0, PseudoVLSEG6E32_V_M1_MASK }, // 373
  { 0x6, 0x1, 0x0, 0x0, 0x5, 0x7, PseudoVLSEG6E32_V_MF2_MASK }, // 374
  { 0x6, 0x1, 0x0, 0x0, 0x6, 0x0, PseudoVLSEG6E64_V_M1_MASK }, // 375
  { 0x6, 0x1, 0x0, 0x1, 0x3, 0x0, PseudoVLSEG6E8FF_V_M1_MASK }, // 376
  { 0x6, 0x1, 0x0, 0x1, 0x3, 0x5, PseudoVLSEG6E8FF_V_MF8_MASK }, // 377
  { 0x6, 0x1, 0x0, 0x1, 0x3, 0x6, PseudoVLSEG6E8FF_V_MF4_MASK }, // 378
  { 0x6, 0x1, 0x0, 0x1, 0x3, 0x7, PseudoVLSEG6E8FF_V_MF2_MASK }, // 379
  { 0x6, 0x1, 0x0, 0x1, 0x4, 0x0, PseudoVLSEG6E16FF_V_M1_MASK }, // 380
  { 0x6, 0x1, 0x0, 0x1, 0x4, 0x6, PseudoVLSEG6E16FF_V_MF4_MASK }, // 381
  { 0x6, 0x1, 0x0, 0x1, 0x4, 0x7, PseudoVLSEG6E16FF_V_MF2_MASK }, // 382
  { 0x6, 0x1, 0x0, 0x1, 0x5, 0x0, PseudoVLSEG6E32FF_V_M1_MASK }, // 383
  { 0x6, 0x1, 0x0, 0x1, 0x5, 0x7, PseudoVLSEG6E32FF_V_MF2_MASK }, // 384
  { 0x6, 0x1, 0x0, 0x1, 0x6, 0x0, PseudoVLSEG6E64FF_V_M1_MASK }, // 385
  { 0x6, 0x1, 0x1, 0x0, 0x3, 0x0, PseudoVLSSEG6E8_V_M1_MASK }, // 386
  { 0x6, 0x1, 0x1, 0x0, 0x3, 0x5, PseudoVLSSEG6E8_V_MF8_MASK }, // 387
  { 0x6, 0x1, 0x1, 0x0, 0x3, 0x6, PseudoVLSSEG6E8_V_MF4_MASK }, // 388
  { 0x6, 0x1, 0x1, 0x0, 0x3, 0x7, PseudoVLSSEG6E8_V_MF2_MASK }, // 389
  { 0x6, 0x1, 0x1, 0x0, 0x4, 0x0, PseudoVLSSEG6E16_V_M1_MASK }, // 390
  { 0x6, 0x1, 0x1, 0x0, 0x4, 0x6, PseudoVLSSEG6E16_V_MF4_MASK }, // 391
  { 0x6, 0x1, 0x1, 0x0, 0x4, 0x7, PseudoVLSSEG6E16_V_MF2_MASK }, // 392
  { 0x6, 0x1, 0x1, 0x0, 0x5, 0x0, PseudoVLSSEG6E32_V_M1_MASK }, // 393
  { 0x6, 0x1, 0x1, 0x0, 0x5, 0x7, PseudoVLSSEG6E32_V_MF2_MASK }, // 394
  { 0x6, 0x1, 0x1, 0x0, 0x6, 0x0, PseudoVLSSEG6E64_V_M1_MASK }, // 395
  { 0x7, 0x0, 0x0, 0x0, 0x3, 0x0, PseudoVLSEG7E8_V_M1 }, // 396
  { 0x7, 0x0, 0x0, 0x0, 0x3, 0x5, PseudoVLSEG7E8_V_MF8 }, // 397
  { 0x7, 0x0, 0x0, 0x0, 0x3, 0x6, PseudoVLSEG7E8_V_MF4 }, // 398
  { 0x7, 0x0, 0x0, 0x0, 0x3, 0x7, PseudoVLSEG7E8_V_MF2 }, // 399
  { 0x7, 0x0, 0x0, 0x0, 0x4, 0x0, PseudoVLSEG7E16_V_M1 }, // 400
  { 0x7, 0x0, 0x0, 0x0, 0x4, 0x6, PseudoVLSEG7E16_V_MF4 }, // 401
  { 0x7, 0x0, 0x0, 0x0, 0x4, 0x7, PseudoVLSEG7E16_V_MF2 }, // 402
  { 0x7, 0x0, 0x0, 0x0, 0x5, 0x0, PseudoVLSEG7E32_V_M1 }, // 403
  { 0x7, 0x0, 0x0, 0x0, 0x5, 0x7, PseudoVLSEG7E32_V_MF2 }, // 404
  { 0x7, 0x0, 0x0, 0x0, 0x6, 0x0, PseudoVLSEG7E64_V_M1 }, // 405
  { 0x7, 0x0, 0x0, 0x1, 0x3, 0x0, PseudoVLSEG7E8FF_V_M1 }, // 406
  { 0x7, 0x0, 0x0, 0x1, 0x3, 0x5, PseudoVLSEG7E8FF_V_MF8 }, // 407
  { 0x7, 0x0, 0x0, 0x1, 0x3, 0x6, PseudoVLSEG7E8FF_V_MF4 }, // 408
  { 0x7, 0x0, 0x0, 0x1, 0x3, 0x7, PseudoVLSEG7E8FF_V_MF2 }, // 409
  { 0x7, 0x0, 0x0, 0x1, 0x4, 0x0, PseudoVLSEG7E16FF_V_M1 }, // 410
  { 0x7, 0x0, 0x0, 0x1, 0x4, 0x6, PseudoVLSEG7E16FF_V_MF4 }, // 411
  { 0x7, 0x0, 0x0, 0x1, 0x4, 0x7, PseudoVLSEG7E16FF_V_MF2 }, // 412
  { 0x7, 0x0, 0x0, 0x1, 0x5, 0x0, PseudoVLSEG7E32FF_V_M1 }, // 413
  { 0x7, 0x0, 0x0, 0x1, 0x5, 0x7, PseudoVLSEG7E32FF_V_MF2 }, // 414
  { 0x7, 0x0, 0x0, 0x1, 0x6, 0x0, PseudoVLSEG7E64FF_V_M1 }, // 415
  { 0x7, 0x0, 0x1, 0x0, 0x3, 0x0, PseudoVLSSEG7E8_V_M1 }, // 416
  { 0x7, 0x0, 0x1, 0x0, 0x3, 0x5, PseudoVLSSEG7E8_V_MF8 }, // 417
  { 0x7, 0x0, 0x1, 0x0, 0x3, 0x6, PseudoVLSSEG7E8_V_MF4 }, // 418
  { 0x7, 0x0, 0x1, 0x0, 0x3, 0x7, PseudoVLSSEG7E8_V_MF2 }, // 419
  { 0x7, 0x0, 0x1, 0x0, 0x4, 0x0, PseudoVLSSEG7E16_V_M1 }, // 420
  { 0x7, 0x0, 0x1, 0x0, 0x4, 0x6, PseudoVLSSEG7E16_V_MF4 }, // 421
  { 0x7, 0x0, 0x1, 0x0, 0x4, 0x7, PseudoVLSSEG7E16_V_MF2 }, // 422
  { 0x7, 0x0, 0x1, 0x0, 0x5, 0x0, PseudoVLSSEG7E32_V_M1 }, // 423
  { 0x7, 0x0, 0x1, 0x0, 0x5, 0x7, PseudoVLSSEG7E32_V_MF2 }, // 424
  { 0x7, 0x0, 0x1, 0x0, 0x6, 0x0, PseudoVLSSEG7E64_V_M1 }, // 425
  { 0x7, 0x1, 0x0, 0x0, 0x3, 0x0, PseudoVLSEG7E8_V_M1_MASK }, // 426
  { 0x7, 0x1, 0x0, 0x0, 0x3, 0x5, PseudoVLSEG7E8_V_MF8_MASK }, // 427
  { 0x7, 0x1, 0x0, 0x0, 0x3, 0x6, PseudoVLSEG7E8_V_MF4_MASK }, // 428
  { 0x7, 0x1, 0x0, 0x0, 0x3, 0x7, PseudoVLSEG7E8_V_MF2_MASK }, // 429
  { 0x7, 0x1, 0x0, 0x0, 0x4, 0x0, PseudoVLSEG7E16_V_M1_MASK }, // 430
  { 0x7, 0x1, 0x0, 0x0, 0x4, 0x6, PseudoVLSEG7E16_V_MF4_MASK }, // 431
  { 0x7, 0x1, 0x0, 0x0, 0x4, 0x7, PseudoVLSEG7E16_V_MF2_MASK }, // 432
  { 0x7, 0x1, 0x0, 0x0, 0x5, 0x0, PseudoVLSEG7E32_V_M1_MASK }, // 433
  { 0x7, 0x1, 0x0, 0x0, 0x5, 0x7, PseudoVLSEG7E32_V_MF2_MASK }, // 434
  { 0x7, 0x1, 0x0, 0x0, 0x6, 0x0, PseudoVLSEG7E64_V_M1_MASK }, // 435
  { 0x7, 0x1, 0x0, 0x1, 0x3, 0x0, PseudoVLSEG7E8FF_V_M1_MASK }, // 436
  { 0x7, 0x1, 0x0, 0x1, 0x3, 0x5, PseudoVLSEG7E8FF_V_MF8_MASK }, // 437
  { 0x7, 0x1, 0x0, 0x1, 0x3, 0x6, PseudoVLSEG7E8FF_V_MF4_MASK }, // 438
  { 0x7, 0x1, 0x0, 0x1, 0x3, 0x7, PseudoVLSEG7E8FF_V_MF2_MASK }, // 439
  { 0x7, 0x1, 0x0, 0x1, 0x4, 0x0, PseudoVLSEG7E16FF_V_M1_MASK }, // 440
  { 0x7, 0x1, 0x0, 0x1, 0x4, 0x6, PseudoVLSEG7E16FF_V_MF4_MASK }, // 441
  { 0x7, 0x1, 0x0, 0x1, 0x4, 0x7, PseudoVLSEG7E16FF_V_MF2_MASK }, // 442
  { 0x7, 0x1, 0x0, 0x1, 0x5, 0x0, PseudoVLSEG7E32FF_V_M1_MASK }, // 443
  { 0x7, 0x1, 0x0, 0x1, 0x5, 0x7, PseudoVLSEG7E32FF_V_MF2_MASK }, // 444
  { 0x7, 0x1, 0x0, 0x1, 0x6, 0x0, PseudoVLSEG7E64FF_V_M1_MASK }, // 445
  { 0x7, 0x1, 0x1, 0x0, 0x3, 0x0, PseudoVLSSEG7E8_V_M1_MASK }, // 446
  { 0x7, 0x1, 0x1, 0x0, 0x3, 0x5, PseudoVLSSEG7E8_V_MF8_MASK }, // 447
  { 0x7, 0x1, 0x1, 0x0, 0x3, 0x6, PseudoVLSSEG7E8_V_MF4_MASK }, // 448
  { 0x7, 0x1, 0x1, 0x0, 0x3, 0x7, PseudoVLSSEG7E8_V_MF2_MASK }, // 449
  { 0x7, 0x1, 0x1, 0x0, 0x4, 0x0, PseudoVLSSEG7E16_V_M1_MASK }, // 450
  { 0x7, 0x1, 0x1, 0x0, 0x4, 0x6, PseudoVLSSEG7E16_V_MF4_MASK }, // 451
  { 0x7, 0x1, 0x1, 0x0, 0x4, 0x7, PseudoVLSSEG7E16_V_MF2_MASK }, // 452
  { 0x7, 0x1, 0x1, 0x0, 0x5, 0x0, PseudoVLSSEG7E32_V_M1_MASK }, // 453
  { 0x7, 0x1, 0x1, 0x0, 0x5, 0x7, PseudoVLSSEG7E32_V_MF2_MASK }, // 454
  { 0x7, 0x1, 0x1, 0x0, 0x6, 0x0, PseudoVLSSEG7E64_V_M1_MASK }, // 455
  { 0x8, 0x0, 0x0, 0x0, 0x3, 0x0, PseudoVLSEG8E8_V_M1 }, // 456
  { 0x8, 0x0, 0x0, 0x0, 0x3, 0x5, PseudoVLSEG8E8_V_MF8 }, // 457
  { 0x8, 0x0, 0x0, 0x0, 0x3, 0x6, PseudoVLSEG8E8_V_MF4 }, // 458
  { 0x8, 0x0, 0x0, 0x0, 0x3, 0x7, PseudoVLSEG8E8_V_MF2 }, // 459
  { 0x8, 0x0, 0x0, 0x0, 0x4, 0x0, PseudoVLSEG8E16_V_M1 }, // 460
  { 0x8, 0x0, 0x0, 0x0, 0x4, 0x6, PseudoVLSEG8E16_V_MF4 }, // 461
  { 0x8, 0x0, 0x0, 0x0, 0x4, 0x7, PseudoVLSEG8E16_V_MF2 }, // 462
  { 0x8, 0x0, 0x0, 0x0, 0x5, 0x0, PseudoVLSEG8E32_V_M1 }, // 463
  { 0x8, 0x0, 0x0, 0x0, 0x5, 0x7, PseudoVLSEG8E32_V_MF2 }, // 464
  { 0x8, 0x0, 0x0, 0x0, 0x6, 0x0, PseudoVLSEG8E64_V_M1 }, // 465
  { 0x8, 0x0, 0x0, 0x1, 0x3, 0x0, PseudoVLSEG8E8FF_V_M1 }, // 466
  { 0x8, 0x0, 0x0, 0x1, 0x3, 0x5, PseudoVLSEG8E8FF_V_MF8 }, // 467
  { 0x8, 0x0, 0x0, 0x1, 0x3, 0x6, PseudoVLSEG8E8FF_V_MF4 }, // 468
  { 0x8, 0x0, 0x0, 0x1, 0x3, 0x7, PseudoVLSEG8E8FF_V_MF2 }, // 469
  { 0x8, 0x0, 0x0, 0x1, 0x4, 0x0, PseudoVLSEG8E16FF_V_M1 }, // 470
  { 0x8, 0x0, 0x0, 0x1, 0x4, 0x6, PseudoVLSEG8E16FF_V_MF4 }, // 471
  { 0x8, 0x0, 0x0, 0x1, 0x4, 0x7, PseudoVLSEG8E16FF_V_MF2 }, // 472
  { 0x8, 0x0, 0x0, 0x1, 0x5, 0x0, PseudoVLSEG8E32FF_V_M1 }, // 473
  { 0x8, 0x0, 0x0, 0x1, 0x5, 0x7, PseudoVLSEG8E32FF_V_MF2 }, // 474
  { 0x8, 0x0, 0x0, 0x1, 0x6, 0x0, PseudoVLSEG8E64FF_V_M1 }, // 475
  { 0x8, 0x0, 0x1, 0x0, 0x3, 0x0, PseudoVLSSEG8E8_V_M1 }, // 476
  { 0x8, 0x0, 0x1, 0x0, 0x3, 0x5, PseudoVLSSEG8E8_V_MF8 }, // 477
  { 0x8, 0x0, 0x1, 0x0, 0x3, 0x6, PseudoVLSSEG8E8_V_MF4 }, // 478
  { 0x8, 0x0, 0x1, 0x0, 0x3, 0x7, PseudoVLSSEG8E8_V_MF2 }, // 479
  { 0x8, 0x0, 0x1, 0x0, 0x4, 0x0, PseudoVLSSEG8E16_V_M1 }, // 480
  { 0x8, 0x0, 0x1, 0x0, 0x4, 0x6, PseudoVLSSEG8E16_V_MF4 }, // 481
  { 0x8, 0x0, 0x1, 0x0, 0x4, 0x7, PseudoVLSSEG8E16_V_MF2 }, // 482
  { 0x8, 0x0, 0x1, 0x0, 0x5, 0x0, PseudoVLSSEG8E32_V_M1 }, // 483
  { 0x8, 0x0, 0x1, 0x0, 0x5, 0x7, PseudoVLSSEG8E32_V_MF2 }, // 484
  { 0x8, 0x0, 0x1, 0x0, 0x6, 0x0, PseudoVLSSEG8E64_V_M1 }, // 485
  { 0x8, 0x1, 0x0, 0x0, 0x3, 0x0, PseudoVLSEG8E8_V_M1_MASK }, // 486
  { 0x8, 0x1, 0x0, 0x0, 0x3, 0x5, PseudoVLSEG8E8_V_MF8_MASK }, // 487
  { 0x8, 0x1, 0x0, 0x0, 0x3, 0x6, PseudoVLSEG8E8_V_MF4_MASK }, // 488
  { 0x8, 0x1, 0x0, 0x0, 0x3, 0x7, PseudoVLSEG8E8_V_MF2_MASK }, // 489
  { 0x8, 0x1, 0x0, 0x0, 0x4, 0x0, PseudoVLSEG8E16_V_M1_MASK }, // 490
  { 0x8, 0x1, 0x0, 0x0, 0x4, 0x6, PseudoVLSEG8E16_V_MF4_MASK }, // 491
  { 0x8, 0x1, 0x0, 0x0, 0x4, 0x7, PseudoVLSEG8E16_V_MF2_MASK }, // 492
  { 0x8, 0x1, 0x0, 0x0, 0x5, 0x0, PseudoVLSEG8E32_V_M1_MASK }, // 493
  { 0x8, 0x1, 0x0, 0x0, 0x5, 0x7, PseudoVLSEG8E32_V_MF2_MASK }, // 494
  { 0x8, 0x1, 0x0, 0x0, 0x6, 0x0, PseudoVLSEG8E64_V_M1_MASK }, // 495
  { 0x8, 0x1, 0x0, 0x1, 0x3, 0x0, PseudoVLSEG8E8FF_V_M1_MASK }, // 496
  { 0x8, 0x1, 0x0, 0x1, 0x3, 0x5, PseudoVLSEG8E8FF_V_MF8_MASK }, // 497
  { 0x8, 0x1, 0x0, 0x1, 0x3, 0x6, PseudoVLSEG8E8FF_V_MF4_MASK }, // 498
  { 0x8, 0x1, 0x0, 0x1, 0x3, 0x7, PseudoVLSEG8E8FF_V_MF2_MASK }, // 499
  { 0x8, 0x1, 0x0, 0x1, 0x4, 0x0, PseudoVLSEG8E16FF_V_M1_MASK }, // 500
  { 0x8, 0x1, 0x0, 0x1, 0x4, 0x6, PseudoVLSEG8E16FF_V_MF4_MASK }, // 501
  { 0x8, 0x1, 0x0, 0x1, 0x4, 0x7, PseudoVLSEG8E16FF_V_MF2_MASK }, // 502
  { 0x8, 0x1, 0x0, 0x1, 0x5, 0x0, PseudoVLSEG8E32FF_V_M1_MASK }, // 503
  { 0x8, 0x1, 0x0, 0x1, 0x5, 0x7, PseudoVLSEG8E32FF_V_MF2_MASK }, // 504
  { 0x8, 0x1, 0x0, 0x1, 0x6, 0x0, PseudoVLSEG8E64FF_V_M1_MASK }, // 505
  { 0x8, 0x1, 0x1, 0x0, 0x3, 0x0, PseudoVLSSEG8E8_V_M1_MASK }, // 506
  { 0x8, 0x1, 0x1, 0x0, 0x3, 0x5, PseudoVLSSEG8E8_V_MF8_MASK }, // 507
  { 0x8, 0x1, 0x1, 0x0, 0x3, 0x6, PseudoVLSSEG8E8_V_MF4_MASK }, // 508
  { 0x8, 0x1, 0x1, 0x0, 0x3, 0x7, PseudoVLSSEG8E8_V_MF2_MASK }, // 509
  { 0x8, 0x1, 0x1, 0x0, 0x4, 0x0, PseudoVLSSEG8E16_V_M1_MASK }, // 510
  { 0x8, 0x1, 0x1, 0x0, 0x4, 0x6, PseudoVLSSEG8E16_V_MF4_MASK }, // 511
  { 0x8, 0x1, 0x1, 0x0, 0x4, 0x7, PseudoVLSSEG8E16_V_MF2_MASK }, // 512
  { 0x8, 0x1, 0x1, 0x0, 0x5, 0x0, PseudoVLSSEG8E32_V_M1_MASK }, // 513
  { 0x8, 0x1, 0x1, 0x0, 0x5, 0x7, PseudoVLSSEG8E32_V_MF2_MASK }, // 514
  { 0x8, 0x1, 0x1, 0x0, 0x6, 0x0, PseudoVLSSEG8E64_V_M1_MASK }, // 515
 };

const VLSEGPseudo *getVLSEGPseudo(uint8_t NF, uint8_t Masked, uint8_t Strided, uint8_t FF, uint8_t Log2SEW, uint8_t LMUL) {
  struct KeyType {
    uint8_t NF;
    uint8_t Masked;
    uint8_t Strided;
    uint8_t FF;
    uint8_t Log2SEW;
    uint8_t LMUL;
  };
  KeyType Key = {NF, Masked, Strided, FF, Log2SEW, LMUL};
  auto Table = makeArrayRef(RISCVVLSEGTable);
  auto Idx = std::lower_bound(Table.begin(), Table.end(), Key,
    [](const VLSEGPseudo &LHS, const KeyType &RHS) {
      if (LHS.NF < RHS.NF)
        return true;
      if (LHS.NF > RHS.NF)
        return false;
      if (LHS.Masked < RHS.Masked)
        return true;
      if (LHS.Masked > RHS.Masked)
        return false;
      if (LHS.Strided < RHS.Strided)
        return true;
      if (LHS.Strided > RHS.Strided)
        return false;
      if (LHS.FF < RHS.FF)
        return true;
      if (LHS.FF > RHS.FF)
        return false;
      if (LHS.Log2SEW < RHS.Log2SEW)
        return true;
      if (LHS.Log2SEW > RHS.Log2SEW)
        return false;
      if (LHS.LMUL < RHS.LMUL)
        return true;
      if (LHS.LMUL > RHS.LMUL)
        return false;
      return false;
    });

  if (Idx == Table.end() ||
      Key.NF != Idx->NF ||
      Key.Masked != Idx->Masked ||
      Key.Strided != Idx->Strided ||
      Key.FF != Idx->FF ||
      Key.Log2SEW != Idx->Log2SEW ||
      Key.LMUL != Idx->LMUL)
    return nullptr;
  return &*Idx;
}
#endif

#ifdef GET_RISCVVLXSEGTable_DECL
const VLXSEGPseudo *getVLXSEGPseudo(uint8_t NF, uint8_t Masked, uint8_t Ordered, uint8_t Log2SEW, uint8_t LMUL, uint8_t IndexLMUL);
#endif

#ifdef GET_RISCVVLXSEGTable_IMPL
constexpr VLXSEGPseudo RISCVVLXSEGTable[] = {
  { 0x2, 0x0, 0x0, 0x3, 0x0, 0x0, PseudoVLUXSEG2EI8_V_M1_M1 }, // 0
  { 0x2, 0x0, 0x0, 0x3, 0x0, 0x5, PseudoVLUXSEG2EI8_V_MF8_M1 }, // 1
  { 0x2, 0x0, 0x0, 0x3, 0x0, 0x6, PseudoVLUXSEG2EI8_V_MF4_M1 }, // 2
  { 0x2, 0x0, 0x0, 0x3, 0x0, 0x7, PseudoVLUXSEG2EI8_V_MF2_M1 }, // 3
  { 0x2, 0x0, 0x0, 0x3, 0x1, 0x0, PseudoVLUXSEG2EI8_V_M1_M2 }, // 4
  { 0x2, 0x0, 0x0, 0x3, 0x1, 0x1, PseudoVLUXSEG2EI8_V_M2_M2 }, // 5
  { 0x2, 0x0, 0x0, 0x3, 0x1, 0x6, PseudoVLUXSEG2EI8_V_MF4_M2 }, // 6
  { 0x2, 0x0, 0x0, 0x3, 0x1, 0x7, PseudoVLUXSEG2EI8_V_MF2_M2 }, // 7
  { 0x2, 0x0, 0x0, 0x3, 0x2, 0x0, PseudoVLUXSEG2EI8_V_M1_M4 }, // 8
  { 0x2, 0x0, 0x0, 0x3, 0x2, 0x1, PseudoVLUXSEG2EI8_V_M2_M4 }, // 9
  { 0x2, 0x0, 0x0, 0x3, 0x2, 0x2, PseudoVLUXSEG2EI8_V_M4_M4 }, // 10
  { 0x2, 0x0, 0x0, 0x3, 0x2, 0x7, PseudoVLUXSEG2EI8_V_MF2_M4 }, // 11
  { 0x2, 0x0, 0x0, 0x3, 0x5, 0x5, PseudoVLUXSEG2EI8_V_MF8_MF8 }, // 12
  { 0x2, 0x0, 0x0, 0x3, 0x6, 0x5, PseudoVLUXSEG2EI8_V_MF8_MF4 }, // 13
  { 0x2, 0x0, 0x0, 0x3, 0x6, 0x6, PseudoVLUXSEG2EI8_V_MF4_MF4 }, // 14
  { 0x2, 0x0, 0x0, 0x3, 0x7, 0x5, PseudoVLUXSEG2EI8_V_MF8_MF2 }, // 15
  { 0x2, 0x0, 0x0, 0x3, 0x7, 0x6, PseudoVLUXSEG2EI8_V_MF4_MF2 }, // 16
  { 0x2, 0x0, 0x0, 0x3, 0x7, 0x7, PseudoVLUXSEG2EI8_V_MF2_MF2 }, // 17
  { 0x2, 0x0, 0x0, 0x4, 0x0, 0x0, PseudoVLUXSEG2EI16_V_M1_M1 }, // 18
  { 0x2, 0x0, 0x0, 0x4, 0x0, 0x1, PseudoVLUXSEG2EI16_V_M2_M1 }, // 19
  { 0x2, 0x0, 0x0, 0x4, 0x0, 0x6, PseudoVLUXSEG2EI16_V_MF4_M1 }, // 20
  { 0x2, 0x0, 0x0, 0x4, 0x0, 0x7, PseudoVLUXSEG2EI16_V_MF2_M1 }, // 21
  { 0x2, 0x0, 0x0, 0x4, 0x1, 0x0, PseudoVLUXSEG2EI16_V_M1_M2 }, // 22
  { 0x2, 0x0, 0x0, 0x4, 0x1, 0x1, PseudoVLUXSEG2EI16_V_M2_M2 }, // 23
  { 0x2, 0x0, 0x0, 0x4, 0x1, 0x2, PseudoVLUXSEG2EI16_V_M4_M2 }, // 24
  { 0x2, 0x0, 0x0, 0x4, 0x1, 0x7, PseudoVLUXSEG2EI16_V_MF2_M2 }, // 25
  { 0x2, 0x0, 0x0, 0x4, 0x2, 0x0, PseudoVLUXSEG2EI16_V_M1_M4 }, // 26
  { 0x2, 0x0, 0x0, 0x4, 0x2, 0x1, PseudoVLUXSEG2EI16_V_M2_M4 }, // 27
  { 0x2, 0x0, 0x0, 0x4, 0x2, 0x2, PseudoVLUXSEG2EI16_V_M4_M4 }, // 28
  { 0x2, 0x0, 0x0, 0x4, 0x2, 0x3, PseudoVLUXSEG2EI16_V_M8_M4 }, // 29
  { 0x2, 0x0, 0x0, 0x4, 0x5, 0x6, PseudoVLUXSEG2EI16_V_MF4_MF8 }, // 30
  { 0x2, 0x0, 0x0, 0x4, 0x6, 0x6, PseudoVLUXSEG2EI16_V_MF4_MF4 }, // 31
  { 0x2, 0x0, 0x0, 0x4, 0x6, 0x7, PseudoVLUXSEG2EI16_V_MF2_MF4 }, // 32
  { 0x2, 0x0, 0x0, 0x4, 0x7, 0x0, PseudoVLUXSEG2EI16_V_M1_MF2 }, // 33
  { 0x2, 0x0, 0x0, 0x4, 0x7, 0x6, PseudoVLUXSEG2EI16_V_MF4_MF2 }, // 34
  { 0x2, 0x0, 0x0, 0x4, 0x7, 0x7, PseudoVLUXSEG2EI16_V_MF2_MF2 }, // 35
  { 0x2, 0x0, 0x0, 0x5, 0x0, 0x0, PseudoVLUXSEG2EI32_V_M1_M1 }, // 36
  { 0x2, 0x0, 0x0, 0x5, 0x0, 0x1, PseudoVLUXSEG2EI32_V_M2_M1 }, // 37
  { 0x2, 0x0, 0x0, 0x5, 0x0, 0x2, PseudoVLUXSEG2EI32_V_M4_M1 }, // 38
  { 0x2, 0x0, 0x0, 0x5, 0x0, 0x7, PseudoVLUXSEG2EI32_V_MF2_M1 }, // 39
  { 0x2, 0x0, 0x0, 0x5, 0x1, 0x0, PseudoVLUXSEG2EI32_V_M1_M2 }, // 40
  { 0x2, 0x0, 0x0, 0x5, 0x1, 0x1, PseudoVLUXSEG2EI32_V_M2_M2 }, // 41
  { 0x2, 0x0, 0x0, 0x5, 0x1, 0x2, PseudoVLUXSEG2EI32_V_M4_M2 }, // 42
  { 0x2, 0x0, 0x0, 0x5, 0x1, 0x3, PseudoVLUXSEG2EI32_V_M8_M2 }, // 43
  { 0x2, 0x0, 0x0, 0x5, 0x2, 0x1, PseudoVLUXSEG2EI32_V_M2_M4 }, // 44
  { 0x2, 0x0, 0x0, 0x5, 0x2, 0x2, PseudoVLUXSEG2EI32_V_M4_M4 }, // 45
  { 0x2, 0x0, 0x0, 0x5, 0x2, 0x3, PseudoVLUXSEG2EI32_V_M8_M4 }, // 46
  { 0x2, 0x0, 0x0, 0x5, 0x5, 0x7, PseudoVLUXSEG2EI32_V_MF2_MF8 }, // 47
  { 0x2, 0x0, 0x0, 0x5, 0x6, 0x0, PseudoVLUXSEG2EI32_V_M1_MF4 }, // 48
  { 0x2, 0x0, 0x0, 0x5, 0x6, 0x7, PseudoVLUXSEG2EI32_V_MF2_MF4 }, // 49
  { 0x2, 0x0, 0x0, 0x5, 0x7, 0x0, PseudoVLUXSEG2EI32_V_M1_MF2 }, // 50
  { 0x2, 0x0, 0x0, 0x5, 0x7, 0x1, PseudoVLUXSEG2EI32_V_M2_MF2 }, // 51
  { 0x2, 0x0, 0x0, 0x5, 0x7, 0x7, PseudoVLUXSEG2EI32_V_MF2_MF2 }, // 52
  { 0x2, 0x0, 0x0, 0x6, 0x0, 0x0, PseudoVLUXSEG2EI64_V_M1_M1 }, // 53
  { 0x2, 0x0, 0x0, 0x6, 0x0, 0x1, PseudoVLUXSEG2EI64_V_M2_M1 }, // 54
  { 0x2, 0x0, 0x0, 0x6, 0x0, 0x2, PseudoVLUXSEG2EI64_V_M4_M1 }, // 55
  { 0x2, 0x0, 0x0, 0x6, 0x0, 0x3, PseudoVLUXSEG2EI64_V_M8_M1 }, // 56
  { 0x2, 0x0, 0x0, 0x6, 0x1, 0x1, PseudoVLUXSEG2EI64_V_M2_M2 }, // 57
  { 0x2, 0x0, 0x0, 0x6, 0x1, 0x2, PseudoVLUXSEG2EI64_V_M4_M2 }, // 58
  { 0x2, 0x0, 0x0, 0x6, 0x1, 0x3, PseudoVLUXSEG2EI64_V_M8_M2 }, // 59
  { 0x2, 0x0, 0x0, 0x6, 0x2, 0x2, PseudoVLUXSEG2EI64_V_M4_M4 }, // 60
  { 0x2, 0x0, 0x0, 0x6, 0x2, 0x3, PseudoVLUXSEG2EI64_V_M8_M4 }, // 61
  { 0x2, 0x0, 0x0, 0x6, 0x5, 0x0, PseudoVLUXSEG2EI64_V_M1_MF8 }, // 62
  { 0x2, 0x0, 0x0, 0x6, 0x6, 0x0, PseudoVLUXSEG2EI64_V_M1_MF4 }, // 63
  { 0x2, 0x0, 0x0, 0x6, 0x6, 0x1, PseudoVLUXSEG2EI64_V_M2_MF4 }, // 64
  { 0x2, 0x0, 0x0, 0x6, 0x7, 0x0, PseudoVLUXSEG2EI64_V_M1_MF2 }, // 65
  { 0x2, 0x0, 0x0, 0x6, 0x7, 0x1, PseudoVLUXSEG2EI64_V_M2_MF2 }, // 66
  { 0x2, 0x0, 0x0, 0x6, 0x7, 0x2, PseudoVLUXSEG2EI64_V_M4_MF2 }, // 67
  { 0x2, 0x0, 0x1, 0x3, 0x0, 0x0, PseudoVLOXSEG2EI8_V_M1_M1 }, // 68
  { 0x2, 0x0, 0x1, 0x3, 0x0, 0x5, PseudoVLOXSEG2EI8_V_MF8_M1 }, // 69
  { 0x2, 0x0, 0x1, 0x3, 0x0, 0x6, PseudoVLOXSEG2EI8_V_MF4_M1 }, // 70
  { 0x2, 0x0, 0x1, 0x3, 0x0, 0x7, PseudoVLOXSEG2EI8_V_MF2_M1 }, // 71
  { 0x2, 0x0, 0x1, 0x3, 0x1, 0x0, PseudoVLOXSEG2EI8_V_M1_M2 }, // 72
  { 0x2, 0x0, 0x1, 0x3, 0x1, 0x1, PseudoVLOXSEG2EI8_V_M2_M2 }, // 73
  { 0x2, 0x0, 0x1, 0x3, 0x1, 0x6, PseudoVLOXSEG2EI8_V_MF4_M2 }, // 74
  { 0x2, 0x0, 0x1, 0x3, 0x1, 0x7, PseudoVLOXSEG2EI8_V_MF2_M2 }, // 75
  { 0x2, 0x0, 0x1, 0x3, 0x2, 0x0, PseudoVLOXSEG2EI8_V_M1_M4 }, // 76
  { 0x2, 0x0, 0x1, 0x3, 0x2, 0x1, PseudoVLOXSEG2EI8_V_M2_M4 }, // 77
  { 0x2, 0x0, 0x1, 0x3, 0x2, 0x2, PseudoVLOXSEG2EI8_V_M4_M4 }, // 78
  { 0x2, 0x0, 0x1, 0x3, 0x2, 0x7, PseudoVLOXSEG2EI8_V_MF2_M4 }, // 79
  { 0x2, 0x0, 0x1, 0x3, 0x5, 0x5, PseudoVLOXSEG2EI8_V_MF8_MF8 }, // 80
  { 0x2, 0x0, 0x1, 0x3, 0x6, 0x5, PseudoVLOXSEG2EI8_V_MF8_MF4 }, // 81
  { 0x2, 0x0, 0x1, 0x3, 0x6, 0x6, PseudoVLOXSEG2EI8_V_MF4_MF4 }, // 82
  { 0x2, 0x0, 0x1, 0x3, 0x7, 0x5, PseudoVLOXSEG2EI8_V_MF8_MF2 }, // 83
  { 0x2, 0x0, 0x1, 0x3, 0x7, 0x6, PseudoVLOXSEG2EI8_V_MF4_MF2 }, // 84
  { 0x2, 0x0, 0x1, 0x3, 0x7, 0x7, PseudoVLOXSEG2EI8_V_MF2_MF2 }, // 85
  { 0x2, 0x0, 0x1, 0x4, 0x0, 0x0, PseudoVLOXSEG2EI16_V_M1_M1 }, // 86
  { 0x2, 0x0, 0x1, 0x4, 0x0, 0x1, PseudoVLOXSEG2EI16_V_M2_M1 }, // 87
  { 0x2, 0x0, 0x1, 0x4, 0x0, 0x6, PseudoVLOXSEG2EI16_V_MF4_M1 }, // 88
  { 0x2, 0x0, 0x1, 0x4, 0x0, 0x7, PseudoVLOXSEG2EI16_V_MF2_M1 }, // 89
  { 0x2, 0x0, 0x1, 0x4, 0x1, 0x0, PseudoVLOXSEG2EI16_V_M1_M2 }, // 90
  { 0x2, 0x0, 0x1, 0x4, 0x1, 0x1, PseudoVLOXSEG2EI16_V_M2_M2 }, // 91
  { 0x2, 0x0, 0x1, 0x4, 0x1, 0x2, PseudoVLOXSEG2EI16_V_M4_M2 }, // 92
  { 0x2, 0x0, 0x1, 0x4, 0x1, 0x7, PseudoVLOXSEG2EI16_V_MF2_M2 }, // 93
  { 0x2, 0x0, 0x1, 0x4, 0x2, 0x0, PseudoVLOXSEG2EI16_V_M1_M4 }, // 94
  { 0x2, 0x0, 0x1, 0x4, 0x2, 0x1, PseudoVLOXSEG2EI16_V_M2_M4 }, // 95
  { 0x2, 0x0, 0x1, 0x4, 0x2, 0x2, PseudoVLOXSEG2EI16_V_M4_M4 }, // 96
  { 0x2, 0x0, 0x1, 0x4, 0x2, 0x3, PseudoVLOXSEG2EI16_V_M8_M4 }, // 97
  { 0x2, 0x0, 0x1, 0x4, 0x5, 0x6, PseudoVLOXSEG2EI16_V_MF4_MF8 }, // 98
  { 0x2, 0x0, 0x1, 0x4, 0x6, 0x6, PseudoVLOXSEG2EI16_V_MF4_MF4 }, // 99
  { 0x2, 0x0, 0x1, 0x4, 0x6, 0x7, PseudoVLOXSEG2EI16_V_MF2_MF4 }, // 100
  { 0x2, 0x0, 0x1, 0x4, 0x7, 0x0, PseudoVLOXSEG2EI16_V_M1_MF2 }, // 101
  { 0x2, 0x0, 0x1, 0x4, 0x7, 0x6, PseudoVLOXSEG2EI16_V_MF4_MF2 }, // 102
  { 0x2, 0x0, 0x1, 0x4, 0x7, 0x7, PseudoVLOXSEG2EI16_V_MF2_MF2 }, // 103
  { 0x2, 0x0, 0x1, 0x5, 0x0, 0x0, PseudoVLOXSEG2EI32_V_M1_M1 }, // 104
  { 0x2, 0x0, 0x1, 0x5, 0x0, 0x1, PseudoVLOXSEG2EI32_V_M2_M1 }, // 105
  { 0x2, 0x0, 0x1, 0x5, 0x0, 0x2, PseudoVLOXSEG2EI32_V_M4_M1 }, // 106
  { 0x2, 0x0, 0x1, 0x5, 0x0, 0x7, PseudoVLOXSEG2EI32_V_MF2_M1 }, // 107
  { 0x2, 0x0, 0x1, 0x5, 0x1, 0x0, PseudoVLOXSEG2EI32_V_M1_M2 }, // 108
  { 0x2, 0x0, 0x1, 0x5, 0x1, 0x1, PseudoVLOXSEG2EI32_V_M2_M2 }, // 109
  { 0x2, 0x0, 0x1, 0x5, 0x1, 0x2, PseudoVLOXSEG2EI32_V_M4_M2 }, // 110
  { 0x2, 0x0, 0x1, 0x5, 0x1, 0x3, PseudoVLOXSEG2EI32_V_M8_M2 }, // 111
  { 0x2, 0x0, 0x1, 0x5, 0x2, 0x1, PseudoVLOXSEG2EI32_V_M2_M4 }, // 112
  { 0x2, 0x0, 0x1, 0x5, 0x2, 0x2, PseudoVLOXSEG2EI32_V_M4_M4 }, // 113
  { 0x2, 0x0, 0x1, 0x5, 0x2, 0x3, PseudoVLOXSEG2EI32_V_M8_M4 }, // 114
  { 0x2, 0x0, 0x1, 0x5, 0x5, 0x7, PseudoVLOXSEG2EI32_V_MF2_MF8 }, // 115
  { 0x2, 0x0, 0x1, 0x5, 0x6, 0x0, PseudoVLOXSEG2EI32_V_M1_MF4 }, // 116
  { 0x2, 0x0, 0x1, 0x5, 0x6, 0x7, PseudoVLOXSEG2EI32_V_MF2_MF4 }, // 117
  { 0x2, 0x0, 0x1, 0x5, 0x7, 0x0, PseudoVLOXSEG2EI32_V_M1_MF2 }, // 118
  { 0x2, 0x0, 0x1, 0x5, 0x7, 0x1, PseudoVLOXSEG2EI32_V_M2_MF2 }, // 119
  { 0x2, 0x0, 0x1, 0x5, 0x7, 0x7, PseudoVLOXSEG2EI32_V_MF2_MF2 }, // 120
  { 0x2, 0x0, 0x1, 0x6, 0x0, 0x0, PseudoVLOXSEG2EI64_V_M1_M1 }, // 121
  { 0x2, 0x0, 0x1, 0x6, 0x0, 0x1, PseudoVLOXSEG2EI64_V_M2_M1 }, // 122
  { 0x2, 0x0, 0x1, 0x6, 0x0, 0x2, PseudoVLOXSEG2EI64_V_M4_M1 }, // 123
  { 0x2, 0x0, 0x1, 0x6, 0x0, 0x3, PseudoVLOXSEG2EI64_V_M8_M1 }, // 124
  { 0x2, 0x0, 0x1, 0x6, 0x1, 0x1, PseudoVLOXSEG2EI64_V_M2_M2 }, // 125
  { 0x2, 0x0, 0x1, 0x6, 0x1, 0x2, PseudoVLOXSEG2EI64_V_M4_M2 }, // 126
  { 0x2, 0x0, 0x1, 0x6, 0x1, 0x3, PseudoVLOXSEG2EI64_V_M8_M2 }, // 127
  { 0x2, 0x0, 0x1, 0x6, 0x2, 0x2, PseudoVLOXSEG2EI64_V_M4_M4 }, // 128
  { 0x2, 0x0, 0x1, 0x6, 0x2, 0x3, PseudoVLOXSEG2EI64_V_M8_M4 }, // 129
  { 0x2, 0x0, 0x1, 0x6, 0x5, 0x0, PseudoVLOXSEG2EI64_V_M1_MF8 }, // 130
  { 0x2, 0x0, 0x1, 0x6, 0x6, 0x0, PseudoVLOXSEG2EI64_V_M1_MF4 }, // 131
  { 0x2, 0x0, 0x1, 0x6, 0x6, 0x1, PseudoVLOXSEG2EI64_V_M2_MF4 }, // 132
  { 0x2, 0x0, 0x1, 0x6, 0x7, 0x0, PseudoVLOXSEG2EI64_V_M1_MF2 }, // 133
  { 0x2, 0x0, 0x1, 0x6, 0x7, 0x1, PseudoVLOXSEG2EI64_V_M2_MF2 }, // 134
  { 0x2, 0x0, 0x1, 0x6, 0x7, 0x2, PseudoVLOXSEG2EI64_V_M4_MF2 }, // 135
  { 0x2, 0x1, 0x0, 0x3, 0x0, 0x0, PseudoVLUXSEG2EI8_V_M1_M1_MASK }, // 136
  { 0x2, 0x1, 0x0, 0x3, 0x0, 0x5, PseudoVLUXSEG2EI8_V_MF8_M1_MASK }, // 137
  { 0x2, 0x1, 0x0, 0x3, 0x0, 0x6, PseudoVLUXSEG2EI8_V_MF4_M1_MASK }, // 138
  { 0x2, 0x1, 0x0, 0x3, 0x0, 0x7, PseudoVLUXSEG2EI8_V_MF2_M1_MASK }, // 139
  { 0x2, 0x1, 0x0, 0x3, 0x1, 0x0, PseudoVLUXSEG2EI8_V_M1_M2_MASK }, // 140
  { 0x2, 0x1, 0x0, 0x3, 0x1, 0x1, PseudoVLUXSEG2EI8_V_M2_M2_MASK }, // 141
  { 0x2, 0x1, 0x0, 0x3, 0x1, 0x6, PseudoVLUXSEG2EI8_V_MF4_M2_MASK }, // 142
  { 0x2, 0x1, 0x0, 0x3, 0x1, 0x7, PseudoVLUXSEG2EI8_V_MF2_M2_MASK }, // 143
  { 0x2, 0x1, 0x0, 0x3, 0x2, 0x0, PseudoVLUXSEG2EI8_V_M1_M4_MASK }, // 144
  { 0x2, 0x1, 0x0, 0x3, 0x2, 0x1, PseudoVLUXSEG2EI8_V_M2_M4_MASK }, // 145
  { 0x2, 0x1, 0x0, 0x3, 0x2, 0x2, PseudoVLUXSEG2EI8_V_M4_M4_MASK }, // 146
  { 0x2, 0x1, 0x0, 0x3, 0x2, 0x7, PseudoVLUXSEG2EI8_V_MF2_M4_MASK }, // 147
  { 0x2, 0x1, 0x0, 0x3, 0x5, 0x5, PseudoVLUXSEG2EI8_V_MF8_MF8_MASK }, // 148
  { 0x2, 0x1, 0x0, 0x3, 0x6, 0x5, PseudoVLUXSEG2EI8_V_MF8_MF4_MASK }, // 149
  { 0x2, 0x1, 0x0, 0x3, 0x6, 0x6, PseudoVLUXSEG2EI8_V_MF4_MF4_MASK }, // 150
  { 0x2, 0x1, 0x0, 0x3, 0x7, 0x5, PseudoVLUXSEG2EI8_V_MF8_MF2_MASK }, // 151
  { 0x2, 0x1, 0x0, 0x3, 0x7, 0x6, PseudoVLUXSEG2EI8_V_MF4_MF2_MASK }, // 152
  { 0x2, 0x1, 0x0, 0x3, 0x7, 0x7, PseudoVLUXSEG2EI8_V_MF2_MF2_MASK }, // 153
  { 0x2, 0x1, 0x0, 0x4, 0x0, 0x0, PseudoVLUXSEG2EI16_V_M1_M1_MASK }, // 154
  { 0x2, 0x1, 0x0, 0x4, 0x0, 0x1, PseudoVLUXSEG2EI16_V_M2_M1_MASK }, // 155
  { 0x2, 0x1, 0x0, 0x4, 0x0, 0x6, PseudoVLUXSEG2EI16_V_MF4_M1_MASK }, // 156
  { 0x2, 0x1, 0x0, 0x4, 0x0, 0x7, PseudoVLUXSEG2EI16_V_MF2_M1_MASK }, // 157
  { 0x2, 0x1, 0x0, 0x4, 0x1, 0x0, PseudoVLUXSEG2EI16_V_M1_M2_MASK }, // 158
  { 0x2, 0x1, 0x0, 0x4, 0x1, 0x1, PseudoVLUXSEG2EI16_V_M2_M2_MASK }, // 159
  { 0x2, 0x1, 0x0, 0x4, 0x1, 0x2, PseudoVLUXSEG2EI16_V_M4_M2_MASK }, // 160
  { 0x2, 0x1, 0x0, 0x4, 0x1, 0x7, PseudoVLUXSEG2EI16_V_MF2_M2_MASK }, // 161
  { 0x2, 0x1, 0x0, 0x4, 0x2, 0x0, PseudoVLUXSEG2EI16_V_M1_M4_MASK }, // 162
  { 0x2, 0x1, 0x0, 0x4, 0x2, 0x1, PseudoVLUXSEG2EI16_V_M2_M4_MASK }, // 163
  { 0x2, 0x1, 0x0, 0x4, 0x2, 0x2, PseudoVLUXSEG2EI16_V_M4_M4_MASK }, // 164
  { 0x2, 0x1, 0x0, 0x4, 0x2, 0x3, PseudoVLUXSEG2EI16_V_M8_M4_MASK }, // 165
  { 0x2, 0x1, 0x0, 0x4, 0x5, 0x6, PseudoVLUXSEG2EI16_V_MF4_MF8_MASK }, // 166
  { 0x2, 0x1, 0x0, 0x4, 0x6, 0x6, PseudoVLUXSEG2EI16_V_MF4_MF4_MASK }, // 167
  { 0x2, 0x1, 0x0, 0x4, 0x6, 0x7, PseudoVLUXSEG2EI16_V_MF2_MF4_MASK }, // 168
  { 0x2, 0x1, 0x0, 0x4, 0x7, 0x0, PseudoVLUXSEG2EI16_V_M1_MF2_MASK }, // 169
  { 0x2, 0x1, 0x0, 0x4, 0x7, 0x6, PseudoVLUXSEG2EI16_V_MF4_MF2_MASK }, // 170
  { 0x2, 0x1, 0x0, 0x4, 0x7, 0x7, PseudoVLUXSEG2EI16_V_MF2_MF2_MASK }, // 171
  { 0x2, 0x1, 0x0, 0x5, 0x0, 0x0, PseudoVLUXSEG2EI32_V_M1_M1_MASK }, // 172
  { 0x2, 0x1, 0x0, 0x5, 0x0, 0x1, PseudoVLUXSEG2EI32_V_M2_M1_MASK }, // 173
  { 0x2, 0x1, 0x0, 0x5, 0x0, 0x2, PseudoVLUXSEG2EI32_V_M4_M1_MASK }, // 174
  { 0x2, 0x1, 0x0, 0x5, 0x0, 0x7, PseudoVLUXSEG2EI32_V_MF2_M1_MASK }, // 175
  { 0x2, 0x1, 0x0, 0x5, 0x1, 0x0, PseudoVLUXSEG2EI32_V_M1_M2_MASK }, // 176
  { 0x2, 0x1, 0x0, 0x5, 0x1, 0x1, PseudoVLUXSEG2EI32_V_M2_M2_MASK }, // 177
  { 0x2, 0x1, 0x0, 0x5, 0x1, 0x2, PseudoVLUXSEG2EI32_V_M4_M2_MASK }, // 178
  { 0x2, 0x1, 0x0, 0x5, 0x1, 0x3, PseudoVLUXSEG2EI32_V_M8_M2_MASK }, // 179
  { 0x2, 0x1, 0x0, 0x5, 0x2, 0x1, PseudoVLUXSEG2EI32_V_M2_M4_MASK }, // 180
  { 0x2, 0x1, 0x0, 0x5, 0x2, 0x2, PseudoVLUXSEG2EI32_V_M4_M4_MASK }, // 181
  { 0x2, 0x1, 0x0, 0x5, 0x2, 0x3, PseudoVLUXSEG2EI32_V_M8_M4_MASK }, // 182
  { 0x2, 0x1, 0x0, 0x5, 0x5, 0x7, PseudoVLUXSEG2EI32_V_MF2_MF8_MASK }, // 183
  { 0x2, 0x1, 0x0, 0x5, 0x6, 0x0, PseudoVLUXSEG2EI32_V_M1_MF4_MASK }, // 184
  { 0x2, 0x1, 0x0, 0x5, 0x6, 0x7, PseudoVLUXSEG2EI32_V_MF2_MF4_MASK }, // 185
  { 0x2, 0x1, 0x0, 0x5, 0x7, 0x0, PseudoVLUXSEG2EI32_V_M1_MF2_MASK }, // 186
  { 0x2, 0x1, 0x0, 0x5, 0x7, 0x1, PseudoVLUXSEG2EI32_V_M2_MF2_MASK }, // 187
  { 0x2, 0x1, 0x0, 0x5, 0x7, 0x7, PseudoVLUXSEG2EI32_V_MF2_MF2_MASK }, // 188
  { 0x2, 0x1, 0x0, 0x6, 0x0, 0x0, PseudoVLUXSEG2EI64_V_M1_M1_MASK }, // 189
  { 0x2, 0x1, 0x0, 0x6, 0x0, 0x1, PseudoVLUXSEG2EI64_V_M2_M1_MASK }, // 190
  { 0x2, 0x1, 0x0, 0x6, 0x0, 0x2, PseudoVLUXSEG2EI64_V_M4_M1_MASK }, // 191
  { 0x2, 0x1, 0x0, 0x6, 0x0, 0x3, PseudoVLUXSEG2EI64_V_M8_M1_MASK }, // 192
  { 0x2, 0x1, 0x0, 0x6, 0x1, 0x1, PseudoVLUXSEG2EI64_V_M2_M2_MASK }, // 193
  { 0x2, 0x1, 0x0, 0x6, 0x1, 0x2, PseudoVLUXSEG2EI64_V_M4_M2_MASK }, // 194
  { 0x2, 0x1, 0x0, 0x6, 0x1, 0x3, PseudoVLUXSEG2EI64_V_M8_M2_MASK }, // 195
  { 0x2, 0x1, 0x0, 0x6, 0x2, 0x2, PseudoVLUXSEG2EI64_V_M4_M4_MASK }, // 196
  { 0x2, 0x1, 0x0, 0x6, 0x2, 0x3, PseudoVLUXSEG2EI64_V_M8_M4_MASK }, // 197
  { 0x2, 0x1, 0x0, 0x6, 0x5, 0x0, PseudoVLUXSEG2EI64_V_M1_MF8_MASK }, // 198
  { 0x2, 0x1, 0x0, 0x6, 0x6, 0x0, PseudoVLUXSEG2EI64_V_M1_MF4_MASK }, // 199
  { 0x2, 0x1, 0x0, 0x6, 0x6, 0x1, PseudoVLUXSEG2EI64_V_M2_MF4_MASK }, // 200
  { 0x2, 0x1, 0x0, 0x6, 0x7, 0x0, PseudoVLUXSEG2EI64_V_M1_MF2_MASK }, // 201
  { 0x2, 0x1, 0x0, 0x6, 0x7, 0x1, PseudoVLUXSEG2EI64_V_M2_MF2_MASK }, // 202
  { 0x2, 0x1, 0x0, 0x6, 0x7, 0x2, PseudoVLUXSEG2EI64_V_M4_MF2_MASK }, // 203
  { 0x2, 0x1, 0x1, 0x3, 0x0, 0x0, PseudoVLOXSEG2EI8_V_M1_M1_MASK }, // 204
  { 0x2, 0x1, 0x1, 0x3, 0x0, 0x5, PseudoVLOXSEG2EI8_V_MF8_M1_MASK }, // 205
  { 0x2, 0x1, 0x1, 0x3, 0x0, 0x6, PseudoVLOXSEG2EI8_V_MF4_M1_MASK }, // 206
  { 0x2, 0x1, 0x1, 0x3, 0x0, 0x7, PseudoVLOXSEG2EI8_V_MF2_M1_MASK }, // 207
  { 0x2, 0x1, 0x1, 0x3, 0x1, 0x0, PseudoVLOXSEG2EI8_V_M1_M2_MASK }, // 208
  { 0x2, 0x1, 0x1, 0x3, 0x1, 0x1, PseudoVLOXSEG2EI8_V_M2_M2_MASK }, // 209
  { 0x2, 0x1, 0x1, 0x3, 0x1, 0x6, PseudoVLOXSEG2EI8_V_MF4_M2_MASK }, // 210
  { 0x2, 0x1, 0x1, 0x3, 0x1, 0x7, PseudoVLOXSEG2EI8_V_MF2_M2_MASK }, // 211
  { 0x2, 0x1, 0x1, 0x3, 0x2, 0x0, PseudoVLOXSEG2EI8_V_M1_M4_MASK }, // 212
  { 0x2, 0x1, 0x1, 0x3, 0x2, 0x1, PseudoVLOXSEG2EI8_V_M2_M4_MASK }, // 213
  { 0x2, 0x1, 0x1, 0x3, 0x2, 0x2, PseudoVLOXSEG2EI8_V_M4_M4_MASK }, // 214
  { 0x2, 0x1, 0x1, 0x3, 0x2, 0x7, PseudoVLOXSEG2EI8_V_MF2_M4_MASK }, // 215
  { 0x2, 0x1, 0x1, 0x3, 0x5, 0x5, PseudoVLOXSEG2EI8_V_MF8_MF8_MASK }, // 216
  { 0x2, 0x1, 0x1, 0x3, 0x6, 0x5, PseudoVLOXSEG2EI8_V_MF8_MF4_MASK }, // 217
  { 0x2, 0x1, 0x1, 0x3, 0x6, 0x6, PseudoVLOXSEG2EI8_V_MF4_MF4_MASK }, // 218
  { 0x2, 0x1, 0x1, 0x3, 0x7, 0x5, PseudoVLOXSEG2EI8_V_MF8_MF2_MASK }, // 219
  { 0x2, 0x1, 0x1, 0x3, 0x7, 0x6, PseudoVLOXSEG2EI8_V_MF4_MF2_MASK }, // 220
  { 0x2, 0x1, 0x1, 0x3, 0x7, 0x7, PseudoVLOXSEG2EI8_V_MF2_MF2_MASK }, // 221
  { 0x2, 0x1, 0x1, 0x4, 0x0, 0x0, PseudoVLOXSEG2EI16_V_M1_M1_MASK }, // 222
  { 0x2, 0x1, 0x1, 0x4, 0x0, 0x1, PseudoVLOXSEG2EI16_V_M2_M1_MASK }, // 223
  { 0x2, 0x1, 0x1, 0x4, 0x0, 0x6, PseudoVLOXSEG2EI16_V_MF4_M1_MASK }, // 224
  { 0x2, 0x1, 0x1, 0x4, 0x0, 0x7, PseudoVLOXSEG2EI16_V_MF2_M1_MASK }, // 225
  { 0x2, 0x1, 0x1, 0x4, 0x1, 0x0, PseudoVLOXSEG2EI16_V_M1_M2_MASK }, // 226
  { 0x2, 0x1, 0x1, 0x4, 0x1, 0x1, PseudoVLOXSEG2EI16_V_M2_M2_MASK }, // 227
  { 0x2, 0x1, 0x1, 0x4, 0x1, 0x2, PseudoVLOXSEG2EI16_V_M4_M2_MASK }, // 228
  { 0x2, 0x1, 0x1, 0x4, 0x1, 0x7, PseudoVLOXSEG2EI16_V_MF2_M2_MASK }, // 229
  { 0x2, 0x1, 0x1, 0x4, 0x2, 0x0, PseudoVLOXSEG2EI16_V_M1_M4_MASK }, // 230
  { 0x2, 0x1, 0x1, 0x4, 0x2, 0x1, PseudoVLOXSEG2EI16_V_M2_M4_MASK }, // 231
  { 0x2, 0x1, 0x1, 0x4, 0x2, 0x2, PseudoVLOXSEG2EI16_V_M4_M4_MASK }, // 232
  { 0x2, 0x1, 0x1, 0x4, 0x2, 0x3, PseudoVLOXSEG2EI16_V_M8_M4_MASK }, // 233
  { 0x2, 0x1, 0x1, 0x4, 0x5, 0x6, PseudoVLOXSEG2EI16_V_MF4_MF8_MASK }, // 234
  { 0x2, 0x1, 0x1, 0x4, 0x6, 0x6, PseudoVLOXSEG2EI16_V_MF4_MF4_MASK }, // 235
  { 0x2, 0x1, 0x1, 0x4, 0x6, 0x7, PseudoVLOXSEG2EI16_V_MF2_MF4_MASK }, // 236
  { 0x2, 0x1, 0x1, 0x4, 0x7, 0x0, PseudoVLOXSEG2EI16_V_M1_MF2_MASK }, // 237
  { 0x2, 0x1, 0x1, 0x4, 0x7, 0x6, PseudoVLOXSEG2EI16_V_MF4_MF2_MASK }, // 238
  { 0x2, 0x1, 0x1, 0x4, 0x7, 0x7, PseudoVLOXSEG2EI16_V_MF2_MF2_MASK }, // 239
  { 0x2, 0x1, 0x1, 0x5, 0x0, 0x0, PseudoVLOXSEG2EI32_V_M1_M1_MASK }, // 240
  { 0x2, 0x1, 0x1, 0x5, 0x0, 0x1, PseudoVLOXSEG2EI32_V_M2_M1_MASK }, // 241
  { 0x2, 0x1, 0x1, 0x5, 0x0, 0x2, PseudoVLOXSEG2EI32_V_M4_M1_MASK }, // 242
  { 0x2, 0x1, 0x1, 0x5, 0x0, 0x7, PseudoVLOXSEG2EI32_V_MF2_M1_MASK }, // 243
  { 0x2, 0x1, 0x1, 0x5, 0x1, 0x0, PseudoVLOXSEG2EI32_V_M1_M2_MASK }, // 244
  { 0x2, 0x1, 0x1, 0x5, 0x1, 0x1, PseudoVLOXSEG2EI32_V_M2_M2_MASK }, // 245
  { 0x2, 0x1, 0x1, 0x5, 0x1, 0x2, PseudoVLOXSEG2EI32_V_M4_M2_MASK }, // 246
  { 0x2, 0x1, 0x1, 0x5, 0x1, 0x3, PseudoVLOXSEG2EI32_V_M8_M2_MASK }, // 247
  { 0x2, 0x1, 0x1, 0x5, 0x2, 0x1, PseudoVLOXSEG2EI32_V_M2_M4_MASK }, // 248
  { 0x2, 0x1, 0x1, 0x5, 0x2, 0x2, PseudoVLOXSEG2EI32_V_M4_M4_MASK }, // 249
  { 0x2, 0x1, 0x1, 0x5, 0x2, 0x3, PseudoVLOXSEG2EI32_V_M8_M4_MASK }, // 250
  { 0x2, 0x1, 0x1, 0x5, 0x5, 0x7, PseudoVLOXSEG2EI32_V_MF2_MF8_MASK }, // 251
  { 0x2, 0x1, 0x1, 0x5, 0x6, 0x0, PseudoVLOXSEG2EI32_V_M1_MF4_MASK }, // 252
  { 0x2, 0x1, 0x1, 0x5, 0x6, 0x7, PseudoVLOXSEG2EI32_V_MF2_MF4_MASK }, // 253
  { 0x2, 0x1, 0x1, 0x5, 0x7, 0x0, PseudoVLOXSEG2EI32_V_M1_MF2_MASK }, // 254
  { 0x2, 0x1, 0x1, 0x5, 0x7, 0x1, PseudoVLOXSEG2EI32_V_M2_MF2_MASK }, // 255
  { 0x2, 0x1, 0x1, 0x5, 0x7, 0x7, PseudoVLOXSEG2EI32_V_MF2_MF2_MASK }, // 256
  { 0x2, 0x1, 0x1, 0x6, 0x0, 0x0, PseudoVLOXSEG2EI64_V_M1_M1_MASK }, // 257
  { 0x2, 0x1, 0x1, 0x6, 0x0, 0x1, PseudoVLOXSEG2EI64_V_M2_M1_MASK }, // 258
  { 0x2, 0x1, 0x1, 0x6, 0x0, 0x2, PseudoVLOXSEG2EI64_V_M4_M1_MASK }, // 259
  { 0x2, 0x1, 0x1, 0x6, 0x0, 0x3, PseudoVLOXSEG2EI64_V_M8_M1_MASK }, // 260
  { 0x2, 0x1, 0x1, 0x6, 0x1, 0x1, PseudoVLOXSEG2EI64_V_M2_M2_MASK }, // 261
  { 0x2, 0x1, 0x1, 0x6, 0x1, 0x2, PseudoVLOXSEG2EI64_V_M4_M2_MASK }, // 262
  { 0x2, 0x1, 0x1, 0x6, 0x1, 0x3, PseudoVLOXSEG2EI64_V_M8_M2_MASK }, // 263
  { 0x2, 0x1, 0x1, 0x6, 0x2, 0x2, PseudoVLOXSEG2EI64_V_M4_M4_MASK }, // 264
  { 0x2, 0x1, 0x1, 0x6, 0x2, 0x3, PseudoVLOXSEG2EI64_V_M8_M4_MASK }, // 265
  { 0x2, 0x1, 0x1, 0x6, 0x5, 0x0, PseudoVLOXSEG2EI64_V_M1_MF8_MASK }, // 266
  { 0x2, 0x1, 0x1, 0x6, 0x6, 0x0, PseudoVLOXSEG2EI64_V_M1_MF4_MASK }, // 267
  { 0x2, 0x1, 0x1, 0x6, 0x6, 0x1, PseudoVLOXSEG2EI64_V_M2_MF4_MASK }, // 268
  { 0x2, 0x1, 0x1, 0x6, 0x7, 0x0, PseudoVLOXSEG2EI64_V_M1_MF2_MASK }, // 269
  { 0x2, 0x1, 0x1, 0x6, 0x7, 0x1, PseudoVLOXSEG2EI64_V_M2_MF2_MASK }, // 270
  { 0x2, 0x1, 0x1, 0x6, 0x7, 0x2, PseudoVLOXSEG2EI64_V_M4_MF2_MASK }, // 271
  { 0x3, 0x0, 0x0, 0x3, 0x0, 0x0, PseudoVLUXSEG3EI8_V_M1_M1 }, // 272
  { 0x3, 0x0, 0x0, 0x3, 0x0, 0x5, PseudoVLUXSEG3EI8_V_MF8_M1 }, // 273
  { 0x3, 0x0, 0x0, 0x3, 0x0, 0x6, PseudoVLUXSEG3EI8_V_MF4_M1 }, // 274
  { 0x3, 0x0, 0x0, 0x3, 0x0, 0x7, PseudoVLUXSEG3EI8_V_MF2_M1 }, // 275
  { 0x3, 0x0, 0x0, 0x3, 0x1, 0x0, PseudoVLUXSEG3EI8_V_M1_M2 }, // 276
  { 0x3, 0x0, 0x0, 0x3, 0x1, 0x1, PseudoVLUXSEG3EI8_V_M2_M2 }, // 277
  { 0x3, 0x0, 0x0, 0x3, 0x1, 0x6, PseudoVLUXSEG3EI8_V_MF4_M2 }, // 278
  { 0x3, 0x0, 0x0, 0x3, 0x1, 0x7, PseudoVLUXSEG3EI8_V_MF2_M2 }, // 279
  { 0x3, 0x0, 0x0, 0x3, 0x5, 0x5, PseudoVLUXSEG3EI8_V_MF8_MF8 }, // 280
  { 0x3, 0x0, 0x0, 0x3, 0x6, 0x5, PseudoVLUXSEG3EI8_V_MF8_MF4 }, // 281
  { 0x3, 0x0, 0x0, 0x3, 0x6, 0x6, PseudoVLUXSEG3EI8_V_MF4_MF4 }, // 282
  { 0x3, 0x0, 0x0, 0x3, 0x7, 0x5, PseudoVLUXSEG3EI8_V_MF8_MF2 }, // 283
  { 0x3, 0x0, 0x0, 0x3, 0x7, 0x6, PseudoVLUXSEG3EI8_V_MF4_MF2 }, // 284
  { 0x3, 0x0, 0x0, 0x3, 0x7, 0x7, PseudoVLUXSEG3EI8_V_MF2_MF2 }, // 285
  { 0x3, 0x0, 0x0, 0x4, 0x0, 0x0, PseudoVLUXSEG3EI16_V_M1_M1 }, // 286
  { 0x3, 0x0, 0x0, 0x4, 0x0, 0x1, PseudoVLUXSEG3EI16_V_M2_M1 }, // 287
  { 0x3, 0x0, 0x0, 0x4, 0x0, 0x6, PseudoVLUXSEG3EI16_V_MF4_M1 }, // 288
  { 0x3, 0x0, 0x0, 0x4, 0x0, 0x7, PseudoVLUXSEG3EI16_V_MF2_M1 }, // 289
  { 0x3, 0x0, 0x0, 0x4, 0x1, 0x0, PseudoVLUXSEG3EI16_V_M1_M2 }, // 290
  { 0x3, 0x0, 0x0, 0x4, 0x1, 0x1, PseudoVLUXSEG3EI16_V_M2_M2 }, // 291
  { 0x3, 0x0, 0x0, 0x4, 0x1, 0x2, PseudoVLUXSEG3EI16_V_M4_M2 }, // 292
  { 0x3, 0x0, 0x0, 0x4, 0x1, 0x7, PseudoVLUXSEG3EI16_V_MF2_M2 }, // 293
  { 0x3, 0x0, 0x0, 0x4, 0x5, 0x6, PseudoVLUXSEG3EI16_V_MF4_MF8 }, // 294
  { 0x3, 0x0, 0x0, 0x4, 0x6, 0x6, PseudoVLUXSEG3EI16_V_MF4_MF4 }, // 295
  { 0x3, 0x0, 0x0, 0x4, 0x6, 0x7, PseudoVLUXSEG3EI16_V_MF2_MF4 }, // 296
  { 0x3, 0x0, 0x0, 0x4, 0x7, 0x0, PseudoVLUXSEG3EI16_V_M1_MF2 }, // 297
  { 0x3, 0x0, 0x0, 0x4, 0x7, 0x6, PseudoVLUXSEG3EI16_V_MF4_MF2 }, // 298
  { 0x3, 0x0, 0x0, 0x4, 0x7, 0x7, PseudoVLUXSEG3EI16_V_MF2_MF2 }, // 299
  { 0x3, 0x0, 0x0, 0x5, 0x0, 0x0, PseudoVLUXSEG3EI32_V_M1_M1 }, // 300
  { 0x3, 0x0, 0x0, 0x5, 0x0, 0x1, PseudoVLUXSEG3EI32_V_M2_M1 }, // 301
  { 0x3, 0x0, 0x0, 0x5, 0x0, 0x2, PseudoVLUXSEG3EI32_V_M4_M1 }, // 302
  { 0x3, 0x0, 0x0, 0x5, 0x0, 0x7, PseudoVLUXSEG3EI32_V_MF2_M1 }, // 303
  { 0x3, 0x0, 0x0, 0x5, 0x1, 0x0, PseudoVLUXSEG3EI32_V_M1_M2 }, // 304
  { 0x3, 0x0, 0x0, 0x5, 0x1, 0x1, PseudoVLUXSEG3EI32_V_M2_M2 }, // 305
  { 0x3, 0x0, 0x0, 0x5, 0x1, 0x2, PseudoVLUXSEG3EI32_V_M4_M2 }, // 306
  { 0x3, 0x0, 0x0, 0x5, 0x1, 0x3, PseudoVLUXSEG3EI32_V_M8_M2 }, // 307
  { 0x3, 0x0, 0x0, 0x5, 0x5, 0x7, PseudoVLUXSEG3EI32_V_MF2_MF8 }, // 308
  { 0x3, 0x0, 0x0, 0x5, 0x6, 0x0, PseudoVLUXSEG3EI32_V_M1_MF4 }, // 309
  { 0x3, 0x0, 0x0, 0x5, 0x6, 0x7, PseudoVLUXSEG3EI32_V_MF2_MF4 }, // 310
  { 0x3, 0x0, 0x0, 0x5, 0x7, 0x0, PseudoVLUXSEG3EI32_V_M1_MF2 }, // 311
  { 0x3, 0x0, 0x0, 0x5, 0x7, 0x1, PseudoVLUXSEG3EI32_V_M2_MF2 }, // 312
  { 0x3, 0x0, 0x0, 0x5, 0x7, 0x7, PseudoVLUXSEG3EI32_V_MF2_MF2 }, // 313
  { 0x3, 0x0, 0x0, 0x6, 0x0, 0x0, PseudoVLUXSEG3EI64_V_M1_M1 }, // 314
  { 0x3, 0x0, 0x0, 0x6, 0x0, 0x1, PseudoVLUXSEG3EI64_V_M2_M1 }, // 315
  { 0x3, 0x0, 0x0, 0x6, 0x0, 0x2, PseudoVLUXSEG3EI64_V_M4_M1 }, // 316
  { 0x3, 0x0, 0x0, 0x6, 0x0, 0x3, PseudoVLUXSEG3EI64_V_M8_M1 }, // 317
  { 0x3, 0x0, 0x0, 0x6, 0x1, 0x1, PseudoVLUXSEG3EI64_V_M2_M2 }, // 318
  { 0x3, 0x0, 0x0, 0x6, 0x1, 0x2, PseudoVLUXSEG3EI64_V_M4_M2 }, // 319
  { 0x3, 0x0, 0x0, 0x6, 0x1, 0x3, PseudoVLUXSEG3EI64_V_M8_M2 }, // 320
  { 0x3, 0x0, 0x0, 0x6, 0x5, 0x0, PseudoVLUXSEG3EI64_V_M1_MF8 }, // 321
  { 0x3, 0x0, 0x0, 0x6, 0x6, 0x0, PseudoVLUXSEG3EI64_V_M1_MF4 }, // 322
  { 0x3, 0x0, 0x0, 0x6, 0x6, 0x1, PseudoVLUXSEG3EI64_V_M2_MF4 }, // 323
  { 0x3, 0x0, 0x0, 0x6, 0x7, 0x0, PseudoVLUXSEG3EI64_V_M1_MF2 }, // 324
  { 0x3, 0x0, 0x0, 0x6, 0x7, 0x1, PseudoVLUXSEG3EI64_V_M2_MF2 }, // 325
  { 0x3, 0x0, 0x0, 0x6, 0x7, 0x2, PseudoVLUXSEG3EI64_V_M4_MF2 }, // 326
  { 0x3, 0x0, 0x1, 0x3, 0x0, 0x0, PseudoVLOXSEG3EI8_V_M1_M1 }, // 327
  { 0x3, 0x0, 0x1, 0x3, 0x0, 0x5, PseudoVLOXSEG3EI8_V_MF8_M1 }, // 328
  { 0x3, 0x0, 0x1, 0x3, 0x0, 0x6, PseudoVLOXSEG3EI8_V_MF4_M1 }, // 329
  { 0x3, 0x0, 0x1, 0x3, 0x0, 0x7, PseudoVLOXSEG3EI8_V_MF2_M1 }, // 330
  { 0x3, 0x0, 0x1, 0x3, 0x1, 0x0, PseudoVLOXSEG3EI8_V_M1_M2 }, // 331
  { 0x3, 0x0, 0x1, 0x3, 0x1, 0x1, PseudoVLOXSEG3EI8_V_M2_M2 }, // 332
  { 0x3, 0x0, 0x1, 0x3, 0x1, 0x6, PseudoVLOXSEG3EI8_V_MF4_M2 }, // 333
  { 0x3, 0x0, 0x1, 0x3, 0x1, 0x7, PseudoVLOXSEG3EI8_V_MF2_M2 }, // 334
  { 0x3, 0x0, 0x1, 0x3, 0x5, 0x5, PseudoVLOXSEG3EI8_V_MF8_MF8 }, // 335
  { 0x3, 0x0, 0x1, 0x3, 0x6, 0x5, PseudoVLOXSEG3EI8_V_MF8_MF4 }, // 336
  { 0x3, 0x0, 0x1, 0x3, 0x6, 0x6, PseudoVLOXSEG3EI8_V_MF4_MF4 }, // 337
  { 0x3, 0x0, 0x1, 0x3, 0x7, 0x5, PseudoVLOXSEG3EI8_V_MF8_MF2 }, // 338
  { 0x3, 0x0, 0x1, 0x3, 0x7, 0x6, PseudoVLOXSEG3EI8_V_MF4_MF2 }, // 339
  { 0x3, 0x0, 0x1, 0x3, 0x7, 0x7, PseudoVLOXSEG3EI8_V_MF2_MF2 }, // 340
  { 0x3, 0x0, 0x1, 0x4, 0x0, 0x0, PseudoVLOXSEG3EI16_V_M1_M1 }, // 341
  { 0x3, 0x0, 0x1, 0x4, 0x0, 0x1, PseudoVLOXSEG3EI16_V_M2_M1 }, // 342
  { 0x3, 0x0, 0x1, 0x4, 0x0, 0x6, PseudoVLOXSEG3EI16_V_MF4_M1 }, // 343
  { 0x3, 0x0, 0x1, 0x4, 0x0, 0x7, PseudoVLOXSEG3EI16_V_MF2_M1 }, // 344
  { 0x3, 0x0, 0x1, 0x4, 0x1, 0x0, PseudoVLOXSEG3EI16_V_M1_M2 }, // 345
  { 0x3, 0x0, 0x1, 0x4, 0x1, 0x1, PseudoVLOXSEG3EI16_V_M2_M2 }, // 346
  { 0x3, 0x0, 0x1, 0x4, 0x1, 0x2, PseudoVLOXSEG3EI16_V_M4_M2 }, // 347
  { 0x3, 0x0, 0x1, 0x4, 0x1, 0x7, PseudoVLOXSEG3EI16_V_MF2_M2 }, // 348
  { 0x3, 0x0, 0x1, 0x4, 0x5, 0x6, PseudoVLOXSEG3EI16_V_MF4_MF8 }, // 349
  { 0x3, 0x0, 0x1, 0x4, 0x6, 0x6, PseudoVLOXSEG3EI16_V_MF4_MF4 }, // 350
  { 0x3, 0x0, 0x1, 0x4, 0x6, 0x7, PseudoVLOXSEG3EI16_V_MF2_MF4 }, // 351
  { 0x3, 0x0, 0x1, 0x4, 0x7, 0x0, PseudoVLOXSEG3EI16_V_M1_MF2 }, // 352
  { 0x3, 0x0, 0x1, 0x4, 0x7, 0x6, PseudoVLOXSEG3EI16_V_MF4_MF2 }, // 353
  { 0x3, 0x0, 0x1, 0x4, 0x7, 0x7, PseudoVLOXSEG3EI16_V_MF2_MF2 }, // 354
  { 0x3, 0x0, 0x1, 0x5, 0x0, 0x0, PseudoVLOXSEG3EI32_V_M1_M1 }, // 355
  { 0x3, 0x0, 0x1, 0x5, 0x0, 0x1, PseudoVLOXSEG3EI32_V_M2_M1 }, // 356
  { 0x3, 0x0, 0x1, 0x5, 0x0, 0x2, PseudoVLOXSEG3EI32_V_M4_M1 }, // 357
  { 0x3, 0x0, 0x1, 0x5, 0x0, 0x7, PseudoVLOXSEG3EI32_V_MF2_M1 }, // 358
  { 0x3, 0x0, 0x1, 0x5, 0x1, 0x0, PseudoVLOXSEG3EI32_V_M1_M2 }, // 359
  { 0x3, 0x0, 0x1, 0x5, 0x1, 0x1, PseudoVLOXSEG3EI32_V_M2_M2 }, // 360
  { 0x3, 0x0, 0x1, 0x5, 0x1, 0x2, PseudoVLOXSEG3EI32_V_M4_M2 }, // 361
  { 0x3, 0x0, 0x1, 0x5, 0x1, 0x3, PseudoVLOXSEG3EI32_V_M8_M2 }, // 362
  { 0x3, 0x0, 0x1, 0x5, 0x5, 0x7, PseudoVLOXSEG3EI32_V_MF2_MF8 }, // 363
  { 0x3, 0x0, 0x1, 0x5, 0x6, 0x0, PseudoVLOXSEG3EI32_V_M1_MF4 }, // 364
  { 0x3, 0x0, 0x1, 0x5, 0x6, 0x7, PseudoVLOXSEG3EI32_V_MF2_MF4 }, // 365
  { 0x3, 0x0, 0x1, 0x5, 0x7, 0x0, PseudoVLOXSEG3EI32_V_M1_MF2 }, // 366
  { 0x3, 0x0, 0x1, 0x5, 0x7, 0x1, PseudoVLOXSEG3EI32_V_M2_MF2 }, // 367
  { 0x3, 0x0, 0x1, 0x5, 0x7, 0x7, PseudoVLOXSEG3EI32_V_MF2_MF2 }, // 368
  { 0x3, 0x0, 0x1, 0x6, 0x0, 0x0, PseudoVLOXSEG3EI64_V_M1_M1 }, // 369
  { 0x3, 0x0, 0x1, 0x6, 0x0, 0x1, PseudoVLOXSEG3EI64_V_M2_M1 }, // 370
  { 0x3, 0x0, 0x1, 0x6, 0x0, 0x2, PseudoVLOXSEG3EI64_V_M4_M1 }, // 371
  { 0x3, 0x0, 0x1, 0x6, 0x0, 0x3, PseudoVLOXSEG3EI64_V_M8_M1 }, // 372
  { 0x3, 0x0, 0x1, 0x6, 0x1, 0x1, PseudoVLOXSEG3EI64_V_M2_M2 }, // 373
  { 0x3, 0x0, 0x1, 0x6, 0x1, 0x2, PseudoVLOXSEG3EI64_V_M4_M2 }, // 374
  { 0x3, 0x0, 0x1, 0x6, 0x1, 0x3, PseudoVLOXSEG3EI64_V_M8_M2 }, // 375
  { 0x3, 0x0, 0x1, 0x6, 0x5, 0x0, PseudoVLOXSEG3EI64_V_M1_MF8 }, // 376
  { 0x3, 0x0, 0x1, 0x6, 0x6, 0x0, PseudoVLOXSEG3EI64_V_M1_MF4 }, // 377
  { 0x3, 0x0, 0x1, 0x6, 0x6, 0x1, PseudoVLOXSEG3EI64_V_M2_MF4 }, // 378
  { 0x3, 0x0, 0x1, 0x6, 0x7, 0x0, PseudoVLOXSEG3EI64_V_M1_MF2 }, // 379
  { 0x3, 0x0, 0x1, 0x6, 0x7, 0x1, PseudoVLOXSEG3EI64_V_M2_MF2 }, // 380
  { 0x3, 0x0, 0x1, 0x6, 0x7, 0x2, PseudoVLOXSEG3EI64_V_M4_MF2 }, // 381
  { 0x3, 0x1, 0x0, 0x3, 0x0, 0x0, PseudoVLUXSEG3EI8_V_M1_M1_MASK }, // 382
  { 0x3, 0x1, 0x0, 0x3, 0x0, 0x5, PseudoVLUXSEG3EI8_V_MF8_M1_MASK }, // 383
  { 0x3, 0x1, 0x0, 0x3, 0x0, 0x6, PseudoVLUXSEG3EI8_V_MF4_M1_MASK }, // 384
  { 0x3, 0x1, 0x0, 0x3, 0x0, 0x7, PseudoVLUXSEG3EI8_V_MF2_M1_MASK }, // 385
  { 0x3, 0x1, 0x0, 0x3, 0x1, 0x0, PseudoVLUXSEG3EI8_V_M1_M2_MASK }, // 386
  { 0x3, 0x1, 0x0, 0x3, 0x1, 0x1, PseudoVLUXSEG3EI8_V_M2_M2_MASK }, // 387
  { 0x3, 0x1, 0x0, 0x3, 0x1, 0x6, PseudoVLUXSEG3EI8_V_MF4_M2_MASK }, // 388
  { 0x3, 0x1, 0x0, 0x3, 0x1, 0x7, PseudoVLUXSEG3EI8_V_MF2_M2_MASK }, // 389
  { 0x3, 0x1, 0x0, 0x3, 0x5, 0x5, PseudoVLUXSEG3EI8_V_MF8_MF8_MASK }, // 390
  { 0x3, 0x1, 0x0, 0x3, 0x6, 0x5, PseudoVLUXSEG3EI8_V_MF8_MF4_MASK }, // 391
  { 0x3, 0x1, 0x0, 0x3, 0x6, 0x6, PseudoVLUXSEG3EI8_V_MF4_MF4_MASK }, // 392
  { 0x3, 0x1, 0x0, 0x3, 0x7, 0x5, PseudoVLUXSEG3EI8_V_MF8_MF2_MASK }, // 393
  { 0x3, 0x1, 0x0, 0x3, 0x7, 0x6, PseudoVLUXSEG3EI8_V_MF4_MF2_MASK }, // 394
  { 0x3, 0x1, 0x0, 0x3, 0x7, 0x7, PseudoVLUXSEG3EI8_V_MF2_MF2_MASK }, // 395
  { 0x3, 0x1, 0x0, 0x4, 0x0, 0x0, PseudoVLUXSEG3EI16_V_M1_M1_MASK }, // 396
  { 0x3, 0x1, 0x0, 0x4, 0x0, 0x1, PseudoVLUXSEG3EI16_V_M2_M1_MASK }, // 397
  { 0x3, 0x1, 0x0, 0x4, 0x0, 0x6, PseudoVLUXSEG3EI16_V_MF4_M1_MASK }, // 398
  { 0x3, 0x1, 0x0, 0x4, 0x0, 0x7, PseudoVLUXSEG3EI16_V_MF2_M1_MASK }, // 399
  { 0x3, 0x1, 0x0, 0x4, 0x1, 0x0, PseudoVLUXSEG3EI16_V_M1_M2_MASK }, // 400
  { 0x3, 0x1, 0x0, 0x4, 0x1, 0x1, PseudoVLUXSEG3EI16_V_M2_M2_MASK }, // 401
  { 0x3, 0x1, 0x0, 0x4, 0x1, 0x2, PseudoVLUXSEG3EI16_V_M4_M2_MASK }, // 402
  { 0x3, 0x1, 0x0, 0x4, 0x1, 0x7, PseudoVLUXSEG3EI16_V_MF2_M2_MASK }, // 403
  { 0x3, 0x1, 0x0, 0x4, 0x5, 0x6, PseudoVLUXSEG3EI16_V_MF4_MF8_MASK }, // 404
  { 0x3, 0x1, 0x0, 0x4, 0x6, 0x6, PseudoVLUXSEG3EI16_V_MF4_MF4_MASK }, // 405
  { 0x3, 0x1, 0x0, 0x4, 0x6, 0x7, PseudoVLUXSEG3EI16_V_MF2_MF4_MASK }, // 406
  { 0x3, 0x1, 0x0, 0x4, 0x7, 0x0, PseudoVLUXSEG3EI16_V_M1_MF2_MASK }, // 407
  { 0x3, 0x1, 0x0, 0x4, 0x7, 0x6, PseudoVLUXSEG3EI16_V_MF4_MF2_MASK }, // 408
  { 0x3, 0x1, 0x0, 0x4, 0x7, 0x7, PseudoVLUXSEG3EI16_V_MF2_MF2_MASK }, // 409
  { 0x3, 0x1, 0x0, 0x5, 0x0, 0x0, PseudoVLUXSEG3EI32_V_M1_M1_MASK }, // 410
  { 0x3, 0x1, 0x0, 0x5, 0x0, 0x1, PseudoVLUXSEG3EI32_V_M2_M1_MASK }, // 411
  { 0x3, 0x1, 0x0, 0x5, 0x0, 0x2, PseudoVLUXSEG3EI32_V_M4_M1_MASK }, // 412
  { 0x3, 0x1, 0x0, 0x5, 0x0, 0x7, PseudoVLUXSEG3EI32_V_MF2_M1_MASK }, // 413
  { 0x3, 0x1, 0x0, 0x5, 0x1, 0x0, PseudoVLUXSEG3EI32_V_M1_M2_MASK }, // 414
  { 0x3, 0x1, 0x0, 0x5, 0x1, 0x1, PseudoVLUXSEG3EI32_V_M2_M2_MASK }, // 415
  { 0x3, 0x1, 0x0, 0x5, 0x1, 0x2, PseudoVLUXSEG3EI32_V_M4_M2_MASK }, // 416
  { 0x3, 0x1, 0x0, 0x5, 0x1, 0x3, PseudoVLUXSEG3EI32_V_M8_M2_MASK }, // 417
  { 0x3, 0x1, 0x0, 0x5, 0x5, 0x7, PseudoVLUXSEG3EI32_V_MF2_MF8_MASK }, // 418
  { 0x3, 0x1, 0x0, 0x5, 0x6, 0x0, PseudoVLUXSEG3EI32_V_M1_MF4_MASK }, // 419
  { 0x3, 0x1, 0x0, 0x5, 0x6, 0x7, PseudoVLUXSEG3EI32_V_MF2_MF4_MASK }, // 420
  { 0x3, 0x1, 0x0, 0x5, 0x7, 0x0, PseudoVLUXSEG3EI32_V_M1_MF2_MASK }, // 421
  { 0x3, 0x1, 0x0, 0x5, 0x7, 0x1, PseudoVLUXSEG3EI32_V_M2_MF2_MASK }, // 422
  { 0x3, 0x1, 0x0, 0x5, 0x7, 0x7, PseudoVLUXSEG3EI32_V_MF2_MF2_MASK }, // 423
  { 0x3, 0x1, 0x0, 0x6, 0x0, 0x0, PseudoVLUXSEG3EI64_V_M1_M1_MASK }, // 424
  { 0x3, 0x1, 0x0, 0x6, 0x0, 0x1, PseudoVLUXSEG3EI64_V_M2_M1_MASK }, // 425
  { 0x3, 0x1, 0x0, 0x6, 0x0, 0x2, PseudoVLUXSEG3EI64_V_M4_M1_MASK }, // 426
  { 0x3, 0x1, 0x0, 0x6, 0x0, 0x3, PseudoVLUXSEG3EI64_V_M8_M1_MASK }, // 427
  { 0x3, 0x1, 0x0, 0x6, 0x1, 0x1, PseudoVLUXSEG3EI64_V_M2_M2_MASK }, // 428
  { 0x3, 0x1, 0x0, 0x6, 0x1, 0x2, PseudoVLUXSEG3EI64_V_M4_M2_MASK }, // 429
  { 0x3, 0x1, 0x0, 0x6, 0x1, 0x3, PseudoVLUXSEG3EI64_V_M8_M2_MASK }, // 430
  { 0x3, 0x1, 0x0, 0x6, 0x5, 0x0, PseudoVLUXSEG3EI64_V_M1_MF8_MASK }, // 431
  { 0x3, 0x1, 0x0, 0x6, 0x6, 0x0, PseudoVLUXSEG3EI64_V_M1_MF4_MASK }, // 432
  { 0x3, 0x1, 0x0, 0x6, 0x6, 0x1, PseudoVLUXSEG3EI64_V_M2_MF4_MASK }, // 433
  { 0x3, 0x1, 0x0, 0x6, 0x7, 0x0, PseudoVLUXSEG3EI64_V_M1_MF2_MASK }, // 434
  { 0x3, 0x1, 0x0, 0x6, 0x7, 0x1, PseudoVLUXSEG3EI64_V_M2_MF2_MASK }, // 435
  { 0x3, 0x1, 0x0, 0x6, 0x7, 0x2, PseudoVLUXSEG3EI64_V_M4_MF2_MASK }, // 436
  { 0x3, 0x1, 0x1, 0x3, 0x0, 0x0, PseudoVLOXSEG3EI8_V_M1_M1_MASK }, // 437
  { 0x3, 0x1, 0x1, 0x3, 0x0, 0x5, PseudoVLOXSEG3EI8_V_MF8_M1_MASK }, // 438
  { 0x3, 0x1, 0x1, 0x3, 0x0, 0x6, PseudoVLOXSEG3EI8_V_MF4_M1_MASK }, // 439
  { 0x3, 0x1, 0x1, 0x3, 0x0, 0x7, PseudoVLOXSEG3EI8_V_MF2_M1_MASK }, // 440
  { 0x3, 0x1, 0x1, 0x3, 0x1, 0x0, PseudoVLOXSEG3EI8_V_M1_M2_MASK }, // 441
  { 0x3, 0x1, 0x1, 0x3, 0x1, 0x1, PseudoVLOXSEG3EI8_V_M2_M2_MASK }, // 442
  { 0x3, 0x1, 0x1, 0x3, 0x1, 0x6, PseudoVLOXSEG3EI8_V_MF4_M2_MASK }, // 443
  { 0x3, 0x1, 0x1, 0x3, 0x1, 0x7, PseudoVLOXSEG3EI8_V_MF2_M2_MASK }, // 444
  { 0x3, 0x1, 0x1, 0x3, 0x5, 0x5, PseudoVLOXSEG3EI8_V_MF8_MF8_MASK }, // 445
  { 0x3, 0x1, 0x1, 0x3, 0x6, 0x5, PseudoVLOXSEG3EI8_V_MF8_MF4_MASK }, // 446
  { 0x3, 0x1, 0x1, 0x3, 0x6, 0x6, PseudoVLOXSEG3EI8_V_MF4_MF4_MASK }, // 447
  { 0x3, 0x1, 0x1, 0x3, 0x7, 0x5, PseudoVLOXSEG3EI8_V_MF8_MF2_MASK }, // 448
  { 0x3, 0x1, 0x1, 0x3, 0x7, 0x6, PseudoVLOXSEG3EI8_V_MF4_MF2_MASK }, // 449
  { 0x3, 0x1, 0x1, 0x3, 0x7, 0x7, PseudoVLOXSEG3EI8_V_MF2_MF2_MASK }, // 450
  { 0x3, 0x1, 0x1, 0x4, 0x0, 0x0, PseudoVLOXSEG3EI16_V_M1_M1_MASK }, // 451
  { 0x3, 0x1, 0x1, 0x4, 0x0, 0x1, PseudoVLOXSEG3EI16_V_M2_M1_MASK }, // 452
  { 0x3, 0x1, 0x1, 0x4, 0x0, 0x6, PseudoVLOXSEG3EI16_V_MF4_M1_MASK }, // 453
  { 0x3, 0x1, 0x1, 0x4, 0x0, 0x7, PseudoVLOXSEG3EI16_V_MF2_M1_MASK }, // 454
  { 0x3, 0x1, 0x1, 0x4, 0x1, 0x0, PseudoVLOXSEG3EI16_V_M1_M2_MASK }, // 455
  { 0x3, 0x1, 0x1, 0x4, 0x1, 0x1, PseudoVLOXSEG3EI16_V_M2_M2_MASK }, // 456
  { 0x3, 0x1, 0x1, 0x4, 0x1, 0x2, PseudoVLOXSEG3EI16_V_M4_M2_MASK }, // 457
  { 0x3, 0x1, 0x1, 0x4, 0x1, 0x7, PseudoVLOXSEG3EI16_V_MF2_M2_MASK }, // 458
  { 0x3, 0x1, 0x1, 0x4, 0x5, 0x6, PseudoVLOXSEG3EI16_V_MF4_MF8_MASK }, // 459
  { 0x3, 0x1, 0x1, 0x4, 0x6, 0x6, PseudoVLOXSEG3EI16_V_MF4_MF4_MASK }, // 460
  { 0x3, 0x1, 0x1, 0x4, 0x6, 0x7, PseudoVLOXSEG3EI16_V_MF2_MF4_MASK }, // 461
  { 0x3, 0x1, 0x1, 0x4, 0x7, 0x0, PseudoVLOXSEG3EI16_V_M1_MF2_MASK }, // 462
  { 0x3, 0x1, 0x1, 0x4, 0x7, 0x6, PseudoVLOXSEG3EI16_V_MF4_MF2_MASK }, // 463
  { 0x3, 0x1, 0x1, 0x4, 0x7, 0x7, PseudoVLOXSEG3EI16_V_MF2_MF2_MASK }, // 464
  { 0x3, 0x1, 0x1, 0x5, 0x0, 0x0, PseudoVLOXSEG3EI32_V_M1_M1_MASK }, // 465
  { 0x3, 0x1, 0x1, 0x5, 0x0, 0x1, PseudoVLOXSEG3EI32_V_M2_M1_MASK }, // 466
  { 0x3, 0x1, 0x1, 0x5, 0x0, 0x2, PseudoVLOXSEG3EI32_V_M4_M1_MASK }, // 467
  { 0x3, 0x1, 0x1, 0x5, 0x0, 0x7, PseudoVLOXSEG3EI32_V_MF2_M1_MASK }, // 468
  { 0x3, 0x1, 0x1, 0x5, 0x1, 0x0, PseudoVLOXSEG3EI32_V_M1_M2_MASK }, // 469
  { 0x3, 0x1, 0x1, 0x5, 0x1, 0x1, PseudoVLOXSEG3EI32_V_M2_M2_MASK }, // 470
  { 0x3, 0x1, 0x1, 0x5, 0x1, 0x2, PseudoVLOXSEG3EI32_V_M4_M2_MASK }, // 471
  { 0x3, 0x1, 0x1, 0x5, 0x1, 0x3, PseudoVLOXSEG3EI32_V_M8_M2_MASK }, // 472
  { 0x3, 0x1, 0x1, 0x5, 0x5, 0x7, PseudoVLOXSEG3EI32_V_MF2_MF8_MASK }, // 473
  { 0x3, 0x1, 0x1, 0x5, 0x6, 0x0, PseudoVLOXSEG3EI32_V_M1_MF4_MASK }, // 474
  { 0x3, 0x1, 0x1, 0x5, 0x6, 0x7, PseudoVLOXSEG3EI32_V_MF2_MF4_MASK }, // 475
  { 0x3, 0x1, 0x1, 0x5, 0x7, 0x0, PseudoVLOXSEG3EI32_V_M1_MF2_MASK }, // 476
  { 0x3, 0x1, 0x1, 0x5, 0x7, 0x1, PseudoVLOXSEG3EI32_V_M2_MF2_MASK }, // 477
  { 0x3, 0x1, 0x1, 0x5, 0x7, 0x7, PseudoVLOXSEG3EI32_V_MF2_MF2_MASK }, // 478
  { 0x3, 0x1, 0x1, 0x6, 0x0, 0x0, PseudoVLOXSEG3EI64_V_M1_M1_MASK }, // 479
  { 0x3, 0x1, 0x1, 0x6, 0x0, 0x1, PseudoVLOXSEG3EI64_V_M2_M1_MASK }, // 480
  { 0x3, 0x1, 0x1, 0x6, 0x0, 0x2, PseudoVLOXSEG3EI64_V_M4_M1_MASK }, // 481
  { 0x3, 0x1, 0x1, 0x6, 0x0, 0x3, PseudoVLOXSEG3EI64_V_M8_M1_MASK }, // 482
  { 0x3, 0x1, 0x1, 0x6, 0x1, 0x1, PseudoVLOXSEG3EI64_V_M2_M2_MASK }, // 483
  { 0x3, 0x1, 0x1, 0x6, 0x1, 0x2, PseudoVLOXSEG3EI64_V_M4_M2_MASK }, // 484
  { 0x3, 0x1, 0x1, 0x6, 0x1, 0x3, PseudoVLOXSEG3EI64_V_M8_M2_MASK }, // 485
  { 0x3, 0x1, 0x1, 0x6, 0x5, 0x0, PseudoVLOXSEG3EI64_V_M1_MF8_MASK }, // 486
  { 0x3, 0x1, 0x1, 0x6, 0x6, 0x0, PseudoVLOXSEG3EI64_V_M1_MF4_MASK }, // 487
  { 0x3, 0x1, 0x1, 0x6, 0x6, 0x1, PseudoVLOXSEG3EI64_V_M2_MF4_MASK }, // 488
  { 0x3, 0x1, 0x1, 0x6, 0x7, 0x0, PseudoVLOXSEG3EI64_V_M1_MF2_MASK }, // 489
  { 0x3, 0x1, 0x1, 0x6, 0x7, 0x1, PseudoVLOXSEG3EI64_V_M2_MF2_MASK }, // 490
  { 0x3, 0x1, 0x1, 0x6, 0x7, 0x2, PseudoVLOXSEG3EI64_V_M4_MF2_MASK }, // 491
  { 0x4, 0x0, 0x0, 0x3, 0x0, 0x0, PseudoVLUXSEG4EI8_V_M1_M1 }, // 492
  { 0x4, 0x0, 0x0, 0x3, 0x0, 0x5, PseudoVLUXSEG4EI8_V_MF8_M1 }, // 493
  { 0x4, 0x0, 0x0, 0x3, 0x0, 0x6, PseudoVLUXSEG4EI8_V_MF4_M1 }, // 494
  { 0x4, 0x0, 0x0, 0x3, 0x0, 0x7, PseudoVLUXSEG4EI8_V_MF2_M1 }, // 495
  { 0x4, 0x0, 0x0, 0x3, 0x1, 0x0, PseudoVLUXSEG4EI8_V_M1_M2 }, // 496
  { 0x4, 0x0, 0x0, 0x3, 0x1, 0x1, PseudoVLUXSEG4EI8_V_M2_M2 }, // 497
  { 0x4, 0x0, 0x0, 0x3, 0x1, 0x6, PseudoVLUXSEG4EI8_V_MF4_M2 }, // 498
  { 0x4, 0x0, 0x0, 0x3, 0x1, 0x7, PseudoVLUXSEG4EI8_V_MF2_M2 }, // 499
  { 0x4, 0x0, 0x0, 0x3, 0x5, 0x5, PseudoVLUXSEG4EI8_V_MF8_MF8 }, // 500
  { 0x4, 0x0, 0x0, 0x3, 0x6, 0x5, PseudoVLUXSEG4EI8_V_MF8_MF4 }, // 501
  { 0x4, 0x0, 0x0, 0x3, 0x6, 0x6, PseudoVLUXSEG4EI8_V_MF4_MF4 }, // 502
  { 0x4, 0x0, 0x0, 0x3, 0x7, 0x5, PseudoVLUXSEG4EI8_V_MF8_MF2 }, // 503
  { 0x4, 0x0, 0x0, 0x3, 0x7, 0x6, PseudoVLUXSEG4EI8_V_MF4_MF2 }, // 504
  { 0x4, 0x0, 0x0, 0x3, 0x7, 0x7, PseudoVLUXSEG4EI8_V_MF2_MF2 }, // 505
  { 0x4, 0x0, 0x0, 0x4, 0x0, 0x0, PseudoVLUXSEG4EI16_V_M1_M1 }, // 506
  { 0x4, 0x0, 0x0, 0x4, 0x0, 0x1, PseudoVLUXSEG4EI16_V_M2_M1 }, // 507
  { 0x4, 0x0, 0x0, 0x4, 0x0, 0x6, PseudoVLUXSEG4EI16_V_MF4_M1 }, // 508
  { 0x4, 0x0, 0x0, 0x4, 0x0, 0x7, PseudoVLUXSEG4EI16_V_MF2_M1 }, // 509
  { 0x4, 0x0, 0x0, 0x4, 0x1, 0x0, PseudoVLUXSEG4EI16_V_M1_M2 }, // 510
  { 0x4, 0x0, 0x0, 0x4, 0x1, 0x1, PseudoVLUXSEG4EI16_V_M2_M2 }, // 511
  { 0x4, 0x0, 0x0, 0x4, 0x1, 0x2, PseudoVLUXSEG4EI16_V_M4_M2 }, // 512
  { 0x4, 0x0, 0x0, 0x4, 0x1, 0x7, PseudoVLUXSEG4EI16_V_MF2_M2 }, // 513
  { 0x4, 0x0, 0x0, 0x4, 0x5, 0x6, PseudoVLUXSEG4EI16_V_MF4_MF8 }, // 514
  { 0x4, 0x0, 0x0, 0x4, 0x6, 0x6, PseudoVLUXSEG4EI16_V_MF4_MF4 }, // 515
  { 0x4, 0x0, 0x0, 0x4, 0x6, 0x7, PseudoVLUXSEG4EI16_V_MF2_MF4 }, // 516
  { 0x4, 0x0, 0x0, 0x4, 0x7, 0x0, PseudoVLUXSEG4EI16_V_M1_MF2 }, // 517
  { 0x4, 0x0, 0x0, 0x4, 0x7, 0x6, PseudoVLUXSEG4EI16_V_MF4_MF2 }, // 518
  { 0x4, 0x0, 0x0, 0x4, 0x7, 0x7, PseudoVLUXSEG4EI16_V_MF2_MF2 }, // 519
  { 0x4, 0x0, 0x0, 0x5, 0x0, 0x0, PseudoVLUXSEG4EI32_V_M1_M1 }, // 520
  { 0x4, 0x0, 0x0, 0x5, 0x0, 0x1, PseudoVLUXSEG4EI32_V_M2_M1 }, // 521
  { 0x4, 0x0, 0x0, 0x5, 0x0, 0x2, PseudoVLUXSEG4EI32_V_M4_M1 }, // 522
  { 0x4, 0x0, 0x0, 0x5, 0x0, 0x7, PseudoVLUXSEG4EI32_V_MF2_M1 }, // 523
  { 0x4, 0x0, 0x0, 0x5, 0x1, 0x0, PseudoVLUXSEG4EI32_V_M1_M2 }, // 524
  { 0x4, 0x0, 0x0, 0x5, 0x1, 0x1, PseudoVLUXSEG4EI32_V_M2_M2 }, // 525
  { 0x4, 0x0, 0x0, 0x5, 0x1, 0x2, PseudoVLUXSEG4EI32_V_M4_M2 }, // 526
  { 0x4, 0x0, 0x0, 0x5, 0x1, 0x3, PseudoVLUXSEG4EI32_V_M8_M2 }, // 527
  { 0x4, 0x0, 0x0, 0x5, 0x5, 0x7, PseudoVLUXSEG4EI32_V_MF2_MF8 }, // 528
  { 0x4, 0x0, 0x0, 0x5, 0x6, 0x0, PseudoVLUXSEG4EI32_V_M1_MF4 }, // 529
  { 0x4, 0x0, 0x0, 0x5, 0x6, 0x7, PseudoVLUXSEG4EI32_V_MF2_MF4 }, // 530
  { 0x4, 0x0, 0x0, 0x5, 0x7, 0x0, PseudoVLUXSEG4EI32_V_M1_MF2 }, // 531
  { 0x4, 0x0, 0x0, 0x5, 0x7, 0x1, PseudoVLUXSEG4EI32_V_M2_MF2 }, // 532
  { 0x4, 0x0, 0x0, 0x5, 0x7, 0x7, PseudoVLUXSEG4EI32_V_MF2_MF2 }, // 533
  { 0x4, 0x0, 0x0, 0x6, 0x0, 0x0, PseudoVLUXSEG4EI64_V_M1_M1 }, // 534
  { 0x4, 0x0, 0x0, 0x6, 0x0, 0x1, PseudoVLUXSEG4EI64_V_M2_M1 }, // 535
  { 0x4, 0x0, 0x0, 0x6, 0x0, 0x2, PseudoVLUXSEG4EI64_V_M4_M1 }, // 536
  { 0x4, 0x0, 0x0, 0x6, 0x0, 0x3, PseudoVLUXSEG4EI64_V_M8_M1 }, // 537
  { 0x4, 0x0, 0x0, 0x6, 0x1, 0x1, PseudoVLUXSEG4EI64_V_M2_M2 }, // 538
  { 0x4, 0x0, 0x0, 0x6, 0x1, 0x2, PseudoVLUXSEG4EI64_V_M4_M2 }, // 539
  { 0x4, 0x0, 0x0, 0x6, 0x1, 0x3, PseudoVLUXSEG4EI64_V_M8_M2 }, // 540
  { 0x4, 0x0, 0x0, 0x6, 0x5, 0x0, PseudoVLUXSEG4EI64_V_M1_MF8 }, // 541
  { 0x4, 0x0, 0x0, 0x6, 0x6, 0x0, PseudoVLUXSEG4EI64_V_M1_MF4 }, // 542
  { 0x4, 0x0, 0x0, 0x6, 0x6, 0x1, PseudoVLUXSEG4EI64_V_M2_MF4 }, // 543
  { 0x4, 0x0, 0x0, 0x6, 0x7, 0x0, PseudoVLUXSEG4EI64_V_M1_MF2 }, // 544
  { 0x4, 0x0, 0x0, 0x6, 0x7, 0x1, PseudoVLUXSEG4EI64_V_M2_MF2 }, // 545
  { 0x4, 0x0, 0x0, 0x6, 0x7, 0x2, PseudoVLUXSEG4EI64_V_M4_MF2 }, // 546
  { 0x4, 0x0, 0x1, 0x3, 0x0, 0x0, PseudoVLOXSEG4EI8_V_M1_M1 }, // 547
  { 0x4, 0x0, 0x1, 0x3, 0x0, 0x5, PseudoVLOXSEG4EI8_V_MF8_M1 }, // 548
  { 0x4, 0x0, 0x1, 0x3, 0x0, 0x6, PseudoVLOXSEG4EI8_V_MF4_M1 }, // 549
  { 0x4, 0x0, 0x1, 0x3, 0x0, 0x7, PseudoVLOXSEG4EI8_V_MF2_M1 }, // 550
  { 0x4, 0x0, 0x1, 0x3, 0x1, 0x0, PseudoVLOXSEG4EI8_V_M1_M2 }, // 551
  { 0x4, 0x0, 0x1, 0x3, 0x1, 0x1, PseudoVLOXSEG4EI8_V_M2_M2 }, // 552
  { 0x4, 0x0, 0x1, 0x3, 0x1, 0x6, PseudoVLOXSEG4EI8_V_MF4_M2 }, // 553
  { 0x4, 0x0, 0x1, 0x3, 0x1, 0x7, PseudoVLOXSEG4EI8_V_MF2_M2 }, // 554
  { 0x4, 0x0, 0x1, 0x3, 0x5, 0x5, PseudoVLOXSEG4EI8_V_MF8_MF8 }, // 555
  { 0x4, 0x0, 0x1, 0x3, 0x6, 0x5, PseudoVLOXSEG4EI8_V_MF8_MF4 }, // 556
  { 0x4, 0x0, 0x1, 0x3, 0x6, 0x6, PseudoVLOXSEG4EI8_V_MF4_MF4 }, // 557
  { 0x4, 0x0, 0x1, 0x3, 0x7, 0x5, PseudoVLOXSEG4EI8_V_MF8_MF2 }, // 558
  { 0x4, 0x0, 0x1, 0x3, 0x7, 0x6, PseudoVLOXSEG4EI8_V_MF4_MF2 }, // 559
  { 0x4, 0x0, 0x1, 0x3, 0x7, 0x7, PseudoVLOXSEG4EI8_V_MF2_MF2 }, // 560
  { 0x4, 0x0, 0x1, 0x4, 0x0, 0x0, PseudoVLOXSEG4EI16_V_M1_M1 }, // 561
  { 0x4, 0x0, 0x1, 0x4, 0x0, 0x1, PseudoVLOXSEG4EI16_V_M2_M1 }, // 562
  { 0x4, 0x0, 0x1, 0x4, 0x0, 0x6, PseudoVLOXSEG4EI16_V_MF4_M1 }, // 563
  { 0x4, 0x0, 0x1, 0x4, 0x0, 0x7, PseudoVLOXSEG4EI16_V_MF2_M1 }, // 564
  { 0x4, 0x0, 0x1, 0x4, 0x1, 0x0, PseudoVLOXSEG4EI16_V_M1_M2 }, // 565
  { 0x4, 0x0, 0x1, 0x4, 0x1, 0x1, PseudoVLOXSEG4EI16_V_M2_M2 }, // 566
  { 0x4, 0x0, 0x1, 0x4, 0x1, 0x2, PseudoVLOXSEG4EI16_V_M4_M2 }, // 567
  { 0x4, 0x0, 0x1, 0x4, 0x1, 0x7, PseudoVLOXSEG4EI16_V_MF2_M2 }, // 568
  { 0x4, 0x0, 0x1, 0x4, 0x5, 0x6, PseudoVLOXSEG4EI16_V_MF4_MF8 }, // 569
  { 0x4, 0x0, 0x1, 0x4, 0x6, 0x6, PseudoVLOXSEG4EI16_V_MF4_MF4 }, // 570
  { 0x4, 0x0, 0x1, 0x4, 0x6, 0x7, PseudoVLOXSEG4EI16_V_MF2_MF4 }, // 571
  { 0x4, 0x0, 0x1, 0x4, 0x7, 0x0, PseudoVLOXSEG4EI16_V_M1_MF2 }, // 572
  { 0x4, 0x0, 0x1, 0x4, 0x7, 0x6, PseudoVLOXSEG4EI16_V_MF4_MF2 }, // 573
  { 0x4, 0x0, 0x1, 0x4, 0x7, 0x7, PseudoVLOXSEG4EI16_V_MF2_MF2 }, // 574
  { 0x4, 0x0, 0x1, 0x5, 0x0, 0x0, PseudoVLOXSEG4EI32_V_M1_M1 }, // 575
  { 0x4, 0x0, 0x1, 0x5, 0x0, 0x1, PseudoVLOXSEG4EI32_V_M2_M1 }, // 576
  { 0x4, 0x0, 0x1, 0x5, 0x0, 0x2, PseudoVLOXSEG4EI32_V_M4_M1 }, // 577
  { 0x4, 0x0, 0x1, 0x5, 0x0, 0x7, PseudoVLOXSEG4EI32_V_MF2_M1 }, // 578
  { 0x4, 0x0, 0x1, 0x5, 0x1, 0x0, PseudoVLOXSEG4EI32_V_M1_M2 }, // 579
  { 0x4, 0x0, 0x1, 0x5, 0x1, 0x1, PseudoVLOXSEG4EI32_V_M2_M2 }, // 580
  { 0x4, 0x0, 0x1, 0x5, 0x1, 0x2, PseudoVLOXSEG4EI32_V_M4_M2 }, // 581
  { 0x4, 0x0, 0x1, 0x5, 0x1, 0x3, PseudoVLOXSEG4EI32_V_M8_M2 }, // 582
  { 0x4, 0x0, 0x1, 0x5, 0x5, 0x7, PseudoVLOXSEG4EI32_V_MF2_MF8 }, // 583
  { 0x4, 0x0, 0x1, 0x5, 0x6, 0x0, PseudoVLOXSEG4EI32_V_M1_MF4 }, // 584
  { 0x4, 0x0, 0x1, 0x5, 0x6, 0x7, PseudoVLOXSEG4EI32_V_MF2_MF4 }, // 585
  { 0x4, 0x0, 0x1, 0x5, 0x7, 0x0, PseudoVLOXSEG4EI32_V_M1_MF2 }, // 586
  { 0x4, 0x0, 0x1, 0x5, 0x7, 0x1, PseudoVLOXSEG4EI32_V_M2_MF2 }, // 587
  { 0x4, 0x0, 0x1, 0x5, 0x7, 0x7, PseudoVLOXSEG4EI32_V_MF2_MF2 }, // 588
  { 0x4, 0x0, 0x1, 0x6, 0x0, 0x0, PseudoVLOXSEG4EI64_V_M1_M1 }, // 589
  { 0x4, 0x0, 0x1, 0x6, 0x0, 0x1, PseudoVLOXSEG4EI64_V_M2_M1 }, // 590
  { 0x4, 0x0, 0x1, 0x6, 0x0, 0x2, PseudoVLOXSEG4EI64_V_M4_M1 }, // 591
  { 0x4, 0x0, 0x1, 0x6, 0x0, 0x3, PseudoVLOXSEG4EI64_V_M8_M1 }, // 592
  { 0x4, 0x0, 0x1, 0x6, 0x1, 0x1, PseudoVLOXSEG4EI64_V_M2_M2 }, // 593
  { 0x4, 0x0, 0x1, 0x6, 0x1, 0x2, PseudoVLOXSEG4EI64_V_M4_M2 }, // 594
  { 0x4, 0x0, 0x1, 0x6, 0x1, 0x3, PseudoVLOXSEG4EI64_V_M8_M2 }, // 595
  { 0x4, 0x0, 0x1, 0x6, 0x5, 0x0, PseudoVLOXSEG4EI64_V_M1_MF8 }, // 596
  { 0x4, 0x0, 0x1, 0x6, 0x6, 0x0, PseudoVLOXSEG4EI64_V_M1_MF4 }, // 597
  { 0x4, 0x0, 0x1, 0x6, 0x6, 0x1, PseudoVLOXSEG4EI64_V_M2_MF4 }, // 598
  { 0x4, 0x0, 0x1, 0x6, 0x7, 0x0, PseudoVLOXSEG4EI64_V_M1_MF2 }, // 599
  { 0x4, 0x0, 0x1, 0x6, 0x7, 0x1, PseudoVLOXSEG4EI64_V_M2_MF2 }, // 600
  { 0x4, 0x0, 0x1, 0x6, 0x7, 0x2, PseudoVLOXSEG4EI64_V_M4_MF2 }, // 601
  { 0x4, 0x1, 0x0, 0x3, 0x0, 0x0, PseudoVLUXSEG4EI8_V_M1_M1_MASK }, // 602
  { 0x4, 0x1, 0x0, 0x3, 0x0, 0x5, PseudoVLUXSEG4EI8_V_MF8_M1_MASK }, // 603
  { 0x4, 0x1, 0x0, 0x3, 0x0, 0x6, PseudoVLUXSEG4EI8_V_MF4_M1_MASK }, // 604
  { 0x4, 0x1, 0x0, 0x3, 0x0, 0x7, PseudoVLUXSEG4EI8_V_MF2_M1_MASK }, // 605
  { 0x4, 0x1, 0x0, 0x3, 0x1, 0x0, PseudoVLUXSEG4EI8_V_M1_M2_MASK }, // 606
  { 0x4, 0x1, 0x0, 0x3, 0x1, 0x1, PseudoVLUXSEG4EI8_V_M2_M2_MASK }, // 607
  { 0x4, 0x1, 0x0, 0x3, 0x1, 0x6, PseudoVLUXSEG4EI8_V_MF4_M2_MASK }, // 608
  { 0x4, 0x1, 0x0, 0x3, 0x1, 0x7, PseudoVLUXSEG4EI8_V_MF2_M2_MASK }, // 609
  { 0x4, 0x1, 0x0, 0x3, 0x5, 0x5, PseudoVLUXSEG4EI8_V_MF8_MF8_MASK }, // 610
  { 0x4, 0x1, 0x0, 0x3, 0x6, 0x5, PseudoVLUXSEG4EI8_V_MF8_MF4_MASK }, // 611
  { 0x4, 0x1, 0x0, 0x3, 0x6, 0x6, PseudoVLUXSEG4EI8_V_MF4_MF4_MASK }, // 612
  { 0x4, 0x1, 0x0, 0x3, 0x7, 0x5, PseudoVLUXSEG4EI8_V_MF8_MF2_MASK }, // 613
  { 0x4, 0x1, 0x0, 0x3, 0x7, 0x6, PseudoVLUXSEG4EI8_V_MF4_MF2_MASK }, // 614
  { 0x4, 0x1, 0x0, 0x3, 0x7, 0x7, PseudoVLUXSEG4EI8_V_MF2_MF2_MASK }, // 615
  { 0x4, 0x1, 0x0, 0x4, 0x0, 0x0, PseudoVLUXSEG4EI16_V_M1_M1_MASK }, // 616
  { 0x4, 0x1, 0x0, 0x4, 0x0, 0x1, PseudoVLUXSEG4EI16_V_M2_M1_MASK }, // 617
  { 0x4, 0x1, 0x0, 0x4, 0x0, 0x6, PseudoVLUXSEG4EI16_V_MF4_M1_MASK }, // 618
  { 0x4, 0x1, 0x0, 0x4, 0x0, 0x7, PseudoVLUXSEG4EI16_V_MF2_M1_MASK }, // 619
  { 0x4, 0x1, 0x0, 0x4, 0x1, 0x0, PseudoVLUXSEG4EI16_V_M1_M2_MASK }, // 620
  { 0x4, 0x1, 0x0, 0x4, 0x1, 0x1, PseudoVLUXSEG4EI16_V_M2_M2_MASK }, // 621
  { 0x4, 0x1, 0x0, 0x4, 0x1, 0x2, PseudoVLUXSEG4EI16_V_M4_M2_MASK }, // 622
  { 0x4, 0x1, 0x0, 0x4, 0x1, 0x7, PseudoVLUXSEG4EI16_V_MF2_M2_MASK }, // 623
  { 0x4, 0x1, 0x0, 0x4, 0x5, 0x6, PseudoVLUXSEG4EI16_V_MF4_MF8_MASK }, // 624
  { 0x4, 0x1, 0x0, 0x4, 0x6, 0x6, PseudoVLUXSEG4EI16_V_MF4_MF4_MASK }, // 625
  { 0x4, 0x1, 0x0, 0x4, 0x6, 0x7, PseudoVLUXSEG4EI16_V_MF2_MF4_MASK }, // 626
  { 0x4, 0x1, 0x0, 0x4, 0x7, 0x0, PseudoVLUXSEG4EI16_V_M1_MF2_MASK }, // 627
  { 0x4, 0x1, 0x0, 0x4, 0x7, 0x6, PseudoVLUXSEG4EI16_V_MF4_MF2_MASK }, // 628
  { 0x4, 0x1, 0x0, 0x4, 0x7, 0x7, PseudoVLUXSEG4EI16_V_MF2_MF2_MASK }, // 629
  { 0x4, 0x1, 0x0, 0x5, 0x0, 0x0, PseudoVLUXSEG4EI32_V_M1_M1_MASK }, // 630
  { 0x4, 0x1, 0x0, 0x5, 0x0, 0x1, PseudoVLUXSEG4EI32_V_M2_M1_MASK }, // 631
  { 0x4, 0x1, 0x0, 0x5, 0x0, 0x2, PseudoVLUXSEG4EI32_V_M4_M1_MASK }, // 632
  { 0x4, 0x1, 0x0, 0x5, 0x0, 0x7, PseudoVLUXSEG4EI32_V_MF2_M1_MASK }, // 633
  { 0x4, 0x1, 0x0, 0x5, 0x1, 0x0, PseudoVLUXSEG4EI32_V_M1_M2_MASK }, // 634
  { 0x4, 0x1, 0x0, 0x5, 0x1, 0x1, PseudoVLUXSEG4EI32_V_M2_M2_MASK }, // 635
  { 0x4, 0x1, 0x0, 0x5, 0x1, 0x2, PseudoVLUXSEG4EI32_V_M4_M2_MASK }, // 636
  { 0x4, 0x1, 0x0, 0x5, 0x1, 0x3, PseudoVLUXSEG4EI32_V_M8_M2_MASK }, // 637
  { 0x4, 0x1, 0x0, 0x5, 0x5, 0x7, PseudoVLUXSEG4EI32_V_MF2_MF8_MASK }, // 638
  { 0x4, 0x1, 0x0, 0x5, 0x6, 0x0, PseudoVLUXSEG4EI32_V_M1_MF4_MASK }, // 639
  { 0x4, 0x1, 0x0, 0x5, 0x6, 0x7, PseudoVLUXSEG4EI32_V_MF2_MF4_MASK }, // 640
  { 0x4, 0x1, 0x0, 0x5, 0x7, 0x0, PseudoVLUXSEG4EI32_V_M1_MF2_MASK }, // 641
  { 0x4, 0x1, 0x0, 0x5, 0x7, 0x1, PseudoVLUXSEG4EI32_V_M2_MF2_MASK }, // 642
  { 0x4, 0x1, 0x0, 0x5, 0x7, 0x7, PseudoVLUXSEG4EI32_V_MF2_MF2_MASK }, // 643
  { 0x4, 0x1, 0x0, 0x6, 0x0, 0x0, PseudoVLUXSEG4EI64_V_M1_M1_MASK }, // 644
  { 0x4, 0x1, 0x0, 0x6, 0x0, 0x1, PseudoVLUXSEG4EI64_V_M2_M1_MASK }, // 645
  { 0x4, 0x1, 0x0, 0x6, 0x0, 0x2, PseudoVLUXSEG4EI64_V_M4_M1_MASK }, // 646
  { 0x4, 0x1, 0x0, 0x6, 0x0, 0x3, PseudoVLUXSEG4EI64_V_M8_M1_MASK }, // 647
  { 0x4, 0x1, 0x0, 0x6, 0x1, 0x1, PseudoVLUXSEG4EI64_V_M2_M2_MASK }, // 648
  { 0x4, 0x1, 0x0, 0x6, 0x1, 0x2, PseudoVLUXSEG4EI64_V_M4_M2_MASK }, // 649
  { 0x4, 0x1, 0x0, 0x6, 0x1, 0x3, PseudoVLUXSEG4EI64_V_M8_M2_MASK }, // 650
  { 0x4, 0x1, 0x0, 0x6, 0x5, 0x0, PseudoVLUXSEG4EI64_V_M1_MF8_MASK }, // 651
  { 0x4, 0x1, 0x0, 0x6, 0x6, 0x0, PseudoVLUXSEG4EI64_V_M1_MF4_MASK }, // 652
  { 0x4, 0x1, 0x0, 0x6, 0x6, 0x1, PseudoVLUXSEG4EI64_V_M2_MF4_MASK }, // 653
  { 0x4, 0x1, 0x0, 0x6, 0x7, 0x0, PseudoVLUXSEG4EI64_V_M1_MF2_MASK }, // 654
  { 0x4, 0x1, 0x0, 0x6, 0x7, 0x1, PseudoVLUXSEG4EI64_V_M2_MF2_MASK }, // 655
  { 0x4, 0x1, 0x0, 0x6, 0x7, 0x2, PseudoVLUXSEG4EI64_V_M4_MF2_MASK }, // 656
  { 0x4, 0x1, 0x1, 0x3, 0x0, 0x0, PseudoVLOXSEG4EI8_V_M1_M1_MASK }, // 657
  { 0x4, 0x1, 0x1, 0x3, 0x0, 0x5, PseudoVLOXSEG4EI8_V_MF8_M1_MASK }, // 658
  { 0x4, 0x1, 0x1, 0x3, 0x0, 0x6, PseudoVLOXSEG4EI8_V_MF4_M1_MASK }, // 659
  { 0x4, 0x1, 0x1, 0x3, 0x0, 0x7, PseudoVLOXSEG4EI8_V_MF2_M1_MASK }, // 660
  { 0x4, 0x1, 0x1, 0x3, 0x1, 0x0, PseudoVLOXSEG4EI8_V_M1_M2_MASK }, // 661
  { 0x4, 0x1, 0x1, 0x3, 0x1, 0x1, PseudoVLOXSEG4EI8_V_M2_M2_MASK }, // 662
  { 0x4, 0x1, 0x1, 0x3, 0x1, 0x6, PseudoVLOXSEG4EI8_V_MF4_M2_MASK }, // 663
  { 0x4, 0x1, 0x1, 0x3, 0x1, 0x7, PseudoVLOXSEG4EI8_V_MF2_M2_MASK }, // 664
  { 0x4, 0x1, 0x1, 0x3, 0x5, 0x5, PseudoVLOXSEG4EI8_V_MF8_MF8_MASK }, // 665
  { 0x4, 0x1, 0x1, 0x3, 0x6, 0x5, PseudoVLOXSEG4EI8_V_MF8_MF4_MASK }, // 666
  { 0x4, 0x1, 0x1, 0x3, 0x6, 0x6, PseudoVLOXSEG4EI8_V_MF4_MF4_MASK }, // 667
  { 0x4, 0x1, 0x1, 0x3, 0x7, 0x5, PseudoVLOXSEG4EI8_V_MF8_MF2_MASK }, // 668
  { 0x4, 0x1, 0x1, 0x3, 0x7, 0x6, PseudoVLOXSEG4EI8_V_MF4_MF2_MASK }, // 669
  { 0x4, 0x1, 0x1, 0x3, 0x7, 0x7, PseudoVLOXSEG4EI8_V_MF2_MF2_MASK }, // 670
  { 0x4, 0x1, 0x1, 0x4, 0x0, 0x0, PseudoVLOXSEG4EI16_V_M1_M1_MASK }, // 671
  { 0x4, 0x1, 0x1, 0x4, 0x0, 0x1, PseudoVLOXSEG4EI16_V_M2_M1_MASK }, // 672
  { 0x4, 0x1, 0x1, 0x4, 0x0, 0x6, PseudoVLOXSEG4EI16_V_MF4_M1_MASK }, // 673
  { 0x4, 0x1, 0x1, 0x4, 0x0, 0x7, PseudoVLOXSEG4EI16_V_MF2_M1_MASK }, // 674
  { 0x4, 0x1, 0x1, 0x4, 0x1, 0x0, PseudoVLOXSEG4EI16_V_M1_M2_MASK }, // 675
  { 0x4, 0x1, 0x1, 0x4, 0x1, 0x1, PseudoVLOXSEG4EI16_V_M2_M2_MASK }, // 676
  { 0x4, 0x1, 0x1, 0x4, 0x1, 0x2, PseudoVLOXSEG4EI16_V_M4_M2_MASK }, // 677
  { 0x4, 0x1, 0x1, 0x4, 0x1, 0x7, PseudoVLOXSEG4EI16_V_MF2_M2_MASK }, // 678
  { 0x4, 0x1, 0x1, 0x4, 0x5, 0x6, PseudoVLOXSEG4EI16_V_MF4_MF8_MASK }, // 679
  { 0x4, 0x1, 0x1, 0x4, 0x6, 0x6, PseudoVLOXSEG4EI16_V_MF4_MF4_MASK }, // 680
  { 0x4, 0x1, 0x1, 0x4, 0x6, 0x7, PseudoVLOXSEG4EI16_V_MF2_MF4_MASK }, // 681
  { 0x4, 0x1, 0x1, 0x4, 0x7, 0x0, PseudoVLOXSEG4EI16_V_M1_MF2_MASK }, // 682
  { 0x4, 0x1, 0x1, 0x4, 0x7, 0x6, PseudoVLOXSEG4EI16_V_MF4_MF2_MASK }, // 683
  { 0x4, 0x1, 0x1, 0x4, 0x7, 0x7, PseudoVLOXSEG4EI16_V_MF2_MF2_MASK }, // 684
  { 0x4, 0x1, 0x1, 0x5, 0x0, 0x0, PseudoVLOXSEG4EI32_V_M1_M1_MASK }, // 685
  { 0x4, 0x1, 0x1, 0x5, 0x0, 0x1, PseudoVLOXSEG4EI32_V_M2_M1_MASK }, // 686
  { 0x4, 0x1, 0x1, 0x5, 0x0, 0x2, PseudoVLOXSEG4EI32_V_M4_M1_MASK }, // 687
  { 0x4, 0x1, 0x1, 0x5, 0x0, 0x7, PseudoVLOXSEG4EI32_V_MF2_M1_MASK }, // 688
  { 0x4, 0x1, 0x1, 0x5, 0x1, 0x0, PseudoVLOXSEG4EI32_V_M1_M2_MASK }, // 689
  { 0x4, 0x1, 0x1, 0x5, 0x1, 0x1, PseudoVLOXSEG4EI32_V_M2_M2_MASK }, // 690
  { 0x4, 0x1, 0x1, 0x5, 0x1, 0x2, PseudoVLOXSEG4EI32_V_M4_M2_MASK }, // 691
  { 0x4, 0x1, 0x1, 0x5, 0x1, 0x3, PseudoVLOXSEG4EI32_V_M8_M2_MASK }, // 692
  { 0x4, 0x1, 0x1, 0x5, 0x5, 0x7, PseudoVLOXSEG4EI32_V_MF2_MF8_MASK }, // 693
  { 0x4, 0x1, 0x1, 0x5, 0x6, 0x0, PseudoVLOXSEG4EI32_V_M1_MF4_MASK }, // 694
  { 0x4, 0x1, 0x1, 0x5, 0x6, 0x7, PseudoVLOXSEG4EI32_V_MF2_MF4_MASK }, // 695
  { 0x4, 0x1, 0x1, 0x5, 0x7, 0x0, PseudoVLOXSEG4EI32_V_M1_MF2_MASK }, // 696
  { 0x4, 0x1, 0x1, 0x5, 0x7, 0x1, PseudoVLOXSEG4EI32_V_M2_MF2_MASK }, // 697
  { 0x4, 0x1, 0x1, 0x5, 0x7, 0x7, PseudoVLOXSEG4EI32_V_MF2_MF2_MASK }, // 698
  { 0x4, 0x1, 0x1, 0x6, 0x0, 0x0, PseudoVLOXSEG4EI64_V_M1_M1_MASK }, // 699
  { 0x4, 0x1, 0x1, 0x6, 0x0, 0x1, PseudoVLOXSEG4EI64_V_M2_M1_MASK }, // 700
  { 0x4, 0x1, 0x1, 0x6, 0x0, 0x2, PseudoVLOXSEG4EI64_V_M4_M1_MASK }, // 701
  { 0x4, 0x1, 0x1, 0x6, 0x0, 0x3, PseudoVLOXSEG4EI64_V_M8_M1_MASK }, // 702
  { 0x4, 0x1, 0x1, 0x6, 0x1, 0x1, PseudoVLOXSEG4EI64_V_M2_M2_MASK }, // 703
  { 0x4, 0x1, 0x1, 0x6, 0x1, 0x2, PseudoVLOXSEG4EI64_V_M4_M2_MASK }, // 704
  { 0x4, 0x1, 0x1, 0x6, 0x1, 0x3, PseudoVLOXSEG4EI64_V_M8_M2_MASK }, // 705
  { 0x4, 0x1, 0x1, 0x6, 0x5, 0x0, PseudoVLOXSEG4EI64_V_M1_MF8_MASK }, // 706
  { 0x4, 0x1, 0x1, 0x6, 0x6, 0x0, PseudoVLOXSEG4EI64_V_M1_MF4_MASK }, // 707
  { 0x4, 0x1, 0x1, 0x6, 0x6, 0x1, PseudoVLOXSEG4EI64_V_M2_MF4_MASK }, // 708
  { 0x4, 0x1, 0x1, 0x6, 0x7, 0x0, PseudoVLOXSEG4EI64_V_M1_MF2_MASK }, // 709
  { 0x4, 0x1, 0x1, 0x6, 0x7, 0x1, PseudoVLOXSEG4EI64_V_M2_MF2_MASK }, // 710
  { 0x4, 0x1, 0x1, 0x6, 0x7, 0x2, PseudoVLOXSEG4EI64_V_M4_MF2_MASK }, // 711
  { 0x5, 0x0, 0x0, 0x3, 0x0, 0x0, PseudoVLUXSEG5EI8_V_M1_M1 }, // 712
  { 0x5, 0x0, 0x0, 0x3, 0x0, 0x5, PseudoVLUXSEG5EI8_V_MF8_M1 }, // 713
  { 0x5, 0x0, 0x0, 0x3, 0x0, 0x6, PseudoVLUXSEG5EI8_V_MF4_M1 }, // 714
  { 0x5, 0x0, 0x0, 0x3, 0x0, 0x7, PseudoVLUXSEG5EI8_V_MF2_M1 }, // 715
  { 0x5, 0x0, 0x0, 0x3, 0x5, 0x5, PseudoVLUXSEG5EI8_V_MF8_MF8 }, // 716
  { 0x5, 0x0, 0x0, 0x3, 0x6, 0x5, PseudoVLUXSEG5EI8_V_MF8_MF4 }, // 717
  { 0x5, 0x0, 0x0, 0x3, 0x6, 0x6, PseudoVLUXSEG5EI8_V_MF4_MF4 }, // 718
  { 0x5, 0x0, 0x0, 0x3, 0x7, 0x5, PseudoVLUXSEG5EI8_V_MF8_MF2 }, // 719
  { 0x5, 0x0, 0x0, 0x3, 0x7, 0x6, PseudoVLUXSEG5EI8_V_MF4_MF2 }, // 720
  { 0x5, 0x0, 0x0, 0x3, 0x7, 0x7, PseudoVLUXSEG5EI8_V_MF2_MF2 }, // 721
  { 0x5, 0x0, 0x0, 0x4, 0x0, 0x0, PseudoVLUXSEG5EI16_V_M1_M1 }, // 722
  { 0x5, 0x0, 0x0, 0x4, 0x0, 0x1, PseudoVLUXSEG5EI16_V_M2_M1 }, // 723
  { 0x5, 0x0, 0x0, 0x4, 0x0, 0x6, PseudoVLUXSEG5EI16_V_MF4_M1 }, // 724
  { 0x5, 0x0, 0x0, 0x4, 0x0, 0x7, PseudoVLUXSEG5EI16_V_MF2_M1 }, // 725
  { 0x5, 0x0, 0x0, 0x4, 0x5, 0x6, PseudoVLUXSEG5EI16_V_MF4_MF8 }, // 726
  { 0x5, 0x0, 0x0, 0x4, 0x6, 0x6, PseudoVLUXSEG5EI16_V_MF4_MF4 }, // 727
  { 0x5, 0x0, 0x0, 0x4, 0x6, 0x7, PseudoVLUXSEG5EI16_V_MF2_MF4 }, // 728
  { 0x5, 0x0, 0x0, 0x4, 0x7, 0x0, PseudoVLUXSEG5EI16_V_M1_MF2 }, // 729
  { 0x5, 0x0, 0x0, 0x4, 0x7, 0x6, PseudoVLUXSEG5EI16_V_MF4_MF2 }, // 730
  { 0x5, 0x0, 0x0, 0x4, 0x7, 0x7, PseudoVLUXSEG5EI16_V_MF2_MF2 }, // 731
  { 0x5, 0x0, 0x0, 0x5, 0x0, 0x0, PseudoVLUXSEG5EI32_V_M1_M1 }, // 732
  { 0x5, 0x0, 0x0, 0x5, 0x0, 0x1, PseudoVLUXSEG5EI32_V_M2_M1 }, // 733
  { 0x5, 0x0, 0x0, 0x5, 0x0, 0x2, PseudoVLUXSEG5EI32_V_M4_M1 }, // 734
  { 0x5, 0x0, 0x0, 0x5, 0x0, 0x7, PseudoVLUXSEG5EI32_V_MF2_M1 }, // 735
  { 0x5, 0x0, 0x0, 0x5, 0x5, 0x7, PseudoVLUXSEG5EI32_V_MF2_MF8 }, // 736
  { 0x5, 0x0, 0x0, 0x5, 0x6, 0x0, PseudoVLUXSEG5EI32_V_M1_MF4 }, // 737
  { 0x5, 0x0, 0x0, 0x5, 0x6, 0x7, PseudoVLUXSEG5EI32_V_MF2_MF4 }, // 738
  { 0x5, 0x0, 0x0, 0x5, 0x7, 0x0, PseudoVLUXSEG5EI32_V_M1_MF2 }, // 739
  { 0x5, 0x0, 0x0, 0x5, 0x7, 0x1, PseudoVLUXSEG5EI32_V_M2_MF2 }, // 740
  { 0x5, 0x0, 0x0, 0x5, 0x7, 0x7, PseudoVLUXSEG5EI32_V_MF2_MF2 }, // 741
  { 0x5, 0x0, 0x0, 0x6, 0x0, 0x0, PseudoVLUXSEG5EI64_V_M1_M1 }, // 742
  { 0x5, 0x0, 0x0, 0x6, 0x0, 0x1, PseudoVLUXSEG5EI64_V_M2_M1 }, // 743
  { 0x5, 0x0, 0x0, 0x6, 0x0, 0x2, PseudoVLUXSEG5EI64_V_M4_M1 }, // 744
  { 0x5, 0x0, 0x0, 0x6, 0x0, 0x3, PseudoVLUXSEG5EI64_V_M8_M1 }, // 745
  { 0x5, 0x0, 0x0, 0x6, 0x5, 0x0, PseudoVLUXSEG5EI64_V_M1_MF8 }, // 746
  { 0x5, 0x0, 0x0, 0x6, 0x6, 0x0, PseudoVLUXSEG5EI64_V_M1_MF4 }, // 747
  { 0x5, 0x0, 0x0, 0x6, 0x6, 0x1, PseudoVLUXSEG5EI64_V_M2_MF4 }, // 748
  { 0x5, 0x0, 0x0, 0x6, 0x7, 0x0, PseudoVLUXSEG5EI64_V_M1_MF2 }, // 749
  { 0x5, 0x0, 0x0, 0x6, 0x7, 0x1, PseudoVLUXSEG5EI64_V_M2_MF2 }, // 750
  { 0x5, 0x0, 0x0, 0x6, 0x7, 0x2, PseudoVLUXSEG5EI64_V_M4_MF2 }, // 751
  { 0x5, 0x0, 0x1, 0x3, 0x0, 0x0, PseudoVLOXSEG5EI8_V_M1_M1 }, // 752
  { 0x5, 0x0, 0x1, 0x3, 0x0, 0x5, PseudoVLOXSEG5EI8_V_MF8_M1 }, // 753
  { 0x5, 0x0, 0x1, 0x3, 0x0, 0x6, PseudoVLOXSEG5EI8_V_MF4_M1 }, // 754
  { 0x5, 0x0, 0x1, 0x3, 0x0, 0x7, PseudoVLOXSEG5EI8_V_MF2_M1 }, // 755
  { 0x5, 0x0, 0x1, 0x3, 0x5, 0x5, PseudoVLOXSEG5EI8_V_MF8_MF8 }, // 756
  { 0x5, 0x0, 0x1, 0x3, 0x6, 0x5, PseudoVLOXSEG5EI8_V_MF8_MF4 }, // 757
  { 0x5, 0x0, 0x1, 0x3, 0x6, 0x6, PseudoVLOXSEG5EI8_V_MF4_MF4 }, // 758
  { 0x5, 0x0, 0x1, 0x3, 0x7, 0x5, PseudoVLOXSEG5EI8_V_MF8_MF2 }, // 759
  { 0x5, 0x0, 0x1, 0x3, 0x7, 0x6, PseudoVLOXSEG5EI8_V_MF4_MF2 }, // 760
  { 0x5, 0x0, 0x1, 0x3, 0x7, 0x7, PseudoVLOXSEG5EI8_V_MF2_MF2 }, // 761
  { 0x5, 0x0, 0x1, 0x4, 0x0, 0x0, PseudoVLOXSEG5EI16_V_M1_M1 }, // 762
  { 0x5, 0x0, 0x1, 0x4, 0x0, 0x1, PseudoVLOXSEG5EI16_V_M2_M1 }, // 763
  { 0x5, 0x0, 0x1, 0x4, 0x0, 0x6, PseudoVLOXSEG5EI16_V_MF4_M1 }, // 764
  { 0x5, 0x0, 0x1, 0x4, 0x0, 0x7, PseudoVLOXSEG5EI16_V_MF2_M1 }, // 765
  { 0x5, 0x0, 0x1, 0x4, 0x5, 0x6, PseudoVLOXSEG5EI16_V_MF4_MF8 }, // 766
  { 0x5, 0x0, 0x1, 0x4, 0x6, 0x6, PseudoVLOXSEG5EI16_V_MF4_MF4 }, // 767
  { 0x5, 0x0, 0x1, 0x4, 0x6, 0x7, PseudoVLOXSEG5EI16_V_MF2_MF4 }, // 768
  { 0x5, 0x0, 0x1, 0x4, 0x7, 0x0, PseudoVLOXSEG5EI16_V_M1_MF2 }, // 769
  { 0x5, 0x0, 0x1, 0x4, 0x7, 0x6, PseudoVLOXSEG5EI16_V_MF4_MF2 }, // 770
  { 0x5, 0x0, 0x1, 0x4, 0x7, 0x7, PseudoVLOXSEG5EI16_V_MF2_MF2 }, // 771
  { 0x5, 0x0, 0x1, 0x5, 0x0, 0x0, PseudoVLOXSEG5EI32_V_M1_M1 }, // 772
  { 0x5, 0x0, 0x1, 0x5, 0x0, 0x1, PseudoVLOXSEG5EI32_V_M2_M1 }, // 773
  { 0x5, 0x0, 0x1, 0x5, 0x0, 0x2, PseudoVLOXSEG5EI32_V_M4_M1 }, // 774
  { 0x5, 0x0, 0x1, 0x5, 0x0, 0x7, PseudoVLOXSEG5EI32_V_MF2_M1 }, // 775
  { 0x5, 0x0, 0x1, 0x5, 0x5, 0x7, PseudoVLOXSEG5EI32_V_MF2_MF8 }, // 776
  { 0x5, 0x0, 0x1, 0x5, 0x6, 0x0, PseudoVLOXSEG5EI32_V_M1_MF4 }, // 777
  { 0x5, 0x0, 0x1, 0x5, 0x6, 0x7, PseudoVLOXSEG5EI32_V_MF2_MF4 }, // 778
  { 0x5, 0x0, 0x1, 0x5, 0x7, 0x0, PseudoVLOXSEG5EI32_V_M1_MF2 }, // 779
  { 0x5, 0x0, 0x1, 0x5, 0x7, 0x1, PseudoVLOXSEG5EI32_V_M2_MF2 }, // 780
  { 0x5, 0x0, 0x1, 0x5, 0x7, 0x7, PseudoVLOXSEG5EI32_V_MF2_MF2 }, // 781
  { 0x5, 0x0, 0x1, 0x6, 0x0, 0x0, PseudoVLOXSEG5EI64_V_M1_M1 }, // 782
  { 0x5, 0x0, 0x1, 0x6, 0x0, 0x1, PseudoVLOXSEG5EI64_V_M2_M1 }, // 783
  { 0x5, 0x0, 0x1, 0x6, 0x0, 0x2, PseudoVLOXSEG5EI64_V_M4_M1 }, // 784
  { 0x5, 0x0, 0x1, 0x6, 0x0, 0x3, PseudoVLOXSEG5EI64_V_M8_M1 }, // 785
  { 0x5, 0x0, 0x1, 0x6, 0x5, 0x0, PseudoVLOXSEG5EI64_V_M1_MF8 }, // 786
  { 0x5, 0x0, 0x1, 0x6, 0x6, 0x0, PseudoVLOXSEG5EI64_V_M1_MF4 }, // 787
  { 0x5, 0x0, 0x1, 0x6, 0x6, 0x1, PseudoVLOXSEG5EI64_V_M2_MF4 }, // 788
  { 0x5, 0x0, 0x1, 0x6, 0x7, 0x0, PseudoVLOXSEG5EI64_V_M1_MF2 }, // 789
  { 0x5, 0x0, 0x1, 0x6, 0x7, 0x1, PseudoVLOXSEG5EI64_V_M2_MF2 }, // 790
  { 0x5, 0x0, 0x1, 0x6, 0x7, 0x2, PseudoVLOXSEG5EI64_V_M4_MF2 }, // 791
  { 0x5, 0x1, 0x0, 0x3, 0x0, 0x0, PseudoVLUXSEG5EI8_V_M1_M1_MASK }, // 792
  { 0x5, 0x1, 0x0, 0x3, 0x0, 0x5, PseudoVLUXSEG5EI8_V_MF8_M1_MASK }, // 793
  { 0x5, 0x1, 0x0, 0x3, 0x0, 0x6, PseudoVLUXSEG5EI8_V_MF4_M1_MASK }, // 794
  { 0x5, 0x1, 0x0, 0x3, 0x0, 0x7, PseudoVLUXSEG5EI8_V_MF2_M1_MASK }, // 795
  { 0x5, 0x1, 0x0, 0x3, 0x5, 0x5, PseudoVLUXSEG5EI8_V_MF8_MF8_MASK }, // 796
  { 0x5, 0x1, 0x0, 0x3, 0x6, 0x5, PseudoVLUXSEG5EI8_V_MF8_MF4_MASK }, // 797
  { 0x5, 0x1, 0x0, 0x3, 0x6, 0x6, PseudoVLUXSEG5EI8_V_MF4_MF4_MASK }, // 798
  { 0x5, 0x1, 0x0, 0x3, 0x7, 0x5, PseudoVLUXSEG5EI8_V_MF8_MF2_MASK }, // 799
  { 0x5, 0x1, 0x0, 0x3, 0x7, 0x6, PseudoVLUXSEG5EI8_V_MF4_MF2_MASK }, // 800
  { 0x5, 0x1, 0x0, 0x3, 0x7, 0x7, PseudoVLUXSEG5EI8_V_MF2_MF2_MASK }, // 801
  { 0x5, 0x1, 0x0, 0x4, 0x0, 0x0, PseudoVLUXSEG5EI16_V_M1_M1_MASK }, // 802
  { 0x5, 0x1, 0x0, 0x4, 0x0, 0x1, PseudoVLUXSEG5EI16_V_M2_M1_MASK }, // 803
  { 0x5, 0x1, 0x0, 0x4, 0x0, 0x6, PseudoVLUXSEG5EI16_V_MF4_M1_MASK }, // 804
  { 0x5, 0x1, 0x0, 0x4, 0x0, 0x7, PseudoVLUXSEG5EI16_V_MF2_M1_MASK }, // 805
  { 0x5, 0x1, 0x0, 0x4, 0x5, 0x6, PseudoVLUXSEG5EI16_V_MF4_MF8_MASK }, // 806
  { 0x5, 0x1, 0x0, 0x4, 0x6, 0x6, PseudoVLUXSEG5EI16_V_MF4_MF4_MASK }, // 807
  { 0x5, 0x1, 0x0, 0x4, 0x6, 0x7, PseudoVLUXSEG5EI16_V_MF2_MF4_MASK }, // 808
  { 0x5, 0x1, 0x0, 0x4, 0x7, 0x0, PseudoVLUXSEG5EI16_V_M1_MF2_MASK }, // 809
  { 0x5, 0x1, 0x0, 0x4, 0x7, 0x6, PseudoVLUXSEG5EI16_V_MF4_MF2_MASK }, // 810
  { 0x5, 0x1, 0x0, 0x4, 0x7, 0x7, PseudoVLUXSEG5EI16_V_MF2_MF2_MASK }, // 811
  { 0x5, 0x1, 0x0, 0x5, 0x0, 0x0, PseudoVLUXSEG5EI32_V_M1_M1_MASK }, // 812
  { 0x5, 0x1, 0x0, 0x5, 0x0, 0x1, PseudoVLUXSEG5EI32_V_M2_M1_MASK }, // 813
  { 0x5, 0x1, 0x0, 0x5, 0x0, 0x2, PseudoVLUXSEG5EI32_V_M4_M1_MASK }, // 814
  { 0x5, 0x1, 0x0, 0x5, 0x0, 0x7, PseudoVLUXSEG5EI32_V_MF2_M1_MASK }, // 815
  { 0x5, 0x1, 0x0, 0x5, 0x5, 0x7, PseudoVLUXSEG5EI32_V_MF2_MF8_MASK }, // 816
  { 0x5, 0x1, 0x0, 0x5, 0x6, 0x0, PseudoVLUXSEG5EI32_V_M1_MF4_MASK }, // 817
  { 0x5, 0x1, 0x0, 0x5, 0x6, 0x7, PseudoVLUXSEG5EI32_V_MF2_MF4_MASK }, // 818
  { 0x5, 0x1, 0x0, 0x5, 0x7, 0x0, PseudoVLUXSEG5EI32_V_M1_MF2_MASK }, // 819
  { 0x5, 0x1, 0x0, 0x5, 0x7, 0x1, PseudoVLUXSEG5EI32_V_M2_MF2_MASK }, // 820
  { 0x5, 0x1, 0x0, 0x5, 0x7, 0x7, PseudoVLUXSEG5EI32_V_MF2_MF2_MASK }, // 821
  { 0x5, 0x1, 0x0, 0x6, 0x0, 0x0, PseudoVLUXSEG5EI64_V_M1_M1_MASK }, // 822
  { 0x5, 0x1, 0x0, 0x6, 0x0, 0x1, PseudoVLUXSEG5EI64_V_M2_M1_MASK }, // 823
  { 0x5, 0x1, 0x0, 0x6, 0x0, 0x2, PseudoVLUXSEG5EI64_V_M4_M1_MASK }, // 824
  { 0x5, 0x1, 0x0, 0x6, 0x0, 0x3, PseudoVLUXSEG5EI64_V_M8_M1_MASK }, // 825
  { 0x5, 0x1, 0x0, 0x6, 0x5, 0x0, PseudoVLUXSEG5EI64_V_M1_MF8_MASK }, // 826
  { 0x5, 0x1, 0x0, 0x6, 0x6, 0x0, PseudoVLUXSEG5EI64_V_M1_MF4_MASK }, // 827
  { 0x5, 0x1, 0x0, 0x6, 0x6, 0x1, PseudoVLUXSEG5EI64_V_M2_MF4_MASK }, // 828
  { 0x5, 0x1, 0x0, 0x6, 0x7, 0x0, PseudoVLUXSEG5EI64_V_M1_MF2_MASK }, // 829
  { 0x5, 0x1, 0x0, 0x6, 0x7, 0x1, PseudoVLUXSEG5EI64_V_M2_MF2_MASK }, // 830
  { 0x5, 0x1, 0x0, 0x6, 0x7, 0x2, PseudoVLUXSEG5EI64_V_M4_MF2_MASK }, // 831
  { 0x5, 0x1, 0x1, 0x3, 0x0, 0x0, PseudoVLOXSEG5EI8_V_M1_M1_MASK }, // 832
  { 0x5, 0x1, 0x1, 0x3, 0x0, 0x5, PseudoVLOXSEG5EI8_V_MF8_M1_MASK }, // 833
  { 0x5, 0x1, 0x1, 0x3, 0x0, 0x6, PseudoVLOXSEG5EI8_V_MF4_M1_MASK }, // 834
  { 0x5, 0x1, 0x1, 0x3, 0x0, 0x7, PseudoVLOXSEG5EI8_V_MF2_M1_MASK }, // 835
  { 0x5, 0x1, 0x1, 0x3, 0x5, 0x5, PseudoVLOXSEG5EI8_V_MF8_MF8_MASK }, // 836
  { 0x5, 0x1, 0x1, 0x3, 0x6, 0x5, PseudoVLOXSEG5EI8_V_MF8_MF4_MASK }, // 837
  { 0x5, 0x1, 0x1, 0x3, 0x6, 0x6, PseudoVLOXSEG5EI8_V_MF4_MF4_MASK }, // 838
  { 0x5, 0x1, 0x1, 0x3, 0x7, 0x5, PseudoVLOXSEG5EI8_V_MF8_MF2_MASK }, // 839
  { 0x5, 0x1, 0x1, 0x3, 0x7, 0x6, PseudoVLOXSEG5EI8_V_MF4_MF2_MASK }, // 840
  { 0x5, 0x1, 0x1, 0x3, 0x7, 0x7, PseudoVLOXSEG5EI8_V_MF2_MF2_MASK }, // 841
  { 0x5, 0x1, 0x1, 0x4, 0x0, 0x0, PseudoVLOXSEG5EI16_V_M1_M1_MASK }, // 842
  { 0x5, 0x1, 0x1, 0x4, 0x0, 0x1, PseudoVLOXSEG5EI16_V_M2_M1_MASK }, // 843
  { 0x5, 0x1, 0x1, 0x4, 0x0, 0x6, PseudoVLOXSEG5EI16_V_MF4_M1_MASK }, // 844
  { 0x5, 0x1, 0x1, 0x4, 0x0, 0x7, PseudoVLOXSEG5EI16_V_MF2_M1_MASK }, // 845
  { 0x5, 0x1, 0x1, 0x4, 0x5, 0x6, PseudoVLOXSEG5EI16_V_MF4_MF8_MASK }, // 846
  { 0x5, 0x1, 0x1, 0x4, 0x6, 0x6, PseudoVLOXSEG5EI16_V_MF4_MF4_MASK }, // 847
  { 0x5, 0x1, 0x1, 0x4, 0x6, 0x7, PseudoVLOXSEG5EI16_V_MF2_MF4_MASK }, // 848
  { 0x5, 0x1, 0x1, 0x4, 0x7, 0x0, PseudoVLOXSEG5EI16_V_M1_MF2_MASK }, // 849
  { 0x5, 0x1, 0x1, 0x4, 0x7, 0x6, PseudoVLOXSEG5EI16_V_MF4_MF2_MASK }, // 850
  { 0x5, 0x1, 0x1, 0x4, 0x7, 0x7, PseudoVLOXSEG5EI16_V_MF2_MF2_MASK }, // 851
  { 0x5, 0x1, 0x1, 0x5, 0x0, 0x0, PseudoVLOXSEG5EI32_V_M1_M1_MASK }, // 852
  { 0x5, 0x1, 0x1, 0x5, 0x0, 0x1, PseudoVLOXSEG5EI32_V_M2_M1_MASK }, // 853
  { 0x5, 0x1, 0x1, 0x5, 0x0, 0x2, PseudoVLOXSEG5EI32_V_M4_M1_MASK }, // 854
  { 0x5, 0x1, 0x1, 0x5, 0x0, 0x7, PseudoVLOXSEG5EI32_V_MF2_M1_MASK }, // 855
  { 0x5, 0x1, 0x1, 0x5, 0x5, 0x7, PseudoVLOXSEG5EI32_V_MF2_MF8_MASK }, // 856
  { 0x5, 0x1, 0x1, 0x5, 0x6, 0x0, PseudoVLOXSEG5EI32_V_M1_MF4_MASK }, // 857
  { 0x5, 0x1, 0x1, 0x5, 0x6, 0x7, PseudoVLOXSEG5EI32_V_MF2_MF4_MASK }, // 858
  { 0x5, 0x1, 0x1, 0x5, 0x7, 0x0, PseudoVLOXSEG5EI32_V_M1_MF2_MASK }, // 859
  { 0x5, 0x1, 0x1, 0x5, 0x7, 0x1, PseudoVLOXSEG5EI32_V_M2_MF2_MASK }, // 860
  { 0x5, 0x1, 0x1, 0x5, 0x7, 0x7, PseudoVLOXSEG5EI32_V_MF2_MF2_MASK }, // 861
  { 0x5, 0x1, 0x1, 0x6, 0x0, 0x0, PseudoVLOXSEG5EI64_V_M1_M1_MASK }, // 862
  { 0x5, 0x1, 0x1, 0x6, 0x0, 0x1, PseudoVLOXSEG5EI64_V_M2_M1_MASK }, // 863
  { 0x5, 0x1, 0x1, 0x6, 0x0, 0x2, PseudoVLOXSEG5EI64_V_M4_M1_MASK }, // 864
  { 0x5, 0x1, 0x1, 0x6, 0x0, 0x3, PseudoVLOXSEG5EI64_V_M8_M1_MASK }, // 865
  { 0x5, 0x1, 0x1, 0x6, 0x5, 0x0, PseudoVLOXSEG5EI64_V_M1_MF8_MASK }, // 866
  { 0x5, 0x1, 0x1, 0x6, 0x6, 0x0, PseudoVLOXSEG5EI64_V_M1_MF4_MASK }, // 867
  { 0x5, 0x1, 0x1, 0x6, 0x6, 0x1, PseudoVLOXSEG5EI64_V_M2_MF4_MASK }, // 868
  { 0x5, 0x1, 0x1, 0x6, 0x7, 0x0, PseudoVLOXSEG5EI64_V_M1_MF2_MASK }, // 869
  { 0x5, 0x1, 0x1, 0x6, 0x7, 0x1, PseudoVLOXSEG5EI64_V_M2_MF2_MASK }, // 870
  { 0x5, 0x1, 0x1, 0x6, 0x7, 0x2, PseudoVLOXSEG5EI64_V_M4_MF2_MASK }, // 871
  { 0x6, 0x0, 0x0, 0x3, 0x0, 0x0, PseudoVLUXSEG6EI8_V_M1_M1 }, // 872
  { 0x6, 0x0, 0x0, 0x3, 0x0, 0x5, PseudoVLUXSEG6EI8_V_MF8_M1 }, // 873
  { 0x6, 0x0, 0x0, 0x3, 0x0, 0x6, PseudoVLUXSEG6EI8_V_MF4_M1 }, // 874
  { 0x6, 0x0, 0x0, 0x3, 0x0, 0x7, PseudoVLUXSEG6EI8_V_MF2_M1 }, // 875
  { 0x6, 0x0, 0x0, 0x3, 0x5, 0x5, PseudoVLUXSEG6EI8_V_MF8_MF8 }, // 876
  { 0x6, 0x0, 0x0, 0x3, 0x6, 0x5, PseudoVLUXSEG6EI8_V_MF8_MF4 }, // 877
  { 0x6, 0x0, 0x0, 0x3, 0x6, 0x6, PseudoVLUXSEG6EI8_V_MF4_MF4 }, // 878
  { 0x6, 0x0, 0x0, 0x3, 0x7, 0x5, PseudoVLUXSEG6EI8_V_MF8_MF2 }, // 879
  { 0x6, 0x0, 0x0, 0x3, 0x7, 0x6, PseudoVLUXSEG6EI8_V_MF4_MF2 }, // 880
  { 0x6, 0x0, 0x0, 0x3, 0x7, 0x7, PseudoVLUXSEG6EI8_V_MF2_MF2 }, // 881
  { 0x6, 0x0, 0x0, 0x4, 0x0, 0x0, PseudoVLUXSEG6EI16_V_M1_M1 }, // 882
  { 0x6, 0x0, 0x0, 0x4, 0x0, 0x1, PseudoVLUXSEG6EI16_V_M2_M1 }, // 883
  { 0x6, 0x0, 0x0, 0x4, 0x0, 0x6, PseudoVLUXSEG6EI16_V_MF4_M1 }, // 884
  { 0x6, 0x0, 0x0, 0x4, 0x0, 0x7, PseudoVLUXSEG6EI16_V_MF2_M1 }, // 885
  { 0x6, 0x0, 0x0, 0x4, 0x5, 0x6, PseudoVLUXSEG6EI16_V_MF4_MF8 }, // 886
  { 0x6, 0x0, 0x0, 0x4, 0x6, 0x6, PseudoVLUXSEG6EI16_V_MF4_MF4 }, // 887
  { 0x6, 0x0, 0x0, 0x4, 0x6, 0x7, PseudoVLUXSEG6EI16_V_MF2_MF4 }, // 888
  { 0x6, 0x0, 0x0, 0x4, 0x7, 0x0, PseudoVLUXSEG6EI16_V_M1_MF2 }, // 889
  { 0x6, 0x0, 0x0, 0x4, 0x7, 0x6, PseudoVLUXSEG6EI16_V_MF4_MF2 }, // 890
  { 0x6, 0x0, 0x0, 0x4, 0x7, 0x7, PseudoVLUXSEG6EI16_V_MF2_MF2 }, // 891
  { 0x6, 0x0, 0x0, 0x5, 0x0, 0x0, PseudoVLUXSEG6EI32_V_M1_M1 }, // 892
  { 0x6, 0x0, 0x0, 0x5, 0x0, 0x1, PseudoVLUXSEG6EI32_V_M2_M1 }, // 893
  { 0x6, 0x0, 0x0, 0x5, 0x0, 0x2, PseudoVLUXSEG6EI32_V_M4_M1 }, // 894
  { 0x6, 0x0, 0x0, 0x5, 0x0, 0x7, PseudoVLUXSEG6EI32_V_MF2_M1 }, // 895
  { 0x6, 0x0, 0x0, 0x5, 0x5, 0x7, PseudoVLUXSEG6EI32_V_MF2_MF8 }, // 896
  { 0x6, 0x0, 0x0, 0x5, 0x6, 0x0, PseudoVLUXSEG6EI32_V_M1_MF4 }, // 897
  { 0x6, 0x0, 0x0, 0x5, 0x6, 0x7, PseudoVLUXSEG6EI32_V_MF2_MF4 }, // 898
  { 0x6, 0x0, 0x0, 0x5, 0x7, 0x0, PseudoVLUXSEG6EI32_V_M1_MF2 }, // 899
  { 0x6, 0x0, 0x0, 0x5, 0x7, 0x1, PseudoVLUXSEG6EI32_V_M2_MF2 }, // 900
  { 0x6, 0x0, 0x0, 0x5, 0x7, 0x7, PseudoVLUXSEG6EI32_V_MF2_MF2 }, // 901
  { 0x6, 0x0, 0x0, 0x6, 0x0, 0x0, PseudoVLUXSEG6EI64_V_M1_M1 }, // 902
  { 0x6, 0x0, 0x0, 0x6, 0x0, 0x1, PseudoVLUXSEG6EI64_V_M2_M1 }, // 903
  { 0x6, 0x0, 0x0, 0x6, 0x0, 0x2, PseudoVLUXSEG6EI64_V_M4_M1 }, // 904
  { 0x6, 0x0, 0x0, 0x6, 0x0, 0x3, PseudoVLUXSEG6EI64_V_M8_M1 }, // 905
  { 0x6, 0x0, 0x0, 0x6, 0x5, 0x0, PseudoVLUXSEG6EI64_V_M1_MF8 }, // 906
  { 0x6, 0x0, 0x0, 0x6, 0x6, 0x0, PseudoVLUXSEG6EI64_V_M1_MF4 }, // 907
  { 0x6, 0x0, 0x0, 0x6, 0x6, 0x1, PseudoVLUXSEG6EI64_V_M2_MF4 }, // 908
  { 0x6, 0x0, 0x0, 0x6, 0x7, 0x0, PseudoVLUXSEG6EI64_V_M1_MF2 }, // 909
  { 0x6, 0x0, 0x0, 0x6, 0x7, 0x1, PseudoVLUXSEG6EI64_V_M2_MF2 }, // 910
  { 0x6, 0x0, 0x0, 0x6, 0x7, 0x2, PseudoVLUXSEG6EI64_V_M4_MF2 }, // 911
  { 0x6, 0x0, 0x1, 0x3, 0x0, 0x0, PseudoVLOXSEG6EI8_V_M1_M1 }, // 912
  { 0x6, 0x0, 0x1, 0x3, 0x0, 0x5, PseudoVLOXSEG6EI8_V_MF8_M1 }, // 913
  { 0x6, 0x0, 0x1, 0x3, 0x0, 0x6, PseudoVLOXSEG6EI8_V_MF4_M1 }, // 914
  { 0x6, 0x0, 0x1, 0x3, 0x0, 0x7, PseudoVLOXSEG6EI8_V_MF2_M1 }, // 915
  { 0x6, 0x0, 0x1, 0x3, 0x5, 0x5, PseudoVLOXSEG6EI8_V_MF8_MF8 }, // 916
  { 0x6, 0x0, 0x1, 0x3, 0x6, 0x5, PseudoVLOXSEG6EI8_V_MF8_MF4 }, // 917
  { 0x6, 0x0, 0x1, 0x3, 0x6, 0x6, PseudoVLOXSEG6EI8_V_MF4_MF4 }, // 918
  { 0x6, 0x0, 0x1, 0x3, 0x7, 0x5, PseudoVLOXSEG6EI8_V_MF8_MF2 }, // 919
  { 0x6, 0x0, 0x1, 0x3, 0x7, 0x6, PseudoVLOXSEG6EI8_V_MF4_MF2 }, // 920
  { 0x6, 0x0, 0x1, 0x3, 0x7, 0x7, PseudoVLOXSEG6EI8_V_MF2_MF2 }, // 921
  { 0x6, 0x0, 0x1, 0x4, 0x0, 0x0, PseudoVLOXSEG6EI16_V_M1_M1 }, // 922
  { 0x6, 0x0, 0x1, 0x4, 0x0, 0x1, PseudoVLOXSEG6EI16_V_M2_M1 }, // 923
  { 0x6, 0x0, 0x1, 0x4, 0x0, 0x6, PseudoVLOXSEG6EI16_V_MF4_M1 }, // 924
  { 0x6, 0x0, 0x1, 0x4, 0x0, 0x7, PseudoVLOXSEG6EI16_V_MF2_M1 }, // 925
  { 0x6, 0x0, 0x1, 0x4, 0x5, 0x6, PseudoVLOXSEG6EI16_V_MF4_MF8 }, // 926
  { 0x6, 0x0, 0x1, 0x4, 0x6, 0x6, PseudoVLOXSEG6EI16_V_MF4_MF4 }, // 927
  { 0x6, 0x0, 0x1, 0x4, 0x6, 0x7, PseudoVLOXSEG6EI16_V_MF2_MF4 }, // 928
  { 0x6, 0x0, 0x1, 0x4, 0x7, 0x0, PseudoVLOXSEG6EI16_V_M1_MF2 }, // 929
  { 0x6, 0x0, 0x1, 0x4, 0x7, 0x6, PseudoVLOXSEG6EI16_V_MF4_MF2 }, // 930
  { 0x6, 0x0, 0x1, 0x4, 0x7, 0x7, PseudoVLOXSEG6EI16_V_MF2_MF2 }, // 931
  { 0x6, 0x0, 0x1, 0x5, 0x0, 0x0, PseudoVLOXSEG6EI32_V_M1_M1 }, // 932
  { 0x6, 0x0, 0x1, 0x5, 0x0, 0x1, PseudoVLOXSEG6EI32_V_M2_M1 }, // 933
  { 0x6, 0x0, 0x1, 0x5, 0x0, 0x2, PseudoVLOXSEG6EI32_V_M4_M1 }, // 934
  { 0x6, 0x0, 0x1, 0x5, 0x0, 0x7, PseudoVLOXSEG6EI32_V_MF2_M1 }, // 935
  { 0x6, 0x0, 0x1, 0x5, 0x5, 0x7, PseudoVLOXSEG6EI32_V_MF2_MF8 }, // 936
  { 0x6, 0x0, 0x1, 0x5, 0x6, 0x0, PseudoVLOXSEG6EI32_V_M1_MF4 }, // 937
  { 0x6, 0x0, 0x1, 0x5, 0x6, 0x7, PseudoVLOXSEG6EI32_V_MF2_MF4 }, // 938
  { 0x6, 0x0, 0x1, 0x5, 0x7, 0x0, PseudoVLOXSEG6EI32_V_M1_MF2 }, // 939
  { 0x6, 0x0, 0x1, 0x5, 0x7, 0x1, PseudoVLOXSEG6EI32_V_M2_MF2 }, // 940
  { 0x6, 0x0, 0x1, 0x5, 0x7, 0x7, PseudoVLOXSEG6EI32_V_MF2_MF2 }, // 941
  { 0x6, 0x0, 0x1, 0x6, 0x0, 0x0, PseudoVLOXSEG6EI64_V_M1_M1 }, // 942
  { 0x6, 0x0, 0x1, 0x6, 0x0, 0x1, PseudoVLOXSEG6EI64_V_M2_M1 }, // 943
  { 0x6, 0x0, 0x1, 0x6, 0x0, 0x2, PseudoVLOXSEG6EI64_V_M4_M1 }, // 944
  { 0x6, 0x0, 0x1, 0x6, 0x0, 0x3, PseudoVLOXSEG6EI64_V_M8_M1 }, // 945
  { 0x6, 0x0, 0x1, 0x6, 0x5, 0x0, PseudoVLOXSEG6EI64_V_M1_MF8 }, // 946
  { 0x6, 0x0, 0x1, 0x6, 0x6, 0x0, PseudoVLOXSEG6EI64_V_M1_MF4 }, // 947
  { 0x6, 0x0, 0x1, 0x6, 0x6, 0x1, PseudoVLOXSEG6EI64_V_M2_MF4 }, // 948
  { 0x6, 0x0, 0x1, 0x6, 0x7, 0x0, PseudoVLOXSEG6EI64_V_M1_MF2 }, // 949
  { 0x6, 0x0, 0x1, 0x6, 0x7, 0x1, PseudoVLOXSEG6EI64_V_M2_MF2 }, // 950
  { 0x6, 0x0, 0x1, 0x6, 0x7, 0x2, PseudoVLOXSEG6EI64_V_M4_MF2 }, // 951
  { 0x6, 0x1, 0x0, 0x3, 0x0, 0x0, PseudoVLUXSEG6EI8_V_M1_M1_MASK }, // 952
  { 0x6, 0x1, 0x0, 0x3, 0x0, 0x5, PseudoVLUXSEG6EI8_V_MF8_M1_MASK }, // 953
  { 0x6, 0x1, 0x0, 0x3, 0x0, 0x6, PseudoVLUXSEG6EI8_V_MF4_M1_MASK }, // 954
  { 0x6, 0x1, 0x0, 0x3, 0x0, 0x7, PseudoVLUXSEG6EI8_V_MF2_M1_MASK }, // 955
  { 0x6, 0x1, 0x0, 0x3, 0x5, 0x5, PseudoVLUXSEG6EI8_V_MF8_MF8_MASK }, // 956
  { 0x6, 0x1, 0x0, 0x3, 0x6, 0x5, PseudoVLUXSEG6EI8_V_MF8_MF4_MASK }, // 957
  { 0x6, 0x1, 0x0, 0x3, 0x6, 0x6, PseudoVLUXSEG6EI8_V_MF4_MF4_MASK }, // 958
  { 0x6, 0x1, 0x0, 0x3, 0x7, 0x5, PseudoVLUXSEG6EI8_V_MF8_MF2_MASK }, // 959
  { 0x6, 0x1, 0x0, 0x3, 0x7, 0x6, PseudoVLUXSEG6EI8_V_MF4_MF2_MASK }, // 960
  { 0x6, 0x1, 0x0, 0x3, 0x7, 0x7, PseudoVLUXSEG6EI8_V_MF2_MF2_MASK }, // 961
  { 0x6, 0x1, 0x0, 0x4, 0x0, 0x0, PseudoVLUXSEG6EI16_V_M1_M1_MASK }, // 962
  { 0x6, 0x1, 0x0, 0x4, 0x0, 0x1, PseudoVLUXSEG6EI16_V_M2_M1_MASK }, // 963
  { 0x6, 0x1, 0x0, 0x4, 0x0, 0x6, PseudoVLUXSEG6EI16_V_MF4_M1_MASK }, // 964
  { 0x6, 0x1, 0x0, 0x4, 0x0, 0x7, PseudoVLUXSEG6EI16_V_MF2_M1_MASK }, // 965
  { 0x6, 0x1, 0x0, 0x4, 0x5, 0x6, PseudoVLUXSEG6EI16_V_MF4_MF8_MASK }, // 966
  { 0x6, 0x1, 0x0, 0x4, 0x6, 0x6, PseudoVLUXSEG6EI16_V_MF4_MF4_MASK }, // 967
  { 0x6, 0x1, 0x0, 0x4, 0x6, 0x7, PseudoVLUXSEG6EI16_V_MF2_MF4_MASK }, // 968
  { 0x6, 0x1, 0x0, 0x4, 0x7, 0x0, PseudoVLUXSEG6EI16_V_M1_MF2_MASK }, // 969
  { 0x6, 0x1, 0x0, 0x4, 0x7, 0x6, PseudoVLUXSEG6EI16_V_MF4_MF2_MASK }, // 970
  { 0x6, 0x1, 0x0, 0x4, 0x7, 0x7, PseudoVLUXSEG6EI16_V_MF2_MF2_MASK }, // 971
  { 0x6, 0x1, 0x0, 0x5, 0x0, 0x0, PseudoVLUXSEG6EI32_V_M1_M1_MASK }, // 972
  { 0x6, 0x1, 0x0, 0x5, 0x0, 0x1, PseudoVLUXSEG6EI32_V_M2_M1_MASK }, // 973
  { 0x6, 0x1, 0x0, 0x5, 0x0, 0x2, PseudoVLUXSEG6EI32_V_M4_M1_MASK }, // 974
  { 0x6, 0x1, 0x0, 0x5, 0x0, 0x7, PseudoVLUXSEG6EI32_V_MF2_M1_MASK }, // 975
  { 0x6, 0x1, 0x0, 0x5, 0x5, 0x7, PseudoVLUXSEG6EI32_V_MF2_MF8_MASK }, // 976
  { 0x6, 0x1, 0x0, 0x5, 0x6, 0x0, PseudoVLUXSEG6EI32_V_M1_MF4_MASK }, // 977
  { 0x6, 0x1, 0x0, 0x5, 0x6, 0x7, PseudoVLUXSEG6EI32_V_MF2_MF4_MASK }, // 978
  { 0x6, 0x1, 0x0, 0x5, 0x7, 0x0, PseudoVLUXSEG6EI32_V_M1_MF2_MASK }, // 979
  { 0x6, 0x1, 0x0, 0x5, 0x7, 0x1, PseudoVLUXSEG6EI32_V_M2_MF2_MASK }, // 980
  { 0x6, 0x1, 0x0, 0x5, 0x7, 0x7, PseudoVLUXSEG6EI32_V_MF2_MF2_MASK }, // 981
  { 0x6, 0x1, 0x0, 0x6, 0x0, 0x0, PseudoVLUXSEG6EI64_V_M1_M1_MASK }, // 982
  { 0x6, 0x1, 0x0, 0x6, 0x0, 0x1, PseudoVLUXSEG6EI64_V_M2_M1_MASK }, // 983
  { 0x6, 0x1, 0x0, 0x6, 0x0, 0x2, PseudoVLUXSEG6EI64_V_M4_M1_MASK }, // 984
  { 0x6, 0x1, 0x0, 0x6, 0x0, 0x3, PseudoVLUXSEG6EI64_V_M8_M1_MASK }, // 985
  { 0x6, 0x1, 0x0, 0x6, 0x5, 0x0, PseudoVLUXSEG6EI64_V_M1_MF8_MASK }, // 986
  { 0x6, 0x1, 0x0, 0x6, 0x6, 0x0, PseudoVLUXSEG6EI64_V_M1_MF4_MASK }, // 987
  { 0x6, 0x1, 0x0, 0x6, 0x6, 0x1, PseudoVLUXSEG6EI64_V_M2_MF4_MASK }, // 988
  { 0x6, 0x1, 0x0, 0x6, 0x7, 0x0, PseudoVLUXSEG6EI64_V_M1_MF2_MASK }, // 989
  { 0x6, 0x1, 0x0, 0x6, 0x7, 0x1, PseudoVLUXSEG6EI64_V_M2_MF2_MASK }, // 990
  { 0x6, 0x1, 0x0, 0x6, 0x7, 0x2, PseudoVLUXSEG6EI64_V_M4_MF2_MASK }, // 991
  { 0x6, 0x1, 0x1, 0x3, 0x0, 0x0, PseudoVLOXSEG6EI8_V_M1_M1_MASK }, // 992
  { 0x6, 0x1, 0x1, 0x3, 0x0, 0x5, PseudoVLOXSEG6EI8_V_MF8_M1_MASK }, // 993
  { 0x6, 0x1, 0x1, 0x3, 0x0, 0x6, PseudoVLOXSEG6EI8_V_MF4_M1_MASK }, // 994
  { 0x6, 0x1, 0x1, 0x3, 0x0, 0x7, PseudoVLOXSEG6EI8_V_MF2_M1_MASK }, // 995
  { 0x6, 0x1, 0x1, 0x3, 0x5, 0x5, PseudoVLOXSEG6EI8_V_MF8_MF8_MASK }, // 996
  { 0x6, 0x1, 0x1, 0x3, 0x6, 0x5, PseudoVLOXSEG6EI8_V_MF8_MF4_MASK }, // 997
  { 0x6, 0x1, 0x1, 0x3, 0x6, 0x6, PseudoVLOXSEG6EI8_V_MF4_MF4_MASK }, // 998
  { 0x6, 0x1, 0x1, 0x3, 0x7, 0x5, PseudoVLOXSEG6EI8_V_MF8_MF2_MASK }, // 999
  { 0x6, 0x1, 0x1, 0x3, 0x7, 0x6, PseudoVLOXSEG6EI8_V_MF4_MF2_MASK }, // 1000
  { 0x6, 0x1, 0x1, 0x3, 0x7, 0x7, PseudoVLOXSEG6EI8_V_MF2_MF2_MASK }, // 1001
  { 0x6, 0x1, 0x1, 0x4, 0x0, 0x0, PseudoVLOXSEG6EI16_V_M1_M1_MASK }, // 1002
  { 0x6, 0x1, 0x1, 0x4, 0x0, 0x1, PseudoVLOXSEG6EI16_V_M2_M1_MASK }, // 1003
  { 0x6, 0x1, 0x1, 0x4, 0x0, 0x6, PseudoVLOXSEG6EI16_V_MF4_M1_MASK }, // 1004
  { 0x6, 0x1, 0x1, 0x4, 0x0, 0x7, PseudoVLOXSEG6EI16_V_MF2_M1_MASK }, // 1005
  { 0x6, 0x1, 0x1, 0x4, 0x5, 0x6, PseudoVLOXSEG6EI16_V_MF4_MF8_MASK }, // 1006
  { 0x6, 0x1, 0x1, 0x4, 0x6, 0x6, PseudoVLOXSEG6EI16_V_MF4_MF4_MASK }, // 1007
  { 0x6, 0x1, 0x1, 0x4, 0x6, 0x7, PseudoVLOXSEG6EI16_V_MF2_MF4_MASK }, // 1008
  { 0x6, 0x1, 0x1, 0x4, 0x7, 0x0, PseudoVLOXSEG6EI16_V_M1_MF2_MASK }, // 1009
  { 0x6, 0x1, 0x1, 0x4, 0x7, 0x6, PseudoVLOXSEG6EI16_V_MF4_MF2_MASK }, // 1010
  { 0x6, 0x1, 0x1, 0x4, 0x7, 0x7, PseudoVLOXSEG6EI16_V_MF2_MF2_MASK }, // 1011
  { 0x6, 0x1, 0x1, 0x5, 0x0, 0x0, PseudoVLOXSEG6EI32_V_M1_M1_MASK }, // 1012
  { 0x6, 0x1, 0x1, 0x5, 0x0, 0x1, PseudoVLOXSEG6EI32_V_M2_M1_MASK }, // 1013
  { 0x6, 0x1, 0x1, 0x5, 0x0, 0x2, PseudoVLOXSEG6EI32_V_M4_M1_MASK }, // 1014
  { 0x6, 0x1, 0x1, 0x5, 0x0, 0x7, PseudoVLOXSEG6EI32_V_MF2_M1_MASK }, // 1015
  { 0x6, 0x1, 0x1, 0x5, 0x5, 0x7, PseudoVLOXSEG6EI32_V_MF2_MF8_MASK }, // 1016
  { 0x6, 0x1, 0x1, 0x5, 0x6, 0x0, PseudoVLOXSEG6EI32_V_M1_MF4_MASK }, // 1017
  { 0x6, 0x1, 0x1, 0x5, 0x6, 0x7, PseudoVLOXSEG6EI32_V_MF2_MF4_MASK }, // 1018
  { 0x6, 0x1, 0x1, 0x5, 0x7, 0x0, PseudoVLOXSEG6EI32_V_M1_MF2_MASK }, // 1019
  { 0x6, 0x1, 0x1, 0x5, 0x7, 0x1, PseudoVLOXSEG6EI32_V_M2_MF2_MASK }, // 1020
  { 0x6, 0x1, 0x1, 0x5, 0x7, 0x7, PseudoVLOXSEG6EI32_V_MF2_MF2_MASK }, // 1021
  { 0x6, 0x1, 0x1, 0x6, 0x0, 0x0, PseudoVLOXSEG6EI64_V_M1_M1_MASK }, // 1022
  { 0x6, 0x1, 0x1, 0x6, 0x0, 0x1, PseudoVLOXSEG6EI64_V_M2_M1_MASK }, // 1023
  { 0x6, 0x1, 0x1, 0x6, 0x0, 0x2, PseudoVLOXSEG6EI64_V_M4_M1_MASK }, // 1024
  { 0x6, 0x1, 0x1, 0x6, 0x0, 0x3, PseudoVLOXSEG6EI64_V_M8_M1_MASK }, // 1025
  { 0x6, 0x1, 0x1, 0x6, 0x5, 0x0, PseudoVLOXSEG6EI64_V_M1_MF8_MASK }, // 1026
  { 0x6, 0x1, 0x1, 0x6, 0x6, 0x0, PseudoVLOXSEG6EI64_V_M1_MF4_MASK }, // 1027
  { 0x6, 0x1, 0x1, 0x6, 0x6, 0x1, PseudoVLOXSEG6EI64_V_M2_MF4_MASK }, // 1028
  { 0x6, 0x1, 0x1, 0x6, 0x7, 0x0, PseudoVLOXSEG6EI64_V_M1_MF2_MASK }, // 1029
  { 0x6, 0x1, 0x1, 0x6, 0x7, 0x1, PseudoVLOXSEG6EI64_V_M2_MF2_MASK }, // 1030
  { 0x6, 0x1, 0x1, 0x6, 0x7, 0x2, PseudoVLOXSEG6EI64_V_M4_MF2_MASK }, // 1031
  { 0x7, 0x0, 0x0, 0x3, 0x0, 0x0, PseudoVLUXSEG7EI8_V_M1_M1 }, // 1032
  { 0x7, 0x0, 0x0, 0x3, 0x0, 0x5, PseudoVLUXSEG7EI8_V_MF8_M1 }, // 1033
  { 0x7, 0x0, 0x0, 0x3, 0x0, 0x6, PseudoVLUXSEG7EI8_V_MF4_M1 }, // 1034
  { 0x7, 0x0, 0x0, 0x3, 0x0, 0x7, PseudoVLUXSEG7EI8_V_MF2_M1 }, // 1035
  { 0x7, 0x0, 0x0, 0x3, 0x5, 0x5, PseudoVLUXSEG7EI8_V_MF8_MF8 }, // 1036
  { 0x7, 0x0, 0x0, 0x3, 0x6, 0x5, PseudoVLUXSEG7EI8_V_MF8_MF4 }, // 1037
  { 0x7, 0x0, 0x0, 0x3, 0x6, 0x6, PseudoVLUXSEG7EI8_V_MF4_MF4 }, // 1038
  { 0x7, 0x0, 0x0, 0x3, 0x7, 0x5, PseudoVLUXSEG7EI8_V_MF8_MF2 }, // 1039
  { 0x7, 0x0, 0x0, 0x3, 0x7, 0x6, PseudoVLUXSEG7EI8_V_MF4_MF2 }, // 1040
  { 0x7, 0x0, 0x0, 0x3, 0x7, 0x7, PseudoVLUXSEG7EI8_V_MF2_MF2 }, // 1041
  { 0x7, 0x0, 0x0, 0x4, 0x0, 0x0, PseudoVLUXSEG7EI16_V_M1_M1 }, // 1042
  { 0x7, 0x0, 0x0, 0x4, 0x0, 0x1, PseudoVLUXSEG7EI16_V_M2_M1 }, // 1043
  { 0x7, 0x0, 0x0, 0x4, 0x0, 0x6, PseudoVLUXSEG7EI16_V_MF4_M1 }, // 1044
  { 0x7, 0x0, 0x0, 0x4, 0x0, 0x7, PseudoVLUXSEG7EI16_V_MF2_M1 }, // 1045
  { 0x7, 0x0, 0x0, 0x4, 0x5, 0x6, PseudoVLUXSEG7EI16_V_MF4_MF8 }, // 1046
  { 0x7, 0x0, 0x0, 0x4, 0x6, 0x6, PseudoVLUXSEG7EI16_V_MF4_MF4 }, // 1047
  { 0x7, 0x0, 0x0, 0x4, 0x6, 0x7, PseudoVLUXSEG7EI16_V_MF2_MF4 }, // 1048
  { 0x7, 0x0, 0x0, 0x4, 0x7, 0x0, PseudoVLUXSEG7EI16_V_M1_MF2 }, // 1049
  { 0x7, 0x0, 0x0, 0x4, 0x7, 0x6, PseudoVLUXSEG7EI16_V_MF4_MF2 }, // 1050
  { 0x7, 0x0, 0x0, 0x4, 0x7, 0x7, PseudoVLUXSEG7EI16_V_MF2_MF2 }, // 1051
  { 0x7, 0x0, 0x0, 0x5, 0x0, 0x0, PseudoVLUXSEG7EI32_V_M1_M1 }, // 1052
  { 0x7, 0x0, 0x0, 0x5, 0x0, 0x1, PseudoVLUXSEG7EI32_V_M2_M1 }, // 1053
  { 0x7, 0x0, 0x0, 0x5, 0x0, 0x2, PseudoVLUXSEG7EI32_V_M4_M1 }, // 1054
  { 0x7, 0x0, 0x0, 0x5, 0x0, 0x7, PseudoVLUXSEG7EI32_V_MF2_M1 }, // 1055
  { 0x7, 0x0, 0x0, 0x5, 0x5, 0x7, PseudoVLUXSEG7EI32_V_MF2_MF8 }, // 1056
  { 0x7, 0x0, 0x0, 0x5, 0x6, 0x0, PseudoVLUXSEG7EI32_V_M1_MF4 }, // 1057
  { 0x7, 0x0, 0x0, 0x5, 0x6, 0x7, PseudoVLUXSEG7EI32_V_MF2_MF4 }, // 1058
  { 0x7, 0x0, 0x0, 0x5, 0x7, 0x0, PseudoVLUXSEG7EI32_V_M1_MF2 }, // 1059
  { 0x7, 0x0, 0x0, 0x5, 0x7, 0x1, PseudoVLUXSEG7EI32_V_M2_MF2 }, // 1060
  { 0x7, 0x0, 0x0, 0x5, 0x7, 0x7, PseudoVLUXSEG7EI32_V_MF2_MF2 }, // 1061
  { 0x7, 0x0, 0x0, 0x6, 0x0, 0x0, PseudoVLUXSEG7EI64_V_M1_M1 }, // 1062
  { 0x7, 0x0, 0x0, 0x6, 0x0, 0x1, PseudoVLUXSEG7EI64_V_M2_M1 }, // 1063
  { 0x7, 0x0, 0x0, 0x6, 0x0, 0x2, PseudoVLUXSEG7EI64_V_M4_M1 }, // 1064
  { 0x7, 0x0, 0x0, 0x6, 0x0, 0x3, PseudoVLUXSEG7EI64_V_M8_M1 }, // 1065
  { 0x7, 0x0, 0x0, 0x6, 0x5, 0x0, PseudoVLUXSEG7EI64_V_M1_MF8 }, // 1066
  { 0x7, 0x0, 0x0, 0x6, 0x6, 0x0, PseudoVLUXSEG7EI64_V_M1_MF4 }, // 1067
  { 0x7, 0x0, 0x0, 0x6, 0x6, 0x1, PseudoVLUXSEG7EI64_V_M2_MF4 }, // 1068
  { 0x7, 0x0, 0x0, 0x6, 0x7, 0x0, PseudoVLUXSEG7EI64_V_M1_MF2 }, // 1069
  { 0x7, 0x0, 0x0, 0x6, 0x7, 0x1, PseudoVLUXSEG7EI64_V_M2_MF2 }, // 1070
  { 0x7, 0x0, 0x0, 0x6, 0x7, 0x2, PseudoVLUXSEG7EI64_V_M4_MF2 }, // 1071
  { 0x7, 0x0, 0x1, 0x3, 0x0, 0x0, PseudoVLOXSEG7EI8_V_M1_M1 }, // 1072
  { 0x7, 0x0, 0x1, 0x3, 0x0, 0x5, PseudoVLOXSEG7EI8_V_MF8_M1 }, // 1073
  { 0x7, 0x0, 0x1, 0x3, 0x0, 0x6, PseudoVLOXSEG7EI8_V_MF4_M1 }, // 1074
  { 0x7, 0x0, 0x1, 0x3, 0x0, 0x7, PseudoVLOXSEG7EI8_V_MF2_M1 }, // 1075
  { 0x7, 0x0, 0x1, 0x3, 0x5, 0x5, PseudoVLOXSEG7EI8_V_MF8_MF8 }, // 1076
  { 0x7, 0x0, 0x1, 0x3, 0x6, 0x5, PseudoVLOXSEG7EI8_V_MF8_MF4 }, // 1077
  { 0x7, 0x0, 0x1, 0x3, 0x6, 0x6, PseudoVLOXSEG7EI8_V_MF4_MF4 }, // 1078
  { 0x7, 0x0, 0x1, 0x3, 0x7, 0x5, PseudoVLOXSEG7EI8_V_MF8_MF2 }, // 1079
  { 0x7, 0x0, 0x1, 0x3, 0x7, 0x6, PseudoVLOXSEG7EI8_V_MF4_MF2 }, // 1080
  { 0x7, 0x0, 0x1, 0x3, 0x7, 0x7, PseudoVLOXSEG7EI8_V_MF2_MF2 }, // 1081
  { 0x7, 0x0, 0x1, 0x4, 0x0, 0x0, PseudoVLOXSEG7EI16_V_M1_M1 }, // 1082
  { 0x7, 0x0, 0x1, 0x4, 0x0, 0x1, PseudoVLOXSEG7EI16_V_M2_M1 }, // 1083
  { 0x7, 0x0, 0x1, 0x4, 0x0, 0x6, PseudoVLOXSEG7EI16_V_MF4_M1 }, // 1084
  { 0x7, 0x0, 0x1, 0x4, 0x0, 0x7, PseudoVLOXSEG7EI16_V_MF2_M1 }, // 1085
  { 0x7, 0x0, 0x1, 0x4, 0x5, 0x6, PseudoVLOXSEG7EI16_V_MF4_MF8 }, // 1086
  { 0x7, 0x0, 0x1, 0x4, 0x6, 0x6, PseudoVLOXSEG7EI16_V_MF4_MF4 }, // 1087
  { 0x7, 0x0, 0x1, 0x4, 0x6, 0x7, PseudoVLOXSEG7EI16_V_MF2_MF4 }, // 1088
  { 0x7, 0x0, 0x1, 0x4, 0x7, 0x0, PseudoVLOXSEG7EI16_V_M1_MF2 }, // 1089
  { 0x7, 0x0, 0x1, 0x4, 0x7, 0x6, PseudoVLOXSEG7EI16_V_MF4_MF2 }, // 1090
  { 0x7, 0x0, 0x1, 0x4, 0x7, 0x7, PseudoVLOXSEG7EI16_V_MF2_MF2 }, // 1091
  { 0x7, 0x0, 0x1, 0x5, 0x0, 0x0, PseudoVLOXSEG7EI32_V_M1_M1 }, // 1092
  { 0x7, 0x0, 0x1, 0x5, 0x0, 0x1, PseudoVLOXSEG7EI32_V_M2_M1 }, // 1093
  { 0x7, 0x0, 0x1, 0x5, 0x0, 0x2, PseudoVLOXSEG7EI32_V_M4_M1 }, // 1094
  { 0x7, 0x0, 0x1, 0x5, 0x0, 0x7, PseudoVLOXSEG7EI32_V_MF2_M1 }, // 1095
  { 0x7, 0x0, 0x1, 0x5, 0x5, 0x7, PseudoVLOXSEG7EI32_V_MF2_MF8 }, // 1096
  { 0x7, 0x0, 0x1, 0x5, 0x6, 0x0, PseudoVLOXSEG7EI32_V_M1_MF4 }, // 1097
  { 0x7, 0x0, 0x1, 0x5, 0x6, 0x7, PseudoVLOXSEG7EI32_V_MF2_MF4 }, // 1098
  { 0x7, 0x0, 0x1, 0x5, 0x7, 0x0, PseudoVLOXSEG7EI32_V_M1_MF2 }, // 1099
  { 0x7, 0x0, 0x1, 0x5, 0x7, 0x1, PseudoVLOXSEG7EI32_V_M2_MF2 }, // 1100
  { 0x7, 0x0, 0x1, 0x5, 0x7, 0x7, PseudoVLOXSEG7EI32_V_MF2_MF2 }, // 1101
  { 0x7, 0x0, 0x1, 0x6, 0x0, 0x0, PseudoVLOXSEG7EI64_V_M1_M1 }, // 1102
  { 0x7, 0x0, 0x1, 0x6, 0x0, 0x1, PseudoVLOXSEG7EI64_V_M2_M1 }, // 1103
  { 0x7, 0x0, 0x1, 0x6, 0x0, 0x2, PseudoVLOXSEG7EI64_V_M4_M1 }, // 1104
  { 0x7, 0x0, 0x1, 0x6, 0x0, 0x3, PseudoVLOXSEG7EI64_V_M8_M1 }, // 1105
  { 0x7, 0x0, 0x1, 0x6, 0x5, 0x0, PseudoVLOXSEG7EI64_V_M1_MF8 }, // 1106
  { 0x7, 0x0, 0x1, 0x6, 0x6, 0x0, PseudoVLOXSEG7EI64_V_M1_MF4 }, // 1107
  { 0x7, 0x0, 0x1, 0x6, 0x6, 0x1, PseudoVLOXSEG7EI64_V_M2_MF4 }, // 1108
  { 0x7, 0x0, 0x1, 0x6, 0x7, 0x0, PseudoVLOXSEG7EI64_V_M1_MF2 }, // 1109
  { 0x7, 0x0, 0x1, 0x6, 0x7, 0x1, PseudoVLOXSEG7EI64_V_M2_MF2 }, // 1110
  { 0x7, 0x0, 0x1, 0x6, 0x7, 0x2, PseudoVLOXSEG7EI64_V_M4_MF2 }, // 1111
  { 0x7, 0x1, 0x0, 0x3, 0x0, 0x0, PseudoVLUXSEG7EI8_V_M1_M1_MASK }, // 1112
  { 0x7, 0x1, 0x0, 0x3, 0x0, 0x5, PseudoVLUXSEG7EI8_V_MF8_M1_MASK }, // 1113
  { 0x7, 0x1, 0x0, 0x3, 0x0, 0x6, PseudoVLUXSEG7EI8_V_MF4_M1_MASK }, // 1114
  { 0x7, 0x1, 0x0, 0x3, 0x0, 0x7, PseudoVLUXSEG7EI8_V_MF2_M1_MASK }, // 1115
  { 0x7, 0x1, 0x0, 0x3, 0x5, 0x5, PseudoVLUXSEG7EI8_V_MF8_MF8_MASK }, // 1116
  { 0x7, 0x1, 0x0, 0x3, 0x6, 0x5, PseudoVLUXSEG7EI8_V_MF8_MF4_MASK }, // 1117
  { 0x7, 0x1, 0x0, 0x3, 0x6, 0x6, PseudoVLUXSEG7EI8_V_MF4_MF4_MASK }, // 1118
  { 0x7, 0x1, 0x0, 0x3, 0x7, 0x5, PseudoVLUXSEG7EI8_V_MF8_MF2_MASK }, // 1119
  { 0x7, 0x1, 0x0, 0x3, 0x7, 0x6, PseudoVLUXSEG7EI8_V_MF4_MF2_MASK }, // 1120
  { 0x7, 0x1, 0x0, 0x3, 0x7, 0x7, PseudoVLUXSEG7EI8_V_MF2_MF2_MASK }, // 1121
  { 0x7, 0x1, 0x0, 0x4, 0x0, 0x0, PseudoVLUXSEG7EI16_V_M1_M1_MASK }, // 1122
  { 0x7, 0x1, 0x0, 0x4, 0x0, 0x1, PseudoVLUXSEG7EI16_V_M2_M1_MASK }, // 1123
  { 0x7, 0x1, 0x0, 0x4, 0x0, 0x6, PseudoVLUXSEG7EI16_V_MF4_M1_MASK }, // 1124
  { 0x7, 0x1, 0x0, 0x4, 0x0, 0x7, PseudoVLUXSEG7EI16_V_MF2_M1_MASK }, // 1125
  { 0x7, 0x1, 0x0, 0x4, 0x5, 0x6, PseudoVLUXSEG7EI16_V_MF4_MF8_MASK }, // 1126
  { 0x7, 0x1, 0x0, 0x4, 0x6, 0x6, PseudoVLUXSEG7EI16_V_MF4_MF4_MASK }, // 1127
  { 0x7, 0x1, 0x0, 0x4, 0x6, 0x7, PseudoVLUXSEG7EI16_V_MF2_MF4_MASK }, // 1128
  { 0x7, 0x1, 0x0, 0x4, 0x7, 0x0, PseudoVLUXSEG7EI16_V_M1_MF2_MASK }, // 1129
  { 0x7, 0x1, 0x0, 0x4, 0x7, 0x6, PseudoVLUXSEG7EI16_V_MF4_MF2_MASK }, // 1130
  { 0x7, 0x1, 0x0, 0x4, 0x7, 0x7, PseudoVLUXSEG7EI16_V_MF2_MF2_MASK }, // 1131
  { 0x7, 0x1, 0x0, 0x5, 0x0, 0x0, PseudoVLUXSEG7EI32_V_M1_M1_MASK }, // 1132
  { 0x7, 0x1, 0x0, 0x5, 0x0, 0x1, PseudoVLUXSEG7EI32_V_M2_M1_MASK }, // 1133
  { 0x7, 0x1, 0x0, 0x5, 0x0, 0x2, PseudoVLUXSEG7EI32_V_M4_M1_MASK }, // 1134
  { 0x7, 0x1, 0x0, 0x5, 0x0, 0x7, PseudoVLUXSEG7EI32_V_MF2_M1_MASK }, // 1135
  { 0x7, 0x1, 0x0, 0x5, 0x5, 0x7, PseudoVLUXSEG7EI32_V_MF2_MF8_MASK }, // 1136
  { 0x7, 0x1, 0x0, 0x5, 0x6, 0x0, PseudoVLUXSEG7EI32_V_M1_MF4_MASK }, // 1137
  { 0x7, 0x1, 0x0, 0x5, 0x6, 0x7, PseudoVLUXSEG7EI32_V_MF2_MF4_MASK }, // 1138
  { 0x7, 0x1, 0x0, 0x5, 0x7, 0x0, PseudoVLUXSEG7EI32_V_M1_MF2_MASK }, // 1139
  { 0x7, 0x1, 0x0, 0x5, 0x7, 0x1, PseudoVLUXSEG7EI32_V_M2_MF2_MASK }, // 1140
  { 0x7, 0x1, 0x0, 0x5, 0x7, 0x7, PseudoVLUXSEG7EI32_V_MF2_MF2_MASK }, // 1141
  { 0x7, 0x1, 0x0, 0x6, 0x0, 0x0, PseudoVLUXSEG7EI64_V_M1_M1_MASK }, // 1142
  { 0x7, 0x1, 0x0, 0x6, 0x0, 0x1, PseudoVLUXSEG7EI64_V_M2_M1_MASK }, // 1143
  { 0x7, 0x1, 0x0, 0x6, 0x0, 0x2, PseudoVLUXSEG7EI64_V_M4_M1_MASK }, // 1144
  { 0x7, 0x1, 0x0, 0x6, 0x0, 0x3, PseudoVLUXSEG7EI64_V_M8_M1_MASK }, // 1145
  { 0x7, 0x1, 0x0, 0x6, 0x5, 0x0, PseudoVLUXSEG7EI64_V_M1_MF8_MASK }, // 1146
  { 0x7, 0x1, 0x0, 0x6, 0x6, 0x0, PseudoVLUXSEG7EI64_V_M1_MF4_MASK }, // 1147
  { 0x7, 0x1, 0x0, 0x6, 0x6, 0x1, PseudoVLUXSEG7EI64_V_M2_MF4_MASK }, // 1148
  { 0x7, 0x1, 0x0, 0x6, 0x7, 0x0, PseudoVLUXSEG7EI64_V_M1_MF2_MASK }, // 1149
  { 0x7, 0x1, 0x0, 0x6, 0x7, 0x1, PseudoVLUXSEG7EI64_V_M2_MF2_MASK }, // 1150
  { 0x7, 0x1, 0x0, 0x6, 0x7, 0x2, PseudoVLUXSEG7EI64_V_M4_MF2_MASK }, // 1151
  { 0x7, 0x1, 0x1, 0x3, 0x0, 0x0, PseudoVLOXSEG7EI8_V_M1_M1_MASK }, // 1152
  { 0x7, 0x1, 0x1, 0x3, 0x0, 0x5, PseudoVLOXSEG7EI8_V_MF8_M1_MASK }, // 1153
  { 0x7, 0x1, 0x1, 0x3, 0x0, 0x6, PseudoVLOXSEG7EI8_V_MF4_M1_MASK }, // 1154
  { 0x7, 0x1, 0x1, 0x3, 0x0, 0x7, PseudoVLOXSEG7EI8_V_MF2_M1_MASK }, // 1155
  { 0x7, 0x1, 0x1, 0x3, 0x5, 0x5, PseudoVLOXSEG7EI8_V_MF8_MF8_MASK }, // 1156
  { 0x7, 0x1, 0x1, 0x3, 0x6, 0x5, PseudoVLOXSEG7EI8_V_MF8_MF4_MASK }, // 1157
  { 0x7, 0x1, 0x1, 0x3, 0x6, 0x6, PseudoVLOXSEG7EI8_V_MF4_MF4_MASK }, // 1158
  { 0x7, 0x1, 0x1, 0x3, 0x7, 0x5, PseudoVLOXSEG7EI8_V_MF8_MF2_MASK }, // 1159
  { 0x7, 0x1, 0x1, 0x3, 0x7, 0x6, PseudoVLOXSEG7EI8_V_MF4_MF2_MASK }, // 1160
  { 0x7, 0x1, 0x1, 0x3, 0x7, 0x7, PseudoVLOXSEG7EI8_V_MF2_MF2_MASK }, // 1161
  { 0x7, 0x1, 0x1, 0x4, 0x0, 0x0, PseudoVLOXSEG7EI16_V_M1_M1_MASK }, // 1162
  { 0x7, 0x1, 0x1, 0x4, 0x0, 0x1, PseudoVLOXSEG7EI16_V_M2_M1_MASK }, // 1163
  { 0x7, 0x1, 0x1, 0x4, 0x0, 0x6, PseudoVLOXSEG7EI16_V_MF4_M1_MASK }, // 1164
  { 0x7, 0x1, 0x1, 0x4, 0x0, 0x7, PseudoVLOXSEG7EI16_V_MF2_M1_MASK }, // 1165
  { 0x7, 0x1, 0x1, 0x4, 0x5, 0x6, PseudoVLOXSEG7EI16_V_MF4_MF8_MASK }, // 1166
  { 0x7, 0x1, 0x1, 0x4, 0x6, 0x6, PseudoVLOXSEG7EI16_V_MF4_MF4_MASK }, // 1167
  { 0x7, 0x1, 0x1, 0x4, 0x6, 0x7, PseudoVLOXSEG7EI16_V_MF2_MF4_MASK }, // 1168
  { 0x7, 0x1, 0x1, 0x4, 0x7, 0x0, PseudoVLOXSEG7EI16_V_M1_MF2_MASK }, // 1169
  { 0x7, 0x1, 0x1, 0x4, 0x7, 0x6, PseudoVLOXSEG7EI16_V_MF4_MF2_MASK }, // 1170
  { 0x7, 0x1, 0x1, 0x4, 0x7, 0x7, PseudoVLOXSEG7EI16_V_MF2_MF2_MASK }, // 1171
  { 0x7, 0x1, 0x1, 0x5, 0x0, 0x0, PseudoVLOXSEG7EI32_V_M1_M1_MASK }, // 1172
  { 0x7, 0x1, 0x1, 0x5, 0x0, 0x1, PseudoVLOXSEG7EI32_V_M2_M1_MASK }, // 1173
  { 0x7, 0x1, 0x1, 0x5, 0x0, 0x2, PseudoVLOXSEG7EI32_V_M4_M1_MASK }, // 1174
  { 0x7, 0x1, 0x1, 0x5, 0x0, 0x7, PseudoVLOXSEG7EI32_V_MF2_M1_MASK }, // 1175
  { 0x7, 0x1, 0x1, 0x5, 0x5, 0x7, PseudoVLOXSEG7EI32_V_MF2_MF8_MASK }, // 1176
  { 0x7, 0x1, 0x1, 0x5, 0x6, 0x0, PseudoVLOXSEG7EI32_V_M1_MF4_MASK }, // 1177
  { 0x7, 0x1, 0x1, 0x5, 0x6, 0x7, PseudoVLOXSEG7EI32_V_MF2_MF4_MASK }, // 1178
  { 0x7, 0x1, 0x1, 0x5, 0x7, 0x0, PseudoVLOXSEG7EI32_V_M1_MF2_MASK }, // 1179
  { 0x7, 0x1, 0x1, 0x5, 0x7, 0x1, PseudoVLOXSEG7EI32_V_M2_MF2_MASK }, // 1180
  { 0x7, 0x1, 0x1, 0x5, 0x7, 0x7, PseudoVLOXSEG7EI32_V_MF2_MF2_MASK }, // 1181
  { 0x7, 0x1, 0x1, 0x6, 0x0, 0x0, PseudoVLOXSEG7EI64_V_M1_M1_MASK }, // 1182
  { 0x7, 0x1, 0x1, 0x6, 0x0, 0x1, PseudoVLOXSEG7EI64_V_M2_M1_MASK }, // 1183
  { 0x7, 0x1, 0x1, 0x6, 0x0, 0x2, PseudoVLOXSEG7EI64_V_M4_M1_MASK }, // 1184
  { 0x7, 0x1, 0x1, 0x6, 0x0, 0x3, PseudoVLOXSEG7EI64_V_M8_M1_MASK }, // 1185
  { 0x7, 0x1, 0x1, 0x6, 0x5, 0x0, PseudoVLOXSEG7EI64_V_M1_MF8_MASK }, // 1186
  { 0x7, 0x1, 0x1, 0x6, 0x6, 0x0, PseudoVLOXSEG7EI64_V_M1_MF4_MASK }, // 1187
  { 0x7, 0x1, 0x1, 0x6, 0x6, 0x1, PseudoVLOXSEG7EI64_V_M2_MF4_MASK }, // 1188
  { 0x7, 0x1, 0x1, 0x6, 0x7, 0x0, PseudoVLOXSEG7EI64_V_M1_MF2_MASK }, // 1189
  { 0x7, 0x1, 0x1, 0x6, 0x7, 0x1, PseudoVLOXSEG7EI64_V_M2_MF2_MASK }, // 1190
  { 0x7, 0x1, 0x1, 0x6, 0x7, 0x2, PseudoVLOXSEG7EI64_V_M4_MF2_MASK }, // 1191
  { 0x8, 0x0, 0x0, 0x3, 0x0, 0x0, PseudoVLUXSEG8EI8_V_M1_M1 }, // 1192
  { 0x8, 0x0, 0x0, 0x3, 0x0, 0x5, PseudoVLUXSEG8EI8_V_MF8_M1 }, // 1193
  { 0x8, 0x0, 0x0, 0x3, 0x0, 0x6, PseudoVLUXSEG8EI8_V_MF4_M1 }, // 1194
  { 0x8, 0x0, 0x0, 0x3, 0x0, 0x7, PseudoVLUXSEG8EI8_V_MF2_M1 }, // 1195
  { 0x8, 0x0, 0x0, 0x3, 0x5, 0x5, PseudoVLUXSEG8EI8_V_MF8_MF8 }, // 1196
  { 0x8, 0x0, 0x0, 0x3, 0x6, 0x5, PseudoVLUXSEG8EI8_V_MF8_MF4 }, // 1197
  { 0x8, 0x0, 0x0, 0x3, 0x6, 0x6, PseudoVLUXSEG8EI8_V_MF4_MF4 }, // 1198
  { 0x8, 0x0, 0x0, 0x3, 0x7, 0x5, PseudoVLUXSEG8EI8_V_MF8_MF2 }, // 1199
  { 0x8, 0x0, 0x0, 0x3, 0x7, 0x6, PseudoVLUXSEG8EI8_V_MF4_MF2 }, // 1200
  { 0x8, 0x0, 0x0, 0x3, 0x7, 0x7, PseudoVLUXSEG8EI8_V_MF2_MF2 }, // 1201
  { 0x8, 0x0, 0x0, 0x4, 0x0, 0x0, PseudoVLUXSEG8EI16_V_M1_M1 }, // 1202
  { 0x8, 0x0, 0x0, 0x4, 0x0, 0x1, PseudoVLUXSEG8EI16_V_M2_M1 }, // 1203
  { 0x8, 0x0, 0x0, 0x4, 0x0, 0x6, PseudoVLUXSEG8EI16_V_MF4_M1 }, // 1204
  { 0x8, 0x0, 0x0, 0x4, 0x0, 0x7, PseudoVLUXSEG8EI16_V_MF2_M1 }, // 1205
  { 0x8, 0x0, 0x0, 0x4, 0x5, 0x6, PseudoVLUXSEG8EI16_V_MF4_MF8 }, // 1206
  { 0x8, 0x0, 0x0, 0x4, 0x6, 0x6, PseudoVLUXSEG8EI16_V_MF4_MF4 }, // 1207
  { 0x8, 0x0, 0x0, 0x4, 0x6, 0x7, PseudoVLUXSEG8EI16_V_MF2_MF4 }, // 1208
  { 0x8, 0x0, 0x0, 0x4, 0x7, 0x0, PseudoVLUXSEG8EI16_V_M1_MF2 }, // 1209
  { 0x8, 0x0, 0x0, 0x4, 0x7, 0x6, PseudoVLUXSEG8EI16_V_MF4_MF2 }, // 1210
  { 0x8, 0x0, 0x0, 0x4, 0x7, 0x7, PseudoVLUXSEG8EI16_V_MF2_MF2 }, // 1211
  { 0x8, 0x0, 0x0, 0x5, 0x0, 0x0, PseudoVLUXSEG8EI32_V_M1_M1 }, // 1212
  { 0x8, 0x0, 0x0, 0x5, 0x0, 0x1, PseudoVLUXSEG8EI32_V_M2_M1 }, // 1213
  { 0x8, 0x0, 0x0, 0x5, 0x0, 0x2, PseudoVLUXSEG8EI32_V_M4_M1 }, // 1214
  { 0x8, 0x0, 0x0, 0x5, 0x0, 0x7, PseudoVLUXSEG8EI32_V_MF2_M1 }, // 1215
  { 0x8, 0x0, 0x0, 0x5, 0x5, 0x7, PseudoVLUXSEG8EI32_V_MF2_MF8 }, // 1216
  { 0x8, 0x0, 0x0, 0x5, 0x6, 0x0, PseudoVLUXSEG8EI32_V_M1_MF4 }, // 1217
  { 0x8, 0x0, 0x0, 0x5, 0x6, 0x7, PseudoVLUXSEG8EI32_V_MF2_MF4 }, // 1218
  { 0x8, 0x0, 0x0, 0x5, 0x7, 0x0, PseudoVLUXSEG8EI32_V_M1_MF2 }, // 1219
  { 0x8, 0x0, 0x0, 0x5, 0x7, 0x1, PseudoVLUXSEG8EI32_V_M2_MF2 }, // 1220
  { 0x8, 0x0, 0x0, 0x5, 0x7, 0x7, PseudoVLUXSEG8EI32_V_MF2_MF2 }, // 1221
  { 0x8, 0x0, 0x0, 0x6, 0x0, 0x0, PseudoVLUXSEG8EI64_V_M1_M1 }, // 1222
  { 0x8, 0x0, 0x0, 0x6, 0x0, 0x1, PseudoVLUXSEG8EI64_V_M2_M1 }, // 1223
  { 0x8, 0x0, 0x0, 0x6, 0x0, 0x2, PseudoVLUXSEG8EI64_V_M4_M1 }, // 1224
  { 0x8, 0x0, 0x0, 0x6, 0x0, 0x3, PseudoVLUXSEG8EI64_V_M8_M1 }, // 1225
  { 0x8, 0x0, 0x0, 0x6, 0x5, 0x0, PseudoVLUXSEG8EI64_V_M1_MF8 }, // 1226
  { 0x8, 0x0, 0x0, 0x6, 0x6, 0x0, PseudoVLUXSEG8EI64_V_M1_MF4 }, // 1227
  { 0x8, 0x0, 0x0, 0x6, 0x6, 0x1, PseudoVLUXSEG8EI64_V_M2_MF4 }, // 1228
  { 0x8, 0x0, 0x0, 0x6, 0x7, 0x0, PseudoVLUXSEG8EI64_V_M1_MF2 }, // 1229
  { 0x8, 0x0, 0x0, 0x6, 0x7, 0x1, PseudoVLUXSEG8EI64_V_M2_MF2 }, // 1230
  { 0x8, 0x0, 0x0, 0x6, 0x7, 0x2, PseudoVLUXSEG8EI64_V_M4_MF2 }, // 1231
  { 0x8, 0x0, 0x1, 0x3, 0x0, 0x0, PseudoVLOXSEG8EI8_V_M1_M1 }, // 1232
  { 0x8, 0x0, 0x1, 0x3, 0x0, 0x5, PseudoVLOXSEG8EI8_V_MF8_M1 }, // 1233
  { 0x8, 0x0, 0x1, 0x3, 0x0, 0x6, PseudoVLOXSEG8EI8_V_MF4_M1 }, // 1234
  { 0x8, 0x0, 0x1, 0x3, 0x0, 0x7, PseudoVLOXSEG8EI8_V_MF2_M1 }, // 1235
  { 0x8, 0x0, 0x1, 0x3, 0x5, 0x5, PseudoVLOXSEG8EI8_V_MF8_MF8 }, // 1236
  { 0x8, 0x0, 0x1, 0x3, 0x6, 0x5, PseudoVLOXSEG8EI8_V_MF8_MF4 }, // 1237
  { 0x8, 0x0, 0x1, 0x3, 0x6, 0x6, PseudoVLOXSEG8EI8_V_MF4_MF4 }, // 1238
  { 0x8, 0x0, 0x1, 0x3, 0x7, 0x5, PseudoVLOXSEG8EI8_V_MF8_MF2 }, // 1239
  { 0x8, 0x0, 0x1, 0x3, 0x7, 0x6, PseudoVLOXSEG8EI8_V_MF4_MF2 }, // 1240
  { 0x8, 0x0, 0x1, 0x3, 0x7, 0x7, PseudoVLOXSEG8EI8_V_MF2_MF2 }, // 1241
  { 0x8, 0x0, 0x1, 0x4, 0x0, 0x0, PseudoVLOXSEG8EI16_V_M1_M1 }, // 1242
  { 0x8, 0x0, 0x1, 0x4, 0x0, 0x1, PseudoVLOXSEG8EI16_V_M2_M1 }, // 1243
  { 0x8, 0x0, 0x1, 0x4, 0x0, 0x6, PseudoVLOXSEG8EI16_V_MF4_M1 }, // 1244
  { 0x8, 0x0, 0x1, 0x4, 0x0, 0x7, PseudoVLOXSEG8EI16_V_MF2_M1 }, // 1245
  { 0x8, 0x0, 0x1, 0x4, 0x5, 0x6, PseudoVLOXSEG8EI16_V_MF4_MF8 }, // 1246
  { 0x8, 0x0, 0x1, 0x4, 0x6, 0x6, PseudoVLOXSEG8EI16_V_MF4_MF4 }, // 1247
  { 0x8, 0x0, 0x1, 0x4, 0x6, 0x7, PseudoVLOXSEG8EI16_V_MF2_MF4 }, // 1248
  { 0x8, 0x0, 0x1, 0x4, 0x7, 0x0, PseudoVLOXSEG8EI16_V_M1_MF2 }, // 1249
  { 0x8, 0x0, 0x1, 0x4, 0x7, 0x6, PseudoVLOXSEG8EI16_V_MF4_MF2 }, // 1250
  { 0x8, 0x0, 0x1, 0x4, 0x7, 0x7, PseudoVLOXSEG8EI16_V_MF2_MF2 }, // 1251
  { 0x8, 0x0, 0x1, 0x5, 0x0, 0x0, PseudoVLOXSEG8EI32_V_M1_M1 }, // 1252
  { 0x8, 0x0, 0x1, 0x5, 0x0, 0x1, PseudoVLOXSEG8EI32_V_M2_M1 }, // 1253
  { 0x8, 0x0, 0x1, 0x5, 0x0, 0x2, PseudoVLOXSEG8EI32_V_M4_M1 }, // 1254
  { 0x8, 0x0, 0x1, 0x5, 0x0, 0x7, PseudoVLOXSEG8EI32_V_MF2_M1 }, // 1255
  { 0x8, 0x0, 0x1, 0x5, 0x5, 0x7, PseudoVLOXSEG8EI32_V_MF2_MF8 }, // 1256
  { 0x8, 0x0, 0x1, 0x5, 0x6, 0x0, PseudoVLOXSEG8EI32_V_M1_MF4 }, // 1257
  { 0x8, 0x0, 0x1, 0x5, 0x6, 0x7, PseudoVLOXSEG8EI32_V_MF2_MF4 }, // 1258
  { 0x8, 0x0, 0x1, 0x5, 0x7, 0x0, PseudoVLOXSEG8EI32_V_M1_MF2 }, // 1259
  { 0x8, 0x0, 0x1, 0x5, 0x7, 0x1, PseudoVLOXSEG8EI32_V_M2_MF2 }, // 1260
  { 0x8, 0x0, 0x1, 0x5, 0x7, 0x7, PseudoVLOXSEG8EI32_V_MF2_MF2 }, // 1261
  { 0x8, 0x0, 0x1, 0x6, 0x0, 0x0, PseudoVLOXSEG8EI64_V_M1_M1 }, // 1262
  { 0x8, 0x0, 0x1, 0x6, 0x0, 0x1, PseudoVLOXSEG8EI64_V_M2_M1 }, // 1263
  { 0x8, 0x0, 0x1, 0x6, 0x0, 0x2, PseudoVLOXSEG8EI64_V_M4_M1 }, // 1264
  { 0x8, 0x0, 0x1, 0x6, 0x0, 0x3, PseudoVLOXSEG8EI64_V_M8_M1 }, // 1265
  { 0x8, 0x0, 0x1, 0x6, 0x5, 0x0, PseudoVLOXSEG8EI64_V_M1_MF8 }, // 1266
  { 0x8, 0x0, 0x1, 0x6, 0x6, 0x0, PseudoVLOXSEG8EI64_V_M1_MF4 }, // 1267
  { 0x8, 0x0, 0x1, 0x6, 0x6, 0x1, PseudoVLOXSEG8EI64_V_M2_MF4 }, // 1268
  { 0x8, 0x0, 0x1, 0x6, 0x7, 0x0, PseudoVLOXSEG8EI64_V_M1_MF2 }, // 1269
  { 0x8, 0x0, 0x1, 0x6, 0x7, 0x1, PseudoVLOXSEG8EI64_V_M2_MF2 }, // 1270
  { 0x8, 0x0, 0x1, 0x6, 0x7, 0x2, PseudoVLOXSEG8EI64_V_M4_MF2 }, // 1271
  { 0x8, 0x1, 0x0, 0x3, 0x0, 0x0, PseudoVLUXSEG8EI8_V_M1_M1_MASK }, // 1272
  { 0x8, 0x1, 0x0, 0x3, 0x0, 0x5, PseudoVLUXSEG8EI8_V_MF8_M1_MASK }, // 1273
  { 0x8, 0x1, 0x0, 0x3, 0x0, 0x6, PseudoVLUXSEG8EI8_V_MF4_M1_MASK }, // 1274
  { 0x8, 0x1, 0x0, 0x3, 0x0, 0x7, PseudoVLUXSEG8EI8_V_MF2_M1_MASK }, // 1275
  { 0x8, 0x1, 0x0, 0x3, 0x5, 0x5, PseudoVLUXSEG8EI8_V_MF8_MF8_MASK }, // 1276
  { 0x8, 0x1, 0x0, 0x3, 0x6, 0x5, PseudoVLUXSEG8EI8_V_MF8_MF4_MASK }, // 1277
  { 0x8, 0x1, 0x0, 0x3, 0x6, 0x6, PseudoVLUXSEG8EI8_V_MF4_MF4_MASK }, // 1278
  { 0x8, 0x1, 0x0, 0x3, 0x7, 0x5, PseudoVLUXSEG8EI8_V_MF8_MF2_MASK }, // 1279
  { 0x8, 0x1, 0x0, 0x3, 0x7, 0x6, PseudoVLUXSEG8EI8_V_MF4_MF2_MASK }, // 1280
  { 0x8, 0x1, 0x0, 0x3, 0x7, 0x7, PseudoVLUXSEG8EI8_V_MF2_MF2_MASK }, // 1281
  { 0x8, 0x1, 0x0, 0x4, 0x0, 0x0, PseudoVLUXSEG8EI16_V_M1_M1_MASK }, // 1282
  { 0x8, 0x1, 0x0, 0x4, 0x0, 0x1, PseudoVLUXSEG8EI16_V_M2_M1_MASK }, // 1283
  { 0x8, 0x1, 0x0, 0x4, 0x0, 0x6, PseudoVLUXSEG8EI16_V_MF4_M1_MASK }, // 1284
  { 0x8, 0x1, 0x0, 0x4, 0x0, 0x7, PseudoVLUXSEG8EI16_V_MF2_M1_MASK }, // 1285
  { 0x8, 0x1, 0x0, 0x4, 0x5, 0x6, PseudoVLUXSEG8EI16_V_MF4_MF8_MASK }, // 1286
  { 0x8, 0x1, 0x0, 0x4, 0x6, 0x6, PseudoVLUXSEG8EI16_V_MF4_MF4_MASK }, // 1287
  { 0x8, 0x1, 0x0, 0x4, 0x6, 0x7, PseudoVLUXSEG8EI16_V_MF2_MF4_MASK }, // 1288
  { 0x8, 0x1, 0x0, 0x4, 0x7, 0x0, PseudoVLUXSEG8EI16_V_M1_MF2_MASK }, // 1289
  { 0x8, 0x1, 0x0, 0x4, 0x7, 0x6, PseudoVLUXSEG8EI16_V_MF4_MF2_MASK }, // 1290
  { 0x8, 0x1, 0x0, 0x4, 0x7, 0x7, PseudoVLUXSEG8EI16_V_MF2_MF2_MASK }, // 1291
  { 0x8, 0x1, 0x0, 0x5, 0x0, 0x0, PseudoVLUXSEG8EI32_V_M1_M1_MASK }, // 1292
  { 0x8, 0x1, 0x0, 0x5, 0x0, 0x1, PseudoVLUXSEG8EI32_V_M2_M1_MASK }, // 1293
  { 0x8, 0x1, 0x0, 0x5, 0x0, 0x2, PseudoVLUXSEG8EI32_V_M4_M1_MASK }, // 1294
  { 0x8, 0x1, 0x0, 0x5, 0x0, 0x7, PseudoVLUXSEG8EI32_V_MF2_M1_MASK }, // 1295
  { 0x8, 0x1, 0x0, 0x5, 0x5, 0x7, PseudoVLUXSEG8EI32_V_MF2_MF8_MASK }, // 1296
  { 0x8, 0x1, 0x0, 0x5, 0x6, 0x0, PseudoVLUXSEG8EI32_V_M1_MF4_MASK }, // 1297
  { 0x8, 0x1, 0x0, 0x5, 0x6, 0x7, PseudoVLUXSEG8EI32_V_MF2_MF4_MASK }, // 1298
  { 0x8, 0x1, 0x0, 0x5, 0x7, 0x0, PseudoVLUXSEG8EI32_V_M1_MF2_MASK }, // 1299
  { 0x8, 0x1, 0x0, 0x5, 0x7, 0x1, PseudoVLUXSEG8EI32_V_M2_MF2_MASK }, // 1300
  { 0x8, 0x1, 0x0, 0x5, 0x7, 0x7, PseudoVLUXSEG8EI32_V_MF2_MF2_MASK }, // 1301
  { 0x8, 0x1, 0x0, 0x6, 0x0, 0x0, PseudoVLUXSEG8EI64_V_M1_M1_MASK }, // 1302
  { 0x8, 0x1, 0x0, 0x6, 0x0, 0x1, PseudoVLUXSEG8EI64_V_M2_M1_MASK }, // 1303
  { 0x8, 0x1, 0x0, 0x6, 0x0, 0x2, PseudoVLUXSEG8EI64_V_M4_M1_MASK }, // 1304
  { 0x8, 0x1, 0x0, 0x6, 0x0, 0x3, PseudoVLUXSEG8EI64_V_M8_M1_MASK }, // 1305
  { 0x8, 0x1, 0x0, 0x6, 0x5, 0x0, PseudoVLUXSEG8EI64_V_M1_MF8_MASK }, // 1306
  { 0x8, 0x1, 0x0, 0x6, 0x6, 0x0, PseudoVLUXSEG8EI64_V_M1_MF4_MASK }, // 1307
  { 0x8, 0x1, 0x0, 0x6, 0x6, 0x1, PseudoVLUXSEG8EI64_V_M2_MF4_MASK }, // 1308
  { 0x8, 0x1, 0x0, 0x6, 0x7, 0x0, PseudoVLUXSEG8EI64_V_M1_MF2_MASK }, // 1309
  { 0x8, 0x1, 0x0, 0x6, 0x7, 0x1, PseudoVLUXSEG8EI64_V_M2_MF2_MASK }, // 1310
  { 0x8, 0x1, 0x0, 0x6, 0x7, 0x2, PseudoVLUXSEG8EI64_V_M4_MF2_MASK }, // 1311
  { 0x8, 0x1, 0x1, 0x3, 0x0, 0x0, PseudoVLOXSEG8EI8_V_M1_M1_MASK }, // 1312
  { 0x8, 0x1, 0x1, 0x3, 0x0, 0x5, PseudoVLOXSEG8EI8_V_MF8_M1_MASK }, // 1313
  { 0x8, 0x1, 0x1, 0x3, 0x0, 0x6, PseudoVLOXSEG8EI8_V_MF4_M1_MASK }, // 1314
  { 0x8, 0x1, 0x1, 0x3, 0x0, 0x7, PseudoVLOXSEG8EI8_V_MF2_M1_MASK }, // 1315
  { 0x8, 0x1, 0x1, 0x3, 0x5, 0x5, PseudoVLOXSEG8EI8_V_MF8_MF8_MASK }, // 1316
  { 0x8, 0x1, 0x1, 0x3, 0x6, 0x5, PseudoVLOXSEG8EI8_V_MF8_MF4_MASK }, // 1317
  { 0x8, 0x1, 0x1, 0x3, 0x6, 0x6, PseudoVLOXSEG8EI8_V_MF4_MF4_MASK }, // 1318
  { 0x8, 0x1, 0x1, 0x3, 0x7, 0x5, PseudoVLOXSEG8EI8_V_MF8_MF2_MASK }, // 1319
  { 0x8, 0x1, 0x1, 0x3, 0x7, 0x6, PseudoVLOXSEG8EI8_V_MF4_MF2_MASK }, // 1320
  { 0x8, 0x1, 0x1, 0x3, 0x7, 0x7, PseudoVLOXSEG8EI8_V_MF2_MF2_MASK }, // 1321
  { 0x8, 0x1, 0x1, 0x4, 0x0, 0x0, PseudoVLOXSEG8EI16_V_M1_M1_MASK }, // 1322
  { 0x8, 0x1, 0x1, 0x4, 0x0, 0x1, PseudoVLOXSEG8EI16_V_M2_M1_MASK }, // 1323
  { 0x8, 0x1, 0x1, 0x4, 0x0, 0x6, PseudoVLOXSEG8EI16_V_MF4_M1_MASK }, // 1324
  { 0x8, 0x1, 0x1, 0x4, 0x0, 0x7, PseudoVLOXSEG8EI16_V_MF2_M1_MASK }, // 1325
  { 0x8, 0x1, 0x1, 0x4, 0x5, 0x6, PseudoVLOXSEG8EI16_V_MF4_MF8_MASK }, // 1326
  { 0x8, 0x1, 0x1, 0x4, 0x6, 0x6, PseudoVLOXSEG8EI16_V_MF4_MF4_MASK }, // 1327
  { 0x8, 0x1, 0x1, 0x4, 0x6, 0x7, PseudoVLOXSEG8EI16_V_MF2_MF4_MASK }, // 1328
  { 0x8, 0x1, 0x1, 0x4, 0x7, 0x0, PseudoVLOXSEG8EI16_V_M1_MF2_MASK }, // 1329
  { 0x8, 0x1, 0x1, 0x4, 0x7, 0x6, PseudoVLOXSEG8EI16_V_MF4_MF2_MASK }, // 1330
  { 0x8, 0x1, 0x1, 0x4, 0x7, 0x7, PseudoVLOXSEG8EI16_V_MF2_MF2_MASK }, // 1331
  { 0x8, 0x1, 0x1, 0x5, 0x0, 0x0, PseudoVLOXSEG8EI32_V_M1_M1_MASK }, // 1332
  { 0x8, 0x1, 0x1, 0x5, 0x0, 0x1, PseudoVLOXSEG8EI32_V_M2_M1_MASK }, // 1333
  { 0x8, 0x1, 0x1, 0x5, 0x0, 0x2, PseudoVLOXSEG8EI32_V_M4_M1_MASK }, // 1334
  { 0x8, 0x1, 0x1, 0x5, 0x0, 0x7, PseudoVLOXSEG8EI32_V_MF2_M1_MASK }, // 1335
  { 0x8, 0x1, 0x1, 0x5, 0x5, 0x7, PseudoVLOXSEG8EI32_V_MF2_MF8_MASK }, // 1336
  { 0x8, 0x1, 0x1, 0x5, 0x6, 0x0, PseudoVLOXSEG8EI32_V_M1_MF4_MASK }, // 1337
  { 0x8, 0x1, 0x1, 0x5, 0x6, 0x7, PseudoVLOXSEG8EI32_V_MF2_MF4_MASK }, // 1338
  { 0x8, 0x1, 0x1, 0x5, 0x7, 0x0, PseudoVLOXSEG8EI32_V_M1_MF2_MASK }, // 1339
  { 0x8, 0x1, 0x1, 0x5, 0x7, 0x1, PseudoVLOXSEG8EI32_V_M2_MF2_MASK }, // 1340
  { 0x8, 0x1, 0x1, 0x5, 0x7, 0x7, PseudoVLOXSEG8EI32_V_MF2_MF2_MASK }, // 1341
  { 0x8, 0x1, 0x1, 0x6, 0x0, 0x0, PseudoVLOXSEG8EI64_V_M1_M1_MASK }, // 1342
  { 0x8, 0x1, 0x1, 0x6, 0x0, 0x1, PseudoVLOXSEG8EI64_V_M2_M1_MASK }, // 1343
  { 0x8, 0x1, 0x1, 0x6, 0x0, 0x2, PseudoVLOXSEG8EI64_V_M4_M1_MASK }, // 1344
  { 0x8, 0x1, 0x1, 0x6, 0x0, 0x3, PseudoVLOXSEG8EI64_V_M8_M1_MASK }, // 1345
  { 0x8, 0x1, 0x1, 0x6, 0x5, 0x0, PseudoVLOXSEG8EI64_V_M1_MF8_MASK }, // 1346
  { 0x8, 0x1, 0x1, 0x6, 0x6, 0x0, PseudoVLOXSEG8EI64_V_M1_MF4_MASK }, // 1347
  { 0x8, 0x1, 0x1, 0x6, 0x6, 0x1, PseudoVLOXSEG8EI64_V_M2_MF4_MASK }, // 1348
  { 0x8, 0x1, 0x1, 0x6, 0x7, 0x0, PseudoVLOXSEG8EI64_V_M1_MF2_MASK }, // 1349
  { 0x8, 0x1, 0x1, 0x6, 0x7, 0x1, PseudoVLOXSEG8EI64_V_M2_MF2_MASK }, // 1350
  { 0x8, 0x1, 0x1, 0x6, 0x7, 0x2, PseudoVLOXSEG8EI64_V_M4_MF2_MASK }, // 1351
 };

const VLXSEGPseudo *getVLXSEGPseudo(uint8_t NF, uint8_t Masked, uint8_t Ordered, uint8_t Log2SEW, uint8_t LMUL, uint8_t IndexLMUL) {
  struct KeyType {
    uint8_t NF;
    uint8_t Masked;
    uint8_t Ordered;
    uint8_t Log2SEW;
    uint8_t LMUL;
    uint8_t IndexLMUL;
  };
  KeyType Key = {NF, Masked, Ordered, Log2SEW, LMUL, IndexLMUL};
  auto Table = makeArrayRef(RISCVVLXSEGTable);
  auto Idx = std::lower_bound(Table.begin(), Table.end(), Key,
    [](const VLXSEGPseudo &LHS, const KeyType &RHS) {
      if (LHS.NF < RHS.NF)
        return true;
      if (LHS.NF > RHS.NF)
        return false;
      if (LHS.Masked < RHS.Masked)
        return true;
      if (LHS.Masked > RHS.Masked)
        return false;
      if (LHS.Ordered < RHS.Ordered)
        return true;
      if (LHS.Ordered > RHS.Ordered)
        return false;
      if (LHS.Log2SEW < RHS.Log2SEW)
        return true;
      if (LHS.Log2SEW > RHS.Log2SEW)
        return false;
      if (LHS.LMUL < RHS.LMUL)
        return true;
      if (LHS.LMUL > RHS.LMUL)
        return false;
      if (LHS.IndexLMUL < RHS.IndexLMUL)
        return true;
      if (LHS.IndexLMUL > RHS.IndexLMUL)
        return false;
      return false;
    });

  if (Idx == Table.end() ||
      Key.NF != Idx->NF ||
      Key.Masked != Idx->Masked ||
      Key.Ordered != Idx->Ordered ||
      Key.Log2SEW != Idx->Log2SEW ||
      Key.LMUL != Idx->LMUL ||
      Key.IndexLMUL != Idx->IndexLMUL)
    return nullptr;
  return &*Idx;
}
#endif

#ifdef GET_RISCVVLXTable_DECL
const VLX_VSXPseudo *getVLXPseudo(uint8_t Masked, uint8_t Ordered, uint8_t Log2SEW, uint8_t LMUL, uint8_t IndexLMUL);
#endif

#ifdef GET_RISCVVLXTable_IMPL
constexpr VLX_VSXPseudo RISCVVLXTable[] = {
  { 0x0, 0x0, 0x3, 0x0, 0x0, PseudoVLUXEI8_V_M1_M1 }, // 0
  { 0x0, 0x0, 0x3, 0x0, 0x5, PseudoVLUXEI8_V_MF8_M1 }, // 1
  { 0x0, 0x0, 0x3, 0x0, 0x6, PseudoVLUXEI8_V_MF4_M1 }, // 2
  { 0x0, 0x0, 0x3, 0x0, 0x7, PseudoVLUXEI8_V_MF2_M1 }, // 3
  { 0x0, 0x0, 0x3, 0x1, 0x0, PseudoVLUXEI8_V_M1_M2 }, // 4
  { 0x0, 0x0, 0x3, 0x1, 0x1, PseudoVLUXEI8_V_M2_M2 }, // 5
  { 0x0, 0x0, 0x3, 0x1, 0x6, PseudoVLUXEI8_V_MF4_M2 }, // 6
  { 0x0, 0x0, 0x3, 0x1, 0x7, PseudoVLUXEI8_V_MF2_M2 }, // 7
  { 0x0, 0x0, 0x3, 0x2, 0x0, PseudoVLUXEI8_V_M1_M4 }, // 8
  { 0x0, 0x0, 0x3, 0x2, 0x1, PseudoVLUXEI8_V_M2_M4 }, // 9
  { 0x0, 0x0, 0x3, 0x2, 0x2, PseudoVLUXEI8_V_M4_M4 }, // 10
  { 0x0, 0x0, 0x3, 0x2, 0x7, PseudoVLUXEI8_V_MF2_M4 }, // 11
  { 0x0, 0x0, 0x3, 0x3, 0x0, PseudoVLUXEI8_V_M1_M8 }, // 12
  { 0x0, 0x0, 0x3, 0x3, 0x1, PseudoVLUXEI8_V_M2_M8 }, // 13
  { 0x0, 0x0, 0x3, 0x3, 0x2, PseudoVLUXEI8_V_M4_M8 }, // 14
  { 0x0, 0x0, 0x3, 0x3, 0x3, PseudoVLUXEI8_V_M8_M8 }, // 15
  { 0x0, 0x0, 0x3, 0x5, 0x5, PseudoVLUXEI8_V_MF8_MF8 }, // 16
  { 0x0, 0x0, 0x3, 0x6, 0x5, PseudoVLUXEI8_V_MF8_MF4 }, // 17
  { 0x0, 0x0, 0x3, 0x6, 0x6, PseudoVLUXEI8_V_MF4_MF4 }, // 18
  { 0x0, 0x0, 0x3, 0x7, 0x5, PseudoVLUXEI8_V_MF8_MF2 }, // 19
  { 0x0, 0x0, 0x3, 0x7, 0x6, PseudoVLUXEI8_V_MF4_MF2 }, // 20
  { 0x0, 0x0, 0x3, 0x7, 0x7, PseudoVLUXEI8_V_MF2_MF2 }, // 21
  { 0x0, 0x0, 0x4, 0x0, 0x0, PseudoVLUXEI16_V_M1_M1 }, // 22
  { 0x0, 0x0, 0x4, 0x0, 0x1, PseudoVLUXEI16_V_M2_M1 }, // 23
  { 0x0, 0x0, 0x4, 0x0, 0x6, PseudoVLUXEI16_V_MF4_M1 }, // 24
  { 0x0, 0x0, 0x4, 0x0, 0x7, PseudoVLUXEI16_V_MF2_M1 }, // 25
  { 0x0, 0x0, 0x4, 0x1, 0x0, PseudoVLUXEI16_V_M1_M2 }, // 26
  { 0x0, 0x0, 0x4, 0x1, 0x1, PseudoVLUXEI16_V_M2_M2 }, // 27
  { 0x0, 0x0, 0x4, 0x1, 0x2, PseudoVLUXEI16_V_M4_M2 }, // 28
  { 0x0, 0x0, 0x4, 0x1, 0x7, PseudoVLUXEI16_V_MF2_M2 }, // 29
  { 0x0, 0x0, 0x4, 0x2, 0x0, PseudoVLUXEI16_V_M1_M4 }, // 30
  { 0x0, 0x0, 0x4, 0x2, 0x1, PseudoVLUXEI16_V_M2_M4 }, // 31
  { 0x0, 0x0, 0x4, 0x2, 0x2, PseudoVLUXEI16_V_M4_M4 }, // 32
  { 0x0, 0x0, 0x4, 0x2, 0x3, PseudoVLUXEI16_V_M8_M4 }, // 33
  { 0x0, 0x0, 0x4, 0x3, 0x1, PseudoVLUXEI16_V_M2_M8 }, // 34
  { 0x0, 0x0, 0x4, 0x3, 0x2, PseudoVLUXEI16_V_M4_M8 }, // 35
  { 0x0, 0x0, 0x4, 0x3, 0x3, PseudoVLUXEI16_V_M8_M8 }, // 36
  { 0x0, 0x0, 0x4, 0x5, 0x6, PseudoVLUXEI16_V_MF4_MF8 }, // 37
  { 0x0, 0x0, 0x4, 0x6, 0x6, PseudoVLUXEI16_V_MF4_MF4 }, // 38
  { 0x0, 0x0, 0x4, 0x6, 0x7, PseudoVLUXEI16_V_MF2_MF4 }, // 39
  { 0x0, 0x0, 0x4, 0x7, 0x0, PseudoVLUXEI16_V_M1_MF2 }, // 40
  { 0x0, 0x0, 0x4, 0x7, 0x6, PseudoVLUXEI16_V_MF4_MF2 }, // 41
  { 0x0, 0x0, 0x4, 0x7, 0x7, PseudoVLUXEI16_V_MF2_MF2 }, // 42
  { 0x0, 0x0, 0x5, 0x0, 0x0, PseudoVLUXEI32_V_M1_M1 }, // 43
  { 0x0, 0x0, 0x5, 0x0, 0x1, PseudoVLUXEI32_V_M2_M1 }, // 44
  { 0x0, 0x0, 0x5, 0x0, 0x2, PseudoVLUXEI32_V_M4_M1 }, // 45
  { 0x0, 0x0, 0x5, 0x0, 0x7, PseudoVLUXEI32_V_MF2_M1 }, // 46
  { 0x0, 0x0, 0x5, 0x1, 0x0, PseudoVLUXEI32_V_M1_M2 }, // 47
  { 0x0, 0x0, 0x5, 0x1, 0x1, PseudoVLUXEI32_V_M2_M2 }, // 48
  { 0x0, 0x0, 0x5, 0x1, 0x2, PseudoVLUXEI32_V_M4_M2 }, // 49
  { 0x0, 0x0, 0x5, 0x1, 0x3, PseudoVLUXEI32_V_M8_M2 }, // 50
  { 0x0, 0x0, 0x5, 0x2, 0x1, PseudoVLUXEI32_V_M2_M4 }, // 51
  { 0x0, 0x0, 0x5, 0x2, 0x2, PseudoVLUXEI32_V_M4_M4 }, // 52
  { 0x0, 0x0, 0x5, 0x2, 0x3, PseudoVLUXEI32_V_M8_M4 }, // 53
  { 0x0, 0x0, 0x5, 0x3, 0x2, PseudoVLUXEI32_V_M4_M8 }, // 54
  { 0x0, 0x0, 0x5, 0x3, 0x3, PseudoVLUXEI32_V_M8_M8 }, // 55
  { 0x0, 0x0, 0x5, 0x5, 0x7, PseudoVLUXEI32_V_MF2_MF8 }, // 56
  { 0x0, 0x0, 0x5, 0x6, 0x0, PseudoVLUXEI32_V_M1_MF4 }, // 57
  { 0x0, 0x0, 0x5, 0x6, 0x7, PseudoVLUXEI32_V_MF2_MF4 }, // 58
  { 0x0, 0x0, 0x5, 0x7, 0x0, PseudoVLUXEI32_V_M1_MF2 }, // 59
  { 0x0, 0x0, 0x5, 0x7, 0x1, PseudoVLUXEI32_V_M2_MF2 }, // 60
  { 0x0, 0x0, 0x5, 0x7, 0x7, PseudoVLUXEI32_V_MF2_MF2 }, // 61
  { 0x0, 0x0, 0x6, 0x0, 0x0, PseudoVLUXEI64_V_M1_M1 }, // 62
  { 0x0, 0x0, 0x6, 0x0, 0x1, PseudoVLUXEI64_V_M2_M1 }, // 63
  { 0x0, 0x0, 0x6, 0x0, 0x2, PseudoVLUXEI64_V_M4_M1 }, // 64
  { 0x0, 0x0, 0x6, 0x0, 0x3, PseudoVLUXEI64_V_M8_M1 }, // 65
  { 0x0, 0x0, 0x6, 0x1, 0x1, PseudoVLUXEI64_V_M2_M2 }, // 66
  { 0x0, 0x0, 0x6, 0x1, 0x2, PseudoVLUXEI64_V_M4_M2 }, // 67
  { 0x0, 0x0, 0x6, 0x1, 0x3, PseudoVLUXEI64_V_M8_M2 }, // 68
  { 0x0, 0x0, 0x6, 0x2, 0x2, PseudoVLUXEI64_V_M4_M4 }, // 69
  { 0x0, 0x0, 0x6, 0x2, 0x3, PseudoVLUXEI64_V_M8_M4 }, // 70
  { 0x0, 0x0, 0x6, 0x3, 0x3, PseudoVLUXEI64_V_M8_M8 }, // 71
  { 0x0, 0x0, 0x6, 0x5, 0x0, PseudoVLUXEI64_V_M1_MF8 }, // 72
  { 0x0, 0x0, 0x6, 0x6, 0x0, PseudoVLUXEI64_V_M1_MF4 }, // 73
  { 0x0, 0x0, 0x6, 0x6, 0x1, PseudoVLUXEI64_V_M2_MF4 }, // 74
  { 0x0, 0x0, 0x6, 0x7, 0x0, PseudoVLUXEI64_V_M1_MF2 }, // 75
  { 0x0, 0x0, 0x6, 0x7, 0x1, PseudoVLUXEI64_V_M2_MF2 }, // 76
  { 0x0, 0x0, 0x6, 0x7, 0x2, PseudoVLUXEI64_V_M4_MF2 }, // 77
  { 0x0, 0x1, 0x3, 0x0, 0x0, PseudoVLOXEI8_V_M1_M1 }, // 78
  { 0x0, 0x1, 0x3, 0x0, 0x5, PseudoVLOXEI8_V_MF8_M1 }, // 79
  { 0x0, 0x1, 0x3, 0x0, 0x6, PseudoVLOXEI8_V_MF4_M1 }, // 80
  { 0x0, 0x1, 0x3, 0x0, 0x7, PseudoVLOXEI8_V_MF2_M1 }, // 81
  { 0x0, 0x1, 0x3, 0x1, 0x0, PseudoVLOXEI8_V_M1_M2 }, // 82
  { 0x0, 0x1, 0x3, 0x1, 0x1, PseudoVLOXEI8_V_M2_M2 }, // 83
  { 0x0, 0x1, 0x3, 0x1, 0x6, PseudoVLOXEI8_V_MF4_M2 }, // 84
  { 0x0, 0x1, 0x3, 0x1, 0x7, PseudoVLOXEI8_V_MF2_M2 }, // 85
  { 0x0, 0x1, 0x3, 0x2, 0x0, PseudoVLOXEI8_V_M1_M4 }, // 86
  { 0x0, 0x1, 0x3, 0x2, 0x1, PseudoVLOXEI8_V_M2_M4 }, // 87
  { 0x0, 0x1, 0x3, 0x2, 0x2, PseudoVLOXEI8_V_M4_M4 }, // 88
  { 0x0, 0x1, 0x3, 0x2, 0x7, PseudoVLOXEI8_V_MF2_M4 }, // 89
  { 0x0, 0x1, 0x3, 0x3, 0x0, PseudoVLOXEI8_V_M1_M8 }, // 90
  { 0x0, 0x1, 0x3, 0x3, 0x1, PseudoVLOXEI8_V_M2_M8 }, // 91
  { 0x0, 0x1, 0x3, 0x3, 0x2, PseudoVLOXEI8_V_M4_M8 }, // 92
  { 0x0, 0x1, 0x3, 0x3, 0x3, PseudoVLOXEI8_V_M8_M8 }, // 93
  { 0x0, 0x1, 0x3, 0x5, 0x5, PseudoVLOXEI8_V_MF8_MF8 }, // 94
  { 0x0, 0x1, 0x3, 0x6, 0x5, PseudoVLOXEI8_V_MF8_MF4 }, // 95
  { 0x0, 0x1, 0x3, 0x6, 0x6, PseudoVLOXEI8_V_MF4_MF4 }, // 96
  { 0x0, 0x1, 0x3, 0x7, 0x5, PseudoVLOXEI8_V_MF8_MF2 }, // 97
  { 0x0, 0x1, 0x3, 0x7, 0x6, PseudoVLOXEI8_V_MF4_MF2 }, // 98
  { 0x0, 0x1, 0x3, 0x7, 0x7, PseudoVLOXEI8_V_MF2_MF2 }, // 99
  { 0x0, 0x1, 0x4, 0x0, 0x0, PseudoVLOXEI16_V_M1_M1 }, // 100
  { 0x0, 0x1, 0x4, 0x0, 0x1, PseudoVLOXEI16_V_M2_M1 }, // 101
  { 0x0, 0x1, 0x4, 0x0, 0x6, PseudoVLOXEI16_V_MF4_M1 }, // 102
  { 0x0, 0x1, 0x4, 0x0, 0x7, PseudoVLOXEI16_V_MF2_M1 }, // 103
  { 0x0, 0x1, 0x4, 0x1, 0x0, PseudoVLOXEI16_V_M1_M2 }, // 104
  { 0x0, 0x1, 0x4, 0x1, 0x1, PseudoVLOXEI16_V_M2_M2 }, // 105
  { 0x0, 0x1, 0x4, 0x1, 0x2, PseudoVLOXEI16_V_M4_M2 }, // 106
  { 0x0, 0x1, 0x4, 0x1, 0x7, PseudoVLOXEI16_V_MF2_M2 }, // 107
  { 0x0, 0x1, 0x4, 0x2, 0x0, PseudoVLOXEI16_V_M1_M4 }, // 108
  { 0x0, 0x1, 0x4, 0x2, 0x1, PseudoVLOXEI16_V_M2_M4 }, // 109
  { 0x0, 0x1, 0x4, 0x2, 0x2, PseudoVLOXEI16_V_M4_M4 }, // 110
  { 0x0, 0x1, 0x4, 0x2, 0x3, PseudoVLOXEI16_V_M8_M4 }, // 111
  { 0x0, 0x1, 0x4, 0x3, 0x1, PseudoVLOXEI16_V_M2_M8 }, // 112
  { 0x0, 0x1, 0x4, 0x3, 0x2, PseudoVLOXEI16_V_M4_M8 }, // 113
  { 0x0, 0x1, 0x4, 0x3, 0x3, PseudoVLOXEI16_V_M8_M8 }, // 114
  { 0x0, 0x1, 0x4, 0x5, 0x6, PseudoVLOXEI16_V_MF4_MF8 }, // 115
  { 0x0, 0x1, 0x4, 0x6, 0x6, PseudoVLOXEI16_V_MF4_MF4 }, // 116
  { 0x0, 0x1, 0x4, 0x6, 0x7, PseudoVLOXEI16_V_MF2_MF4 }, // 117
  { 0x0, 0x1, 0x4, 0x7, 0x0, PseudoVLOXEI16_V_M1_MF2 }, // 118
  { 0x0, 0x1, 0x4, 0x7, 0x6, PseudoVLOXEI16_V_MF4_MF2 }, // 119
  { 0x0, 0x1, 0x4, 0x7, 0x7, PseudoVLOXEI16_V_MF2_MF2 }, // 120
  { 0x0, 0x1, 0x5, 0x0, 0x0, PseudoVLOXEI32_V_M1_M1 }, // 121
  { 0x0, 0x1, 0x5, 0x0, 0x1, PseudoVLOXEI32_V_M2_M1 }, // 122
  { 0x0, 0x1, 0x5, 0x0, 0x2, PseudoVLOXEI32_V_M4_M1 }, // 123
  { 0x0, 0x1, 0x5, 0x0, 0x7, PseudoVLOXEI32_V_MF2_M1 }, // 124
  { 0x0, 0x1, 0x5, 0x1, 0x0, PseudoVLOXEI32_V_M1_M2 }, // 125
  { 0x0, 0x1, 0x5, 0x1, 0x1, PseudoVLOXEI32_V_M2_M2 }, // 126
  { 0x0, 0x1, 0x5, 0x1, 0x2, PseudoVLOXEI32_V_M4_M2 }, // 127
  { 0x0, 0x1, 0x5, 0x1, 0x3, PseudoVLOXEI32_V_M8_M2 }, // 128
  { 0x0, 0x1, 0x5, 0x2, 0x1, PseudoVLOXEI32_V_M2_M4 }, // 129
  { 0x0, 0x1, 0x5, 0x2, 0x2, PseudoVLOXEI32_V_M4_M4 }, // 130
  { 0x0, 0x1, 0x5, 0x2, 0x3, PseudoVLOXEI32_V_M8_M4 }, // 131
  { 0x0, 0x1, 0x5, 0x3, 0x2, PseudoVLOXEI32_V_M4_M8 }, // 132
  { 0x0, 0x1, 0x5, 0x3, 0x3, PseudoVLOXEI32_V_M8_M8 }, // 133
  { 0x0, 0x1, 0x5, 0x5, 0x7, PseudoVLOXEI32_V_MF2_MF8 }, // 134
  { 0x0, 0x1, 0x5, 0x6, 0x0, PseudoVLOXEI32_V_M1_MF4 }, // 135
  { 0x0, 0x1, 0x5, 0x6, 0x7, PseudoVLOXEI32_V_MF2_MF4 }, // 136
  { 0x0, 0x1, 0x5, 0x7, 0x0, PseudoVLOXEI32_V_M1_MF2 }, // 137
  { 0x0, 0x1, 0x5, 0x7, 0x1, PseudoVLOXEI32_V_M2_MF2 }, // 138
  { 0x0, 0x1, 0x5, 0x7, 0x7, PseudoVLOXEI32_V_MF2_MF2 }, // 139
  { 0x0, 0x1, 0x6, 0x0, 0x0, PseudoVLOXEI64_V_M1_M1 }, // 140
  { 0x0, 0x1, 0x6, 0x0, 0x1, PseudoVLOXEI64_V_M2_M1 }, // 141
  { 0x0, 0x1, 0x6, 0x0, 0x2, PseudoVLOXEI64_V_M4_M1 }, // 142
  { 0x0, 0x1, 0x6, 0x0, 0x3, PseudoVLOXEI64_V_M8_M1 }, // 143
  { 0x0, 0x1, 0x6, 0x1, 0x1, PseudoVLOXEI64_V_M2_M2 }, // 144
  { 0x0, 0x1, 0x6, 0x1, 0x2, PseudoVLOXEI64_V_M4_M2 }, // 145
  { 0x0, 0x1, 0x6, 0x1, 0x3, PseudoVLOXEI64_V_M8_M2 }, // 146
  { 0x0, 0x1, 0x6, 0x2, 0x2, PseudoVLOXEI64_V_M4_M4 }, // 147
  { 0x0, 0x1, 0x6, 0x2, 0x3, PseudoVLOXEI64_V_M8_M4 }, // 148
  { 0x0, 0x1, 0x6, 0x3, 0x3, PseudoVLOXEI64_V_M8_M8 }, // 149
  { 0x0, 0x1, 0x6, 0x5, 0x0, PseudoVLOXEI64_V_M1_MF8 }, // 150
  { 0x0, 0x1, 0x6, 0x6, 0x0, PseudoVLOXEI64_V_M1_MF4 }, // 151
  { 0x0, 0x1, 0x6, 0x6, 0x1, PseudoVLOXEI64_V_M2_MF4 }, // 152
  { 0x0, 0x1, 0x6, 0x7, 0x0, PseudoVLOXEI64_V_M1_MF2 }, // 153
  { 0x0, 0x1, 0x6, 0x7, 0x1, PseudoVLOXEI64_V_M2_MF2 }, // 154
  { 0x0, 0x1, 0x6, 0x7, 0x2, PseudoVLOXEI64_V_M4_MF2 }, // 155
  { 0x1, 0x0, 0x3, 0x0, 0x0, PseudoVLUXEI8_V_M1_M1_MASK }, // 156
  { 0x1, 0x0, 0x3, 0x0, 0x5, PseudoVLUXEI8_V_MF8_M1_MASK }, // 157
  { 0x1, 0x0, 0x3, 0x0, 0x6, PseudoVLUXEI8_V_MF4_M1_MASK }, // 158
  { 0x1, 0x0, 0x3, 0x0, 0x7, PseudoVLUXEI8_V_MF2_M1_MASK }, // 159
  { 0x1, 0x0, 0x3, 0x1, 0x0, PseudoVLUXEI8_V_M1_M2_MASK }, // 160
  { 0x1, 0x0, 0x3, 0x1, 0x1, PseudoVLUXEI8_V_M2_M2_MASK }, // 161
  { 0x1, 0x0, 0x3, 0x1, 0x6, PseudoVLUXEI8_V_MF4_M2_MASK }, // 162
  { 0x1, 0x0, 0x3, 0x1, 0x7, PseudoVLUXEI8_V_MF2_M2_MASK }, // 163
  { 0x1, 0x0, 0x3, 0x2, 0x0, PseudoVLUXEI8_V_M1_M4_MASK }, // 164
  { 0x1, 0x0, 0x3, 0x2, 0x1, PseudoVLUXEI8_V_M2_M4_MASK }, // 165
  { 0x1, 0x0, 0x3, 0x2, 0x2, PseudoVLUXEI8_V_M4_M4_MASK }, // 166
  { 0x1, 0x0, 0x3, 0x2, 0x7, PseudoVLUXEI8_V_MF2_M4_MASK }, // 167
  { 0x1, 0x0, 0x3, 0x3, 0x0, PseudoVLUXEI8_V_M1_M8_MASK }, // 168
  { 0x1, 0x0, 0x3, 0x3, 0x1, PseudoVLUXEI8_V_M2_M8_MASK }, // 169
  { 0x1, 0x0, 0x3, 0x3, 0x2, PseudoVLUXEI8_V_M4_M8_MASK }, // 170
  { 0x1, 0x0, 0x3, 0x3, 0x3, PseudoVLUXEI8_V_M8_M8_MASK }, // 171
  { 0x1, 0x0, 0x3, 0x5, 0x5, PseudoVLUXEI8_V_MF8_MF8_MASK }, // 172
  { 0x1, 0x0, 0x3, 0x6, 0x5, PseudoVLUXEI8_V_MF8_MF4_MASK }, // 173
  { 0x1, 0x0, 0x3, 0x6, 0x6, PseudoVLUXEI8_V_MF4_MF4_MASK }, // 174
  { 0x1, 0x0, 0x3, 0x7, 0x5, PseudoVLUXEI8_V_MF8_MF2_MASK }, // 175
  { 0x1, 0x0, 0x3, 0x7, 0x6, PseudoVLUXEI8_V_MF4_MF2_MASK }, // 176
  { 0x1, 0x0, 0x3, 0x7, 0x7, PseudoVLUXEI8_V_MF2_MF2_MASK }, // 177
  { 0x1, 0x0, 0x4, 0x0, 0x0, PseudoVLUXEI16_V_M1_M1_MASK }, // 178
  { 0x1, 0x0, 0x4, 0x0, 0x1, PseudoVLUXEI16_V_M2_M1_MASK }, // 179
  { 0x1, 0x0, 0x4, 0x0, 0x6, PseudoVLUXEI16_V_MF4_M1_MASK }, // 180
  { 0x1, 0x0, 0x4, 0x0, 0x7, PseudoVLUXEI16_V_MF2_M1_MASK }, // 181
  { 0x1, 0x0, 0x4, 0x1, 0x0, PseudoVLUXEI16_V_M1_M2_MASK }, // 182
  { 0x1, 0x0, 0x4, 0x1, 0x1, PseudoVLUXEI16_V_M2_M2_MASK }, // 183
  { 0x1, 0x0, 0x4, 0x1, 0x2, PseudoVLUXEI16_V_M4_M2_MASK }, // 184
  { 0x1, 0x0, 0x4, 0x1, 0x7, PseudoVLUXEI16_V_MF2_M2_MASK }, // 185
  { 0x1, 0x0, 0x4, 0x2, 0x0, PseudoVLUXEI16_V_M1_M4_MASK }, // 186
  { 0x1, 0x0, 0x4, 0x2, 0x1, PseudoVLUXEI16_V_M2_M4_MASK }, // 187
  { 0x1, 0x0, 0x4, 0x2, 0x2, PseudoVLUXEI16_V_M4_M4_MASK }, // 188
  { 0x1, 0x0, 0x4, 0x2, 0x3, PseudoVLUXEI16_V_M8_M4_MASK }, // 189
  { 0x1, 0x0, 0x4, 0x3, 0x1, PseudoVLUXEI16_V_M2_M8_MASK }, // 190
  { 0x1, 0x0, 0x4, 0x3, 0x2, PseudoVLUXEI16_V_M4_M8_MASK }, // 191
  { 0x1, 0x0, 0x4, 0x3, 0x3, PseudoVLUXEI16_V_M8_M8_MASK }, // 192
  { 0x1, 0x0, 0x4, 0x5, 0x6, PseudoVLUXEI16_V_MF4_MF8_MASK }, // 193
  { 0x1, 0x0, 0x4, 0x6, 0x6, PseudoVLUXEI16_V_MF4_MF4_MASK }, // 194
  { 0x1, 0x0, 0x4, 0x6, 0x7, PseudoVLUXEI16_V_MF2_MF4_MASK }, // 195
  { 0x1, 0x0, 0x4, 0x7, 0x0, PseudoVLUXEI16_V_M1_MF2_MASK }, // 196
  { 0x1, 0x0, 0x4, 0x7, 0x6, PseudoVLUXEI16_V_MF4_MF2_MASK }, // 197
  { 0x1, 0x0, 0x4, 0x7, 0x7, PseudoVLUXEI16_V_MF2_MF2_MASK }, // 198
  { 0x1, 0x0, 0x5, 0x0, 0x0, PseudoVLUXEI32_V_M1_M1_MASK }, // 199
  { 0x1, 0x0, 0x5, 0x0, 0x1, PseudoVLUXEI32_V_M2_M1_MASK }, // 200
  { 0x1, 0x0, 0x5, 0x0, 0x2, PseudoVLUXEI32_V_M4_M1_MASK }, // 201
  { 0x1, 0x0, 0x5, 0x0, 0x7, PseudoVLUXEI32_V_MF2_M1_MASK }, // 202
  { 0x1, 0x0, 0x5, 0x1, 0x0, PseudoVLUXEI32_V_M1_M2_MASK }, // 203
  { 0x1, 0x0, 0x5, 0x1, 0x1, PseudoVLUXEI32_V_M2_M2_MASK }, // 204
  { 0x1, 0x0, 0x5, 0x1, 0x2, PseudoVLUXEI32_V_M4_M2_MASK }, // 205
  { 0x1, 0x0, 0x5, 0x1, 0x3, PseudoVLUXEI32_V_M8_M2_MASK }, // 206
  { 0x1, 0x0, 0x5, 0x2, 0x1, PseudoVLUXEI32_V_M2_M4_MASK }, // 207
  { 0x1, 0x0, 0x5, 0x2, 0x2, PseudoVLUXEI32_V_M4_M4_MASK }, // 208
  { 0x1, 0x0, 0x5, 0x2, 0x3, PseudoVLUXEI32_V_M8_M4_MASK }, // 209
  { 0x1, 0x0, 0x5, 0x3, 0x2, PseudoVLUXEI32_V_M4_M8_MASK }, // 210
  { 0x1, 0x0, 0x5, 0x3, 0x3, PseudoVLUXEI32_V_M8_M8_MASK }, // 211
  { 0x1, 0x0, 0x5, 0x5, 0x7, PseudoVLUXEI32_V_MF2_MF8_MASK }, // 212
  { 0x1, 0x0, 0x5, 0x6, 0x0, PseudoVLUXEI32_V_M1_MF4_MASK }, // 213
  { 0x1, 0x0, 0x5, 0x6, 0x7, PseudoVLUXEI32_V_MF2_MF4_MASK }, // 214
  { 0x1, 0x0, 0x5, 0x7, 0x0, PseudoVLUXEI32_V_M1_MF2_MASK }, // 215
  { 0x1, 0x0, 0x5, 0x7, 0x1, PseudoVLUXEI32_V_M2_MF2_MASK }, // 216
  { 0x1, 0x0, 0x5, 0x7, 0x7, PseudoVLUXEI32_V_MF2_MF2_MASK }, // 217
  { 0x1, 0x0, 0x6, 0x0, 0x0, PseudoVLUXEI64_V_M1_M1_MASK }, // 218
  { 0x1, 0x0, 0x6, 0x0, 0x1, PseudoVLUXEI64_V_M2_M1_MASK }, // 219
  { 0x1, 0x0, 0x6, 0x0, 0x2, PseudoVLUXEI64_V_M4_M1_MASK }, // 220
  { 0x1, 0x0, 0x6, 0x0, 0x3, PseudoVLUXEI64_V_M8_M1_MASK }, // 221
  { 0x1, 0x0, 0x6, 0x1, 0x1, PseudoVLUXEI64_V_M2_M2_MASK }, // 222
  { 0x1, 0x0, 0x6, 0x1, 0x2, PseudoVLUXEI64_V_M4_M2_MASK }, // 223
  { 0x1, 0x0, 0x6, 0x1, 0x3, PseudoVLUXEI64_V_M8_M2_MASK }, // 224
  { 0x1, 0x0, 0x6, 0x2, 0x2, PseudoVLUXEI64_V_M4_M4_MASK }, // 225
  { 0x1, 0x0, 0x6, 0x2, 0x3, PseudoVLUXEI64_V_M8_M4_MASK }, // 226
  { 0x1, 0x0, 0x6, 0x3, 0x3, PseudoVLUXEI64_V_M8_M8_MASK }, // 227
  { 0x1, 0x0, 0x6, 0x5, 0x0, PseudoVLUXEI64_V_M1_MF8_MASK }, // 228
  { 0x1, 0x0, 0x6, 0x6, 0x0, PseudoVLUXEI64_V_M1_MF4_MASK }, // 229
  { 0x1, 0x0, 0x6, 0x6, 0x1, PseudoVLUXEI64_V_M2_MF4_MASK }, // 230
  { 0x1, 0x0, 0x6, 0x7, 0x0, PseudoVLUXEI64_V_M1_MF2_MASK }, // 231
  { 0x1, 0x0, 0x6, 0x7, 0x1, PseudoVLUXEI64_V_M2_MF2_MASK }, // 232
  { 0x1, 0x0, 0x6, 0x7, 0x2, PseudoVLUXEI64_V_M4_MF2_MASK }, // 233
  { 0x1, 0x1, 0x3, 0x0, 0x0, PseudoVLOXEI8_V_M1_M1_MASK }, // 234
  { 0x1, 0x1, 0x3, 0x0, 0x5, PseudoVLOXEI8_V_MF8_M1_MASK }, // 235
  { 0x1, 0x1, 0x3, 0x0, 0x6, PseudoVLOXEI8_V_MF4_M1_MASK }, // 236
  { 0x1, 0x1, 0x3, 0x0, 0x7, PseudoVLOXEI8_V_MF2_M1_MASK }, // 237
  { 0x1, 0x1, 0x3, 0x1, 0x0, PseudoVLOXEI8_V_M1_M2_MASK }, // 238
  { 0x1, 0x1, 0x3, 0x1, 0x1, PseudoVLOXEI8_V_M2_M2_MASK }, // 239
  { 0x1, 0x1, 0x3, 0x1, 0x6, PseudoVLOXEI8_V_MF4_M2_MASK }, // 240
  { 0x1, 0x1, 0x3, 0x1, 0x7, PseudoVLOXEI8_V_MF2_M2_MASK }, // 241
  { 0x1, 0x1, 0x3, 0x2, 0x0, PseudoVLOXEI8_V_M1_M4_MASK }, // 242
  { 0x1, 0x1, 0x3, 0x2, 0x1, PseudoVLOXEI8_V_M2_M4_MASK }, // 243
  { 0x1, 0x1, 0x3, 0x2, 0x2, PseudoVLOXEI8_V_M4_M4_MASK }, // 244
  { 0x1, 0x1, 0x3, 0x2, 0x7, PseudoVLOXEI8_V_MF2_M4_MASK }, // 245
  { 0x1, 0x1, 0x3, 0x3, 0x0, PseudoVLOXEI8_V_M1_M8_MASK }, // 246
  { 0x1, 0x1, 0x3, 0x3, 0x1, PseudoVLOXEI8_V_M2_M8_MASK }, // 247
  { 0x1, 0x1, 0x3, 0x3, 0x2, PseudoVLOXEI8_V_M4_M8_MASK }, // 248
  { 0x1, 0x1, 0x3, 0x3, 0x3, PseudoVLOXEI8_V_M8_M8_MASK }, // 249
  { 0x1, 0x1, 0x3, 0x5, 0x5, PseudoVLOXEI8_V_MF8_MF8_MASK }, // 250
  { 0x1, 0x1, 0x3, 0x6, 0x5, PseudoVLOXEI8_V_MF8_MF4_MASK }, // 251
  { 0x1, 0x1, 0x3, 0x6, 0x6, PseudoVLOXEI8_V_MF4_MF4_MASK }, // 252
  { 0x1, 0x1, 0x3, 0x7, 0x5, PseudoVLOXEI8_V_MF8_MF2_MASK }, // 253
  { 0x1, 0x1, 0x3, 0x7, 0x6, PseudoVLOXEI8_V_MF4_MF2_MASK }, // 254
  { 0x1, 0x1, 0x3, 0x7, 0x7, PseudoVLOXEI8_V_MF2_MF2_MASK }, // 255
  { 0x1, 0x1, 0x4, 0x0, 0x0, PseudoVLOXEI16_V_M1_M1_MASK }, // 256
  { 0x1, 0x1, 0x4, 0x0, 0x1, PseudoVLOXEI16_V_M2_M1_MASK }, // 257
  { 0x1, 0x1, 0x4, 0x0, 0x6, PseudoVLOXEI16_V_MF4_M1_MASK }, // 258
  { 0x1, 0x1, 0x4, 0x0, 0x7, PseudoVLOXEI16_V_MF2_M1_MASK }, // 259
  { 0x1, 0x1, 0x4, 0x1, 0x0, PseudoVLOXEI16_V_M1_M2_MASK }, // 260
  { 0x1, 0x1, 0x4, 0x1, 0x1, PseudoVLOXEI16_V_M2_M2_MASK }, // 261
  { 0x1, 0x1, 0x4, 0x1, 0x2, PseudoVLOXEI16_V_M4_M2_MASK }, // 262
  { 0x1, 0x1, 0x4, 0x1, 0x7, PseudoVLOXEI16_V_MF2_M2_MASK }, // 263
  { 0x1, 0x1, 0x4, 0x2, 0x0, PseudoVLOXEI16_V_M1_M4_MASK }, // 264
  { 0x1, 0x1, 0x4, 0x2, 0x1, PseudoVLOXEI16_V_M2_M4_MASK }, // 265
  { 0x1, 0x1, 0x4, 0x2, 0x2, PseudoVLOXEI16_V_M4_M4_MASK }, // 266
  { 0x1, 0x1, 0x4, 0x2, 0x3, PseudoVLOXEI16_V_M8_M4_MASK }, // 267
  { 0x1, 0x1, 0x4, 0x3, 0x1, PseudoVLOXEI16_V_M2_M8_MASK }, // 268
  { 0x1, 0x1, 0x4, 0x3, 0x2, PseudoVLOXEI16_V_M4_M8_MASK }, // 269
  { 0x1, 0x1, 0x4, 0x3, 0x3, PseudoVLOXEI16_V_M8_M8_MASK }, // 270
  { 0x1, 0x1, 0x4, 0x5, 0x6, PseudoVLOXEI16_V_MF4_MF8_MASK }, // 271
  { 0x1, 0x1, 0x4, 0x6, 0x6, PseudoVLOXEI16_V_MF4_MF4_MASK }, // 272
  { 0x1, 0x1, 0x4, 0x6, 0x7, PseudoVLOXEI16_V_MF2_MF4_MASK }, // 273
  { 0x1, 0x1, 0x4, 0x7, 0x0, PseudoVLOXEI16_V_M1_MF2_MASK }, // 274
  { 0x1, 0x1, 0x4, 0x7, 0x6, PseudoVLOXEI16_V_MF4_MF2_MASK }, // 275
  { 0x1, 0x1, 0x4, 0x7, 0x7, PseudoVLOXEI16_V_MF2_MF2_MASK }, // 276
  { 0x1, 0x1, 0x5, 0x0, 0x0, PseudoVLOXEI32_V_M1_M1_MASK }, // 277
  { 0x1, 0x1, 0x5, 0x0, 0x1, PseudoVLOXEI32_V_M2_M1_MASK }, // 278
  { 0x1, 0x1, 0x5, 0x0, 0x2, PseudoVLOXEI32_V_M4_M1_MASK }, // 279
  { 0x1, 0x1, 0x5, 0x0, 0x7, PseudoVLOXEI32_V_MF2_M1_MASK }, // 280
  { 0x1, 0x1, 0x5, 0x1, 0x0, PseudoVLOXEI32_V_M1_M2_MASK }, // 281
  { 0x1, 0x1, 0x5, 0x1, 0x1, PseudoVLOXEI32_V_M2_M2_MASK }, // 282
  { 0x1, 0x1, 0x5, 0x1, 0x2, PseudoVLOXEI32_V_M4_M2_MASK }, // 283
  { 0x1, 0x1, 0x5, 0x1, 0x3, PseudoVLOXEI32_V_M8_M2_MASK }, // 284
  { 0x1, 0x1, 0x5, 0x2, 0x1, PseudoVLOXEI32_V_M2_M4_MASK }, // 285
  { 0x1, 0x1, 0x5, 0x2, 0x2, PseudoVLOXEI32_V_M4_M4_MASK }, // 286
  { 0x1, 0x1, 0x5, 0x2, 0x3, PseudoVLOXEI32_V_M8_M4_MASK }, // 287
  { 0x1, 0x1, 0x5, 0x3, 0x2, PseudoVLOXEI32_V_M4_M8_MASK }, // 288
  { 0x1, 0x1, 0x5, 0x3, 0x3, PseudoVLOXEI32_V_M8_M8_MASK }, // 289
  { 0x1, 0x1, 0x5, 0x5, 0x7, PseudoVLOXEI32_V_MF2_MF8_MASK }, // 290
  { 0x1, 0x1, 0x5, 0x6, 0x0, PseudoVLOXEI32_V_M1_MF4_MASK }, // 291
  { 0x1, 0x1, 0x5, 0x6, 0x7, PseudoVLOXEI32_V_MF2_MF4_MASK }, // 292
  { 0x1, 0x1, 0x5, 0x7, 0x0, PseudoVLOXEI32_V_M1_MF2_MASK }, // 293
  { 0x1, 0x1, 0x5, 0x7, 0x1, PseudoVLOXEI32_V_M2_MF2_MASK }, // 294
  { 0x1, 0x1, 0x5, 0x7, 0x7, PseudoVLOXEI32_V_MF2_MF2_MASK }, // 295
  { 0x1, 0x1, 0x6, 0x0, 0x0, PseudoVLOXEI64_V_M1_M1_MASK }, // 296
  { 0x1, 0x1, 0x6, 0x0, 0x1, PseudoVLOXEI64_V_M2_M1_MASK }, // 297
  { 0x1, 0x1, 0x6, 0x0, 0x2, PseudoVLOXEI64_V_M4_M1_MASK }, // 298
  { 0x1, 0x1, 0x6, 0x0, 0x3, PseudoVLOXEI64_V_M8_M1_MASK }, // 299
  { 0x1, 0x1, 0x6, 0x1, 0x1, PseudoVLOXEI64_V_M2_M2_MASK }, // 300
  { 0x1, 0x1, 0x6, 0x1, 0x2, PseudoVLOXEI64_V_M4_M2_MASK }, // 301
  { 0x1, 0x1, 0x6, 0x1, 0x3, PseudoVLOXEI64_V_M8_M2_MASK }, // 302
  { 0x1, 0x1, 0x6, 0x2, 0x2, PseudoVLOXEI64_V_M4_M4_MASK }, // 303
  { 0x1, 0x1, 0x6, 0x2, 0x3, PseudoVLOXEI64_V_M8_M4_MASK }, // 304
  { 0x1, 0x1, 0x6, 0x3, 0x3, PseudoVLOXEI64_V_M8_M8_MASK }, // 305
  { 0x1, 0x1, 0x6, 0x5, 0x0, PseudoVLOXEI64_V_M1_MF8_MASK }, // 306
  { 0x1, 0x1, 0x6, 0x6, 0x0, PseudoVLOXEI64_V_M1_MF4_MASK }, // 307
  { 0x1, 0x1, 0x6, 0x6, 0x1, PseudoVLOXEI64_V_M2_MF4_MASK }, // 308
  { 0x1, 0x1, 0x6, 0x7, 0x0, PseudoVLOXEI64_V_M1_MF2_MASK }, // 309
  { 0x1, 0x1, 0x6, 0x7, 0x1, PseudoVLOXEI64_V_M2_MF2_MASK }, // 310
  { 0x1, 0x1, 0x6, 0x7, 0x2, PseudoVLOXEI64_V_M4_MF2_MASK }, // 311
 };

const VLX_VSXPseudo *getVLXPseudo(uint8_t Masked, uint8_t Ordered, uint8_t Log2SEW, uint8_t LMUL, uint8_t IndexLMUL) {
  struct KeyType {
    uint8_t Masked;
    uint8_t Ordered;
    uint8_t Log2SEW;
    uint8_t LMUL;
    uint8_t IndexLMUL;
  };
  KeyType Key = {Masked, Ordered, Log2SEW, LMUL, IndexLMUL};
  auto Table = makeArrayRef(RISCVVLXTable);
  auto Idx = std::lower_bound(Table.begin(), Table.end(), Key,
    [](const VLX_VSXPseudo &LHS, const KeyType &RHS) {
      if (LHS.Masked < RHS.Masked)
        return true;
      if (LHS.Masked > RHS.Masked)
        return false;
      if (LHS.Ordered < RHS.Ordered)
        return true;
      if (LHS.Ordered > RHS.Ordered)
        return false;
      if (LHS.Log2SEW < RHS.Log2SEW)
        return true;
      if (LHS.Log2SEW > RHS.Log2SEW)
        return false;
      if (LHS.LMUL < RHS.LMUL)
        return true;
      if (LHS.LMUL > RHS.LMUL)
        return false;
      if (LHS.IndexLMUL < RHS.IndexLMUL)
        return true;
      if (LHS.IndexLMUL > RHS.IndexLMUL)
        return false;
      return false;
    });

  if (Idx == Table.end() ||
      Key.Masked != Idx->Masked ||
      Key.Ordered != Idx->Ordered ||
      Key.Log2SEW != Idx->Log2SEW ||
      Key.LMUL != Idx->LMUL ||
      Key.IndexLMUL != Idx->IndexLMUL)
    return nullptr;
  return &*Idx;
}
#endif

#ifdef GET_RISCVVPseudosTable_DECL
const PseudoInfo *getPseudoInfo(unsigned Pseudo);
#endif

#ifdef GET_RISCVVPseudosTable_IMPL
constexpr PseudoInfo RISCVVPseudosTable[] = {
  { PseudoVAADDU_VV_M1, VAADDU_VV }, // 0
  { PseudoVAADDU_VV_M1_MASK, VAADDU_VV }, // 1
  { PseudoVAADDU_VV_M2, VAADDU_VV }, // 2
  { PseudoVAADDU_VV_M2_MASK, VAADDU_VV }, // 3
  { PseudoVAADDU_VV_M4, VAADDU_VV }, // 4
  { PseudoVAADDU_VV_M4_MASK, VAADDU_VV }, // 5
  { PseudoVAADDU_VV_M8, VAADDU_VV }, // 6
  { PseudoVAADDU_VV_M8_MASK, VAADDU_VV }, // 7
  { PseudoVAADDU_VV_MF2, VAADDU_VV }, // 8
  { PseudoVAADDU_VV_MF2_MASK, VAADDU_VV }, // 9
  { PseudoVAADDU_VV_MF4, VAADDU_VV }, // 10
  { PseudoVAADDU_VV_MF4_MASK, VAADDU_VV }, // 11
  { PseudoVAADDU_VV_MF8, VAADDU_VV }, // 12
  { PseudoVAADDU_VV_MF8_MASK, VAADDU_VV }, // 13
  { PseudoVAADDU_VX_M1, VAADDU_VX }, // 14
  { PseudoVAADDU_VX_M1_MASK, VAADDU_VX }, // 15
  { PseudoVAADDU_VX_M2, VAADDU_VX }, // 16
  { PseudoVAADDU_VX_M2_MASK, VAADDU_VX }, // 17
  { PseudoVAADDU_VX_M4, VAADDU_VX }, // 18
  { PseudoVAADDU_VX_M4_MASK, VAADDU_VX }, // 19
  { PseudoVAADDU_VX_M8, VAADDU_VX }, // 20
  { PseudoVAADDU_VX_M8_MASK, VAADDU_VX }, // 21
  { PseudoVAADDU_VX_MF2, VAADDU_VX }, // 22
  { PseudoVAADDU_VX_MF2_MASK, VAADDU_VX }, // 23
  { PseudoVAADDU_VX_MF4, VAADDU_VX }, // 24
  { PseudoVAADDU_VX_MF4_MASK, VAADDU_VX }, // 25
  { PseudoVAADDU_VX_MF8, VAADDU_VX }, // 26
  { PseudoVAADDU_VX_MF8_MASK, VAADDU_VX }, // 27
  { PseudoVAADD_VV_M1, VAADD_VV }, // 28
  { PseudoVAADD_VV_M1_MASK, VAADD_VV }, // 29
  { PseudoVAADD_VV_M2, VAADD_VV }, // 30
  { PseudoVAADD_VV_M2_MASK, VAADD_VV }, // 31
  { PseudoVAADD_VV_M4, VAADD_VV }, // 32
  { PseudoVAADD_VV_M4_MASK, VAADD_VV }, // 33
  { PseudoVAADD_VV_M8, VAADD_VV }, // 34
  { PseudoVAADD_VV_M8_MASK, VAADD_VV }, // 35
  { PseudoVAADD_VV_MF2, VAADD_VV }, // 36
  { PseudoVAADD_VV_MF2_MASK, VAADD_VV }, // 37
  { PseudoVAADD_VV_MF4, VAADD_VV }, // 38
  { PseudoVAADD_VV_MF4_MASK, VAADD_VV }, // 39
  { PseudoVAADD_VV_MF8, VAADD_VV }, // 40
  { PseudoVAADD_VV_MF8_MASK, VAADD_VV }, // 41
  { PseudoVAADD_VX_M1, VAADD_VX }, // 42
  { PseudoVAADD_VX_M1_MASK, VAADD_VX }, // 43
  { PseudoVAADD_VX_M2, VAADD_VX }, // 44
  { PseudoVAADD_VX_M2_MASK, VAADD_VX }, // 45
  { PseudoVAADD_VX_M4, VAADD_VX }, // 46
  { PseudoVAADD_VX_M4_MASK, VAADD_VX }, // 47
  { PseudoVAADD_VX_M8, VAADD_VX }, // 48
  { PseudoVAADD_VX_M8_MASK, VAADD_VX }, // 49
  { PseudoVAADD_VX_MF2, VAADD_VX }, // 50
  { PseudoVAADD_VX_MF2_MASK, VAADD_VX }, // 51
  { PseudoVAADD_VX_MF4, VAADD_VX }, // 52
  { PseudoVAADD_VX_MF4_MASK, VAADD_VX }, // 53
  { PseudoVAADD_VX_MF8, VAADD_VX }, // 54
  { PseudoVAADD_VX_MF8_MASK, VAADD_VX }, // 55
  { PseudoVADC_VIM_M1, VADC_VIM }, // 56
  { PseudoVADC_VIM_M2, VADC_VIM }, // 57
  { PseudoVADC_VIM_M4, VADC_VIM }, // 58
  { PseudoVADC_VIM_M8, VADC_VIM }, // 59
  { PseudoVADC_VIM_MF2, VADC_VIM }, // 60
  { PseudoVADC_VIM_MF4, VADC_VIM }, // 61
  { PseudoVADC_VIM_MF8, VADC_VIM }, // 62
  { PseudoVADC_VVM_M1, VADC_VVM }, // 63
  { PseudoVADC_VVM_M2, VADC_VVM }, // 64
  { PseudoVADC_VVM_M4, VADC_VVM }, // 65
  { PseudoVADC_VVM_M8, VADC_VVM }, // 66
  { PseudoVADC_VVM_MF2, VADC_VVM }, // 67
  { PseudoVADC_VVM_MF4, VADC_VVM }, // 68
  { PseudoVADC_VVM_MF8, VADC_VVM }, // 69
  { PseudoVADC_VXM_M1, VADC_VXM }, // 70
  { PseudoVADC_VXM_M2, VADC_VXM }, // 71
  { PseudoVADC_VXM_M4, VADC_VXM }, // 72
  { PseudoVADC_VXM_M8, VADC_VXM }, // 73
  { PseudoVADC_VXM_MF2, VADC_VXM }, // 74
  { PseudoVADC_VXM_MF4, VADC_VXM }, // 75
  { PseudoVADC_VXM_MF8, VADC_VXM }, // 76
  { PseudoVADD_VI_M1, VADD_VI }, // 77
  { PseudoVADD_VI_M1_MASK, VADD_VI }, // 78
  { PseudoVADD_VI_M2, VADD_VI }, // 79
  { PseudoVADD_VI_M2_MASK, VADD_VI }, // 80
  { PseudoVADD_VI_M4, VADD_VI }, // 81
  { PseudoVADD_VI_M4_MASK, VADD_VI }, // 82
  { PseudoVADD_VI_M8, VADD_VI }, // 83
  { PseudoVADD_VI_M8_MASK, VADD_VI }, // 84
  { PseudoVADD_VI_MF2, VADD_VI }, // 85
  { PseudoVADD_VI_MF2_MASK, VADD_VI }, // 86
  { PseudoVADD_VI_MF4, VADD_VI }, // 87
  { PseudoVADD_VI_MF4_MASK, VADD_VI }, // 88
  { PseudoVADD_VI_MF8, VADD_VI }, // 89
  { PseudoVADD_VI_MF8_MASK, VADD_VI }, // 90
  { PseudoVADD_VV_M1, VADD_VV }, // 91
  { PseudoVADD_VV_M1_MASK, VADD_VV }, // 92
  { PseudoVADD_VV_M2, VADD_VV }, // 93
  { PseudoVADD_VV_M2_MASK, VADD_VV }, // 94
  { PseudoVADD_VV_M4, VADD_VV }, // 95
  { PseudoVADD_VV_M4_MASK, VADD_VV }, // 96
  { PseudoVADD_VV_M8, VADD_VV }, // 97
  { PseudoVADD_VV_M8_MASK, VADD_VV }, // 98
  { PseudoVADD_VV_MF2, VADD_VV }, // 99
  { PseudoVADD_VV_MF2_MASK, VADD_VV }, // 100
  { PseudoVADD_VV_MF4, VADD_VV }, // 101
  { PseudoVADD_VV_MF4_MASK, VADD_VV }, // 102
  { PseudoVADD_VV_MF8, VADD_VV }, // 103
  { PseudoVADD_VV_MF8_MASK, VADD_VV }, // 104
  { PseudoVADD_VX_M1, VADD_VX }, // 105
  { PseudoVADD_VX_M1_MASK, VADD_VX }, // 106
  { PseudoVADD_VX_M2, VADD_VX }, // 107
  { PseudoVADD_VX_M2_MASK, VADD_VX }, // 108
  { PseudoVADD_VX_M4, VADD_VX }, // 109
  { PseudoVADD_VX_M4_MASK, VADD_VX }, // 110
  { PseudoVADD_VX_M8, VADD_VX }, // 111
  { PseudoVADD_VX_M8_MASK, VADD_VX }, // 112
  { PseudoVADD_VX_MF2, VADD_VX }, // 113
  { PseudoVADD_VX_MF2_MASK, VADD_VX }, // 114
  { PseudoVADD_VX_MF4, VADD_VX }, // 115
  { PseudoVADD_VX_MF4_MASK, VADD_VX }, // 116
  { PseudoVADD_VX_MF8, VADD_VX }, // 117
  { PseudoVADD_VX_MF8_MASK, VADD_VX }, // 118
  { PseudoVAMOADDEI16_WD_M1_MF2, VAMOADDEI16_WD }, // 119
  { PseudoVAMOADDEI16_WD_M1_MF2_MASK, VAMOADDEI16_WD }, // 120
  { PseudoVAMOADDEI16_WD_M1_MF4, VAMOADDEI16_WD }, // 121
  { PseudoVAMOADDEI16_WD_M1_MF4_MASK, VAMOADDEI16_WD }, // 122
  { PseudoVAMOADDEI16_WD_M2_M1, VAMOADDEI16_WD }, // 123
  { PseudoVAMOADDEI16_WD_M2_M1_MASK, VAMOADDEI16_WD }, // 124
  { PseudoVAMOADDEI16_WD_M2_MF2, VAMOADDEI16_WD }, // 125
  { PseudoVAMOADDEI16_WD_M2_MF2_MASK, VAMOADDEI16_WD }, // 126
  { PseudoVAMOADDEI16_WD_M4_M1, VAMOADDEI16_WD }, // 127
  { PseudoVAMOADDEI16_WD_M4_M1_MASK, VAMOADDEI16_WD }, // 128
  { PseudoVAMOADDEI16_WD_M4_M2, VAMOADDEI16_WD }, // 129
  { PseudoVAMOADDEI16_WD_M4_M2_MASK, VAMOADDEI16_WD }, // 130
  { PseudoVAMOADDEI16_WD_M8_M2, VAMOADDEI16_WD }, // 131
  { PseudoVAMOADDEI16_WD_M8_M2_MASK, VAMOADDEI16_WD }, // 132
  { PseudoVAMOADDEI16_WD_M8_M4, VAMOADDEI16_WD }, // 133
  { PseudoVAMOADDEI16_WD_M8_M4_MASK, VAMOADDEI16_WD }, // 134
  { PseudoVAMOADDEI16_WD_MF2_MF4, VAMOADDEI16_WD }, // 135
  { PseudoVAMOADDEI16_WD_MF2_MF4_MASK, VAMOADDEI16_WD }, // 136
  { PseudoVAMOADDEI32_WD_M1_M1, VAMOADDEI32_WD }, // 137
  { PseudoVAMOADDEI32_WD_M1_M1_MASK, VAMOADDEI32_WD }, // 138
  { PseudoVAMOADDEI32_WD_M1_MF2, VAMOADDEI32_WD }, // 139
  { PseudoVAMOADDEI32_WD_M1_MF2_MASK, VAMOADDEI32_WD }, // 140
  { PseudoVAMOADDEI32_WD_M2_M1, VAMOADDEI32_WD }, // 141
  { PseudoVAMOADDEI32_WD_M2_M1_MASK, VAMOADDEI32_WD }, // 142
  { PseudoVAMOADDEI32_WD_M2_M2, VAMOADDEI32_WD }, // 143
  { PseudoVAMOADDEI32_WD_M2_M2_MASK, VAMOADDEI32_WD }, // 144
  { PseudoVAMOADDEI32_WD_M4_M2, VAMOADDEI32_WD }, // 145
  { PseudoVAMOADDEI32_WD_M4_M2_MASK, VAMOADDEI32_WD }, // 146
  { PseudoVAMOADDEI32_WD_M4_M4, VAMOADDEI32_WD }, // 147
  { PseudoVAMOADDEI32_WD_M4_M4_MASK, VAMOADDEI32_WD }, // 148
  { PseudoVAMOADDEI32_WD_M8_M4, VAMOADDEI32_WD }, // 149
  { PseudoVAMOADDEI32_WD_M8_M4_MASK, VAMOADDEI32_WD }, // 150
  { PseudoVAMOADDEI32_WD_M8_M8, VAMOADDEI32_WD }, // 151
  { PseudoVAMOADDEI32_WD_M8_M8_MASK, VAMOADDEI32_WD }, // 152
  { PseudoVAMOADDEI32_WD_MF2_MF2, VAMOADDEI32_WD }, // 153
  { PseudoVAMOADDEI32_WD_MF2_MF2_MASK, VAMOADDEI32_WD }, // 154
  { PseudoVAMOADDEI64_WD_M1_M1, VAMOADDEI64_WD }, // 155
  { PseudoVAMOADDEI64_WD_M1_M1_MASK, VAMOADDEI64_WD }, // 156
  { PseudoVAMOADDEI64_WD_M1_M2, VAMOADDEI64_WD }, // 157
  { PseudoVAMOADDEI64_WD_M1_M2_MASK, VAMOADDEI64_WD }, // 158
  { PseudoVAMOADDEI64_WD_M2_M2, VAMOADDEI64_WD }, // 159
  { PseudoVAMOADDEI64_WD_M2_M2_MASK, VAMOADDEI64_WD }, // 160
  { PseudoVAMOADDEI64_WD_M2_M4, VAMOADDEI64_WD }, // 161
  { PseudoVAMOADDEI64_WD_M2_M4_MASK, VAMOADDEI64_WD }, // 162
  { PseudoVAMOADDEI64_WD_M4_M4, VAMOADDEI64_WD }, // 163
  { PseudoVAMOADDEI64_WD_M4_M4_MASK, VAMOADDEI64_WD }, // 164
  { PseudoVAMOADDEI64_WD_M4_M8, VAMOADDEI64_WD }, // 165
  { PseudoVAMOADDEI64_WD_M4_M8_MASK, VAMOADDEI64_WD }, // 166
  { PseudoVAMOADDEI64_WD_M8_M8, VAMOADDEI64_WD }, // 167
  { PseudoVAMOADDEI64_WD_M8_M8_MASK, VAMOADDEI64_WD }, // 168
  { PseudoVAMOADDEI64_WD_MF2_M1, VAMOADDEI64_WD }, // 169
  { PseudoVAMOADDEI64_WD_MF2_M1_MASK, VAMOADDEI64_WD }, // 170
  { PseudoVAMOADDEI8_WD_M1_MF4, VAMOADDEI8_WD }, // 171
  { PseudoVAMOADDEI8_WD_M1_MF4_MASK, VAMOADDEI8_WD }, // 172
  { PseudoVAMOADDEI8_WD_M1_MF8, VAMOADDEI8_WD }, // 173
  { PseudoVAMOADDEI8_WD_M1_MF8_MASK, VAMOADDEI8_WD }, // 174
  { PseudoVAMOADDEI8_WD_M2_MF2, VAMOADDEI8_WD }, // 175
  { PseudoVAMOADDEI8_WD_M2_MF2_MASK, VAMOADDEI8_WD }, // 176
  { PseudoVAMOADDEI8_WD_M2_MF4, VAMOADDEI8_WD }, // 177
  { PseudoVAMOADDEI8_WD_M2_MF4_MASK, VAMOADDEI8_WD }, // 178
  { PseudoVAMOADDEI8_WD_M4_M1, VAMOADDEI8_WD }, // 179
  { PseudoVAMOADDEI8_WD_M4_M1_MASK, VAMOADDEI8_WD }, // 180
  { PseudoVAMOADDEI8_WD_M4_MF2, VAMOADDEI8_WD }, // 181
  { PseudoVAMOADDEI8_WD_M4_MF2_MASK, VAMOADDEI8_WD }, // 182
  { PseudoVAMOADDEI8_WD_M8_M1, VAMOADDEI8_WD }, // 183
  { PseudoVAMOADDEI8_WD_M8_M1_MASK, VAMOADDEI8_WD }, // 184
  { PseudoVAMOADDEI8_WD_M8_M2, VAMOADDEI8_WD }, // 185
  { PseudoVAMOADDEI8_WD_M8_M2_MASK, VAMOADDEI8_WD }, // 186
  { PseudoVAMOADDEI8_WD_MF2_MF8, VAMOADDEI8_WD }, // 187
  { PseudoVAMOADDEI8_WD_MF2_MF8_MASK, VAMOADDEI8_WD }, // 188
  { PseudoVAMOANDEI16_WD_M1_MF2, VAMOANDEI16_WD }, // 189
  { PseudoVAMOANDEI16_WD_M1_MF2_MASK, VAMOANDEI16_WD }, // 190
  { PseudoVAMOANDEI16_WD_M1_MF4, VAMOANDEI16_WD }, // 191
  { PseudoVAMOANDEI16_WD_M1_MF4_MASK, VAMOANDEI16_WD }, // 192
  { PseudoVAMOANDEI16_WD_M2_M1, VAMOANDEI16_WD }, // 193
  { PseudoVAMOANDEI16_WD_M2_M1_MASK, VAMOANDEI16_WD }, // 194
  { PseudoVAMOANDEI16_WD_M2_MF2, VAMOANDEI16_WD }, // 195
  { PseudoVAMOANDEI16_WD_M2_MF2_MASK, VAMOANDEI16_WD }, // 196
  { PseudoVAMOANDEI16_WD_M4_M1, VAMOANDEI16_WD }, // 197
  { PseudoVAMOANDEI16_WD_M4_M1_MASK, VAMOANDEI16_WD }, // 198
  { PseudoVAMOANDEI16_WD_M4_M2, VAMOANDEI16_WD }, // 199
  { PseudoVAMOANDEI16_WD_M4_M2_MASK, VAMOANDEI16_WD }, // 200
  { PseudoVAMOANDEI16_WD_M8_M2, VAMOANDEI16_WD }, // 201
  { PseudoVAMOANDEI16_WD_M8_M2_MASK, VAMOANDEI16_WD }, // 202
  { PseudoVAMOANDEI16_WD_M8_M4, VAMOANDEI16_WD }, // 203
  { PseudoVAMOANDEI16_WD_M8_M4_MASK, VAMOANDEI16_WD }, // 204
  { PseudoVAMOANDEI16_WD_MF2_MF4, VAMOANDEI16_WD }, // 205
  { PseudoVAMOANDEI16_WD_MF2_MF4_MASK, VAMOANDEI16_WD }, // 206
  { PseudoVAMOANDEI32_WD_M1_M1, VAMOANDEI32_WD }, // 207
  { PseudoVAMOANDEI32_WD_M1_M1_MASK, VAMOANDEI32_WD }, // 208
  { PseudoVAMOANDEI32_WD_M1_MF2, VAMOANDEI32_WD }, // 209
  { PseudoVAMOANDEI32_WD_M1_MF2_MASK, VAMOANDEI32_WD }, // 210
  { PseudoVAMOANDEI32_WD_M2_M1, VAMOANDEI32_WD }, // 211
  { PseudoVAMOANDEI32_WD_M2_M1_MASK, VAMOANDEI32_WD }, // 212
  { PseudoVAMOANDEI32_WD_M2_M2, VAMOANDEI32_WD }, // 213
  { PseudoVAMOANDEI32_WD_M2_M2_MASK, VAMOANDEI32_WD }, // 214
  { PseudoVAMOANDEI32_WD_M4_M2, VAMOANDEI32_WD }, // 215
  { PseudoVAMOANDEI32_WD_M4_M2_MASK, VAMOANDEI32_WD }, // 216
  { PseudoVAMOANDEI32_WD_M4_M4, VAMOANDEI32_WD }, // 217
  { PseudoVAMOANDEI32_WD_M4_M4_MASK, VAMOANDEI32_WD }, // 218
  { PseudoVAMOANDEI32_WD_M8_M4, VAMOANDEI32_WD }, // 219
  { PseudoVAMOANDEI32_WD_M8_M4_MASK, VAMOANDEI32_WD }, // 220
  { PseudoVAMOANDEI32_WD_M8_M8, VAMOANDEI32_WD }, // 221
  { PseudoVAMOANDEI32_WD_M8_M8_MASK, VAMOANDEI32_WD }, // 222
  { PseudoVAMOANDEI32_WD_MF2_MF2, VAMOANDEI32_WD }, // 223
  { PseudoVAMOANDEI32_WD_MF2_MF2_MASK, VAMOANDEI32_WD }, // 224
  { PseudoVAMOANDEI64_WD_M1_M1, VAMOANDEI64_WD }, // 225
  { PseudoVAMOANDEI64_WD_M1_M1_MASK, VAMOANDEI64_WD }, // 226
  { PseudoVAMOANDEI64_WD_M1_M2, VAMOANDEI64_WD }, // 227
  { PseudoVAMOANDEI64_WD_M1_M2_MASK, VAMOANDEI64_WD }, // 228
  { PseudoVAMOANDEI64_WD_M2_M2, VAMOANDEI64_WD }, // 229
  { PseudoVAMOANDEI64_WD_M2_M2_MASK, VAMOANDEI64_WD }, // 230
  { PseudoVAMOANDEI64_WD_M2_M4, VAMOANDEI64_WD }, // 231
  { PseudoVAMOANDEI64_WD_M2_M4_MASK, VAMOANDEI64_WD }, // 232
  { PseudoVAMOANDEI64_WD_M4_M4, VAMOANDEI64_WD }, // 233
  { PseudoVAMOANDEI64_WD_M4_M4_MASK, VAMOANDEI64_WD }, // 234
  { PseudoVAMOANDEI64_WD_M4_M8, VAMOANDEI64_WD }, // 235
  { PseudoVAMOANDEI64_WD_M4_M8_MASK, VAMOANDEI64_WD }, // 236
  { PseudoVAMOANDEI64_WD_M8_M8, VAMOANDEI64_WD }, // 237
  { PseudoVAMOANDEI64_WD_M8_M8_MASK, VAMOANDEI64_WD }, // 238
  { PseudoVAMOANDEI64_WD_MF2_M1, VAMOANDEI64_WD }, // 239
  { PseudoVAMOANDEI64_WD_MF2_M1_MASK, VAMOANDEI64_WD }, // 240
  { PseudoVAMOANDEI8_WD_M1_MF4, VAMOANDEI8_WD }, // 241
  { PseudoVAMOANDEI8_WD_M1_MF4_MASK, VAMOANDEI8_WD }, // 242
  { PseudoVAMOANDEI8_WD_M1_MF8, VAMOANDEI8_WD }, // 243
  { PseudoVAMOANDEI8_WD_M1_MF8_MASK, VAMOANDEI8_WD }, // 244
  { PseudoVAMOANDEI8_WD_M2_MF2, VAMOANDEI8_WD }, // 245
  { PseudoVAMOANDEI8_WD_M2_MF2_MASK, VAMOANDEI8_WD }, // 246
  { PseudoVAMOANDEI8_WD_M2_MF4, VAMOANDEI8_WD }, // 247
  { PseudoVAMOANDEI8_WD_M2_MF4_MASK, VAMOANDEI8_WD }, // 248
  { PseudoVAMOANDEI8_WD_M4_M1, VAMOANDEI8_WD }, // 249
  { PseudoVAMOANDEI8_WD_M4_M1_MASK, VAMOANDEI8_WD }, // 250
  { PseudoVAMOANDEI8_WD_M4_MF2, VAMOANDEI8_WD }, // 251
  { PseudoVAMOANDEI8_WD_M4_MF2_MASK, VAMOANDEI8_WD }, // 252
  { PseudoVAMOANDEI8_WD_M8_M1, VAMOANDEI8_WD }, // 253
  { PseudoVAMOANDEI8_WD_M8_M1_MASK, VAMOANDEI8_WD }, // 254
  { PseudoVAMOANDEI8_WD_M8_M2, VAMOANDEI8_WD }, // 255
  { PseudoVAMOANDEI8_WD_M8_M2_MASK, VAMOANDEI8_WD }, // 256
  { PseudoVAMOANDEI8_WD_MF2_MF8, VAMOANDEI8_WD }, // 257
  { PseudoVAMOANDEI8_WD_MF2_MF8_MASK, VAMOANDEI8_WD }, // 258
  { PseudoVAMOMAXEI16_WD_M1_MF2, VAMOMAXEI16_WD }, // 259
  { PseudoVAMOMAXEI16_WD_M1_MF2_MASK, VAMOMAXEI16_WD }, // 260
  { PseudoVAMOMAXEI16_WD_M1_MF4, VAMOMAXEI16_WD }, // 261
  { PseudoVAMOMAXEI16_WD_M1_MF4_MASK, VAMOMAXEI16_WD }, // 262
  { PseudoVAMOMAXEI16_WD_M2_M1, VAMOMAXEI16_WD }, // 263
  { PseudoVAMOMAXEI16_WD_M2_M1_MASK, VAMOMAXEI16_WD }, // 264
  { PseudoVAMOMAXEI16_WD_M2_MF2, VAMOMAXEI16_WD }, // 265
  { PseudoVAMOMAXEI16_WD_M2_MF2_MASK, VAMOMAXEI16_WD }, // 266
  { PseudoVAMOMAXEI16_WD_M4_M1, VAMOMAXEI16_WD }, // 267
  { PseudoVAMOMAXEI16_WD_M4_M1_MASK, VAMOMAXEI16_WD }, // 268
  { PseudoVAMOMAXEI16_WD_M4_M2, VAMOMAXEI16_WD }, // 269
  { PseudoVAMOMAXEI16_WD_M4_M2_MASK, VAMOMAXEI16_WD }, // 270
  { PseudoVAMOMAXEI16_WD_M8_M2, VAMOMAXEI16_WD }, // 271
  { PseudoVAMOMAXEI16_WD_M8_M2_MASK, VAMOMAXEI16_WD }, // 272
  { PseudoVAMOMAXEI16_WD_M8_M4, VAMOMAXEI16_WD }, // 273
  { PseudoVAMOMAXEI16_WD_M8_M4_MASK, VAMOMAXEI16_WD }, // 274
  { PseudoVAMOMAXEI16_WD_MF2_MF4, VAMOMAXEI16_WD }, // 275
  { PseudoVAMOMAXEI16_WD_MF2_MF4_MASK, VAMOMAXEI16_WD }, // 276
  { PseudoVAMOMAXEI32_WD_M1_M1, VAMOMAXEI32_WD }, // 277
  { PseudoVAMOMAXEI32_WD_M1_M1_MASK, VAMOMAXEI32_WD }, // 278
  { PseudoVAMOMAXEI32_WD_M1_MF2, VAMOMAXEI32_WD }, // 279
  { PseudoVAMOMAXEI32_WD_M1_MF2_MASK, VAMOMAXEI32_WD }, // 280
  { PseudoVAMOMAXEI32_WD_M2_M1, VAMOMAXEI32_WD }, // 281
  { PseudoVAMOMAXEI32_WD_M2_M1_MASK, VAMOMAXEI32_WD }, // 282
  { PseudoVAMOMAXEI32_WD_M2_M2, VAMOMAXEI32_WD }, // 283
  { PseudoVAMOMAXEI32_WD_M2_M2_MASK, VAMOMAXEI32_WD }, // 284
  { PseudoVAMOMAXEI32_WD_M4_M2, VAMOMAXEI32_WD }, // 285
  { PseudoVAMOMAXEI32_WD_M4_M2_MASK, VAMOMAXEI32_WD }, // 286
  { PseudoVAMOMAXEI32_WD_M4_M4, VAMOMAXEI32_WD }, // 287
  { PseudoVAMOMAXEI32_WD_M4_M4_MASK, VAMOMAXEI32_WD }, // 288
  { PseudoVAMOMAXEI32_WD_M8_M4, VAMOMAXEI32_WD }, // 289
  { PseudoVAMOMAXEI32_WD_M8_M4_MASK, VAMOMAXEI32_WD }, // 290
  { PseudoVAMOMAXEI32_WD_M8_M8, VAMOMAXEI32_WD }, // 291
  { PseudoVAMOMAXEI32_WD_M8_M8_MASK, VAMOMAXEI32_WD }, // 292
  { PseudoVAMOMAXEI32_WD_MF2_MF2, VAMOMAXEI32_WD }, // 293
  { PseudoVAMOMAXEI32_WD_MF2_MF2_MASK, VAMOMAXEI32_WD }, // 294
  { PseudoVAMOMAXEI64_WD_M1_M1, VAMOMAXEI64_WD }, // 295
  { PseudoVAMOMAXEI64_WD_M1_M1_MASK, VAMOMAXEI64_WD }, // 296
  { PseudoVAMOMAXEI64_WD_M1_M2, VAMOMAXEI64_WD }, // 297
  { PseudoVAMOMAXEI64_WD_M1_M2_MASK, VAMOMAXEI64_WD }, // 298
  { PseudoVAMOMAXEI64_WD_M2_M2, VAMOMAXEI64_WD }, // 299
  { PseudoVAMOMAXEI64_WD_M2_M2_MASK, VAMOMAXEI64_WD }, // 300
  { PseudoVAMOMAXEI64_WD_M2_M4, VAMOMAXEI64_WD }, // 301
  { PseudoVAMOMAXEI64_WD_M2_M4_MASK, VAMOMAXEI64_WD }, // 302
  { PseudoVAMOMAXEI64_WD_M4_M4, VAMOMAXEI64_WD }, // 303
  { PseudoVAMOMAXEI64_WD_M4_M4_MASK, VAMOMAXEI64_WD }, // 304
  { PseudoVAMOMAXEI64_WD_M4_M8, VAMOMAXEI64_WD }, // 305
  { PseudoVAMOMAXEI64_WD_M4_M8_MASK, VAMOMAXEI64_WD }, // 306
  { PseudoVAMOMAXEI64_WD_M8_M8, VAMOMAXEI64_WD }, // 307
  { PseudoVAMOMAXEI64_WD_M8_M8_MASK, VAMOMAXEI64_WD }, // 308
  { PseudoVAMOMAXEI64_WD_MF2_M1, VAMOMAXEI64_WD }, // 309
  { PseudoVAMOMAXEI64_WD_MF2_M1_MASK, VAMOMAXEI64_WD }, // 310
  { PseudoVAMOMAXEI8_WD_M1_MF4, VAMOMAXEI8_WD }, // 311
  { PseudoVAMOMAXEI8_WD_M1_MF4_MASK, VAMOMAXEI8_WD }, // 312
  { PseudoVAMOMAXEI8_WD_M1_MF8, VAMOMAXEI8_WD }, // 313
  { PseudoVAMOMAXEI8_WD_M1_MF8_MASK, VAMOMAXEI8_WD }, // 314
  { PseudoVAMOMAXEI8_WD_M2_MF2, VAMOMAXEI8_WD }, // 315
  { PseudoVAMOMAXEI8_WD_M2_MF2_MASK, VAMOMAXEI8_WD }, // 316
  { PseudoVAMOMAXEI8_WD_M2_MF4, VAMOMAXEI8_WD }, // 317
  { PseudoVAMOMAXEI8_WD_M2_MF4_MASK, VAMOMAXEI8_WD }, // 318
  { PseudoVAMOMAXEI8_WD_M4_M1, VAMOMAXEI8_WD }, // 319
  { PseudoVAMOMAXEI8_WD_M4_M1_MASK, VAMOMAXEI8_WD }, // 320
  { PseudoVAMOMAXEI8_WD_M4_MF2, VAMOMAXEI8_WD }, // 321
  { PseudoVAMOMAXEI8_WD_M4_MF2_MASK, VAMOMAXEI8_WD }, // 322
  { PseudoVAMOMAXEI8_WD_M8_M1, VAMOMAXEI8_WD }, // 323
  { PseudoVAMOMAXEI8_WD_M8_M1_MASK, VAMOMAXEI8_WD }, // 324
  { PseudoVAMOMAXEI8_WD_M8_M2, VAMOMAXEI8_WD }, // 325
  { PseudoVAMOMAXEI8_WD_M8_M2_MASK, VAMOMAXEI8_WD }, // 326
  { PseudoVAMOMAXEI8_WD_MF2_MF8, VAMOMAXEI8_WD }, // 327
  { PseudoVAMOMAXEI8_WD_MF2_MF8_MASK, VAMOMAXEI8_WD }, // 328
  { PseudoVAMOMAXUEI16_WD_M1_MF2, VAMOMAXUEI16_WD }, // 329
  { PseudoVAMOMAXUEI16_WD_M1_MF2_MASK, VAMOMAXUEI16_WD }, // 330
  { PseudoVAMOMAXUEI16_WD_M1_MF4, VAMOMAXUEI16_WD }, // 331
  { PseudoVAMOMAXUEI16_WD_M1_MF4_MASK, VAMOMAXUEI16_WD }, // 332
  { PseudoVAMOMAXUEI16_WD_M2_M1, VAMOMAXUEI16_WD }, // 333
  { PseudoVAMOMAXUEI16_WD_M2_M1_MASK, VAMOMAXUEI16_WD }, // 334
  { PseudoVAMOMAXUEI16_WD_M2_MF2, VAMOMAXUEI16_WD }, // 335
  { PseudoVAMOMAXUEI16_WD_M2_MF2_MASK, VAMOMAXUEI16_WD }, // 336
  { PseudoVAMOMAXUEI16_WD_M4_M1, VAMOMAXUEI16_WD }, // 337
  { PseudoVAMOMAXUEI16_WD_M4_M1_MASK, VAMOMAXUEI16_WD }, // 338
  { PseudoVAMOMAXUEI16_WD_M4_M2, VAMOMAXUEI16_WD }, // 339
  { PseudoVAMOMAXUEI16_WD_M4_M2_MASK, VAMOMAXUEI16_WD }, // 340
  { PseudoVAMOMAXUEI16_WD_M8_M2, VAMOMAXUEI16_WD }, // 341
  { PseudoVAMOMAXUEI16_WD_M8_M2_MASK, VAMOMAXUEI16_WD }, // 342
  { PseudoVAMOMAXUEI16_WD_M8_M4, VAMOMAXUEI16_WD }, // 343
  { PseudoVAMOMAXUEI16_WD_M8_M4_MASK, VAMOMAXUEI16_WD }, // 344
  { PseudoVAMOMAXUEI16_WD_MF2_MF4, VAMOMAXUEI16_WD }, // 345
  { PseudoVAMOMAXUEI16_WD_MF2_MF4_MASK, VAMOMAXUEI16_WD }, // 346
  { PseudoVAMOMAXUEI32_WD_M1_M1, VAMOMAXUEI32_WD }, // 347
  { PseudoVAMOMAXUEI32_WD_M1_M1_MASK, VAMOMAXUEI32_WD }, // 348
  { PseudoVAMOMAXUEI32_WD_M1_MF2, VAMOMAXUEI32_WD }, // 349
  { PseudoVAMOMAXUEI32_WD_M1_MF2_MASK, VAMOMAXUEI32_WD }, // 350
  { PseudoVAMOMAXUEI32_WD_M2_M1, VAMOMAXUEI32_WD }, // 351
  { PseudoVAMOMAXUEI32_WD_M2_M1_MASK, VAMOMAXUEI32_WD }, // 352
  { PseudoVAMOMAXUEI32_WD_M2_M2, VAMOMAXUEI32_WD }, // 353
  { PseudoVAMOMAXUEI32_WD_M2_M2_MASK, VAMOMAXUEI32_WD }, // 354
  { PseudoVAMOMAXUEI32_WD_M4_M2, VAMOMAXUEI32_WD }, // 355
  { PseudoVAMOMAXUEI32_WD_M4_M2_MASK, VAMOMAXUEI32_WD }, // 356
  { PseudoVAMOMAXUEI32_WD_M4_M4, VAMOMAXUEI32_WD }, // 357
  { PseudoVAMOMAXUEI32_WD_M4_M4_MASK, VAMOMAXUEI32_WD }, // 358
  { PseudoVAMOMAXUEI32_WD_M8_M4, VAMOMAXUEI32_WD }, // 359
  { PseudoVAMOMAXUEI32_WD_M8_M4_MASK, VAMOMAXUEI32_WD }, // 360
  { PseudoVAMOMAXUEI32_WD_M8_M8, VAMOMAXUEI32_WD }, // 361
  { PseudoVAMOMAXUEI32_WD_M8_M8_MASK, VAMOMAXUEI32_WD }, // 362
  { PseudoVAMOMAXUEI32_WD_MF2_MF2, VAMOMAXUEI32_WD }, // 363
  { PseudoVAMOMAXUEI32_WD_MF2_MF2_MASK, VAMOMAXUEI32_WD }, // 364
  { PseudoVAMOMAXUEI64_WD_M1_M1, VAMOMAXUEI64_WD }, // 365
  { PseudoVAMOMAXUEI64_WD_M1_M1_MASK, VAMOMAXUEI64_WD }, // 366
  { PseudoVAMOMAXUEI64_WD_M1_M2, VAMOMAXUEI64_WD }, // 367
  { PseudoVAMOMAXUEI64_WD_M1_M2_MASK, VAMOMAXUEI64_WD }, // 368
  { PseudoVAMOMAXUEI64_WD_M2_M2, VAMOMAXUEI64_WD }, // 369
  { PseudoVAMOMAXUEI64_WD_M2_M2_MASK, VAMOMAXUEI64_WD }, // 370
  { PseudoVAMOMAXUEI64_WD_M2_M4, VAMOMAXUEI64_WD }, // 371
  { PseudoVAMOMAXUEI64_WD_M2_M4_MASK, VAMOMAXUEI64_WD }, // 372
  { PseudoVAMOMAXUEI64_WD_M4_M4, VAMOMAXUEI64_WD }, // 373
  { PseudoVAMOMAXUEI64_WD_M4_M4_MASK, VAMOMAXUEI64_WD }, // 374
  { PseudoVAMOMAXUEI64_WD_M4_M8, VAMOMAXUEI64_WD }, // 375
  { PseudoVAMOMAXUEI64_WD_M4_M8_MASK, VAMOMAXUEI64_WD }, // 376
  { PseudoVAMOMAXUEI64_WD_M8_M8, VAMOMAXUEI64_WD }, // 377
  { PseudoVAMOMAXUEI64_WD_M8_M8_MASK, VAMOMAXUEI64_WD }, // 378
  { PseudoVAMOMAXUEI64_WD_MF2_M1, VAMOMAXUEI64_WD }, // 379
  { PseudoVAMOMAXUEI64_WD_MF2_M1_MASK, VAMOMAXUEI64_WD }, // 380
  { PseudoVAMOMAXUEI8_WD_M1_MF4, VAMOMAXUEI8_WD }, // 381
  { PseudoVAMOMAXUEI8_WD_M1_MF4_MASK, VAMOMAXUEI8_WD }, // 382
  { PseudoVAMOMAXUEI8_WD_M1_MF8, VAMOMAXUEI8_WD }, // 383
  { PseudoVAMOMAXUEI8_WD_M1_MF8_MASK, VAMOMAXUEI8_WD }, // 384
  { PseudoVAMOMAXUEI8_WD_M2_MF2, VAMOMAXUEI8_WD }, // 385
  { PseudoVAMOMAXUEI8_WD_M2_MF2_MASK, VAMOMAXUEI8_WD }, // 386
  { PseudoVAMOMAXUEI8_WD_M2_MF4, VAMOMAXUEI8_WD }, // 387
  { PseudoVAMOMAXUEI8_WD_M2_MF4_MASK, VAMOMAXUEI8_WD }, // 388
  { PseudoVAMOMAXUEI8_WD_M4_M1, VAMOMAXUEI8_WD }, // 389
  { PseudoVAMOMAXUEI8_WD_M4_M1_MASK, VAMOMAXUEI8_WD }, // 390
  { PseudoVAMOMAXUEI8_WD_M4_MF2, VAMOMAXUEI8_WD }, // 391
  { PseudoVAMOMAXUEI8_WD_M4_MF2_MASK, VAMOMAXUEI8_WD }, // 392
  { PseudoVAMOMAXUEI8_WD_M8_M1, VAMOMAXUEI8_WD }, // 393
  { PseudoVAMOMAXUEI8_WD_M8_M1_MASK, VAMOMAXUEI8_WD }, // 394
  { PseudoVAMOMAXUEI8_WD_M8_M2, VAMOMAXUEI8_WD }, // 395
  { PseudoVAMOMAXUEI8_WD_M8_M2_MASK, VAMOMAXUEI8_WD }, // 396
  { PseudoVAMOMAXUEI8_WD_MF2_MF8, VAMOMAXUEI8_WD }, // 397
  { PseudoVAMOMAXUEI8_WD_MF2_MF8_MASK, VAMOMAXUEI8_WD }, // 398
  { PseudoVAMOMINEI16_WD_M1_MF2, VAMOMINEI16_WD }, // 399
  { PseudoVAMOMINEI16_WD_M1_MF2_MASK, VAMOMINEI16_WD }, // 400
  { PseudoVAMOMINEI16_WD_M1_MF4, VAMOMINEI16_WD }, // 401
  { PseudoVAMOMINEI16_WD_M1_MF4_MASK, VAMOMINEI16_WD }, // 402
  { PseudoVAMOMINEI16_WD_M2_M1, VAMOMINEI16_WD }, // 403
  { PseudoVAMOMINEI16_WD_M2_M1_MASK, VAMOMINEI16_WD }, // 404
  { PseudoVAMOMINEI16_WD_M2_MF2, VAMOMINEI16_WD }, // 405
  { PseudoVAMOMINEI16_WD_M2_MF2_MASK, VAMOMINEI16_WD }, // 406
  { PseudoVAMOMINEI16_WD_M4_M1, VAMOMINEI16_WD }, // 407
  { PseudoVAMOMINEI16_WD_M4_M1_MASK, VAMOMINEI16_WD }, // 408
  { PseudoVAMOMINEI16_WD_M4_M2, VAMOMINEI16_WD }, // 409
  { PseudoVAMOMINEI16_WD_M4_M2_MASK, VAMOMINEI16_WD }, // 410
  { PseudoVAMOMINEI16_WD_M8_M2, VAMOMINEI16_WD }, // 411
  { PseudoVAMOMINEI16_WD_M8_M2_MASK, VAMOMINEI16_WD }, // 412
  { PseudoVAMOMINEI16_WD_M8_M4, VAMOMINEI16_WD }, // 413
  { PseudoVAMOMINEI16_WD_M8_M4_MASK, VAMOMINEI16_WD }, // 414
  { PseudoVAMOMINEI16_WD_MF2_MF4, VAMOMINEI16_WD }, // 415
  { PseudoVAMOMINEI16_WD_MF2_MF4_MASK, VAMOMINEI16_WD }, // 416
  { PseudoVAMOMINEI32_WD_M1_M1, VAMOMINEI32_WD }, // 417
  { PseudoVAMOMINEI32_WD_M1_M1_MASK, VAMOMINEI32_WD }, // 418
  { PseudoVAMOMINEI32_WD_M1_MF2, VAMOMINEI32_WD }, // 419
  { PseudoVAMOMINEI32_WD_M1_MF2_MASK, VAMOMINEI32_WD }, // 420
  { PseudoVAMOMINEI32_WD_M2_M1, VAMOMINEI32_WD }, // 421
  { PseudoVAMOMINEI32_WD_M2_M1_MASK, VAMOMINEI32_WD }, // 422
  { PseudoVAMOMINEI32_WD_M2_M2, VAMOMINEI32_WD }, // 423
  { PseudoVAMOMINEI32_WD_M2_M2_MASK, VAMOMINEI32_WD }, // 424
  { PseudoVAMOMINEI32_WD_M4_M2, VAMOMINEI32_WD }, // 425
  { PseudoVAMOMINEI32_WD_M4_M2_MASK, VAMOMINEI32_WD }, // 426
  { PseudoVAMOMINEI32_WD_M4_M4, VAMOMINEI32_WD }, // 427
  { PseudoVAMOMINEI32_WD_M4_M4_MASK, VAMOMINEI32_WD }, // 428
  { PseudoVAMOMINEI32_WD_M8_M4, VAMOMINEI32_WD }, // 429
  { PseudoVAMOMINEI32_WD_M8_M4_MASK, VAMOMINEI32_WD }, // 430
  { PseudoVAMOMINEI32_WD_M8_M8, VAMOMINEI32_WD }, // 431
  { PseudoVAMOMINEI32_WD_M8_M8_MASK, VAMOMINEI32_WD }, // 432
  { PseudoVAMOMINEI32_WD_MF2_MF2, VAMOMINEI32_WD }, // 433
  { PseudoVAMOMINEI32_WD_MF2_MF2_MASK, VAMOMINEI32_WD }, // 434
  { PseudoVAMOMINEI64_WD_M1_M1, VAMOMINEI64_WD }, // 435
  { PseudoVAMOMINEI64_WD_M1_M1_MASK, VAMOMINEI64_WD }, // 436
  { PseudoVAMOMINEI64_WD_M1_M2, VAMOMINEI64_WD }, // 437
  { PseudoVAMOMINEI64_WD_M1_M2_MASK, VAMOMINEI64_WD }, // 438
  { PseudoVAMOMINEI64_WD_M2_M2, VAMOMINEI64_WD }, // 439
  { PseudoVAMOMINEI64_WD_M2_M2_MASK, VAMOMINEI64_WD }, // 440
  { PseudoVAMOMINEI64_WD_M2_M4, VAMOMINEI64_WD }, // 441
  { PseudoVAMOMINEI64_WD_M2_M4_MASK, VAMOMINEI64_WD }, // 442
  { PseudoVAMOMINEI64_WD_M4_M4, VAMOMINEI64_WD }, // 443
  { PseudoVAMOMINEI64_WD_M4_M4_MASK, VAMOMINEI64_WD }, // 444
  { PseudoVAMOMINEI64_WD_M4_M8, VAMOMINEI64_WD }, // 445
  { PseudoVAMOMINEI64_WD_M4_M8_MASK, VAMOMINEI64_WD }, // 446
  { PseudoVAMOMINEI64_WD_M8_M8, VAMOMINEI64_WD }, // 447
  { PseudoVAMOMINEI64_WD_M8_M8_MASK, VAMOMINEI64_WD }, // 448
  { PseudoVAMOMINEI64_WD_MF2_M1, VAMOMINEI64_WD }, // 449
  { PseudoVAMOMINEI64_WD_MF2_M1_MASK, VAMOMINEI64_WD }, // 450
  { PseudoVAMOMINEI8_WD_M1_MF4, VAMOMINEI8_WD }, // 451
  { PseudoVAMOMINEI8_WD_M1_MF4_MASK, VAMOMINEI8_WD }, // 452
  { PseudoVAMOMINEI8_WD_M1_MF8, VAMOMINEI8_WD }, // 453
  { PseudoVAMOMINEI8_WD_M1_MF8_MASK, VAMOMINEI8_WD }, // 454
  { PseudoVAMOMINEI8_WD_M2_MF2, VAMOMINEI8_WD }, // 455
  { PseudoVAMOMINEI8_WD_M2_MF2_MASK, VAMOMINEI8_WD }, // 456
  { PseudoVAMOMINEI8_WD_M2_MF4, VAMOMINEI8_WD }, // 457
  { PseudoVAMOMINEI8_WD_M2_MF4_MASK, VAMOMINEI8_WD }, // 458
  { PseudoVAMOMINEI8_WD_M4_M1, VAMOMINEI8_WD }, // 459
  { PseudoVAMOMINEI8_WD_M4_M1_MASK, VAMOMINEI8_WD }, // 460
  { PseudoVAMOMINEI8_WD_M4_MF2, VAMOMINEI8_WD }, // 461
  { PseudoVAMOMINEI8_WD_M4_MF2_MASK, VAMOMINEI8_WD }, // 462
  { PseudoVAMOMINEI8_WD_M8_M1, VAMOMINEI8_WD }, // 463
  { PseudoVAMOMINEI8_WD_M8_M1_MASK, VAMOMINEI8_WD }, // 464
  { PseudoVAMOMINEI8_WD_M8_M2, VAMOMINEI8_WD }, // 465
  { PseudoVAMOMINEI8_WD_M8_M2_MASK, VAMOMINEI8_WD }, // 466
  { PseudoVAMOMINEI8_WD_MF2_MF8, VAMOMINEI8_WD }, // 467
  { PseudoVAMOMINEI8_WD_MF2_MF8_MASK, VAMOMINEI8_WD }, // 468
  { PseudoVAMOMINUEI16_WD_M1_MF2, VAMOMINUEI16_WD }, // 469
  { PseudoVAMOMINUEI16_WD_M1_MF2_MASK, VAMOMINUEI16_WD }, // 470
  { PseudoVAMOMINUEI16_WD_M1_MF4, VAMOMINUEI16_WD }, // 471
  { PseudoVAMOMINUEI16_WD_M1_MF4_MASK, VAMOMINUEI16_WD }, // 472
  { PseudoVAMOMINUEI16_WD_M2_M1, VAMOMINUEI16_WD }, // 473
  { PseudoVAMOMINUEI16_WD_M2_M1_MASK, VAMOMINUEI16_WD }, // 474
  { PseudoVAMOMINUEI16_WD_M2_MF2, VAMOMINUEI16_WD }, // 475
  { PseudoVAMOMINUEI16_WD_M2_MF2_MASK, VAMOMINUEI16_WD }, // 476
  { PseudoVAMOMINUEI16_WD_M4_M1, VAMOMINUEI16_WD }, // 477
  { PseudoVAMOMINUEI16_WD_M4_M1_MASK, VAMOMINUEI16_WD }, // 478
  { PseudoVAMOMINUEI16_WD_M4_M2, VAMOMINUEI16_WD }, // 479
  { PseudoVAMOMINUEI16_WD_M4_M2_MASK, VAMOMINUEI16_WD }, // 480
  { PseudoVAMOMINUEI16_WD_M8_M2, VAMOMINUEI16_WD }, // 481
  { PseudoVAMOMINUEI16_WD_M8_M2_MASK, VAMOMINUEI16_WD }, // 482
  { PseudoVAMOMINUEI16_WD_M8_M4, VAMOMINUEI16_WD }, // 483
  { PseudoVAMOMINUEI16_WD_M8_M4_MASK, VAMOMINUEI16_WD }, // 484
  { PseudoVAMOMINUEI16_WD_MF2_MF4, VAMOMINUEI16_WD }, // 485
  { PseudoVAMOMINUEI16_WD_MF2_MF4_MASK, VAMOMINUEI16_WD }, // 486
  { PseudoVAMOMINUEI32_WD_M1_M1, VAMOMINUEI32_WD }, // 487
  { PseudoVAMOMINUEI32_WD_M1_M1_MASK, VAMOMINUEI32_WD }, // 488
  { PseudoVAMOMINUEI32_WD_M1_MF2, VAMOMINUEI32_WD }, // 489
  { PseudoVAMOMINUEI32_WD_M1_MF2_MASK, VAMOMINUEI32_WD }, // 490
  { PseudoVAMOMINUEI32_WD_M2_M1, VAMOMINUEI32_WD }, // 491
  { PseudoVAMOMINUEI32_WD_M2_M1_MASK, VAMOMINUEI32_WD }, // 492
  { PseudoVAMOMINUEI32_WD_M2_M2, VAMOMINUEI32_WD }, // 493
  { PseudoVAMOMINUEI32_WD_M2_M2_MASK, VAMOMINUEI32_WD }, // 494
  { PseudoVAMOMINUEI32_WD_M4_M2, VAMOMINUEI32_WD }, // 495
  { PseudoVAMOMINUEI32_WD_M4_M2_MASK, VAMOMINUEI32_WD }, // 496
  { PseudoVAMOMINUEI32_WD_M4_M4, VAMOMINUEI32_WD }, // 497
  { PseudoVAMOMINUEI32_WD_M4_M4_MASK, VAMOMINUEI32_WD }, // 498
  { PseudoVAMOMINUEI32_WD_M8_M4, VAMOMINUEI32_WD }, // 499
  { PseudoVAMOMINUEI32_WD_M8_M4_MASK, VAMOMINUEI32_WD }, // 500
  { PseudoVAMOMINUEI32_WD_M8_M8, VAMOMINUEI32_WD }, // 501
  { PseudoVAMOMINUEI32_WD_M8_M8_MASK, VAMOMINUEI32_WD }, // 502
  { PseudoVAMOMINUEI32_WD_MF2_MF2, VAMOMINUEI32_WD }, // 503
  { PseudoVAMOMINUEI32_WD_MF2_MF2_MASK, VAMOMINUEI32_WD }, // 504
  { PseudoVAMOMINUEI64_WD_M1_M1, VAMOMINUEI64_WD }, // 505
  { PseudoVAMOMINUEI64_WD_M1_M1_MASK, VAMOMINUEI64_WD }, // 506
  { PseudoVAMOMINUEI64_WD_M1_M2, VAMOMINUEI64_WD }, // 507
  { PseudoVAMOMINUEI64_WD_M1_M2_MASK, VAMOMINUEI64_WD }, // 508
  { PseudoVAMOMINUEI64_WD_M2_M2, VAMOMINUEI64_WD }, // 509
  { PseudoVAMOMINUEI64_WD_M2_M2_MASK, VAMOMINUEI64_WD }, // 510
  { PseudoVAMOMINUEI64_WD_M2_M4, VAMOMINUEI64_WD }, // 511
  { PseudoVAMOMINUEI64_WD_M2_M4_MASK, VAMOMINUEI64_WD }, // 512
  { PseudoVAMOMINUEI64_WD_M4_M4, VAMOMINUEI64_WD }, // 513
  { PseudoVAMOMINUEI64_WD_M4_M4_MASK, VAMOMINUEI64_WD }, // 514
  { PseudoVAMOMINUEI64_WD_M4_M8, VAMOMINUEI64_WD }, // 515
  { PseudoVAMOMINUEI64_WD_M4_M8_MASK, VAMOMINUEI64_WD }, // 516
  { PseudoVAMOMINUEI64_WD_M8_M8, VAMOMINUEI64_WD }, // 517
  { PseudoVAMOMINUEI64_WD_M8_M8_MASK, VAMOMINUEI64_WD }, // 518
  { PseudoVAMOMINUEI64_WD_MF2_M1, VAMOMINUEI64_WD }, // 519
  { PseudoVAMOMINUEI64_WD_MF2_M1_MASK, VAMOMINUEI64_WD }, // 520
  { PseudoVAMOMINUEI8_WD_M1_MF4, VAMOMINUEI8_WD }, // 521
  { PseudoVAMOMINUEI8_WD_M1_MF4_MASK, VAMOMINUEI8_WD }, // 522
  { PseudoVAMOMINUEI8_WD_M1_MF8, VAMOMINUEI8_WD }, // 523
  { PseudoVAMOMINUEI8_WD_M1_MF8_MASK, VAMOMINUEI8_WD }, // 524
  { PseudoVAMOMINUEI8_WD_M2_MF2, VAMOMINUEI8_WD }, // 525
  { PseudoVAMOMINUEI8_WD_M2_MF2_MASK, VAMOMINUEI8_WD }, // 526
  { PseudoVAMOMINUEI8_WD_M2_MF4, VAMOMINUEI8_WD }, // 527
  { PseudoVAMOMINUEI8_WD_M2_MF4_MASK, VAMOMINUEI8_WD }, // 528
  { PseudoVAMOMINUEI8_WD_M4_M1, VAMOMINUEI8_WD }, // 529
  { PseudoVAMOMINUEI8_WD_M4_M1_MASK, VAMOMINUEI8_WD }, // 530
  { PseudoVAMOMINUEI8_WD_M4_MF2, VAMOMINUEI8_WD }, // 531
  { PseudoVAMOMINUEI8_WD_M4_MF2_MASK, VAMOMINUEI8_WD }, // 532
  { PseudoVAMOMINUEI8_WD_M8_M1, VAMOMINUEI8_WD }, // 533
  { PseudoVAMOMINUEI8_WD_M8_M1_MASK, VAMOMINUEI8_WD }, // 534
  { PseudoVAMOMINUEI8_WD_M8_M2, VAMOMINUEI8_WD }, // 535
  { PseudoVAMOMINUEI8_WD_M8_M2_MASK, VAMOMINUEI8_WD }, // 536
  { PseudoVAMOMINUEI8_WD_MF2_MF8, VAMOMINUEI8_WD }, // 537
  { PseudoVAMOMINUEI8_WD_MF2_MF8_MASK, VAMOMINUEI8_WD }, // 538
  { PseudoVAMOOREI16_WD_M1_MF2, VAMOOREI16_WD }, // 539
  { PseudoVAMOOREI16_WD_M1_MF2_MASK, VAMOOREI16_WD }, // 540
  { PseudoVAMOOREI16_WD_M1_MF4, VAMOOREI16_WD }, // 541
  { PseudoVAMOOREI16_WD_M1_MF4_MASK, VAMOOREI16_WD }, // 542
  { PseudoVAMOOREI16_WD_M2_M1, VAMOOREI16_WD }, // 543
  { PseudoVAMOOREI16_WD_M2_M1_MASK, VAMOOREI16_WD }, // 544
  { PseudoVAMOOREI16_WD_M2_MF2, VAMOOREI16_WD }, // 545
  { PseudoVAMOOREI16_WD_M2_MF2_MASK, VAMOOREI16_WD }, // 546
  { PseudoVAMOOREI16_WD_M4_M1, VAMOOREI16_WD }, // 547
  { PseudoVAMOOREI16_WD_M4_M1_MASK, VAMOOREI16_WD }, // 548
  { PseudoVAMOOREI16_WD_M4_M2, VAMOOREI16_WD }, // 549
  { PseudoVAMOOREI16_WD_M4_M2_MASK, VAMOOREI16_WD }, // 550
  { PseudoVAMOOREI16_WD_M8_M2, VAMOOREI16_WD }, // 551
  { PseudoVAMOOREI16_WD_M8_M2_MASK, VAMOOREI16_WD }, // 552
  { PseudoVAMOOREI16_WD_M8_M4, VAMOOREI16_WD }, // 553
  { PseudoVAMOOREI16_WD_M8_M4_MASK, VAMOOREI16_WD }, // 554
  { PseudoVAMOOREI16_WD_MF2_MF4, VAMOOREI16_WD }, // 555
  { PseudoVAMOOREI16_WD_MF2_MF4_MASK, VAMOOREI16_WD }, // 556
  { PseudoVAMOOREI32_WD_M1_M1, VAMOOREI32_WD }, // 557
  { PseudoVAMOOREI32_WD_M1_M1_MASK, VAMOOREI32_WD }, // 558
  { PseudoVAMOOREI32_WD_M1_MF2, VAMOOREI32_WD }, // 559
  { PseudoVAMOOREI32_WD_M1_MF2_MASK, VAMOOREI32_WD }, // 560
  { PseudoVAMOOREI32_WD_M2_M1, VAMOOREI32_WD }, // 561
  { PseudoVAMOOREI32_WD_M2_M1_MASK, VAMOOREI32_WD }, // 562
  { PseudoVAMOOREI32_WD_M2_M2, VAMOOREI32_WD }, // 563
  { PseudoVAMOOREI32_WD_M2_M2_MASK, VAMOOREI32_WD }, // 564
  { PseudoVAMOOREI32_WD_M4_M2, VAMOOREI32_WD }, // 565
  { PseudoVAMOOREI32_WD_M4_M2_MASK, VAMOOREI32_WD }, // 566
  { PseudoVAMOOREI32_WD_M4_M4, VAMOOREI32_WD }, // 567
  { PseudoVAMOOREI32_WD_M4_M4_MASK, VAMOOREI32_WD }, // 568
  { PseudoVAMOOREI32_WD_M8_M4, VAMOOREI32_WD }, // 569
  { PseudoVAMOOREI32_WD_M8_M4_MASK, VAMOOREI32_WD }, // 570
  { PseudoVAMOOREI32_WD_M8_M8, VAMOOREI32_WD }, // 571
  { PseudoVAMOOREI32_WD_M8_M8_MASK, VAMOOREI32_WD }, // 572
  { PseudoVAMOOREI32_WD_MF2_MF2, VAMOOREI32_WD }, // 573
  { PseudoVAMOOREI32_WD_MF2_MF2_MASK, VAMOOREI32_WD }, // 574
  { PseudoVAMOOREI64_WD_M1_M1, VAMOOREI64_WD }, // 575
  { PseudoVAMOOREI64_WD_M1_M1_MASK, VAMOOREI64_WD }, // 576
  { PseudoVAMOOREI64_WD_M1_M2, VAMOOREI64_WD }, // 577
  { PseudoVAMOOREI64_WD_M1_M2_MASK, VAMOOREI64_WD }, // 578
  { PseudoVAMOOREI64_WD_M2_M2, VAMOOREI64_WD }, // 579
  { PseudoVAMOOREI64_WD_M2_M2_MASK, VAMOOREI64_WD }, // 580
  { PseudoVAMOOREI64_WD_M2_M4, VAMOOREI64_WD }, // 581
  { PseudoVAMOOREI64_WD_M2_M4_MASK, VAMOOREI64_WD }, // 582
  { PseudoVAMOOREI64_WD_M4_M4, VAMOOREI64_WD }, // 583
  { PseudoVAMOOREI64_WD_M4_M4_MASK, VAMOOREI64_WD }, // 584
  { PseudoVAMOOREI64_WD_M4_M8, VAMOOREI64_WD }, // 585
  { PseudoVAMOOREI64_WD_M4_M8_MASK, VAMOOREI64_WD }, // 586
  { PseudoVAMOOREI64_WD_M8_M8, VAMOOREI64_WD }, // 587
  { PseudoVAMOOREI64_WD_M8_M8_MASK, VAMOOREI64_WD }, // 588
  { PseudoVAMOOREI64_WD_MF2_M1, VAMOOREI64_WD }, // 589
  { PseudoVAMOOREI64_WD_MF2_M1_MASK, VAMOOREI64_WD }, // 590
  { PseudoVAMOOREI8_WD_M1_MF4, VAMOOREI8_WD }, // 591
  { PseudoVAMOOREI8_WD_M1_MF4_MASK, VAMOOREI8_WD }, // 592
  { PseudoVAMOOREI8_WD_M1_MF8, VAMOOREI8_WD }, // 593
  { PseudoVAMOOREI8_WD_M1_MF8_MASK, VAMOOREI8_WD }, // 594
  { PseudoVAMOOREI8_WD_M2_MF2, VAMOOREI8_WD }, // 595
  { PseudoVAMOOREI8_WD_M2_MF2_MASK, VAMOOREI8_WD }, // 596
  { PseudoVAMOOREI8_WD_M2_MF4, VAMOOREI8_WD }, // 597
  { PseudoVAMOOREI8_WD_M2_MF4_MASK, VAMOOREI8_WD }, // 598
  { PseudoVAMOOREI8_WD_M4_M1, VAMOOREI8_WD }, // 599
  { PseudoVAMOOREI8_WD_M4_M1_MASK, VAMOOREI8_WD }, // 600
  { PseudoVAMOOREI8_WD_M4_MF2, VAMOOREI8_WD }, // 601
  { PseudoVAMOOREI8_WD_M4_MF2_MASK, VAMOOREI8_WD }, // 602
  { PseudoVAMOOREI8_WD_M8_M1, VAMOOREI8_WD }, // 603
  { PseudoVAMOOREI8_WD_M8_M1_MASK, VAMOOREI8_WD }, // 604
  { PseudoVAMOOREI8_WD_M8_M2, VAMOOREI8_WD }, // 605
  { PseudoVAMOOREI8_WD_M8_M2_MASK, VAMOOREI8_WD }, // 606
  { PseudoVAMOOREI8_WD_MF2_MF8, VAMOOREI8_WD }, // 607
  { PseudoVAMOOREI8_WD_MF2_MF8_MASK, VAMOOREI8_WD }, // 608
  { PseudoVAMOSWAPEI16_WD_M1_MF2, VAMOSWAPEI16_WD }, // 609
  { PseudoVAMOSWAPEI16_WD_M1_MF2_MASK, VAMOSWAPEI16_WD }, // 610
  { PseudoVAMOSWAPEI16_WD_M1_MF4, VAMOSWAPEI16_WD }, // 611
  { PseudoVAMOSWAPEI16_WD_M1_MF4_MASK, VAMOSWAPEI16_WD }, // 612
  { PseudoVAMOSWAPEI16_WD_M2_M1, VAMOSWAPEI16_WD }, // 613
  { PseudoVAMOSWAPEI16_WD_M2_M1_MASK, VAMOSWAPEI16_WD }, // 614
  { PseudoVAMOSWAPEI16_WD_M2_MF2, VAMOSWAPEI16_WD }, // 615
  { PseudoVAMOSWAPEI16_WD_M2_MF2_MASK, VAMOSWAPEI16_WD }, // 616
  { PseudoVAMOSWAPEI16_WD_M4_M1, VAMOSWAPEI16_WD }, // 617
  { PseudoVAMOSWAPEI16_WD_M4_M1_MASK, VAMOSWAPEI16_WD }, // 618
  { PseudoVAMOSWAPEI16_WD_M4_M2, VAMOSWAPEI16_WD }, // 619
  { PseudoVAMOSWAPEI16_WD_M4_M2_MASK, VAMOSWAPEI16_WD }, // 620
  { PseudoVAMOSWAPEI16_WD_M8_M2, VAMOSWAPEI16_WD }, // 621
  { PseudoVAMOSWAPEI16_WD_M8_M2_MASK, VAMOSWAPEI16_WD }, // 622
  { PseudoVAMOSWAPEI16_WD_M8_M4, VAMOSWAPEI16_WD }, // 623
  { PseudoVAMOSWAPEI16_WD_M8_M4_MASK, VAMOSWAPEI16_WD }, // 624
  { PseudoVAMOSWAPEI16_WD_MF2_MF4, VAMOSWAPEI16_WD }, // 625
  { PseudoVAMOSWAPEI16_WD_MF2_MF4_MASK, VAMOSWAPEI16_WD }, // 626
  { PseudoVAMOSWAPEI32_WD_M1_M1, VAMOSWAPEI32_WD }, // 627
  { PseudoVAMOSWAPEI32_WD_M1_M1_MASK, VAMOSWAPEI32_WD }, // 628
  { PseudoVAMOSWAPEI32_WD_M1_MF2, VAMOSWAPEI32_WD }, // 629
  { PseudoVAMOSWAPEI32_WD_M1_MF2_MASK, VAMOSWAPEI32_WD }, // 630
  { PseudoVAMOSWAPEI32_WD_M2_M1, VAMOSWAPEI32_WD }, // 631
  { PseudoVAMOSWAPEI32_WD_M2_M1_MASK, VAMOSWAPEI32_WD }, // 632
  { PseudoVAMOSWAPEI32_WD_M2_M2, VAMOSWAPEI32_WD }, // 633
  { PseudoVAMOSWAPEI32_WD_M2_M2_MASK, VAMOSWAPEI32_WD }, // 634
  { PseudoVAMOSWAPEI32_WD_M4_M2, VAMOSWAPEI32_WD }, // 635
  { PseudoVAMOSWAPEI32_WD_M4_M2_MASK, VAMOSWAPEI32_WD }, // 636
  { PseudoVAMOSWAPEI32_WD_M4_M4, VAMOSWAPEI32_WD }, // 637
  { PseudoVAMOSWAPEI32_WD_M4_M4_MASK, VAMOSWAPEI32_WD }, // 638
  { PseudoVAMOSWAPEI32_WD_M8_M4, VAMOSWAPEI32_WD }, // 639
  { PseudoVAMOSWAPEI32_WD_M8_M4_MASK, VAMOSWAPEI32_WD }, // 640
  { PseudoVAMOSWAPEI32_WD_M8_M8, VAMOSWAPEI32_WD }, // 641
  { PseudoVAMOSWAPEI32_WD_M8_M8_MASK, VAMOSWAPEI32_WD }, // 642
  { PseudoVAMOSWAPEI32_WD_MF2_MF2, VAMOSWAPEI32_WD }, // 643
  { PseudoVAMOSWAPEI32_WD_MF2_MF2_MASK, VAMOSWAPEI32_WD }, // 644
  { PseudoVAMOSWAPEI64_WD_M1_M1, VAMOSWAPEI64_WD }, // 645
  { PseudoVAMOSWAPEI64_WD_M1_M1_MASK, VAMOSWAPEI64_WD }, // 646
  { PseudoVAMOSWAPEI64_WD_M1_M2, VAMOSWAPEI64_WD }, // 647
  { PseudoVAMOSWAPEI64_WD_M1_M2_MASK, VAMOSWAPEI64_WD }, // 648
  { PseudoVAMOSWAPEI64_WD_M2_M2, VAMOSWAPEI64_WD }, // 649
  { PseudoVAMOSWAPEI64_WD_M2_M2_MASK, VAMOSWAPEI64_WD }, // 650
  { PseudoVAMOSWAPEI64_WD_M2_M4, VAMOSWAPEI64_WD }, // 651
  { PseudoVAMOSWAPEI64_WD_M2_M4_MASK, VAMOSWAPEI64_WD }, // 652
  { PseudoVAMOSWAPEI64_WD_M4_M4, VAMOSWAPEI64_WD }, // 653
  { PseudoVAMOSWAPEI64_WD_M4_M4_MASK, VAMOSWAPEI64_WD }, // 654
  { PseudoVAMOSWAPEI64_WD_M4_M8, VAMOSWAPEI64_WD }, // 655
  { PseudoVAMOSWAPEI64_WD_M4_M8_MASK, VAMOSWAPEI64_WD }, // 656
  { PseudoVAMOSWAPEI64_WD_M8_M8, VAMOSWAPEI64_WD }, // 657
  { PseudoVAMOSWAPEI64_WD_M8_M8_MASK, VAMOSWAPEI64_WD }, // 658
  { PseudoVAMOSWAPEI64_WD_MF2_M1, VAMOSWAPEI64_WD }, // 659
  { PseudoVAMOSWAPEI64_WD_MF2_M1_MASK, VAMOSWAPEI64_WD }, // 660
  { PseudoVAMOSWAPEI8_WD_M1_MF4, VAMOSWAPEI8_WD }, // 661
  { PseudoVAMOSWAPEI8_WD_M1_MF4_MASK, VAMOSWAPEI8_WD }, // 662
  { PseudoVAMOSWAPEI8_WD_M1_MF8, VAMOSWAPEI8_WD }, // 663
  { PseudoVAMOSWAPEI8_WD_M1_MF8_MASK, VAMOSWAPEI8_WD }, // 664
  { PseudoVAMOSWAPEI8_WD_M2_MF2, VAMOSWAPEI8_WD }, // 665
  { PseudoVAMOSWAPEI8_WD_M2_MF2_MASK, VAMOSWAPEI8_WD }, // 666
  { PseudoVAMOSWAPEI8_WD_M2_MF4, VAMOSWAPEI8_WD }, // 667
  { PseudoVAMOSWAPEI8_WD_M2_MF4_MASK, VAMOSWAPEI8_WD }, // 668
  { PseudoVAMOSWAPEI8_WD_M4_M1, VAMOSWAPEI8_WD }, // 669
  { PseudoVAMOSWAPEI8_WD_M4_M1_MASK, VAMOSWAPEI8_WD }, // 670
  { PseudoVAMOSWAPEI8_WD_M4_MF2, VAMOSWAPEI8_WD }, // 671
  { PseudoVAMOSWAPEI8_WD_M4_MF2_MASK, VAMOSWAPEI8_WD }, // 672
  { PseudoVAMOSWAPEI8_WD_M8_M1, VAMOSWAPEI8_WD }, // 673
  { PseudoVAMOSWAPEI8_WD_M8_M1_MASK, VAMOSWAPEI8_WD }, // 674
  { PseudoVAMOSWAPEI8_WD_M8_M2, VAMOSWAPEI8_WD }, // 675
  { PseudoVAMOSWAPEI8_WD_M8_M2_MASK, VAMOSWAPEI8_WD }, // 676
  { PseudoVAMOSWAPEI8_WD_MF2_MF8, VAMOSWAPEI8_WD }, // 677
  { PseudoVAMOSWAPEI8_WD_MF2_MF8_MASK, VAMOSWAPEI8_WD }, // 678
  { PseudoVAMOXOREI16_WD_M1_MF2, VAMOXOREI16_WD }, // 679
  { PseudoVAMOXOREI16_WD_M1_MF2_MASK, VAMOXOREI16_WD }, // 680
  { PseudoVAMOXOREI16_WD_M1_MF4, VAMOXOREI16_WD }, // 681
  { PseudoVAMOXOREI16_WD_M1_MF4_MASK, VAMOXOREI16_WD }, // 682
  { PseudoVAMOXOREI16_WD_M2_M1, VAMOXOREI16_WD }, // 683
  { PseudoVAMOXOREI16_WD_M2_M1_MASK, VAMOXOREI16_WD }, // 684
  { PseudoVAMOXOREI16_WD_M2_MF2, VAMOXOREI16_WD }, // 685
  { PseudoVAMOXOREI16_WD_M2_MF2_MASK, VAMOXOREI16_WD }, // 686
  { PseudoVAMOXOREI16_WD_M4_M1, VAMOXOREI16_WD }, // 687
  { PseudoVAMOXOREI16_WD_M4_M1_MASK, VAMOXOREI16_WD }, // 688
  { PseudoVAMOXOREI16_WD_M4_M2, VAMOXOREI16_WD }, // 689
  { PseudoVAMOXOREI16_WD_M4_M2_MASK, VAMOXOREI16_WD }, // 690
  { PseudoVAMOXOREI16_WD_M8_M2, VAMOXOREI16_WD }, // 691
  { PseudoVAMOXOREI16_WD_M8_M2_MASK, VAMOXOREI16_WD }, // 692
  { PseudoVAMOXOREI16_WD_M8_M4, VAMOXOREI16_WD }, // 693
  { PseudoVAMOXOREI16_WD_M8_M4_MASK, VAMOXOREI16_WD }, // 694
  { PseudoVAMOXOREI16_WD_MF2_MF4, VAMOXOREI16_WD }, // 695
  { PseudoVAMOXOREI16_WD_MF2_MF4_MASK, VAMOXOREI16_WD }, // 696
  { PseudoVAMOXOREI32_WD_M1_M1, VAMOXOREI32_WD }, // 697
  { PseudoVAMOXOREI32_WD_M1_M1_MASK, VAMOXOREI32_WD }, // 698
  { PseudoVAMOXOREI32_WD_M1_MF2, VAMOXOREI32_WD }, // 699
  { PseudoVAMOXOREI32_WD_M1_MF2_MASK, VAMOXOREI32_WD }, // 700
  { PseudoVAMOXOREI32_WD_M2_M1, VAMOXOREI32_WD }, // 701
  { PseudoVAMOXOREI32_WD_M2_M1_MASK, VAMOXOREI32_WD }, // 702
  { PseudoVAMOXOREI32_WD_M2_M2, VAMOXOREI32_WD }, // 703
  { PseudoVAMOXOREI32_WD_M2_M2_MASK, VAMOXOREI32_WD }, // 704
  { PseudoVAMOXOREI32_WD_M4_M2, VAMOXOREI32_WD }, // 705
  { PseudoVAMOXOREI32_WD_M4_M2_MASK, VAMOXOREI32_WD }, // 706
  { PseudoVAMOXOREI32_WD_M4_M4, VAMOXOREI32_WD }, // 707
  { PseudoVAMOXOREI32_WD_M4_M4_MASK, VAMOXOREI32_WD }, // 708
  { PseudoVAMOXOREI32_WD_M8_M4, VAMOXOREI32_WD }, // 709
  { PseudoVAMOXOREI32_WD_M8_M4_MASK, VAMOXOREI32_WD }, // 710
  { PseudoVAMOXOREI32_WD_M8_M8, VAMOXOREI32_WD }, // 711
  { PseudoVAMOXOREI32_WD_M8_M8_MASK, VAMOXOREI32_WD }, // 712
  { PseudoVAMOXOREI32_WD_MF2_MF2, VAMOXOREI32_WD }, // 713
  { PseudoVAMOXOREI32_WD_MF2_MF2_MASK, VAMOXOREI32_WD }, // 714
  { PseudoVAMOXOREI64_WD_M1_M1, VAMOXOREI64_WD }, // 715
  { PseudoVAMOXOREI64_WD_M1_M1_MASK, VAMOXOREI64_WD }, // 716
  { PseudoVAMOXOREI64_WD_M1_M2, VAMOXOREI64_WD }, // 717
  { PseudoVAMOXOREI64_WD_M1_M2_MASK, VAMOXOREI64_WD }, // 718
  { PseudoVAMOXOREI64_WD_M2_M2, VAMOXOREI64_WD }, // 719
  { PseudoVAMOXOREI64_WD_M2_M2_MASK, VAMOXOREI64_WD }, // 720
  { PseudoVAMOXOREI64_WD_M2_M4, VAMOXOREI64_WD }, // 721
  { PseudoVAMOXOREI64_WD_M2_M4_MASK, VAMOXOREI64_WD }, // 722
  { PseudoVAMOXOREI64_WD_M4_M4, VAMOXOREI64_WD }, // 723
  { PseudoVAMOXOREI64_WD_M4_M4_MASK, VAMOXOREI64_WD }, // 724
  { PseudoVAMOXOREI64_WD_M4_M8, VAMOXOREI64_WD }, // 725
  { PseudoVAMOXOREI64_WD_M4_M8_MASK, VAMOXOREI64_WD }, // 726
  { PseudoVAMOXOREI64_WD_M8_M8, VAMOXOREI64_WD }, // 727
  { PseudoVAMOXOREI64_WD_M8_M8_MASK, VAMOXOREI64_WD }, // 728
  { PseudoVAMOXOREI64_WD_MF2_M1, VAMOXOREI64_WD }, // 729
  { PseudoVAMOXOREI64_WD_MF2_M1_MASK, VAMOXOREI64_WD }, // 730
  { PseudoVAMOXOREI8_WD_M1_MF4, VAMOXOREI8_WD }, // 731
  { PseudoVAMOXOREI8_WD_M1_MF4_MASK, VAMOXOREI8_WD }, // 732
  { PseudoVAMOXOREI8_WD_M1_MF8, VAMOXOREI8_WD }, // 733
  { PseudoVAMOXOREI8_WD_M1_MF8_MASK, VAMOXOREI8_WD }, // 734
  { PseudoVAMOXOREI8_WD_M2_MF2, VAMOXOREI8_WD }, // 735
  { PseudoVAMOXOREI8_WD_M2_MF2_MASK, VAMOXOREI8_WD }, // 736
  { PseudoVAMOXOREI8_WD_M2_MF4, VAMOXOREI8_WD }, // 737
  { PseudoVAMOXOREI8_WD_M2_MF4_MASK, VAMOXOREI8_WD }, // 738
  { PseudoVAMOXOREI8_WD_M4_M1, VAMOXOREI8_WD }, // 739
  { PseudoVAMOXOREI8_WD_M4_M1_MASK, VAMOXOREI8_WD }, // 740
  { PseudoVAMOXOREI8_WD_M4_MF2, VAMOXOREI8_WD }, // 741
  { PseudoVAMOXOREI8_WD_M4_MF2_MASK, VAMOXOREI8_WD }, // 742
  { PseudoVAMOXOREI8_WD_M8_M1, VAMOXOREI8_WD }, // 743
  { PseudoVAMOXOREI8_WD_M8_M1_MASK, VAMOXOREI8_WD }, // 744
  { PseudoVAMOXOREI8_WD_M8_M2, VAMOXOREI8_WD }, // 745
  { PseudoVAMOXOREI8_WD_M8_M2_MASK, VAMOXOREI8_WD }, // 746
  { PseudoVAMOXOREI8_WD_MF2_MF8, VAMOXOREI8_WD }, // 747
  { PseudoVAMOXOREI8_WD_MF2_MF8_MASK, VAMOXOREI8_WD }, // 748
  { PseudoVAND_VI_M1, VAND_VI }, // 749
  { PseudoVAND_VI_M1_MASK, VAND_VI }, // 750
  { PseudoVAND_VI_M2, VAND_VI }, // 751
  { PseudoVAND_VI_M2_MASK, VAND_VI }, // 752
  { PseudoVAND_VI_M4, VAND_VI }, // 753
  { PseudoVAND_VI_M4_MASK, VAND_VI }, // 754
  { PseudoVAND_VI_M8, VAND_VI }, // 755
  { PseudoVAND_VI_M8_MASK, VAND_VI }, // 756
  { PseudoVAND_VI_MF2, VAND_VI }, // 757
  { PseudoVAND_VI_MF2_MASK, VAND_VI }, // 758
  { PseudoVAND_VI_MF4, VAND_VI }, // 759
  { PseudoVAND_VI_MF4_MASK, VAND_VI }, // 760
  { PseudoVAND_VI_MF8, VAND_VI }, // 761
  { PseudoVAND_VI_MF8_MASK, VAND_VI }, // 762
  { PseudoVAND_VV_M1, VAND_VV }, // 763
  { PseudoVAND_VV_M1_MASK, VAND_VV }, // 764
  { PseudoVAND_VV_M2, VAND_VV }, // 765
  { PseudoVAND_VV_M2_MASK, VAND_VV }, // 766
  { PseudoVAND_VV_M4, VAND_VV }, // 767
  { PseudoVAND_VV_M4_MASK, VAND_VV }, // 768
  { PseudoVAND_VV_M8, VAND_VV }, // 769
  { PseudoVAND_VV_M8_MASK, VAND_VV }, // 770
  { PseudoVAND_VV_MF2, VAND_VV }, // 771
  { PseudoVAND_VV_MF2_MASK, VAND_VV }, // 772
  { PseudoVAND_VV_MF4, VAND_VV }, // 773
  { PseudoVAND_VV_MF4_MASK, VAND_VV }, // 774
  { PseudoVAND_VV_MF8, VAND_VV }, // 775
  { PseudoVAND_VV_MF8_MASK, VAND_VV }, // 776
  { PseudoVAND_VX_M1, VAND_VX }, // 777
  { PseudoVAND_VX_M1_MASK, VAND_VX }, // 778
  { PseudoVAND_VX_M2, VAND_VX }, // 779
  { PseudoVAND_VX_M2_MASK, VAND_VX }, // 780
  { PseudoVAND_VX_M4, VAND_VX }, // 781
  { PseudoVAND_VX_M4_MASK, VAND_VX }, // 782
  { PseudoVAND_VX_M8, VAND_VX }, // 783
  { PseudoVAND_VX_M8_MASK, VAND_VX }, // 784
  { PseudoVAND_VX_MF2, VAND_VX }, // 785
  { PseudoVAND_VX_MF2_MASK, VAND_VX }, // 786
  { PseudoVAND_VX_MF4, VAND_VX }, // 787
  { PseudoVAND_VX_MF4_MASK, VAND_VX }, // 788
  { PseudoVAND_VX_MF8, VAND_VX }, // 789
  { PseudoVAND_VX_MF8_MASK, VAND_VX }, // 790
  { PseudoVASUBU_VV_M1, VASUBU_VV }, // 791
  { PseudoVASUBU_VV_M1_MASK, VASUBU_VV }, // 792
  { PseudoVASUBU_VV_M2, VASUBU_VV }, // 793
  { PseudoVASUBU_VV_M2_MASK, VASUBU_VV }, // 794
  { PseudoVASUBU_VV_M4, VASUBU_VV }, // 795
  { PseudoVASUBU_VV_M4_MASK, VASUBU_VV }, // 796
  { PseudoVASUBU_VV_M8, VASUBU_VV }, // 797
  { PseudoVASUBU_VV_M8_MASK, VASUBU_VV }, // 798
  { PseudoVASUBU_VV_MF2, VASUBU_VV }, // 799
  { PseudoVASUBU_VV_MF2_MASK, VASUBU_VV }, // 800
  { PseudoVASUBU_VV_MF4, VASUBU_VV }, // 801
  { PseudoVASUBU_VV_MF4_MASK, VASUBU_VV }, // 802
  { PseudoVASUBU_VV_MF8, VASUBU_VV }, // 803
  { PseudoVASUBU_VV_MF8_MASK, VASUBU_VV }, // 804
  { PseudoVASUBU_VX_M1, VASUBU_VX }, // 805
  { PseudoVASUBU_VX_M1_MASK, VASUBU_VX }, // 806
  { PseudoVASUBU_VX_M2, VASUBU_VX }, // 807
  { PseudoVASUBU_VX_M2_MASK, VASUBU_VX }, // 808
  { PseudoVASUBU_VX_M4, VASUBU_VX }, // 809
  { PseudoVASUBU_VX_M4_MASK, VASUBU_VX }, // 810
  { PseudoVASUBU_VX_M8, VASUBU_VX }, // 811
  { PseudoVASUBU_VX_M8_MASK, VASUBU_VX }, // 812
  { PseudoVASUBU_VX_MF2, VASUBU_VX }, // 813
  { PseudoVASUBU_VX_MF2_MASK, VASUBU_VX }, // 814
  { PseudoVASUBU_VX_MF4, VASUBU_VX }, // 815
  { PseudoVASUBU_VX_MF4_MASK, VASUBU_VX }, // 816
  { PseudoVASUBU_VX_MF8, VASUBU_VX }, // 817
  { PseudoVASUBU_VX_MF8_MASK, VASUBU_VX }, // 818
  { PseudoVASUB_VV_M1, VASUB_VV }, // 819
  { PseudoVASUB_VV_M1_MASK, VASUB_VV }, // 820
  { PseudoVASUB_VV_M2, VASUB_VV }, // 821
  { PseudoVASUB_VV_M2_MASK, VASUB_VV }, // 822
  { PseudoVASUB_VV_M4, VASUB_VV }, // 823
  { PseudoVASUB_VV_M4_MASK, VASUB_VV }, // 824
  { PseudoVASUB_VV_M8, VASUB_VV }, // 825
  { PseudoVASUB_VV_M8_MASK, VASUB_VV }, // 826
  { PseudoVASUB_VV_MF2, VASUB_VV }, // 827
  { PseudoVASUB_VV_MF2_MASK, VASUB_VV }, // 828
  { PseudoVASUB_VV_MF4, VASUB_VV }, // 829
  { PseudoVASUB_VV_MF4_MASK, VASUB_VV }, // 830
  { PseudoVASUB_VV_MF8, VASUB_VV }, // 831
  { PseudoVASUB_VV_MF8_MASK, VASUB_VV }, // 832
  { PseudoVASUB_VX_M1, VASUB_VX }, // 833
  { PseudoVASUB_VX_M1_MASK, VASUB_VX }, // 834
  { PseudoVASUB_VX_M2, VASUB_VX }, // 835
  { PseudoVASUB_VX_M2_MASK, VASUB_VX }, // 836
  { PseudoVASUB_VX_M4, VASUB_VX }, // 837
  { PseudoVASUB_VX_M4_MASK, VASUB_VX }, // 838
  { PseudoVASUB_VX_M8, VASUB_VX }, // 839
  { PseudoVASUB_VX_M8_MASK, VASUB_VX }, // 840
  { PseudoVASUB_VX_MF2, VASUB_VX }, // 841
  { PseudoVASUB_VX_MF2_MASK, VASUB_VX }, // 842
  { PseudoVASUB_VX_MF4, VASUB_VX }, // 843
  { PseudoVASUB_VX_MF4_MASK, VASUB_VX }, // 844
  { PseudoVASUB_VX_MF8, VASUB_VX }, // 845
  { PseudoVASUB_VX_MF8_MASK, VASUB_VX }, // 846
  { PseudoVCOMPRESS_VM_M1, VCOMPRESS_VM }, // 847
  { PseudoVCOMPRESS_VM_M2, VCOMPRESS_VM }, // 848
  { PseudoVCOMPRESS_VM_M4, VCOMPRESS_VM }, // 849
  { PseudoVCOMPRESS_VM_M8, VCOMPRESS_VM }, // 850
  { PseudoVCOMPRESS_VM_MF2, VCOMPRESS_VM }, // 851
  { PseudoVCOMPRESS_VM_MF4, VCOMPRESS_VM }, // 852
  { PseudoVCOMPRESS_VM_MF8, VCOMPRESS_VM }, // 853
  { PseudoVDIVU_VV_M1, VDIVU_VV }, // 854
  { PseudoVDIVU_VV_M1_MASK, VDIVU_VV }, // 855
  { PseudoVDIVU_VV_M2, VDIVU_VV }, // 856
  { PseudoVDIVU_VV_M2_MASK, VDIVU_VV }, // 857
  { PseudoVDIVU_VV_M4, VDIVU_VV }, // 858
  { PseudoVDIVU_VV_M4_MASK, VDIVU_VV }, // 859
  { PseudoVDIVU_VV_M8, VDIVU_VV }, // 860
  { PseudoVDIVU_VV_M8_MASK, VDIVU_VV }, // 861
  { PseudoVDIVU_VV_MF2, VDIVU_VV }, // 862
  { PseudoVDIVU_VV_MF2_MASK, VDIVU_VV }, // 863
  { PseudoVDIVU_VV_MF4, VDIVU_VV }, // 864
  { PseudoVDIVU_VV_MF4_MASK, VDIVU_VV }, // 865
  { PseudoVDIVU_VV_MF8, VDIVU_VV }, // 866
  { PseudoVDIVU_VV_MF8_MASK, VDIVU_VV }, // 867
  { PseudoVDIVU_VX_M1, VDIVU_VX }, // 868
  { PseudoVDIVU_VX_M1_MASK, VDIVU_VX }, // 869
  { PseudoVDIVU_VX_M2, VDIVU_VX }, // 870
  { PseudoVDIVU_VX_M2_MASK, VDIVU_VX }, // 871
  { PseudoVDIVU_VX_M4, VDIVU_VX }, // 872
  { PseudoVDIVU_VX_M4_MASK, VDIVU_VX }, // 873
  { PseudoVDIVU_VX_M8, VDIVU_VX }, // 874
  { PseudoVDIVU_VX_M8_MASK, VDIVU_VX }, // 875
  { PseudoVDIVU_VX_MF2, VDIVU_VX }, // 876
  { PseudoVDIVU_VX_MF2_MASK, VDIVU_VX }, // 877
  { PseudoVDIVU_VX_MF4, VDIVU_VX }, // 878
  { PseudoVDIVU_VX_MF4_MASK, VDIVU_VX }, // 879
  { PseudoVDIVU_VX_MF8, VDIVU_VX }, // 880
  { PseudoVDIVU_VX_MF8_MASK, VDIVU_VX }, // 881
  { PseudoVDIV_VV_M1, VDIV_VV }, // 882
  { PseudoVDIV_VV_M1_MASK, VDIV_VV }, // 883
  { PseudoVDIV_VV_M2, VDIV_VV }, // 884
  { PseudoVDIV_VV_M2_MASK, VDIV_VV }, // 885
  { PseudoVDIV_VV_M4, VDIV_VV }, // 886
  { PseudoVDIV_VV_M4_MASK, VDIV_VV }, // 887
  { PseudoVDIV_VV_M8, VDIV_VV }, // 888
  { PseudoVDIV_VV_M8_MASK, VDIV_VV }, // 889
  { PseudoVDIV_VV_MF2, VDIV_VV }, // 890
  { PseudoVDIV_VV_MF2_MASK, VDIV_VV }, // 891
  { PseudoVDIV_VV_MF4, VDIV_VV }, // 892
  { PseudoVDIV_VV_MF4_MASK, VDIV_VV }, // 893
  { PseudoVDIV_VV_MF8, VDIV_VV }, // 894
  { PseudoVDIV_VV_MF8_MASK, VDIV_VV }, // 895
  { PseudoVDIV_VX_M1, VDIV_VX }, // 896
  { PseudoVDIV_VX_M1_MASK, VDIV_VX }, // 897
  { PseudoVDIV_VX_M2, VDIV_VX }, // 898
  { PseudoVDIV_VX_M2_MASK, VDIV_VX }, // 899
  { PseudoVDIV_VX_M4, VDIV_VX }, // 900
  { PseudoVDIV_VX_M4_MASK, VDIV_VX }, // 901
  { PseudoVDIV_VX_M8, VDIV_VX }, // 902
  { PseudoVDIV_VX_M8_MASK, VDIV_VX }, // 903
  { PseudoVDIV_VX_MF2, VDIV_VX }, // 904
  { PseudoVDIV_VX_MF2_MASK, VDIV_VX }, // 905
  { PseudoVDIV_VX_MF4, VDIV_VX }, // 906
  { PseudoVDIV_VX_MF4_MASK, VDIV_VX }, // 907
  { PseudoVDIV_VX_MF8, VDIV_VX }, // 908
  { PseudoVDIV_VX_MF8_MASK, VDIV_VX }, // 909
  { PseudoVFADD_VF16_M1, VFADD_VF }, // 910
  { PseudoVFADD_VF16_M1_MASK, VFADD_VF }, // 911
  { PseudoVFADD_VF16_M2, VFADD_VF }, // 912
  { PseudoVFADD_VF16_M2_MASK, VFADD_VF }, // 913
  { PseudoVFADD_VF16_M4, VFADD_VF }, // 914
  { PseudoVFADD_VF16_M4_MASK, VFADD_VF }, // 915
  { PseudoVFADD_VF16_M8, VFADD_VF }, // 916
  { PseudoVFADD_VF16_M8_MASK, VFADD_VF }, // 917
  { PseudoVFADD_VF16_MF2, VFADD_VF }, // 918
  { PseudoVFADD_VF16_MF2_MASK, VFADD_VF }, // 919
  { PseudoVFADD_VF16_MF4, VFADD_VF }, // 920
  { PseudoVFADD_VF16_MF4_MASK, VFADD_VF }, // 921
  { PseudoVFADD_VF16_MF8, VFADD_VF }, // 922
  { PseudoVFADD_VF16_MF8_MASK, VFADD_VF }, // 923
  { PseudoVFADD_VF32_M1, VFADD_VF }, // 924
  { PseudoVFADD_VF32_M1_MASK, VFADD_VF }, // 925
  { PseudoVFADD_VF32_M2, VFADD_VF }, // 926
  { PseudoVFADD_VF32_M2_MASK, VFADD_VF }, // 927
  { PseudoVFADD_VF32_M4, VFADD_VF }, // 928
  { PseudoVFADD_VF32_M4_MASK, VFADD_VF }, // 929
  { PseudoVFADD_VF32_M8, VFADD_VF }, // 930
  { PseudoVFADD_VF32_M8_MASK, VFADD_VF }, // 931
  { PseudoVFADD_VF32_MF2, VFADD_VF }, // 932
  { PseudoVFADD_VF32_MF2_MASK, VFADD_VF }, // 933
  { PseudoVFADD_VF32_MF4, VFADD_VF }, // 934
  { PseudoVFADD_VF32_MF4_MASK, VFADD_VF }, // 935
  { PseudoVFADD_VF32_MF8, VFADD_VF }, // 936
  { PseudoVFADD_VF32_MF8_MASK, VFADD_VF }, // 937
  { PseudoVFADD_VF64_M1, VFADD_VF }, // 938
  { PseudoVFADD_VF64_M1_MASK, VFADD_VF }, // 939
  { PseudoVFADD_VF64_M2, VFADD_VF }, // 940
  { PseudoVFADD_VF64_M2_MASK, VFADD_VF }, // 941
  { PseudoVFADD_VF64_M4, VFADD_VF }, // 942
  { PseudoVFADD_VF64_M4_MASK, VFADD_VF }, // 943
  { PseudoVFADD_VF64_M8, VFADD_VF }, // 944
  { PseudoVFADD_VF64_M8_MASK, VFADD_VF }, // 945
  { PseudoVFADD_VF64_MF2, VFADD_VF }, // 946
  { PseudoVFADD_VF64_MF2_MASK, VFADD_VF }, // 947
  { PseudoVFADD_VF64_MF4, VFADD_VF }, // 948
  { PseudoVFADD_VF64_MF4_MASK, VFADD_VF }, // 949
  { PseudoVFADD_VF64_MF8, VFADD_VF }, // 950
  { PseudoVFADD_VF64_MF8_MASK, VFADD_VF }, // 951
  { PseudoVFADD_VV_M1, VFADD_VV }, // 952
  { PseudoVFADD_VV_M1_MASK, VFADD_VV }, // 953
  { PseudoVFADD_VV_M2, VFADD_VV }, // 954
  { PseudoVFADD_VV_M2_MASK, VFADD_VV }, // 955
  { PseudoVFADD_VV_M4, VFADD_VV }, // 956
  { PseudoVFADD_VV_M4_MASK, VFADD_VV }, // 957
  { PseudoVFADD_VV_M8, VFADD_VV }, // 958
  { PseudoVFADD_VV_M8_MASK, VFADD_VV }, // 959
  { PseudoVFADD_VV_MF2, VFADD_VV }, // 960
  { PseudoVFADD_VV_MF2_MASK, VFADD_VV }, // 961
  { PseudoVFADD_VV_MF4, VFADD_VV }, // 962
  { PseudoVFADD_VV_MF4_MASK, VFADD_VV }, // 963
  { PseudoVFADD_VV_MF8, VFADD_VV }, // 964
  { PseudoVFADD_VV_MF8_MASK, VFADD_VV }, // 965
  { PseudoVFCLASS_V_M1, VFCLASS_V }, // 966
  { PseudoVFCLASS_V_M1_MASK, VFCLASS_V }, // 967
  { PseudoVFCLASS_V_M2, VFCLASS_V }, // 968
  { PseudoVFCLASS_V_M2_MASK, VFCLASS_V }, // 969
  { PseudoVFCLASS_V_M4, VFCLASS_V }, // 970
  { PseudoVFCLASS_V_M4_MASK, VFCLASS_V }, // 971
  { PseudoVFCLASS_V_M8, VFCLASS_V }, // 972
  { PseudoVFCLASS_V_M8_MASK, VFCLASS_V }, // 973
  { PseudoVFCLASS_V_MF2, VFCLASS_V }, // 974
  { PseudoVFCLASS_V_MF2_MASK, VFCLASS_V }, // 975
  { PseudoVFCLASS_V_MF4, VFCLASS_V }, // 976
  { PseudoVFCLASS_V_MF4_MASK, VFCLASS_V }, // 977
  { PseudoVFCLASS_V_MF8, VFCLASS_V }, // 978
  { PseudoVFCLASS_V_MF8_MASK, VFCLASS_V }, // 979
  { PseudoVFCVT_F_XU_V_M1, VFCVT_F_XU_V }, // 980
  { PseudoVFCVT_F_XU_V_M1_MASK, VFCVT_F_XU_V }, // 981
  { PseudoVFCVT_F_XU_V_M2, VFCVT_F_XU_V }, // 982
  { PseudoVFCVT_F_XU_V_M2_MASK, VFCVT_F_XU_V }, // 983
  { PseudoVFCVT_F_XU_V_M4, VFCVT_F_XU_V }, // 984
  { PseudoVFCVT_F_XU_V_M4_MASK, VFCVT_F_XU_V }, // 985
  { PseudoVFCVT_F_XU_V_M8, VFCVT_F_XU_V }, // 986
  { PseudoVFCVT_F_XU_V_M8_MASK, VFCVT_F_XU_V }, // 987
  { PseudoVFCVT_F_XU_V_MF2, VFCVT_F_XU_V }, // 988
  { PseudoVFCVT_F_XU_V_MF2_MASK, VFCVT_F_XU_V }, // 989
  { PseudoVFCVT_F_XU_V_MF4, VFCVT_F_XU_V }, // 990
  { PseudoVFCVT_F_XU_V_MF4_MASK, VFCVT_F_XU_V }, // 991
  { PseudoVFCVT_F_XU_V_MF8, VFCVT_F_XU_V }, // 992
  { PseudoVFCVT_F_XU_V_MF8_MASK, VFCVT_F_XU_V }, // 993
  { PseudoVFCVT_F_X_V_M1, VFCVT_F_X_V }, // 994
  { PseudoVFCVT_F_X_V_M1_MASK, VFCVT_F_X_V }, // 995
  { PseudoVFCVT_F_X_V_M2, VFCVT_F_X_V }, // 996
  { PseudoVFCVT_F_X_V_M2_MASK, VFCVT_F_X_V }, // 997
  { PseudoVFCVT_F_X_V_M4, VFCVT_F_X_V }, // 998
  { PseudoVFCVT_F_X_V_M4_MASK, VFCVT_F_X_V }, // 999
  { PseudoVFCVT_F_X_V_M8, VFCVT_F_X_V }, // 1000
  { PseudoVFCVT_F_X_V_M8_MASK, VFCVT_F_X_V }, // 1001
  { PseudoVFCVT_F_X_V_MF2, VFCVT_F_X_V }, // 1002
  { PseudoVFCVT_F_X_V_MF2_MASK, VFCVT_F_X_V }, // 1003
  { PseudoVFCVT_F_X_V_MF4, VFCVT_F_X_V }, // 1004
  { PseudoVFCVT_F_X_V_MF4_MASK, VFCVT_F_X_V }, // 1005
  { PseudoVFCVT_F_X_V_MF8, VFCVT_F_X_V }, // 1006
  { PseudoVFCVT_F_X_V_MF8_MASK, VFCVT_F_X_V }, // 1007
  { PseudoVFCVT_RTZ_XU_F_V_M1, VFCVT_RTZ_XU_F_V }, // 1008
  { PseudoVFCVT_RTZ_XU_F_V_M1_MASK, VFCVT_RTZ_XU_F_V }, // 1009
  { PseudoVFCVT_RTZ_XU_F_V_M2, VFCVT_RTZ_XU_F_V }, // 1010
  { PseudoVFCVT_RTZ_XU_F_V_M2_MASK, VFCVT_RTZ_XU_F_V }, // 1011
  { PseudoVFCVT_RTZ_XU_F_V_M4, VFCVT_RTZ_XU_F_V }, // 1012
  { PseudoVFCVT_RTZ_XU_F_V_M4_MASK, VFCVT_RTZ_XU_F_V }, // 1013
  { PseudoVFCVT_RTZ_XU_F_V_M8, VFCVT_RTZ_XU_F_V }, // 1014
  { PseudoVFCVT_RTZ_XU_F_V_M8_MASK, VFCVT_RTZ_XU_F_V }, // 1015
  { PseudoVFCVT_RTZ_XU_F_V_MF2, VFCVT_RTZ_XU_F_V }, // 1016
  { PseudoVFCVT_RTZ_XU_F_V_MF2_MASK, VFCVT_RTZ_XU_F_V }, // 1017
  { PseudoVFCVT_RTZ_XU_F_V_MF4, VFCVT_RTZ_XU_F_V }, // 1018
  { PseudoVFCVT_RTZ_XU_F_V_MF4_MASK, VFCVT_RTZ_XU_F_V }, // 1019
  { PseudoVFCVT_RTZ_XU_F_V_MF8, VFCVT_RTZ_XU_F_V }, // 1020
  { PseudoVFCVT_RTZ_XU_F_V_MF8_MASK, VFCVT_RTZ_XU_F_V }, // 1021
  { PseudoVFCVT_RTZ_X_F_V_M1, VFCVT_RTZ_X_F_V }, // 1022
  { PseudoVFCVT_RTZ_X_F_V_M1_MASK, VFCVT_RTZ_X_F_V }, // 1023
  { PseudoVFCVT_RTZ_X_F_V_M2, VFCVT_RTZ_X_F_V }, // 1024
  { PseudoVFCVT_RTZ_X_F_V_M2_MASK, VFCVT_RTZ_X_F_V }, // 1025
  { PseudoVFCVT_RTZ_X_F_V_M4, VFCVT_RTZ_X_F_V }, // 1026
  { PseudoVFCVT_RTZ_X_F_V_M4_MASK, VFCVT_RTZ_X_F_V }, // 1027
  { PseudoVFCVT_RTZ_X_F_V_M8, VFCVT_RTZ_X_F_V }, // 1028
  { PseudoVFCVT_RTZ_X_F_V_M8_MASK, VFCVT_RTZ_X_F_V }, // 1029
  { PseudoVFCVT_RTZ_X_F_V_MF2, VFCVT_RTZ_X_F_V }, // 1030
  { PseudoVFCVT_RTZ_X_F_V_MF2_MASK, VFCVT_RTZ_X_F_V }, // 1031
  { PseudoVFCVT_RTZ_X_F_V_MF4, VFCVT_RTZ_X_F_V }, // 1032
  { PseudoVFCVT_RTZ_X_F_V_MF4_MASK, VFCVT_RTZ_X_F_V }, // 1033
  { PseudoVFCVT_RTZ_X_F_V_MF8, VFCVT_RTZ_X_F_V }, // 1034
  { PseudoVFCVT_RTZ_X_F_V_MF8_MASK, VFCVT_RTZ_X_F_V }, // 1035
  { PseudoVFCVT_XU_F_V_M1, VFCVT_XU_F_V }, // 1036
  { PseudoVFCVT_XU_F_V_M1_MASK, VFCVT_XU_F_V }, // 1037
  { PseudoVFCVT_XU_F_V_M2, VFCVT_XU_F_V }, // 1038
  { PseudoVFCVT_XU_F_V_M2_MASK, VFCVT_XU_F_V }, // 1039
  { PseudoVFCVT_XU_F_V_M4, VFCVT_XU_F_V }, // 1040
  { PseudoVFCVT_XU_F_V_M4_MASK, VFCVT_XU_F_V }, // 1041
  { PseudoVFCVT_XU_F_V_M8, VFCVT_XU_F_V }, // 1042
  { PseudoVFCVT_XU_F_V_M8_MASK, VFCVT_XU_F_V }, // 1043
  { PseudoVFCVT_XU_F_V_MF2, VFCVT_XU_F_V }, // 1044
  { PseudoVFCVT_XU_F_V_MF2_MASK, VFCVT_XU_F_V }, // 1045
  { PseudoVFCVT_XU_F_V_MF4, VFCVT_XU_F_V }, // 1046
  { PseudoVFCVT_XU_F_V_MF4_MASK, VFCVT_XU_F_V }, // 1047
  { PseudoVFCVT_XU_F_V_MF8, VFCVT_XU_F_V }, // 1048
  { PseudoVFCVT_XU_F_V_MF8_MASK, VFCVT_XU_F_V }, // 1049
  { PseudoVFCVT_X_F_V_M1, VFCVT_X_F_V }, // 1050
  { PseudoVFCVT_X_F_V_M1_MASK, VFCVT_X_F_V }, // 1051
  { PseudoVFCVT_X_F_V_M2, VFCVT_X_F_V }, // 1052
  { PseudoVFCVT_X_F_V_M2_MASK, VFCVT_X_F_V }, // 1053
  { PseudoVFCVT_X_F_V_M4, VFCVT_X_F_V }, // 1054
  { PseudoVFCVT_X_F_V_M4_MASK, VFCVT_X_F_V }, // 1055
  { PseudoVFCVT_X_F_V_M8, VFCVT_X_F_V }, // 1056
  { PseudoVFCVT_X_F_V_M8_MASK, VFCVT_X_F_V }, // 1057
  { PseudoVFCVT_X_F_V_MF2, VFCVT_X_F_V }, // 1058
  { PseudoVFCVT_X_F_V_MF2_MASK, VFCVT_X_F_V }, // 1059
  { PseudoVFCVT_X_F_V_MF4, VFCVT_X_F_V }, // 1060
  { PseudoVFCVT_X_F_V_MF4_MASK, VFCVT_X_F_V }, // 1061
  { PseudoVFCVT_X_F_V_MF8, VFCVT_X_F_V }, // 1062
  { PseudoVFCVT_X_F_V_MF8_MASK, VFCVT_X_F_V }, // 1063
  { PseudoVFDIV_VF16_M1, VFDIV_VF }, // 1064
  { PseudoVFDIV_VF16_M1_MASK, VFDIV_VF }, // 1065
  { PseudoVFDIV_VF16_M2, VFDIV_VF }, // 1066
  { PseudoVFDIV_VF16_M2_MASK, VFDIV_VF }, // 1067
  { PseudoVFDIV_VF16_M4, VFDIV_VF }, // 1068
  { PseudoVFDIV_VF16_M4_MASK, VFDIV_VF }, // 1069
  { PseudoVFDIV_VF16_M8, VFDIV_VF }, // 1070
  { PseudoVFDIV_VF16_M8_MASK, VFDIV_VF }, // 1071
  { PseudoVFDIV_VF16_MF2, VFDIV_VF }, // 1072
  { PseudoVFDIV_VF16_MF2_MASK, VFDIV_VF }, // 1073
  { PseudoVFDIV_VF16_MF4, VFDIV_VF }, // 1074
  { PseudoVFDIV_VF16_MF4_MASK, VFDIV_VF }, // 1075
  { PseudoVFDIV_VF16_MF8, VFDIV_VF }, // 1076
  { PseudoVFDIV_VF16_MF8_MASK, VFDIV_VF }, // 1077
  { PseudoVFDIV_VF32_M1, VFDIV_VF }, // 1078
  { PseudoVFDIV_VF32_M1_MASK, VFDIV_VF }, // 1079
  { PseudoVFDIV_VF32_M2, VFDIV_VF }, // 1080
  { PseudoVFDIV_VF32_M2_MASK, VFDIV_VF }, // 1081
  { PseudoVFDIV_VF32_M4, VFDIV_VF }, // 1082
  { PseudoVFDIV_VF32_M4_MASK, VFDIV_VF }, // 1083
  { PseudoVFDIV_VF32_M8, VFDIV_VF }, // 1084
  { PseudoVFDIV_VF32_M8_MASK, VFDIV_VF }, // 1085
  { PseudoVFDIV_VF32_MF2, VFDIV_VF }, // 1086
  { PseudoVFDIV_VF32_MF2_MASK, VFDIV_VF }, // 1087
  { PseudoVFDIV_VF32_MF4, VFDIV_VF }, // 1088
  { PseudoVFDIV_VF32_MF4_MASK, VFDIV_VF }, // 1089
  { PseudoVFDIV_VF32_MF8, VFDIV_VF }, // 1090
  { PseudoVFDIV_VF32_MF8_MASK, VFDIV_VF }, // 1091
  { PseudoVFDIV_VF64_M1, VFDIV_VF }, // 1092
  { PseudoVFDIV_VF64_M1_MASK, VFDIV_VF }, // 1093
  { PseudoVFDIV_VF64_M2, VFDIV_VF }, // 1094
  { PseudoVFDIV_VF64_M2_MASK, VFDIV_VF }, // 1095
  { PseudoVFDIV_VF64_M4, VFDIV_VF }, // 1096
  { PseudoVFDIV_VF64_M4_MASK, VFDIV_VF }, // 1097
  { PseudoVFDIV_VF64_M8, VFDIV_VF }, // 1098
  { PseudoVFDIV_VF64_M8_MASK, VFDIV_VF }, // 1099
  { PseudoVFDIV_VF64_MF2, VFDIV_VF }, // 1100
  { PseudoVFDIV_VF64_MF2_MASK, VFDIV_VF }, // 1101
  { PseudoVFDIV_VF64_MF4, VFDIV_VF }, // 1102
  { PseudoVFDIV_VF64_MF4_MASK, VFDIV_VF }, // 1103
  { PseudoVFDIV_VF64_MF8, VFDIV_VF }, // 1104
  { PseudoVFDIV_VF64_MF8_MASK, VFDIV_VF }, // 1105
  { PseudoVFDIV_VV_M1, VFDIV_VV }, // 1106
  { PseudoVFDIV_VV_M1_MASK, VFDIV_VV }, // 1107
  { PseudoVFDIV_VV_M2, VFDIV_VV }, // 1108
  { PseudoVFDIV_VV_M2_MASK, VFDIV_VV }, // 1109
  { PseudoVFDIV_VV_M4, VFDIV_VV }, // 1110
  { PseudoVFDIV_VV_M4_MASK, VFDIV_VV }, // 1111
  { PseudoVFDIV_VV_M8, VFDIV_VV }, // 1112
  { PseudoVFDIV_VV_M8_MASK, VFDIV_VV }, // 1113
  { PseudoVFDIV_VV_MF2, VFDIV_VV }, // 1114
  { PseudoVFDIV_VV_MF2_MASK, VFDIV_VV }, // 1115
  { PseudoVFDIV_VV_MF4, VFDIV_VV }, // 1116
  { PseudoVFDIV_VV_MF4_MASK, VFDIV_VV }, // 1117
  { PseudoVFDIV_VV_MF8, VFDIV_VV }, // 1118
  { PseudoVFDIV_VV_MF8_MASK, VFDIV_VV }, // 1119
  { PseudoVFIRST_M_B1, VFIRST_M }, // 1120
  { PseudoVFIRST_M_B16, VFIRST_M }, // 1121
  { PseudoVFIRST_M_B16_MASK, VFIRST_M }, // 1122
  { PseudoVFIRST_M_B1_MASK, VFIRST_M }, // 1123
  { PseudoVFIRST_M_B2, VFIRST_M }, // 1124
  { PseudoVFIRST_M_B2_MASK, VFIRST_M }, // 1125
  { PseudoVFIRST_M_B32, VFIRST_M }, // 1126
  { PseudoVFIRST_M_B32_MASK, VFIRST_M }, // 1127
  { PseudoVFIRST_M_B4, VFIRST_M }, // 1128
  { PseudoVFIRST_M_B4_MASK, VFIRST_M }, // 1129
  { PseudoVFIRST_M_B64, VFIRST_M }, // 1130
  { PseudoVFIRST_M_B64_MASK, VFIRST_M }, // 1131
  { PseudoVFIRST_M_B8, VFIRST_M }, // 1132
  { PseudoVFIRST_M_B8_MASK, VFIRST_M }, // 1133
  { PseudoVFMACC_VF16_M1, VFMACC_VF }, // 1134
  { PseudoVFMACC_VF16_M1_MASK, VFMACC_VF }, // 1135
  { PseudoVFMACC_VF16_M2, VFMACC_VF }, // 1136
  { PseudoVFMACC_VF16_M2_MASK, VFMACC_VF }, // 1137
  { PseudoVFMACC_VF16_M4, VFMACC_VF }, // 1138
  { PseudoVFMACC_VF16_M4_MASK, VFMACC_VF }, // 1139
  { PseudoVFMACC_VF16_M8, VFMACC_VF }, // 1140
  { PseudoVFMACC_VF16_M8_MASK, VFMACC_VF }, // 1141
  { PseudoVFMACC_VF16_MF2, VFMACC_VF }, // 1142
  { PseudoVFMACC_VF16_MF2_MASK, VFMACC_VF }, // 1143
  { PseudoVFMACC_VF16_MF4, VFMACC_VF }, // 1144
  { PseudoVFMACC_VF16_MF4_MASK, VFMACC_VF }, // 1145
  { PseudoVFMACC_VF16_MF8, VFMACC_VF }, // 1146
  { PseudoVFMACC_VF16_MF8_MASK, VFMACC_VF }, // 1147
  { PseudoVFMACC_VF32_M1, VFMACC_VF }, // 1148
  { PseudoVFMACC_VF32_M1_MASK, VFMACC_VF }, // 1149
  { PseudoVFMACC_VF32_M2, VFMACC_VF }, // 1150
  { PseudoVFMACC_VF32_M2_MASK, VFMACC_VF }, // 1151
  { PseudoVFMACC_VF32_M4, VFMACC_VF }, // 1152
  { PseudoVFMACC_VF32_M4_MASK, VFMACC_VF }, // 1153
  { PseudoVFMACC_VF32_M8, VFMACC_VF }, // 1154
  { PseudoVFMACC_VF32_M8_MASK, VFMACC_VF }, // 1155
  { PseudoVFMACC_VF32_MF2, VFMACC_VF }, // 1156
  { PseudoVFMACC_VF32_MF2_MASK, VFMACC_VF }, // 1157
  { PseudoVFMACC_VF32_MF4, VFMACC_VF }, // 1158
  { PseudoVFMACC_VF32_MF4_MASK, VFMACC_VF }, // 1159
  { PseudoVFMACC_VF32_MF8, VFMACC_VF }, // 1160
  { PseudoVFMACC_VF32_MF8_MASK, VFMACC_VF }, // 1161
  { PseudoVFMACC_VF64_M1, VFMACC_VF }, // 1162
  { PseudoVFMACC_VF64_M1_MASK, VFMACC_VF }, // 1163
  { PseudoVFMACC_VF64_M2, VFMACC_VF }, // 1164
  { PseudoVFMACC_VF64_M2_MASK, VFMACC_VF }, // 1165
  { PseudoVFMACC_VF64_M4, VFMACC_VF }, // 1166
  { PseudoVFMACC_VF64_M4_MASK, VFMACC_VF }, // 1167
  { PseudoVFMACC_VF64_M8, VFMACC_VF }, // 1168
  { PseudoVFMACC_VF64_M8_MASK, VFMACC_VF }, // 1169
  { PseudoVFMACC_VF64_MF2, VFMACC_VF }, // 1170
  { PseudoVFMACC_VF64_MF2_MASK, VFMACC_VF }, // 1171
  { PseudoVFMACC_VF64_MF4, VFMACC_VF }, // 1172
  { PseudoVFMACC_VF64_MF4_MASK, VFMACC_VF }, // 1173
  { PseudoVFMACC_VF64_MF8, VFMACC_VF }, // 1174
  { PseudoVFMACC_VF64_MF8_MASK, VFMACC_VF }, // 1175
  { PseudoVFMACC_VV_M1, VFMACC_VV }, // 1176
  { PseudoVFMACC_VV_M1_MASK, VFMACC_VV }, // 1177
  { PseudoVFMACC_VV_M2, VFMACC_VV }, // 1178
  { PseudoVFMACC_VV_M2_MASK, VFMACC_VV }, // 1179
  { PseudoVFMACC_VV_M4, VFMACC_VV }, // 1180
  { PseudoVFMACC_VV_M4_MASK, VFMACC_VV }, // 1181
  { PseudoVFMACC_VV_M8, VFMACC_VV }, // 1182
  { PseudoVFMACC_VV_M8_MASK, VFMACC_VV }, // 1183
  { PseudoVFMACC_VV_MF2, VFMACC_VV }, // 1184
  { PseudoVFMACC_VV_MF2_MASK, VFMACC_VV }, // 1185
  { PseudoVFMACC_VV_MF4, VFMACC_VV }, // 1186
  { PseudoVFMACC_VV_MF4_MASK, VFMACC_VV }, // 1187
  { PseudoVFMACC_VV_MF8, VFMACC_VV }, // 1188
  { PseudoVFMACC_VV_MF8_MASK, VFMACC_VV }, // 1189
  { PseudoVFMADD_VF16_M1, VFMADD_VF }, // 1190
  { PseudoVFMADD_VF16_M1_MASK, VFMADD_VF }, // 1191
  { PseudoVFMADD_VF16_M2, VFMADD_VF }, // 1192
  { PseudoVFMADD_VF16_M2_MASK, VFMADD_VF }, // 1193
  { PseudoVFMADD_VF16_M4, VFMADD_VF }, // 1194
  { PseudoVFMADD_VF16_M4_MASK, VFMADD_VF }, // 1195
  { PseudoVFMADD_VF16_M8, VFMADD_VF }, // 1196
  { PseudoVFMADD_VF16_M8_MASK, VFMADD_VF }, // 1197
  { PseudoVFMADD_VF16_MF2, VFMADD_VF }, // 1198
  { PseudoVFMADD_VF16_MF2_MASK, VFMADD_VF }, // 1199
  { PseudoVFMADD_VF16_MF4, VFMADD_VF }, // 1200
  { PseudoVFMADD_VF16_MF4_MASK, VFMADD_VF }, // 1201
  { PseudoVFMADD_VF16_MF8, VFMADD_VF }, // 1202
  { PseudoVFMADD_VF16_MF8_MASK, VFMADD_VF }, // 1203
  { PseudoVFMADD_VF32_M1, VFMADD_VF }, // 1204
  { PseudoVFMADD_VF32_M1_MASK, VFMADD_VF }, // 1205
  { PseudoVFMADD_VF32_M2, VFMADD_VF }, // 1206
  { PseudoVFMADD_VF32_M2_MASK, VFMADD_VF }, // 1207
  { PseudoVFMADD_VF32_M4, VFMADD_VF }, // 1208
  { PseudoVFMADD_VF32_M4_MASK, VFMADD_VF }, // 1209
  { PseudoVFMADD_VF32_M8, VFMADD_VF }, // 1210
  { PseudoVFMADD_VF32_M8_MASK, VFMADD_VF }, // 1211
  { PseudoVFMADD_VF32_MF2, VFMADD_VF }, // 1212
  { PseudoVFMADD_VF32_MF2_MASK, VFMADD_VF }, // 1213
  { PseudoVFMADD_VF32_MF4, VFMADD_VF }, // 1214
  { PseudoVFMADD_VF32_MF4_MASK, VFMADD_VF }, // 1215
  { PseudoVFMADD_VF32_MF8, VFMADD_VF }, // 1216
  { PseudoVFMADD_VF32_MF8_MASK, VFMADD_VF }, // 1217
  { PseudoVFMADD_VF64_M1, VFMADD_VF }, // 1218
  { PseudoVFMADD_VF64_M1_MASK, VFMADD_VF }, // 1219
  { PseudoVFMADD_VF64_M2, VFMADD_VF }, // 1220
  { PseudoVFMADD_VF64_M2_MASK, VFMADD_VF }, // 1221
  { PseudoVFMADD_VF64_M4, VFMADD_VF }, // 1222
  { PseudoVFMADD_VF64_M4_MASK, VFMADD_VF }, // 1223
  { PseudoVFMADD_VF64_M8, VFMADD_VF }, // 1224
  { PseudoVFMADD_VF64_M8_MASK, VFMADD_VF }, // 1225
  { PseudoVFMADD_VF64_MF2, VFMADD_VF }, // 1226
  { PseudoVFMADD_VF64_MF2_MASK, VFMADD_VF }, // 1227
  { PseudoVFMADD_VF64_MF4, VFMADD_VF }, // 1228
  { PseudoVFMADD_VF64_MF4_MASK, VFMADD_VF }, // 1229
  { PseudoVFMADD_VF64_MF8, VFMADD_VF }, // 1230
  { PseudoVFMADD_VF64_MF8_MASK, VFMADD_VF }, // 1231
  { PseudoVFMADD_VV_M1, VFMADD_VV }, // 1232
  { PseudoVFMADD_VV_M1_MASK, VFMADD_VV }, // 1233
  { PseudoVFMADD_VV_M2, VFMADD_VV }, // 1234
  { PseudoVFMADD_VV_M2_MASK, VFMADD_VV }, // 1235
  { PseudoVFMADD_VV_M4, VFMADD_VV }, // 1236
  { PseudoVFMADD_VV_M4_MASK, VFMADD_VV }, // 1237
  { PseudoVFMADD_VV_M8, VFMADD_VV }, // 1238
  { PseudoVFMADD_VV_M8_MASK, VFMADD_VV }, // 1239
  { PseudoVFMADD_VV_MF2, VFMADD_VV }, // 1240
  { PseudoVFMADD_VV_MF2_MASK, VFMADD_VV }, // 1241
  { PseudoVFMADD_VV_MF4, VFMADD_VV }, // 1242
  { PseudoVFMADD_VV_MF4_MASK, VFMADD_VV }, // 1243
  { PseudoVFMADD_VV_MF8, VFMADD_VV }, // 1244
  { PseudoVFMADD_VV_MF8_MASK, VFMADD_VV }, // 1245
  { PseudoVFMAX_VF16_M1, VFMAX_VF }, // 1246
  { PseudoVFMAX_VF16_M1_MASK, VFMAX_VF }, // 1247
  { PseudoVFMAX_VF16_M2, VFMAX_VF }, // 1248
  { PseudoVFMAX_VF16_M2_MASK, VFMAX_VF }, // 1249
  { PseudoVFMAX_VF16_M4, VFMAX_VF }, // 1250
  { PseudoVFMAX_VF16_M4_MASK, VFMAX_VF }, // 1251
  { PseudoVFMAX_VF16_M8, VFMAX_VF }, // 1252
  { PseudoVFMAX_VF16_M8_MASK, VFMAX_VF }, // 1253
  { PseudoVFMAX_VF16_MF2, VFMAX_VF }, // 1254
  { PseudoVFMAX_VF16_MF2_MASK, VFMAX_VF }, // 1255
  { PseudoVFMAX_VF16_MF4, VFMAX_VF }, // 1256
  { PseudoVFMAX_VF16_MF4_MASK, VFMAX_VF }, // 1257
  { PseudoVFMAX_VF16_MF8, VFMAX_VF }, // 1258
  { PseudoVFMAX_VF16_MF8_MASK, VFMAX_VF }, // 1259
  { PseudoVFMAX_VF32_M1, VFMAX_VF }, // 1260
  { PseudoVFMAX_VF32_M1_MASK, VFMAX_VF }, // 1261
  { PseudoVFMAX_VF32_M2, VFMAX_VF }, // 1262
  { PseudoVFMAX_VF32_M2_MASK, VFMAX_VF }, // 1263
  { PseudoVFMAX_VF32_M4, VFMAX_VF }, // 1264
  { PseudoVFMAX_VF32_M4_MASK, VFMAX_VF }, // 1265
  { PseudoVFMAX_VF32_M8, VFMAX_VF }, // 1266
  { PseudoVFMAX_VF32_M8_MASK, VFMAX_VF }, // 1267
  { PseudoVFMAX_VF32_MF2, VFMAX_VF }, // 1268
  { PseudoVFMAX_VF32_MF2_MASK, VFMAX_VF }, // 1269
  { PseudoVFMAX_VF32_MF4, VFMAX_VF }, // 1270
  { PseudoVFMAX_VF32_MF4_MASK, VFMAX_VF }, // 1271
  { PseudoVFMAX_VF32_MF8, VFMAX_VF }, // 1272
  { PseudoVFMAX_VF32_MF8_MASK, VFMAX_VF }, // 1273
  { PseudoVFMAX_VF64_M1, VFMAX_VF }, // 1274
  { PseudoVFMAX_VF64_M1_MASK, VFMAX_VF }, // 1275
  { PseudoVFMAX_VF64_M2, VFMAX_VF }, // 1276
  { PseudoVFMAX_VF64_M2_MASK, VFMAX_VF }, // 1277
  { PseudoVFMAX_VF64_M4, VFMAX_VF }, // 1278
  { PseudoVFMAX_VF64_M4_MASK, VFMAX_VF }, // 1279
  { PseudoVFMAX_VF64_M8, VFMAX_VF }, // 1280
  { PseudoVFMAX_VF64_M8_MASK, VFMAX_VF }, // 1281
  { PseudoVFMAX_VF64_MF2, VFMAX_VF }, // 1282
  { PseudoVFMAX_VF64_MF2_MASK, VFMAX_VF }, // 1283
  { PseudoVFMAX_VF64_MF4, VFMAX_VF }, // 1284
  { PseudoVFMAX_VF64_MF4_MASK, VFMAX_VF }, // 1285
  { PseudoVFMAX_VF64_MF8, VFMAX_VF }, // 1286
  { PseudoVFMAX_VF64_MF8_MASK, VFMAX_VF }, // 1287
  { PseudoVFMAX_VV_M1, VFMAX_VV }, // 1288
  { PseudoVFMAX_VV_M1_MASK, VFMAX_VV }, // 1289
  { PseudoVFMAX_VV_M2, VFMAX_VV }, // 1290
  { PseudoVFMAX_VV_M2_MASK, VFMAX_VV }, // 1291
  { PseudoVFMAX_VV_M4, VFMAX_VV }, // 1292
  { PseudoVFMAX_VV_M4_MASK, VFMAX_VV }, // 1293
  { PseudoVFMAX_VV_M8, VFMAX_VV }, // 1294
  { PseudoVFMAX_VV_M8_MASK, VFMAX_VV }, // 1295
  { PseudoVFMAX_VV_MF2, VFMAX_VV }, // 1296
  { PseudoVFMAX_VV_MF2_MASK, VFMAX_VV }, // 1297
  { PseudoVFMAX_VV_MF4, VFMAX_VV }, // 1298
  { PseudoVFMAX_VV_MF4_MASK, VFMAX_VV }, // 1299
  { PseudoVFMAX_VV_MF8, VFMAX_VV }, // 1300
  { PseudoVFMAX_VV_MF8_MASK, VFMAX_VV }, // 1301
  { PseudoVFMERGE_VF16M_M1, VFMERGE_VFM }, // 1302
  { PseudoVFMERGE_VF16M_M2, VFMERGE_VFM }, // 1303
  { PseudoVFMERGE_VF16M_M4, VFMERGE_VFM }, // 1304
  { PseudoVFMERGE_VF16M_M8, VFMERGE_VFM }, // 1305
  { PseudoVFMERGE_VF16M_MF2, VFMERGE_VFM }, // 1306
  { PseudoVFMERGE_VF16M_MF4, VFMERGE_VFM }, // 1307
  { PseudoVFMERGE_VF16M_MF8, VFMERGE_VFM }, // 1308
  { PseudoVFMERGE_VF32M_M1, VFMERGE_VFM }, // 1309
  { PseudoVFMERGE_VF32M_M2, VFMERGE_VFM }, // 1310
  { PseudoVFMERGE_VF32M_M4, VFMERGE_VFM }, // 1311
  { PseudoVFMERGE_VF32M_M8, VFMERGE_VFM }, // 1312
  { PseudoVFMERGE_VF32M_MF2, VFMERGE_VFM }, // 1313
  { PseudoVFMERGE_VF32M_MF4, VFMERGE_VFM }, // 1314
  { PseudoVFMERGE_VF32M_MF8, VFMERGE_VFM }, // 1315
  { PseudoVFMERGE_VF64M_M1, VFMERGE_VFM }, // 1316
  { PseudoVFMERGE_VF64M_M2, VFMERGE_VFM }, // 1317
  { PseudoVFMERGE_VF64M_M4, VFMERGE_VFM }, // 1318
  { PseudoVFMERGE_VF64M_M8, VFMERGE_VFM }, // 1319
  { PseudoVFMERGE_VF64M_MF2, VFMERGE_VFM }, // 1320
  { PseudoVFMERGE_VF64M_MF4, VFMERGE_VFM }, // 1321
  { PseudoVFMERGE_VF64M_MF8, VFMERGE_VFM }, // 1322
  { PseudoVFMIN_VF16_M1, VFMIN_VF }, // 1323
  { PseudoVFMIN_VF16_M1_MASK, VFMIN_VF }, // 1324
  { PseudoVFMIN_VF16_M2, VFMIN_VF }, // 1325
  { PseudoVFMIN_VF16_M2_MASK, VFMIN_VF }, // 1326
  { PseudoVFMIN_VF16_M4, VFMIN_VF }, // 1327
  { PseudoVFMIN_VF16_M4_MASK, VFMIN_VF }, // 1328
  { PseudoVFMIN_VF16_M8, VFMIN_VF }, // 1329
  { PseudoVFMIN_VF16_M8_MASK, VFMIN_VF }, // 1330
  { PseudoVFMIN_VF16_MF2, VFMIN_VF }, // 1331
  { PseudoVFMIN_VF16_MF2_MASK, VFMIN_VF }, // 1332
  { PseudoVFMIN_VF16_MF4, VFMIN_VF }, // 1333
  { PseudoVFMIN_VF16_MF4_MASK, VFMIN_VF }, // 1334
  { PseudoVFMIN_VF16_MF8, VFMIN_VF }, // 1335
  { PseudoVFMIN_VF16_MF8_MASK, VFMIN_VF }, // 1336
  { PseudoVFMIN_VF32_M1, VFMIN_VF }, // 1337
  { PseudoVFMIN_VF32_M1_MASK, VFMIN_VF }, // 1338
  { PseudoVFMIN_VF32_M2, VFMIN_VF }, // 1339
  { PseudoVFMIN_VF32_M2_MASK, VFMIN_VF }, // 1340
  { PseudoVFMIN_VF32_M4, VFMIN_VF }, // 1341
  { PseudoVFMIN_VF32_M4_MASK, VFMIN_VF }, // 1342
  { PseudoVFMIN_VF32_M8, VFMIN_VF }, // 1343
  { PseudoVFMIN_VF32_M8_MASK, VFMIN_VF }, // 1344
  { PseudoVFMIN_VF32_MF2, VFMIN_VF }, // 1345
  { PseudoVFMIN_VF32_MF2_MASK, VFMIN_VF }, // 1346
  { PseudoVFMIN_VF32_MF4, VFMIN_VF }, // 1347
  { PseudoVFMIN_VF32_MF4_MASK, VFMIN_VF }, // 1348
  { PseudoVFMIN_VF32_MF8, VFMIN_VF }, // 1349
  { PseudoVFMIN_VF32_MF8_MASK, VFMIN_VF }, // 1350
  { PseudoVFMIN_VF64_M1, VFMIN_VF }, // 1351
  { PseudoVFMIN_VF64_M1_MASK, VFMIN_VF }, // 1352
  { PseudoVFMIN_VF64_M2, VFMIN_VF }, // 1353
  { PseudoVFMIN_VF64_M2_MASK, VFMIN_VF }, // 1354
  { PseudoVFMIN_VF64_M4, VFMIN_VF }, // 1355
  { PseudoVFMIN_VF64_M4_MASK, VFMIN_VF }, // 1356
  { PseudoVFMIN_VF64_M8, VFMIN_VF }, // 1357
  { PseudoVFMIN_VF64_M8_MASK, VFMIN_VF }, // 1358
  { PseudoVFMIN_VF64_MF2, VFMIN_VF }, // 1359
  { PseudoVFMIN_VF64_MF2_MASK, VFMIN_VF }, // 1360
  { PseudoVFMIN_VF64_MF4, VFMIN_VF }, // 1361
  { PseudoVFMIN_VF64_MF4_MASK, VFMIN_VF }, // 1362
  { PseudoVFMIN_VF64_MF8, VFMIN_VF }, // 1363
  { PseudoVFMIN_VF64_MF8_MASK, VFMIN_VF }, // 1364
  { PseudoVFMIN_VV_M1, VFMIN_VV }, // 1365
  { PseudoVFMIN_VV_M1_MASK, VFMIN_VV }, // 1366
  { PseudoVFMIN_VV_M2, VFMIN_VV }, // 1367
  { PseudoVFMIN_VV_M2_MASK, VFMIN_VV }, // 1368
  { PseudoVFMIN_VV_M4, VFMIN_VV }, // 1369
  { PseudoVFMIN_VV_M4_MASK, VFMIN_VV }, // 1370
  { PseudoVFMIN_VV_M8, VFMIN_VV }, // 1371
  { PseudoVFMIN_VV_M8_MASK, VFMIN_VV }, // 1372
  { PseudoVFMIN_VV_MF2, VFMIN_VV }, // 1373
  { PseudoVFMIN_VV_MF2_MASK, VFMIN_VV }, // 1374
  { PseudoVFMIN_VV_MF4, VFMIN_VV }, // 1375
  { PseudoVFMIN_VV_MF4_MASK, VFMIN_VV }, // 1376
  { PseudoVFMIN_VV_MF8, VFMIN_VV }, // 1377
  { PseudoVFMIN_VV_MF8_MASK, VFMIN_VV }, // 1378
  { PseudoVFMSAC_VF16_M1, VFMSAC_VF }, // 1379
  { PseudoVFMSAC_VF16_M1_MASK, VFMSAC_VF }, // 1380
  { PseudoVFMSAC_VF16_M2, VFMSAC_VF }, // 1381
  { PseudoVFMSAC_VF16_M2_MASK, VFMSAC_VF }, // 1382
  { PseudoVFMSAC_VF16_M4, VFMSAC_VF }, // 1383
  { PseudoVFMSAC_VF16_M4_MASK, VFMSAC_VF }, // 1384
  { PseudoVFMSAC_VF16_M8, VFMSAC_VF }, // 1385
  { PseudoVFMSAC_VF16_M8_MASK, VFMSAC_VF }, // 1386
  { PseudoVFMSAC_VF16_MF2, VFMSAC_VF }, // 1387
  { PseudoVFMSAC_VF16_MF2_MASK, VFMSAC_VF }, // 1388
  { PseudoVFMSAC_VF16_MF4, VFMSAC_VF }, // 1389
  { PseudoVFMSAC_VF16_MF4_MASK, VFMSAC_VF }, // 1390
  { PseudoVFMSAC_VF16_MF8, VFMSAC_VF }, // 1391
  { PseudoVFMSAC_VF16_MF8_MASK, VFMSAC_VF }, // 1392
  { PseudoVFMSAC_VF32_M1, VFMSAC_VF }, // 1393
  { PseudoVFMSAC_VF32_M1_MASK, VFMSAC_VF }, // 1394
  { PseudoVFMSAC_VF32_M2, VFMSAC_VF }, // 1395
  { PseudoVFMSAC_VF32_M2_MASK, VFMSAC_VF }, // 1396
  { PseudoVFMSAC_VF32_M4, VFMSAC_VF }, // 1397
  { PseudoVFMSAC_VF32_M4_MASK, VFMSAC_VF }, // 1398
  { PseudoVFMSAC_VF32_M8, VFMSAC_VF }, // 1399
  { PseudoVFMSAC_VF32_M8_MASK, VFMSAC_VF }, // 1400
  { PseudoVFMSAC_VF32_MF2, VFMSAC_VF }, // 1401
  { PseudoVFMSAC_VF32_MF2_MASK, VFMSAC_VF }, // 1402
  { PseudoVFMSAC_VF32_MF4, VFMSAC_VF }, // 1403
  { PseudoVFMSAC_VF32_MF4_MASK, VFMSAC_VF }, // 1404
  { PseudoVFMSAC_VF32_MF8, VFMSAC_VF }, // 1405
  { PseudoVFMSAC_VF32_MF8_MASK, VFMSAC_VF }, // 1406
  { PseudoVFMSAC_VF64_M1, VFMSAC_VF }, // 1407
  { PseudoVFMSAC_VF64_M1_MASK, VFMSAC_VF }, // 1408
  { PseudoVFMSAC_VF64_M2, VFMSAC_VF }, // 1409
  { PseudoVFMSAC_VF64_M2_MASK, VFMSAC_VF }, // 1410
  { PseudoVFMSAC_VF64_M4, VFMSAC_VF }, // 1411
  { PseudoVFMSAC_VF64_M4_MASK, VFMSAC_VF }, // 1412
  { PseudoVFMSAC_VF64_M8, VFMSAC_VF }, // 1413
  { PseudoVFMSAC_VF64_M8_MASK, VFMSAC_VF }, // 1414
  { PseudoVFMSAC_VF64_MF2, VFMSAC_VF }, // 1415
  { PseudoVFMSAC_VF64_MF2_MASK, VFMSAC_VF }, // 1416
  { PseudoVFMSAC_VF64_MF4, VFMSAC_VF }, // 1417
  { PseudoVFMSAC_VF64_MF4_MASK, VFMSAC_VF }, // 1418
  { PseudoVFMSAC_VF64_MF8, VFMSAC_VF }, // 1419
  { PseudoVFMSAC_VF64_MF8_MASK, VFMSAC_VF }, // 1420
  { PseudoVFMSAC_VV_M1, VFMSAC_VV }, // 1421
  { PseudoVFMSAC_VV_M1_MASK, VFMSAC_VV }, // 1422
  { PseudoVFMSAC_VV_M2, VFMSAC_VV }, // 1423
  { PseudoVFMSAC_VV_M2_MASK, VFMSAC_VV }, // 1424
  { PseudoVFMSAC_VV_M4, VFMSAC_VV }, // 1425
  { PseudoVFMSAC_VV_M4_MASK, VFMSAC_VV }, // 1426
  { PseudoVFMSAC_VV_M8, VFMSAC_VV }, // 1427
  { PseudoVFMSAC_VV_M8_MASK, VFMSAC_VV }, // 1428
  { PseudoVFMSAC_VV_MF2, VFMSAC_VV }, // 1429
  { PseudoVFMSAC_VV_MF2_MASK, VFMSAC_VV }, // 1430
  { PseudoVFMSAC_VV_MF4, VFMSAC_VV }, // 1431
  { PseudoVFMSAC_VV_MF4_MASK, VFMSAC_VV }, // 1432
  { PseudoVFMSAC_VV_MF8, VFMSAC_VV }, // 1433
  { PseudoVFMSAC_VV_MF8_MASK, VFMSAC_VV }, // 1434
  { PseudoVFMSUB_VF16_M1, VFMSUB_VF }, // 1435
  { PseudoVFMSUB_VF16_M1_MASK, VFMSUB_VF }, // 1436
  { PseudoVFMSUB_VF16_M2, VFMSUB_VF }, // 1437
  { PseudoVFMSUB_VF16_M2_MASK, VFMSUB_VF }, // 1438
  { PseudoVFMSUB_VF16_M4, VFMSUB_VF }, // 1439
  { PseudoVFMSUB_VF16_M4_MASK, VFMSUB_VF }, // 1440
  { PseudoVFMSUB_VF16_M8, VFMSUB_VF }, // 1441
  { PseudoVFMSUB_VF16_M8_MASK, VFMSUB_VF }, // 1442
  { PseudoVFMSUB_VF16_MF2, VFMSUB_VF }, // 1443
  { PseudoVFMSUB_VF16_MF2_MASK, VFMSUB_VF }, // 1444
  { PseudoVFMSUB_VF16_MF4, VFMSUB_VF }, // 1445
  { PseudoVFMSUB_VF16_MF4_MASK, VFMSUB_VF }, // 1446
  { PseudoVFMSUB_VF16_MF8, VFMSUB_VF }, // 1447
  { PseudoVFMSUB_VF16_MF8_MASK, VFMSUB_VF }, // 1448
  { PseudoVFMSUB_VF32_M1, VFMSUB_VF }, // 1449
  { PseudoVFMSUB_VF32_M1_MASK, VFMSUB_VF }, // 1450
  { PseudoVFMSUB_VF32_M2, VFMSUB_VF }, // 1451
  { PseudoVFMSUB_VF32_M2_MASK, VFMSUB_VF }, // 1452
  { PseudoVFMSUB_VF32_M4, VFMSUB_VF }, // 1453
  { PseudoVFMSUB_VF32_M4_MASK, VFMSUB_VF }, // 1454
  { PseudoVFMSUB_VF32_M8, VFMSUB_VF }, // 1455
  { PseudoVFMSUB_VF32_M8_MASK, VFMSUB_VF }, // 1456
  { PseudoVFMSUB_VF32_MF2, VFMSUB_VF }, // 1457
  { PseudoVFMSUB_VF32_MF2_MASK, VFMSUB_VF }, // 1458
  { PseudoVFMSUB_VF32_MF4, VFMSUB_VF }, // 1459
  { PseudoVFMSUB_VF32_MF4_MASK, VFMSUB_VF }, // 1460
  { PseudoVFMSUB_VF32_MF8, VFMSUB_VF }, // 1461
  { PseudoVFMSUB_VF32_MF8_MASK, VFMSUB_VF }, // 1462
  { PseudoVFMSUB_VF64_M1, VFMSUB_VF }, // 1463
  { PseudoVFMSUB_VF64_M1_MASK, VFMSUB_VF }, // 1464
  { PseudoVFMSUB_VF64_M2, VFMSUB_VF }, // 1465
  { PseudoVFMSUB_VF64_M2_MASK, VFMSUB_VF }, // 1466
  { PseudoVFMSUB_VF64_M4, VFMSUB_VF }, // 1467
  { PseudoVFMSUB_VF64_M4_MASK, VFMSUB_VF }, // 1468
  { PseudoVFMSUB_VF64_M8, VFMSUB_VF }, // 1469
  { PseudoVFMSUB_VF64_M8_MASK, VFMSUB_VF }, // 1470
  { PseudoVFMSUB_VF64_MF2, VFMSUB_VF }, // 1471
  { PseudoVFMSUB_VF64_MF2_MASK, VFMSUB_VF }, // 1472
  { PseudoVFMSUB_VF64_MF4, VFMSUB_VF }, // 1473
  { PseudoVFMSUB_VF64_MF4_MASK, VFMSUB_VF }, // 1474
  { PseudoVFMSUB_VF64_MF8, VFMSUB_VF }, // 1475
  { PseudoVFMSUB_VF64_MF8_MASK, VFMSUB_VF }, // 1476
  { PseudoVFMSUB_VV_M1, VFMSUB_VV }, // 1477
  { PseudoVFMSUB_VV_M1_MASK, VFMSUB_VV }, // 1478
  { PseudoVFMSUB_VV_M2, VFMSUB_VV }, // 1479
  { PseudoVFMSUB_VV_M2_MASK, VFMSUB_VV }, // 1480
  { PseudoVFMSUB_VV_M4, VFMSUB_VV }, // 1481
  { PseudoVFMSUB_VV_M4_MASK, VFMSUB_VV }, // 1482
  { PseudoVFMSUB_VV_M8, VFMSUB_VV }, // 1483
  { PseudoVFMSUB_VV_M8_MASK, VFMSUB_VV }, // 1484
  { PseudoVFMSUB_VV_MF2, VFMSUB_VV }, // 1485
  { PseudoVFMSUB_VV_MF2_MASK, VFMSUB_VV }, // 1486
  { PseudoVFMSUB_VV_MF4, VFMSUB_VV }, // 1487
  { PseudoVFMSUB_VV_MF4_MASK, VFMSUB_VV }, // 1488
  { PseudoVFMSUB_VV_MF8, VFMSUB_VV }, // 1489
  { PseudoVFMSUB_VV_MF8_MASK, VFMSUB_VV }, // 1490
  { PseudoVFMUL_VF16_M1, VFMUL_VF }, // 1491
  { PseudoVFMUL_VF16_M1_MASK, VFMUL_VF }, // 1492
  { PseudoVFMUL_VF16_M2, VFMUL_VF }, // 1493
  { PseudoVFMUL_VF16_M2_MASK, VFMUL_VF }, // 1494
  { PseudoVFMUL_VF16_M4, VFMUL_VF }, // 1495
  { PseudoVFMUL_VF16_M4_MASK, VFMUL_VF }, // 1496
  { PseudoVFMUL_VF16_M8, VFMUL_VF }, // 1497
  { PseudoVFMUL_VF16_M8_MASK, VFMUL_VF }, // 1498
  { PseudoVFMUL_VF16_MF2, VFMUL_VF }, // 1499
  { PseudoVFMUL_VF16_MF2_MASK, VFMUL_VF }, // 1500
  { PseudoVFMUL_VF16_MF4, VFMUL_VF }, // 1501
  { PseudoVFMUL_VF16_MF4_MASK, VFMUL_VF }, // 1502
  { PseudoVFMUL_VF16_MF8, VFMUL_VF }, // 1503
  { PseudoVFMUL_VF16_MF8_MASK, VFMUL_VF }, // 1504
  { PseudoVFMUL_VF32_M1, VFMUL_VF }, // 1505
  { PseudoVFMUL_VF32_M1_MASK, VFMUL_VF }, // 1506
  { PseudoVFMUL_VF32_M2, VFMUL_VF }, // 1507
  { PseudoVFMUL_VF32_M2_MASK, VFMUL_VF }, // 1508
  { PseudoVFMUL_VF32_M4, VFMUL_VF }, // 1509
  { PseudoVFMUL_VF32_M4_MASK, VFMUL_VF }, // 1510
  { PseudoVFMUL_VF32_M8, VFMUL_VF }, // 1511
  { PseudoVFMUL_VF32_M8_MASK, VFMUL_VF }, // 1512
  { PseudoVFMUL_VF32_MF2, VFMUL_VF }, // 1513
  { PseudoVFMUL_VF32_MF2_MASK, VFMUL_VF }, // 1514
  { PseudoVFMUL_VF32_MF4, VFMUL_VF }, // 1515
  { PseudoVFMUL_VF32_MF4_MASK, VFMUL_VF }, // 1516
  { PseudoVFMUL_VF32_MF8, VFMUL_VF }, // 1517
  { PseudoVFMUL_VF32_MF8_MASK, VFMUL_VF }, // 1518
  { PseudoVFMUL_VF64_M1, VFMUL_VF }, // 1519
  { PseudoVFMUL_VF64_M1_MASK, VFMUL_VF }, // 1520
  { PseudoVFMUL_VF64_M2, VFMUL_VF }, // 1521
  { PseudoVFMUL_VF64_M2_MASK, VFMUL_VF }, // 1522
  { PseudoVFMUL_VF64_M4, VFMUL_VF }, // 1523
  { PseudoVFMUL_VF64_M4_MASK, VFMUL_VF }, // 1524
  { PseudoVFMUL_VF64_M8, VFMUL_VF }, // 1525
  { PseudoVFMUL_VF64_M8_MASK, VFMUL_VF }, // 1526
  { PseudoVFMUL_VF64_MF2, VFMUL_VF }, // 1527
  { PseudoVFMUL_VF64_MF2_MASK, VFMUL_VF }, // 1528
  { PseudoVFMUL_VF64_MF4, VFMUL_VF }, // 1529
  { PseudoVFMUL_VF64_MF4_MASK, VFMUL_VF }, // 1530
  { PseudoVFMUL_VF64_MF8, VFMUL_VF }, // 1531
  { PseudoVFMUL_VF64_MF8_MASK, VFMUL_VF }, // 1532
  { PseudoVFMUL_VV_M1, VFMUL_VV }, // 1533
  { PseudoVFMUL_VV_M1_MASK, VFMUL_VV }, // 1534
  { PseudoVFMUL_VV_M2, VFMUL_VV }, // 1535
  { PseudoVFMUL_VV_M2_MASK, VFMUL_VV }, // 1536
  { PseudoVFMUL_VV_M4, VFMUL_VV }, // 1537
  { PseudoVFMUL_VV_M4_MASK, VFMUL_VV }, // 1538
  { PseudoVFMUL_VV_M8, VFMUL_VV }, // 1539
  { PseudoVFMUL_VV_M8_MASK, VFMUL_VV }, // 1540
  { PseudoVFMUL_VV_MF2, VFMUL_VV }, // 1541
  { PseudoVFMUL_VV_MF2_MASK, VFMUL_VV }, // 1542
  { PseudoVFMUL_VV_MF4, VFMUL_VV }, // 1543
  { PseudoVFMUL_VV_MF4_MASK, VFMUL_VV }, // 1544
  { PseudoVFMUL_VV_MF8, VFMUL_VV }, // 1545
  { PseudoVFMUL_VV_MF8_MASK, VFMUL_VV }, // 1546
  { PseudoVFMV_F16_S_M1, VFMV_F_S }, // 1547
  { PseudoVFMV_F16_S_M2, VFMV_F_S }, // 1548
  { PseudoVFMV_F16_S_M4, VFMV_F_S }, // 1549
  { PseudoVFMV_F16_S_M8, VFMV_F_S }, // 1550
  { PseudoVFMV_F16_S_MF2, VFMV_F_S }, // 1551
  { PseudoVFMV_F16_S_MF4, VFMV_F_S }, // 1552
  { PseudoVFMV_F16_S_MF8, VFMV_F_S }, // 1553
  { PseudoVFMV_F32_S_M1, VFMV_F_S }, // 1554
  { PseudoVFMV_F32_S_M2, VFMV_F_S }, // 1555
  { PseudoVFMV_F32_S_M4, VFMV_F_S }, // 1556
  { PseudoVFMV_F32_S_M8, VFMV_F_S }, // 1557
  { PseudoVFMV_F32_S_MF2, VFMV_F_S }, // 1558
  { PseudoVFMV_F32_S_MF4, VFMV_F_S }, // 1559
  { PseudoVFMV_F32_S_MF8, VFMV_F_S }, // 1560
  { PseudoVFMV_F64_S_M1, VFMV_F_S }, // 1561
  { PseudoVFMV_F64_S_M2, VFMV_F_S }, // 1562
  { PseudoVFMV_F64_S_M4, VFMV_F_S }, // 1563
  { PseudoVFMV_F64_S_M8, VFMV_F_S }, // 1564
  { PseudoVFMV_F64_S_MF2, VFMV_F_S }, // 1565
  { PseudoVFMV_F64_S_MF4, VFMV_F_S }, // 1566
  { PseudoVFMV_F64_S_MF8, VFMV_F_S }, // 1567
  { PseudoVFMV_S_F16_M1, VFMV_S_F }, // 1568
  { PseudoVFMV_S_F16_M2, VFMV_S_F }, // 1569
  { PseudoVFMV_S_F16_M4, VFMV_S_F }, // 1570
  { PseudoVFMV_S_F16_M8, VFMV_S_F }, // 1571
  { PseudoVFMV_S_F16_MF2, VFMV_S_F }, // 1572
  { PseudoVFMV_S_F16_MF4, VFMV_S_F }, // 1573
  { PseudoVFMV_S_F16_MF8, VFMV_S_F }, // 1574
  { PseudoVFMV_S_F32_M1, VFMV_S_F }, // 1575
  { PseudoVFMV_S_F32_M2, VFMV_S_F }, // 1576
  { PseudoVFMV_S_F32_M4, VFMV_S_F }, // 1577
  { PseudoVFMV_S_F32_M8, VFMV_S_F }, // 1578
  { PseudoVFMV_S_F32_MF2, VFMV_S_F }, // 1579
  { PseudoVFMV_S_F32_MF4, VFMV_S_F }, // 1580
  { PseudoVFMV_S_F32_MF8, VFMV_S_F }, // 1581
  { PseudoVFMV_S_F64_M1, VFMV_S_F }, // 1582
  { PseudoVFMV_S_F64_M2, VFMV_S_F }, // 1583
  { PseudoVFMV_S_F64_M4, VFMV_S_F }, // 1584
  { PseudoVFMV_S_F64_M8, VFMV_S_F }, // 1585
  { PseudoVFMV_S_F64_MF2, VFMV_S_F }, // 1586
  { PseudoVFMV_S_F64_MF4, VFMV_S_F }, // 1587
  { PseudoVFMV_S_F64_MF8, VFMV_S_F }, // 1588
  { PseudoVFMV_V_F16_M1, VFMV_V_F }, // 1589
  { PseudoVFMV_V_F16_M2, VFMV_V_F }, // 1590
  { PseudoVFMV_V_F16_M4, VFMV_V_F }, // 1591
  { PseudoVFMV_V_F16_M8, VFMV_V_F }, // 1592
  { PseudoVFMV_V_F16_MF2, VFMV_V_F }, // 1593
  { PseudoVFMV_V_F16_MF4, VFMV_V_F }, // 1594
  { PseudoVFMV_V_F16_MF8, VFMV_V_F }, // 1595
  { PseudoVFMV_V_F32_M1, VFMV_V_F }, // 1596
  { PseudoVFMV_V_F32_M2, VFMV_V_F }, // 1597
  { PseudoVFMV_V_F32_M4, VFMV_V_F }, // 1598
  { PseudoVFMV_V_F32_M8, VFMV_V_F }, // 1599
  { PseudoVFMV_V_F32_MF2, VFMV_V_F }, // 1600
  { PseudoVFMV_V_F32_MF4, VFMV_V_F }, // 1601
  { PseudoVFMV_V_F32_MF8, VFMV_V_F }, // 1602
  { PseudoVFMV_V_F64_M1, VFMV_V_F }, // 1603
  { PseudoVFMV_V_F64_M2, VFMV_V_F }, // 1604
  { PseudoVFMV_V_F64_M4, VFMV_V_F }, // 1605
  { PseudoVFMV_V_F64_M8, VFMV_V_F }, // 1606
  { PseudoVFMV_V_F64_MF2, VFMV_V_F }, // 1607
  { PseudoVFMV_V_F64_MF4, VFMV_V_F }, // 1608
  { PseudoVFMV_V_F64_MF8, VFMV_V_F }, // 1609
  { PseudoVFNCVT_F_F_W_M1, VFNCVT_F_F_W }, // 1610
  { PseudoVFNCVT_F_F_W_M1_MASK, VFNCVT_F_F_W }, // 1611
  { PseudoVFNCVT_F_F_W_M2, VFNCVT_F_F_W }, // 1612
  { PseudoVFNCVT_F_F_W_M2_MASK, VFNCVT_F_F_W }, // 1613
  { PseudoVFNCVT_F_F_W_M4, VFNCVT_F_F_W }, // 1614
  { PseudoVFNCVT_F_F_W_M4_MASK, VFNCVT_F_F_W }, // 1615
  { PseudoVFNCVT_F_F_W_MF2, VFNCVT_F_F_W }, // 1616
  { PseudoVFNCVT_F_F_W_MF2_MASK, VFNCVT_F_F_W }, // 1617
  { PseudoVFNCVT_F_F_W_MF4, VFNCVT_F_F_W }, // 1618
  { PseudoVFNCVT_F_F_W_MF4_MASK, VFNCVT_F_F_W }, // 1619
  { PseudoVFNCVT_F_F_W_MF8, VFNCVT_F_F_W }, // 1620
  { PseudoVFNCVT_F_F_W_MF8_MASK, VFNCVT_F_F_W }, // 1621
  { PseudoVFNCVT_F_XU_W_M1, VFNCVT_F_XU_W }, // 1622
  { PseudoVFNCVT_F_XU_W_M1_MASK, VFNCVT_F_XU_W }, // 1623
  { PseudoVFNCVT_F_XU_W_M2, VFNCVT_F_XU_W }, // 1624
  { PseudoVFNCVT_F_XU_W_M2_MASK, VFNCVT_F_XU_W }, // 1625
  { PseudoVFNCVT_F_XU_W_M4, VFNCVT_F_XU_W }, // 1626
  { PseudoVFNCVT_F_XU_W_M4_MASK, VFNCVT_F_XU_W }, // 1627
  { PseudoVFNCVT_F_XU_W_MF2, VFNCVT_F_XU_W }, // 1628
  { PseudoVFNCVT_F_XU_W_MF2_MASK, VFNCVT_F_XU_W }, // 1629
  { PseudoVFNCVT_F_XU_W_MF4, VFNCVT_F_XU_W }, // 1630
  { PseudoVFNCVT_F_XU_W_MF4_MASK, VFNCVT_F_XU_W }, // 1631
  { PseudoVFNCVT_F_XU_W_MF8, VFNCVT_F_XU_W }, // 1632
  { PseudoVFNCVT_F_XU_W_MF8_MASK, VFNCVT_F_XU_W }, // 1633
  { PseudoVFNCVT_F_X_W_M1, VFNCVT_F_X_W }, // 1634
  { PseudoVFNCVT_F_X_W_M1_MASK, VFNCVT_F_X_W }, // 1635
  { PseudoVFNCVT_F_X_W_M2, VFNCVT_F_X_W }, // 1636
  { PseudoVFNCVT_F_X_W_M2_MASK, VFNCVT_F_X_W }, // 1637
  { PseudoVFNCVT_F_X_W_M4, VFNCVT_F_X_W }, // 1638
  { PseudoVFNCVT_F_X_W_M4_MASK, VFNCVT_F_X_W }, // 1639
  { PseudoVFNCVT_F_X_W_MF2, VFNCVT_F_X_W }, // 1640
  { PseudoVFNCVT_F_X_W_MF2_MASK, VFNCVT_F_X_W }, // 1641
  { PseudoVFNCVT_F_X_W_MF4, VFNCVT_F_X_W }, // 1642
  { PseudoVFNCVT_F_X_W_MF4_MASK, VFNCVT_F_X_W }, // 1643
  { PseudoVFNCVT_F_X_W_MF8, VFNCVT_F_X_W }, // 1644
  { PseudoVFNCVT_F_X_W_MF8_MASK, VFNCVT_F_X_W }, // 1645
  { PseudoVFNCVT_ROD_F_F_W_M1, VFNCVT_ROD_F_F_W }, // 1646
  { PseudoVFNCVT_ROD_F_F_W_M1_MASK, VFNCVT_ROD_F_F_W }, // 1647
  { PseudoVFNCVT_ROD_F_F_W_M2, VFNCVT_ROD_F_F_W }, // 1648
  { PseudoVFNCVT_ROD_F_F_W_M2_MASK, VFNCVT_ROD_F_F_W }, // 1649
  { PseudoVFNCVT_ROD_F_F_W_M4, VFNCVT_ROD_F_F_W }, // 1650
  { PseudoVFNCVT_ROD_F_F_W_M4_MASK, VFNCVT_ROD_F_F_W }, // 1651
  { PseudoVFNCVT_ROD_F_F_W_MF2, VFNCVT_ROD_F_F_W }, // 1652
  { PseudoVFNCVT_ROD_F_F_W_MF2_MASK, VFNCVT_ROD_F_F_W }, // 1653
  { PseudoVFNCVT_ROD_F_F_W_MF4, VFNCVT_ROD_F_F_W }, // 1654
  { PseudoVFNCVT_ROD_F_F_W_MF4_MASK, VFNCVT_ROD_F_F_W }, // 1655
  { PseudoVFNCVT_ROD_F_F_W_MF8, VFNCVT_ROD_F_F_W }, // 1656
  { PseudoVFNCVT_ROD_F_F_W_MF8_MASK, VFNCVT_ROD_F_F_W }, // 1657
  { PseudoVFNCVT_RTZ_XU_F_W_M1, VFNCVT_RTZ_XU_F_W }, // 1658
  { PseudoVFNCVT_RTZ_XU_F_W_M1_MASK, VFNCVT_RTZ_XU_F_W }, // 1659
  { PseudoVFNCVT_RTZ_XU_F_W_M2, VFNCVT_RTZ_XU_F_W }, // 1660
  { PseudoVFNCVT_RTZ_XU_F_W_M2_MASK, VFNCVT_RTZ_XU_F_W }, // 1661
  { PseudoVFNCVT_RTZ_XU_F_W_M4, VFNCVT_RTZ_XU_F_W }, // 1662
  { PseudoVFNCVT_RTZ_XU_F_W_M4_MASK, VFNCVT_RTZ_XU_F_W }, // 1663
  { PseudoVFNCVT_RTZ_XU_F_W_MF2, VFNCVT_RTZ_XU_F_W }, // 1664
  { PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK, VFNCVT_RTZ_XU_F_W }, // 1665
  { PseudoVFNCVT_RTZ_XU_F_W_MF4, VFNCVT_RTZ_XU_F_W }, // 1666
  { PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK, VFNCVT_RTZ_XU_F_W }, // 1667
  { PseudoVFNCVT_RTZ_XU_F_W_MF8, VFNCVT_RTZ_XU_F_W }, // 1668
  { PseudoVFNCVT_RTZ_XU_F_W_MF8_MASK, VFNCVT_RTZ_XU_F_W }, // 1669
  { PseudoVFNCVT_RTZ_X_F_W_M1, VFNCVT_RTZ_X_F_W }, // 1670
  { PseudoVFNCVT_RTZ_X_F_W_M1_MASK, VFNCVT_RTZ_X_F_W }, // 1671
  { PseudoVFNCVT_RTZ_X_F_W_M2, VFNCVT_RTZ_X_F_W }, // 1672
  { PseudoVFNCVT_RTZ_X_F_W_M2_MASK, VFNCVT_RTZ_X_F_W }, // 1673
  { PseudoVFNCVT_RTZ_X_F_W_M4, VFNCVT_RTZ_X_F_W }, // 1674
  { PseudoVFNCVT_RTZ_X_F_W_M4_MASK, VFNCVT_RTZ_X_F_W }, // 1675
  { PseudoVFNCVT_RTZ_X_F_W_MF2, VFNCVT_RTZ_X_F_W }, // 1676
  { PseudoVFNCVT_RTZ_X_F_W_MF2_MASK, VFNCVT_RTZ_X_F_W }, // 1677
  { PseudoVFNCVT_RTZ_X_F_W_MF4, VFNCVT_RTZ_X_F_W }, // 1678
  { PseudoVFNCVT_RTZ_X_F_W_MF4_MASK, VFNCVT_RTZ_X_F_W }, // 1679
  { PseudoVFNCVT_RTZ_X_F_W_MF8, VFNCVT_RTZ_X_F_W }, // 1680
  { PseudoVFNCVT_RTZ_X_F_W_MF8_MASK, VFNCVT_RTZ_X_F_W }, // 1681
  { PseudoVFNCVT_XU_F_W_M1, VFNCVT_XU_F_W }, // 1682
  { PseudoVFNCVT_XU_F_W_M1_MASK, VFNCVT_XU_F_W }, // 1683
  { PseudoVFNCVT_XU_F_W_M2, VFNCVT_XU_F_W }, // 1684
  { PseudoVFNCVT_XU_F_W_M2_MASK, VFNCVT_XU_F_W }, // 1685
  { PseudoVFNCVT_XU_F_W_M4, VFNCVT_XU_F_W }, // 1686
  { PseudoVFNCVT_XU_F_W_M4_MASK, VFNCVT_XU_F_W }, // 1687
  { PseudoVFNCVT_XU_F_W_MF2, VFNCVT_XU_F_W }, // 1688
  { PseudoVFNCVT_XU_F_W_MF2_MASK, VFNCVT_XU_F_W }, // 1689
  { PseudoVFNCVT_XU_F_W_MF4, VFNCVT_XU_F_W }, // 1690
  { PseudoVFNCVT_XU_F_W_MF4_MASK, VFNCVT_XU_F_W }, // 1691
  { PseudoVFNCVT_XU_F_W_MF8, VFNCVT_XU_F_W }, // 1692
  { PseudoVFNCVT_XU_F_W_MF8_MASK, VFNCVT_XU_F_W }, // 1693
  { PseudoVFNCVT_X_F_W_M1, VFNCVT_X_F_W }, // 1694
  { PseudoVFNCVT_X_F_W_M1_MASK, VFNCVT_X_F_W }, // 1695
  { PseudoVFNCVT_X_F_W_M2, VFNCVT_X_F_W }, // 1696
  { PseudoVFNCVT_X_F_W_M2_MASK, VFNCVT_X_F_W }, // 1697
  { PseudoVFNCVT_X_F_W_M4, VFNCVT_X_F_W }, // 1698
  { PseudoVFNCVT_X_F_W_M4_MASK, VFNCVT_X_F_W }, // 1699
  { PseudoVFNCVT_X_F_W_MF2, VFNCVT_X_F_W }, // 1700
  { PseudoVFNCVT_X_F_W_MF2_MASK, VFNCVT_X_F_W }, // 1701
  { PseudoVFNCVT_X_F_W_MF4, VFNCVT_X_F_W }, // 1702
  { PseudoVFNCVT_X_F_W_MF4_MASK, VFNCVT_X_F_W }, // 1703
  { PseudoVFNCVT_X_F_W_MF8, VFNCVT_X_F_W }, // 1704
  { PseudoVFNCVT_X_F_W_MF8_MASK, VFNCVT_X_F_W }, // 1705
  { PseudoVFNMACC_VF16_M1, VFNMACC_VF }, // 1706
  { PseudoVFNMACC_VF16_M1_MASK, VFNMACC_VF }, // 1707
  { PseudoVFNMACC_VF16_M2, VFNMACC_VF }, // 1708
  { PseudoVFNMACC_VF16_M2_MASK, VFNMACC_VF }, // 1709
  { PseudoVFNMACC_VF16_M4, VFNMACC_VF }, // 1710
  { PseudoVFNMACC_VF16_M4_MASK, VFNMACC_VF }, // 1711
  { PseudoVFNMACC_VF16_M8, VFNMACC_VF }, // 1712
  { PseudoVFNMACC_VF16_M8_MASK, VFNMACC_VF }, // 1713
  { PseudoVFNMACC_VF16_MF2, VFNMACC_VF }, // 1714
  { PseudoVFNMACC_VF16_MF2_MASK, VFNMACC_VF }, // 1715
  { PseudoVFNMACC_VF16_MF4, VFNMACC_VF }, // 1716
  { PseudoVFNMACC_VF16_MF4_MASK, VFNMACC_VF }, // 1717
  { PseudoVFNMACC_VF16_MF8, VFNMACC_VF }, // 1718
  { PseudoVFNMACC_VF16_MF8_MASK, VFNMACC_VF }, // 1719
  { PseudoVFNMACC_VF32_M1, VFNMACC_VF }, // 1720
  { PseudoVFNMACC_VF32_M1_MASK, VFNMACC_VF }, // 1721
  { PseudoVFNMACC_VF32_M2, VFNMACC_VF }, // 1722
  { PseudoVFNMACC_VF32_M2_MASK, VFNMACC_VF }, // 1723
  { PseudoVFNMACC_VF32_M4, VFNMACC_VF }, // 1724
  { PseudoVFNMACC_VF32_M4_MASK, VFNMACC_VF }, // 1725
  { PseudoVFNMACC_VF32_M8, VFNMACC_VF }, // 1726
  { PseudoVFNMACC_VF32_M8_MASK, VFNMACC_VF }, // 1727
  { PseudoVFNMACC_VF32_MF2, VFNMACC_VF }, // 1728
  { PseudoVFNMACC_VF32_MF2_MASK, VFNMACC_VF }, // 1729
  { PseudoVFNMACC_VF32_MF4, VFNMACC_VF }, // 1730
  { PseudoVFNMACC_VF32_MF4_MASK, VFNMACC_VF }, // 1731
  { PseudoVFNMACC_VF32_MF8, VFNMACC_VF }, // 1732
  { PseudoVFNMACC_VF32_MF8_MASK, VFNMACC_VF }, // 1733
  { PseudoVFNMACC_VF64_M1, VFNMACC_VF }, // 1734
  { PseudoVFNMACC_VF64_M1_MASK, VFNMACC_VF }, // 1735
  { PseudoVFNMACC_VF64_M2, VFNMACC_VF }, // 1736
  { PseudoVFNMACC_VF64_M2_MASK, VFNMACC_VF }, // 1737
  { PseudoVFNMACC_VF64_M4, VFNMACC_VF }, // 1738
  { PseudoVFNMACC_VF64_M4_MASK, VFNMACC_VF }, // 1739
  { PseudoVFNMACC_VF64_M8, VFNMACC_VF }, // 1740
  { PseudoVFNMACC_VF64_M8_MASK, VFNMACC_VF }, // 1741
  { PseudoVFNMACC_VF64_MF2, VFNMACC_VF }, // 1742
  { PseudoVFNMACC_VF64_MF2_MASK, VFNMACC_VF }, // 1743
  { PseudoVFNMACC_VF64_MF4, VFNMACC_VF }, // 1744
  { PseudoVFNMACC_VF64_MF4_MASK, VFNMACC_VF }, // 1745
  { PseudoVFNMACC_VF64_MF8, VFNMACC_VF }, // 1746
  { PseudoVFNMACC_VF64_MF8_MASK, VFNMACC_VF }, // 1747
  { PseudoVFNMACC_VV_M1, VFNMACC_VV }, // 1748
  { PseudoVFNMACC_VV_M1_MASK, VFNMACC_VV }, // 1749
  { PseudoVFNMACC_VV_M2, VFNMACC_VV }, // 1750
  { PseudoVFNMACC_VV_M2_MASK, VFNMACC_VV }, // 1751
  { PseudoVFNMACC_VV_M4, VFNMACC_VV }, // 1752
  { PseudoVFNMACC_VV_M4_MASK, VFNMACC_VV }, // 1753
  { PseudoVFNMACC_VV_M8, VFNMACC_VV }, // 1754
  { PseudoVFNMACC_VV_M8_MASK, VFNMACC_VV }, // 1755
  { PseudoVFNMACC_VV_MF2, VFNMACC_VV }, // 1756
  { PseudoVFNMACC_VV_MF2_MASK, VFNMACC_VV }, // 1757
  { PseudoVFNMACC_VV_MF4, VFNMACC_VV }, // 1758
  { PseudoVFNMACC_VV_MF4_MASK, VFNMACC_VV }, // 1759
  { PseudoVFNMACC_VV_MF8, VFNMACC_VV }, // 1760
  { PseudoVFNMACC_VV_MF8_MASK, VFNMACC_VV }, // 1761
  { PseudoVFNMADD_VF16_M1, VFNMADD_VF }, // 1762
  { PseudoVFNMADD_VF16_M1_MASK, VFNMADD_VF }, // 1763
  { PseudoVFNMADD_VF16_M2, VFNMADD_VF }, // 1764
  { PseudoVFNMADD_VF16_M2_MASK, VFNMADD_VF }, // 1765
  { PseudoVFNMADD_VF16_M4, VFNMADD_VF }, // 1766
  { PseudoVFNMADD_VF16_M4_MASK, VFNMADD_VF }, // 1767
  { PseudoVFNMADD_VF16_M8, VFNMADD_VF }, // 1768
  { PseudoVFNMADD_VF16_M8_MASK, VFNMADD_VF }, // 1769
  { PseudoVFNMADD_VF16_MF2, VFNMADD_VF }, // 1770
  { PseudoVFNMADD_VF16_MF2_MASK, VFNMADD_VF }, // 1771
  { PseudoVFNMADD_VF16_MF4, VFNMADD_VF }, // 1772
  { PseudoVFNMADD_VF16_MF4_MASK, VFNMADD_VF }, // 1773
  { PseudoVFNMADD_VF16_MF8, VFNMADD_VF }, // 1774
  { PseudoVFNMADD_VF16_MF8_MASK, VFNMADD_VF }, // 1775
  { PseudoVFNMADD_VF32_M1, VFNMADD_VF }, // 1776
  { PseudoVFNMADD_VF32_M1_MASK, VFNMADD_VF }, // 1777
  { PseudoVFNMADD_VF32_M2, VFNMADD_VF }, // 1778
  { PseudoVFNMADD_VF32_M2_MASK, VFNMADD_VF }, // 1779
  { PseudoVFNMADD_VF32_M4, VFNMADD_VF }, // 1780
  { PseudoVFNMADD_VF32_M4_MASK, VFNMADD_VF }, // 1781
  { PseudoVFNMADD_VF32_M8, VFNMADD_VF }, // 1782
  { PseudoVFNMADD_VF32_M8_MASK, VFNMADD_VF }, // 1783
  { PseudoVFNMADD_VF32_MF2, VFNMADD_VF }, // 1784
  { PseudoVFNMADD_VF32_MF2_MASK, VFNMADD_VF }, // 1785
  { PseudoVFNMADD_VF32_MF4, VFNMADD_VF }, // 1786
  { PseudoVFNMADD_VF32_MF4_MASK, VFNMADD_VF }, // 1787
  { PseudoVFNMADD_VF32_MF8, VFNMADD_VF }, // 1788
  { PseudoVFNMADD_VF32_MF8_MASK, VFNMADD_VF }, // 1789
  { PseudoVFNMADD_VF64_M1, VFNMADD_VF }, // 1790
  { PseudoVFNMADD_VF64_M1_MASK, VFNMADD_VF }, // 1791
  { PseudoVFNMADD_VF64_M2, VFNMADD_VF }, // 1792
  { PseudoVFNMADD_VF64_M2_MASK, VFNMADD_VF }, // 1793
  { PseudoVFNMADD_VF64_M4, VFNMADD_VF }, // 1794
  { PseudoVFNMADD_VF64_M4_MASK, VFNMADD_VF }, // 1795
  { PseudoVFNMADD_VF64_M8, VFNMADD_VF }, // 1796
  { PseudoVFNMADD_VF64_M8_MASK, VFNMADD_VF }, // 1797
  { PseudoVFNMADD_VF64_MF2, VFNMADD_VF }, // 1798
  { PseudoVFNMADD_VF64_MF2_MASK, VFNMADD_VF }, // 1799
  { PseudoVFNMADD_VF64_MF4, VFNMADD_VF }, // 1800
  { PseudoVFNMADD_VF64_MF4_MASK, VFNMADD_VF }, // 1801
  { PseudoVFNMADD_VF64_MF8, VFNMADD_VF }, // 1802
  { PseudoVFNMADD_VF64_MF8_MASK, VFNMADD_VF }, // 1803
  { PseudoVFNMADD_VV_M1, VFNMADD_VV }, // 1804
  { PseudoVFNMADD_VV_M1_MASK, VFNMADD_VV }, // 1805
  { PseudoVFNMADD_VV_M2, VFNMADD_VV }, // 1806
  { PseudoVFNMADD_VV_M2_MASK, VFNMADD_VV }, // 1807
  { PseudoVFNMADD_VV_M4, VFNMADD_VV }, // 1808
  { PseudoVFNMADD_VV_M4_MASK, VFNMADD_VV }, // 1809
  { PseudoVFNMADD_VV_M8, VFNMADD_VV }, // 1810
  { PseudoVFNMADD_VV_M8_MASK, VFNMADD_VV }, // 1811
  { PseudoVFNMADD_VV_MF2, VFNMADD_VV }, // 1812
  { PseudoVFNMADD_VV_MF2_MASK, VFNMADD_VV }, // 1813
  { PseudoVFNMADD_VV_MF4, VFNMADD_VV }, // 1814
  { PseudoVFNMADD_VV_MF4_MASK, VFNMADD_VV }, // 1815
  { PseudoVFNMADD_VV_MF8, VFNMADD_VV }, // 1816
  { PseudoVFNMADD_VV_MF8_MASK, VFNMADD_VV }, // 1817
  { PseudoVFNMSAC_VF16_M1, VFNMSAC_VF }, // 1818
  { PseudoVFNMSAC_VF16_M1_MASK, VFNMSAC_VF }, // 1819
  { PseudoVFNMSAC_VF16_M2, VFNMSAC_VF }, // 1820
  { PseudoVFNMSAC_VF16_M2_MASK, VFNMSAC_VF }, // 1821
  { PseudoVFNMSAC_VF16_M4, VFNMSAC_VF }, // 1822
  { PseudoVFNMSAC_VF16_M4_MASK, VFNMSAC_VF }, // 1823
  { PseudoVFNMSAC_VF16_M8, VFNMSAC_VF }, // 1824
  { PseudoVFNMSAC_VF16_M8_MASK, VFNMSAC_VF }, // 1825
  { PseudoVFNMSAC_VF16_MF2, VFNMSAC_VF }, // 1826
  { PseudoVFNMSAC_VF16_MF2_MASK, VFNMSAC_VF }, // 1827
  { PseudoVFNMSAC_VF16_MF4, VFNMSAC_VF }, // 1828
  { PseudoVFNMSAC_VF16_MF4_MASK, VFNMSAC_VF }, // 1829
  { PseudoVFNMSAC_VF16_MF8, VFNMSAC_VF }, // 1830
  { PseudoVFNMSAC_VF16_MF8_MASK, VFNMSAC_VF }, // 1831
  { PseudoVFNMSAC_VF32_M1, VFNMSAC_VF }, // 1832
  { PseudoVFNMSAC_VF32_M1_MASK, VFNMSAC_VF }, // 1833
  { PseudoVFNMSAC_VF32_M2, VFNMSAC_VF }, // 1834
  { PseudoVFNMSAC_VF32_M2_MASK, VFNMSAC_VF }, // 1835
  { PseudoVFNMSAC_VF32_M4, VFNMSAC_VF }, // 1836
  { PseudoVFNMSAC_VF32_M4_MASK, VFNMSAC_VF }, // 1837
  { PseudoVFNMSAC_VF32_M8, VFNMSAC_VF }, // 1838
  { PseudoVFNMSAC_VF32_M8_MASK, VFNMSAC_VF }, // 1839
  { PseudoVFNMSAC_VF32_MF2, VFNMSAC_VF }, // 1840
  { PseudoVFNMSAC_VF32_MF2_MASK, VFNMSAC_VF }, // 1841
  { PseudoVFNMSAC_VF32_MF4, VFNMSAC_VF }, // 1842
  { PseudoVFNMSAC_VF32_MF4_MASK, VFNMSAC_VF }, // 1843
  { PseudoVFNMSAC_VF32_MF8, VFNMSAC_VF }, // 1844
  { PseudoVFNMSAC_VF32_MF8_MASK, VFNMSAC_VF }, // 1845
  { PseudoVFNMSAC_VF64_M1, VFNMSAC_VF }, // 1846
  { PseudoVFNMSAC_VF64_M1_MASK, VFNMSAC_VF }, // 1847
  { PseudoVFNMSAC_VF64_M2, VFNMSAC_VF }, // 1848
  { PseudoVFNMSAC_VF64_M2_MASK, VFNMSAC_VF }, // 1849
  { PseudoVFNMSAC_VF64_M4, VFNMSAC_VF }, // 1850
  { PseudoVFNMSAC_VF64_M4_MASK, VFNMSAC_VF }, // 1851
  { PseudoVFNMSAC_VF64_M8, VFNMSAC_VF }, // 1852
  { PseudoVFNMSAC_VF64_M8_MASK, VFNMSAC_VF }, // 1853
  { PseudoVFNMSAC_VF64_MF2, VFNMSAC_VF }, // 1854
  { PseudoVFNMSAC_VF64_MF2_MASK, VFNMSAC_VF }, // 1855
  { PseudoVFNMSAC_VF64_MF4, VFNMSAC_VF }, // 1856
  { PseudoVFNMSAC_VF64_MF4_MASK, VFNMSAC_VF }, // 1857
  { PseudoVFNMSAC_VF64_MF8, VFNMSAC_VF }, // 1858
  { PseudoVFNMSAC_VF64_MF8_MASK, VFNMSAC_VF }, // 1859
  { PseudoVFNMSAC_VV_M1, VFNMSAC_VV }, // 1860
  { PseudoVFNMSAC_VV_M1_MASK, VFNMSAC_VV }, // 1861
  { PseudoVFNMSAC_VV_M2, VFNMSAC_VV }, // 1862
  { PseudoVFNMSAC_VV_M2_MASK, VFNMSAC_VV }, // 1863
  { PseudoVFNMSAC_VV_M4, VFNMSAC_VV }, // 1864
  { PseudoVFNMSAC_VV_M4_MASK, VFNMSAC_VV }, // 1865
  { PseudoVFNMSAC_VV_M8, VFNMSAC_VV }, // 1866
  { PseudoVFNMSAC_VV_M8_MASK, VFNMSAC_VV }, // 1867
  { PseudoVFNMSAC_VV_MF2, VFNMSAC_VV }, // 1868
  { PseudoVFNMSAC_VV_MF2_MASK, VFNMSAC_VV }, // 1869
  { PseudoVFNMSAC_VV_MF4, VFNMSAC_VV }, // 1870
  { PseudoVFNMSAC_VV_MF4_MASK, VFNMSAC_VV }, // 1871
  { PseudoVFNMSAC_VV_MF8, VFNMSAC_VV }, // 1872
  { PseudoVFNMSAC_VV_MF8_MASK, VFNMSAC_VV }, // 1873
  { PseudoVFNMSUB_VF16_M1, VFNMSUB_VF }, // 1874
  { PseudoVFNMSUB_VF16_M1_MASK, VFNMSUB_VF }, // 1875
  { PseudoVFNMSUB_VF16_M2, VFNMSUB_VF }, // 1876
  { PseudoVFNMSUB_VF16_M2_MASK, VFNMSUB_VF }, // 1877
  { PseudoVFNMSUB_VF16_M4, VFNMSUB_VF }, // 1878
  { PseudoVFNMSUB_VF16_M4_MASK, VFNMSUB_VF }, // 1879
  { PseudoVFNMSUB_VF16_M8, VFNMSUB_VF }, // 1880
  { PseudoVFNMSUB_VF16_M8_MASK, VFNMSUB_VF }, // 1881
  { PseudoVFNMSUB_VF16_MF2, VFNMSUB_VF }, // 1882
  { PseudoVFNMSUB_VF16_MF2_MASK, VFNMSUB_VF }, // 1883
  { PseudoVFNMSUB_VF16_MF4, VFNMSUB_VF }, // 1884
  { PseudoVFNMSUB_VF16_MF4_MASK, VFNMSUB_VF }, // 1885
  { PseudoVFNMSUB_VF16_MF8, VFNMSUB_VF }, // 1886
  { PseudoVFNMSUB_VF16_MF8_MASK, VFNMSUB_VF }, // 1887
  { PseudoVFNMSUB_VF32_M1, VFNMSUB_VF }, // 1888
  { PseudoVFNMSUB_VF32_M1_MASK, VFNMSUB_VF }, // 1889
  { PseudoVFNMSUB_VF32_M2, VFNMSUB_VF }, // 1890
  { PseudoVFNMSUB_VF32_M2_MASK, VFNMSUB_VF }, // 1891
  { PseudoVFNMSUB_VF32_M4, VFNMSUB_VF }, // 1892
  { PseudoVFNMSUB_VF32_M4_MASK, VFNMSUB_VF }, // 1893
  { PseudoVFNMSUB_VF32_M8, VFNMSUB_VF }, // 1894
  { PseudoVFNMSUB_VF32_M8_MASK, VFNMSUB_VF }, // 1895
  { PseudoVFNMSUB_VF32_MF2, VFNMSUB_VF }, // 1896
  { PseudoVFNMSUB_VF32_MF2_MASK, VFNMSUB_VF }, // 1897
  { PseudoVFNMSUB_VF32_MF4, VFNMSUB_VF }, // 1898
  { PseudoVFNMSUB_VF32_MF4_MASK, VFNMSUB_VF }, // 1899
  { PseudoVFNMSUB_VF32_MF8, VFNMSUB_VF }, // 1900
  { PseudoVFNMSUB_VF32_MF8_MASK, VFNMSUB_VF }, // 1901
  { PseudoVFNMSUB_VF64_M1, VFNMSUB_VF }, // 1902
  { PseudoVFNMSUB_VF64_M1_MASK, VFNMSUB_VF }, // 1903
  { PseudoVFNMSUB_VF64_M2, VFNMSUB_VF }, // 1904
  { PseudoVFNMSUB_VF64_M2_MASK, VFNMSUB_VF }, // 1905
  { PseudoVFNMSUB_VF64_M4, VFNMSUB_VF }, // 1906
  { PseudoVFNMSUB_VF64_M4_MASK, VFNMSUB_VF }, // 1907
  { PseudoVFNMSUB_VF64_M8, VFNMSUB_VF }, // 1908
  { PseudoVFNMSUB_VF64_M8_MASK, VFNMSUB_VF }, // 1909
  { PseudoVFNMSUB_VF64_MF2, VFNMSUB_VF }, // 1910
  { PseudoVFNMSUB_VF64_MF2_MASK, VFNMSUB_VF }, // 1911
  { PseudoVFNMSUB_VF64_MF4, VFNMSUB_VF }, // 1912
  { PseudoVFNMSUB_VF64_MF4_MASK, VFNMSUB_VF }, // 1913
  { PseudoVFNMSUB_VF64_MF8, VFNMSUB_VF }, // 1914
  { PseudoVFNMSUB_VF64_MF8_MASK, VFNMSUB_VF }, // 1915
  { PseudoVFNMSUB_VV_M1, VFNMSUB_VV }, // 1916
  { PseudoVFNMSUB_VV_M1_MASK, VFNMSUB_VV }, // 1917
  { PseudoVFNMSUB_VV_M2, VFNMSUB_VV }, // 1918
  { PseudoVFNMSUB_VV_M2_MASK, VFNMSUB_VV }, // 1919
  { PseudoVFNMSUB_VV_M4, VFNMSUB_VV }, // 1920
  { PseudoVFNMSUB_VV_M4_MASK, VFNMSUB_VV }, // 1921
  { PseudoVFNMSUB_VV_M8, VFNMSUB_VV }, // 1922
  { PseudoVFNMSUB_VV_M8_MASK, VFNMSUB_VV }, // 1923
  { PseudoVFNMSUB_VV_MF2, VFNMSUB_VV }, // 1924
  { PseudoVFNMSUB_VV_MF2_MASK, VFNMSUB_VV }, // 1925
  { PseudoVFNMSUB_VV_MF4, VFNMSUB_VV }, // 1926
  { PseudoVFNMSUB_VV_MF4_MASK, VFNMSUB_VV }, // 1927
  { PseudoVFNMSUB_VV_MF8, VFNMSUB_VV }, // 1928
  { PseudoVFNMSUB_VV_MF8_MASK, VFNMSUB_VV }, // 1929
  { PseudoVFRDIV_VF16_M1, VFRDIV_VF }, // 1930
  { PseudoVFRDIV_VF16_M1_MASK, VFRDIV_VF }, // 1931
  { PseudoVFRDIV_VF16_M2, VFRDIV_VF }, // 1932
  { PseudoVFRDIV_VF16_M2_MASK, VFRDIV_VF }, // 1933
  { PseudoVFRDIV_VF16_M4, VFRDIV_VF }, // 1934
  { PseudoVFRDIV_VF16_M4_MASK, VFRDIV_VF }, // 1935
  { PseudoVFRDIV_VF16_M8, VFRDIV_VF }, // 1936
  { PseudoVFRDIV_VF16_M8_MASK, VFRDIV_VF }, // 1937
  { PseudoVFRDIV_VF16_MF2, VFRDIV_VF }, // 1938
  { PseudoVFRDIV_VF16_MF2_MASK, VFRDIV_VF }, // 1939
  { PseudoVFRDIV_VF16_MF4, VFRDIV_VF }, // 1940
  { PseudoVFRDIV_VF16_MF4_MASK, VFRDIV_VF }, // 1941
  { PseudoVFRDIV_VF16_MF8, VFRDIV_VF }, // 1942
  { PseudoVFRDIV_VF16_MF8_MASK, VFRDIV_VF }, // 1943
  { PseudoVFRDIV_VF32_M1, VFRDIV_VF }, // 1944
  { PseudoVFRDIV_VF32_M1_MASK, VFRDIV_VF }, // 1945
  { PseudoVFRDIV_VF32_M2, VFRDIV_VF }, // 1946
  { PseudoVFRDIV_VF32_M2_MASK, VFRDIV_VF }, // 1947
  { PseudoVFRDIV_VF32_M4, VFRDIV_VF }, // 1948
  { PseudoVFRDIV_VF32_M4_MASK, VFRDIV_VF }, // 1949
  { PseudoVFRDIV_VF32_M8, VFRDIV_VF }, // 1950
  { PseudoVFRDIV_VF32_M8_MASK, VFRDIV_VF }, // 1951
  { PseudoVFRDIV_VF32_MF2, VFRDIV_VF }, // 1952
  { PseudoVFRDIV_VF32_MF2_MASK, VFRDIV_VF }, // 1953
  { PseudoVFRDIV_VF32_MF4, VFRDIV_VF }, // 1954
  { PseudoVFRDIV_VF32_MF4_MASK, VFRDIV_VF }, // 1955
  { PseudoVFRDIV_VF32_MF8, VFRDIV_VF }, // 1956
  { PseudoVFRDIV_VF32_MF8_MASK, VFRDIV_VF }, // 1957
  { PseudoVFRDIV_VF64_M1, VFRDIV_VF }, // 1958
  { PseudoVFRDIV_VF64_M1_MASK, VFRDIV_VF }, // 1959
  { PseudoVFRDIV_VF64_M2, VFRDIV_VF }, // 1960
  { PseudoVFRDIV_VF64_M2_MASK, VFRDIV_VF }, // 1961
  { PseudoVFRDIV_VF64_M4, VFRDIV_VF }, // 1962
  { PseudoVFRDIV_VF64_M4_MASK, VFRDIV_VF }, // 1963
  { PseudoVFRDIV_VF64_M8, VFRDIV_VF }, // 1964
  { PseudoVFRDIV_VF64_M8_MASK, VFRDIV_VF }, // 1965
  { PseudoVFRDIV_VF64_MF2, VFRDIV_VF }, // 1966
  { PseudoVFRDIV_VF64_MF2_MASK, VFRDIV_VF }, // 1967
  { PseudoVFRDIV_VF64_MF4, VFRDIV_VF }, // 1968
  { PseudoVFRDIV_VF64_MF4_MASK, VFRDIV_VF }, // 1969
  { PseudoVFRDIV_VF64_MF8, VFRDIV_VF }, // 1970
  { PseudoVFRDIV_VF64_MF8_MASK, VFRDIV_VF }, // 1971
  { PseudoVFREC7_V_M1, VFREC7_V }, // 1972
  { PseudoVFREC7_V_M1_MASK, VFREC7_V }, // 1973
  { PseudoVFREC7_V_M2, VFREC7_V }, // 1974
  { PseudoVFREC7_V_M2_MASK, VFREC7_V }, // 1975
  { PseudoVFREC7_V_M4, VFREC7_V }, // 1976
  { PseudoVFREC7_V_M4_MASK, VFREC7_V }, // 1977
  { PseudoVFREC7_V_M8, VFREC7_V }, // 1978
  { PseudoVFREC7_V_M8_MASK, VFREC7_V }, // 1979
  { PseudoVFREC7_V_MF2, VFREC7_V }, // 1980
  { PseudoVFREC7_V_MF2_MASK, VFREC7_V }, // 1981
  { PseudoVFREC7_V_MF4, VFREC7_V }, // 1982
  { PseudoVFREC7_V_MF4_MASK, VFREC7_V }, // 1983
  { PseudoVFREC7_V_MF8, VFREC7_V }, // 1984
  { PseudoVFREC7_V_MF8_MASK, VFREC7_V }, // 1985
  { PseudoVFREDMAX_VS_M1, VFREDMAX_VS }, // 1986
  { PseudoVFREDMAX_VS_M1_MASK, VFREDMAX_VS }, // 1987
  { PseudoVFREDMAX_VS_M2, VFREDMAX_VS }, // 1988
  { PseudoVFREDMAX_VS_M2_MASK, VFREDMAX_VS }, // 1989
  { PseudoVFREDMAX_VS_M4, VFREDMAX_VS }, // 1990
  { PseudoVFREDMAX_VS_M4_MASK, VFREDMAX_VS }, // 1991
  { PseudoVFREDMAX_VS_M8, VFREDMAX_VS }, // 1992
  { PseudoVFREDMAX_VS_M8_MASK, VFREDMAX_VS }, // 1993
  { PseudoVFREDMAX_VS_MF2, VFREDMAX_VS }, // 1994
  { PseudoVFREDMAX_VS_MF2_MASK, VFREDMAX_VS }, // 1995
  { PseudoVFREDMAX_VS_MF4, VFREDMAX_VS }, // 1996
  { PseudoVFREDMAX_VS_MF4_MASK, VFREDMAX_VS }, // 1997
  { PseudoVFREDMAX_VS_MF8, VFREDMAX_VS }, // 1998
  { PseudoVFREDMAX_VS_MF8_MASK, VFREDMAX_VS }, // 1999
  { PseudoVFREDMIN_VS_M1, VFREDMIN_VS }, // 2000
  { PseudoVFREDMIN_VS_M1_MASK, VFREDMIN_VS }, // 2001
  { PseudoVFREDMIN_VS_M2, VFREDMIN_VS }, // 2002
  { PseudoVFREDMIN_VS_M2_MASK, VFREDMIN_VS }, // 2003
  { PseudoVFREDMIN_VS_M4, VFREDMIN_VS }, // 2004
  { PseudoVFREDMIN_VS_M4_MASK, VFREDMIN_VS }, // 2005
  { PseudoVFREDMIN_VS_M8, VFREDMIN_VS }, // 2006
  { PseudoVFREDMIN_VS_M8_MASK, VFREDMIN_VS }, // 2007
  { PseudoVFREDMIN_VS_MF2, VFREDMIN_VS }, // 2008
  { PseudoVFREDMIN_VS_MF2_MASK, VFREDMIN_VS }, // 2009
  { PseudoVFREDMIN_VS_MF4, VFREDMIN_VS }, // 2010
  { PseudoVFREDMIN_VS_MF4_MASK, VFREDMIN_VS }, // 2011
  { PseudoVFREDMIN_VS_MF8, VFREDMIN_VS }, // 2012
  { PseudoVFREDMIN_VS_MF8_MASK, VFREDMIN_VS }, // 2013
  { PseudoVFREDOSUM_VS_M1, VFREDOSUM_VS }, // 2014
  { PseudoVFREDOSUM_VS_M1_MASK, VFREDOSUM_VS }, // 2015
  { PseudoVFREDOSUM_VS_M2, VFREDOSUM_VS }, // 2016
  { PseudoVFREDOSUM_VS_M2_MASK, VFREDOSUM_VS }, // 2017
  { PseudoVFREDOSUM_VS_M4, VFREDOSUM_VS }, // 2018
  { PseudoVFREDOSUM_VS_M4_MASK, VFREDOSUM_VS }, // 2019
  { PseudoVFREDOSUM_VS_M8, VFREDOSUM_VS }, // 2020
  { PseudoVFREDOSUM_VS_M8_MASK, VFREDOSUM_VS }, // 2021
  { PseudoVFREDOSUM_VS_MF2, VFREDOSUM_VS }, // 2022
  { PseudoVFREDOSUM_VS_MF2_MASK, VFREDOSUM_VS }, // 2023
  { PseudoVFREDOSUM_VS_MF4, VFREDOSUM_VS }, // 2024
  { PseudoVFREDOSUM_VS_MF4_MASK, VFREDOSUM_VS }, // 2025
  { PseudoVFREDOSUM_VS_MF8, VFREDOSUM_VS }, // 2026
  { PseudoVFREDOSUM_VS_MF8_MASK, VFREDOSUM_VS }, // 2027
  { PseudoVFREDUSUM_VS_M1, VFREDUSUM_VS }, // 2028
  { PseudoVFREDUSUM_VS_M1_MASK, VFREDUSUM_VS }, // 2029
  { PseudoVFREDUSUM_VS_M2, VFREDUSUM_VS }, // 2030
  { PseudoVFREDUSUM_VS_M2_MASK, VFREDUSUM_VS }, // 2031
  { PseudoVFREDUSUM_VS_M4, VFREDUSUM_VS }, // 2032
  { PseudoVFREDUSUM_VS_M4_MASK, VFREDUSUM_VS }, // 2033
  { PseudoVFREDUSUM_VS_M8, VFREDUSUM_VS }, // 2034
  { PseudoVFREDUSUM_VS_M8_MASK, VFREDUSUM_VS }, // 2035
  { PseudoVFREDUSUM_VS_MF2, VFREDUSUM_VS }, // 2036
  { PseudoVFREDUSUM_VS_MF2_MASK, VFREDUSUM_VS }, // 2037
  { PseudoVFREDUSUM_VS_MF4, VFREDUSUM_VS }, // 2038
  { PseudoVFREDUSUM_VS_MF4_MASK, VFREDUSUM_VS }, // 2039
  { PseudoVFREDUSUM_VS_MF8, VFREDUSUM_VS }, // 2040
  { PseudoVFREDUSUM_VS_MF8_MASK, VFREDUSUM_VS }, // 2041
  { PseudoVFRSQRT7_V_M1, VFRSQRT7_V }, // 2042
  { PseudoVFRSQRT7_V_M1_MASK, VFRSQRT7_V }, // 2043
  { PseudoVFRSQRT7_V_M2, VFRSQRT7_V }, // 2044
  { PseudoVFRSQRT7_V_M2_MASK, VFRSQRT7_V }, // 2045
  { PseudoVFRSQRT7_V_M4, VFRSQRT7_V }, // 2046
  { PseudoVFRSQRT7_V_M4_MASK, VFRSQRT7_V }, // 2047
  { PseudoVFRSQRT7_V_M8, VFRSQRT7_V }, // 2048
  { PseudoVFRSQRT7_V_M8_MASK, VFRSQRT7_V }, // 2049
  { PseudoVFRSQRT7_V_MF2, VFRSQRT7_V }, // 2050
  { PseudoVFRSQRT7_V_MF2_MASK, VFRSQRT7_V }, // 2051
  { PseudoVFRSQRT7_V_MF4, VFRSQRT7_V }, // 2052
  { PseudoVFRSQRT7_V_MF4_MASK, VFRSQRT7_V }, // 2053
  { PseudoVFRSQRT7_V_MF8, VFRSQRT7_V }, // 2054
  { PseudoVFRSQRT7_V_MF8_MASK, VFRSQRT7_V }, // 2055
  { PseudoVFRSUB_VF16_M1, VFRSUB_VF }, // 2056
  { PseudoVFRSUB_VF16_M1_MASK, VFRSUB_VF }, // 2057
  { PseudoVFRSUB_VF16_M2, VFRSUB_VF }, // 2058
  { PseudoVFRSUB_VF16_M2_MASK, VFRSUB_VF }, // 2059
  { PseudoVFRSUB_VF16_M4, VFRSUB_VF }, // 2060
  { PseudoVFRSUB_VF16_M4_MASK, VFRSUB_VF }, // 2061
  { PseudoVFRSUB_VF16_M8, VFRSUB_VF }, // 2062
  { PseudoVFRSUB_VF16_M8_MASK, VFRSUB_VF }, // 2063
  { PseudoVFRSUB_VF16_MF2, VFRSUB_VF }, // 2064
  { PseudoVFRSUB_VF16_MF2_MASK, VFRSUB_VF }, // 2065
  { PseudoVFRSUB_VF16_MF4, VFRSUB_VF }, // 2066
  { PseudoVFRSUB_VF16_MF4_MASK, VFRSUB_VF }, // 2067
  { PseudoVFRSUB_VF16_MF8, VFRSUB_VF }, // 2068
  { PseudoVFRSUB_VF16_MF8_MASK, VFRSUB_VF }, // 2069
  { PseudoVFRSUB_VF32_M1, VFRSUB_VF }, // 2070
  { PseudoVFRSUB_VF32_M1_MASK, VFRSUB_VF }, // 2071
  { PseudoVFRSUB_VF32_M2, VFRSUB_VF }, // 2072
  { PseudoVFRSUB_VF32_M2_MASK, VFRSUB_VF }, // 2073
  { PseudoVFRSUB_VF32_M4, VFRSUB_VF }, // 2074
  { PseudoVFRSUB_VF32_M4_MASK, VFRSUB_VF }, // 2075
  { PseudoVFRSUB_VF32_M8, VFRSUB_VF }, // 2076
  { PseudoVFRSUB_VF32_M8_MASK, VFRSUB_VF }, // 2077
  { PseudoVFRSUB_VF32_MF2, VFRSUB_VF }, // 2078
  { PseudoVFRSUB_VF32_MF2_MASK, VFRSUB_VF }, // 2079
  { PseudoVFRSUB_VF32_MF4, VFRSUB_VF }, // 2080
  { PseudoVFRSUB_VF32_MF4_MASK, VFRSUB_VF }, // 2081
  { PseudoVFRSUB_VF32_MF8, VFRSUB_VF }, // 2082
  { PseudoVFRSUB_VF32_MF8_MASK, VFRSUB_VF }, // 2083
  { PseudoVFRSUB_VF64_M1, VFRSUB_VF }, // 2084
  { PseudoVFRSUB_VF64_M1_MASK, VFRSUB_VF }, // 2085
  { PseudoVFRSUB_VF64_M2, VFRSUB_VF }, // 2086
  { PseudoVFRSUB_VF64_M2_MASK, VFRSUB_VF }, // 2087
  { PseudoVFRSUB_VF64_M4, VFRSUB_VF }, // 2088
  { PseudoVFRSUB_VF64_M4_MASK, VFRSUB_VF }, // 2089
  { PseudoVFRSUB_VF64_M8, VFRSUB_VF }, // 2090
  { PseudoVFRSUB_VF64_M8_MASK, VFRSUB_VF }, // 2091
  { PseudoVFRSUB_VF64_MF2, VFRSUB_VF }, // 2092
  { PseudoVFRSUB_VF64_MF2_MASK, VFRSUB_VF }, // 2093
  { PseudoVFRSUB_VF64_MF4, VFRSUB_VF }, // 2094
  { PseudoVFRSUB_VF64_MF4_MASK, VFRSUB_VF }, // 2095
  { PseudoVFRSUB_VF64_MF8, VFRSUB_VF }, // 2096
  { PseudoVFRSUB_VF64_MF8_MASK, VFRSUB_VF }, // 2097
  { PseudoVFSGNJN_VF16_M1, VFSGNJN_VF }, // 2098
  { PseudoVFSGNJN_VF16_M1_MASK, VFSGNJN_VF }, // 2099
  { PseudoVFSGNJN_VF16_M2, VFSGNJN_VF }, // 2100
  { PseudoVFSGNJN_VF16_M2_MASK, VFSGNJN_VF }, // 2101
  { PseudoVFSGNJN_VF16_M4, VFSGNJN_VF }, // 2102
  { PseudoVFSGNJN_VF16_M4_MASK, VFSGNJN_VF }, // 2103
  { PseudoVFSGNJN_VF16_M8, VFSGNJN_VF }, // 2104
  { PseudoVFSGNJN_VF16_M8_MASK, VFSGNJN_VF }, // 2105
  { PseudoVFSGNJN_VF16_MF2, VFSGNJN_VF }, // 2106
  { PseudoVFSGNJN_VF16_MF2_MASK, VFSGNJN_VF }, // 2107
  { PseudoVFSGNJN_VF16_MF4, VFSGNJN_VF }, // 2108
  { PseudoVFSGNJN_VF16_MF4_MASK, VFSGNJN_VF }, // 2109
  { PseudoVFSGNJN_VF16_MF8, VFSGNJN_VF }, // 2110
  { PseudoVFSGNJN_VF16_MF8_MASK, VFSGNJN_VF }, // 2111
  { PseudoVFSGNJN_VF32_M1, VFSGNJN_VF }, // 2112
  { PseudoVFSGNJN_VF32_M1_MASK, VFSGNJN_VF }, // 2113
  { PseudoVFSGNJN_VF32_M2, VFSGNJN_VF }, // 2114
  { PseudoVFSGNJN_VF32_M2_MASK, VFSGNJN_VF }, // 2115
  { PseudoVFSGNJN_VF32_M4, VFSGNJN_VF }, // 2116
  { PseudoVFSGNJN_VF32_M4_MASK, VFSGNJN_VF }, // 2117
  { PseudoVFSGNJN_VF32_M8, VFSGNJN_VF }, // 2118
  { PseudoVFSGNJN_VF32_M8_MASK, VFSGNJN_VF }, // 2119
  { PseudoVFSGNJN_VF32_MF2, VFSGNJN_VF }, // 2120
  { PseudoVFSGNJN_VF32_MF2_MASK, VFSGNJN_VF }, // 2121
  { PseudoVFSGNJN_VF32_MF4, VFSGNJN_VF }, // 2122
  { PseudoVFSGNJN_VF32_MF4_MASK, VFSGNJN_VF }, // 2123
  { PseudoVFSGNJN_VF32_MF8, VFSGNJN_VF }, // 2124
  { PseudoVFSGNJN_VF32_MF8_MASK, VFSGNJN_VF }, // 2125
  { PseudoVFSGNJN_VF64_M1, VFSGNJN_VF }, // 2126
  { PseudoVFSGNJN_VF64_M1_MASK, VFSGNJN_VF }, // 2127
  { PseudoVFSGNJN_VF64_M2, VFSGNJN_VF }, // 2128
  { PseudoVFSGNJN_VF64_M2_MASK, VFSGNJN_VF }, // 2129
  { PseudoVFSGNJN_VF64_M4, VFSGNJN_VF }, // 2130
  { PseudoVFSGNJN_VF64_M4_MASK, VFSGNJN_VF }, // 2131
  { PseudoVFSGNJN_VF64_M8, VFSGNJN_VF }, // 2132
  { PseudoVFSGNJN_VF64_M8_MASK, VFSGNJN_VF }, // 2133
  { PseudoVFSGNJN_VF64_MF2, VFSGNJN_VF }, // 2134
  { PseudoVFSGNJN_VF64_MF2_MASK, VFSGNJN_VF }, // 2135
  { PseudoVFSGNJN_VF64_MF4, VFSGNJN_VF }, // 2136
  { PseudoVFSGNJN_VF64_MF4_MASK, VFSGNJN_VF }, // 2137
  { PseudoVFSGNJN_VF64_MF8, VFSGNJN_VF }, // 2138
  { PseudoVFSGNJN_VF64_MF8_MASK, VFSGNJN_VF }, // 2139
  { PseudoVFSGNJN_VV_M1, VFSGNJN_VV }, // 2140
  { PseudoVFSGNJN_VV_M1_MASK, VFSGNJN_VV }, // 2141
  { PseudoVFSGNJN_VV_M2, VFSGNJN_VV }, // 2142
  { PseudoVFSGNJN_VV_M2_MASK, VFSGNJN_VV }, // 2143
  { PseudoVFSGNJN_VV_M4, VFSGNJN_VV }, // 2144
  { PseudoVFSGNJN_VV_M4_MASK, VFSGNJN_VV }, // 2145
  { PseudoVFSGNJN_VV_M8, VFSGNJN_VV }, // 2146
  { PseudoVFSGNJN_VV_M8_MASK, VFSGNJN_VV }, // 2147
  { PseudoVFSGNJN_VV_MF2, VFSGNJN_VV }, // 2148
  { PseudoVFSGNJN_VV_MF2_MASK, VFSGNJN_VV }, // 2149
  { PseudoVFSGNJN_VV_MF4, VFSGNJN_VV }, // 2150
  { PseudoVFSGNJN_VV_MF4_MASK, VFSGNJN_VV }, // 2151
  { PseudoVFSGNJN_VV_MF8, VFSGNJN_VV }, // 2152
  { PseudoVFSGNJN_VV_MF8_MASK, VFSGNJN_VV }, // 2153
  { PseudoVFSGNJX_VF16_M1, VFSGNJX_VF }, // 2154
  { PseudoVFSGNJX_VF16_M1_MASK, VFSGNJX_VF }, // 2155
  { PseudoVFSGNJX_VF16_M2, VFSGNJX_VF }, // 2156
  { PseudoVFSGNJX_VF16_M2_MASK, VFSGNJX_VF }, // 2157
  { PseudoVFSGNJX_VF16_M4, VFSGNJX_VF }, // 2158
  { PseudoVFSGNJX_VF16_M4_MASK, VFSGNJX_VF }, // 2159
  { PseudoVFSGNJX_VF16_M8, VFSGNJX_VF }, // 2160
  { PseudoVFSGNJX_VF16_M8_MASK, VFSGNJX_VF }, // 2161
  { PseudoVFSGNJX_VF16_MF2, VFSGNJX_VF }, // 2162
  { PseudoVFSGNJX_VF16_MF2_MASK, VFSGNJX_VF }, // 2163
  { PseudoVFSGNJX_VF16_MF4, VFSGNJX_VF }, // 2164
  { PseudoVFSGNJX_VF16_MF4_MASK, VFSGNJX_VF }, // 2165
  { PseudoVFSGNJX_VF16_MF8, VFSGNJX_VF }, // 2166
  { PseudoVFSGNJX_VF16_MF8_MASK, VFSGNJX_VF }, // 2167
  { PseudoVFSGNJX_VF32_M1, VFSGNJX_VF }, // 2168
  { PseudoVFSGNJX_VF32_M1_MASK, VFSGNJX_VF }, // 2169
  { PseudoVFSGNJX_VF32_M2, VFSGNJX_VF }, // 2170
  { PseudoVFSGNJX_VF32_M2_MASK, VFSGNJX_VF }, // 2171
  { PseudoVFSGNJX_VF32_M4, VFSGNJX_VF }, // 2172
  { PseudoVFSGNJX_VF32_M4_MASK, VFSGNJX_VF }, // 2173
  { PseudoVFSGNJX_VF32_M8, VFSGNJX_VF }, // 2174
  { PseudoVFSGNJX_VF32_M8_MASK, VFSGNJX_VF }, // 2175
  { PseudoVFSGNJX_VF32_MF2, VFSGNJX_VF }, // 2176
  { PseudoVFSGNJX_VF32_MF2_MASK, VFSGNJX_VF }, // 2177
  { PseudoVFSGNJX_VF32_MF4, VFSGNJX_VF }, // 2178
  { PseudoVFSGNJX_VF32_MF4_MASK, VFSGNJX_VF }, // 2179
  { PseudoVFSGNJX_VF32_MF8, VFSGNJX_VF }, // 2180
  { PseudoVFSGNJX_VF32_MF8_MASK, VFSGNJX_VF }, // 2181
  { PseudoVFSGNJX_VF64_M1, VFSGNJX_VF }, // 2182
  { PseudoVFSGNJX_VF64_M1_MASK, VFSGNJX_VF }, // 2183
  { PseudoVFSGNJX_VF64_M2, VFSGNJX_VF }, // 2184
  { PseudoVFSGNJX_VF64_M2_MASK, VFSGNJX_VF }, // 2185
  { PseudoVFSGNJX_VF64_M4, VFSGNJX_VF }, // 2186
  { PseudoVFSGNJX_VF64_M4_MASK, VFSGNJX_VF }, // 2187
  { PseudoVFSGNJX_VF64_M8, VFSGNJX_VF }, // 2188
  { PseudoVFSGNJX_VF64_M8_MASK, VFSGNJX_VF }, // 2189
  { PseudoVFSGNJX_VF64_MF2, VFSGNJX_VF }, // 2190
  { PseudoVFSGNJX_VF64_MF2_MASK, VFSGNJX_VF }, // 2191
  { PseudoVFSGNJX_VF64_MF4, VFSGNJX_VF }, // 2192
  { PseudoVFSGNJX_VF64_MF4_MASK, VFSGNJX_VF }, // 2193
  { PseudoVFSGNJX_VF64_MF8, VFSGNJX_VF }, // 2194
  { PseudoVFSGNJX_VF64_MF8_MASK, VFSGNJX_VF }, // 2195
  { PseudoVFSGNJX_VV_M1, VFSGNJX_VV }, // 2196
  { PseudoVFSGNJX_VV_M1_MASK, VFSGNJX_VV }, // 2197
  { PseudoVFSGNJX_VV_M2, VFSGNJX_VV }, // 2198
  { PseudoVFSGNJX_VV_M2_MASK, VFSGNJX_VV }, // 2199
  { PseudoVFSGNJX_VV_M4, VFSGNJX_VV }, // 2200
  { PseudoVFSGNJX_VV_M4_MASK, VFSGNJX_VV }, // 2201
  { PseudoVFSGNJX_VV_M8, VFSGNJX_VV }, // 2202
  { PseudoVFSGNJX_VV_M8_MASK, VFSGNJX_VV }, // 2203
  { PseudoVFSGNJX_VV_MF2, VFSGNJX_VV }, // 2204
  { PseudoVFSGNJX_VV_MF2_MASK, VFSGNJX_VV }, // 2205
  { PseudoVFSGNJX_VV_MF4, VFSGNJX_VV }, // 2206
  { PseudoVFSGNJX_VV_MF4_MASK, VFSGNJX_VV }, // 2207
  { PseudoVFSGNJX_VV_MF8, VFSGNJX_VV }, // 2208
  { PseudoVFSGNJX_VV_MF8_MASK, VFSGNJX_VV }, // 2209
  { PseudoVFSGNJ_VF16_M1, VFSGNJ_VF }, // 2210
  { PseudoVFSGNJ_VF16_M1_MASK, VFSGNJ_VF }, // 2211
  { PseudoVFSGNJ_VF16_M2, VFSGNJ_VF }, // 2212
  { PseudoVFSGNJ_VF16_M2_MASK, VFSGNJ_VF }, // 2213
  { PseudoVFSGNJ_VF16_M4, VFSGNJ_VF }, // 2214
  { PseudoVFSGNJ_VF16_M4_MASK, VFSGNJ_VF }, // 2215
  { PseudoVFSGNJ_VF16_M8, VFSGNJ_VF }, // 2216
  { PseudoVFSGNJ_VF16_M8_MASK, VFSGNJ_VF }, // 2217
  { PseudoVFSGNJ_VF16_MF2, VFSGNJ_VF }, // 2218
  { PseudoVFSGNJ_VF16_MF2_MASK, VFSGNJ_VF }, // 2219
  { PseudoVFSGNJ_VF16_MF4, VFSGNJ_VF }, // 2220
  { PseudoVFSGNJ_VF16_MF4_MASK, VFSGNJ_VF }, // 2221
  { PseudoVFSGNJ_VF16_MF8, VFSGNJ_VF }, // 2222
  { PseudoVFSGNJ_VF16_MF8_MASK, VFSGNJ_VF }, // 2223
  { PseudoVFSGNJ_VF32_M1, VFSGNJ_VF }, // 2224
  { PseudoVFSGNJ_VF32_M1_MASK, VFSGNJ_VF }, // 2225
  { PseudoVFSGNJ_VF32_M2, VFSGNJ_VF }, // 2226
  { PseudoVFSGNJ_VF32_M2_MASK, VFSGNJ_VF }, // 2227
  { PseudoVFSGNJ_VF32_M4, VFSGNJ_VF }, // 2228
  { PseudoVFSGNJ_VF32_M4_MASK, VFSGNJ_VF }, // 2229
  { PseudoVFSGNJ_VF32_M8, VFSGNJ_VF }, // 2230
  { PseudoVFSGNJ_VF32_M8_MASK, VFSGNJ_VF }, // 2231
  { PseudoVFSGNJ_VF32_MF2, VFSGNJ_VF }, // 2232
  { PseudoVFSGNJ_VF32_MF2_MASK, VFSGNJ_VF }, // 2233
  { PseudoVFSGNJ_VF32_MF4, VFSGNJ_VF }, // 2234
  { PseudoVFSGNJ_VF32_MF4_MASK, VFSGNJ_VF }, // 2235
  { PseudoVFSGNJ_VF32_MF8, VFSGNJ_VF }, // 2236
  { PseudoVFSGNJ_VF32_MF8_MASK, VFSGNJ_VF }, // 2237
  { PseudoVFSGNJ_VF64_M1, VFSGNJ_VF }, // 2238
  { PseudoVFSGNJ_VF64_M1_MASK, VFSGNJ_VF }, // 2239
  { PseudoVFSGNJ_VF64_M2, VFSGNJ_VF }, // 2240
  { PseudoVFSGNJ_VF64_M2_MASK, VFSGNJ_VF }, // 2241
  { PseudoVFSGNJ_VF64_M4, VFSGNJ_VF }, // 2242
  { PseudoVFSGNJ_VF64_M4_MASK, VFSGNJ_VF }, // 2243
  { PseudoVFSGNJ_VF64_M8, VFSGNJ_VF }, // 2244
  { PseudoVFSGNJ_VF64_M8_MASK, VFSGNJ_VF }, // 2245
  { PseudoVFSGNJ_VF64_MF2, VFSGNJ_VF }, // 2246
  { PseudoVFSGNJ_VF64_MF2_MASK, VFSGNJ_VF }, // 2247
  { PseudoVFSGNJ_VF64_MF4, VFSGNJ_VF }, // 2248
  { PseudoVFSGNJ_VF64_MF4_MASK, VFSGNJ_VF }, // 2249
  { PseudoVFSGNJ_VF64_MF8, VFSGNJ_VF }, // 2250
  { PseudoVFSGNJ_VF64_MF8_MASK, VFSGNJ_VF }, // 2251
  { PseudoVFSGNJ_VV_M1, VFSGNJ_VV }, // 2252
  { PseudoVFSGNJ_VV_M1_MASK, VFSGNJ_VV }, // 2253
  { PseudoVFSGNJ_VV_M2, VFSGNJ_VV }, // 2254
  { PseudoVFSGNJ_VV_M2_MASK, VFSGNJ_VV }, // 2255
  { PseudoVFSGNJ_VV_M4, VFSGNJ_VV }, // 2256
  { PseudoVFSGNJ_VV_M4_MASK, VFSGNJ_VV }, // 2257
  { PseudoVFSGNJ_VV_M8, VFSGNJ_VV }, // 2258
  { PseudoVFSGNJ_VV_M8_MASK, VFSGNJ_VV }, // 2259
  { PseudoVFSGNJ_VV_MF2, VFSGNJ_VV }, // 2260
  { PseudoVFSGNJ_VV_MF2_MASK, VFSGNJ_VV }, // 2261
  { PseudoVFSGNJ_VV_MF4, VFSGNJ_VV }, // 2262
  { PseudoVFSGNJ_VV_MF4_MASK, VFSGNJ_VV }, // 2263
  { PseudoVFSGNJ_VV_MF8, VFSGNJ_VV }, // 2264
  { PseudoVFSGNJ_VV_MF8_MASK, VFSGNJ_VV }, // 2265
  { PseudoVFSLIDE1DOWN_VF16_M1, VFSLIDE1DOWN_VF }, // 2266
  { PseudoVFSLIDE1DOWN_VF16_M1_MASK, VFSLIDE1DOWN_VF }, // 2267
  { PseudoVFSLIDE1DOWN_VF16_M2, VFSLIDE1DOWN_VF }, // 2268
  { PseudoVFSLIDE1DOWN_VF16_M2_MASK, VFSLIDE1DOWN_VF }, // 2269
  { PseudoVFSLIDE1DOWN_VF16_M4, VFSLIDE1DOWN_VF }, // 2270
  { PseudoVFSLIDE1DOWN_VF16_M4_MASK, VFSLIDE1DOWN_VF }, // 2271
  { PseudoVFSLIDE1DOWN_VF16_M8, VFSLIDE1DOWN_VF }, // 2272
  { PseudoVFSLIDE1DOWN_VF16_M8_MASK, VFSLIDE1DOWN_VF }, // 2273
  { PseudoVFSLIDE1DOWN_VF16_MF2, VFSLIDE1DOWN_VF }, // 2274
  { PseudoVFSLIDE1DOWN_VF16_MF2_MASK, VFSLIDE1DOWN_VF }, // 2275
  { PseudoVFSLIDE1DOWN_VF16_MF4, VFSLIDE1DOWN_VF }, // 2276
  { PseudoVFSLIDE1DOWN_VF16_MF4_MASK, VFSLIDE1DOWN_VF }, // 2277
  { PseudoVFSLIDE1DOWN_VF16_MF8, VFSLIDE1DOWN_VF }, // 2278
  { PseudoVFSLIDE1DOWN_VF16_MF8_MASK, VFSLIDE1DOWN_VF }, // 2279
  { PseudoVFSLIDE1DOWN_VF32_M1, VFSLIDE1DOWN_VF }, // 2280
  { PseudoVFSLIDE1DOWN_VF32_M1_MASK, VFSLIDE1DOWN_VF }, // 2281
  { PseudoVFSLIDE1DOWN_VF32_M2, VFSLIDE1DOWN_VF }, // 2282
  { PseudoVFSLIDE1DOWN_VF32_M2_MASK, VFSLIDE1DOWN_VF }, // 2283
  { PseudoVFSLIDE1DOWN_VF32_M4, VFSLIDE1DOWN_VF }, // 2284
  { PseudoVFSLIDE1DOWN_VF32_M4_MASK, VFSLIDE1DOWN_VF }, // 2285
  { PseudoVFSLIDE1DOWN_VF32_M8, VFSLIDE1DOWN_VF }, // 2286
  { PseudoVFSLIDE1DOWN_VF32_M8_MASK, VFSLIDE1DOWN_VF }, // 2287
  { PseudoVFSLIDE1DOWN_VF32_MF2, VFSLIDE1DOWN_VF }, // 2288
  { PseudoVFSLIDE1DOWN_VF32_MF2_MASK, VFSLIDE1DOWN_VF }, // 2289
  { PseudoVFSLIDE1DOWN_VF32_MF4, VFSLIDE1DOWN_VF }, // 2290
  { PseudoVFSLIDE1DOWN_VF32_MF4_MASK, VFSLIDE1DOWN_VF }, // 2291
  { PseudoVFSLIDE1DOWN_VF32_MF8, VFSLIDE1DOWN_VF }, // 2292
  { PseudoVFSLIDE1DOWN_VF32_MF8_MASK, VFSLIDE1DOWN_VF }, // 2293
  { PseudoVFSLIDE1DOWN_VF64_M1, VFSLIDE1DOWN_VF }, // 2294
  { PseudoVFSLIDE1DOWN_VF64_M1_MASK, VFSLIDE1DOWN_VF }, // 2295
  { PseudoVFSLIDE1DOWN_VF64_M2, VFSLIDE1DOWN_VF }, // 2296
  { PseudoVFSLIDE1DOWN_VF64_M2_MASK, VFSLIDE1DOWN_VF }, // 2297
  { PseudoVFSLIDE1DOWN_VF64_M4, VFSLIDE1DOWN_VF }, // 2298
  { PseudoVFSLIDE1DOWN_VF64_M4_MASK, VFSLIDE1DOWN_VF }, // 2299
  { PseudoVFSLIDE1DOWN_VF64_M8, VFSLIDE1DOWN_VF }, // 2300
  { PseudoVFSLIDE1DOWN_VF64_M8_MASK, VFSLIDE1DOWN_VF }, // 2301
  { PseudoVFSLIDE1DOWN_VF64_MF2, VFSLIDE1DOWN_VF }, // 2302
  { PseudoVFSLIDE1DOWN_VF64_MF2_MASK, VFSLIDE1DOWN_VF }, // 2303
  { PseudoVFSLIDE1DOWN_VF64_MF4, VFSLIDE1DOWN_VF }, // 2304
  { PseudoVFSLIDE1DOWN_VF64_MF4_MASK, VFSLIDE1DOWN_VF }, // 2305
  { PseudoVFSLIDE1DOWN_VF64_MF8, VFSLIDE1DOWN_VF }, // 2306
  { PseudoVFSLIDE1DOWN_VF64_MF8_MASK, VFSLIDE1DOWN_VF }, // 2307
  { PseudoVFSLIDE1UP_VF16_M1, VFSLIDE1UP_VF }, // 2308
  { PseudoVFSLIDE1UP_VF16_M1_MASK, VFSLIDE1UP_VF }, // 2309
  { PseudoVFSLIDE1UP_VF16_M2, VFSLIDE1UP_VF }, // 2310
  { PseudoVFSLIDE1UP_VF16_M2_MASK, VFSLIDE1UP_VF }, // 2311
  { PseudoVFSLIDE1UP_VF16_M4, VFSLIDE1UP_VF }, // 2312
  { PseudoVFSLIDE1UP_VF16_M4_MASK, VFSLIDE1UP_VF }, // 2313
  { PseudoVFSLIDE1UP_VF16_M8, VFSLIDE1UP_VF }, // 2314
  { PseudoVFSLIDE1UP_VF16_M8_MASK, VFSLIDE1UP_VF }, // 2315
  { PseudoVFSLIDE1UP_VF16_MF2, VFSLIDE1UP_VF }, // 2316
  { PseudoVFSLIDE1UP_VF16_MF2_MASK, VFSLIDE1UP_VF }, // 2317
  { PseudoVFSLIDE1UP_VF16_MF4, VFSLIDE1UP_VF }, // 2318
  { PseudoVFSLIDE1UP_VF16_MF4_MASK, VFSLIDE1UP_VF }, // 2319
  { PseudoVFSLIDE1UP_VF16_MF8, VFSLIDE1UP_VF }, // 2320
  { PseudoVFSLIDE1UP_VF16_MF8_MASK, VFSLIDE1UP_VF }, // 2321
  { PseudoVFSLIDE1UP_VF32_M1, VFSLIDE1UP_VF }, // 2322
  { PseudoVFSLIDE1UP_VF32_M1_MASK, VFSLIDE1UP_VF }, // 2323
  { PseudoVFSLIDE1UP_VF32_M2, VFSLIDE1UP_VF }, // 2324
  { PseudoVFSLIDE1UP_VF32_M2_MASK, VFSLIDE1UP_VF }, // 2325
  { PseudoVFSLIDE1UP_VF32_M4, VFSLIDE1UP_VF }, // 2326
  { PseudoVFSLIDE1UP_VF32_M4_MASK, VFSLIDE1UP_VF }, // 2327
  { PseudoVFSLIDE1UP_VF32_M8, VFSLIDE1UP_VF }, // 2328
  { PseudoVFSLIDE1UP_VF32_M8_MASK, VFSLIDE1UP_VF }, // 2329
  { PseudoVFSLIDE1UP_VF32_MF2, VFSLIDE1UP_VF }, // 2330
  { PseudoVFSLIDE1UP_VF32_MF2_MASK, VFSLIDE1UP_VF }, // 2331
  { PseudoVFSLIDE1UP_VF32_MF4, VFSLIDE1UP_VF }, // 2332
  { PseudoVFSLIDE1UP_VF32_MF4_MASK, VFSLIDE1UP_VF }, // 2333
  { PseudoVFSLIDE1UP_VF32_MF8, VFSLIDE1UP_VF }, // 2334
  { PseudoVFSLIDE1UP_VF32_MF8_MASK, VFSLIDE1UP_VF }, // 2335
  { PseudoVFSLIDE1UP_VF64_M1, VFSLIDE1UP_VF }, // 2336
  { PseudoVFSLIDE1UP_VF64_M1_MASK, VFSLIDE1UP_VF }, // 2337
  { PseudoVFSLIDE1UP_VF64_M2, VFSLIDE1UP_VF }, // 2338
  { PseudoVFSLIDE1UP_VF64_M2_MASK, VFSLIDE1UP_VF }, // 2339
  { PseudoVFSLIDE1UP_VF64_M4, VFSLIDE1UP_VF }, // 2340
  { PseudoVFSLIDE1UP_VF64_M4_MASK, VFSLIDE1UP_VF }, // 2341
  { PseudoVFSLIDE1UP_VF64_M8, VFSLIDE1UP_VF }, // 2342
  { PseudoVFSLIDE1UP_VF64_M8_MASK, VFSLIDE1UP_VF }, // 2343
  { PseudoVFSLIDE1UP_VF64_MF2, VFSLIDE1UP_VF }, // 2344
  { PseudoVFSLIDE1UP_VF64_MF2_MASK, VFSLIDE1UP_VF }, // 2345
  { PseudoVFSLIDE1UP_VF64_MF4, VFSLIDE1UP_VF }, // 2346
  { PseudoVFSLIDE1UP_VF64_MF4_MASK, VFSLIDE1UP_VF }, // 2347
  { PseudoVFSLIDE1UP_VF64_MF8, VFSLIDE1UP_VF }, // 2348
  { PseudoVFSLIDE1UP_VF64_MF8_MASK, VFSLIDE1UP_VF }, // 2349
  { PseudoVFSQRT_V_M1, VFSQRT_V }, // 2350
  { PseudoVFSQRT_V_M1_MASK, VFSQRT_V }, // 2351
  { PseudoVFSQRT_V_M2, VFSQRT_V }, // 2352
  { PseudoVFSQRT_V_M2_MASK, VFSQRT_V }, // 2353
  { PseudoVFSQRT_V_M4, VFSQRT_V }, // 2354
  { PseudoVFSQRT_V_M4_MASK, VFSQRT_V }, // 2355
  { PseudoVFSQRT_V_M8, VFSQRT_V }, // 2356
  { PseudoVFSQRT_V_M8_MASK, VFSQRT_V }, // 2357
  { PseudoVFSQRT_V_MF2, VFSQRT_V }, // 2358
  { PseudoVFSQRT_V_MF2_MASK, VFSQRT_V }, // 2359
  { PseudoVFSQRT_V_MF4, VFSQRT_V }, // 2360
  { PseudoVFSQRT_V_MF4_MASK, VFSQRT_V }, // 2361
  { PseudoVFSQRT_V_MF8, VFSQRT_V }, // 2362
  { PseudoVFSQRT_V_MF8_MASK, VFSQRT_V }, // 2363
  { PseudoVFSUB_VF16_M1, VFSUB_VF }, // 2364
  { PseudoVFSUB_VF16_M1_MASK, VFSUB_VF }, // 2365
  { PseudoVFSUB_VF16_M2, VFSUB_VF }, // 2366
  { PseudoVFSUB_VF16_M2_MASK, VFSUB_VF }, // 2367
  { PseudoVFSUB_VF16_M4, VFSUB_VF }, // 2368
  { PseudoVFSUB_VF16_M4_MASK, VFSUB_VF }, // 2369
  { PseudoVFSUB_VF16_M8, VFSUB_VF }, // 2370
  { PseudoVFSUB_VF16_M8_MASK, VFSUB_VF }, // 2371
  { PseudoVFSUB_VF16_MF2, VFSUB_VF }, // 2372
  { PseudoVFSUB_VF16_MF2_MASK, VFSUB_VF }, // 2373
  { PseudoVFSUB_VF16_MF4, VFSUB_VF }, // 2374
  { PseudoVFSUB_VF16_MF4_MASK, VFSUB_VF }, // 2375
  { PseudoVFSUB_VF16_MF8, VFSUB_VF }, // 2376
  { PseudoVFSUB_VF16_MF8_MASK, VFSUB_VF }, // 2377
  { PseudoVFSUB_VF32_M1, VFSUB_VF }, // 2378
  { PseudoVFSUB_VF32_M1_MASK, VFSUB_VF }, // 2379
  { PseudoVFSUB_VF32_M2, VFSUB_VF }, // 2380
  { PseudoVFSUB_VF32_M2_MASK, VFSUB_VF }, // 2381
  { PseudoVFSUB_VF32_M4, VFSUB_VF }, // 2382
  { PseudoVFSUB_VF32_M4_MASK, VFSUB_VF }, // 2383
  { PseudoVFSUB_VF32_M8, VFSUB_VF }, // 2384
  { PseudoVFSUB_VF32_M8_MASK, VFSUB_VF }, // 2385
  { PseudoVFSUB_VF32_MF2, VFSUB_VF }, // 2386
  { PseudoVFSUB_VF32_MF2_MASK, VFSUB_VF }, // 2387
  { PseudoVFSUB_VF32_MF4, VFSUB_VF }, // 2388
  { PseudoVFSUB_VF32_MF4_MASK, VFSUB_VF }, // 2389
  { PseudoVFSUB_VF32_MF8, VFSUB_VF }, // 2390
  { PseudoVFSUB_VF32_MF8_MASK, VFSUB_VF }, // 2391
  { PseudoVFSUB_VF64_M1, VFSUB_VF }, // 2392
  { PseudoVFSUB_VF64_M1_MASK, VFSUB_VF }, // 2393
  { PseudoVFSUB_VF64_M2, VFSUB_VF }, // 2394
  { PseudoVFSUB_VF64_M2_MASK, VFSUB_VF }, // 2395
  { PseudoVFSUB_VF64_M4, VFSUB_VF }, // 2396
  { PseudoVFSUB_VF64_M4_MASK, VFSUB_VF }, // 2397
  { PseudoVFSUB_VF64_M8, VFSUB_VF }, // 2398
  { PseudoVFSUB_VF64_M8_MASK, VFSUB_VF }, // 2399
  { PseudoVFSUB_VF64_MF2, VFSUB_VF }, // 2400
  { PseudoVFSUB_VF64_MF2_MASK, VFSUB_VF }, // 2401
  { PseudoVFSUB_VF64_MF4, VFSUB_VF }, // 2402
  { PseudoVFSUB_VF64_MF4_MASK, VFSUB_VF }, // 2403
  { PseudoVFSUB_VF64_MF8, VFSUB_VF }, // 2404
  { PseudoVFSUB_VF64_MF8_MASK, VFSUB_VF }, // 2405
  { PseudoVFSUB_VV_M1, VFSUB_VV }, // 2406
  { PseudoVFSUB_VV_M1_MASK, VFSUB_VV }, // 2407
  { PseudoVFSUB_VV_M2, VFSUB_VV }, // 2408
  { PseudoVFSUB_VV_M2_MASK, VFSUB_VV }, // 2409
  { PseudoVFSUB_VV_M4, VFSUB_VV }, // 2410
  { PseudoVFSUB_VV_M4_MASK, VFSUB_VV }, // 2411
  { PseudoVFSUB_VV_M8, VFSUB_VV }, // 2412
  { PseudoVFSUB_VV_M8_MASK, VFSUB_VV }, // 2413
  { PseudoVFSUB_VV_MF2, VFSUB_VV }, // 2414
  { PseudoVFSUB_VV_MF2_MASK, VFSUB_VV }, // 2415
  { PseudoVFSUB_VV_MF4, VFSUB_VV }, // 2416
  { PseudoVFSUB_VV_MF4_MASK, VFSUB_VV }, // 2417
  { PseudoVFSUB_VV_MF8, VFSUB_VV }, // 2418
  { PseudoVFSUB_VV_MF8_MASK, VFSUB_VV }, // 2419
  { PseudoVFWADD_VF16_M1, VFWADD_VF }, // 2420
  { PseudoVFWADD_VF16_M1_MASK, VFWADD_VF }, // 2421
  { PseudoVFWADD_VF16_M2, VFWADD_VF }, // 2422
  { PseudoVFWADD_VF16_M2_MASK, VFWADD_VF }, // 2423
  { PseudoVFWADD_VF16_M4, VFWADD_VF }, // 2424
  { PseudoVFWADD_VF16_M4_MASK, VFWADD_VF }, // 2425
  { PseudoVFWADD_VF16_MF2, VFWADD_VF }, // 2426
  { PseudoVFWADD_VF16_MF2_MASK, VFWADD_VF }, // 2427
  { PseudoVFWADD_VF16_MF4, VFWADD_VF }, // 2428
  { PseudoVFWADD_VF16_MF4_MASK, VFWADD_VF }, // 2429
  { PseudoVFWADD_VF16_MF8, VFWADD_VF }, // 2430
  { PseudoVFWADD_VF16_MF8_MASK, VFWADD_VF }, // 2431
  { PseudoVFWADD_VF32_M1, VFWADD_VF }, // 2432
  { PseudoVFWADD_VF32_M1_MASK, VFWADD_VF }, // 2433
  { PseudoVFWADD_VF32_M2, VFWADD_VF }, // 2434
  { PseudoVFWADD_VF32_M2_MASK, VFWADD_VF }, // 2435
  { PseudoVFWADD_VF32_M4, VFWADD_VF }, // 2436
  { PseudoVFWADD_VF32_M4_MASK, VFWADD_VF }, // 2437
  { PseudoVFWADD_VF32_MF2, VFWADD_VF }, // 2438
  { PseudoVFWADD_VF32_MF2_MASK, VFWADD_VF }, // 2439
  { PseudoVFWADD_VF32_MF4, VFWADD_VF }, // 2440
  { PseudoVFWADD_VF32_MF4_MASK, VFWADD_VF }, // 2441
  { PseudoVFWADD_VF32_MF8, VFWADD_VF }, // 2442
  { PseudoVFWADD_VF32_MF8_MASK, VFWADD_VF }, // 2443
  { PseudoVFWADD_VV_M1, VFWADD_VV }, // 2444
  { PseudoVFWADD_VV_M1_MASK, VFWADD_VV }, // 2445
  { PseudoVFWADD_VV_M2, VFWADD_VV }, // 2446
  { PseudoVFWADD_VV_M2_MASK, VFWADD_VV }, // 2447
  { PseudoVFWADD_VV_M4, VFWADD_VV }, // 2448
  { PseudoVFWADD_VV_M4_MASK, VFWADD_VV }, // 2449
  { PseudoVFWADD_VV_MF2, VFWADD_VV }, // 2450
  { PseudoVFWADD_VV_MF2_MASK, VFWADD_VV }, // 2451
  { PseudoVFWADD_VV_MF4, VFWADD_VV }, // 2452
  { PseudoVFWADD_VV_MF4_MASK, VFWADD_VV }, // 2453
  { PseudoVFWADD_VV_MF8, VFWADD_VV }, // 2454
  { PseudoVFWADD_VV_MF8_MASK, VFWADD_VV }, // 2455
  { PseudoVFWADD_WF16_M1, VFWADD_WF }, // 2456
  { PseudoVFWADD_WF16_M1_MASK, VFWADD_WF }, // 2457
  { PseudoVFWADD_WF16_M2, VFWADD_WF }, // 2458
  { PseudoVFWADD_WF16_M2_MASK, VFWADD_WF }, // 2459
  { PseudoVFWADD_WF16_M4, VFWADD_WF }, // 2460
  { PseudoVFWADD_WF16_M4_MASK, VFWADD_WF }, // 2461
  { PseudoVFWADD_WF16_MF2, VFWADD_WF }, // 2462
  { PseudoVFWADD_WF16_MF2_MASK, VFWADD_WF }, // 2463
  { PseudoVFWADD_WF16_MF4, VFWADD_WF }, // 2464
  { PseudoVFWADD_WF16_MF4_MASK, VFWADD_WF }, // 2465
  { PseudoVFWADD_WF16_MF8, VFWADD_WF }, // 2466
  { PseudoVFWADD_WF16_MF8_MASK, VFWADD_WF }, // 2467
  { PseudoVFWADD_WF32_M1, VFWADD_WF }, // 2468
  { PseudoVFWADD_WF32_M1_MASK, VFWADD_WF }, // 2469
  { PseudoVFWADD_WF32_M2, VFWADD_WF }, // 2470
  { PseudoVFWADD_WF32_M2_MASK, VFWADD_WF }, // 2471
  { PseudoVFWADD_WF32_M4, VFWADD_WF }, // 2472
  { PseudoVFWADD_WF32_M4_MASK, VFWADD_WF }, // 2473
  { PseudoVFWADD_WF32_MF2, VFWADD_WF }, // 2474
  { PseudoVFWADD_WF32_MF2_MASK, VFWADD_WF }, // 2475
  { PseudoVFWADD_WF32_MF4, VFWADD_WF }, // 2476
  { PseudoVFWADD_WF32_MF4_MASK, VFWADD_WF }, // 2477
  { PseudoVFWADD_WF32_MF8, VFWADD_WF }, // 2478
  { PseudoVFWADD_WF32_MF8_MASK, VFWADD_WF }, // 2479
  { PseudoVFWADD_WV_M1, VFWADD_WV }, // 2480
  { PseudoVFWADD_WV_M1_MASK, VFWADD_WV }, // 2481
  { PseudoVFWADD_WV_M1_MASK_TIED, VFWADD_WV }, // 2482
  { PseudoVFWADD_WV_M1_TIED, VFWADD_WV }, // 2483
  { PseudoVFWADD_WV_M2, VFWADD_WV }, // 2484
  { PseudoVFWADD_WV_M2_MASK, VFWADD_WV }, // 2485
  { PseudoVFWADD_WV_M2_MASK_TIED, VFWADD_WV }, // 2486
  { PseudoVFWADD_WV_M2_TIED, VFWADD_WV }, // 2487
  { PseudoVFWADD_WV_M4, VFWADD_WV }, // 2488
  { PseudoVFWADD_WV_M4_MASK, VFWADD_WV }, // 2489
  { PseudoVFWADD_WV_M4_MASK_TIED, VFWADD_WV }, // 2490
  { PseudoVFWADD_WV_M4_TIED, VFWADD_WV }, // 2491
  { PseudoVFWADD_WV_MF2, VFWADD_WV }, // 2492
  { PseudoVFWADD_WV_MF2_MASK, VFWADD_WV }, // 2493
  { PseudoVFWADD_WV_MF2_MASK_TIED, VFWADD_WV }, // 2494
  { PseudoVFWADD_WV_MF2_TIED, VFWADD_WV }, // 2495
  { PseudoVFWADD_WV_MF4, VFWADD_WV }, // 2496
  { PseudoVFWADD_WV_MF4_MASK, VFWADD_WV }, // 2497
  { PseudoVFWADD_WV_MF4_MASK_TIED, VFWADD_WV }, // 2498
  { PseudoVFWADD_WV_MF4_TIED, VFWADD_WV }, // 2499
  { PseudoVFWADD_WV_MF8, VFWADD_WV }, // 2500
  { PseudoVFWADD_WV_MF8_MASK, VFWADD_WV }, // 2501
  { PseudoVFWADD_WV_MF8_MASK_TIED, VFWADD_WV }, // 2502
  { PseudoVFWADD_WV_MF8_TIED, VFWADD_WV }, // 2503
  { PseudoVFWCVT_F_F_V_M1, VFWCVT_F_F_V }, // 2504
  { PseudoVFWCVT_F_F_V_M1_MASK, VFWCVT_F_F_V }, // 2505
  { PseudoVFWCVT_F_F_V_M2, VFWCVT_F_F_V }, // 2506
  { PseudoVFWCVT_F_F_V_M2_MASK, VFWCVT_F_F_V }, // 2507
  { PseudoVFWCVT_F_F_V_M4, VFWCVT_F_F_V }, // 2508
  { PseudoVFWCVT_F_F_V_M4_MASK, VFWCVT_F_F_V }, // 2509
  { PseudoVFWCVT_F_F_V_MF2, VFWCVT_F_F_V }, // 2510
  { PseudoVFWCVT_F_F_V_MF2_MASK, VFWCVT_F_F_V }, // 2511
  { PseudoVFWCVT_F_F_V_MF4, VFWCVT_F_F_V }, // 2512
  { PseudoVFWCVT_F_F_V_MF4_MASK, VFWCVT_F_F_V }, // 2513
  { PseudoVFWCVT_F_F_V_MF8, VFWCVT_F_F_V }, // 2514
  { PseudoVFWCVT_F_F_V_MF8_MASK, VFWCVT_F_F_V }, // 2515
  { PseudoVFWCVT_F_XU_V_M1, VFWCVT_F_XU_V }, // 2516
  { PseudoVFWCVT_F_XU_V_M1_MASK, VFWCVT_F_XU_V }, // 2517
  { PseudoVFWCVT_F_XU_V_M2, VFWCVT_F_XU_V }, // 2518
  { PseudoVFWCVT_F_XU_V_M2_MASK, VFWCVT_F_XU_V }, // 2519
  { PseudoVFWCVT_F_XU_V_M4, VFWCVT_F_XU_V }, // 2520
  { PseudoVFWCVT_F_XU_V_M4_MASK, VFWCVT_F_XU_V }, // 2521
  { PseudoVFWCVT_F_XU_V_MF2, VFWCVT_F_XU_V }, // 2522
  { PseudoVFWCVT_F_XU_V_MF2_MASK, VFWCVT_F_XU_V }, // 2523
  { PseudoVFWCVT_F_XU_V_MF4, VFWCVT_F_XU_V }, // 2524
  { PseudoVFWCVT_F_XU_V_MF4_MASK, VFWCVT_F_XU_V }, // 2525
  { PseudoVFWCVT_F_XU_V_MF8, VFWCVT_F_XU_V }, // 2526
  { PseudoVFWCVT_F_XU_V_MF8_MASK, VFWCVT_F_XU_V }, // 2527
  { PseudoVFWCVT_F_X_V_M1, VFWCVT_F_X_V }, // 2528
  { PseudoVFWCVT_F_X_V_M1_MASK, VFWCVT_F_X_V }, // 2529
  { PseudoVFWCVT_F_X_V_M2, VFWCVT_F_X_V }, // 2530
  { PseudoVFWCVT_F_X_V_M2_MASK, VFWCVT_F_X_V }, // 2531
  { PseudoVFWCVT_F_X_V_M4, VFWCVT_F_X_V }, // 2532
  { PseudoVFWCVT_F_X_V_M4_MASK, VFWCVT_F_X_V }, // 2533
  { PseudoVFWCVT_F_X_V_MF2, VFWCVT_F_X_V }, // 2534
  { PseudoVFWCVT_F_X_V_MF2_MASK, VFWCVT_F_X_V }, // 2535
  { PseudoVFWCVT_F_X_V_MF4, VFWCVT_F_X_V }, // 2536
  { PseudoVFWCVT_F_X_V_MF4_MASK, VFWCVT_F_X_V }, // 2537
  { PseudoVFWCVT_F_X_V_MF8, VFWCVT_F_X_V }, // 2538
  { PseudoVFWCVT_F_X_V_MF8_MASK, VFWCVT_F_X_V }, // 2539
  { PseudoVFWCVT_RTZ_XU_F_V_M1, VFWCVT_RTZ_XU_F_V }, // 2540
  { PseudoVFWCVT_RTZ_XU_F_V_M1_MASK, VFWCVT_RTZ_XU_F_V }, // 2541
  { PseudoVFWCVT_RTZ_XU_F_V_M2, VFWCVT_RTZ_XU_F_V }, // 2542
  { PseudoVFWCVT_RTZ_XU_F_V_M2_MASK, VFWCVT_RTZ_XU_F_V }, // 2543
  { PseudoVFWCVT_RTZ_XU_F_V_M4, VFWCVT_RTZ_XU_F_V }, // 2544
  { PseudoVFWCVT_RTZ_XU_F_V_M4_MASK, VFWCVT_RTZ_XU_F_V }, // 2545
  { PseudoVFWCVT_RTZ_XU_F_V_MF2, VFWCVT_RTZ_XU_F_V }, // 2546
  { PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK, VFWCVT_RTZ_XU_F_V }, // 2547
  { PseudoVFWCVT_RTZ_XU_F_V_MF4, VFWCVT_RTZ_XU_F_V }, // 2548
  { PseudoVFWCVT_RTZ_XU_F_V_MF4_MASK, VFWCVT_RTZ_XU_F_V }, // 2549
  { PseudoVFWCVT_RTZ_XU_F_V_MF8, VFWCVT_RTZ_XU_F_V }, // 2550
  { PseudoVFWCVT_RTZ_XU_F_V_MF8_MASK, VFWCVT_RTZ_XU_F_V }, // 2551
  { PseudoVFWCVT_RTZ_X_F_V_M1, VFWCVT_RTZ_X_F_V }, // 2552
  { PseudoVFWCVT_RTZ_X_F_V_M1_MASK, VFWCVT_RTZ_X_F_V }, // 2553
  { PseudoVFWCVT_RTZ_X_F_V_M2, VFWCVT_RTZ_X_F_V }, // 2554
  { PseudoVFWCVT_RTZ_X_F_V_M2_MASK, VFWCVT_RTZ_X_F_V }, // 2555
  { PseudoVFWCVT_RTZ_X_F_V_M4, VFWCVT_RTZ_X_F_V }, // 2556
  { PseudoVFWCVT_RTZ_X_F_V_M4_MASK, VFWCVT_RTZ_X_F_V }, // 2557
  { PseudoVFWCVT_RTZ_X_F_V_MF2, VFWCVT_RTZ_X_F_V }, // 2558
  { PseudoVFWCVT_RTZ_X_F_V_MF2_MASK, VFWCVT_RTZ_X_F_V }, // 2559
  { PseudoVFWCVT_RTZ_X_F_V_MF4, VFWCVT_RTZ_X_F_V }, // 2560
  { PseudoVFWCVT_RTZ_X_F_V_MF4_MASK, VFWCVT_RTZ_X_F_V }, // 2561
  { PseudoVFWCVT_RTZ_X_F_V_MF8, VFWCVT_RTZ_X_F_V }, // 2562
  { PseudoVFWCVT_RTZ_X_F_V_MF8_MASK, VFWCVT_RTZ_X_F_V }, // 2563
  { PseudoVFWCVT_XU_F_V_M1, VFWCVT_XU_F_V }, // 2564
  { PseudoVFWCVT_XU_F_V_M1_MASK, VFWCVT_XU_F_V }, // 2565
  { PseudoVFWCVT_XU_F_V_M2, VFWCVT_XU_F_V }, // 2566
  { PseudoVFWCVT_XU_F_V_M2_MASK, VFWCVT_XU_F_V }, // 2567
  { PseudoVFWCVT_XU_F_V_M4, VFWCVT_XU_F_V }, // 2568
  { PseudoVFWCVT_XU_F_V_M4_MASK, VFWCVT_XU_F_V }, // 2569
  { PseudoVFWCVT_XU_F_V_MF2, VFWCVT_XU_F_V }, // 2570
  { PseudoVFWCVT_XU_F_V_MF2_MASK, VFWCVT_XU_F_V }, // 2571
  { PseudoVFWCVT_XU_F_V_MF4, VFWCVT_XU_F_V }, // 2572
  { PseudoVFWCVT_XU_F_V_MF4_MASK, VFWCVT_XU_F_V }, // 2573
  { PseudoVFWCVT_XU_F_V_MF8, VFWCVT_XU_F_V }, // 2574
  { PseudoVFWCVT_XU_F_V_MF8_MASK, VFWCVT_XU_F_V }, // 2575
  { PseudoVFWCVT_X_F_V_M1, VFWCVT_X_F_V }, // 2576
  { PseudoVFWCVT_X_F_V_M1_MASK, VFWCVT_X_F_V }, // 2577
  { PseudoVFWCVT_X_F_V_M2, VFWCVT_X_F_V }, // 2578
  { PseudoVFWCVT_X_F_V_M2_MASK, VFWCVT_X_F_V }, // 2579
  { PseudoVFWCVT_X_F_V_M4, VFWCVT_X_F_V }, // 2580
  { PseudoVFWCVT_X_F_V_M4_MASK, VFWCVT_X_F_V }, // 2581
  { PseudoVFWCVT_X_F_V_MF2, VFWCVT_X_F_V }, // 2582
  { PseudoVFWCVT_X_F_V_MF2_MASK, VFWCVT_X_F_V }, // 2583
  { PseudoVFWCVT_X_F_V_MF4, VFWCVT_X_F_V }, // 2584
  { PseudoVFWCVT_X_F_V_MF4_MASK, VFWCVT_X_F_V }, // 2585
  { PseudoVFWCVT_X_F_V_MF8, VFWCVT_X_F_V }, // 2586
  { PseudoVFWCVT_X_F_V_MF8_MASK, VFWCVT_X_F_V }, // 2587
  { PseudoVFWMACC_VF16_M1, VFWMACC_VF }, // 2588
  { PseudoVFWMACC_VF16_M1_MASK, VFWMACC_VF }, // 2589
  { PseudoVFWMACC_VF16_M2, VFWMACC_VF }, // 2590
  { PseudoVFWMACC_VF16_M2_MASK, VFWMACC_VF }, // 2591
  { PseudoVFWMACC_VF16_M4, VFWMACC_VF }, // 2592
  { PseudoVFWMACC_VF16_M4_MASK, VFWMACC_VF }, // 2593
  { PseudoVFWMACC_VF16_MF2, VFWMACC_VF }, // 2594
  { PseudoVFWMACC_VF16_MF2_MASK, VFWMACC_VF }, // 2595
  { PseudoVFWMACC_VF16_MF4, VFWMACC_VF }, // 2596
  { PseudoVFWMACC_VF16_MF4_MASK, VFWMACC_VF }, // 2597
  { PseudoVFWMACC_VF16_MF8, VFWMACC_VF }, // 2598
  { PseudoVFWMACC_VF16_MF8_MASK, VFWMACC_VF }, // 2599
  { PseudoVFWMACC_VF32_M1, VFWMACC_VF }, // 2600
  { PseudoVFWMACC_VF32_M1_MASK, VFWMACC_VF }, // 2601
  { PseudoVFWMACC_VF32_M2, VFWMACC_VF }, // 2602
  { PseudoVFWMACC_VF32_M2_MASK, VFWMACC_VF }, // 2603
  { PseudoVFWMACC_VF32_M4, VFWMACC_VF }, // 2604
  { PseudoVFWMACC_VF32_M4_MASK, VFWMACC_VF }, // 2605
  { PseudoVFWMACC_VF32_MF2, VFWMACC_VF }, // 2606
  { PseudoVFWMACC_VF32_MF2_MASK, VFWMACC_VF }, // 2607
  { PseudoVFWMACC_VF32_MF4, VFWMACC_VF }, // 2608
  { PseudoVFWMACC_VF32_MF4_MASK, VFWMACC_VF }, // 2609
  { PseudoVFWMACC_VF32_MF8, VFWMACC_VF }, // 2610
  { PseudoVFWMACC_VF32_MF8_MASK, VFWMACC_VF }, // 2611
  { PseudoVFWMACC_VV_M1, VFWMACC_VV }, // 2612
  { PseudoVFWMACC_VV_M1_MASK, VFWMACC_VV }, // 2613
  { PseudoVFWMACC_VV_M2, VFWMACC_VV }, // 2614
  { PseudoVFWMACC_VV_M2_MASK, VFWMACC_VV }, // 2615
  { PseudoVFWMACC_VV_M4, VFWMACC_VV }, // 2616
  { PseudoVFWMACC_VV_M4_MASK, VFWMACC_VV }, // 2617
  { PseudoVFWMACC_VV_MF2, VFWMACC_VV }, // 2618
  { PseudoVFWMACC_VV_MF2_MASK, VFWMACC_VV }, // 2619
  { PseudoVFWMACC_VV_MF4, VFWMACC_VV }, // 2620
  { PseudoVFWMACC_VV_MF4_MASK, VFWMACC_VV }, // 2621
  { PseudoVFWMACC_VV_MF8, VFWMACC_VV }, // 2622
  { PseudoVFWMACC_VV_MF8_MASK, VFWMACC_VV }, // 2623
  { PseudoVFWMSAC_VF16_M1, VFWMSAC_VF }, // 2624
  { PseudoVFWMSAC_VF16_M1_MASK, VFWMSAC_VF }, // 2625
  { PseudoVFWMSAC_VF16_M2, VFWMSAC_VF }, // 2626
  { PseudoVFWMSAC_VF16_M2_MASK, VFWMSAC_VF }, // 2627
  { PseudoVFWMSAC_VF16_M4, VFWMSAC_VF }, // 2628
  { PseudoVFWMSAC_VF16_M4_MASK, VFWMSAC_VF }, // 2629
  { PseudoVFWMSAC_VF16_MF2, VFWMSAC_VF }, // 2630
  { PseudoVFWMSAC_VF16_MF2_MASK, VFWMSAC_VF }, // 2631
  { PseudoVFWMSAC_VF16_MF4, VFWMSAC_VF }, // 2632
  { PseudoVFWMSAC_VF16_MF4_MASK, VFWMSAC_VF }, // 2633
  { PseudoVFWMSAC_VF16_MF8, VFWMSAC_VF }, // 2634
  { PseudoVFWMSAC_VF16_MF8_MASK, VFWMSAC_VF }, // 2635
  { PseudoVFWMSAC_VF32_M1, VFWMSAC_VF }, // 2636
  { PseudoVFWMSAC_VF32_M1_MASK, VFWMSAC_VF }, // 2637
  { PseudoVFWMSAC_VF32_M2, VFWMSAC_VF }, // 2638
  { PseudoVFWMSAC_VF32_M2_MASK, VFWMSAC_VF }, // 2639
  { PseudoVFWMSAC_VF32_M4, VFWMSAC_VF }, // 2640
  { PseudoVFWMSAC_VF32_M4_MASK, VFWMSAC_VF }, // 2641
  { PseudoVFWMSAC_VF32_MF2, VFWMSAC_VF }, // 2642
  { PseudoVFWMSAC_VF32_MF2_MASK, VFWMSAC_VF }, // 2643
  { PseudoVFWMSAC_VF32_MF4, VFWMSAC_VF }, // 2644
  { PseudoVFWMSAC_VF32_MF4_MASK, VFWMSAC_VF }, // 2645
  { PseudoVFWMSAC_VF32_MF8, VFWMSAC_VF }, // 2646
  { PseudoVFWMSAC_VF32_MF8_MASK, VFWMSAC_VF }, // 2647
  { PseudoVFWMSAC_VV_M1, VFWMSAC_VV }, // 2648
  { PseudoVFWMSAC_VV_M1_MASK, VFWMSAC_VV }, // 2649
  { PseudoVFWMSAC_VV_M2, VFWMSAC_VV }, // 2650
  { PseudoVFWMSAC_VV_M2_MASK, VFWMSAC_VV }, // 2651
  { PseudoVFWMSAC_VV_M4, VFWMSAC_VV }, // 2652
  { PseudoVFWMSAC_VV_M4_MASK, VFWMSAC_VV }, // 2653
  { PseudoVFWMSAC_VV_MF2, VFWMSAC_VV }, // 2654
  { PseudoVFWMSAC_VV_MF2_MASK, VFWMSAC_VV }, // 2655
  { PseudoVFWMSAC_VV_MF4, VFWMSAC_VV }, // 2656
  { PseudoVFWMSAC_VV_MF4_MASK, VFWMSAC_VV }, // 2657
  { PseudoVFWMSAC_VV_MF8, VFWMSAC_VV }, // 2658
  { PseudoVFWMSAC_VV_MF8_MASK, VFWMSAC_VV }, // 2659
  { PseudoVFWMUL_VF16_M1, VFWMUL_VF }, // 2660
  { PseudoVFWMUL_VF16_M1_MASK, VFWMUL_VF }, // 2661
  { PseudoVFWMUL_VF16_M2, VFWMUL_VF }, // 2662
  { PseudoVFWMUL_VF16_M2_MASK, VFWMUL_VF }, // 2663
  { PseudoVFWMUL_VF16_M4, VFWMUL_VF }, // 2664
  { PseudoVFWMUL_VF16_M4_MASK, VFWMUL_VF }, // 2665
  { PseudoVFWMUL_VF16_MF2, VFWMUL_VF }, // 2666
  { PseudoVFWMUL_VF16_MF2_MASK, VFWMUL_VF }, // 2667
  { PseudoVFWMUL_VF16_MF4, VFWMUL_VF }, // 2668
  { PseudoVFWMUL_VF16_MF4_MASK, VFWMUL_VF }, // 2669
  { PseudoVFWMUL_VF16_MF8, VFWMUL_VF }, // 2670
  { PseudoVFWMUL_VF16_MF8_MASK, VFWMUL_VF }, // 2671
  { PseudoVFWMUL_VF32_M1, VFWMUL_VF }, // 2672
  { PseudoVFWMUL_VF32_M1_MASK, VFWMUL_VF }, // 2673
  { PseudoVFWMUL_VF32_M2, VFWMUL_VF }, // 2674
  { PseudoVFWMUL_VF32_M2_MASK, VFWMUL_VF }, // 2675
  { PseudoVFWMUL_VF32_M4, VFWMUL_VF }, // 2676
  { PseudoVFWMUL_VF32_M4_MASK, VFWMUL_VF }, // 2677
  { PseudoVFWMUL_VF32_MF2, VFWMUL_VF }, // 2678
  { PseudoVFWMUL_VF32_MF2_MASK, VFWMUL_VF }, // 2679
  { PseudoVFWMUL_VF32_MF4, VFWMUL_VF }, // 2680
  { PseudoVFWMUL_VF32_MF4_MASK, VFWMUL_VF }, // 2681
  { PseudoVFWMUL_VF32_MF8, VFWMUL_VF }, // 2682
  { PseudoVFWMUL_VF32_MF8_MASK, VFWMUL_VF }, // 2683
  { PseudoVFWMUL_VV_M1, VFWMUL_VV }, // 2684
  { PseudoVFWMUL_VV_M1_MASK, VFWMUL_VV }, // 2685
  { PseudoVFWMUL_VV_M2, VFWMUL_VV }, // 2686
  { PseudoVFWMUL_VV_M2_MASK, VFWMUL_VV }, // 2687
  { PseudoVFWMUL_VV_M4, VFWMUL_VV }, // 2688
  { PseudoVFWMUL_VV_M4_MASK, VFWMUL_VV }, // 2689
  { PseudoVFWMUL_VV_MF2, VFWMUL_VV }, // 2690
  { PseudoVFWMUL_VV_MF2_MASK, VFWMUL_VV }, // 2691
  { PseudoVFWMUL_VV_MF4, VFWMUL_VV }, // 2692
  { PseudoVFWMUL_VV_MF4_MASK, VFWMUL_VV }, // 2693
  { PseudoVFWMUL_VV_MF8, VFWMUL_VV }, // 2694
  { PseudoVFWMUL_VV_MF8_MASK, VFWMUL_VV }, // 2695
  { PseudoVFWNMACC_VF16_M1, VFWNMACC_VF }, // 2696
  { PseudoVFWNMACC_VF16_M1_MASK, VFWNMACC_VF }, // 2697
  { PseudoVFWNMACC_VF16_M2, VFWNMACC_VF }, // 2698
  { PseudoVFWNMACC_VF16_M2_MASK, VFWNMACC_VF }, // 2699
  { PseudoVFWNMACC_VF16_M4, VFWNMACC_VF }, // 2700
  { PseudoVFWNMACC_VF16_M4_MASK, VFWNMACC_VF }, // 2701
  { PseudoVFWNMACC_VF16_MF2, VFWNMACC_VF }, // 2702
  { PseudoVFWNMACC_VF16_MF2_MASK, VFWNMACC_VF }, // 2703
  { PseudoVFWNMACC_VF16_MF4, VFWNMACC_VF }, // 2704
  { PseudoVFWNMACC_VF16_MF4_MASK, VFWNMACC_VF }, // 2705
  { PseudoVFWNMACC_VF16_MF8, VFWNMACC_VF }, // 2706
  { PseudoVFWNMACC_VF16_MF8_MASK, VFWNMACC_VF }, // 2707
  { PseudoVFWNMACC_VF32_M1, VFWNMACC_VF }, // 2708
  { PseudoVFWNMACC_VF32_M1_MASK, VFWNMACC_VF }, // 2709
  { PseudoVFWNMACC_VF32_M2, VFWNMACC_VF }, // 2710
  { PseudoVFWNMACC_VF32_M2_MASK, VFWNMACC_VF }, // 2711
  { PseudoVFWNMACC_VF32_M4, VFWNMACC_VF }, // 2712
  { PseudoVFWNMACC_VF32_M4_MASK, VFWNMACC_VF }, // 2713
  { PseudoVFWNMACC_VF32_MF2, VFWNMACC_VF }, // 2714
  { PseudoVFWNMACC_VF32_MF2_MASK, VFWNMACC_VF }, // 2715
  { PseudoVFWNMACC_VF32_MF4, VFWNMACC_VF }, // 2716
  { PseudoVFWNMACC_VF32_MF4_MASK, VFWNMACC_VF }, // 2717
  { PseudoVFWNMACC_VF32_MF8, VFWNMACC_VF }, // 2718
  { PseudoVFWNMACC_VF32_MF8_MASK, VFWNMACC_VF }, // 2719
  { PseudoVFWNMACC_VV_M1, VFWNMACC_VV }, // 2720
  { PseudoVFWNMACC_VV_M1_MASK, VFWNMACC_VV }, // 2721
  { PseudoVFWNMACC_VV_M2, VFWNMACC_VV }, // 2722
  { PseudoVFWNMACC_VV_M2_MASK, VFWNMACC_VV }, // 2723
  { PseudoVFWNMACC_VV_M4, VFWNMACC_VV }, // 2724
  { PseudoVFWNMACC_VV_M4_MASK, VFWNMACC_VV }, // 2725
  { PseudoVFWNMACC_VV_MF2, VFWNMACC_VV }, // 2726
  { PseudoVFWNMACC_VV_MF2_MASK, VFWNMACC_VV }, // 2727
  { PseudoVFWNMACC_VV_MF4, VFWNMACC_VV }, // 2728
  { PseudoVFWNMACC_VV_MF4_MASK, VFWNMACC_VV }, // 2729
  { PseudoVFWNMACC_VV_MF8, VFWNMACC_VV }, // 2730
  { PseudoVFWNMACC_VV_MF8_MASK, VFWNMACC_VV }, // 2731
  { PseudoVFWNMSAC_VF16_M1, VFWNMSAC_VF }, // 2732
  { PseudoVFWNMSAC_VF16_M1_MASK, VFWNMSAC_VF }, // 2733
  { PseudoVFWNMSAC_VF16_M2, VFWNMSAC_VF }, // 2734
  { PseudoVFWNMSAC_VF16_M2_MASK, VFWNMSAC_VF }, // 2735
  { PseudoVFWNMSAC_VF16_M4, VFWNMSAC_VF }, // 2736
  { PseudoVFWNMSAC_VF16_M4_MASK, VFWNMSAC_VF }, // 2737
  { PseudoVFWNMSAC_VF16_MF2, VFWNMSAC_VF }, // 2738
  { PseudoVFWNMSAC_VF16_MF2_MASK, VFWNMSAC_VF }, // 2739
  { PseudoVFWNMSAC_VF16_MF4, VFWNMSAC_VF }, // 2740
  { PseudoVFWNMSAC_VF16_MF4_MASK, VFWNMSAC_VF }, // 2741
  { PseudoVFWNMSAC_VF16_MF8, VFWNMSAC_VF }, // 2742
  { PseudoVFWNMSAC_VF16_MF8_MASK, VFWNMSAC_VF }, // 2743
  { PseudoVFWNMSAC_VF32_M1, VFWNMSAC_VF }, // 2744
  { PseudoVFWNMSAC_VF32_M1_MASK, VFWNMSAC_VF }, // 2745
  { PseudoVFWNMSAC_VF32_M2, VFWNMSAC_VF }, // 2746
  { PseudoVFWNMSAC_VF32_M2_MASK, VFWNMSAC_VF }, // 2747
  { PseudoVFWNMSAC_VF32_M4, VFWNMSAC_VF }, // 2748
  { PseudoVFWNMSAC_VF32_M4_MASK, VFWNMSAC_VF }, // 2749
  { PseudoVFWNMSAC_VF32_MF2, VFWNMSAC_VF }, // 2750
  { PseudoVFWNMSAC_VF32_MF2_MASK, VFWNMSAC_VF }, // 2751
  { PseudoVFWNMSAC_VF32_MF4, VFWNMSAC_VF }, // 2752
  { PseudoVFWNMSAC_VF32_MF4_MASK, VFWNMSAC_VF }, // 2753
  { PseudoVFWNMSAC_VF32_MF8, VFWNMSAC_VF }, // 2754
  { PseudoVFWNMSAC_VF32_MF8_MASK, VFWNMSAC_VF }, // 2755
  { PseudoVFWNMSAC_VV_M1, VFWNMSAC_VV }, // 2756
  { PseudoVFWNMSAC_VV_M1_MASK, VFWNMSAC_VV }, // 2757
  { PseudoVFWNMSAC_VV_M2, VFWNMSAC_VV }, // 2758
  { PseudoVFWNMSAC_VV_M2_MASK, VFWNMSAC_VV }, // 2759
  { PseudoVFWNMSAC_VV_M4, VFWNMSAC_VV }, // 2760
  { PseudoVFWNMSAC_VV_M4_MASK, VFWNMSAC_VV }, // 2761
  { PseudoVFWNMSAC_VV_MF2, VFWNMSAC_VV }, // 2762
  { PseudoVFWNMSAC_VV_MF2_MASK, VFWNMSAC_VV }, // 2763
  { PseudoVFWNMSAC_VV_MF4, VFWNMSAC_VV }, // 2764
  { PseudoVFWNMSAC_VV_MF4_MASK, VFWNMSAC_VV }, // 2765
  { PseudoVFWNMSAC_VV_MF8, VFWNMSAC_VV }, // 2766
  { PseudoVFWNMSAC_VV_MF8_MASK, VFWNMSAC_VV }, // 2767
  { PseudoVFWREDOSUM_VS_M1, VFWREDOSUM_VS }, // 2768
  { PseudoVFWREDOSUM_VS_M1_MASK, VFWREDOSUM_VS }, // 2769
  { PseudoVFWREDOSUM_VS_M2, VFWREDOSUM_VS }, // 2770
  { PseudoVFWREDOSUM_VS_M2_MASK, VFWREDOSUM_VS }, // 2771
  { PseudoVFWREDOSUM_VS_M4, VFWREDOSUM_VS }, // 2772
  { PseudoVFWREDOSUM_VS_M4_MASK, VFWREDOSUM_VS }, // 2773
  { PseudoVFWREDOSUM_VS_M8, VFWREDOSUM_VS }, // 2774
  { PseudoVFWREDOSUM_VS_M8_MASK, VFWREDOSUM_VS }, // 2775
  { PseudoVFWREDOSUM_VS_MF2, VFWREDOSUM_VS }, // 2776
  { PseudoVFWREDOSUM_VS_MF2_MASK, VFWREDOSUM_VS }, // 2777
  { PseudoVFWREDOSUM_VS_MF4, VFWREDOSUM_VS }, // 2778
  { PseudoVFWREDOSUM_VS_MF4_MASK, VFWREDOSUM_VS }, // 2779
  { PseudoVFWREDOSUM_VS_MF8, VFWREDOSUM_VS }, // 2780
  { PseudoVFWREDOSUM_VS_MF8_MASK, VFWREDOSUM_VS }, // 2781
  { PseudoVFWREDUSUM_VS_M1, VFWREDUSUM_VS }, // 2782
  { PseudoVFWREDUSUM_VS_M1_MASK, VFWREDUSUM_VS }, // 2783
  { PseudoVFWREDUSUM_VS_M2, VFWREDUSUM_VS }, // 2784
  { PseudoVFWREDUSUM_VS_M2_MASK, VFWREDUSUM_VS }, // 2785
  { PseudoVFWREDUSUM_VS_M4, VFWREDUSUM_VS }, // 2786
  { PseudoVFWREDUSUM_VS_M4_MASK, VFWREDUSUM_VS }, // 2787
  { PseudoVFWREDUSUM_VS_M8, VFWREDUSUM_VS }, // 2788
  { PseudoVFWREDUSUM_VS_M8_MASK, VFWREDUSUM_VS }, // 2789
  { PseudoVFWREDUSUM_VS_MF2, VFWREDUSUM_VS }, // 2790
  { PseudoVFWREDUSUM_VS_MF2_MASK, VFWREDUSUM_VS }, // 2791
  { PseudoVFWREDUSUM_VS_MF4, VFWREDUSUM_VS }, // 2792
  { PseudoVFWREDUSUM_VS_MF4_MASK, VFWREDUSUM_VS }, // 2793
  { PseudoVFWREDUSUM_VS_MF8, VFWREDUSUM_VS }, // 2794
  { PseudoVFWREDUSUM_VS_MF8_MASK, VFWREDUSUM_VS }, // 2795
  { PseudoVFWSUB_VF16_M1, VFWSUB_VF }, // 2796
  { PseudoVFWSUB_VF16_M1_MASK, VFWSUB_VF }, // 2797
  { PseudoVFWSUB_VF16_M2, VFWSUB_VF }, // 2798
  { PseudoVFWSUB_VF16_M2_MASK, VFWSUB_VF }, // 2799
  { PseudoVFWSUB_VF16_M4, VFWSUB_VF }, // 2800
  { PseudoVFWSUB_VF16_M4_MASK, VFWSUB_VF }, // 2801
  { PseudoVFWSUB_VF16_MF2, VFWSUB_VF }, // 2802
  { PseudoVFWSUB_VF16_MF2_MASK, VFWSUB_VF }, // 2803
  { PseudoVFWSUB_VF16_MF4, VFWSUB_VF }, // 2804
  { PseudoVFWSUB_VF16_MF4_MASK, VFWSUB_VF }, // 2805
  { PseudoVFWSUB_VF16_MF8, VFWSUB_VF }, // 2806
  { PseudoVFWSUB_VF16_MF8_MASK, VFWSUB_VF }, // 2807
  { PseudoVFWSUB_VF32_M1, VFWSUB_VF }, // 2808
  { PseudoVFWSUB_VF32_M1_MASK, VFWSUB_VF }, // 2809
  { PseudoVFWSUB_VF32_M2, VFWSUB_VF }, // 2810
  { PseudoVFWSUB_VF32_M2_MASK, VFWSUB_VF }, // 2811
  { PseudoVFWSUB_VF32_M4, VFWSUB_VF }, // 2812
  { PseudoVFWSUB_VF32_M4_MASK, VFWSUB_VF }, // 2813
  { PseudoVFWSUB_VF32_MF2, VFWSUB_VF }, // 2814
  { PseudoVFWSUB_VF32_MF2_MASK, VFWSUB_VF }, // 2815
  { PseudoVFWSUB_VF32_MF4, VFWSUB_VF }, // 2816
  { PseudoVFWSUB_VF32_MF4_MASK, VFWSUB_VF }, // 2817
  { PseudoVFWSUB_VF32_MF8, VFWSUB_VF }, // 2818
  { PseudoVFWSUB_VF32_MF8_MASK, VFWSUB_VF }, // 2819
  { PseudoVFWSUB_VV_M1, VFWSUB_VV }, // 2820
  { PseudoVFWSUB_VV_M1_MASK, VFWSUB_VV }, // 2821
  { PseudoVFWSUB_VV_M2, VFWSUB_VV }, // 2822
  { PseudoVFWSUB_VV_M2_MASK, VFWSUB_VV }, // 2823
  { PseudoVFWSUB_VV_M4, VFWSUB_VV }, // 2824
  { PseudoVFWSUB_VV_M4_MASK, VFWSUB_VV }, // 2825
  { PseudoVFWSUB_VV_MF2, VFWSUB_VV }, // 2826
  { PseudoVFWSUB_VV_MF2_MASK, VFWSUB_VV }, // 2827
  { PseudoVFWSUB_VV_MF4, VFWSUB_VV }, // 2828
  { PseudoVFWSUB_VV_MF4_MASK, VFWSUB_VV }, // 2829
  { PseudoVFWSUB_VV_MF8, VFWSUB_VV }, // 2830
  { PseudoVFWSUB_VV_MF8_MASK, VFWSUB_VV }, // 2831
  { PseudoVFWSUB_WF16_M1, VFWSUB_WF }, // 2832
  { PseudoVFWSUB_WF16_M1_MASK, VFWSUB_WF }, // 2833
  { PseudoVFWSUB_WF16_M2, VFWSUB_WF }, // 2834
  { PseudoVFWSUB_WF16_M2_MASK, VFWSUB_WF }, // 2835
  { PseudoVFWSUB_WF16_M4, VFWSUB_WF }, // 2836
  { PseudoVFWSUB_WF16_M4_MASK, VFWSUB_WF }, // 2837
  { PseudoVFWSUB_WF16_MF2, VFWSUB_WF }, // 2838
  { PseudoVFWSUB_WF16_MF2_MASK, VFWSUB_WF }, // 2839
  { PseudoVFWSUB_WF16_MF4, VFWSUB_WF }, // 2840
  { PseudoVFWSUB_WF16_MF4_MASK, VFWSUB_WF }, // 2841
  { PseudoVFWSUB_WF16_MF8, VFWSUB_WF }, // 2842
  { PseudoVFWSUB_WF16_MF8_MASK, VFWSUB_WF }, // 2843
  { PseudoVFWSUB_WF32_M1, VFWSUB_WF }, // 2844
  { PseudoVFWSUB_WF32_M1_MASK, VFWSUB_WF }, // 2845
  { PseudoVFWSUB_WF32_M2, VFWSUB_WF }, // 2846
  { PseudoVFWSUB_WF32_M2_MASK, VFWSUB_WF }, // 2847
  { PseudoVFWSUB_WF32_M4, VFWSUB_WF }, // 2848
  { PseudoVFWSUB_WF32_M4_MASK, VFWSUB_WF }, // 2849
  { PseudoVFWSUB_WF32_MF2, VFWSUB_WF }, // 2850
  { PseudoVFWSUB_WF32_MF2_MASK, VFWSUB_WF }, // 2851
  { PseudoVFWSUB_WF32_MF4, VFWSUB_WF }, // 2852
  { PseudoVFWSUB_WF32_MF4_MASK, VFWSUB_WF }, // 2853
  { PseudoVFWSUB_WF32_MF8, VFWSUB_WF }, // 2854
  { PseudoVFWSUB_WF32_MF8_MASK, VFWSUB_WF }, // 2855
  { PseudoVFWSUB_WV_M1, VFWSUB_WV }, // 2856
  { PseudoVFWSUB_WV_M1_MASK, VFWSUB_WV }, // 2857
  { PseudoVFWSUB_WV_M1_MASK_TIED, VFWSUB_WV }, // 2858
  { PseudoVFWSUB_WV_M1_TIED, VFWSUB_WV }, // 2859
  { PseudoVFWSUB_WV_M2, VFWSUB_WV }, // 2860
  { PseudoVFWSUB_WV_M2_MASK, VFWSUB_WV }, // 2861
  { PseudoVFWSUB_WV_M2_MASK_TIED, VFWSUB_WV }, // 2862
  { PseudoVFWSUB_WV_M2_TIED, VFWSUB_WV }, // 2863
  { PseudoVFWSUB_WV_M4, VFWSUB_WV }, // 2864
  { PseudoVFWSUB_WV_M4_MASK, VFWSUB_WV }, // 2865
  { PseudoVFWSUB_WV_M4_MASK_TIED, VFWSUB_WV }, // 2866
  { PseudoVFWSUB_WV_M4_TIED, VFWSUB_WV }, // 2867
  { PseudoVFWSUB_WV_MF2, VFWSUB_WV }, // 2868
  { PseudoVFWSUB_WV_MF2_MASK, VFWSUB_WV }, // 2869
  { PseudoVFWSUB_WV_MF2_MASK_TIED, VFWSUB_WV }, // 2870
  { PseudoVFWSUB_WV_MF2_TIED, VFWSUB_WV }, // 2871
  { PseudoVFWSUB_WV_MF4, VFWSUB_WV }, // 2872
  { PseudoVFWSUB_WV_MF4_MASK, VFWSUB_WV }, // 2873
  { PseudoVFWSUB_WV_MF4_MASK_TIED, VFWSUB_WV }, // 2874
  { PseudoVFWSUB_WV_MF4_TIED, VFWSUB_WV }, // 2875
  { PseudoVFWSUB_WV_MF8, VFWSUB_WV }, // 2876
  { PseudoVFWSUB_WV_MF8_MASK, VFWSUB_WV }, // 2877
  { PseudoVFWSUB_WV_MF8_MASK_TIED, VFWSUB_WV }, // 2878
  { PseudoVFWSUB_WV_MF8_TIED, VFWSUB_WV }, // 2879
  { PseudoVID_V_M1, VID_V }, // 2880
  { PseudoVID_V_M1_MASK, VID_V }, // 2881
  { PseudoVID_V_M2, VID_V }, // 2882
  { PseudoVID_V_M2_MASK, VID_V }, // 2883
  { PseudoVID_V_M4, VID_V }, // 2884
  { PseudoVID_V_M4_MASK, VID_V }, // 2885
  { PseudoVID_V_M8, VID_V }, // 2886
  { PseudoVID_V_M8_MASK, VID_V }, // 2887
  { PseudoVID_V_MF2, VID_V }, // 2888
  { PseudoVID_V_MF2_MASK, VID_V }, // 2889
  { PseudoVID_V_MF4, VID_V }, // 2890
  { PseudoVID_V_MF4_MASK, VID_V }, // 2891
  { PseudoVID_V_MF8, VID_V }, // 2892
  { PseudoVID_V_MF8_MASK, VID_V }, // 2893
  { PseudoVIOTA_M_M1, VIOTA_M }, // 2894
  { PseudoVIOTA_M_M1_MASK, VIOTA_M }, // 2895
  { PseudoVIOTA_M_M2, VIOTA_M }, // 2896
  { PseudoVIOTA_M_M2_MASK, VIOTA_M }, // 2897
  { PseudoVIOTA_M_M4, VIOTA_M }, // 2898
  { PseudoVIOTA_M_M4_MASK, VIOTA_M }, // 2899
  { PseudoVIOTA_M_M8, VIOTA_M }, // 2900
  { PseudoVIOTA_M_M8_MASK, VIOTA_M }, // 2901
  { PseudoVIOTA_M_MF2, VIOTA_M }, // 2902
  { PseudoVIOTA_M_MF2_MASK, VIOTA_M }, // 2903
  { PseudoVIOTA_M_MF4, VIOTA_M }, // 2904
  { PseudoVIOTA_M_MF4_MASK, VIOTA_M }, // 2905
  { PseudoVIOTA_M_MF8, VIOTA_M }, // 2906
  { PseudoVIOTA_M_MF8_MASK, VIOTA_M }, // 2907
  { PseudoVLE16FF_V_M1, VLE16FF_V }, // 2908
  { PseudoVLE16FF_V_M1_MASK, VLE16FF_V }, // 2909
  { PseudoVLE16FF_V_M2, VLE16FF_V }, // 2910
  { PseudoVLE16FF_V_M2_MASK, VLE16FF_V }, // 2911
  { PseudoVLE16FF_V_M4, VLE16FF_V }, // 2912
  { PseudoVLE16FF_V_M4_MASK, VLE16FF_V }, // 2913
  { PseudoVLE16FF_V_M8, VLE16FF_V }, // 2914
  { PseudoVLE16FF_V_M8_MASK, VLE16FF_V }, // 2915
  { PseudoVLE16FF_V_MF2, VLE16FF_V }, // 2916
  { PseudoVLE16FF_V_MF2_MASK, VLE16FF_V }, // 2917
  { PseudoVLE16FF_V_MF4, VLE16FF_V }, // 2918
  { PseudoVLE16FF_V_MF4_MASK, VLE16FF_V }, // 2919
  { PseudoVLE16_V_M1, VLE16_V }, // 2920
  { PseudoVLE16_V_M1_MASK, VLE16_V }, // 2921
  { PseudoVLE16_V_M2, VLE16_V }, // 2922
  { PseudoVLE16_V_M2_MASK, VLE16_V }, // 2923
  { PseudoVLE16_V_M4, VLE16_V }, // 2924
  { PseudoVLE16_V_M4_MASK, VLE16_V }, // 2925
  { PseudoVLE16_V_M8, VLE16_V }, // 2926
  { PseudoVLE16_V_M8_MASK, VLE16_V }, // 2927
  { PseudoVLE16_V_MF2, VLE16_V }, // 2928
  { PseudoVLE16_V_MF2_MASK, VLE16_V }, // 2929
  { PseudoVLE16_V_MF4, VLE16_V }, // 2930
  { PseudoVLE16_V_MF4_MASK, VLE16_V }, // 2931
  { PseudoVLE32FF_V_M1, VLE32FF_V }, // 2932
  { PseudoVLE32FF_V_M1_MASK, VLE32FF_V }, // 2933
  { PseudoVLE32FF_V_M2, VLE32FF_V }, // 2934
  { PseudoVLE32FF_V_M2_MASK, VLE32FF_V }, // 2935
  { PseudoVLE32FF_V_M4, VLE32FF_V }, // 2936
  { PseudoVLE32FF_V_M4_MASK, VLE32FF_V }, // 2937
  { PseudoVLE32FF_V_M8, VLE32FF_V }, // 2938
  { PseudoVLE32FF_V_M8_MASK, VLE32FF_V }, // 2939
  { PseudoVLE32FF_V_MF2, VLE32FF_V }, // 2940
  { PseudoVLE32FF_V_MF2_MASK, VLE32FF_V }, // 2941
  { PseudoVLE32_V_M1, VLE32_V }, // 2942
  { PseudoVLE32_V_M1_MASK, VLE32_V }, // 2943
  { PseudoVLE32_V_M2, VLE32_V }, // 2944
  { PseudoVLE32_V_M2_MASK, VLE32_V }, // 2945
  { PseudoVLE32_V_M4, VLE32_V }, // 2946
  { PseudoVLE32_V_M4_MASK, VLE32_V }, // 2947
  { PseudoVLE32_V_M8, VLE32_V }, // 2948
  { PseudoVLE32_V_M8_MASK, VLE32_V }, // 2949
  { PseudoVLE32_V_MF2, VLE32_V }, // 2950
  { PseudoVLE32_V_MF2_MASK, VLE32_V }, // 2951
  { PseudoVLE64FF_V_M1, VLE64FF_V }, // 2952
  { PseudoVLE64FF_V_M1_MASK, VLE64FF_V }, // 2953
  { PseudoVLE64FF_V_M2, VLE64FF_V }, // 2954
  { PseudoVLE64FF_V_M2_MASK, VLE64FF_V }, // 2955
  { PseudoVLE64FF_V_M4, VLE64FF_V }, // 2956
  { PseudoVLE64FF_V_M4_MASK, VLE64FF_V }, // 2957
  { PseudoVLE64FF_V_M8, VLE64FF_V }, // 2958
  { PseudoVLE64FF_V_M8_MASK, VLE64FF_V }, // 2959
  { PseudoVLE64_V_M1, VLE64_V }, // 2960
  { PseudoVLE64_V_M1_MASK, VLE64_V }, // 2961
  { PseudoVLE64_V_M2, VLE64_V }, // 2962
  { PseudoVLE64_V_M2_MASK, VLE64_V }, // 2963
  { PseudoVLE64_V_M4, VLE64_V }, // 2964
  { PseudoVLE64_V_M4_MASK, VLE64_V }, // 2965
  { PseudoVLE64_V_M8, VLE64_V }, // 2966
  { PseudoVLE64_V_M8_MASK, VLE64_V }, // 2967
  { PseudoVLE8FF_V_M1, VLE8FF_V }, // 2968
  { PseudoVLE8FF_V_M1_MASK, VLE8FF_V }, // 2969
  { PseudoVLE8FF_V_M2, VLE8FF_V }, // 2970
  { PseudoVLE8FF_V_M2_MASK, VLE8FF_V }, // 2971
  { PseudoVLE8FF_V_M4, VLE8FF_V }, // 2972
  { PseudoVLE8FF_V_M4_MASK, VLE8FF_V }, // 2973
  { PseudoVLE8FF_V_M8, VLE8FF_V }, // 2974
  { PseudoVLE8FF_V_M8_MASK, VLE8FF_V }, // 2975
  { PseudoVLE8FF_V_MF2, VLE8FF_V }, // 2976
  { PseudoVLE8FF_V_MF2_MASK, VLE8FF_V }, // 2977
  { PseudoVLE8FF_V_MF4, VLE8FF_V }, // 2978
  { PseudoVLE8FF_V_MF4_MASK, VLE8FF_V }, // 2979
  { PseudoVLE8FF_V_MF8, VLE8FF_V }, // 2980
  { PseudoVLE8FF_V_MF8_MASK, VLE8FF_V }, // 2981
  { PseudoVLE8_V_M1, VLE8_V }, // 2982
  { PseudoVLE8_V_M1_MASK, VLE8_V }, // 2983
  { PseudoVLE8_V_M2, VLE8_V }, // 2984
  { PseudoVLE8_V_M2_MASK, VLE8_V }, // 2985
  { PseudoVLE8_V_M4, VLE8_V }, // 2986
  { PseudoVLE8_V_M4_MASK, VLE8_V }, // 2987
  { PseudoVLE8_V_M8, VLE8_V }, // 2988
  { PseudoVLE8_V_M8_MASK, VLE8_V }, // 2989
  { PseudoVLE8_V_MF2, VLE8_V }, // 2990
  { PseudoVLE8_V_MF2_MASK, VLE8_V }, // 2991
  { PseudoVLE8_V_MF4, VLE8_V }, // 2992
  { PseudoVLE8_V_MF4_MASK, VLE8_V }, // 2993
  { PseudoVLE8_V_MF8, VLE8_V }, // 2994
  { PseudoVLE8_V_MF8_MASK, VLE8_V }, // 2995
  { PseudoVLM_V_B1, VLM_V }, // 2996
  { PseudoVLM_V_B16, VLM_V }, // 2997
  { PseudoVLM_V_B2, VLM_V }, // 2998
  { PseudoVLM_V_B32, VLM_V }, // 2999
  { PseudoVLM_V_B4, VLM_V }, // 3000
  { PseudoVLM_V_B64, VLM_V }, // 3001
  { PseudoVLM_V_B8, VLM_V }, // 3002
  { PseudoVLOXEI16_V_M1_M1, VLOXEI16_V }, // 3003
  { PseudoVLOXEI16_V_M1_M1_MASK, VLOXEI16_V }, // 3004
  { PseudoVLOXEI16_V_M1_M2, VLOXEI16_V }, // 3005
  { PseudoVLOXEI16_V_M1_M2_MASK, VLOXEI16_V }, // 3006
  { PseudoVLOXEI16_V_M1_M4, VLOXEI16_V }, // 3007
  { PseudoVLOXEI16_V_M1_M4_MASK, VLOXEI16_V }, // 3008
  { PseudoVLOXEI16_V_M1_MF2, VLOXEI16_V }, // 3009
  { PseudoVLOXEI16_V_M1_MF2_MASK, VLOXEI16_V }, // 3010
  { PseudoVLOXEI16_V_M2_M1, VLOXEI16_V }, // 3011
  { PseudoVLOXEI16_V_M2_M1_MASK, VLOXEI16_V }, // 3012
  { PseudoVLOXEI16_V_M2_M2, VLOXEI16_V }, // 3013
  { PseudoVLOXEI16_V_M2_M2_MASK, VLOXEI16_V }, // 3014
  { PseudoVLOXEI16_V_M2_M4, VLOXEI16_V }, // 3015
  { PseudoVLOXEI16_V_M2_M4_MASK, VLOXEI16_V }, // 3016
  { PseudoVLOXEI16_V_M2_M8, VLOXEI16_V }, // 3017
  { PseudoVLOXEI16_V_M2_M8_MASK, VLOXEI16_V }, // 3018
  { PseudoVLOXEI16_V_M4_M2, VLOXEI16_V }, // 3019
  { PseudoVLOXEI16_V_M4_M2_MASK, VLOXEI16_V }, // 3020
  { PseudoVLOXEI16_V_M4_M4, VLOXEI16_V }, // 3021
  { PseudoVLOXEI16_V_M4_M4_MASK, VLOXEI16_V }, // 3022
  { PseudoVLOXEI16_V_M4_M8, VLOXEI16_V }, // 3023
  { PseudoVLOXEI16_V_M4_M8_MASK, VLOXEI16_V }, // 3024
  { PseudoVLOXEI16_V_M8_M4, VLOXEI16_V }, // 3025
  { PseudoVLOXEI16_V_M8_M4_MASK, VLOXEI16_V }, // 3026
  { PseudoVLOXEI16_V_M8_M8, VLOXEI16_V }, // 3027
  { PseudoVLOXEI16_V_M8_M8_MASK, VLOXEI16_V }, // 3028
  { PseudoVLOXEI16_V_MF2_M1, VLOXEI16_V }, // 3029
  { PseudoVLOXEI16_V_MF2_M1_MASK, VLOXEI16_V }, // 3030
  { PseudoVLOXEI16_V_MF2_M2, VLOXEI16_V }, // 3031
  { PseudoVLOXEI16_V_MF2_M2_MASK, VLOXEI16_V }, // 3032
  { PseudoVLOXEI16_V_MF2_MF2, VLOXEI16_V }, // 3033
  { PseudoVLOXEI16_V_MF2_MF2_MASK, VLOXEI16_V }, // 3034
  { PseudoVLOXEI16_V_MF2_MF4, VLOXEI16_V }, // 3035
  { PseudoVLOXEI16_V_MF2_MF4_MASK, VLOXEI16_V }, // 3036
  { PseudoVLOXEI16_V_MF4_M1, VLOXEI16_V }, // 3037
  { PseudoVLOXEI16_V_MF4_M1_MASK, VLOXEI16_V }, // 3038
  { PseudoVLOXEI16_V_MF4_MF2, VLOXEI16_V }, // 3039
  { PseudoVLOXEI16_V_MF4_MF2_MASK, VLOXEI16_V }, // 3040
  { PseudoVLOXEI16_V_MF4_MF4, VLOXEI16_V }, // 3041
  { PseudoVLOXEI16_V_MF4_MF4_MASK, VLOXEI16_V }, // 3042
  { PseudoVLOXEI16_V_MF4_MF8, VLOXEI16_V }, // 3043
  { PseudoVLOXEI16_V_MF4_MF8_MASK, VLOXEI16_V }, // 3044
  { PseudoVLOXEI32_V_M1_M1, VLOXEI32_V }, // 3045
  { PseudoVLOXEI32_V_M1_M1_MASK, VLOXEI32_V }, // 3046
  { PseudoVLOXEI32_V_M1_M2, VLOXEI32_V }, // 3047
  { PseudoVLOXEI32_V_M1_M2_MASK, VLOXEI32_V }, // 3048
  { PseudoVLOXEI32_V_M1_MF2, VLOXEI32_V }, // 3049
  { PseudoVLOXEI32_V_M1_MF2_MASK, VLOXEI32_V }, // 3050
  { PseudoVLOXEI32_V_M1_MF4, VLOXEI32_V }, // 3051
  { PseudoVLOXEI32_V_M1_MF4_MASK, VLOXEI32_V }, // 3052
  { PseudoVLOXEI32_V_M2_M1, VLOXEI32_V }, // 3053
  { PseudoVLOXEI32_V_M2_M1_MASK, VLOXEI32_V }, // 3054
  { PseudoVLOXEI32_V_M2_M2, VLOXEI32_V }, // 3055
  { PseudoVLOXEI32_V_M2_M2_MASK, VLOXEI32_V }, // 3056
  { PseudoVLOXEI32_V_M2_M4, VLOXEI32_V }, // 3057
  { PseudoVLOXEI32_V_M2_M4_MASK, VLOXEI32_V }, // 3058
  { PseudoVLOXEI32_V_M2_MF2, VLOXEI32_V }, // 3059
  { PseudoVLOXEI32_V_M2_MF2_MASK, VLOXEI32_V }, // 3060
  { PseudoVLOXEI32_V_M4_M1, VLOXEI32_V }, // 3061
  { PseudoVLOXEI32_V_M4_M1_MASK, VLOXEI32_V }, // 3062
  { PseudoVLOXEI32_V_M4_M2, VLOXEI32_V }, // 3063
  { PseudoVLOXEI32_V_M4_M2_MASK, VLOXEI32_V }, // 3064
  { PseudoVLOXEI32_V_M4_M4, VLOXEI32_V }, // 3065
  { PseudoVLOXEI32_V_M4_M4_MASK, VLOXEI32_V }, // 3066
  { PseudoVLOXEI32_V_M4_M8, VLOXEI32_V }, // 3067
  { PseudoVLOXEI32_V_M4_M8_MASK, VLOXEI32_V }, // 3068
  { PseudoVLOXEI32_V_M8_M2, VLOXEI32_V }, // 3069
  { PseudoVLOXEI32_V_M8_M2_MASK, VLOXEI32_V }, // 3070
  { PseudoVLOXEI32_V_M8_M4, VLOXEI32_V }, // 3071
  { PseudoVLOXEI32_V_M8_M4_MASK, VLOXEI32_V }, // 3072
  { PseudoVLOXEI32_V_M8_M8, VLOXEI32_V }, // 3073
  { PseudoVLOXEI32_V_M8_M8_MASK, VLOXEI32_V }, // 3074
  { PseudoVLOXEI32_V_MF2_M1, VLOXEI32_V }, // 3075
  { PseudoVLOXEI32_V_MF2_M1_MASK, VLOXEI32_V }, // 3076
  { PseudoVLOXEI32_V_MF2_MF2, VLOXEI32_V }, // 3077
  { PseudoVLOXEI32_V_MF2_MF2_MASK, VLOXEI32_V }, // 3078
  { PseudoVLOXEI32_V_MF2_MF4, VLOXEI32_V }, // 3079
  { PseudoVLOXEI32_V_MF2_MF4_MASK, VLOXEI32_V }, // 3080
  { PseudoVLOXEI32_V_MF2_MF8, VLOXEI32_V }, // 3081
  { PseudoVLOXEI32_V_MF2_MF8_MASK, VLOXEI32_V }, // 3082
  { PseudoVLOXEI64_V_M1_M1, VLOXEI64_V }, // 3083
  { PseudoVLOXEI64_V_M1_M1_MASK, VLOXEI64_V }, // 3084
  { PseudoVLOXEI64_V_M1_MF2, VLOXEI64_V }, // 3085
  { PseudoVLOXEI64_V_M1_MF2_MASK, VLOXEI64_V }, // 3086
  { PseudoVLOXEI64_V_M1_MF4, VLOXEI64_V }, // 3087
  { PseudoVLOXEI64_V_M1_MF4_MASK, VLOXEI64_V }, // 3088
  { PseudoVLOXEI64_V_M1_MF8, VLOXEI64_V }, // 3089
  { PseudoVLOXEI64_V_M1_MF8_MASK, VLOXEI64_V }, // 3090
  { PseudoVLOXEI64_V_M2_M1, VLOXEI64_V }, // 3091
  { PseudoVLOXEI64_V_M2_M1_MASK, VLOXEI64_V }, // 3092
  { PseudoVLOXEI64_V_M2_M2, VLOXEI64_V }, // 3093
  { PseudoVLOXEI64_V_M2_M2_MASK, VLOXEI64_V }, // 3094
  { PseudoVLOXEI64_V_M2_MF2, VLOXEI64_V }, // 3095
  { PseudoVLOXEI64_V_M2_MF2_MASK, VLOXEI64_V }, // 3096
  { PseudoVLOXEI64_V_M2_MF4, VLOXEI64_V }, // 3097
  { PseudoVLOXEI64_V_M2_MF4_MASK, VLOXEI64_V }, // 3098
  { PseudoVLOXEI64_V_M4_M1, VLOXEI64_V }, // 3099
  { PseudoVLOXEI64_V_M4_M1_MASK, VLOXEI64_V }, // 3100
  { PseudoVLOXEI64_V_M4_M2, VLOXEI64_V }, // 3101
  { PseudoVLOXEI64_V_M4_M2_MASK, VLOXEI64_V }, // 3102
  { PseudoVLOXEI64_V_M4_M4, VLOXEI64_V }, // 3103
  { PseudoVLOXEI64_V_M4_M4_MASK, VLOXEI64_V }, // 3104
  { PseudoVLOXEI64_V_M4_MF2, VLOXEI64_V }, // 3105
  { PseudoVLOXEI64_V_M4_MF2_MASK, VLOXEI64_V }, // 3106
  { PseudoVLOXEI64_V_M8_M1, VLOXEI64_V }, // 3107
  { PseudoVLOXEI64_V_M8_M1_MASK, VLOXEI64_V }, // 3108
  { PseudoVLOXEI64_V_M8_M2, VLOXEI64_V }, // 3109
  { PseudoVLOXEI64_V_M8_M2_MASK, VLOXEI64_V }, // 3110
  { PseudoVLOXEI64_V_M8_M4, VLOXEI64_V }, // 3111
  { PseudoVLOXEI64_V_M8_M4_MASK, VLOXEI64_V }, // 3112
  { PseudoVLOXEI64_V_M8_M8, VLOXEI64_V }, // 3113
  { PseudoVLOXEI64_V_M8_M8_MASK, VLOXEI64_V }, // 3114
  { PseudoVLOXEI8_V_M1_M1, VLOXEI8_V }, // 3115
  { PseudoVLOXEI8_V_M1_M1_MASK, VLOXEI8_V }, // 3116
  { PseudoVLOXEI8_V_M1_M2, VLOXEI8_V }, // 3117
  { PseudoVLOXEI8_V_M1_M2_MASK, VLOXEI8_V }, // 3118
  { PseudoVLOXEI8_V_M1_M4, VLOXEI8_V }, // 3119
  { PseudoVLOXEI8_V_M1_M4_MASK, VLOXEI8_V }, // 3120
  { PseudoVLOXEI8_V_M1_M8, VLOXEI8_V }, // 3121
  { PseudoVLOXEI8_V_M1_M8_MASK, VLOXEI8_V }, // 3122
  { PseudoVLOXEI8_V_M2_M2, VLOXEI8_V }, // 3123
  { PseudoVLOXEI8_V_M2_M2_MASK, VLOXEI8_V }, // 3124
  { PseudoVLOXEI8_V_M2_M4, VLOXEI8_V }, // 3125
  { PseudoVLOXEI8_V_M2_M4_MASK, VLOXEI8_V }, // 3126
  { PseudoVLOXEI8_V_M2_M8, VLOXEI8_V }, // 3127
  { PseudoVLOXEI8_V_M2_M8_MASK, VLOXEI8_V }, // 3128
  { PseudoVLOXEI8_V_M4_M4, VLOXEI8_V }, // 3129
  { PseudoVLOXEI8_V_M4_M4_MASK, VLOXEI8_V }, // 3130
  { PseudoVLOXEI8_V_M4_M8, VLOXEI8_V }, // 3131
  { PseudoVLOXEI8_V_M4_M8_MASK, VLOXEI8_V }, // 3132
  { PseudoVLOXEI8_V_M8_M8, VLOXEI8_V }, // 3133
  { PseudoVLOXEI8_V_M8_M8_MASK, VLOXEI8_V }, // 3134
  { PseudoVLOXEI8_V_MF2_M1, VLOXEI8_V }, // 3135
  { PseudoVLOXEI8_V_MF2_M1_MASK, VLOXEI8_V }, // 3136
  { PseudoVLOXEI8_V_MF2_M2, VLOXEI8_V }, // 3137
  { PseudoVLOXEI8_V_MF2_M2_MASK, VLOXEI8_V }, // 3138
  { PseudoVLOXEI8_V_MF2_M4, VLOXEI8_V }, // 3139
  { PseudoVLOXEI8_V_MF2_M4_MASK, VLOXEI8_V }, // 3140
  { PseudoVLOXEI8_V_MF2_MF2, VLOXEI8_V }, // 3141
  { PseudoVLOXEI8_V_MF2_MF2_MASK, VLOXEI8_V }, // 3142
  { PseudoVLOXEI8_V_MF4_M1, VLOXEI8_V }, // 3143
  { PseudoVLOXEI8_V_MF4_M1_MASK, VLOXEI8_V }, // 3144
  { PseudoVLOXEI8_V_MF4_M2, VLOXEI8_V }, // 3145
  { PseudoVLOXEI8_V_MF4_M2_MASK, VLOXEI8_V }, // 3146
  { PseudoVLOXEI8_V_MF4_MF2, VLOXEI8_V }, // 3147
  { PseudoVLOXEI8_V_MF4_MF2_MASK, VLOXEI8_V }, // 3148
  { PseudoVLOXEI8_V_MF4_MF4, VLOXEI8_V }, // 3149
  { PseudoVLOXEI8_V_MF4_MF4_MASK, VLOXEI8_V }, // 3150
  { PseudoVLOXEI8_V_MF8_M1, VLOXEI8_V }, // 3151
  { PseudoVLOXEI8_V_MF8_M1_MASK, VLOXEI8_V }, // 3152
  { PseudoVLOXEI8_V_MF8_MF2, VLOXEI8_V }, // 3153
  { PseudoVLOXEI8_V_MF8_MF2_MASK, VLOXEI8_V }, // 3154
  { PseudoVLOXEI8_V_MF8_MF4, VLOXEI8_V }, // 3155
  { PseudoVLOXEI8_V_MF8_MF4_MASK, VLOXEI8_V }, // 3156
  { PseudoVLOXEI8_V_MF8_MF8, VLOXEI8_V }, // 3157
  { PseudoVLOXEI8_V_MF8_MF8_MASK, VLOXEI8_V }, // 3158
  { PseudoVLOXSEG2EI16_V_M1_M1, VLOXSEG2EI16_V }, // 3159
  { PseudoVLOXSEG2EI16_V_M1_M1_MASK, VLOXSEG2EI16_V }, // 3160
  { PseudoVLOXSEG2EI16_V_M1_M2, VLOXSEG2EI16_V }, // 3161
  { PseudoVLOXSEG2EI16_V_M1_M2_MASK, VLOXSEG2EI16_V }, // 3162
  { PseudoVLOXSEG2EI16_V_M1_M4, VLOXSEG2EI16_V }, // 3163
  { PseudoVLOXSEG2EI16_V_M1_M4_MASK, VLOXSEG2EI16_V }, // 3164
  { PseudoVLOXSEG2EI16_V_M1_MF2, VLOXSEG2EI16_V }, // 3165
  { PseudoVLOXSEG2EI16_V_M1_MF2_MASK, VLOXSEG2EI16_V }, // 3166
  { PseudoVLOXSEG2EI16_V_M2_M1, VLOXSEG2EI16_V }, // 3167
  { PseudoVLOXSEG2EI16_V_M2_M1_MASK, VLOXSEG2EI16_V }, // 3168
  { PseudoVLOXSEG2EI16_V_M2_M2, VLOXSEG2EI16_V }, // 3169
  { PseudoVLOXSEG2EI16_V_M2_M2_MASK, VLOXSEG2EI16_V }, // 3170
  { PseudoVLOXSEG2EI16_V_M2_M4, VLOXSEG2EI16_V }, // 3171
  { PseudoVLOXSEG2EI16_V_M2_M4_MASK, VLOXSEG2EI16_V }, // 3172
  { PseudoVLOXSEG2EI16_V_M4_M2, VLOXSEG2EI16_V }, // 3173
  { PseudoVLOXSEG2EI16_V_M4_M2_MASK, VLOXSEG2EI16_V }, // 3174
  { PseudoVLOXSEG2EI16_V_M4_M4, VLOXSEG2EI16_V }, // 3175
  { PseudoVLOXSEG2EI16_V_M4_M4_MASK, VLOXSEG2EI16_V }, // 3176
  { PseudoVLOXSEG2EI16_V_M8_M4, VLOXSEG2EI16_V }, // 3177
  { PseudoVLOXSEG2EI16_V_M8_M4_MASK, VLOXSEG2EI16_V }, // 3178
  { PseudoVLOXSEG2EI16_V_MF2_M1, VLOXSEG2EI16_V }, // 3179
  { PseudoVLOXSEG2EI16_V_MF2_M1_MASK, VLOXSEG2EI16_V }, // 3180
  { PseudoVLOXSEG2EI16_V_MF2_M2, VLOXSEG2EI16_V }, // 3181
  { PseudoVLOXSEG2EI16_V_MF2_M2_MASK, VLOXSEG2EI16_V }, // 3182
  { PseudoVLOXSEG2EI16_V_MF2_MF2, VLOXSEG2EI16_V }, // 3183
  { PseudoVLOXSEG2EI16_V_MF2_MF2_MASK, VLOXSEG2EI16_V }, // 3184
  { PseudoVLOXSEG2EI16_V_MF2_MF4, VLOXSEG2EI16_V }, // 3185
  { PseudoVLOXSEG2EI16_V_MF2_MF4_MASK, VLOXSEG2EI16_V }, // 3186
  { PseudoVLOXSEG2EI16_V_MF4_M1, VLOXSEG2EI16_V }, // 3187
  { PseudoVLOXSEG2EI16_V_MF4_M1_MASK, VLOXSEG2EI16_V }, // 3188
  { PseudoVLOXSEG2EI16_V_MF4_MF2, VLOXSEG2EI16_V }, // 3189
  { PseudoVLOXSEG2EI16_V_MF4_MF2_MASK, VLOXSEG2EI16_V }, // 3190
  { PseudoVLOXSEG2EI16_V_MF4_MF4, VLOXSEG2EI16_V }, // 3191
  { PseudoVLOXSEG2EI16_V_MF4_MF4_MASK, VLOXSEG2EI16_V }, // 3192
  { PseudoVLOXSEG2EI16_V_MF4_MF8, VLOXSEG2EI16_V }, // 3193
  { PseudoVLOXSEG2EI16_V_MF4_MF8_MASK, VLOXSEG2EI16_V }, // 3194
  { PseudoVLOXSEG2EI32_V_M1_M1, VLOXSEG2EI32_V }, // 3195
  { PseudoVLOXSEG2EI32_V_M1_M1_MASK, VLOXSEG2EI32_V }, // 3196
  { PseudoVLOXSEG2EI32_V_M1_M2, VLOXSEG2EI32_V }, // 3197
  { PseudoVLOXSEG2EI32_V_M1_M2_MASK, VLOXSEG2EI32_V }, // 3198
  { PseudoVLOXSEG2EI32_V_M1_MF2, VLOXSEG2EI32_V }, // 3199
  { PseudoVLOXSEG2EI32_V_M1_MF2_MASK, VLOXSEG2EI32_V }, // 3200
  { PseudoVLOXSEG2EI32_V_M1_MF4, VLOXSEG2EI32_V }, // 3201
  { PseudoVLOXSEG2EI32_V_M1_MF4_MASK, VLOXSEG2EI32_V }, // 3202
  { PseudoVLOXSEG2EI32_V_M2_M1, VLOXSEG2EI32_V }, // 3203
  { PseudoVLOXSEG2EI32_V_M2_M1_MASK, VLOXSEG2EI32_V }, // 3204
  { PseudoVLOXSEG2EI32_V_M2_M2, VLOXSEG2EI32_V }, // 3205
  { PseudoVLOXSEG2EI32_V_M2_M2_MASK, VLOXSEG2EI32_V }, // 3206
  { PseudoVLOXSEG2EI32_V_M2_M4, VLOXSEG2EI32_V }, // 3207
  { PseudoVLOXSEG2EI32_V_M2_M4_MASK, VLOXSEG2EI32_V }, // 3208
  { PseudoVLOXSEG2EI32_V_M2_MF2, VLOXSEG2EI32_V }, // 3209
  { PseudoVLOXSEG2EI32_V_M2_MF2_MASK, VLOXSEG2EI32_V }, // 3210
  { PseudoVLOXSEG2EI32_V_M4_M1, VLOXSEG2EI32_V }, // 3211
  { PseudoVLOXSEG2EI32_V_M4_M1_MASK, VLOXSEG2EI32_V }, // 3212
  { PseudoVLOXSEG2EI32_V_M4_M2, VLOXSEG2EI32_V }, // 3213
  { PseudoVLOXSEG2EI32_V_M4_M2_MASK, VLOXSEG2EI32_V }, // 3214
  { PseudoVLOXSEG2EI32_V_M4_M4, VLOXSEG2EI32_V }, // 3215
  { PseudoVLOXSEG2EI32_V_M4_M4_MASK, VLOXSEG2EI32_V }, // 3216
  { PseudoVLOXSEG2EI32_V_M8_M2, VLOXSEG2EI32_V }, // 3217
  { PseudoVLOXSEG2EI32_V_M8_M2_MASK, VLOXSEG2EI32_V }, // 3218
  { PseudoVLOXSEG2EI32_V_M8_M4, VLOXSEG2EI32_V }, // 3219
  { PseudoVLOXSEG2EI32_V_M8_M4_MASK, VLOXSEG2EI32_V }, // 3220
  { PseudoVLOXSEG2EI32_V_MF2_M1, VLOXSEG2EI32_V }, // 3221
  { PseudoVLOXSEG2EI32_V_MF2_M1_MASK, VLOXSEG2EI32_V }, // 3222
  { PseudoVLOXSEG2EI32_V_MF2_MF2, VLOXSEG2EI32_V }, // 3223
  { PseudoVLOXSEG2EI32_V_MF2_MF2_MASK, VLOXSEG2EI32_V }, // 3224
  { PseudoVLOXSEG2EI32_V_MF2_MF4, VLOXSEG2EI32_V }, // 3225
  { PseudoVLOXSEG2EI32_V_MF2_MF4_MASK, VLOXSEG2EI32_V }, // 3226
  { PseudoVLOXSEG2EI32_V_MF2_MF8, VLOXSEG2EI32_V }, // 3227
  { PseudoVLOXSEG2EI32_V_MF2_MF8_MASK, VLOXSEG2EI32_V }, // 3228
  { PseudoVLOXSEG2EI64_V_M1_M1, VLOXSEG2EI64_V }, // 3229
  { PseudoVLOXSEG2EI64_V_M1_M1_MASK, VLOXSEG2EI64_V }, // 3230
  { PseudoVLOXSEG2EI64_V_M1_MF2, VLOXSEG2EI64_V }, // 3231
  { PseudoVLOXSEG2EI64_V_M1_MF2_MASK, VLOXSEG2EI64_V }, // 3232
  { PseudoVLOXSEG2EI64_V_M1_MF4, VLOXSEG2EI64_V }, // 3233
  { PseudoVLOXSEG2EI64_V_M1_MF4_MASK, VLOXSEG2EI64_V }, // 3234
  { PseudoVLOXSEG2EI64_V_M1_MF8, VLOXSEG2EI64_V }, // 3235
  { PseudoVLOXSEG2EI64_V_M1_MF8_MASK, VLOXSEG2EI64_V }, // 3236
  { PseudoVLOXSEG2EI64_V_M2_M1, VLOXSEG2EI64_V }, // 3237
  { PseudoVLOXSEG2EI64_V_M2_M1_MASK, VLOXSEG2EI64_V }, // 3238
  { PseudoVLOXSEG2EI64_V_M2_M2, VLOXSEG2EI64_V }, // 3239
  { PseudoVLOXSEG2EI64_V_M2_M2_MASK, VLOXSEG2EI64_V }, // 3240
  { PseudoVLOXSEG2EI64_V_M2_MF2, VLOXSEG2EI64_V }, // 3241
  { PseudoVLOXSEG2EI64_V_M2_MF2_MASK, VLOXSEG2EI64_V }, // 3242
  { PseudoVLOXSEG2EI64_V_M2_MF4, VLOXSEG2EI64_V }, // 3243
  { PseudoVLOXSEG2EI64_V_M2_MF4_MASK, VLOXSEG2EI64_V }, // 3244
  { PseudoVLOXSEG2EI64_V_M4_M1, VLOXSEG2EI64_V }, // 3245
  { PseudoVLOXSEG2EI64_V_M4_M1_MASK, VLOXSEG2EI64_V }, // 3246
  { PseudoVLOXSEG2EI64_V_M4_M2, VLOXSEG2EI64_V }, // 3247
  { PseudoVLOXSEG2EI64_V_M4_M2_MASK, VLOXSEG2EI64_V }, // 3248
  { PseudoVLOXSEG2EI64_V_M4_M4, VLOXSEG2EI64_V }, // 3249
  { PseudoVLOXSEG2EI64_V_M4_M4_MASK, VLOXSEG2EI64_V }, // 3250
  { PseudoVLOXSEG2EI64_V_M4_MF2, VLOXSEG2EI64_V }, // 3251
  { PseudoVLOXSEG2EI64_V_M4_MF2_MASK, VLOXSEG2EI64_V }, // 3252
  { PseudoVLOXSEG2EI64_V_M8_M1, VLOXSEG2EI64_V }, // 3253
  { PseudoVLOXSEG2EI64_V_M8_M1_MASK, VLOXSEG2EI64_V }, // 3254
  { PseudoVLOXSEG2EI64_V_M8_M2, VLOXSEG2EI64_V }, // 3255
  { PseudoVLOXSEG2EI64_V_M8_M2_MASK, VLOXSEG2EI64_V }, // 3256
  { PseudoVLOXSEG2EI64_V_M8_M4, VLOXSEG2EI64_V }, // 3257
  { PseudoVLOXSEG2EI64_V_M8_M4_MASK, VLOXSEG2EI64_V }, // 3258
  { PseudoVLOXSEG2EI8_V_M1_M1, VLOXSEG2EI8_V }, // 3259
  { PseudoVLOXSEG2EI8_V_M1_M1_MASK, VLOXSEG2EI8_V }, // 3260
  { PseudoVLOXSEG2EI8_V_M1_M2, VLOXSEG2EI8_V }, // 3261
  { PseudoVLOXSEG2EI8_V_M1_M2_MASK, VLOXSEG2EI8_V }, // 3262
  { PseudoVLOXSEG2EI8_V_M1_M4, VLOXSEG2EI8_V }, // 3263
  { PseudoVLOXSEG2EI8_V_M1_M4_MASK, VLOXSEG2EI8_V }, // 3264
  { PseudoVLOXSEG2EI8_V_M2_M2, VLOXSEG2EI8_V }, // 3265
  { PseudoVLOXSEG2EI8_V_M2_M2_MASK, VLOXSEG2EI8_V }, // 3266
  { PseudoVLOXSEG2EI8_V_M2_M4, VLOXSEG2EI8_V }, // 3267
  { PseudoVLOXSEG2EI8_V_M2_M4_MASK, VLOXSEG2EI8_V }, // 3268
  { PseudoVLOXSEG2EI8_V_M4_M4, VLOXSEG2EI8_V }, // 3269
  { PseudoVLOXSEG2EI8_V_M4_M4_MASK, VLOXSEG2EI8_V }, // 3270
  { PseudoVLOXSEG2EI8_V_MF2_M1, VLOXSEG2EI8_V }, // 3271
  { PseudoVLOXSEG2EI8_V_MF2_M1_MASK, VLOXSEG2EI8_V }, // 3272
  { PseudoVLOXSEG2EI8_V_MF2_M2, VLOXSEG2EI8_V }, // 3273
  { PseudoVLOXSEG2EI8_V_MF2_M2_MASK, VLOXSEG2EI8_V }, // 3274
  { PseudoVLOXSEG2EI8_V_MF2_M4, VLOXSEG2EI8_V }, // 3275
  { PseudoVLOXSEG2EI8_V_MF2_M4_MASK, VLOXSEG2EI8_V }, // 3276
  { PseudoVLOXSEG2EI8_V_MF2_MF2, VLOXSEG2EI8_V }, // 3277
  { PseudoVLOXSEG2EI8_V_MF2_MF2_MASK, VLOXSEG2EI8_V }, // 3278
  { PseudoVLOXSEG2EI8_V_MF4_M1, VLOXSEG2EI8_V }, // 3279
  { PseudoVLOXSEG2EI8_V_MF4_M1_MASK, VLOXSEG2EI8_V }, // 3280
  { PseudoVLOXSEG2EI8_V_MF4_M2, VLOXSEG2EI8_V }, // 3281
  { PseudoVLOXSEG2EI8_V_MF4_M2_MASK, VLOXSEG2EI8_V }, // 3282
  { PseudoVLOXSEG2EI8_V_MF4_MF2, VLOXSEG2EI8_V }, // 3283
  { PseudoVLOXSEG2EI8_V_MF4_MF2_MASK, VLOXSEG2EI8_V }, // 3284
  { PseudoVLOXSEG2EI8_V_MF4_MF4, VLOXSEG2EI8_V }, // 3285
  { PseudoVLOXSEG2EI8_V_MF4_MF4_MASK, VLOXSEG2EI8_V }, // 3286
  { PseudoVLOXSEG2EI8_V_MF8_M1, VLOXSEG2EI8_V }, // 3287
  { PseudoVLOXSEG2EI8_V_MF8_M1_MASK, VLOXSEG2EI8_V }, // 3288
  { PseudoVLOXSEG2EI8_V_MF8_MF2, VLOXSEG2EI8_V }, // 3289
  { PseudoVLOXSEG2EI8_V_MF8_MF2_MASK, VLOXSEG2EI8_V }, // 3290
  { PseudoVLOXSEG2EI8_V_MF8_MF4, VLOXSEG2EI8_V }, // 3291
  { PseudoVLOXSEG2EI8_V_MF8_MF4_MASK, VLOXSEG2EI8_V }, // 3292
  { PseudoVLOXSEG2EI8_V_MF8_MF8, VLOXSEG2EI8_V }, // 3293
  { PseudoVLOXSEG2EI8_V_MF8_MF8_MASK, VLOXSEG2EI8_V }, // 3294
  { PseudoVLOXSEG3EI16_V_M1_M1, VLOXSEG3EI16_V }, // 3295
  { PseudoVLOXSEG3EI16_V_M1_M1_MASK, VLOXSEG3EI16_V }, // 3296
  { PseudoVLOXSEG3EI16_V_M1_M2, VLOXSEG3EI16_V }, // 3297
  { PseudoVLOXSEG3EI16_V_M1_M2_MASK, VLOXSEG3EI16_V }, // 3298
  { PseudoVLOXSEG3EI16_V_M1_MF2, VLOXSEG3EI16_V }, // 3299
  { PseudoVLOXSEG3EI16_V_M1_MF2_MASK, VLOXSEG3EI16_V }, // 3300
  { PseudoVLOXSEG3EI16_V_M2_M1, VLOXSEG3EI16_V }, // 3301
  { PseudoVLOXSEG3EI16_V_M2_M1_MASK, VLOXSEG3EI16_V }, // 3302
  { PseudoVLOXSEG3EI16_V_M2_M2, VLOXSEG3EI16_V }, // 3303
  { PseudoVLOXSEG3EI16_V_M2_M2_MASK, VLOXSEG3EI16_V }, // 3304
  { PseudoVLOXSEG3EI16_V_M4_M2, VLOXSEG3EI16_V }, // 3305
  { PseudoVLOXSEG3EI16_V_M4_M2_MASK, VLOXSEG3EI16_V }, // 3306
  { PseudoVLOXSEG3EI16_V_MF2_M1, VLOXSEG3EI16_V }, // 3307
  { PseudoVLOXSEG3EI16_V_MF2_M1_MASK, VLOXSEG3EI16_V }, // 3308
  { PseudoVLOXSEG3EI16_V_MF2_M2, VLOXSEG3EI16_V }, // 3309
  { PseudoVLOXSEG3EI16_V_MF2_M2_MASK, VLOXSEG3EI16_V }, // 3310
  { PseudoVLOXSEG3EI16_V_MF2_MF2, VLOXSEG3EI16_V }, // 3311
  { PseudoVLOXSEG3EI16_V_MF2_MF2_MASK, VLOXSEG3EI16_V }, // 3312
  { PseudoVLOXSEG3EI16_V_MF2_MF4, VLOXSEG3EI16_V }, // 3313
  { PseudoVLOXSEG3EI16_V_MF2_MF4_MASK, VLOXSEG3EI16_V }, // 3314
  { PseudoVLOXSEG3EI16_V_MF4_M1, VLOXSEG3EI16_V }, // 3315
  { PseudoVLOXSEG3EI16_V_MF4_M1_MASK, VLOXSEG3EI16_V }, // 3316
  { PseudoVLOXSEG3EI16_V_MF4_MF2, VLOXSEG3EI16_V }, // 3317
  { PseudoVLOXSEG3EI16_V_MF4_MF2_MASK, VLOXSEG3EI16_V }, // 3318
  { PseudoVLOXSEG3EI16_V_MF4_MF4, VLOXSEG3EI16_V }, // 3319
  { PseudoVLOXSEG3EI16_V_MF4_MF4_MASK, VLOXSEG3EI16_V }, // 3320
  { PseudoVLOXSEG3EI16_V_MF4_MF8, VLOXSEG3EI16_V }, // 3321
  { PseudoVLOXSEG3EI16_V_MF4_MF8_MASK, VLOXSEG3EI16_V }, // 3322
  { PseudoVLOXSEG3EI32_V_M1_M1, VLOXSEG3EI32_V }, // 3323
  { PseudoVLOXSEG3EI32_V_M1_M1_MASK, VLOXSEG3EI32_V }, // 3324
  { PseudoVLOXSEG3EI32_V_M1_M2, VLOXSEG3EI32_V }, // 3325
  { PseudoVLOXSEG3EI32_V_M1_M2_MASK, VLOXSEG3EI32_V }, // 3326
  { PseudoVLOXSEG3EI32_V_M1_MF2, VLOXSEG3EI32_V }, // 3327
  { PseudoVLOXSEG3EI32_V_M1_MF2_MASK, VLOXSEG3EI32_V }, // 3328
  { PseudoVLOXSEG3EI32_V_M1_MF4, VLOXSEG3EI32_V }, // 3329
  { PseudoVLOXSEG3EI32_V_M1_MF4_MASK, VLOXSEG3EI32_V }, // 3330
  { PseudoVLOXSEG3EI32_V_M2_M1, VLOXSEG3EI32_V }, // 3331
  { PseudoVLOXSEG3EI32_V_M2_M1_MASK, VLOXSEG3EI32_V }, // 3332
  { PseudoVLOXSEG3EI32_V_M2_M2, VLOXSEG3EI32_V }, // 3333
  { PseudoVLOXSEG3EI32_V_M2_M2_MASK, VLOXSEG3EI32_V }, // 3334
  { PseudoVLOXSEG3EI32_V_M2_MF2, VLOXSEG3EI32_V }, // 3335
  { PseudoVLOXSEG3EI32_V_M2_MF2_MASK, VLOXSEG3EI32_V }, // 3336
  { PseudoVLOXSEG3EI32_V_M4_M1, VLOXSEG3EI32_V }, // 3337
  { PseudoVLOXSEG3EI32_V_M4_M1_MASK, VLOXSEG3EI32_V }, // 3338
  { PseudoVLOXSEG3EI32_V_M4_M2, VLOXSEG3EI32_V }, // 3339
  { PseudoVLOXSEG3EI32_V_M4_M2_MASK, VLOXSEG3EI32_V }, // 3340
  { PseudoVLOXSEG3EI32_V_M8_M2, VLOXSEG3EI32_V }, // 3341
  { PseudoVLOXSEG3EI32_V_M8_M2_MASK, VLOXSEG3EI32_V }, // 3342
  { PseudoVLOXSEG3EI32_V_MF2_M1, VLOXSEG3EI32_V }, // 3343
  { PseudoVLOXSEG3EI32_V_MF2_M1_MASK, VLOXSEG3EI32_V }, // 3344
  { PseudoVLOXSEG3EI32_V_MF2_MF2, VLOXSEG3EI32_V }, // 3345
  { PseudoVLOXSEG3EI32_V_MF2_MF2_MASK, VLOXSEG3EI32_V }, // 3346
  { PseudoVLOXSEG3EI32_V_MF2_MF4, VLOXSEG3EI32_V }, // 3347
  { PseudoVLOXSEG3EI32_V_MF2_MF4_MASK, VLOXSEG3EI32_V }, // 3348
  { PseudoVLOXSEG3EI32_V_MF2_MF8, VLOXSEG3EI32_V }, // 3349
  { PseudoVLOXSEG3EI32_V_MF2_MF8_MASK, VLOXSEG3EI32_V }, // 3350
  { PseudoVLOXSEG3EI64_V_M1_M1, VLOXSEG3EI64_V }, // 3351
  { PseudoVLOXSEG3EI64_V_M1_M1_MASK, VLOXSEG3EI64_V }, // 3352
  { PseudoVLOXSEG3EI64_V_M1_MF2, VLOXSEG3EI64_V }, // 3353
  { PseudoVLOXSEG3EI64_V_M1_MF2_MASK, VLOXSEG3EI64_V }, // 3354
  { PseudoVLOXSEG3EI64_V_M1_MF4, VLOXSEG3EI64_V }, // 3355
  { PseudoVLOXSEG3EI64_V_M1_MF4_MASK, VLOXSEG3EI64_V }, // 3356
  { PseudoVLOXSEG3EI64_V_M1_MF8, VLOXSEG3EI64_V }, // 3357
  { PseudoVLOXSEG3EI64_V_M1_MF8_MASK, VLOXSEG3EI64_V }, // 3358
  { PseudoVLOXSEG3EI64_V_M2_M1, VLOXSEG3EI64_V }, // 3359
  { PseudoVLOXSEG3EI64_V_M2_M1_MASK, VLOXSEG3EI64_V }, // 3360
  { PseudoVLOXSEG3EI64_V_M2_M2, VLOXSEG3EI64_V }, // 3361
  { PseudoVLOXSEG3EI64_V_M2_M2_MASK, VLOXSEG3EI64_V }, // 3362
  { PseudoVLOXSEG3EI64_V_M2_MF2, VLOXSEG3EI64_V }, // 3363
  { PseudoVLOXSEG3EI64_V_M2_MF2_MASK, VLOXSEG3EI64_V }, // 3364
  { PseudoVLOXSEG3EI64_V_M2_MF4, VLOXSEG3EI64_V }, // 3365
  { PseudoVLOXSEG3EI64_V_M2_MF4_MASK, VLOXSEG3EI64_V }, // 3366
  { PseudoVLOXSEG3EI64_V_M4_M1, VLOXSEG3EI64_V }, // 3367
  { PseudoVLOXSEG3EI64_V_M4_M1_MASK, VLOXSEG3EI64_V }, // 3368
  { PseudoVLOXSEG3EI64_V_M4_M2, VLOXSEG3EI64_V }, // 3369
  { PseudoVLOXSEG3EI64_V_M4_M2_MASK, VLOXSEG3EI64_V }, // 3370
  { PseudoVLOXSEG3EI64_V_M4_MF2, VLOXSEG3EI64_V }, // 3371
  { PseudoVLOXSEG3EI64_V_M4_MF2_MASK, VLOXSEG3EI64_V }, // 3372
  { PseudoVLOXSEG3EI64_V_M8_M1, VLOXSEG3EI64_V }, // 3373
  { PseudoVLOXSEG3EI64_V_M8_M1_MASK, VLOXSEG3EI64_V }, // 3374
  { PseudoVLOXSEG3EI64_V_M8_M2, VLOXSEG3EI64_V }, // 3375
  { PseudoVLOXSEG3EI64_V_M8_M2_MASK, VLOXSEG3EI64_V }, // 3376
  { PseudoVLOXSEG3EI8_V_M1_M1, VLOXSEG3EI8_V }, // 3377
  { PseudoVLOXSEG3EI8_V_M1_M1_MASK, VLOXSEG3EI8_V }, // 3378
  { PseudoVLOXSEG3EI8_V_M1_M2, VLOXSEG3EI8_V }, // 3379
  { PseudoVLOXSEG3EI8_V_M1_M2_MASK, VLOXSEG3EI8_V }, // 3380
  { PseudoVLOXSEG3EI8_V_M2_M2, VLOXSEG3EI8_V }, // 3381
  { PseudoVLOXSEG3EI8_V_M2_M2_MASK, VLOXSEG3EI8_V }, // 3382
  { PseudoVLOXSEG3EI8_V_MF2_M1, VLOXSEG3EI8_V }, // 3383
  { PseudoVLOXSEG3EI8_V_MF2_M1_MASK, VLOXSEG3EI8_V }, // 3384
  { PseudoVLOXSEG3EI8_V_MF2_M2, VLOXSEG3EI8_V }, // 3385
  { PseudoVLOXSEG3EI8_V_MF2_M2_MASK, VLOXSEG3EI8_V }, // 3386
  { PseudoVLOXSEG3EI8_V_MF2_MF2, VLOXSEG3EI8_V }, // 3387
  { PseudoVLOXSEG3EI8_V_MF2_MF2_MASK, VLOXSEG3EI8_V }, // 3388
  { PseudoVLOXSEG3EI8_V_MF4_M1, VLOXSEG3EI8_V }, // 3389
  { PseudoVLOXSEG3EI8_V_MF4_M1_MASK, VLOXSEG3EI8_V }, // 3390
  { PseudoVLOXSEG3EI8_V_MF4_M2, VLOXSEG3EI8_V }, // 3391
  { PseudoVLOXSEG3EI8_V_MF4_M2_MASK, VLOXSEG3EI8_V }, // 3392
  { PseudoVLOXSEG3EI8_V_MF4_MF2, VLOXSEG3EI8_V }, // 3393
  { PseudoVLOXSEG3EI8_V_MF4_MF2_MASK, VLOXSEG3EI8_V }, // 3394
  { PseudoVLOXSEG3EI8_V_MF4_MF4, VLOXSEG3EI8_V }, // 3395
  { PseudoVLOXSEG3EI8_V_MF4_MF4_MASK, VLOXSEG3EI8_V }, // 3396
  { PseudoVLOXSEG3EI8_V_MF8_M1, VLOXSEG3EI8_V }, // 3397
  { PseudoVLOXSEG3EI8_V_MF8_M1_MASK, VLOXSEG3EI8_V }, // 3398
  { PseudoVLOXSEG3EI8_V_MF8_MF2, VLOXSEG3EI8_V }, // 3399
  { PseudoVLOXSEG3EI8_V_MF8_MF2_MASK, VLOXSEG3EI8_V }, // 3400
  { PseudoVLOXSEG3EI8_V_MF8_MF4, VLOXSEG3EI8_V }, // 3401
  { PseudoVLOXSEG3EI8_V_MF8_MF4_MASK, VLOXSEG3EI8_V }, // 3402
  { PseudoVLOXSEG3EI8_V_MF8_MF8, VLOXSEG3EI8_V }, // 3403
  { PseudoVLOXSEG3EI8_V_MF8_MF8_MASK, VLOXSEG3EI8_V }, // 3404
  { PseudoVLOXSEG4EI16_V_M1_M1, VLOXSEG4EI16_V }, // 3405
  { PseudoVLOXSEG4EI16_V_M1_M1_MASK, VLOXSEG4EI16_V }, // 3406
  { PseudoVLOXSEG4EI16_V_M1_M2, VLOXSEG4EI16_V }, // 3407
  { PseudoVLOXSEG4EI16_V_M1_M2_MASK, VLOXSEG4EI16_V }, // 3408
  { PseudoVLOXSEG4EI16_V_M1_MF2, VLOXSEG4EI16_V }, // 3409
  { PseudoVLOXSEG4EI16_V_M1_MF2_MASK, VLOXSEG4EI16_V }, // 3410
  { PseudoVLOXSEG4EI16_V_M2_M1, VLOXSEG4EI16_V }, // 3411
  { PseudoVLOXSEG4EI16_V_M2_M1_MASK, VLOXSEG4EI16_V }, // 3412
  { PseudoVLOXSEG4EI16_V_M2_M2, VLOXSEG4EI16_V }, // 3413
  { PseudoVLOXSEG4EI16_V_M2_M2_MASK, VLOXSEG4EI16_V }, // 3414
  { PseudoVLOXSEG4EI16_V_M4_M2, VLOXSEG4EI16_V }, // 3415
  { PseudoVLOXSEG4EI16_V_M4_M2_MASK, VLOXSEG4EI16_V }, // 3416
  { PseudoVLOXSEG4EI16_V_MF2_M1, VLOXSEG4EI16_V }, // 3417
  { PseudoVLOXSEG4EI16_V_MF2_M1_MASK, VLOXSEG4EI16_V }, // 3418
  { PseudoVLOXSEG4EI16_V_MF2_M2, VLOXSEG4EI16_V }, // 3419
  { PseudoVLOXSEG4EI16_V_MF2_M2_MASK, VLOXSEG4EI16_V }, // 3420
  { PseudoVLOXSEG4EI16_V_MF2_MF2, VLOXSEG4EI16_V }, // 3421
  { PseudoVLOXSEG4EI16_V_MF2_MF2_MASK, VLOXSEG4EI16_V }, // 3422
  { PseudoVLOXSEG4EI16_V_MF2_MF4, VLOXSEG4EI16_V }, // 3423
  { PseudoVLOXSEG4EI16_V_MF2_MF4_MASK, VLOXSEG4EI16_V }, // 3424
  { PseudoVLOXSEG4EI16_V_MF4_M1, VLOXSEG4EI16_V }, // 3425
  { PseudoVLOXSEG4EI16_V_MF4_M1_MASK, VLOXSEG4EI16_V }, // 3426
  { PseudoVLOXSEG4EI16_V_MF4_MF2, VLOXSEG4EI16_V }, // 3427
  { PseudoVLOXSEG4EI16_V_MF4_MF2_MASK, VLOXSEG4EI16_V }, // 3428
  { PseudoVLOXSEG4EI16_V_MF4_MF4, VLOXSEG4EI16_V }, // 3429
  { PseudoVLOXSEG4EI16_V_MF4_MF4_MASK, VLOXSEG4EI16_V }, // 3430
  { PseudoVLOXSEG4EI16_V_MF4_MF8, VLOXSEG4EI16_V }, // 3431
  { PseudoVLOXSEG4EI16_V_MF4_MF8_MASK, VLOXSEG4EI16_V }, // 3432
  { PseudoVLOXSEG4EI32_V_M1_M1, VLOXSEG4EI32_V }, // 3433
  { PseudoVLOXSEG4EI32_V_M1_M1_MASK, VLOXSEG4EI32_V }, // 3434
  { PseudoVLOXSEG4EI32_V_M1_M2, VLOXSEG4EI32_V }, // 3435
  { PseudoVLOXSEG4EI32_V_M1_M2_MASK, VLOXSEG4EI32_V }, // 3436
  { PseudoVLOXSEG4EI32_V_M1_MF2, VLOXSEG4EI32_V }, // 3437
  { PseudoVLOXSEG4EI32_V_M1_MF2_MASK, VLOXSEG4EI32_V }, // 3438
  { PseudoVLOXSEG4EI32_V_M1_MF4, VLOXSEG4EI32_V }, // 3439
  { PseudoVLOXSEG4EI32_V_M1_MF4_MASK, VLOXSEG4EI32_V }, // 3440
  { PseudoVLOXSEG4EI32_V_M2_M1, VLOXSEG4EI32_V }, // 3441
  { PseudoVLOXSEG4EI32_V_M2_M1_MASK, VLOXSEG4EI32_V }, // 3442
  { PseudoVLOXSEG4EI32_V_M2_M2, VLOXSEG4EI32_V }, // 3443
  { PseudoVLOXSEG4EI32_V_M2_M2_MASK, VLOXSEG4EI32_V }, // 3444
  { PseudoVLOXSEG4EI32_V_M2_MF2, VLOXSEG4EI32_V }, // 3445
  { PseudoVLOXSEG4EI32_V_M2_MF2_MASK, VLOXSEG4EI32_V }, // 3446
  { PseudoVLOXSEG4EI32_V_M4_M1, VLOXSEG4EI32_V }, // 3447
  { PseudoVLOXSEG4EI32_V_M4_M1_MASK, VLOXSEG4EI32_V }, // 3448
  { PseudoVLOXSEG4EI32_V_M4_M2, VLOXSEG4EI32_V }, // 3449
  { PseudoVLOXSEG4EI32_V_M4_M2_MASK, VLOXSEG4EI32_V }, // 3450
  { PseudoVLOXSEG4EI32_V_M8_M2, VLOXSEG4EI32_V }, // 3451
  { PseudoVLOXSEG4EI32_V_M8_M2_MASK, VLOXSEG4EI32_V }, // 3452
  { PseudoVLOXSEG4EI32_V_MF2_M1, VLOXSEG4EI32_V }, // 3453
  { PseudoVLOXSEG4EI32_V_MF2_M1_MASK, VLOXSEG4EI32_V }, // 3454
  { PseudoVLOXSEG4EI32_V_MF2_MF2, VLOXSEG4EI32_V }, // 3455
  { PseudoVLOXSEG4EI32_V_MF2_MF2_MASK, VLOXSEG4EI32_V }, // 3456
  { PseudoVLOXSEG4EI32_V_MF2_MF4, VLOXSEG4EI32_V }, // 3457
  { PseudoVLOXSEG4EI32_V_MF2_MF4_MASK, VLOXSEG4EI32_V }, // 3458
  { PseudoVLOXSEG4EI32_V_MF2_MF8, VLOXSEG4EI32_V }, // 3459
  { PseudoVLOXSEG4EI32_V_MF2_MF8_MASK, VLOXSEG4EI32_V }, // 3460
  { PseudoVLOXSEG4EI64_V_M1_M1, VLOXSEG4EI64_V }, // 3461
  { PseudoVLOXSEG4EI64_V_M1_M1_MASK, VLOXSEG4EI64_V }, // 3462
  { PseudoVLOXSEG4EI64_V_M1_MF2, VLOXSEG4EI64_V }, // 3463
  { PseudoVLOXSEG4EI64_V_M1_MF2_MASK, VLOXSEG4EI64_V }, // 3464
  { PseudoVLOXSEG4EI64_V_M1_MF4, VLOXSEG4EI64_V }, // 3465
  { PseudoVLOXSEG4EI64_V_M1_MF4_MASK, VLOXSEG4EI64_V }, // 3466
  { PseudoVLOXSEG4EI64_V_M1_MF8, VLOXSEG4EI64_V }, // 3467
  { PseudoVLOXSEG4EI64_V_M1_MF8_MASK, VLOXSEG4EI64_V }, // 3468
  { PseudoVLOXSEG4EI64_V_M2_M1, VLOXSEG4EI64_V }, // 3469
  { PseudoVLOXSEG4EI64_V_M2_M1_MASK, VLOXSEG4EI64_V }, // 3470
  { PseudoVLOXSEG4EI64_V_M2_M2, VLOXSEG4EI64_V }, // 3471
  { PseudoVLOXSEG4EI64_V_M2_M2_MASK, VLOXSEG4EI64_V }, // 3472
  { PseudoVLOXSEG4EI64_V_M2_MF2, VLOXSEG4EI64_V }, // 3473
  { PseudoVLOXSEG4EI64_V_M2_MF2_MASK, VLOXSEG4EI64_V }, // 3474
  { PseudoVLOXSEG4EI64_V_M2_MF4, VLOXSEG4EI64_V }, // 3475
  { PseudoVLOXSEG4EI64_V_M2_MF4_MASK, VLOXSEG4EI64_V }, // 3476
  { PseudoVLOXSEG4EI64_V_M4_M1, VLOXSEG4EI64_V }, // 3477
  { PseudoVLOXSEG4EI64_V_M4_M1_MASK, VLOXSEG4EI64_V }, // 3478
  { PseudoVLOXSEG4EI64_V_M4_M2, VLOXSEG4EI64_V }, // 3479
  { PseudoVLOXSEG4EI64_V_M4_M2_MASK, VLOXSEG4EI64_V }, // 3480
  { PseudoVLOXSEG4EI64_V_M4_MF2, VLOXSEG4EI64_V }, // 3481
  { PseudoVLOXSEG4EI64_V_M4_MF2_MASK, VLOXSEG4EI64_V }, // 3482
  { PseudoVLOXSEG4EI64_V_M8_M1, VLOXSEG4EI64_V }, // 3483
  { PseudoVLOXSEG4EI64_V_M8_M1_MASK, VLOXSEG4EI64_V }, // 3484
  { PseudoVLOXSEG4EI64_V_M8_M2, VLOXSEG4EI64_V }, // 3485
  { PseudoVLOXSEG4EI64_V_M8_M2_MASK, VLOXSEG4EI64_V }, // 3486
  { PseudoVLOXSEG4EI8_V_M1_M1, VLOXSEG4EI8_V }, // 3487
  { PseudoVLOXSEG4EI8_V_M1_M1_MASK, VLOXSEG4EI8_V }, // 3488
  { PseudoVLOXSEG4EI8_V_M1_M2, VLOXSEG4EI8_V }, // 3489
  { PseudoVLOXSEG4EI8_V_M1_M2_MASK, VLOXSEG4EI8_V }, // 3490
  { PseudoVLOXSEG4EI8_V_M2_M2, VLOXSEG4EI8_V }, // 3491
  { PseudoVLOXSEG4EI8_V_M2_M2_MASK, VLOXSEG4EI8_V }, // 3492
  { PseudoVLOXSEG4EI8_V_MF2_M1, VLOXSEG4EI8_V }, // 3493
  { PseudoVLOXSEG4EI8_V_MF2_M1_MASK, VLOXSEG4EI8_V }, // 3494
  { PseudoVLOXSEG4EI8_V_MF2_M2, VLOXSEG4EI8_V }, // 3495
  { PseudoVLOXSEG4EI8_V_MF2_M2_MASK, VLOXSEG4EI8_V }, // 3496
  { PseudoVLOXSEG4EI8_V_MF2_MF2, VLOXSEG4EI8_V }, // 3497
  { PseudoVLOXSEG4EI8_V_MF2_MF2_MASK, VLOXSEG4EI8_V }, // 3498
  { PseudoVLOXSEG4EI8_V_MF4_M1, VLOXSEG4EI8_V }, // 3499
  { PseudoVLOXSEG4EI8_V_MF4_M1_MASK, VLOXSEG4EI8_V }, // 3500
  { PseudoVLOXSEG4EI8_V_MF4_M2, VLOXSEG4EI8_V }, // 3501
  { PseudoVLOXSEG4EI8_V_MF4_M2_MASK, VLOXSEG4EI8_V }, // 3502
  { PseudoVLOXSEG4EI8_V_MF4_MF2, VLOXSEG4EI8_V }, // 3503
  { PseudoVLOXSEG4EI8_V_MF4_MF2_MASK, VLOXSEG4EI8_V }, // 3504
  { PseudoVLOXSEG4EI8_V_MF4_MF4, VLOXSEG4EI8_V }, // 3505
  { PseudoVLOXSEG4EI8_V_MF4_MF4_MASK, VLOXSEG4EI8_V }, // 3506
  { PseudoVLOXSEG4EI8_V_MF8_M1, VLOXSEG4EI8_V }, // 3507
  { PseudoVLOXSEG4EI8_V_MF8_M1_MASK, VLOXSEG4EI8_V }, // 3508
  { PseudoVLOXSEG4EI8_V_MF8_MF2, VLOXSEG4EI8_V }, // 3509
  { PseudoVLOXSEG4EI8_V_MF8_MF2_MASK, VLOXSEG4EI8_V }, // 3510
  { PseudoVLOXSEG4EI8_V_MF8_MF4, VLOXSEG4EI8_V }, // 3511
  { PseudoVLOXSEG4EI8_V_MF8_MF4_MASK, VLOXSEG4EI8_V }, // 3512
  { PseudoVLOXSEG4EI8_V_MF8_MF8, VLOXSEG4EI8_V }, // 3513
  { PseudoVLOXSEG4EI8_V_MF8_MF8_MASK, VLOXSEG4EI8_V }, // 3514
  { PseudoVLOXSEG5EI16_V_M1_M1, VLOXSEG5EI16_V }, // 3515
  { PseudoVLOXSEG5EI16_V_M1_M1_MASK, VLOXSEG5EI16_V }, // 3516
  { PseudoVLOXSEG5EI16_V_M1_MF2, VLOXSEG5EI16_V }, // 3517
  { PseudoVLOXSEG5EI16_V_M1_MF2_MASK, VLOXSEG5EI16_V }, // 3518
  { PseudoVLOXSEG5EI16_V_M2_M1, VLOXSEG5EI16_V }, // 3519
  { PseudoVLOXSEG5EI16_V_M2_M1_MASK, VLOXSEG5EI16_V }, // 3520
  { PseudoVLOXSEG5EI16_V_MF2_M1, VLOXSEG5EI16_V }, // 3521
  { PseudoVLOXSEG5EI16_V_MF2_M1_MASK, VLOXSEG5EI16_V }, // 3522
  { PseudoVLOXSEG5EI16_V_MF2_MF2, VLOXSEG5EI16_V }, // 3523
  { PseudoVLOXSEG5EI16_V_MF2_MF2_MASK, VLOXSEG5EI16_V }, // 3524
  { PseudoVLOXSEG5EI16_V_MF2_MF4, VLOXSEG5EI16_V }, // 3525
  { PseudoVLOXSEG5EI16_V_MF2_MF4_MASK, VLOXSEG5EI16_V }, // 3526
  { PseudoVLOXSEG5EI16_V_MF4_M1, VLOXSEG5EI16_V }, // 3527
  { PseudoVLOXSEG5EI16_V_MF4_M1_MASK, VLOXSEG5EI16_V }, // 3528
  { PseudoVLOXSEG5EI16_V_MF4_MF2, VLOXSEG5EI16_V }, // 3529
  { PseudoVLOXSEG5EI16_V_MF4_MF2_MASK, VLOXSEG5EI16_V }, // 3530
  { PseudoVLOXSEG5EI16_V_MF4_MF4, VLOXSEG5EI16_V }, // 3531
  { PseudoVLOXSEG5EI16_V_MF4_MF4_MASK, VLOXSEG5EI16_V }, // 3532
  { PseudoVLOXSEG5EI16_V_MF4_MF8, VLOXSEG5EI16_V }, // 3533
  { PseudoVLOXSEG5EI16_V_MF4_MF8_MASK, VLOXSEG5EI16_V }, // 3534
  { PseudoVLOXSEG5EI32_V_M1_M1, VLOXSEG5EI32_V }, // 3535
  { PseudoVLOXSEG5EI32_V_M1_M1_MASK, VLOXSEG5EI32_V }, // 3536
  { PseudoVLOXSEG5EI32_V_M1_MF2, VLOXSEG5EI32_V }, // 3537
  { PseudoVLOXSEG5EI32_V_M1_MF2_MASK, VLOXSEG5EI32_V }, // 3538
  { PseudoVLOXSEG5EI32_V_M1_MF4, VLOXSEG5EI32_V }, // 3539
  { PseudoVLOXSEG5EI32_V_M1_MF4_MASK, VLOXSEG5EI32_V }, // 3540
  { PseudoVLOXSEG5EI32_V_M2_M1, VLOXSEG5EI32_V }, // 3541
  { PseudoVLOXSEG5EI32_V_M2_M1_MASK, VLOXSEG5EI32_V }, // 3542
  { PseudoVLOXSEG5EI32_V_M2_MF2, VLOXSEG5EI32_V }, // 3543
  { PseudoVLOXSEG5EI32_V_M2_MF2_MASK, VLOXSEG5EI32_V }, // 3544
  { PseudoVLOXSEG5EI32_V_M4_M1, VLOXSEG5EI32_V }, // 3545
  { PseudoVLOXSEG5EI32_V_M4_M1_MASK, VLOXSEG5EI32_V }, // 3546
  { PseudoVLOXSEG5EI32_V_MF2_M1, VLOXSEG5EI32_V }, // 3547
  { PseudoVLOXSEG5EI32_V_MF2_M1_MASK, VLOXSEG5EI32_V }, // 3548
  { PseudoVLOXSEG5EI32_V_MF2_MF2, VLOXSEG5EI32_V }, // 3549
  { PseudoVLOXSEG5EI32_V_MF2_MF2_MASK, VLOXSEG5EI32_V }, // 3550
  { PseudoVLOXSEG5EI32_V_MF2_MF4, VLOXSEG5EI32_V }, // 3551
  { PseudoVLOXSEG5EI32_V_MF2_MF4_MASK, VLOXSEG5EI32_V }, // 3552
  { PseudoVLOXSEG5EI32_V_MF2_MF8, VLOXSEG5EI32_V }, // 3553
  { PseudoVLOXSEG5EI32_V_MF2_MF8_MASK, VLOXSEG5EI32_V }, // 3554
  { PseudoVLOXSEG5EI64_V_M1_M1, VLOXSEG5EI64_V }, // 3555
  { PseudoVLOXSEG5EI64_V_M1_M1_MASK, VLOXSEG5EI64_V }, // 3556
  { PseudoVLOXSEG5EI64_V_M1_MF2, VLOXSEG5EI64_V }, // 3557
  { PseudoVLOXSEG5EI64_V_M1_MF2_MASK, VLOXSEG5EI64_V }, // 3558
  { PseudoVLOXSEG5EI64_V_M1_MF4, VLOXSEG5EI64_V }, // 3559
  { PseudoVLOXSEG5EI64_V_M1_MF4_MASK, VLOXSEG5EI64_V }, // 3560
  { PseudoVLOXSEG5EI64_V_M1_MF8, VLOXSEG5EI64_V }, // 3561
  { PseudoVLOXSEG5EI64_V_M1_MF8_MASK, VLOXSEG5EI64_V }, // 3562
  { PseudoVLOXSEG5EI64_V_M2_M1, VLOXSEG5EI64_V }, // 3563
  { PseudoVLOXSEG5EI64_V_M2_M1_MASK, VLOXSEG5EI64_V }, // 3564
  { PseudoVLOXSEG5EI64_V_M2_MF2, VLOXSEG5EI64_V }, // 3565
  { PseudoVLOXSEG5EI64_V_M2_MF2_MASK, VLOXSEG5EI64_V }, // 3566
  { PseudoVLOXSEG5EI64_V_M2_MF4, VLOXSEG5EI64_V }, // 3567
  { PseudoVLOXSEG5EI64_V_M2_MF4_MASK, VLOXSEG5EI64_V }, // 3568
  { PseudoVLOXSEG5EI64_V_M4_M1, VLOXSEG5EI64_V }, // 3569
  { PseudoVLOXSEG5EI64_V_M4_M1_MASK, VLOXSEG5EI64_V }, // 3570
  { PseudoVLOXSEG5EI64_V_M4_MF2, VLOXSEG5EI64_V }, // 3571
  { PseudoVLOXSEG5EI64_V_M4_MF2_MASK, VLOXSEG5EI64_V }, // 3572
  { PseudoVLOXSEG5EI64_V_M8_M1, VLOXSEG5EI64_V }, // 3573
  { PseudoVLOXSEG5EI64_V_M8_M1_MASK, VLOXSEG5EI64_V }, // 3574
  { PseudoVLOXSEG5EI8_V_M1_M1, VLOXSEG5EI8_V }, // 3575
  { PseudoVLOXSEG5EI8_V_M1_M1_MASK, VLOXSEG5EI8_V }, // 3576
  { PseudoVLOXSEG5EI8_V_MF2_M1, VLOXSEG5EI8_V }, // 3577
  { PseudoVLOXSEG5EI8_V_MF2_M1_MASK, VLOXSEG5EI8_V }, // 3578
  { PseudoVLOXSEG5EI8_V_MF2_MF2, VLOXSEG5EI8_V }, // 3579
  { PseudoVLOXSEG5EI8_V_MF2_MF2_MASK, VLOXSEG5EI8_V }, // 3580
  { PseudoVLOXSEG5EI8_V_MF4_M1, VLOXSEG5EI8_V }, // 3581
  { PseudoVLOXSEG5EI8_V_MF4_M1_MASK, VLOXSEG5EI8_V }, // 3582
  { PseudoVLOXSEG5EI8_V_MF4_MF2, VLOXSEG5EI8_V }, // 3583
  { PseudoVLOXSEG5EI8_V_MF4_MF2_MASK, VLOXSEG5EI8_V }, // 3584
  { PseudoVLOXSEG5EI8_V_MF4_MF4, VLOXSEG5EI8_V }, // 3585
  { PseudoVLOXSEG5EI8_V_MF4_MF4_MASK, VLOXSEG5EI8_V }, // 3586
  { PseudoVLOXSEG5EI8_V_MF8_M1, VLOXSEG5EI8_V }, // 3587
  { PseudoVLOXSEG5EI8_V_MF8_M1_MASK, VLOXSEG5EI8_V }, // 3588
  { PseudoVLOXSEG5EI8_V_MF8_MF2, VLOXSEG5EI8_V }, // 3589
  { PseudoVLOXSEG5EI8_V_MF8_MF2_MASK, VLOXSEG5EI8_V }, // 3590
  { PseudoVLOXSEG5EI8_V_MF8_MF4, VLOXSEG5EI8_V }, // 3591
  { PseudoVLOXSEG5EI8_V_MF8_MF4_MASK, VLOXSEG5EI8_V }, // 3592
  { PseudoVLOXSEG5EI8_V_MF8_MF8, VLOXSEG5EI8_V }, // 3593
  { PseudoVLOXSEG5EI8_V_MF8_MF8_MASK, VLOXSEG5EI8_V }, // 3594
  { PseudoVLOXSEG6EI16_V_M1_M1, VLOXSEG6EI16_V }, // 3595
  { PseudoVLOXSEG6EI16_V_M1_M1_MASK, VLOXSEG6EI16_V }, // 3596
  { PseudoVLOXSEG6EI16_V_M1_MF2, VLOXSEG6EI16_V }, // 3597
  { PseudoVLOXSEG6EI16_V_M1_MF2_MASK, VLOXSEG6EI16_V }, // 3598
  { PseudoVLOXSEG6EI16_V_M2_M1, VLOXSEG6EI16_V }, // 3599
  { PseudoVLOXSEG6EI16_V_M2_M1_MASK, VLOXSEG6EI16_V }, // 3600
  { PseudoVLOXSEG6EI16_V_MF2_M1, VLOXSEG6EI16_V }, // 3601
  { PseudoVLOXSEG6EI16_V_MF2_M1_MASK, VLOXSEG6EI16_V }, // 3602
  { PseudoVLOXSEG6EI16_V_MF2_MF2, VLOXSEG6EI16_V }, // 3603
  { PseudoVLOXSEG6EI16_V_MF2_MF2_MASK, VLOXSEG6EI16_V }, // 3604
  { PseudoVLOXSEG6EI16_V_MF2_MF4, VLOXSEG6EI16_V }, // 3605
  { PseudoVLOXSEG6EI16_V_MF2_MF4_MASK, VLOXSEG6EI16_V }, // 3606
  { PseudoVLOXSEG6EI16_V_MF4_M1, VLOXSEG6EI16_V }, // 3607
  { PseudoVLOXSEG6EI16_V_MF4_M1_MASK, VLOXSEG6EI16_V }, // 3608
  { PseudoVLOXSEG6EI16_V_MF4_MF2, VLOXSEG6EI16_V }, // 3609
  { PseudoVLOXSEG6EI16_V_MF4_MF2_MASK, VLOXSEG6EI16_V }, // 3610
  { PseudoVLOXSEG6EI16_V_MF4_MF4, VLOXSEG6EI16_V }, // 3611
  { PseudoVLOXSEG6EI16_V_MF4_MF4_MASK, VLOXSEG6EI16_V }, // 3612
  { PseudoVLOXSEG6EI16_V_MF4_MF8, VLOXSEG6EI16_V }, // 3613
  { PseudoVLOXSEG6EI16_V_MF4_MF8_MASK, VLOXSEG6EI16_V }, // 3614
  { PseudoVLOXSEG6EI32_V_M1_M1, VLOXSEG6EI32_V }, // 3615
  { PseudoVLOXSEG6EI32_V_M1_M1_MASK, VLOXSEG6EI32_V }, // 3616
  { PseudoVLOXSEG6EI32_V_M1_MF2, VLOXSEG6EI32_V }, // 3617
  { PseudoVLOXSEG6EI32_V_M1_MF2_MASK, VLOXSEG6EI32_V }, // 3618
  { PseudoVLOXSEG6EI32_V_M1_MF4, VLOXSEG6EI32_V }, // 3619
  { PseudoVLOXSEG6EI32_V_M1_MF4_MASK, VLOXSEG6EI32_V }, // 3620
  { PseudoVLOXSEG6EI32_V_M2_M1, VLOXSEG6EI32_V }, // 3621
  { PseudoVLOXSEG6EI32_V_M2_M1_MASK, VLOXSEG6EI32_V }, // 3622
  { PseudoVLOXSEG6EI32_V_M2_MF2, VLOXSEG6EI32_V }, // 3623
  { PseudoVLOXSEG6EI32_V_M2_MF2_MASK, VLOXSEG6EI32_V }, // 3624
  { PseudoVLOXSEG6EI32_V_M4_M1, VLOXSEG6EI32_V }, // 3625
  { PseudoVLOXSEG6EI32_V_M4_M1_MASK, VLOXSEG6EI32_V }, // 3626
  { PseudoVLOXSEG6EI32_V_MF2_M1, VLOXSEG6EI32_V }, // 3627
  { PseudoVLOXSEG6EI32_V_MF2_M1_MASK, VLOXSEG6EI32_V }, // 3628
  { PseudoVLOXSEG6EI32_V_MF2_MF2, VLOXSEG6EI32_V }, // 3629
  { PseudoVLOXSEG6EI32_V_MF2_MF2_MASK, VLOXSEG6EI32_V }, // 3630
  { PseudoVLOXSEG6EI32_V_MF2_MF4, VLOXSEG6EI32_V }, // 3631
  { PseudoVLOXSEG6EI32_V_MF2_MF4_MASK, VLOXSEG6EI32_V }, // 3632
  { PseudoVLOXSEG6EI32_V_MF2_MF8, VLOXSEG6EI32_V }, // 3633
  { PseudoVLOXSEG6EI32_V_MF2_MF8_MASK, VLOXSEG6EI32_V }, // 3634
  { PseudoVLOXSEG6EI64_V_M1_M1, VLOXSEG6EI64_V }, // 3635
  { PseudoVLOXSEG6EI64_V_M1_M1_MASK, VLOXSEG6EI64_V }, // 3636
  { PseudoVLOXSEG6EI64_V_M1_MF2, VLOXSEG6EI64_V }, // 3637
  { PseudoVLOXSEG6EI64_V_M1_MF2_MASK, VLOXSEG6EI64_V }, // 3638
  { PseudoVLOXSEG6EI64_V_M1_MF4, VLOXSEG6EI64_V }, // 3639
  { PseudoVLOXSEG6EI64_V_M1_MF4_MASK, VLOXSEG6EI64_V }, // 3640
  { PseudoVLOXSEG6EI64_V_M1_MF8, VLOXSEG6EI64_V }, // 3641
  { PseudoVLOXSEG6EI64_V_M1_MF8_MASK, VLOXSEG6EI64_V }, // 3642
  { PseudoVLOXSEG6EI64_V_M2_M1, VLOXSEG6EI64_V }, // 3643
  { PseudoVLOXSEG6EI64_V_M2_M1_MASK, VLOXSEG6EI64_V }, // 3644
  { PseudoVLOXSEG6EI64_V_M2_MF2, VLOXSEG6EI64_V }, // 3645
  { PseudoVLOXSEG6EI64_V_M2_MF2_MASK, VLOXSEG6EI64_V }, // 3646
  { PseudoVLOXSEG6EI64_V_M2_MF4, VLOXSEG6EI64_V }, // 3647
  { PseudoVLOXSEG6EI64_V_M2_MF4_MASK, VLOXSEG6EI64_V }, // 3648
  { PseudoVLOXSEG6EI64_V_M4_M1, VLOXSEG6EI64_V }, // 3649
  { PseudoVLOXSEG6EI64_V_M4_M1_MASK, VLOXSEG6EI64_V }, // 3650
  { PseudoVLOXSEG6EI64_V_M4_MF2, VLOXSEG6EI64_V }, // 3651
  { PseudoVLOXSEG6EI64_V_M4_MF2_MASK, VLOXSEG6EI64_V }, // 3652
  { PseudoVLOXSEG6EI64_V_M8_M1, VLOXSEG6EI64_V }, // 3653
  { PseudoVLOXSEG6EI64_V_M8_M1_MASK, VLOXSEG6EI64_V }, // 3654
  { PseudoVLOXSEG6EI8_V_M1_M1, VLOXSEG6EI8_V }, // 3655
  { PseudoVLOXSEG6EI8_V_M1_M1_MASK, VLOXSEG6EI8_V }, // 3656
  { PseudoVLOXSEG6EI8_V_MF2_M1, VLOXSEG6EI8_V }, // 3657
  { PseudoVLOXSEG6EI8_V_MF2_M1_MASK, VLOXSEG6EI8_V }, // 3658
  { PseudoVLOXSEG6EI8_V_MF2_MF2, VLOXSEG6EI8_V }, // 3659
  { PseudoVLOXSEG6EI8_V_MF2_MF2_MASK, VLOXSEG6EI8_V }, // 3660
  { PseudoVLOXSEG6EI8_V_MF4_M1, VLOXSEG6EI8_V }, // 3661
  { PseudoVLOXSEG6EI8_V_MF4_M1_MASK, VLOXSEG6EI8_V }, // 3662
  { PseudoVLOXSEG6EI8_V_MF4_MF2, VLOXSEG6EI8_V }, // 3663
  { PseudoVLOXSEG6EI8_V_MF4_MF2_MASK, VLOXSEG6EI8_V }, // 3664
  { PseudoVLOXSEG6EI8_V_MF4_MF4, VLOXSEG6EI8_V }, // 3665
  { PseudoVLOXSEG6EI8_V_MF4_MF4_MASK, VLOXSEG6EI8_V }, // 3666
  { PseudoVLOXSEG6EI8_V_MF8_M1, VLOXSEG6EI8_V }, // 3667
  { PseudoVLOXSEG6EI8_V_MF8_M1_MASK, VLOXSEG6EI8_V }, // 3668
  { PseudoVLOXSEG6EI8_V_MF8_MF2, VLOXSEG6EI8_V }, // 3669
  { PseudoVLOXSEG6EI8_V_MF8_MF2_MASK, VLOXSEG6EI8_V }, // 3670
  { PseudoVLOXSEG6EI8_V_MF8_MF4, VLOXSEG6EI8_V }, // 3671
  { PseudoVLOXSEG6EI8_V_MF8_MF4_MASK, VLOXSEG6EI8_V }, // 3672
  { PseudoVLOXSEG6EI8_V_MF8_MF8, VLOXSEG6EI8_V }, // 3673
  { PseudoVLOXSEG6EI8_V_MF8_MF8_MASK, VLOXSEG6EI8_V }, // 3674
  { PseudoVLOXSEG7EI16_V_M1_M1, VLOXSEG7EI16_V }, // 3675
  { PseudoVLOXSEG7EI16_V_M1_M1_MASK, VLOXSEG7EI16_V }, // 3676
  { PseudoVLOXSEG7EI16_V_M1_MF2, VLOXSEG7EI16_V }, // 3677
  { PseudoVLOXSEG7EI16_V_M1_MF2_MASK, VLOXSEG7EI16_V }, // 3678
  { PseudoVLOXSEG7EI16_V_M2_M1, VLOXSEG7EI16_V }, // 3679
  { PseudoVLOXSEG7EI16_V_M2_M1_MASK, VLOXSEG7EI16_V }, // 3680
  { PseudoVLOXSEG7EI16_V_MF2_M1, VLOXSEG7EI16_V }, // 3681
  { PseudoVLOXSEG7EI16_V_MF2_M1_MASK, VLOXSEG7EI16_V }, // 3682
  { PseudoVLOXSEG7EI16_V_MF2_MF2, VLOXSEG7EI16_V }, // 3683
  { PseudoVLOXSEG7EI16_V_MF2_MF2_MASK, VLOXSEG7EI16_V }, // 3684
  { PseudoVLOXSEG7EI16_V_MF2_MF4, VLOXSEG7EI16_V }, // 3685
  { PseudoVLOXSEG7EI16_V_MF2_MF4_MASK, VLOXSEG7EI16_V }, // 3686
  { PseudoVLOXSEG7EI16_V_MF4_M1, VLOXSEG7EI16_V }, // 3687
  { PseudoVLOXSEG7EI16_V_MF4_M1_MASK, VLOXSEG7EI16_V }, // 3688
  { PseudoVLOXSEG7EI16_V_MF4_MF2, VLOXSEG7EI16_V }, // 3689
  { PseudoVLOXSEG7EI16_V_MF4_MF2_MASK, VLOXSEG7EI16_V }, // 3690
  { PseudoVLOXSEG7EI16_V_MF4_MF4, VLOXSEG7EI16_V }, // 3691
  { PseudoVLOXSEG7EI16_V_MF4_MF4_MASK, VLOXSEG7EI16_V }, // 3692
  { PseudoVLOXSEG7EI16_V_MF4_MF8, VLOXSEG7EI16_V }, // 3693
  { PseudoVLOXSEG7EI16_V_MF4_MF8_MASK, VLOXSEG7EI16_V }, // 3694
  { PseudoVLOXSEG7EI32_V_M1_M1, VLOXSEG7EI32_V }, // 3695
  { PseudoVLOXSEG7EI32_V_M1_M1_MASK, VLOXSEG7EI32_V }, // 3696
  { PseudoVLOXSEG7EI32_V_M1_MF2, VLOXSEG7EI32_V }, // 3697
  { PseudoVLOXSEG7EI32_V_M1_MF2_MASK, VLOXSEG7EI32_V }, // 3698
  { PseudoVLOXSEG7EI32_V_M1_MF4, VLOXSEG7EI32_V }, // 3699
  { PseudoVLOXSEG7EI32_V_M1_MF4_MASK, VLOXSEG7EI32_V }, // 3700
  { PseudoVLOXSEG7EI32_V_M2_M1, VLOXSEG7EI32_V }, // 3701
  { PseudoVLOXSEG7EI32_V_M2_M1_MASK, VLOXSEG7EI32_V }, // 3702
  { PseudoVLOXSEG7EI32_V_M2_MF2, VLOXSEG7EI32_V }, // 3703
  { PseudoVLOXSEG7EI32_V_M2_MF2_MASK, VLOXSEG7EI32_V }, // 3704
  { PseudoVLOXSEG7EI32_V_M4_M1, VLOXSEG7EI32_V }, // 3705
  { PseudoVLOXSEG7EI32_V_M4_M1_MASK, VLOXSEG7EI32_V }, // 3706
  { PseudoVLOXSEG7EI32_V_MF2_M1, VLOXSEG7EI32_V }, // 3707
  { PseudoVLOXSEG7EI32_V_MF2_M1_MASK, VLOXSEG7EI32_V }, // 3708
  { PseudoVLOXSEG7EI32_V_MF2_MF2, VLOXSEG7EI32_V }, // 3709
  { PseudoVLOXSEG7EI32_V_MF2_MF2_MASK, VLOXSEG7EI32_V }, // 3710
  { PseudoVLOXSEG7EI32_V_MF2_MF4, VLOXSEG7EI32_V }, // 3711
  { PseudoVLOXSEG7EI32_V_MF2_MF4_MASK, VLOXSEG7EI32_V }, // 3712
  { PseudoVLOXSEG7EI32_V_MF2_MF8, VLOXSEG7EI32_V }, // 3713
  { PseudoVLOXSEG7EI32_V_MF2_MF8_MASK, VLOXSEG7EI32_V }, // 3714
  { PseudoVLOXSEG7EI64_V_M1_M1, VLOXSEG7EI64_V }, // 3715
  { PseudoVLOXSEG7EI64_V_M1_M1_MASK, VLOXSEG7EI64_V }, // 3716
  { PseudoVLOXSEG7EI64_V_M1_MF2, VLOXSEG7EI64_V }, // 3717
  { PseudoVLOXSEG7EI64_V_M1_MF2_MASK, VLOXSEG7EI64_V }, // 3718
  { PseudoVLOXSEG7EI64_V_M1_MF4, VLOXSEG7EI64_V }, // 3719
  { PseudoVLOXSEG7EI64_V_M1_MF4_MASK, VLOXSEG7EI64_V }, // 3720
  { PseudoVLOXSEG7EI64_V_M1_MF8, VLOXSEG7EI64_V }, // 3721
  { PseudoVLOXSEG7EI64_V_M1_MF8_MASK, VLOXSEG7EI64_V }, // 3722
  { PseudoVLOXSEG7EI64_V_M2_M1, VLOXSEG7EI64_V }, // 3723
  { PseudoVLOXSEG7EI64_V_M2_M1_MASK, VLOXSEG7EI64_V }, // 3724
  { PseudoVLOXSEG7EI64_V_M2_MF2, VLOXSEG7EI64_V }, // 3725
  { PseudoVLOXSEG7EI64_V_M2_MF2_MASK, VLOXSEG7EI64_V }, // 3726
  { PseudoVLOXSEG7EI64_V_M2_MF4, VLOXSEG7EI64_V }, // 3727
  { PseudoVLOXSEG7EI64_V_M2_MF4_MASK, VLOXSEG7EI64_V }, // 3728
  { PseudoVLOXSEG7EI64_V_M4_M1, VLOXSEG7EI64_V }, // 3729
  { PseudoVLOXSEG7EI64_V_M4_M1_MASK, VLOXSEG7EI64_V }, // 3730
  { PseudoVLOXSEG7EI64_V_M4_MF2, VLOXSEG7EI64_V }, // 3731
  { PseudoVLOXSEG7EI64_V_M4_MF2_MASK, VLOXSEG7EI64_V }, // 3732
  { PseudoVLOXSEG7EI64_V_M8_M1, VLOXSEG7EI64_V }, // 3733
  { PseudoVLOXSEG7EI64_V_M8_M1_MASK, VLOXSEG7EI64_V }, // 3734
  { PseudoVLOXSEG7EI8_V_M1_M1, VLOXSEG7EI8_V }, // 3735
  { PseudoVLOXSEG7EI8_V_M1_M1_MASK, VLOXSEG7EI8_V }, // 3736
  { PseudoVLOXSEG7EI8_V_MF2_M1, VLOXSEG7EI8_V }, // 3737
  { PseudoVLOXSEG7EI8_V_MF2_M1_MASK, VLOXSEG7EI8_V }, // 3738
  { PseudoVLOXSEG7EI8_V_MF2_MF2, VLOXSEG7EI8_V }, // 3739
  { PseudoVLOXSEG7EI8_V_MF2_MF2_MASK, VLOXSEG7EI8_V }, // 3740
  { PseudoVLOXSEG7EI8_V_MF4_M1, VLOXSEG7EI8_V }, // 3741
  { PseudoVLOXSEG7EI8_V_MF4_M1_MASK, VLOXSEG7EI8_V }, // 3742
  { PseudoVLOXSEG7EI8_V_MF4_MF2, VLOXSEG7EI8_V }, // 3743
  { PseudoVLOXSEG7EI8_V_MF4_MF2_MASK, VLOXSEG7EI8_V }, // 3744
  { PseudoVLOXSEG7EI8_V_MF4_MF4, VLOXSEG7EI8_V }, // 3745
  { PseudoVLOXSEG7EI8_V_MF4_MF4_MASK, VLOXSEG7EI8_V }, // 3746
  { PseudoVLOXSEG7EI8_V_MF8_M1, VLOXSEG7EI8_V }, // 3747
  { PseudoVLOXSEG7EI8_V_MF8_M1_MASK, VLOXSEG7EI8_V }, // 3748
  { PseudoVLOXSEG7EI8_V_MF8_MF2, VLOXSEG7EI8_V }, // 3749
  { PseudoVLOXSEG7EI8_V_MF8_MF2_MASK, VLOXSEG7EI8_V }, // 3750
  { PseudoVLOXSEG7EI8_V_MF8_MF4, VLOXSEG7EI8_V }, // 3751
  { PseudoVLOXSEG7EI8_V_MF8_MF4_MASK, VLOXSEG7EI8_V }, // 3752
  { PseudoVLOXSEG7EI8_V_MF8_MF8, VLOXSEG7EI8_V }, // 3753
  { PseudoVLOXSEG7EI8_V_MF8_MF8_MASK, VLOXSEG7EI8_V }, // 3754
  { PseudoVLOXSEG8EI16_V_M1_M1, VLOXSEG8EI16_V }, // 3755
  { PseudoVLOXSEG8EI16_V_M1_M1_MASK, VLOXSEG8EI16_V }, // 3756
  { PseudoVLOXSEG8EI16_V_M1_MF2, VLOXSEG8EI16_V }, // 3757
  { PseudoVLOXSEG8EI16_V_M1_MF2_MASK, VLOXSEG8EI16_V }, // 3758
  { PseudoVLOXSEG8EI16_V_M2_M1, VLOXSEG8EI16_V }, // 3759
  { PseudoVLOXSEG8EI16_V_M2_M1_MASK, VLOXSEG8EI16_V }, // 3760
  { PseudoVLOXSEG8EI16_V_MF2_M1, VLOXSEG8EI16_V }, // 3761
  { PseudoVLOXSEG8EI16_V_MF2_M1_MASK, VLOXSEG8EI16_V }, // 3762
  { PseudoVLOXSEG8EI16_V_MF2_MF2, VLOXSEG8EI16_V }, // 3763
  { PseudoVLOXSEG8EI16_V_MF2_MF2_MASK, VLOXSEG8EI16_V }, // 3764
  { PseudoVLOXSEG8EI16_V_MF2_MF4, VLOXSEG8EI16_V }, // 3765
  { PseudoVLOXSEG8EI16_V_MF2_MF4_MASK, VLOXSEG8EI16_V }, // 3766
  { PseudoVLOXSEG8EI16_V_MF4_M1, VLOXSEG8EI16_V }, // 3767
  { PseudoVLOXSEG8EI16_V_MF4_M1_MASK, VLOXSEG8EI16_V }, // 3768
  { PseudoVLOXSEG8EI16_V_MF4_MF2, VLOXSEG8EI16_V }, // 3769
  { PseudoVLOXSEG8EI16_V_MF4_MF2_MASK, VLOXSEG8EI16_V }, // 3770
  { PseudoVLOXSEG8EI16_V_MF4_MF4, VLOXSEG8EI16_V }, // 3771
  { PseudoVLOXSEG8EI16_V_MF4_MF4_MASK, VLOXSEG8EI16_V }, // 3772
  { PseudoVLOXSEG8EI16_V_MF4_MF8, VLOXSEG8EI16_V }, // 3773
  { PseudoVLOXSEG8EI16_V_MF4_MF8_MASK, VLOXSEG8EI16_V }, // 3774
  { PseudoVLOXSEG8EI32_V_M1_M1, VLOXSEG8EI32_V }, // 3775
  { PseudoVLOXSEG8EI32_V_M1_M1_MASK, VLOXSEG8EI32_V }, // 3776
  { PseudoVLOXSEG8EI32_V_M1_MF2, VLOXSEG8EI32_V }, // 3777
  { PseudoVLOXSEG8EI32_V_M1_MF2_MASK, VLOXSEG8EI32_V }, // 3778
  { PseudoVLOXSEG8EI32_V_M1_MF4, VLOXSEG8EI32_V }, // 3779
  { PseudoVLOXSEG8EI32_V_M1_MF4_MASK, VLOXSEG8EI32_V }, // 3780
  { PseudoVLOXSEG8EI32_V_M2_M1, VLOXSEG8EI32_V }, // 3781
  { PseudoVLOXSEG8EI32_V_M2_M1_MASK, VLOXSEG8EI32_V }, // 3782
  { PseudoVLOXSEG8EI32_V_M2_MF2, VLOXSEG8EI32_V }, // 3783
  { PseudoVLOXSEG8EI32_V_M2_MF2_MASK, VLOXSEG8EI32_V }, // 3784
  { PseudoVLOXSEG8EI32_V_M4_M1, VLOXSEG8EI32_V }, // 3785
  { PseudoVLOXSEG8EI32_V_M4_M1_MASK, VLOXSEG8EI32_V }, // 3786
  { PseudoVLOXSEG8EI32_V_MF2_M1, VLOXSEG8EI32_V }, // 3787
  { PseudoVLOXSEG8EI32_V_MF2_M1_MASK, VLOXSEG8EI32_V }, // 3788
  { PseudoVLOXSEG8EI32_V_MF2_MF2, VLOXSEG8EI32_V }, // 3789
  { PseudoVLOXSEG8EI32_V_MF2_MF2_MASK, VLOXSEG8EI32_V }, // 3790
  { PseudoVLOXSEG8EI32_V_MF2_MF4, VLOXSEG8EI32_V }, // 3791
  { PseudoVLOXSEG8EI32_V_MF2_MF4_MASK, VLOXSEG8EI32_V }, // 3792
  { PseudoVLOXSEG8EI32_V_MF2_MF8, VLOXSEG8EI32_V }, // 3793
  { PseudoVLOXSEG8EI32_V_MF2_MF8_MASK, VLOXSEG8EI32_V }, // 3794
  { PseudoVLOXSEG8EI64_V_M1_M1, VLOXSEG8EI64_V }, // 3795
  { PseudoVLOXSEG8EI64_V_M1_M1_MASK, VLOXSEG8EI64_V }, // 3796
  { PseudoVLOXSEG8EI64_V_M1_MF2, VLOXSEG8EI64_V }, // 3797
  { PseudoVLOXSEG8EI64_V_M1_MF2_MASK, VLOXSEG8EI64_V }, // 3798
  { PseudoVLOXSEG8EI64_V_M1_MF4, VLOXSEG8EI64_V }, // 3799
  { PseudoVLOXSEG8EI64_V_M1_MF4_MASK, VLOXSEG8EI64_V }, // 3800
  { PseudoVLOXSEG8EI64_V_M1_MF8, VLOXSEG8EI64_V }, // 3801
  { PseudoVLOXSEG8EI64_V_M1_MF8_MASK, VLOXSEG8EI64_V }, // 3802
  { PseudoVLOXSEG8EI64_V_M2_M1, VLOXSEG8EI64_V }, // 3803
  { PseudoVLOXSEG8EI64_V_M2_M1_MASK, VLOXSEG8EI64_V }, // 3804
  { PseudoVLOXSEG8EI64_V_M2_MF2, VLOXSEG8EI64_V }, // 3805
  { PseudoVLOXSEG8EI64_V_M2_MF2_MASK, VLOXSEG8EI64_V }, // 3806
  { PseudoVLOXSEG8EI64_V_M2_MF4, VLOXSEG8EI64_V }, // 3807
  { PseudoVLOXSEG8EI64_V_M2_MF4_MASK, VLOXSEG8EI64_V }, // 3808
  { PseudoVLOXSEG8EI64_V_M4_M1, VLOXSEG8EI64_V }, // 3809
  { PseudoVLOXSEG8EI64_V_M4_M1_MASK, VLOXSEG8EI64_V }, // 3810
  { PseudoVLOXSEG8EI64_V_M4_MF2, VLOXSEG8EI64_V }, // 3811
  { PseudoVLOXSEG8EI64_V_M4_MF2_MASK, VLOXSEG8EI64_V }, // 3812
  { PseudoVLOXSEG8EI64_V_M8_M1, VLOXSEG8EI64_V }, // 3813
  { PseudoVLOXSEG8EI64_V_M8_M1_MASK, VLOXSEG8EI64_V }, // 3814
  { PseudoVLOXSEG8EI8_V_M1_M1, VLOXSEG8EI8_V }, // 3815
  { PseudoVLOXSEG8EI8_V_M1_M1_MASK, VLOXSEG8EI8_V }, // 3816
  { PseudoVLOXSEG8EI8_V_MF2_M1, VLOXSEG8EI8_V }, // 3817
  { PseudoVLOXSEG8EI8_V_MF2_M1_MASK, VLOXSEG8EI8_V }, // 3818
  { PseudoVLOXSEG8EI8_V_MF2_MF2, VLOXSEG8EI8_V }, // 3819
  { PseudoVLOXSEG8EI8_V_MF2_MF2_MASK, VLOXSEG8EI8_V }, // 3820
  { PseudoVLOXSEG8EI8_V_MF4_M1, VLOXSEG8EI8_V }, // 3821
  { PseudoVLOXSEG8EI8_V_MF4_M1_MASK, VLOXSEG8EI8_V }, // 3822
  { PseudoVLOXSEG8EI8_V_MF4_MF2, VLOXSEG8EI8_V }, // 3823
  { PseudoVLOXSEG8EI8_V_MF4_MF2_MASK, VLOXSEG8EI8_V }, // 3824
  { PseudoVLOXSEG8EI8_V_MF4_MF4, VLOXSEG8EI8_V }, // 3825
  { PseudoVLOXSEG8EI8_V_MF4_MF4_MASK, VLOXSEG8EI8_V }, // 3826
  { PseudoVLOXSEG8EI8_V_MF8_M1, VLOXSEG8EI8_V }, // 3827
  { PseudoVLOXSEG8EI8_V_MF8_M1_MASK, VLOXSEG8EI8_V }, // 3828
  { PseudoVLOXSEG8EI8_V_MF8_MF2, VLOXSEG8EI8_V }, // 3829
  { PseudoVLOXSEG8EI8_V_MF8_MF2_MASK, VLOXSEG8EI8_V }, // 3830
  { PseudoVLOXSEG8EI8_V_MF8_MF4, VLOXSEG8EI8_V }, // 3831
  { PseudoVLOXSEG8EI8_V_MF8_MF4_MASK, VLOXSEG8EI8_V }, // 3832
  { PseudoVLOXSEG8EI8_V_MF8_MF8, VLOXSEG8EI8_V }, // 3833
  { PseudoVLOXSEG8EI8_V_MF8_MF8_MASK, VLOXSEG8EI8_V }, // 3834
  { PseudoVLSE16_V_M1, VLSE16_V }, // 3835
  { PseudoVLSE16_V_M1_MASK, VLSE16_V }, // 3836
  { PseudoVLSE16_V_M2, VLSE16_V }, // 3837
  { PseudoVLSE16_V_M2_MASK, VLSE16_V }, // 3838
  { PseudoVLSE16_V_M4, VLSE16_V }, // 3839
  { PseudoVLSE16_V_M4_MASK, VLSE16_V }, // 3840
  { PseudoVLSE16_V_M8, VLSE16_V }, // 3841
  { PseudoVLSE16_V_M8_MASK, VLSE16_V }, // 3842
  { PseudoVLSE16_V_MF2, VLSE16_V }, // 3843
  { PseudoVLSE16_V_MF2_MASK, VLSE16_V }, // 3844
  { PseudoVLSE16_V_MF4, VLSE16_V }, // 3845
  { PseudoVLSE16_V_MF4_MASK, VLSE16_V }, // 3846
  { PseudoVLSE32_V_M1, VLSE32_V }, // 3847
  { PseudoVLSE32_V_M1_MASK, VLSE32_V }, // 3848
  { PseudoVLSE32_V_M2, VLSE32_V }, // 3849
  { PseudoVLSE32_V_M2_MASK, VLSE32_V }, // 3850
  { PseudoVLSE32_V_M4, VLSE32_V }, // 3851
  { PseudoVLSE32_V_M4_MASK, VLSE32_V }, // 3852
  { PseudoVLSE32_V_M8, VLSE32_V }, // 3853
  { PseudoVLSE32_V_M8_MASK, VLSE32_V }, // 3854
  { PseudoVLSE32_V_MF2, VLSE32_V }, // 3855
  { PseudoVLSE32_V_MF2_MASK, VLSE32_V }, // 3856
  { PseudoVLSE64_V_M1, VLSE64_V }, // 3857
  { PseudoVLSE64_V_M1_MASK, VLSE64_V }, // 3858
  { PseudoVLSE64_V_M2, VLSE64_V }, // 3859
  { PseudoVLSE64_V_M2_MASK, VLSE64_V }, // 3860
  { PseudoVLSE64_V_M4, VLSE64_V }, // 3861
  { PseudoVLSE64_V_M4_MASK, VLSE64_V }, // 3862
  { PseudoVLSE64_V_M8, VLSE64_V }, // 3863
  { PseudoVLSE64_V_M8_MASK, VLSE64_V }, // 3864
  { PseudoVLSE8_V_M1, VLSE8_V }, // 3865
  { PseudoVLSE8_V_M1_MASK, VLSE8_V }, // 3866
  { PseudoVLSE8_V_M2, VLSE8_V }, // 3867
  { PseudoVLSE8_V_M2_MASK, VLSE8_V }, // 3868
  { PseudoVLSE8_V_M4, VLSE8_V }, // 3869
  { PseudoVLSE8_V_M4_MASK, VLSE8_V }, // 3870
  { PseudoVLSE8_V_M8, VLSE8_V }, // 3871
  { PseudoVLSE8_V_M8_MASK, VLSE8_V }, // 3872
  { PseudoVLSE8_V_MF2, VLSE8_V }, // 3873
  { PseudoVLSE8_V_MF2_MASK, VLSE8_V }, // 3874
  { PseudoVLSE8_V_MF4, VLSE8_V }, // 3875
  { PseudoVLSE8_V_MF4_MASK, VLSE8_V }, // 3876
  { PseudoVLSE8_V_MF8, VLSE8_V }, // 3877
  { PseudoVLSE8_V_MF8_MASK, VLSE8_V }, // 3878
  { PseudoVLSEG2E16FF_V_M1, VLSEG2E16FF_V }, // 3879
  { PseudoVLSEG2E16FF_V_M1_MASK, VLSEG2E16FF_V }, // 3880
  { PseudoVLSEG2E16FF_V_M2, VLSEG2E16FF_V }, // 3881
  { PseudoVLSEG2E16FF_V_M2_MASK, VLSEG2E16FF_V }, // 3882
  { PseudoVLSEG2E16FF_V_M4, VLSEG2E16FF_V }, // 3883
  { PseudoVLSEG2E16FF_V_M4_MASK, VLSEG2E16FF_V }, // 3884
  { PseudoVLSEG2E16FF_V_MF2, VLSEG2E16FF_V }, // 3885
  { PseudoVLSEG2E16FF_V_MF2_MASK, VLSEG2E16FF_V }, // 3886
  { PseudoVLSEG2E16FF_V_MF4, VLSEG2E16FF_V }, // 3887
  { PseudoVLSEG2E16FF_V_MF4_MASK, VLSEG2E16FF_V }, // 3888
  { PseudoVLSEG2E16_V_M1, VLSEG2E16_V }, // 3889
  { PseudoVLSEG2E16_V_M1_MASK, VLSEG2E16_V }, // 3890
  { PseudoVLSEG2E16_V_M2, VLSEG2E16_V }, // 3891
  { PseudoVLSEG2E16_V_M2_MASK, VLSEG2E16_V }, // 3892
  { PseudoVLSEG2E16_V_M4, VLSEG2E16_V }, // 3893
  { PseudoVLSEG2E16_V_M4_MASK, VLSEG2E16_V }, // 3894
  { PseudoVLSEG2E16_V_MF2, VLSEG2E16_V }, // 3895
  { PseudoVLSEG2E16_V_MF2_MASK, VLSEG2E16_V }, // 3896
  { PseudoVLSEG2E16_V_MF4, VLSEG2E16_V }, // 3897
  { PseudoVLSEG2E16_V_MF4_MASK, VLSEG2E16_V }, // 3898
  { PseudoVLSEG2E32FF_V_M1, VLSEG2E32FF_V }, // 3899
  { PseudoVLSEG2E32FF_V_M1_MASK, VLSEG2E32FF_V }, // 3900
  { PseudoVLSEG2E32FF_V_M2, VLSEG2E32FF_V }, // 3901
  { PseudoVLSEG2E32FF_V_M2_MASK, VLSEG2E32FF_V }, // 3902
  { PseudoVLSEG2E32FF_V_M4, VLSEG2E32FF_V }, // 3903
  { PseudoVLSEG2E32FF_V_M4_MASK, VLSEG2E32FF_V }, // 3904
  { PseudoVLSEG2E32FF_V_MF2, VLSEG2E32FF_V }, // 3905
  { PseudoVLSEG2E32FF_V_MF2_MASK, VLSEG2E32FF_V }, // 3906
  { PseudoVLSEG2E32_V_M1, VLSEG2E32_V }, // 3907
  { PseudoVLSEG2E32_V_M1_MASK, VLSEG2E32_V }, // 3908
  { PseudoVLSEG2E32_V_M2, VLSEG2E32_V }, // 3909
  { PseudoVLSEG2E32_V_M2_MASK, VLSEG2E32_V }, // 3910
  { PseudoVLSEG2E32_V_M4, VLSEG2E32_V }, // 3911
  { PseudoVLSEG2E32_V_M4_MASK, VLSEG2E32_V }, // 3912
  { PseudoVLSEG2E32_V_MF2, VLSEG2E32_V }, // 3913
  { PseudoVLSEG2E32_V_MF2_MASK, VLSEG2E32_V }, // 3914
  { PseudoVLSEG2E64FF_V_M1, VLSEG2E64FF_V }, // 3915
  { PseudoVLSEG2E64FF_V_M1_MASK, VLSEG2E64FF_V }, // 3916
  { PseudoVLSEG2E64FF_V_M2, VLSEG2E64FF_V }, // 3917
  { PseudoVLSEG2E64FF_V_M2_MASK, VLSEG2E64FF_V }, // 3918
  { PseudoVLSEG2E64FF_V_M4, VLSEG2E64FF_V }, // 3919
  { PseudoVLSEG2E64FF_V_M4_MASK, VLSEG2E64FF_V }, // 3920
  { PseudoVLSEG2E64_V_M1, VLSEG2E64_V }, // 3921
  { PseudoVLSEG2E64_V_M1_MASK, VLSEG2E64_V }, // 3922
  { PseudoVLSEG2E64_V_M2, VLSEG2E64_V }, // 3923
  { PseudoVLSEG2E64_V_M2_MASK, VLSEG2E64_V }, // 3924
  { PseudoVLSEG2E64_V_M4, VLSEG2E64_V }, // 3925
  { PseudoVLSEG2E64_V_M4_MASK, VLSEG2E64_V }, // 3926
  { PseudoVLSEG2E8FF_V_M1, VLSEG2E8FF_V }, // 3927
  { PseudoVLSEG2E8FF_V_M1_MASK, VLSEG2E8FF_V }, // 3928
  { PseudoVLSEG2E8FF_V_M2, VLSEG2E8FF_V }, // 3929
  { PseudoVLSEG2E8FF_V_M2_MASK, VLSEG2E8FF_V }, // 3930
  { PseudoVLSEG2E8FF_V_M4, VLSEG2E8FF_V }, // 3931
  { PseudoVLSEG2E8FF_V_M4_MASK, VLSEG2E8FF_V }, // 3932
  { PseudoVLSEG2E8FF_V_MF2, VLSEG2E8FF_V }, // 3933
  { PseudoVLSEG2E8FF_V_MF2_MASK, VLSEG2E8FF_V }, // 3934
  { PseudoVLSEG2E8FF_V_MF4, VLSEG2E8FF_V }, // 3935
  { PseudoVLSEG2E8FF_V_MF4_MASK, VLSEG2E8FF_V }, // 3936
  { PseudoVLSEG2E8FF_V_MF8, VLSEG2E8FF_V }, // 3937
  { PseudoVLSEG2E8FF_V_MF8_MASK, VLSEG2E8FF_V }, // 3938
  { PseudoVLSEG2E8_V_M1, VLSEG2E8_V }, // 3939
  { PseudoVLSEG2E8_V_M1_MASK, VLSEG2E8_V }, // 3940
  { PseudoVLSEG2E8_V_M2, VLSEG2E8_V }, // 3941
  { PseudoVLSEG2E8_V_M2_MASK, VLSEG2E8_V }, // 3942
  { PseudoVLSEG2E8_V_M4, VLSEG2E8_V }, // 3943
  { PseudoVLSEG2E8_V_M4_MASK, VLSEG2E8_V }, // 3944
  { PseudoVLSEG2E8_V_MF2, VLSEG2E8_V }, // 3945
  { PseudoVLSEG2E8_V_MF2_MASK, VLSEG2E8_V }, // 3946
  { PseudoVLSEG2E8_V_MF4, VLSEG2E8_V }, // 3947
  { PseudoVLSEG2E8_V_MF4_MASK, VLSEG2E8_V }, // 3948
  { PseudoVLSEG2E8_V_MF8, VLSEG2E8_V }, // 3949
  { PseudoVLSEG2E8_V_MF8_MASK, VLSEG2E8_V }, // 3950
  { PseudoVLSEG3E16FF_V_M1, VLSEG3E16FF_V }, // 3951
  { PseudoVLSEG3E16FF_V_M1_MASK, VLSEG3E16FF_V }, // 3952
  { PseudoVLSEG3E16FF_V_M2, VLSEG3E16FF_V }, // 3953
  { PseudoVLSEG3E16FF_V_M2_MASK, VLSEG3E16FF_V }, // 3954
  { PseudoVLSEG3E16FF_V_MF2, VLSEG3E16FF_V }, // 3955
  { PseudoVLSEG3E16FF_V_MF2_MASK, VLSEG3E16FF_V }, // 3956
  { PseudoVLSEG3E16FF_V_MF4, VLSEG3E16FF_V }, // 3957
  { PseudoVLSEG3E16FF_V_MF4_MASK, VLSEG3E16FF_V }, // 3958
  { PseudoVLSEG3E16_V_M1, VLSEG3E16_V }, // 3959
  { PseudoVLSEG3E16_V_M1_MASK, VLSEG3E16_V }, // 3960
  { PseudoVLSEG3E16_V_M2, VLSEG3E16_V }, // 3961
  { PseudoVLSEG3E16_V_M2_MASK, VLSEG3E16_V }, // 3962
  { PseudoVLSEG3E16_V_MF2, VLSEG3E16_V }, // 3963
  { PseudoVLSEG3E16_V_MF2_MASK, VLSEG3E16_V }, // 3964
  { PseudoVLSEG3E16_V_MF4, VLSEG3E16_V }, // 3965
  { PseudoVLSEG3E16_V_MF4_MASK, VLSEG3E16_V }, // 3966
  { PseudoVLSEG3E32FF_V_M1, VLSEG3E32FF_V }, // 3967
  { PseudoVLSEG3E32FF_V_M1_MASK, VLSEG3E32FF_V }, // 3968
  { PseudoVLSEG3E32FF_V_M2, VLSEG3E32FF_V }, // 3969
  { PseudoVLSEG3E32FF_V_M2_MASK, VLSEG3E32FF_V }, // 3970
  { PseudoVLSEG3E32FF_V_MF2, VLSEG3E32FF_V }, // 3971
  { PseudoVLSEG3E32FF_V_MF2_MASK, VLSEG3E32FF_V }, // 3972
  { PseudoVLSEG3E32_V_M1, VLSEG3E32_V }, // 3973
  { PseudoVLSEG3E32_V_M1_MASK, VLSEG3E32_V }, // 3974
  { PseudoVLSEG3E32_V_M2, VLSEG3E32_V }, // 3975
  { PseudoVLSEG3E32_V_M2_MASK, VLSEG3E32_V }, // 3976
  { PseudoVLSEG3E32_V_MF2, VLSEG3E32_V }, // 3977
  { PseudoVLSEG3E32_V_MF2_MASK, VLSEG3E32_V }, // 3978
  { PseudoVLSEG3E64FF_V_M1, VLSEG3E64FF_V }, // 3979
  { PseudoVLSEG3E64FF_V_M1_MASK, VLSEG3E64FF_V }, // 3980
  { PseudoVLSEG3E64FF_V_M2, VLSEG3E64FF_V }, // 3981
  { PseudoVLSEG3E64FF_V_M2_MASK, VLSEG3E64FF_V }, // 3982
  { PseudoVLSEG3E64_V_M1, VLSEG3E64_V }, // 3983
  { PseudoVLSEG3E64_V_M1_MASK, VLSEG3E64_V }, // 3984
  { PseudoVLSEG3E64_V_M2, VLSEG3E64_V }, // 3985
  { PseudoVLSEG3E64_V_M2_MASK, VLSEG3E64_V }, // 3986
  { PseudoVLSEG3E8FF_V_M1, VLSEG3E8FF_V }, // 3987
  { PseudoVLSEG3E8FF_V_M1_MASK, VLSEG3E8FF_V }, // 3988
  { PseudoVLSEG3E8FF_V_M2, VLSEG3E8FF_V }, // 3989
  { PseudoVLSEG3E8FF_V_M2_MASK, VLSEG3E8FF_V }, // 3990
  { PseudoVLSEG3E8FF_V_MF2, VLSEG3E8FF_V }, // 3991
  { PseudoVLSEG3E8FF_V_MF2_MASK, VLSEG3E8FF_V }, // 3992
  { PseudoVLSEG3E8FF_V_MF4, VLSEG3E8FF_V }, // 3993
  { PseudoVLSEG3E8FF_V_MF4_MASK, VLSEG3E8FF_V }, // 3994
  { PseudoVLSEG3E8FF_V_MF8, VLSEG3E8FF_V }, // 3995
  { PseudoVLSEG3E8FF_V_MF8_MASK, VLSEG3E8FF_V }, // 3996
  { PseudoVLSEG3E8_V_M1, VLSEG3E8_V }, // 3997
  { PseudoVLSEG3E8_V_M1_MASK, VLSEG3E8_V }, // 3998
  { PseudoVLSEG3E8_V_M2, VLSEG3E8_V }, // 3999
  { PseudoVLSEG3E8_V_M2_MASK, VLSEG3E8_V }, // 4000
  { PseudoVLSEG3E8_V_MF2, VLSEG3E8_V }, // 4001
  { PseudoVLSEG3E8_V_MF2_MASK, VLSEG3E8_V }, // 4002
  { PseudoVLSEG3E8_V_MF4, VLSEG3E8_V }, // 4003
  { PseudoVLSEG3E8_V_MF4_MASK, VLSEG3E8_V }, // 4004
  { PseudoVLSEG3E8_V_MF8, VLSEG3E8_V }, // 4005
  { PseudoVLSEG3E8_V_MF8_MASK, VLSEG3E8_V }, // 4006
  { PseudoVLSEG4E16FF_V_M1, VLSEG4E16FF_V }, // 4007
  { PseudoVLSEG4E16FF_V_M1_MASK, VLSEG4E16FF_V }, // 4008
  { PseudoVLSEG4E16FF_V_M2, VLSEG4E16FF_V }, // 4009
  { PseudoVLSEG4E16FF_V_M2_MASK, VLSEG4E16FF_V }, // 4010
  { PseudoVLSEG4E16FF_V_MF2, VLSEG4E16FF_V }, // 4011
  { PseudoVLSEG4E16FF_V_MF2_MASK, VLSEG4E16FF_V }, // 4012
  { PseudoVLSEG4E16FF_V_MF4, VLSEG4E16FF_V }, // 4013
  { PseudoVLSEG4E16FF_V_MF4_MASK, VLSEG4E16FF_V }, // 4014
  { PseudoVLSEG4E16_V_M1, VLSEG4E16_V }, // 4015
  { PseudoVLSEG4E16_V_M1_MASK, VLSEG4E16_V }, // 4016
  { PseudoVLSEG4E16_V_M2, VLSEG4E16_V }, // 4017
  { PseudoVLSEG4E16_V_M2_MASK, VLSEG4E16_V }, // 4018
  { PseudoVLSEG4E16_V_MF2, VLSEG4E16_V }, // 4019
  { PseudoVLSEG4E16_V_MF2_MASK, VLSEG4E16_V }, // 4020
  { PseudoVLSEG4E16_V_MF4, VLSEG4E16_V }, // 4021
  { PseudoVLSEG4E16_V_MF4_MASK, VLSEG4E16_V }, // 4022
  { PseudoVLSEG4E32FF_V_M1, VLSEG4E32FF_V }, // 4023
  { PseudoVLSEG4E32FF_V_M1_MASK, VLSEG4E32FF_V }, // 4024
  { PseudoVLSEG4E32FF_V_M2, VLSEG4E32FF_V }, // 4025
  { PseudoVLSEG4E32FF_V_M2_MASK, VLSEG4E32FF_V }, // 4026
  { PseudoVLSEG4E32FF_V_MF2, VLSEG4E32FF_V }, // 4027
  { PseudoVLSEG4E32FF_V_MF2_MASK, VLSEG4E32FF_V }, // 4028
  { PseudoVLSEG4E32_V_M1, VLSEG4E32_V }, // 4029
  { PseudoVLSEG4E32_V_M1_MASK, VLSEG4E32_V }, // 4030
  { PseudoVLSEG4E32_V_M2, VLSEG4E32_V }, // 4031
  { PseudoVLSEG4E32_V_M2_MASK, VLSEG4E32_V }, // 4032
  { PseudoVLSEG4E32_V_MF2, VLSEG4E32_V }, // 4033
  { PseudoVLSEG4E32_V_MF2_MASK, VLSEG4E32_V }, // 4034
  { PseudoVLSEG4E64FF_V_M1, VLSEG4E64FF_V }, // 4035
  { PseudoVLSEG4E64FF_V_M1_MASK, VLSEG4E64FF_V }, // 4036
  { PseudoVLSEG4E64FF_V_M2, VLSEG4E64FF_V }, // 4037
  { PseudoVLSEG4E64FF_V_M2_MASK, VLSEG4E64FF_V }, // 4038
  { PseudoVLSEG4E64_V_M1, VLSEG4E64_V }, // 4039
  { PseudoVLSEG4E64_V_M1_MASK, VLSEG4E64_V }, // 4040
  { PseudoVLSEG4E64_V_M2, VLSEG4E64_V }, // 4041
  { PseudoVLSEG4E64_V_M2_MASK, VLSEG4E64_V }, // 4042
  { PseudoVLSEG4E8FF_V_M1, VLSEG4E8FF_V }, // 4043
  { PseudoVLSEG4E8FF_V_M1_MASK, VLSEG4E8FF_V }, // 4044
  { PseudoVLSEG4E8FF_V_M2, VLSEG4E8FF_V }, // 4045
  { PseudoVLSEG4E8FF_V_M2_MASK, VLSEG4E8FF_V }, // 4046
  { PseudoVLSEG4E8FF_V_MF2, VLSEG4E8FF_V }, // 4047
  { PseudoVLSEG4E8FF_V_MF2_MASK, VLSEG4E8FF_V }, // 4048
  { PseudoVLSEG4E8FF_V_MF4, VLSEG4E8FF_V }, // 4049
  { PseudoVLSEG4E8FF_V_MF4_MASK, VLSEG4E8FF_V }, // 4050
  { PseudoVLSEG4E8FF_V_MF8, VLSEG4E8FF_V }, // 4051
  { PseudoVLSEG4E8FF_V_MF8_MASK, VLSEG4E8FF_V }, // 4052
  { PseudoVLSEG4E8_V_M1, VLSEG4E8_V }, // 4053
  { PseudoVLSEG4E8_V_M1_MASK, VLSEG4E8_V }, // 4054
  { PseudoVLSEG4E8_V_M2, VLSEG4E8_V }, // 4055
  { PseudoVLSEG4E8_V_M2_MASK, VLSEG4E8_V }, // 4056
  { PseudoVLSEG4E8_V_MF2, VLSEG4E8_V }, // 4057
  { PseudoVLSEG4E8_V_MF2_MASK, VLSEG4E8_V }, // 4058
  { PseudoVLSEG4E8_V_MF4, VLSEG4E8_V }, // 4059
  { PseudoVLSEG4E8_V_MF4_MASK, VLSEG4E8_V }, // 4060
  { PseudoVLSEG4E8_V_MF8, VLSEG4E8_V }, // 4061
  { PseudoVLSEG4E8_V_MF8_MASK, VLSEG4E8_V }, // 4062
  { PseudoVLSEG5E16FF_V_M1, VLSEG5E16FF_V }, // 4063
  { PseudoVLSEG5E16FF_V_M1_MASK, VLSEG5E16FF_V }, // 4064
  { PseudoVLSEG5E16FF_V_MF2, VLSEG5E16FF_V }, // 4065
  { PseudoVLSEG5E16FF_V_MF2_MASK, VLSEG5E16FF_V }, // 4066
  { PseudoVLSEG5E16FF_V_MF4, VLSEG5E16FF_V }, // 4067
  { PseudoVLSEG5E16FF_V_MF4_MASK, VLSEG5E16FF_V }, // 4068
  { PseudoVLSEG5E16_V_M1, VLSEG5E16_V }, // 4069
  { PseudoVLSEG5E16_V_M1_MASK, VLSEG5E16_V }, // 4070
  { PseudoVLSEG5E16_V_MF2, VLSEG5E16_V }, // 4071
  { PseudoVLSEG5E16_V_MF2_MASK, VLSEG5E16_V }, // 4072
  { PseudoVLSEG5E16_V_MF4, VLSEG5E16_V }, // 4073
  { PseudoVLSEG5E16_V_MF4_MASK, VLSEG5E16_V }, // 4074
  { PseudoVLSEG5E32FF_V_M1, VLSEG5E32FF_V }, // 4075
  { PseudoVLSEG5E32FF_V_M1_MASK, VLSEG5E32FF_V }, // 4076
  { PseudoVLSEG5E32FF_V_MF2, VLSEG5E32FF_V }, // 4077
  { PseudoVLSEG5E32FF_V_MF2_MASK, VLSEG5E32FF_V }, // 4078
  { PseudoVLSEG5E32_V_M1, VLSEG5E32_V }, // 4079
  { PseudoVLSEG5E32_V_M1_MASK, VLSEG5E32_V }, // 4080
  { PseudoVLSEG5E32_V_MF2, VLSEG5E32_V }, // 4081
  { PseudoVLSEG5E32_V_MF2_MASK, VLSEG5E32_V }, // 4082
  { PseudoVLSEG5E64FF_V_M1, VLSEG5E64FF_V }, // 4083
  { PseudoVLSEG5E64FF_V_M1_MASK, VLSEG5E64FF_V }, // 4084
  { PseudoVLSEG5E64_V_M1, VLSEG5E64_V }, // 4085
  { PseudoVLSEG5E64_V_M1_MASK, VLSEG5E64_V }, // 4086
  { PseudoVLSEG5E8FF_V_M1, VLSEG5E8FF_V }, // 4087
  { PseudoVLSEG5E8FF_V_M1_MASK, VLSEG5E8FF_V }, // 4088
  { PseudoVLSEG5E8FF_V_MF2, VLSEG5E8FF_V }, // 4089
  { PseudoVLSEG5E8FF_V_MF2_MASK, VLSEG5E8FF_V }, // 4090
  { PseudoVLSEG5E8FF_V_MF4, VLSEG5E8FF_V }, // 4091
  { PseudoVLSEG5E8FF_V_MF4_MASK, VLSEG5E8FF_V }, // 4092
  { PseudoVLSEG5E8FF_V_MF8, VLSEG5E8FF_V }, // 4093
  { PseudoVLSEG5E8FF_V_MF8_MASK, VLSEG5E8FF_V }, // 4094
  { PseudoVLSEG5E8_V_M1, VLSEG5E8_V }, // 4095
  { PseudoVLSEG5E8_V_M1_MASK, VLSEG5E8_V }, // 4096
  { PseudoVLSEG5E8_V_MF2, VLSEG5E8_V }, // 4097
  { PseudoVLSEG5E8_V_MF2_MASK, VLSEG5E8_V }, // 4098
  { PseudoVLSEG5E8_V_MF4, VLSEG5E8_V }, // 4099
  { PseudoVLSEG5E8_V_MF4_MASK, VLSEG5E8_V }, // 4100
  { PseudoVLSEG5E8_V_MF8, VLSEG5E8_V }, // 4101
  { PseudoVLSEG5E8_V_MF8_MASK, VLSEG5E8_V }, // 4102
  { PseudoVLSEG6E16FF_V_M1, VLSEG6E16FF_V }, // 4103
  { PseudoVLSEG6E16FF_V_M1_MASK, VLSEG6E16FF_V }, // 4104
  { PseudoVLSEG6E16FF_V_MF2, VLSEG6E16FF_V }, // 4105
  { PseudoVLSEG6E16FF_V_MF2_MASK, VLSEG6E16FF_V }, // 4106
  { PseudoVLSEG6E16FF_V_MF4, VLSEG6E16FF_V }, // 4107
  { PseudoVLSEG6E16FF_V_MF4_MASK, VLSEG6E16FF_V }, // 4108
  { PseudoVLSEG6E16_V_M1, VLSEG6E16_V }, // 4109
  { PseudoVLSEG6E16_V_M1_MASK, VLSEG6E16_V }, // 4110
  { PseudoVLSEG6E16_V_MF2, VLSEG6E16_V }, // 4111
  { PseudoVLSEG6E16_V_MF2_MASK, VLSEG6E16_V }, // 4112
  { PseudoVLSEG6E16_V_MF4, VLSEG6E16_V }, // 4113
  { PseudoVLSEG6E16_V_MF4_MASK, VLSEG6E16_V }, // 4114
  { PseudoVLSEG6E32FF_V_M1, VLSEG6E32FF_V }, // 4115
  { PseudoVLSEG6E32FF_V_M1_MASK, VLSEG6E32FF_V }, // 4116
  { PseudoVLSEG6E32FF_V_MF2, VLSEG6E32FF_V }, // 4117
  { PseudoVLSEG6E32FF_V_MF2_MASK, VLSEG6E32FF_V }, // 4118
  { PseudoVLSEG6E32_V_M1, VLSEG6E32_V }, // 4119
  { PseudoVLSEG6E32_V_M1_MASK, VLSEG6E32_V }, // 4120
  { PseudoVLSEG6E32_V_MF2, VLSEG6E32_V }, // 4121
  { PseudoVLSEG6E32_V_MF2_MASK, VLSEG6E32_V }, // 4122
  { PseudoVLSEG6E64FF_V_M1, VLSEG6E64FF_V }, // 4123
  { PseudoVLSEG6E64FF_V_M1_MASK, VLSEG6E64FF_V }, // 4124
  { PseudoVLSEG6E64_V_M1, VLSEG6E64_V }, // 4125
  { PseudoVLSEG6E64_V_M1_MASK, VLSEG6E64_V }, // 4126
  { PseudoVLSEG6E8FF_V_M1, VLSEG6E8FF_V }, // 4127
  { PseudoVLSEG6E8FF_V_M1_MASK, VLSEG6E8FF_V }, // 4128
  { PseudoVLSEG6E8FF_V_MF2, VLSEG6E8FF_V }, // 4129
  { PseudoVLSEG6E8FF_V_MF2_MASK, VLSEG6E8FF_V }, // 4130
  { PseudoVLSEG6E8FF_V_MF4, VLSEG6E8FF_V }, // 4131
  { PseudoVLSEG6E8FF_V_MF4_MASK, VLSEG6E8FF_V }, // 4132
  { PseudoVLSEG6E8FF_V_MF8, VLSEG6E8FF_V }, // 4133
  { PseudoVLSEG6E8FF_V_MF8_MASK, VLSEG6E8FF_V }, // 4134
  { PseudoVLSEG6E8_V_M1, VLSEG6E8_V }, // 4135
  { PseudoVLSEG6E8_V_M1_MASK, VLSEG6E8_V }, // 4136
  { PseudoVLSEG6E8_V_MF2, VLSEG6E8_V }, // 4137
  { PseudoVLSEG6E8_V_MF2_MASK, VLSEG6E8_V }, // 4138
  { PseudoVLSEG6E8_V_MF4, VLSEG6E8_V }, // 4139
  { PseudoVLSEG6E8_V_MF4_MASK, VLSEG6E8_V }, // 4140
  { PseudoVLSEG6E8_V_MF8, VLSEG6E8_V }, // 4141
  { PseudoVLSEG6E8_V_MF8_MASK, VLSEG6E8_V }, // 4142
  { PseudoVLSEG7E16FF_V_M1, VLSEG7E16FF_V }, // 4143
  { PseudoVLSEG7E16FF_V_M1_MASK, VLSEG7E16FF_V }, // 4144
  { PseudoVLSEG7E16FF_V_MF2, VLSEG7E16FF_V }, // 4145
  { PseudoVLSEG7E16FF_V_MF2_MASK, VLSEG7E16FF_V }, // 4146
  { PseudoVLSEG7E16FF_V_MF4, VLSEG7E16FF_V }, // 4147
  { PseudoVLSEG7E16FF_V_MF4_MASK, VLSEG7E16FF_V }, // 4148
  { PseudoVLSEG7E16_V_M1, VLSEG7E16_V }, // 4149
  { PseudoVLSEG7E16_V_M1_MASK, VLSEG7E16_V }, // 4150
  { PseudoVLSEG7E16_V_MF2, VLSEG7E16_V }, // 4151
  { PseudoVLSEG7E16_V_MF2_MASK, VLSEG7E16_V }, // 4152
  { PseudoVLSEG7E16_V_MF4, VLSEG7E16_V }, // 4153
  { PseudoVLSEG7E16_V_MF4_MASK, VLSEG7E16_V }, // 4154
  { PseudoVLSEG7E32FF_V_M1, VLSEG7E32FF_V }, // 4155
  { PseudoVLSEG7E32FF_V_M1_MASK, VLSEG7E32FF_V }, // 4156
  { PseudoVLSEG7E32FF_V_MF2, VLSEG7E32FF_V }, // 4157
  { PseudoVLSEG7E32FF_V_MF2_MASK, VLSEG7E32FF_V }, // 4158
  { PseudoVLSEG7E32_V_M1, VLSEG7E32_V }, // 4159
  { PseudoVLSEG7E32_V_M1_MASK, VLSEG7E32_V }, // 4160
  { PseudoVLSEG7E32_V_MF2, VLSEG7E32_V }, // 4161
  { PseudoVLSEG7E32_V_MF2_MASK, VLSEG7E32_V }, // 4162
  { PseudoVLSEG7E64FF_V_M1, VLSEG7E64FF_V }, // 4163
  { PseudoVLSEG7E64FF_V_M1_MASK, VLSEG7E64FF_V }, // 4164
  { PseudoVLSEG7E64_V_M1, VLSEG7E64_V }, // 4165
  { PseudoVLSEG7E64_V_M1_MASK, VLSEG7E64_V }, // 4166
  { PseudoVLSEG7E8FF_V_M1, VLSEG7E8FF_V }, // 4167
  { PseudoVLSEG7E8FF_V_M1_MASK, VLSEG7E8FF_V }, // 4168
  { PseudoVLSEG7E8FF_V_MF2, VLSEG7E8FF_V }, // 4169
  { PseudoVLSEG7E8FF_V_MF2_MASK, VLSEG7E8FF_V }, // 4170
  { PseudoVLSEG7E8FF_V_MF4, VLSEG7E8FF_V }, // 4171
  { PseudoVLSEG7E8FF_V_MF4_MASK, VLSEG7E8FF_V }, // 4172
  { PseudoVLSEG7E8FF_V_MF8, VLSEG7E8FF_V }, // 4173
  { PseudoVLSEG7E8FF_V_MF8_MASK, VLSEG7E8FF_V }, // 4174
  { PseudoVLSEG7E8_V_M1, VLSEG7E8_V }, // 4175
  { PseudoVLSEG7E8_V_M1_MASK, VLSEG7E8_V }, // 4176
  { PseudoVLSEG7E8_V_MF2, VLSEG7E8_V }, // 4177
  { PseudoVLSEG7E8_V_MF2_MASK, VLSEG7E8_V }, // 4178
  { PseudoVLSEG7E8_V_MF4, VLSEG7E8_V }, // 4179
  { PseudoVLSEG7E8_V_MF4_MASK, VLSEG7E8_V }, // 4180
  { PseudoVLSEG7E8_V_MF8, VLSEG7E8_V }, // 4181
  { PseudoVLSEG7E8_V_MF8_MASK, VLSEG7E8_V }, // 4182
  { PseudoVLSEG8E16FF_V_M1, VLSEG8E16FF_V }, // 4183
  { PseudoVLSEG8E16FF_V_M1_MASK, VLSEG8E16FF_V }, // 4184
  { PseudoVLSEG8E16FF_V_MF2, VLSEG8E16FF_V }, // 4185
  { PseudoVLSEG8E16FF_V_MF2_MASK, VLSEG8E16FF_V }, // 4186
  { PseudoVLSEG8E16FF_V_MF4, VLSEG8E16FF_V }, // 4187
  { PseudoVLSEG8E16FF_V_MF4_MASK, VLSEG8E16FF_V }, // 4188
  { PseudoVLSEG8E16_V_M1, VLSEG8E16_V }, // 4189
  { PseudoVLSEG8E16_V_M1_MASK, VLSEG8E16_V }, // 4190
  { PseudoVLSEG8E16_V_MF2, VLSEG8E16_V }, // 4191
  { PseudoVLSEG8E16_V_MF2_MASK, VLSEG8E16_V }, // 4192
  { PseudoVLSEG8E16_V_MF4, VLSEG8E16_V }, // 4193
  { PseudoVLSEG8E16_V_MF4_MASK, VLSEG8E16_V }, // 4194
  { PseudoVLSEG8E32FF_V_M1, VLSEG8E32FF_V }, // 4195
  { PseudoVLSEG8E32FF_V_M1_MASK, VLSEG8E32FF_V }, // 4196
  { PseudoVLSEG8E32FF_V_MF2, VLSEG8E32FF_V }, // 4197
  { PseudoVLSEG8E32FF_V_MF2_MASK, VLSEG8E32FF_V }, // 4198
  { PseudoVLSEG8E32_V_M1, VLSEG8E32_V }, // 4199
  { PseudoVLSEG8E32_V_M1_MASK, VLSEG8E32_V }, // 4200
  { PseudoVLSEG8E32_V_MF2, VLSEG8E32_V }, // 4201
  { PseudoVLSEG8E32_V_MF2_MASK, VLSEG8E32_V }, // 4202
  { PseudoVLSEG8E64FF_V_M1, VLSEG8E64FF_V }, // 4203
  { PseudoVLSEG8E64FF_V_M1_MASK, VLSEG8E64FF_V }, // 4204
  { PseudoVLSEG8E64_V_M1, VLSEG8E64_V }, // 4205
  { PseudoVLSEG8E64_V_M1_MASK, VLSEG8E64_V }, // 4206
  { PseudoVLSEG8E8FF_V_M1, VLSEG8E8FF_V }, // 4207
  { PseudoVLSEG8E8FF_V_M1_MASK, VLSEG8E8FF_V }, // 4208
  { PseudoVLSEG8E8FF_V_MF2, VLSEG8E8FF_V }, // 4209
  { PseudoVLSEG8E8FF_V_MF2_MASK, VLSEG8E8FF_V }, // 4210
  { PseudoVLSEG8E8FF_V_MF4, VLSEG8E8FF_V }, // 4211
  { PseudoVLSEG8E8FF_V_MF4_MASK, VLSEG8E8FF_V }, // 4212
  { PseudoVLSEG8E8FF_V_MF8, VLSEG8E8FF_V }, // 4213
  { PseudoVLSEG8E8FF_V_MF8_MASK, VLSEG8E8FF_V }, // 4214
  { PseudoVLSEG8E8_V_M1, VLSEG8E8_V }, // 4215
  { PseudoVLSEG8E8_V_M1_MASK, VLSEG8E8_V }, // 4216
  { PseudoVLSEG8E8_V_MF2, VLSEG8E8_V }, // 4217
  { PseudoVLSEG8E8_V_MF2_MASK, VLSEG8E8_V }, // 4218
  { PseudoVLSEG8E8_V_MF4, VLSEG8E8_V }, // 4219
  { PseudoVLSEG8E8_V_MF4_MASK, VLSEG8E8_V }, // 4220
  { PseudoVLSEG8E8_V_MF8, VLSEG8E8_V }, // 4221
  { PseudoVLSEG8E8_V_MF8_MASK, VLSEG8E8_V }, // 4222
  { PseudoVLSSEG2E16_V_M1, VLSSEG2E16_V }, // 4223
  { PseudoVLSSEG2E16_V_M1_MASK, VLSSEG2E16_V }, // 4224
  { PseudoVLSSEG2E16_V_M2, VLSSEG2E16_V }, // 4225
  { PseudoVLSSEG2E16_V_M2_MASK, VLSSEG2E16_V }, // 4226
  { PseudoVLSSEG2E16_V_M4, VLSSEG2E16_V }, // 4227
  { PseudoVLSSEG2E16_V_M4_MASK, VLSSEG2E16_V }, // 4228
  { PseudoVLSSEG2E16_V_MF2, VLSSEG2E16_V }, // 4229
  { PseudoVLSSEG2E16_V_MF2_MASK, VLSSEG2E16_V }, // 4230
  { PseudoVLSSEG2E16_V_MF4, VLSSEG2E16_V }, // 4231
  { PseudoVLSSEG2E16_V_MF4_MASK, VLSSEG2E16_V }, // 4232
  { PseudoVLSSEG2E32_V_M1, VLSSEG2E32_V }, // 4233
  { PseudoVLSSEG2E32_V_M1_MASK, VLSSEG2E32_V }, // 4234
  { PseudoVLSSEG2E32_V_M2, VLSSEG2E32_V }, // 4235
  { PseudoVLSSEG2E32_V_M2_MASK, VLSSEG2E32_V }, // 4236
  { PseudoVLSSEG2E32_V_M4, VLSSEG2E32_V }, // 4237
  { PseudoVLSSEG2E32_V_M4_MASK, VLSSEG2E32_V }, // 4238
  { PseudoVLSSEG2E32_V_MF2, VLSSEG2E32_V }, // 4239
  { PseudoVLSSEG2E32_V_MF2_MASK, VLSSEG2E32_V }, // 4240
  { PseudoVLSSEG2E64_V_M1, VLSSEG2E64_V }, // 4241
  { PseudoVLSSEG2E64_V_M1_MASK, VLSSEG2E64_V }, // 4242
  { PseudoVLSSEG2E64_V_M2, VLSSEG2E64_V }, // 4243
  { PseudoVLSSEG2E64_V_M2_MASK, VLSSEG2E64_V }, // 4244
  { PseudoVLSSEG2E64_V_M4, VLSSEG2E64_V }, // 4245
  { PseudoVLSSEG2E64_V_M4_MASK, VLSSEG2E64_V }, // 4246
  { PseudoVLSSEG2E8_V_M1, VLSSEG2E8_V }, // 4247
  { PseudoVLSSEG2E8_V_M1_MASK, VLSSEG2E8_V }, // 4248
  { PseudoVLSSEG2E8_V_M2, VLSSEG2E8_V }, // 4249
  { PseudoVLSSEG2E8_V_M2_MASK, VLSSEG2E8_V }, // 4250
  { PseudoVLSSEG2E8_V_M4, VLSSEG2E8_V }, // 4251
  { PseudoVLSSEG2E8_V_M4_MASK, VLSSEG2E8_V }, // 4252
  { PseudoVLSSEG2E8_V_MF2, VLSSEG2E8_V }, // 4253
  { PseudoVLSSEG2E8_V_MF2_MASK, VLSSEG2E8_V }, // 4254
  { PseudoVLSSEG2E8_V_MF4, VLSSEG2E8_V }, // 4255
  { PseudoVLSSEG2E8_V_MF4_MASK, VLSSEG2E8_V }, // 4256
  { PseudoVLSSEG2E8_V_MF8, VLSSEG2E8_V }, // 4257
  { PseudoVLSSEG2E8_V_MF8_MASK, VLSSEG2E8_V }, // 4258
  { PseudoVLSSEG3E16_V_M1, VLSSEG3E16_V }, // 4259
  { PseudoVLSSEG3E16_V_M1_MASK, VLSSEG3E16_V }, // 4260
  { PseudoVLSSEG3E16_V_M2, VLSSEG3E16_V }, // 4261
  { PseudoVLSSEG3E16_V_M2_MASK, VLSSEG3E16_V }, // 4262
  { PseudoVLSSEG3E16_V_MF2, VLSSEG3E16_V }, // 4263
  { PseudoVLSSEG3E16_V_MF2_MASK, VLSSEG3E16_V }, // 4264
  { PseudoVLSSEG3E16_V_MF4, VLSSEG3E16_V }, // 4265
  { PseudoVLSSEG3E16_V_MF4_MASK, VLSSEG3E16_V }, // 4266
  { PseudoVLSSEG3E32_V_M1, VLSSEG3E32_V }, // 4267
  { PseudoVLSSEG3E32_V_M1_MASK, VLSSEG3E32_V }, // 4268
  { PseudoVLSSEG3E32_V_M2, VLSSEG3E32_V }, // 4269
  { PseudoVLSSEG3E32_V_M2_MASK, VLSSEG3E32_V }, // 4270
  { PseudoVLSSEG3E32_V_MF2, VLSSEG3E32_V }, // 4271
  { PseudoVLSSEG3E32_V_MF2_MASK, VLSSEG3E32_V }, // 4272
  { PseudoVLSSEG3E64_V_M1, VLSSEG3E64_V }, // 4273
  { PseudoVLSSEG3E64_V_M1_MASK, VLSSEG3E64_V }, // 4274
  { PseudoVLSSEG3E64_V_M2, VLSSEG3E64_V }, // 4275
  { PseudoVLSSEG3E64_V_M2_MASK, VLSSEG3E64_V }, // 4276
  { PseudoVLSSEG3E8_V_M1, VLSSEG3E8_V }, // 4277
  { PseudoVLSSEG3E8_V_M1_MASK, VLSSEG3E8_V }, // 4278
  { PseudoVLSSEG3E8_V_M2, VLSSEG3E8_V }, // 4279
  { PseudoVLSSEG3E8_V_M2_MASK, VLSSEG3E8_V }, // 4280
  { PseudoVLSSEG3E8_V_MF2, VLSSEG3E8_V }, // 4281
  { PseudoVLSSEG3E8_V_MF2_MASK, VLSSEG3E8_V }, // 4282
  { PseudoVLSSEG3E8_V_MF4, VLSSEG3E8_V }, // 4283
  { PseudoVLSSEG3E8_V_MF4_MASK, VLSSEG3E8_V }, // 4284
  { PseudoVLSSEG3E8_V_MF8, VLSSEG3E8_V }, // 4285
  { PseudoVLSSEG3E8_V_MF8_MASK, VLSSEG3E8_V }, // 4286
  { PseudoVLSSEG4E16_V_M1, VLSSEG4E16_V }, // 4287
  { PseudoVLSSEG4E16_V_M1_MASK, VLSSEG4E16_V }, // 4288
  { PseudoVLSSEG4E16_V_M2, VLSSEG4E16_V }, // 4289
  { PseudoVLSSEG4E16_V_M2_MASK, VLSSEG4E16_V }, // 4290
  { PseudoVLSSEG4E16_V_MF2, VLSSEG4E16_V }, // 4291
  { PseudoVLSSEG4E16_V_MF2_MASK, VLSSEG4E16_V }, // 4292
  { PseudoVLSSEG4E16_V_MF4, VLSSEG4E16_V }, // 4293
  { PseudoVLSSEG4E16_V_MF4_MASK, VLSSEG4E16_V }, // 4294
  { PseudoVLSSEG4E32_V_M1, VLSSEG4E32_V }, // 4295
  { PseudoVLSSEG4E32_V_M1_MASK, VLSSEG4E32_V }, // 4296
  { PseudoVLSSEG4E32_V_M2, VLSSEG4E32_V }, // 4297
  { PseudoVLSSEG4E32_V_M2_MASK, VLSSEG4E32_V }, // 4298
  { PseudoVLSSEG4E32_V_MF2, VLSSEG4E32_V }, // 4299
  { PseudoVLSSEG4E32_V_MF2_MASK, VLSSEG4E32_V }, // 4300
  { PseudoVLSSEG4E64_V_M1, VLSSEG4E64_V }, // 4301
  { PseudoVLSSEG4E64_V_M1_MASK, VLSSEG4E64_V }, // 4302
  { PseudoVLSSEG4E64_V_M2, VLSSEG4E64_V }, // 4303
  { PseudoVLSSEG4E64_V_M2_MASK, VLSSEG4E64_V }, // 4304
  { PseudoVLSSEG4E8_V_M1, VLSSEG4E8_V }, // 4305
  { PseudoVLSSEG4E8_V_M1_MASK, VLSSEG4E8_V }, // 4306
  { PseudoVLSSEG4E8_V_M2, VLSSEG4E8_V }, // 4307
  { PseudoVLSSEG4E8_V_M2_MASK, VLSSEG4E8_V }, // 4308
  { PseudoVLSSEG4E8_V_MF2, VLSSEG4E8_V }, // 4309
  { PseudoVLSSEG4E8_V_MF2_MASK, VLSSEG4E8_V }, // 4310
  { PseudoVLSSEG4E8_V_MF4, VLSSEG4E8_V }, // 4311
  { PseudoVLSSEG4E8_V_MF4_MASK, VLSSEG4E8_V }, // 4312
  { PseudoVLSSEG4E8_V_MF8, VLSSEG4E8_V }, // 4313
  { PseudoVLSSEG4E8_V_MF8_MASK, VLSSEG4E8_V }, // 4314
  { PseudoVLSSEG5E16_V_M1, VLSSEG5E16_V }, // 4315
  { PseudoVLSSEG5E16_V_M1_MASK, VLSSEG5E16_V }, // 4316
  { PseudoVLSSEG5E16_V_MF2, VLSSEG5E16_V }, // 4317
  { PseudoVLSSEG5E16_V_MF2_MASK, VLSSEG5E16_V }, // 4318
  { PseudoVLSSEG5E16_V_MF4, VLSSEG5E16_V }, // 4319
  { PseudoVLSSEG5E16_V_MF4_MASK, VLSSEG5E16_V }, // 4320
  { PseudoVLSSEG5E32_V_M1, VLSSEG5E32_V }, // 4321
  { PseudoVLSSEG5E32_V_M1_MASK, VLSSEG5E32_V }, // 4322
  { PseudoVLSSEG5E32_V_MF2, VLSSEG5E32_V }, // 4323
  { PseudoVLSSEG5E32_V_MF2_MASK, VLSSEG5E32_V }, // 4324
  { PseudoVLSSEG5E64_V_M1, VLSSEG5E64_V }, // 4325
  { PseudoVLSSEG5E64_V_M1_MASK, VLSSEG5E64_V }, // 4326
  { PseudoVLSSEG5E8_V_M1, VLSSEG5E8_V }, // 4327
  { PseudoVLSSEG5E8_V_M1_MASK, VLSSEG5E8_V }, // 4328
  { PseudoVLSSEG5E8_V_MF2, VLSSEG5E8_V }, // 4329
  { PseudoVLSSEG5E8_V_MF2_MASK, VLSSEG5E8_V }, // 4330
  { PseudoVLSSEG5E8_V_MF4, VLSSEG5E8_V }, // 4331
  { PseudoVLSSEG5E8_V_MF4_MASK, VLSSEG5E8_V }, // 4332
  { PseudoVLSSEG5E8_V_MF8, VLSSEG5E8_V }, // 4333
  { PseudoVLSSEG5E8_V_MF8_MASK, VLSSEG5E8_V }, // 4334
  { PseudoVLSSEG6E16_V_M1, VLSSEG6E16_V }, // 4335
  { PseudoVLSSEG6E16_V_M1_MASK, VLSSEG6E16_V }, // 4336
  { PseudoVLSSEG6E16_V_MF2, VLSSEG6E16_V }, // 4337
  { PseudoVLSSEG6E16_V_MF2_MASK, VLSSEG6E16_V }, // 4338
  { PseudoVLSSEG6E16_V_MF4, VLSSEG6E16_V }, // 4339
  { PseudoVLSSEG6E16_V_MF4_MASK, VLSSEG6E16_V }, // 4340
  { PseudoVLSSEG6E32_V_M1, VLSSEG6E32_V }, // 4341
  { PseudoVLSSEG6E32_V_M1_MASK, VLSSEG6E32_V }, // 4342
  { PseudoVLSSEG6E32_V_MF2, VLSSEG6E32_V }, // 4343
  { PseudoVLSSEG6E32_V_MF2_MASK, VLSSEG6E32_V }, // 4344
  { PseudoVLSSEG6E64_V_M1, VLSSEG6E64_V }, // 4345
  { PseudoVLSSEG6E64_V_M1_MASK, VLSSEG6E64_V }, // 4346
  { PseudoVLSSEG6E8_V_M1, VLSSEG6E8_V }, // 4347
  { PseudoVLSSEG6E8_V_M1_MASK, VLSSEG6E8_V }, // 4348
  { PseudoVLSSEG6E8_V_MF2, VLSSEG6E8_V }, // 4349
  { PseudoVLSSEG6E8_V_MF2_MASK, VLSSEG6E8_V }, // 4350
  { PseudoVLSSEG6E8_V_MF4, VLSSEG6E8_V }, // 4351
  { PseudoVLSSEG6E8_V_MF4_MASK, VLSSEG6E8_V }, // 4352
  { PseudoVLSSEG6E8_V_MF8, VLSSEG6E8_V }, // 4353
  { PseudoVLSSEG6E8_V_MF8_MASK, VLSSEG6E8_V }, // 4354
  { PseudoVLSSEG7E16_V_M1, VLSSEG7E16_V }, // 4355
  { PseudoVLSSEG7E16_V_M1_MASK, VLSSEG7E16_V }, // 4356
  { PseudoVLSSEG7E16_V_MF2, VLSSEG7E16_V }, // 4357
  { PseudoVLSSEG7E16_V_MF2_MASK, VLSSEG7E16_V }, // 4358
  { PseudoVLSSEG7E16_V_MF4, VLSSEG7E16_V }, // 4359
  { PseudoVLSSEG7E16_V_MF4_MASK, VLSSEG7E16_V }, // 4360
  { PseudoVLSSEG7E32_V_M1, VLSSEG7E32_V }, // 4361
  { PseudoVLSSEG7E32_V_M1_MASK, VLSSEG7E32_V }, // 4362
  { PseudoVLSSEG7E32_V_MF2, VLSSEG7E32_V }, // 4363
  { PseudoVLSSEG7E32_V_MF2_MASK, VLSSEG7E32_V }, // 4364
  { PseudoVLSSEG7E64_V_M1, VLSSEG7E64_V }, // 4365
  { PseudoVLSSEG7E64_V_M1_MASK, VLSSEG7E64_V }, // 4366
  { PseudoVLSSEG7E8_V_M1, VLSSEG7E8_V }, // 4367
  { PseudoVLSSEG7E8_V_M1_MASK, VLSSEG7E8_V }, // 4368
  { PseudoVLSSEG7E8_V_MF2, VLSSEG7E8_V }, // 4369
  { PseudoVLSSEG7E8_V_MF2_MASK, VLSSEG7E8_V }, // 4370
  { PseudoVLSSEG7E8_V_MF4, VLSSEG7E8_V }, // 4371
  { PseudoVLSSEG7E8_V_MF4_MASK, VLSSEG7E8_V }, // 4372
  { PseudoVLSSEG7E8_V_MF8, VLSSEG7E8_V }, // 4373
  { PseudoVLSSEG7E8_V_MF8_MASK, VLSSEG7E8_V }, // 4374
  { PseudoVLSSEG8E16_V_M1, VLSSEG8E16_V }, // 4375
  { PseudoVLSSEG8E16_V_M1_MASK, VLSSEG8E16_V }, // 4376
  { PseudoVLSSEG8E16_V_MF2, VLSSEG8E16_V }, // 4377
  { PseudoVLSSEG8E16_V_MF2_MASK, VLSSEG8E16_V }, // 4378
  { PseudoVLSSEG8E16_V_MF4, VLSSEG8E16_V }, // 4379
  { PseudoVLSSEG8E16_V_MF4_MASK, VLSSEG8E16_V }, // 4380
  { PseudoVLSSEG8E32_V_M1, VLSSEG8E32_V }, // 4381
  { PseudoVLSSEG8E32_V_M1_MASK, VLSSEG8E32_V }, // 4382
  { PseudoVLSSEG8E32_V_MF2, VLSSEG8E32_V }, // 4383
  { PseudoVLSSEG8E32_V_MF2_MASK, VLSSEG8E32_V }, // 4384
  { PseudoVLSSEG8E64_V_M1, VLSSEG8E64_V }, // 4385
  { PseudoVLSSEG8E64_V_M1_MASK, VLSSEG8E64_V }, // 4386
  { PseudoVLSSEG8E8_V_M1, VLSSEG8E8_V }, // 4387
  { PseudoVLSSEG8E8_V_M1_MASK, VLSSEG8E8_V }, // 4388
  { PseudoVLSSEG8E8_V_MF2, VLSSEG8E8_V }, // 4389
  { PseudoVLSSEG8E8_V_MF2_MASK, VLSSEG8E8_V }, // 4390
  { PseudoVLSSEG8E8_V_MF4, VLSSEG8E8_V }, // 4391
  { PseudoVLSSEG8E8_V_MF4_MASK, VLSSEG8E8_V }, // 4392
  { PseudoVLSSEG8E8_V_MF8, VLSSEG8E8_V }, // 4393
  { PseudoVLSSEG8E8_V_MF8_MASK, VLSSEG8E8_V }, // 4394
  { PseudoVLUXEI16_V_M1_M1, VLUXEI16_V }, // 4395
  { PseudoVLUXEI16_V_M1_M1_MASK, VLUXEI16_V }, // 4396
  { PseudoVLUXEI16_V_M1_M2, VLUXEI16_V }, // 4397
  { PseudoVLUXEI16_V_M1_M2_MASK, VLUXEI16_V }, // 4398
  { PseudoVLUXEI16_V_M1_M4, VLUXEI16_V }, // 4399
  { PseudoVLUXEI16_V_M1_M4_MASK, VLUXEI16_V }, // 4400
  { PseudoVLUXEI16_V_M1_MF2, VLUXEI16_V }, // 4401
  { PseudoVLUXEI16_V_M1_MF2_MASK, VLUXEI16_V }, // 4402
  { PseudoVLUXEI16_V_M2_M1, VLUXEI16_V }, // 4403
  { PseudoVLUXEI16_V_M2_M1_MASK, VLUXEI16_V }, // 4404
  { PseudoVLUXEI16_V_M2_M2, VLUXEI16_V }, // 4405
  { PseudoVLUXEI16_V_M2_M2_MASK, VLUXEI16_V }, // 4406
  { PseudoVLUXEI16_V_M2_M4, VLUXEI16_V }, // 4407
  { PseudoVLUXEI16_V_M2_M4_MASK, VLUXEI16_V }, // 4408
  { PseudoVLUXEI16_V_M2_M8, VLUXEI16_V }, // 4409
  { PseudoVLUXEI16_V_M2_M8_MASK, VLUXEI16_V }, // 4410
  { PseudoVLUXEI16_V_M4_M2, VLUXEI16_V }, // 4411
  { PseudoVLUXEI16_V_M4_M2_MASK, VLUXEI16_V }, // 4412
  { PseudoVLUXEI16_V_M4_M4, VLUXEI16_V }, // 4413
  { PseudoVLUXEI16_V_M4_M4_MASK, VLUXEI16_V }, // 4414
  { PseudoVLUXEI16_V_M4_M8, VLUXEI16_V }, // 4415
  { PseudoVLUXEI16_V_M4_M8_MASK, VLUXEI16_V }, // 4416
  { PseudoVLUXEI16_V_M8_M4, VLUXEI16_V }, // 4417
  { PseudoVLUXEI16_V_M8_M4_MASK, VLUXEI16_V }, // 4418
  { PseudoVLUXEI16_V_M8_M8, VLUXEI16_V }, // 4419
  { PseudoVLUXEI16_V_M8_M8_MASK, VLUXEI16_V }, // 4420
  { PseudoVLUXEI16_V_MF2_M1, VLUXEI16_V }, // 4421
  { PseudoVLUXEI16_V_MF2_M1_MASK, VLUXEI16_V }, // 4422
  { PseudoVLUXEI16_V_MF2_M2, VLUXEI16_V }, // 4423
  { PseudoVLUXEI16_V_MF2_M2_MASK, VLUXEI16_V }, // 4424
  { PseudoVLUXEI16_V_MF2_MF2, VLUXEI16_V }, // 4425
  { PseudoVLUXEI16_V_MF2_MF2_MASK, VLUXEI16_V }, // 4426
  { PseudoVLUXEI16_V_MF2_MF4, VLUXEI16_V }, // 4427
  { PseudoVLUXEI16_V_MF2_MF4_MASK, VLUXEI16_V }, // 4428
  { PseudoVLUXEI16_V_MF4_M1, VLUXEI16_V }, // 4429
  { PseudoVLUXEI16_V_MF4_M1_MASK, VLUXEI16_V }, // 4430
  { PseudoVLUXEI16_V_MF4_MF2, VLUXEI16_V }, // 4431
  { PseudoVLUXEI16_V_MF4_MF2_MASK, VLUXEI16_V }, // 4432
  { PseudoVLUXEI16_V_MF4_MF4, VLUXEI16_V }, // 4433
  { PseudoVLUXEI16_V_MF4_MF4_MASK, VLUXEI16_V }, // 4434
  { PseudoVLUXEI16_V_MF4_MF8, VLUXEI16_V }, // 4435
  { PseudoVLUXEI16_V_MF4_MF8_MASK, VLUXEI16_V }, // 4436
  { PseudoVLUXEI32_V_M1_M1, VLUXEI32_V }, // 4437
  { PseudoVLUXEI32_V_M1_M1_MASK, VLUXEI32_V }, // 4438
  { PseudoVLUXEI32_V_M1_M2, VLUXEI32_V }, // 4439
  { PseudoVLUXEI32_V_M1_M2_MASK, VLUXEI32_V }, // 4440
  { PseudoVLUXEI32_V_M1_MF2, VLUXEI32_V }, // 4441
  { PseudoVLUXEI32_V_M1_MF2_MASK, VLUXEI32_V }, // 4442
  { PseudoVLUXEI32_V_M1_MF4, VLUXEI32_V }, // 4443
  { PseudoVLUXEI32_V_M1_MF4_MASK, VLUXEI32_V }, // 4444
  { PseudoVLUXEI32_V_M2_M1, VLUXEI32_V }, // 4445
  { PseudoVLUXEI32_V_M2_M1_MASK, VLUXEI32_V }, // 4446
  { PseudoVLUXEI32_V_M2_M2, VLUXEI32_V }, // 4447
  { PseudoVLUXEI32_V_M2_M2_MASK, VLUXEI32_V }, // 4448
  { PseudoVLUXEI32_V_M2_M4, VLUXEI32_V }, // 4449
  { PseudoVLUXEI32_V_M2_M4_MASK, VLUXEI32_V }, // 4450
  { PseudoVLUXEI32_V_M2_MF2, VLUXEI32_V }, // 4451
  { PseudoVLUXEI32_V_M2_MF2_MASK, VLUXEI32_V }, // 4452
  { PseudoVLUXEI32_V_M4_M1, VLUXEI32_V }, // 4453
  { PseudoVLUXEI32_V_M4_M1_MASK, VLUXEI32_V }, // 4454
  { PseudoVLUXEI32_V_M4_M2, VLUXEI32_V }, // 4455
  { PseudoVLUXEI32_V_M4_M2_MASK, VLUXEI32_V }, // 4456
  { PseudoVLUXEI32_V_M4_M4, VLUXEI32_V }, // 4457
  { PseudoVLUXEI32_V_M4_M4_MASK, VLUXEI32_V }, // 4458
  { PseudoVLUXEI32_V_M4_M8, VLUXEI32_V }, // 4459
  { PseudoVLUXEI32_V_M4_M8_MASK, VLUXEI32_V }, // 4460
  { PseudoVLUXEI32_V_M8_M2, VLUXEI32_V }, // 4461
  { PseudoVLUXEI32_V_M8_M2_MASK, VLUXEI32_V }, // 4462
  { PseudoVLUXEI32_V_M8_M4, VLUXEI32_V }, // 4463
  { PseudoVLUXEI32_V_M8_M4_MASK, VLUXEI32_V }, // 4464
  { PseudoVLUXEI32_V_M8_M8, VLUXEI32_V }, // 4465
  { PseudoVLUXEI32_V_M8_M8_MASK, VLUXEI32_V }, // 4466
  { PseudoVLUXEI32_V_MF2_M1, VLUXEI32_V }, // 4467
  { PseudoVLUXEI32_V_MF2_M1_MASK, VLUXEI32_V }, // 4468
  { PseudoVLUXEI32_V_MF2_MF2, VLUXEI32_V }, // 4469
  { PseudoVLUXEI32_V_MF2_MF2_MASK, VLUXEI32_V }, // 4470
  { PseudoVLUXEI32_V_MF2_MF4, VLUXEI32_V }, // 4471
  { PseudoVLUXEI32_V_MF2_MF4_MASK, VLUXEI32_V }, // 4472
  { PseudoVLUXEI32_V_MF2_MF8, VLUXEI32_V }, // 4473
  { PseudoVLUXEI32_V_MF2_MF8_MASK, VLUXEI32_V }, // 4474
  { PseudoVLUXEI64_V_M1_M1, VLUXEI64_V }, // 4475
  { PseudoVLUXEI64_V_M1_M1_MASK, VLUXEI64_V }, // 4476
  { PseudoVLUXEI64_V_M1_MF2, VLUXEI64_V }, // 4477
  { PseudoVLUXEI64_V_M1_MF2_MASK, VLUXEI64_V }, // 4478
  { PseudoVLUXEI64_V_M1_MF4, VLUXEI64_V }, // 4479
  { PseudoVLUXEI64_V_M1_MF4_MASK, VLUXEI64_V }, // 4480
  { PseudoVLUXEI64_V_M1_MF8, VLUXEI64_V }, // 4481
  { PseudoVLUXEI64_V_M1_MF8_MASK, VLUXEI64_V }, // 4482
  { PseudoVLUXEI64_V_M2_M1, VLUXEI64_V }, // 4483
  { PseudoVLUXEI64_V_M2_M1_MASK, VLUXEI64_V }, // 4484
  { PseudoVLUXEI64_V_M2_M2, VLUXEI64_V }, // 4485
  { PseudoVLUXEI64_V_M2_M2_MASK, VLUXEI64_V }, // 4486
  { PseudoVLUXEI64_V_M2_MF2, VLUXEI64_V }, // 4487
  { PseudoVLUXEI64_V_M2_MF2_MASK, VLUXEI64_V }, // 4488
  { PseudoVLUXEI64_V_M2_MF4, VLUXEI64_V }, // 4489
  { PseudoVLUXEI64_V_M2_MF4_MASK, VLUXEI64_V }, // 4490
  { PseudoVLUXEI64_V_M4_M1, VLUXEI64_V }, // 4491
  { PseudoVLUXEI64_V_M4_M1_MASK, VLUXEI64_V }, // 4492
  { PseudoVLUXEI64_V_M4_M2, VLUXEI64_V }, // 4493
  { PseudoVLUXEI64_V_M4_M2_MASK, VLUXEI64_V }, // 4494
  { PseudoVLUXEI64_V_M4_M4, VLUXEI64_V }, // 4495
  { PseudoVLUXEI64_V_M4_M4_MASK, VLUXEI64_V }, // 4496
  { PseudoVLUXEI64_V_M4_MF2, VLUXEI64_V }, // 4497
  { PseudoVLUXEI64_V_M4_MF2_MASK, VLUXEI64_V }, // 4498
  { PseudoVLUXEI64_V_M8_M1, VLUXEI64_V }, // 4499
  { PseudoVLUXEI64_V_M8_M1_MASK, VLUXEI64_V }, // 4500
  { PseudoVLUXEI64_V_M8_M2, VLUXEI64_V }, // 4501
  { PseudoVLUXEI64_V_M8_M2_MASK, VLUXEI64_V }, // 4502
  { PseudoVLUXEI64_V_M8_M4, VLUXEI64_V }, // 4503
  { PseudoVLUXEI64_V_M8_M4_MASK, VLUXEI64_V }, // 4504
  { PseudoVLUXEI64_V_M8_M8, VLUXEI64_V }, // 4505
  { PseudoVLUXEI64_V_M8_M8_MASK, VLUXEI64_V }, // 4506
  { PseudoVLUXEI8_V_M1_M1, VLUXEI8_V }, // 4507
  { PseudoVLUXEI8_V_M1_M1_MASK, VLUXEI8_V }, // 4508
  { PseudoVLUXEI8_V_M1_M2, VLUXEI8_V }, // 4509
  { PseudoVLUXEI8_V_M1_M2_MASK, VLUXEI8_V }, // 4510
  { PseudoVLUXEI8_V_M1_M4, VLUXEI8_V }, // 4511
  { PseudoVLUXEI8_V_M1_M4_MASK, VLUXEI8_V }, // 4512
  { PseudoVLUXEI8_V_M1_M8, VLUXEI8_V }, // 4513
  { PseudoVLUXEI8_V_M1_M8_MASK, VLUXEI8_V }, // 4514
  { PseudoVLUXEI8_V_M2_M2, VLUXEI8_V }, // 4515
  { PseudoVLUXEI8_V_M2_M2_MASK, VLUXEI8_V }, // 4516
  { PseudoVLUXEI8_V_M2_M4, VLUXEI8_V }, // 4517
  { PseudoVLUXEI8_V_M2_M4_MASK, VLUXEI8_V }, // 4518
  { PseudoVLUXEI8_V_M2_M8, VLUXEI8_V }, // 4519
  { PseudoVLUXEI8_V_M2_M8_MASK, VLUXEI8_V }, // 4520
  { PseudoVLUXEI8_V_M4_M4, VLUXEI8_V }, // 4521
  { PseudoVLUXEI8_V_M4_M4_MASK, VLUXEI8_V }, // 4522
  { PseudoVLUXEI8_V_M4_M8, VLUXEI8_V }, // 4523
  { PseudoVLUXEI8_V_M4_M8_MASK, VLUXEI8_V }, // 4524
  { PseudoVLUXEI8_V_M8_M8, VLUXEI8_V }, // 4525
  { PseudoVLUXEI8_V_M8_M8_MASK, VLUXEI8_V }, // 4526
  { PseudoVLUXEI8_V_MF2_M1, VLUXEI8_V }, // 4527
  { PseudoVLUXEI8_V_MF2_M1_MASK, VLUXEI8_V }, // 4528
  { PseudoVLUXEI8_V_MF2_M2, VLUXEI8_V }, // 4529
  { PseudoVLUXEI8_V_MF2_M2_MASK, VLUXEI8_V }, // 4530
  { PseudoVLUXEI8_V_MF2_M4, VLUXEI8_V }, // 4531
  { PseudoVLUXEI8_V_MF2_M4_MASK, VLUXEI8_V }, // 4532
  { PseudoVLUXEI8_V_MF2_MF2, VLUXEI8_V }, // 4533
  { PseudoVLUXEI8_V_MF2_MF2_MASK, VLUXEI8_V }, // 4534
  { PseudoVLUXEI8_V_MF4_M1, VLUXEI8_V }, // 4535
  { PseudoVLUXEI8_V_MF4_M1_MASK, VLUXEI8_V }, // 4536
  { PseudoVLUXEI8_V_MF4_M2, VLUXEI8_V }, // 4537
  { PseudoVLUXEI8_V_MF4_M2_MASK, VLUXEI8_V }, // 4538
  { PseudoVLUXEI8_V_MF4_MF2, VLUXEI8_V }, // 4539
  { PseudoVLUXEI8_V_MF4_MF2_MASK, VLUXEI8_V }, // 4540
  { PseudoVLUXEI8_V_MF4_MF4, VLUXEI8_V }, // 4541
  { PseudoVLUXEI8_V_MF4_MF4_MASK, VLUXEI8_V }, // 4542
  { PseudoVLUXEI8_V_MF8_M1, VLUXEI8_V }, // 4543
  { PseudoVLUXEI8_V_MF8_M1_MASK, VLUXEI8_V }, // 4544
  { PseudoVLUXEI8_V_MF8_MF2, VLUXEI8_V }, // 4545
  { PseudoVLUXEI8_V_MF8_MF2_MASK, VLUXEI8_V }, // 4546
  { PseudoVLUXEI8_V_MF8_MF4, VLUXEI8_V }, // 4547
  { PseudoVLUXEI8_V_MF8_MF4_MASK, VLUXEI8_V }, // 4548
  { PseudoVLUXEI8_V_MF8_MF8, VLUXEI8_V }, // 4549
  { PseudoVLUXEI8_V_MF8_MF8_MASK, VLUXEI8_V }, // 4550
  { PseudoVLUXSEG2EI16_V_M1_M1, VLUXSEG2EI16_V }, // 4551
  { PseudoVLUXSEG2EI16_V_M1_M1_MASK, VLUXSEG2EI16_V }, // 4552
  { PseudoVLUXSEG2EI16_V_M1_M2, VLUXSEG2EI16_V }, // 4553
  { PseudoVLUXSEG2EI16_V_M1_M2_MASK, VLUXSEG2EI16_V }, // 4554
  { PseudoVLUXSEG2EI16_V_M1_M4, VLUXSEG2EI16_V }, // 4555
  { PseudoVLUXSEG2EI16_V_M1_M4_MASK, VLUXSEG2EI16_V }, // 4556
  { PseudoVLUXSEG2EI16_V_M1_MF2, VLUXSEG2EI16_V }, // 4557
  { PseudoVLUXSEG2EI16_V_M1_MF2_MASK, VLUXSEG2EI16_V }, // 4558
  { PseudoVLUXSEG2EI16_V_M2_M1, VLUXSEG2EI16_V }, // 4559
  { PseudoVLUXSEG2EI16_V_M2_M1_MASK, VLUXSEG2EI16_V }, // 4560
  { PseudoVLUXSEG2EI16_V_M2_M2, VLUXSEG2EI16_V }, // 4561
  { PseudoVLUXSEG2EI16_V_M2_M2_MASK, VLUXSEG2EI16_V }, // 4562
  { PseudoVLUXSEG2EI16_V_M2_M4, VLUXSEG2EI16_V }, // 4563
  { PseudoVLUXSEG2EI16_V_M2_M4_MASK, VLUXSEG2EI16_V }, // 4564
  { PseudoVLUXSEG2EI16_V_M4_M2, VLUXSEG2EI16_V }, // 4565
  { PseudoVLUXSEG2EI16_V_M4_M2_MASK, VLUXSEG2EI16_V }, // 4566
  { PseudoVLUXSEG2EI16_V_M4_M4, VLUXSEG2EI16_V }, // 4567
  { PseudoVLUXSEG2EI16_V_M4_M4_MASK, VLUXSEG2EI16_V }, // 4568
  { PseudoVLUXSEG2EI16_V_M8_M4, VLUXSEG2EI16_V }, // 4569
  { PseudoVLUXSEG2EI16_V_M8_M4_MASK, VLUXSEG2EI16_V }, // 4570
  { PseudoVLUXSEG2EI16_V_MF2_M1, VLUXSEG2EI16_V }, // 4571
  { PseudoVLUXSEG2EI16_V_MF2_M1_MASK, VLUXSEG2EI16_V }, // 4572
  { PseudoVLUXSEG2EI16_V_MF2_M2, VLUXSEG2EI16_V }, // 4573
  { PseudoVLUXSEG2EI16_V_MF2_M2_MASK, VLUXSEG2EI16_V }, // 4574
  { PseudoVLUXSEG2EI16_V_MF2_MF2, VLUXSEG2EI16_V }, // 4575
  { PseudoVLUXSEG2EI16_V_MF2_MF2_MASK, VLUXSEG2EI16_V }, // 4576
  { PseudoVLUXSEG2EI16_V_MF2_MF4, VLUXSEG2EI16_V }, // 4577
  { PseudoVLUXSEG2EI16_V_MF2_MF4_MASK, VLUXSEG2EI16_V }, // 4578
  { PseudoVLUXSEG2EI16_V_MF4_M1, VLUXSEG2EI16_V }, // 4579
  { PseudoVLUXSEG2EI16_V_MF4_M1_MASK, VLUXSEG2EI16_V }, // 4580
  { PseudoVLUXSEG2EI16_V_MF4_MF2, VLUXSEG2EI16_V }, // 4581
  { PseudoVLUXSEG2EI16_V_MF4_MF2_MASK, VLUXSEG2EI16_V }, // 4582
  { PseudoVLUXSEG2EI16_V_MF4_MF4, VLUXSEG2EI16_V }, // 4583
  { PseudoVLUXSEG2EI16_V_MF4_MF4_MASK, VLUXSEG2EI16_V }, // 4584
  { PseudoVLUXSEG2EI16_V_MF4_MF8, VLUXSEG2EI16_V }, // 4585
  { PseudoVLUXSEG2EI16_V_MF4_MF8_MASK, VLUXSEG2EI16_V }, // 4586
  { PseudoVLUXSEG2EI32_V_M1_M1, VLUXSEG2EI32_V }, // 4587
  { PseudoVLUXSEG2EI32_V_M1_M1_MASK, VLUXSEG2EI32_V }, // 4588
  { PseudoVLUXSEG2EI32_V_M1_M2, VLUXSEG2EI32_V }, // 4589
  { PseudoVLUXSEG2EI32_V_M1_M2_MASK, VLUXSEG2EI32_V }, // 4590
  { PseudoVLUXSEG2EI32_V_M1_MF2, VLUXSEG2EI32_V }, // 4591
  { PseudoVLUXSEG2EI32_V_M1_MF2_MASK, VLUXSEG2EI32_V }, // 4592
  { PseudoVLUXSEG2EI32_V_M1_MF4, VLUXSEG2EI32_V }, // 4593
  { PseudoVLUXSEG2EI32_V_M1_MF4_MASK, VLUXSEG2EI32_V }, // 4594
  { PseudoVLUXSEG2EI32_V_M2_M1, VLUXSEG2EI32_V }, // 4595
  { PseudoVLUXSEG2EI32_V_M2_M1_MASK, VLUXSEG2EI32_V }, // 4596
  { PseudoVLUXSEG2EI32_V_M2_M2, VLUXSEG2EI32_V }, // 4597
  { PseudoVLUXSEG2EI32_V_M2_M2_MASK, VLUXSEG2EI32_V }, // 4598
  { PseudoVLUXSEG2EI32_V_M2_M4, VLUXSEG2EI32_V }, // 4599
  { PseudoVLUXSEG2EI32_V_M2_M4_MASK, VLUXSEG2EI32_V }, // 4600
  { PseudoVLUXSEG2EI32_V_M2_MF2, VLUXSEG2EI32_V }, // 4601
  { PseudoVLUXSEG2EI32_V_M2_MF2_MASK, VLUXSEG2EI32_V }, // 4602
  { PseudoVLUXSEG2EI32_V_M4_M1, VLUXSEG2EI32_V }, // 4603
  { PseudoVLUXSEG2EI32_V_M4_M1_MASK, VLUXSEG2EI32_V }, // 4604
  { PseudoVLUXSEG2EI32_V_M4_M2, VLUXSEG2EI32_V }, // 4605
  { PseudoVLUXSEG2EI32_V_M4_M2_MASK, VLUXSEG2EI32_V }, // 4606
  { PseudoVLUXSEG2EI32_V_M4_M4, VLUXSEG2EI32_V }, // 4607
  { PseudoVLUXSEG2EI32_V_M4_M4_MASK, VLUXSEG2EI32_V }, // 4608
  { PseudoVLUXSEG2EI32_V_M8_M2, VLUXSEG2EI32_V }, // 4609
  { PseudoVLUXSEG2EI32_V_M8_M2_MASK, VLUXSEG2EI32_V }, // 4610
  { PseudoVLUXSEG2EI32_V_M8_M4, VLUXSEG2EI32_V }, // 4611
  { PseudoVLUXSEG2EI32_V_M8_M4_MASK, VLUXSEG2EI32_V }, // 4612
  { PseudoVLUXSEG2EI32_V_MF2_M1, VLUXSEG2EI32_V }, // 4613
  { PseudoVLUXSEG2EI32_V_MF2_M1_MASK, VLUXSEG2EI32_V }, // 4614
  { PseudoVLUXSEG2EI32_V_MF2_MF2, VLUXSEG2EI32_V }, // 4615
  { PseudoVLUXSEG2EI32_V_MF2_MF2_MASK, VLUXSEG2EI32_V }, // 4616
  { PseudoVLUXSEG2EI32_V_MF2_MF4, VLUXSEG2EI32_V }, // 4617
  { PseudoVLUXSEG2EI32_V_MF2_MF4_MASK, VLUXSEG2EI32_V }, // 4618
  { PseudoVLUXSEG2EI32_V_MF2_MF8, VLUXSEG2EI32_V }, // 4619
  { PseudoVLUXSEG2EI32_V_MF2_MF8_MASK, VLUXSEG2EI32_V }, // 4620
  { PseudoVLUXSEG2EI64_V_M1_M1, VLUXSEG2EI64_V }, // 4621
  { PseudoVLUXSEG2EI64_V_M1_M1_MASK, VLUXSEG2EI64_V }, // 4622
  { PseudoVLUXSEG2EI64_V_M1_MF2, VLUXSEG2EI64_V }, // 4623
  { PseudoVLUXSEG2EI64_V_M1_MF2_MASK, VLUXSEG2EI64_V }, // 4624
  { PseudoVLUXSEG2EI64_V_M1_MF4, VLUXSEG2EI64_V }, // 4625
  { PseudoVLUXSEG2EI64_V_M1_MF4_MASK, VLUXSEG2EI64_V }, // 4626
  { PseudoVLUXSEG2EI64_V_M1_MF8, VLUXSEG2EI64_V }, // 4627
  { PseudoVLUXSEG2EI64_V_M1_MF8_MASK, VLUXSEG2EI64_V }, // 4628
  { PseudoVLUXSEG2EI64_V_M2_M1, VLUXSEG2EI64_V }, // 4629
  { PseudoVLUXSEG2EI64_V_M2_M1_MASK, VLUXSEG2EI64_V }, // 4630
  { PseudoVLUXSEG2EI64_V_M2_M2, VLUXSEG2EI64_V }, // 4631
  { PseudoVLUXSEG2EI64_V_M2_M2_MASK, VLUXSEG2EI64_V }, // 4632
  { PseudoVLUXSEG2EI64_V_M2_MF2, VLUXSEG2EI64_V }, // 4633
  { PseudoVLUXSEG2EI64_V_M2_MF2_MASK, VLUXSEG2EI64_V }, // 4634
  { PseudoVLUXSEG2EI64_V_M2_MF4, VLUXSEG2EI64_V }, // 4635
  { PseudoVLUXSEG2EI64_V_M2_MF4_MASK, VLUXSEG2EI64_V }, // 4636
  { PseudoVLUXSEG2EI64_V_M4_M1, VLUXSEG2EI64_V }, // 4637
  { PseudoVLUXSEG2EI64_V_M4_M1_MASK, VLUXSEG2EI64_V }, // 4638
  { PseudoVLUXSEG2EI64_V_M4_M2, VLUXSEG2EI64_V }, // 4639
  { PseudoVLUXSEG2EI64_V_M4_M2_MASK, VLUXSEG2EI64_V }, // 4640
  { PseudoVLUXSEG2EI64_V_M4_M4, VLUXSEG2EI64_V }, // 4641
  { PseudoVLUXSEG2EI64_V_M4_M4_MASK, VLUXSEG2EI64_V }, // 4642
  { PseudoVLUXSEG2EI64_V_M4_MF2, VLUXSEG2EI64_V }, // 4643
  { PseudoVLUXSEG2EI64_V_M4_MF2_MASK, VLUXSEG2EI64_V }, // 4644
  { PseudoVLUXSEG2EI64_V_M8_M1, VLUXSEG2EI64_V }, // 4645
  { PseudoVLUXSEG2EI64_V_M8_M1_MASK, VLUXSEG2EI64_V }, // 4646
  { PseudoVLUXSEG2EI64_V_M8_M2, VLUXSEG2EI64_V }, // 4647
  { PseudoVLUXSEG2EI64_V_M8_M2_MASK, VLUXSEG2EI64_V }, // 4648
  { PseudoVLUXSEG2EI64_V_M8_M4, VLUXSEG2EI64_V }, // 4649
  { PseudoVLUXSEG2EI64_V_M8_M4_MASK, VLUXSEG2EI64_V }, // 4650
  { PseudoVLUXSEG2EI8_V_M1_M1, VLUXSEG2EI8_V }, // 4651
  { PseudoVLUXSEG2EI8_V_M1_M1_MASK, VLUXSEG2EI8_V }, // 4652
  { PseudoVLUXSEG2EI8_V_M1_M2, VLUXSEG2EI8_V }, // 4653
  { PseudoVLUXSEG2EI8_V_M1_M2_MASK, VLUXSEG2EI8_V }, // 4654
  { PseudoVLUXSEG2EI8_V_M1_M4, VLUXSEG2EI8_V }, // 4655
  { PseudoVLUXSEG2EI8_V_M1_M4_MASK, VLUXSEG2EI8_V }, // 4656
  { PseudoVLUXSEG2EI8_V_M2_M2, VLUXSEG2EI8_V }, // 4657
  { PseudoVLUXSEG2EI8_V_M2_M2_MASK, VLUXSEG2EI8_V }, // 4658
  { PseudoVLUXSEG2EI8_V_M2_M4, VLUXSEG2EI8_V }, // 4659
  { PseudoVLUXSEG2EI8_V_M2_M4_MASK, VLUXSEG2EI8_V }, // 4660
  { PseudoVLUXSEG2EI8_V_M4_M4, VLUXSEG2EI8_V }, // 4661
  { PseudoVLUXSEG2EI8_V_M4_M4_MASK, VLUXSEG2EI8_V }, // 4662
  { PseudoVLUXSEG2EI8_V_MF2_M1, VLUXSEG2EI8_V }, // 4663
  { PseudoVLUXSEG2EI8_V_MF2_M1_MASK, VLUXSEG2EI8_V }, // 4664
  { PseudoVLUXSEG2EI8_V_MF2_M2, VLUXSEG2EI8_V }, // 4665
  { PseudoVLUXSEG2EI8_V_MF2_M2_MASK, VLUXSEG2EI8_V }, // 4666
  { PseudoVLUXSEG2EI8_V_MF2_M4, VLUXSEG2EI8_V }, // 4667
  { PseudoVLUXSEG2EI8_V_MF2_M4_MASK, VLUXSEG2EI8_V }, // 4668
  { PseudoVLUXSEG2EI8_V_MF2_MF2, VLUXSEG2EI8_V }, // 4669
  { PseudoVLUXSEG2EI8_V_MF2_MF2_MASK, VLUXSEG2EI8_V }, // 4670
  { PseudoVLUXSEG2EI8_V_MF4_M1, VLUXSEG2EI8_V }, // 4671
  { PseudoVLUXSEG2EI8_V_MF4_M1_MASK, VLUXSEG2EI8_V }, // 4672
  { PseudoVLUXSEG2EI8_V_MF4_M2, VLUXSEG2EI8_V }, // 4673
  { PseudoVLUXSEG2EI8_V_MF4_M2_MASK, VLUXSEG2EI8_V }, // 4674
  { PseudoVLUXSEG2EI8_V_MF4_MF2, VLUXSEG2EI8_V }, // 4675
  { PseudoVLUXSEG2EI8_V_MF4_MF2_MASK, VLUXSEG2EI8_V }, // 4676
  { PseudoVLUXSEG2EI8_V_MF4_MF4, VLUXSEG2EI8_V }, // 4677
  { PseudoVLUXSEG2EI8_V_MF4_MF4_MASK, VLUXSEG2EI8_V }, // 4678
  { PseudoVLUXSEG2EI8_V_MF8_M1, VLUXSEG2EI8_V }, // 4679
  { PseudoVLUXSEG2EI8_V_MF8_M1_MASK, VLUXSEG2EI8_V }, // 4680
  { PseudoVLUXSEG2EI8_V_MF8_MF2, VLUXSEG2EI8_V }, // 4681
  { PseudoVLUXSEG2EI8_V_MF8_MF2_MASK, VLUXSEG2EI8_V }, // 4682
  { PseudoVLUXSEG2EI8_V_MF8_MF4, VLUXSEG2EI8_V }, // 4683
  { PseudoVLUXSEG2EI8_V_MF8_MF4_MASK, VLUXSEG2EI8_V }, // 4684
  { PseudoVLUXSEG2EI8_V_MF8_MF8, VLUXSEG2EI8_V }, // 4685
  { PseudoVLUXSEG2EI8_V_MF8_MF8_MASK, VLUXSEG2EI8_V }, // 4686
  { PseudoVLUXSEG3EI16_V_M1_M1, VLUXSEG3EI16_V }, // 4687
  { PseudoVLUXSEG3EI16_V_M1_M1_MASK, VLUXSEG3EI16_V }, // 4688
  { PseudoVLUXSEG3EI16_V_M1_M2, VLUXSEG3EI16_V }, // 4689
  { PseudoVLUXSEG3EI16_V_M1_M2_MASK, VLUXSEG3EI16_V }, // 4690
  { PseudoVLUXSEG3EI16_V_M1_MF2, VLUXSEG3EI16_V }, // 4691
  { PseudoVLUXSEG3EI16_V_M1_MF2_MASK, VLUXSEG3EI16_V }, // 4692
  { PseudoVLUXSEG3EI16_V_M2_M1, VLUXSEG3EI16_V }, // 4693
  { PseudoVLUXSEG3EI16_V_M2_M1_MASK, VLUXSEG3EI16_V }, // 4694
  { PseudoVLUXSEG3EI16_V_M2_M2, VLUXSEG3EI16_V }, // 4695
  { PseudoVLUXSEG3EI16_V_M2_M2_MASK, VLUXSEG3EI16_V }, // 4696
  { PseudoVLUXSEG3EI16_V_M4_M2, VLUXSEG3EI16_V }, // 4697
  { PseudoVLUXSEG3EI16_V_M4_M2_MASK, VLUXSEG3EI16_V }, // 4698
  { PseudoVLUXSEG3EI16_V_MF2_M1, VLUXSEG3EI16_V }, // 4699
  { PseudoVLUXSEG3EI16_V_MF2_M1_MASK, VLUXSEG3EI16_V }, // 4700
  { PseudoVLUXSEG3EI16_V_MF2_M2, VLUXSEG3EI16_V }, // 4701
  { PseudoVLUXSEG3EI16_V_MF2_M2_MASK, VLUXSEG3EI16_V }, // 4702
  { PseudoVLUXSEG3EI16_V_MF2_MF2, VLUXSEG3EI16_V }, // 4703
  { PseudoVLUXSEG3EI16_V_MF2_MF2_MASK, VLUXSEG3EI16_V }, // 4704
  { PseudoVLUXSEG3EI16_V_MF2_MF4, VLUXSEG3EI16_V }, // 4705
  { PseudoVLUXSEG3EI16_V_MF2_MF4_MASK, VLUXSEG3EI16_V }, // 4706
  { PseudoVLUXSEG3EI16_V_MF4_M1, VLUXSEG3EI16_V }, // 4707
  { PseudoVLUXSEG3EI16_V_MF4_M1_MASK, VLUXSEG3EI16_V }, // 4708
  { PseudoVLUXSEG3EI16_V_MF4_MF2, VLUXSEG3EI16_V }, // 4709
  { PseudoVLUXSEG3EI16_V_MF4_MF2_MASK, VLUXSEG3EI16_V }, // 4710
  { PseudoVLUXSEG3EI16_V_MF4_MF4, VLUXSEG3EI16_V }, // 4711
  { PseudoVLUXSEG3EI16_V_MF4_MF4_MASK, VLUXSEG3EI16_V }, // 4712
  { PseudoVLUXSEG3EI16_V_MF4_MF8, VLUXSEG3EI16_V }, // 4713
  { PseudoVLUXSEG3EI16_V_MF4_MF8_MASK, VLUXSEG3EI16_V }, // 4714
  { PseudoVLUXSEG3EI32_V_M1_M1, VLUXSEG3EI32_V }, // 4715
  { PseudoVLUXSEG3EI32_V_M1_M1_MASK, VLUXSEG3EI32_V }, // 4716
  { PseudoVLUXSEG3EI32_V_M1_M2, VLUXSEG3EI32_V }, // 4717
  { PseudoVLUXSEG3EI32_V_M1_M2_MASK, VLUXSEG3EI32_V }, // 4718
  { PseudoVLUXSEG3EI32_V_M1_MF2, VLUXSEG3EI32_V }, // 4719
  { PseudoVLUXSEG3EI32_V_M1_MF2_MASK, VLUXSEG3EI32_V }, // 4720
  { PseudoVLUXSEG3EI32_V_M1_MF4, VLUXSEG3EI32_V }, // 4721
  { PseudoVLUXSEG3EI32_V_M1_MF4_MASK, VLUXSEG3EI32_V }, // 4722
  { PseudoVLUXSEG3EI32_V_M2_M1, VLUXSEG3EI32_V }, // 4723
  { PseudoVLUXSEG3EI32_V_M2_M1_MASK, VLUXSEG3EI32_V }, // 4724
  { PseudoVLUXSEG3EI32_V_M2_M2, VLUXSEG3EI32_V }, // 4725
  { PseudoVLUXSEG3EI32_V_M2_M2_MASK, VLUXSEG3EI32_V }, // 4726
  { PseudoVLUXSEG3EI32_V_M2_MF2, VLUXSEG3EI32_V }, // 4727
  { PseudoVLUXSEG3EI32_V_M2_MF2_MASK, VLUXSEG3EI32_V }, // 4728
  { PseudoVLUXSEG3EI32_V_M4_M1, VLUXSEG3EI32_V }, // 4729
  { PseudoVLUXSEG3EI32_V_M4_M1_MASK, VLUXSEG3EI32_V }, // 4730
  { PseudoVLUXSEG3EI32_V_M4_M2, VLUXSEG3EI32_V }, // 4731
  { PseudoVLUXSEG3EI32_V_M4_M2_MASK, VLUXSEG3EI32_V }, // 4732
  { PseudoVLUXSEG3EI32_V_M8_M2, VLUXSEG3EI32_V }, // 4733
  { PseudoVLUXSEG3EI32_V_M8_M2_MASK, VLUXSEG3EI32_V }, // 4734
  { PseudoVLUXSEG3EI32_V_MF2_M1, VLUXSEG3EI32_V }, // 4735
  { PseudoVLUXSEG3EI32_V_MF2_M1_MASK, VLUXSEG3EI32_V }, // 4736
  { PseudoVLUXSEG3EI32_V_MF2_MF2, VLUXSEG3EI32_V }, // 4737
  { PseudoVLUXSEG3EI32_V_MF2_MF2_MASK, VLUXSEG3EI32_V }, // 4738
  { PseudoVLUXSEG3EI32_V_MF2_MF4, VLUXSEG3EI32_V }, // 4739
  { PseudoVLUXSEG3EI32_V_MF2_MF4_MASK, VLUXSEG3EI32_V }, // 4740
  { PseudoVLUXSEG3EI32_V_MF2_MF8, VLUXSEG3EI32_V }, // 4741
  { PseudoVLUXSEG3EI32_V_MF2_MF8_MASK, VLUXSEG3EI32_V }, // 4742
  { PseudoVLUXSEG3EI64_V_M1_M1, VLUXSEG3EI64_V }, // 4743
  { PseudoVLUXSEG3EI64_V_M1_M1_MASK, VLUXSEG3EI64_V }, // 4744
  { PseudoVLUXSEG3EI64_V_M1_MF2, VLUXSEG3EI64_V }, // 4745
  { PseudoVLUXSEG3EI64_V_M1_MF2_MASK, VLUXSEG3EI64_V }, // 4746
  { PseudoVLUXSEG3EI64_V_M1_MF4, VLUXSEG3EI64_V }, // 4747
  { PseudoVLUXSEG3EI64_V_M1_MF4_MASK, VLUXSEG3EI64_V }, // 4748
  { PseudoVLUXSEG3EI64_V_M1_MF8, VLUXSEG3EI64_V }, // 4749
  { PseudoVLUXSEG3EI64_V_M1_MF8_MASK, VLUXSEG3EI64_V }, // 4750
  { PseudoVLUXSEG3EI64_V_M2_M1, VLUXSEG3EI64_V }, // 4751
  { PseudoVLUXSEG3EI64_V_M2_M1_MASK, VLUXSEG3EI64_V }, // 4752
  { PseudoVLUXSEG3EI64_V_M2_M2, VLUXSEG3EI64_V }, // 4753
  { PseudoVLUXSEG3EI64_V_M2_M2_MASK, VLUXSEG3EI64_V }, // 4754
  { PseudoVLUXSEG3EI64_V_M2_MF2, VLUXSEG3EI64_V }, // 4755
  { PseudoVLUXSEG3EI64_V_M2_MF2_MASK, VLUXSEG3EI64_V }, // 4756
  { PseudoVLUXSEG3EI64_V_M2_MF4, VLUXSEG3EI64_V }, // 4757
  { PseudoVLUXSEG3EI64_V_M2_MF4_MASK, VLUXSEG3EI64_V }, // 4758
  { PseudoVLUXSEG3EI64_V_M4_M1, VLUXSEG3EI64_V }, // 4759
  { PseudoVLUXSEG3EI64_V_M4_M1_MASK, VLUXSEG3EI64_V }, // 4760
  { PseudoVLUXSEG3EI64_V_M4_M2, VLUXSEG3EI64_V }, // 4761
  { PseudoVLUXSEG3EI64_V_M4_M2_MASK, VLUXSEG3EI64_V }, // 4762
  { PseudoVLUXSEG3EI64_V_M4_MF2, VLUXSEG3EI64_V }, // 4763
  { PseudoVLUXSEG3EI64_V_M4_MF2_MASK, VLUXSEG3EI64_V }, // 4764
  { PseudoVLUXSEG3EI64_V_M8_M1, VLUXSEG3EI64_V }, // 4765
  { PseudoVLUXSEG3EI64_V_M8_M1_MASK, VLUXSEG3EI64_V }, // 4766
  { PseudoVLUXSEG3EI64_V_M8_M2, VLUXSEG3EI64_V }, // 4767
  { PseudoVLUXSEG3EI64_V_M8_M2_MASK, VLUXSEG3EI64_V }, // 4768
  { PseudoVLUXSEG3EI8_V_M1_M1, VLUXSEG3EI8_V }, // 4769
  { PseudoVLUXSEG3EI8_V_M1_M1_MASK, VLUXSEG3EI8_V }, // 4770
  { PseudoVLUXSEG3EI8_V_M1_M2, VLUXSEG3EI8_V }, // 4771
  { PseudoVLUXSEG3EI8_V_M1_M2_MASK, VLUXSEG3EI8_V }, // 4772
  { PseudoVLUXSEG3EI8_V_M2_M2, VLUXSEG3EI8_V }, // 4773
  { PseudoVLUXSEG3EI8_V_M2_M2_MASK, VLUXSEG3EI8_V }, // 4774
  { PseudoVLUXSEG3EI8_V_MF2_M1, VLUXSEG3EI8_V }, // 4775
  { PseudoVLUXSEG3EI8_V_MF2_M1_MASK, VLUXSEG3EI8_V }, // 4776
  { PseudoVLUXSEG3EI8_V_MF2_M2, VLUXSEG3EI8_V }, // 4777
  { PseudoVLUXSEG3EI8_V_MF2_M2_MASK, VLUXSEG3EI8_V }, // 4778
  { PseudoVLUXSEG3EI8_V_MF2_MF2, VLUXSEG3EI8_V }, // 4779
  { PseudoVLUXSEG3EI8_V_MF2_MF2_MASK, VLUXSEG3EI8_V }, // 4780
  { PseudoVLUXSEG3EI8_V_MF4_M1, VLUXSEG3EI8_V }, // 4781
  { PseudoVLUXSEG3EI8_V_MF4_M1_MASK, VLUXSEG3EI8_V }, // 4782
  { PseudoVLUXSEG3EI8_V_MF4_M2, VLUXSEG3EI8_V }, // 4783
  { PseudoVLUXSEG3EI8_V_MF4_M2_MASK, VLUXSEG3EI8_V }, // 4784
  { PseudoVLUXSEG3EI8_V_MF4_MF2, VLUXSEG3EI8_V }, // 4785
  { PseudoVLUXSEG3EI8_V_MF4_MF2_MASK, VLUXSEG3EI8_V }, // 4786
  { PseudoVLUXSEG3EI8_V_MF4_MF4, VLUXSEG3EI8_V }, // 4787
  { PseudoVLUXSEG3EI8_V_MF4_MF4_MASK, VLUXSEG3EI8_V }, // 4788
  { PseudoVLUXSEG3EI8_V_MF8_M1, VLUXSEG3EI8_V }, // 4789
  { PseudoVLUXSEG3EI8_V_MF8_M1_MASK, VLUXSEG3EI8_V }, // 4790
  { PseudoVLUXSEG3EI8_V_MF8_MF2, VLUXSEG3EI8_V }, // 4791
  { PseudoVLUXSEG3EI8_V_MF8_MF2_MASK, VLUXSEG3EI8_V }, // 4792
  { PseudoVLUXSEG3EI8_V_MF8_MF4, VLUXSEG3EI8_V }, // 4793
  { PseudoVLUXSEG3EI8_V_MF8_MF4_MASK, VLUXSEG3EI8_V }, // 4794
  { PseudoVLUXSEG3EI8_V_MF8_MF8, VLUXSEG3EI8_V }, // 4795
  { PseudoVLUXSEG3EI8_V_MF8_MF8_MASK, VLUXSEG3EI8_V }, // 4796
  { PseudoVLUXSEG4EI16_V_M1_M1, VLUXSEG4EI16_V }, // 4797
  { PseudoVLUXSEG4EI16_V_M1_M1_MASK, VLUXSEG4EI16_V }, // 4798
  { PseudoVLUXSEG4EI16_V_M1_M2, VLUXSEG4EI16_V }, // 4799
  { PseudoVLUXSEG4EI16_V_M1_M2_MASK, VLUXSEG4EI16_V }, // 4800
  { PseudoVLUXSEG4EI16_V_M1_MF2, VLUXSEG4EI16_V }, // 4801
  { PseudoVLUXSEG4EI16_V_M1_MF2_MASK, VLUXSEG4EI16_V }, // 4802
  { PseudoVLUXSEG4EI16_V_M2_M1, VLUXSEG4EI16_V }, // 4803
  { PseudoVLUXSEG4EI16_V_M2_M1_MASK, VLUXSEG4EI16_V }, // 4804
  { PseudoVLUXSEG4EI16_V_M2_M2, VLUXSEG4EI16_V }, // 4805
  { PseudoVLUXSEG4EI16_V_M2_M2_MASK, VLUXSEG4EI16_V }, // 4806
  { PseudoVLUXSEG4EI16_V_M4_M2, VLUXSEG4EI16_V }, // 4807
  { PseudoVLUXSEG4EI16_V_M4_M2_MASK, VLUXSEG4EI16_V }, // 4808
  { PseudoVLUXSEG4EI16_V_MF2_M1, VLUXSEG4EI16_V }, // 4809
  { PseudoVLUXSEG4EI16_V_MF2_M1_MASK, VLUXSEG4EI16_V }, // 4810
  { PseudoVLUXSEG4EI16_V_MF2_M2, VLUXSEG4EI16_V }, // 4811
  { PseudoVLUXSEG4EI16_V_MF2_M2_MASK, VLUXSEG4EI16_V }, // 4812
  { PseudoVLUXSEG4EI16_V_MF2_MF2, VLUXSEG4EI16_V }, // 4813
  { PseudoVLUXSEG4EI16_V_MF2_MF2_MASK, VLUXSEG4EI16_V }, // 4814
  { PseudoVLUXSEG4EI16_V_MF2_MF4, VLUXSEG4EI16_V }, // 4815
  { PseudoVLUXSEG4EI16_V_MF2_MF4_MASK, VLUXSEG4EI16_V }, // 4816
  { PseudoVLUXSEG4EI16_V_MF4_M1, VLUXSEG4EI16_V }, // 4817
  { PseudoVLUXSEG4EI16_V_MF4_M1_MASK, VLUXSEG4EI16_V }, // 4818
  { PseudoVLUXSEG4EI16_V_MF4_MF2, VLUXSEG4EI16_V }, // 4819
  { PseudoVLUXSEG4EI16_V_MF4_MF2_MASK, VLUXSEG4EI16_V }, // 4820
  { PseudoVLUXSEG4EI16_V_MF4_MF4, VLUXSEG4EI16_V }, // 4821
  { PseudoVLUXSEG4EI16_V_MF4_MF4_MASK, VLUXSEG4EI16_V }, // 4822
  { PseudoVLUXSEG4EI16_V_MF4_MF8, VLUXSEG4EI16_V }, // 4823
  { PseudoVLUXSEG4EI16_V_MF4_MF8_MASK, VLUXSEG4EI16_V }, // 4824
  { PseudoVLUXSEG4EI32_V_M1_M1, VLUXSEG4EI32_V }, // 4825
  { PseudoVLUXSEG4EI32_V_M1_M1_MASK, VLUXSEG4EI32_V }, // 4826
  { PseudoVLUXSEG4EI32_V_M1_M2, VLUXSEG4EI32_V }, // 4827
  { PseudoVLUXSEG4EI32_V_M1_M2_MASK, VLUXSEG4EI32_V }, // 4828
  { PseudoVLUXSEG4EI32_V_M1_MF2, VLUXSEG4EI32_V }, // 4829
  { PseudoVLUXSEG4EI32_V_M1_MF2_MASK, VLUXSEG4EI32_V }, // 4830
  { PseudoVLUXSEG4EI32_V_M1_MF4, VLUXSEG4EI32_V }, // 4831
  { PseudoVLUXSEG4EI32_V_M1_MF4_MASK, VLUXSEG4EI32_V }, // 4832
  { PseudoVLUXSEG4EI32_V_M2_M1, VLUXSEG4EI32_V }, // 4833
  { PseudoVLUXSEG4EI32_V_M2_M1_MASK, VLUXSEG4EI32_V }, // 4834
  { PseudoVLUXSEG4EI32_V_M2_M2, VLUXSEG4EI32_V }, // 4835
  { PseudoVLUXSEG4EI32_V_M2_M2_MASK, VLUXSEG4EI32_V }, // 4836
  { PseudoVLUXSEG4EI32_V_M2_MF2, VLUXSEG4EI32_V }, // 4837
  { PseudoVLUXSEG4EI32_V_M2_MF2_MASK, VLUXSEG4EI32_V }, // 4838
  { PseudoVLUXSEG4EI32_V_M4_M1, VLUXSEG4EI32_V }, // 4839
  { PseudoVLUXSEG4EI32_V_M4_M1_MASK, VLUXSEG4EI32_V }, // 4840
  { PseudoVLUXSEG4EI32_V_M4_M2, VLUXSEG4EI32_V }, // 4841
  { PseudoVLUXSEG4EI32_V_M4_M2_MASK, VLUXSEG4EI32_V }, // 4842
  { PseudoVLUXSEG4EI32_V_M8_M2, VLUXSEG4EI32_V }, // 4843
  { PseudoVLUXSEG4EI32_V_M8_M2_MASK, VLUXSEG4EI32_V }, // 4844
  { PseudoVLUXSEG4EI32_V_MF2_M1, VLUXSEG4EI32_V }, // 4845
  { PseudoVLUXSEG4EI32_V_MF2_M1_MASK, VLUXSEG4EI32_V }, // 4846
  { PseudoVLUXSEG4EI32_V_MF2_MF2, VLUXSEG4EI32_V }, // 4847
  { PseudoVLUXSEG4EI32_V_MF2_MF2_MASK, VLUXSEG4EI32_V }, // 4848
  { PseudoVLUXSEG4EI32_V_MF2_MF4, VLUXSEG4EI32_V }, // 4849
  { PseudoVLUXSEG4EI32_V_MF2_MF4_MASK, VLUXSEG4EI32_V }, // 4850
  { PseudoVLUXSEG4EI32_V_MF2_MF8, VLUXSEG4EI32_V }, // 4851
  { PseudoVLUXSEG4EI32_V_MF2_MF8_MASK, VLUXSEG4EI32_V }, // 4852
  { PseudoVLUXSEG4EI64_V_M1_M1, VLUXSEG4EI64_V }, // 4853
  { PseudoVLUXSEG4EI64_V_M1_M1_MASK, VLUXSEG4EI64_V }, // 4854
  { PseudoVLUXSEG4EI64_V_M1_MF2, VLUXSEG4EI64_V }, // 4855
  { PseudoVLUXSEG4EI64_V_M1_MF2_MASK, VLUXSEG4EI64_V }, // 4856
  { PseudoVLUXSEG4EI64_V_M1_MF4, VLUXSEG4EI64_V }, // 4857
  { PseudoVLUXSEG4EI64_V_M1_MF4_MASK, VLUXSEG4EI64_V }, // 4858
  { PseudoVLUXSEG4EI64_V_M1_MF8, VLUXSEG4EI64_V }, // 4859
  { PseudoVLUXSEG4EI64_V_M1_MF8_MASK, VLUXSEG4EI64_V }, // 4860
  { PseudoVLUXSEG4EI64_V_M2_M1, VLUXSEG4EI64_V }, // 4861
  { PseudoVLUXSEG4EI64_V_M2_M1_MASK, VLUXSEG4EI64_V }, // 4862
  { PseudoVLUXSEG4EI64_V_M2_M2, VLUXSEG4EI64_V }, // 4863
  { PseudoVLUXSEG4EI64_V_M2_M2_MASK, VLUXSEG4EI64_V }, // 4864
  { PseudoVLUXSEG4EI64_V_M2_MF2, VLUXSEG4EI64_V }, // 4865
  { PseudoVLUXSEG4EI64_V_M2_MF2_MASK, VLUXSEG4EI64_V }, // 4866
  { PseudoVLUXSEG4EI64_V_M2_MF4, VLUXSEG4EI64_V }, // 4867
  { PseudoVLUXSEG4EI64_V_M2_MF4_MASK, VLUXSEG4EI64_V }, // 4868
  { PseudoVLUXSEG4EI64_V_M4_M1, VLUXSEG4EI64_V }, // 4869
  { PseudoVLUXSEG4EI64_V_M4_M1_MASK, VLUXSEG4EI64_V }, // 4870
  { PseudoVLUXSEG4EI64_V_M4_M2, VLUXSEG4EI64_V }, // 4871
  { PseudoVLUXSEG4EI64_V_M4_M2_MASK, VLUXSEG4EI64_V }, // 4872
  { PseudoVLUXSEG4EI64_V_M4_MF2, VLUXSEG4EI64_V }, // 4873
  { PseudoVLUXSEG4EI64_V_M4_MF2_MASK, VLUXSEG4EI64_V }, // 4874
  { PseudoVLUXSEG4EI64_V_M8_M1, VLUXSEG4EI64_V }, // 4875
  { PseudoVLUXSEG4EI64_V_M8_M1_MASK, VLUXSEG4EI64_V }, // 4876
  { PseudoVLUXSEG4EI64_V_M8_M2, VLUXSEG4EI64_V }, // 4877
  { PseudoVLUXSEG4EI64_V_M8_M2_MASK, VLUXSEG4EI64_V }, // 4878
  { PseudoVLUXSEG4EI8_V_M1_M1, VLUXSEG4EI8_V }, // 4879
  { PseudoVLUXSEG4EI8_V_M1_M1_MASK, VLUXSEG4EI8_V }, // 4880
  { PseudoVLUXSEG4EI8_V_M1_M2, VLUXSEG4EI8_V }, // 4881
  { PseudoVLUXSEG4EI8_V_M1_M2_MASK, VLUXSEG4EI8_V }, // 4882
  { PseudoVLUXSEG4EI8_V_M2_M2, VLUXSEG4EI8_V }, // 4883
  { PseudoVLUXSEG4EI8_V_M2_M2_MASK, VLUXSEG4EI8_V }, // 4884
  { PseudoVLUXSEG4EI8_V_MF2_M1, VLUXSEG4EI8_V }, // 4885
  { PseudoVLUXSEG4EI8_V_MF2_M1_MASK, VLUXSEG4EI8_V }, // 4886
  { PseudoVLUXSEG4EI8_V_MF2_M2, VLUXSEG4EI8_V }, // 4887
  { PseudoVLUXSEG4EI8_V_MF2_M2_MASK, VLUXSEG4EI8_V }, // 4888
  { PseudoVLUXSEG4EI8_V_MF2_MF2, VLUXSEG4EI8_V }, // 4889
  { PseudoVLUXSEG4EI8_V_MF2_MF2_MASK, VLUXSEG4EI8_V }, // 4890
  { PseudoVLUXSEG4EI8_V_MF4_M1, VLUXSEG4EI8_V }, // 4891
  { PseudoVLUXSEG4EI8_V_MF4_M1_MASK, VLUXSEG4EI8_V }, // 4892
  { PseudoVLUXSEG4EI8_V_MF4_M2, VLUXSEG4EI8_V }, // 4893
  { PseudoVLUXSEG4EI8_V_MF4_M2_MASK, VLUXSEG4EI8_V }, // 4894
  { PseudoVLUXSEG4EI8_V_MF4_MF2, VLUXSEG4EI8_V }, // 4895
  { PseudoVLUXSEG4EI8_V_MF4_MF2_MASK, VLUXSEG4EI8_V }, // 4896
  { PseudoVLUXSEG4EI8_V_MF4_MF4, VLUXSEG4EI8_V }, // 4897
  { PseudoVLUXSEG4EI8_V_MF4_MF4_MASK, VLUXSEG4EI8_V }, // 4898
  { PseudoVLUXSEG4EI8_V_MF8_M1, VLUXSEG4EI8_V }, // 4899
  { PseudoVLUXSEG4EI8_V_MF8_M1_MASK, VLUXSEG4EI8_V }, // 4900
  { PseudoVLUXSEG4EI8_V_MF8_MF2, VLUXSEG4EI8_V }, // 4901
  { PseudoVLUXSEG4EI8_V_MF8_MF2_MASK, VLUXSEG4EI8_V }, // 4902
  { PseudoVLUXSEG4EI8_V_MF8_MF4, VLUXSEG4EI8_V }, // 4903
  { PseudoVLUXSEG4EI8_V_MF8_MF4_MASK, VLUXSEG4EI8_V }, // 4904
  { PseudoVLUXSEG4EI8_V_MF8_MF8, VLUXSEG4EI8_V }, // 4905
  { PseudoVLUXSEG4EI8_V_MF8_MF8_MASK, VLUXSEG4EI8_V }, // 4906
  { PseudoVLUXSEG5EI16_V_M1_M1, VLUXSEG5EI16_V }, // 4907
  { PseudoVLUXSEG5EI16_V_M1_M1_MASK, VLUXSEG5EI16_V }, // 4908
  { PseudoVLUXSEG5EI16_V_M1_MF2, VLUXSEG5EI16_V }, // 4909
  { PseudoVLUXSEG5EI16_V_M1_MF2_MASK, VLUXSEG5EI16_V }, // 4910
  { PseudoVLUXSEG5EI16_V_M2_M1, VLUXSEG5EI16_V }, // 4911
  { PseudoVLUXSEG5EI16_V_M2_M1_MASK, VLUXSEG5EI16_V }, // 4912
  { PseudoVLUXSEG5EI16_V_MF2_M1, VLUXSEG5EI16_V }, // 4913
  { PseudoVLUXSEG5EI16_V_MF2_M1_MASK, VLUXSEG5EI16_V }, // 4914
  { PseudoVLUXSEG5EI16_V_MF2_MF2, VLUXSEG5EI16_V }, // 4915
  { PseudoVLUXSEG5EI16_V_MF2_MF2_MASK, VLUXSEG5EI16_V }, // 4916
  { PseudoVLUXSEG5EI16_V_MF2_MF4, VLUXSEG5EI16_V }, // 4917
  { PseudoVLUXSEG5EI16_V_MF2_MF4_MASK, VLUXSEG5EI16_V }, // 4918
  { PseudoVLUXSEG5EI16_V_MF4_M1, VLUXSEG5EI16_V }, // 4919
  { PseudoVLUXSEG5EI16_V_MF4_M1_MASK, VLUXSEG5EI16_V }, // 4920
  { PseudoVLUXSEG5EI16_V_MF4_MF2, VLUXSEG5EI16_V }, // 4921
  { PseudoVLUXSEG5EI16_V_MF4_MF2_MASK, VLUXSEG5EI16_V }, // 4922
  { PseudoVLUXSEG5EI16_V_MF4_MF4, VLUXSEG5EI16_V }, // 4923
  { PseudoVLUXSEG5EI16_V_MF4_MF4_MASK, VLUXSEG5EI16_V }, // 4924
  { PseudoVLUXSEG5EI16_V_MF4_MF8, VLUXSEG5EI16_V }, // 4925
  { PseudoVLUXSEG5EI16_V_MF4_MF8_MASK, VLUXSEG5EI16_V }, // 4926
  { PseudoVLUXSEG5EI32_V_M1_M1, VLUXSEG5EI32_V }, // 4927
  { PseudoVLUXSEG5EI32_V_M1_M1_MASK, VLUXSEG5EI32_V }, // 4928
  { PseudoVLUXSEG5EI32_V_M1_MF2, VLUXSEG5EI32_V }, // 4929
  { PseudoVLUXSEG5EI32_V_M1_MF2_MASK, VLUXSEG5EI32_V }, // 4930
  { PseudoVLUXSEG5EI32_V_M1_MF4, VLUXSEG5EI32_V }, // 4931
  { PseudoVLUXSEG5EI32_V_M1_MF4_MASK, VLUXSEG5EI32_V }, // 4932
  { PseudoVLUXSEG5EI32_V_M2_M1, VLUXSEG5EI32_V }, // 4933
  { PseudoVLUXSEG5EI32_V_M2_M1_MASK, VLUXSEG5EI32_V }, // 4934
  { PseudoVLUXSEG5EI32_V_M2_MF2, VLUXSEG5EI32_V }, // 4935
  { PseudoVLUXSEG5EI32_V_M2_MF2_MASK, VLUXSEG5EI32_V }, // 4936
  { PseudoVLUXSEG5EI32_V_M4_M1, VLUXSEG5EI32_V }, // 4937
  { PseudoVLUXSEG5EI32_V_M4_M1_MASK, VLUXSEG5EI32_V }, // 4938
  { PseudoVLUXSEG5EI32_V_MF2_M1, VLUXSEG5EI32_V }, // 4939
  { PseudoVLUXSEG5EI32_V_MF2_M1_MASK, VLUXSEG5EI32_V }, // 4940
  { PseudoVLUXSEG5EI32_V_MF2_MF2, VLUXSEG5EI32_V }, // 4941
  { PseudoVLUXSEG5EI32_V_MF2_MF2_MASK, VLUXSEG5EI32_V }, // 4942
  { PseudoVLUXSEG5EI32_V_MF2_MF4, VLUXSEG5EI32_V }, // 4943
  { PseudoVLUXSEG5EI32_V_MF2_MF4_MASK, VLUXSEG5EI32_V }, // 4944
  { PseudoVLUXSEG5EI32_V_MF2_MF8, VLUXSEG5EI32_V }, // 4945
  { PseudoVLUXSEG5EI32_V_MF2_MF8_MASK, VLUXSEG5EI32_V }, // 4946
  { PseudoVLUXSEG5EI64_V_M1_M1, VLUXSEG5EI64_V }, // 4947
  { PseudoVLUXSEG5EI64_V_M1_M1_MASK, VLUXSEG5EI64_V }, // 4948
  { PseudoVLUXSEG5EI64_V_M1_MF2, VLUXSEG5EI64_V }, // 4949
  { PseudoVLUXSEG5EI64_V_M1_MF2_MASK, VLUXSEG5EI64_V }, // 4950
  { PseudoVLUXSEG5EI64_V_M1_MF4, VLUXSEG5EI64_V }, // 4951
  { PseudoVLUXSEG5EI64_V_M1_MF4_MASK, VLUXSEG5EI64_V }, // 4952
  { PseudoVLUXSEG5EI64_V_M1_MF8, VLUXSEG5EI64_V }, // 4953
  { PseudoVLUXSEG5EI64_V_M1_MF8_MASK, VLUXSEG5EI64_V }, // 4954
  { PseudoVLUXSEG5EI64_V_M2_M1, VLUXSEG5EI64_V }, // 4955
  { PseudoVLUXSEG5EI64_V_M2_M1_MASK, VLUXSEG5EI64_V }, // 4956
  { PseudoVLUXSEG5EI64_V_M2_MF2, VLUXSEG5EI64_V }, // 4957
  { PseudoVLUXSEG5EI64_V_M2_MF2_MASK, VLUXSEG5EI64_V }, // 4958
  { PseudoVLUXSEG5EI64_V_M2_MF4, VLUXSEG5EI64_V }, // 4959
  { PseudoVLUXSEG5EI64_V_M2_MF4_MASK, VLUXSEG5EI64_V }, // 4960
  { PseudoVLUXSEG5EI64_V_M4_M1, VLUXSEG5EI64_V }, // 4961
  { PseudoVLUXSEG5EI64_V_M4_M1_MASK, VLUXSEG5EI64_V }, // 4962
  { PseudoVLUXSEG5EI64_V_M4_MF2, VLUXSEG5EI64_V }, // 4963
  { PseudoVLUXSEG5EI64_V_M4_MF2_MASK, VLUXSEG5EI64_V }, // 4964
  { PseudoVLUXSEG5EI64_V_M8_M1, VLUXSEG5EI64_V }, // 4965
  { PseudoVLUXSEG5EI64_V_M8_M1_MASK, VLUXSEG5EI64_V }, // 4966
  { PseudoVLUXSEG5EI8_V_M1_M1, VLUXSEG5EI8_V }, // 4967
  { PseudoVLUXSEG5EI8_V_M1_M1_MASK, VLUXSEG5EI8_V }, // 4968
  { PseudoVLUXSEG5EI8_V_MF2_M1, VLUXSEG5EI8_V }, // 4969
  { PseudoVLUXSEG5EI8_V_MF2_M1_MASK, VLUXSEG5EI8_V }, // 4970
  { PseudoVLUXSEG5EI8_V_MF2_MF2, VLUXSEG5EI8_V }, // 4971
  { PseudoVLUXSEG5EI8_V_MF2_MF2_MASK, VLUXSEG5EI8_V }, // 4972
  { PseudoVLUXSEG5EI8_V_MF4_M1, VLUXSEG5EI8_V }, // 4973
  { PseudoVLUXSEG5EI8_V_MF4_M1_MASK, VLUXSEG5EI8_V }, // 4974
  { PseudoVLUXSEG5EI8_V_MF4_MF2, VLUXSEG5EI8_V }, // 4975
  { PseudoVLUXSEG5EI8_V_MF4_MF2_MASK, VLUXSEG5EI8_V }, // 4976
  { PseudoVLUXSEG5EI8_V_MF4_MF4, VLUXSEG5EI8_V }, // 4977
  { PseudoVLUXSEG5EI8_V_MF4_MF4_MASK, VLUXSEG5EI8_V }, // 4978
  { PseudoVLUXSEG5EI8_V_MF8_M1, VLUXSEG5EI8_V }, // 4979
  { PseudoVLUXSEG5EI8_V_MF8_M1_MASK, VLUXSEG5EI8_V }, // 4980
  { PseudoVLUXSEG5EI8_V_MF8_MF2, VLUXSEG5EI8_V }, // 4981
  { PseudoVLUXSEG5EI8_V_MF8_MF2_MASK, VLUXSEG5EI8_V }, // 4982
  { PseudoVLUXSEG5EI8_V_MF8_MF4, VLUXSEG5EI8_V }, // 4983
  { PseudoVLUXSEG5EI8_V_MF8_MF4_MASK, VLUXSEG5EI8_V }, // 4984
  { PseudoVLUXSEG5EI8_V_MF8_MF8, VLUXSEG5EI8_V }, // 4985
  { PseudoVLUXSEG5EI8_V_MF8_MF8_MASK, VLUXSEG5EI8_V }, // 4986
  { PseudoVLUXSEG6EI16_V_M1_M1, VLUXSEG6EI16_V }, // 4987
  { PseudoVLUXSEG6EI16_V_M1_M1_MASK, VLUXSEG6EI16_V }, // 4988
  { PseudoVLUXSEG6EI16_V_M1_MF2, VLUXSEG6EI16_V }, // 4989
  { PseudoVLUXSEG6EI16_V_M1_MF2_MASK, VLUXSEG6EI16_V }, // 4990
  { PseudoVLUXSEG6EI16_V_M2_M1, VLUXSEG6EI16_V }, // 4991
  { PseudoVLUXSEG6EI16_V_M2_M1_MASK, VLUXSEG6EI16_V }, // 4992
  { PseudoVLUXSEG6EI16_V_MF2_M1, VLUXSEG6EI16_V }, // 4993
  { PseudoVLUXSEG6EI16_V_MF2_M1_MASK, VLUXSEG6EI16_V }, // 4994
  { PseudoVLUXSEG6EI16_V_MF2_MF2, VLUXSEG6EI16_V }, // 4995
  { PseudoVLUXSEG6EI16_V_MF2_MF2_MASK, VLUXSEG6EI16_V }, // 4996
  { PseudoVLUXSEG6EI16_V_MF2_MF4, VLUXSEG6EI16_V }, // 4997
  { PseudoVLUXSEG6EI16_V_MF2_MF4_MASK, VLUXSEG6EI16_V }, // 4998
  { PseudoVLUXSEG6EI16_V_MF4_M1, VLUXSEG6EI16_V }, // 4999
  { PseudoVLUXSEG6EI16_V_MF4_M1_MASK, VLUXSEG6EI16_V }, // 5000
  { PseudoVLUXSEG6EI16_V_MF4_MF2, VLUXSEG6EI16_V }, // 5001
  { PseudoVLUXSEG6EI16_V_MF4_MF2_MASK, VLUXSEG6EI16_V }, // 5002
  { PseudoVLUXSEG6EI16_V_MF4_MF4, VLUXSEG6EI16_V }, // 5003
  { PseudoVLUXSEG6EI16_V_MF4_MF4_MASK, VLUXSEG6EI16_V }, // 5004
  { PseudoVLUXSEG6EI16_V_MF4_MF8, VLUXSEG6EI16_V }, // 5005
  { PseudoVLUXSEG6EI16_V_MF4_MF8_MASK, VLUXSEG6EI16_V }, // 5006
  { PseudoVLUXSEG6EI32_V_M1_M1, VLUXSEG6EI32_V }, // 5007
  { PseudoVLUXSEG6EI32_V_M1_M1_MASK, VLUXSEG6EI32_V }, // 5008
  { PseudoVLUXSEG6EI32_V_M1_MF2, VLUXSEG6EI32_V }, // 5009
  { PseudoVLUXSEG6EI32_V_M1_MF2_MASK, VLUXSEG6EI32_V }, // 5010
  { PseudoVLUXSEG6EI32_V_M1_MF4, VLUXSEG6EI32_V }, // 5011
  { PseudoVLUXSEG6EI32_V_M1_MF4_MASK, VLUXSEG6EI32_V }, // 5012
  { PseudoVLUXSEG6EI32_V_M2_M1, VLUXSEG6EI32_V }, // 5013
  { PseudoVLUXSEG6EI32_V_M2_M1_MASK, VLUXSEG6EI32_V }, // 5014
  { PseudoVLUXSEG6EI32_V_M2_MF2, VLUXSEG6EI32_V }, // 5015
  { PseudoVLUXSEG6EI32_V_M2_MF2_MASK, VLUXSEG6EI32_V }, // 5016
  { PseudoVLUXSEG6EI32_V_M4_M1, VLUXSEG6EI32_V }, // 5017
  { PseudoVLUXSEG6EI32_V_M4_M1_MASK, VLUXSEG6EI32_V }, // 5018
  { PseudoVLUXSEG6EI32_V_MF2_M1, VLUXSEG6EI32_V }, // 5019
  { PseudoVLUXSEG6EI32_V_MF2_M1_MASK, VLUXSEG6EI32_V }, // 5020
  { PseudoVLUXSEG6EI32_V_MF2_MF2, VLUXSEG6EI32_V }, // 5021
  { PseudoVLUXSEG6EI32_V_MF2_MF2_MASK, VLUXSEG6EI32_V }, // 5022
  { PseudoVLUXSEG6EI32_V_MF2_MF4, VLUXSEG6EI32_V }, // 5023
  { PseudoVLUXSEG6EI32_V_MF2_MF4_MASK, VLUXSEG6EI32_V }, // 5024
  { PseudoVLUXSEG6EI32_V_MF2_MF8, VLUXSEG6EI32_V }, // 5025
  { PseudoVLUXSEG6EI32_V_MF2_MF8_MASK, VLUXSEG6EI32_V }, // 5026
  { PseudoVLUXSEG6EI64_V_M1_M1, VLUXSEG6EI64_V }, // 5027
  { PseudoVLUXSEG6EI64_V_M1_M1_MASK, VLUXSEG6EI64_V }, // 5028
  { PseudoVLUXSEG6EI64_V_M1_MF2, VLUXSEG6EI64_V }, // 5029
  { PseudoVLUXSEG6EI64_V_M1_MF2_MASK, VLUXSEG6EI64_V }, // 5030
  { PseudoVLUXSEG6EI64_V_M1_MF4, VLUXSEG6EI64_V }, // 5031
  { PseudoVLUXSEG6EI64_V_M1_MF4_MASK, VLUXSEG6EI64_V }, // 5032
  { PseudoVLUXSEG6EI64_V_M1_MF8, VLUXSEG6EI64_V }, // 5033
  { PseudoVLUXSEG6EI64_V_M1_MF8_MASK, VLUXSEG6EI64_V }, // 5034
  { PseudoVLUXSEG6EI64_V_M2_M1, VLUXSEG6EI64_V }, // 5035
  { PseudoVLUXSEG6EI64_V_M2_M1_MASK, VLUXSEG6EI64_V }, // 5036
  { PseudoVLUXSEG6EI64_V_M2_MF2, VLUXSEG6EI64_V }, // 5037
  { PseudoVLUXSEG6EI64_V_M2_MF2_MASK, VLUXSEG6EI64_V }, // 5038
  { PseudoVLUXSEG6EI64_V_M2_MF4, VLUXSEG6EI64_V }, // 5039
  { PseudoVLUXSEG6EI64_V_M2_MF4_MASK, VLUXSEG6EI64_V }, // 5040
  { PseudoVLUXSEG6EI64_V_M4_M1, VLUXSEG6EI64_V }, // 5041
  { PseudoVLUXSEG6EI64_V_M4_M1_MASK, VLUXSEG6EI64_V }, // 5042
  { PseudoVLUXSEG6EI64_V_M4_MF2, VLUXSEG6EI64_V }, // 5043
  { PseudoVLUXSEG6EI64_V_M4_MF2_MASK, VLUXSEG6EI64_V }, // 5044
  { PseudoVLUXSEG6EI64_V_M8_M1, VLUXSEG6EI64_V }, // 5045
  { PseudoVLUXSEG6EI64_V_M8_M1_MASK, VLUXSEG6EI64_V }, // 5046
  { PseudoVLUXSEG6EI8_V_M1_M1, VLUXSEG6EI8_V }, // 5047
  { PseudoVLUXSEG6EI8_V_M1_M1_MASK, VLUXSEG6EI8_V }, // 5048
  { PseudoVLUXSEG6EI8_V_MF2_M1, VLUXSEG6EI8_V }, // 5049
  { PseudoVLUXSEG6EI8_V_MF2_M1_MASK, VLUXSEG6EI8_V }, // 5050
  { PseudoVLUXSEG6EI8_V_MF2_MF2, VLUXSEG6EI8_V }, // 5051
  { PseudoVLUXSEG6EI8_V_MF2_MF2_MASK, VLUXSEG6EI8_V }, // 5052
  { PseudoVLUXSEG6EI8_V_MF4_M1, VLUXSEG6EI8_V }, // 5053
  { PseudoVLUXSEG6EI8_V_MF4_M1_MASK, VLUXSEG6EI8_V }, // 5054
  { PseudoVLUXSEG6EI8_V_MF4_MF2, VLUXSEG6EI8_V }, // 5055
  { PseudoVLUXSEG6EI8_V_MF4_MF2_MASK, VLUXSEG6EI8_V }, // 5056
  { PseudoVLUXSEG6EI8_V_MF4_MF4, VLUXSEG6EI8_V }, // 5057
  { PseudoVLUXSEG6EI8_V_MF4_MF4_MASK, VLUXSEG6EI8_V }, // 5058
  { PseudoVLUXSEG6EI8_V_MF8_M1, VLUXSEG6EI8_V }, // 5059
  { PseudoVLUXSEG6EI8_V_MF8_M1_MASK, VLUXSEG6EI8_V }, // 5060
  { PseudoVLUXSEG6EI8_V_MF8_MF2, VLUXSEG6EI8_V }, // 5061
  { PseudoVLUXSEG6EI8_V_MF8_MF2_MASK, VLUXSEG6EI8_V }, // 5062
  { PseudoVLUXSEG6EI8_V_MF8_MF4, VLUXSEG6EI8_V }, // 5063
  { PseudoVLUXSEG6EI8_V_MF8_MF4_MASK, VLUXSEG6EI8_V }, // 5064
  { PseudoVLUXSEG6EI8_V_MF8_MF8, VLUXSEG6EI8_V }, // 5065
  { PseudoVLUXSEG6EI8_V_MF8_MF8_MASK, VLUXSEG6EI8_V }, // 5066
  { PseudoVLUXSEG7EI16_V_M1_M1, VLUXSEG7EI16_V }, // 5067
  { PseudoVLUXSEG7EI16_V_M1_M1_MASK, VLUXSEG7EI16_V }, // 5068
  { PseudoVLUXSEG7EI16_V_M1_MF2, VLUXSEG7EI16_V }, // 5069
  { PseudoVLUXSEG7EI16_V_M1_MF2_MASK, VLUXSEG7EI16_V }, // 5070
  { PseudoVLUXSEG7EI16_V_M2_M1, VLUXSEG7EI16_V }, // 5071
  { PseudoVLUXSEG7EI16_V_M2_M1_MASK, VLUXSEG7EI16_V }, // 5072
  { PseudoVLUXSEG7EI16_V_MF2_M1, VLUXSEG7EI16_V }, // 5073
  { PseudoVLUXSEG7EI16_V_MF2_M1_MASK, VLUXSEG7EI16_V }, // 5074
  { PseudoVLUXSEG7EI16_V_MF2_MF2, VLUXSEG7EI16_V }, // 5075
  { PseudoVLUXSEG7EI16_V_MF2_MF2_MASK, VLUXSEG7EI16_V }, // 5076
  { PseudoVLUXSEG7EI16_V_MF2_MF4, VLUXSEG7EI16_V }, // 5077
  { PseudoVLUXSEG7EI16_V_MF2_MF4_MASK, VLUXSEG7EI16_V }, // 5078
  { PseudoVLUXSEG7EI16_V_MF4_M1, VLUXSEG7EI16_V }, // 5079
  { PseudoVLUXSEG7EI16_V_MF4_M1_MASK, VLUXSEG7EI16_V }, // 5080
  { PseudoVLUXSEG7EI16_V_MF4_MF2, VLUXSEG7EI16_V }, // 5081
  { PseudoVLUXSEG7EI16_V_MF4_MF2_MASK, VLUXSEG7EI16_V }, // 5082
  { PseudoVLUXSEG7EI16_V_MF4_MF4, VLUXSEG7EI16_V }, // 5083
  { PseudoVLUXSEG7EI16_V_MF4_MF4_MASK, VLUXSEG7EI16_V }, // 5084
  { PseudoVLUXSEG7EI16_V_MF4_MF8, VLUXSEG7EI16_V }, // 5085
  { PseudoVLUXSEG7EI16_V_MF4_MF8_MASK, VLUXSEG7EI16_V }, // 5086
  { PseudoVLUXSEG7EI32_V_M1_M1, VLUXSEG7EI32_V }, // 5087
  { PseudoVLUXSEG7EI32_V_M1_M1_MASK, VLUXSEG7EI32_V }, // 5088
  { PseudoVLUXSEG7EI32_V_M1_MF2, VLUXSEG7EI32_V }, // 5089
  { PseudoVLUXSEG7EI32_V_M1_MF2_MASK, VLUXSEG7EI32_V }, // 5090
  { PseudoVLUXSEG7EI32_V_M1_MF4, VLUXSEG7EI32_V }, // 5091
  { PseudoVLUXSEG7EI32_V_M1_MF4_MASK, VLUXSEG7EI32_V }, // 5092
  { PseudoVLUXSEG7EI32_V_M2_M1, VLUXSEG7EI32_V }, // 5093
  { PseudoVLUXSEG7EI32_V_M2_M1_MASK, VLUXSEG7EI32_V }, // 5094
  { PseudoVLUXSEG7EI32_V_M2_MF2, VLUXSEG7EI32_V }, // 5095
  { PseudoVLUXSEG7EI32_V_M2_MF2_MASK, VLUXSEG7EI32_V }, // 5096
  { PseudoVLUXSEG7EI32_V_M4_M1, VLUXSEG7EI32_V }, // 5097
  { PseudoVLUXSEG7EI32_V_M4_M1_MASK, VLUXSEG7EI32_V }, // 5098
  { PseudoVLUXSEG7EI32_V_MF2_M1, VLUXSEG7EI32_V }, // 5099
  { PseudoVLUXSEG7EI32_V_MF2_M1_MASK, VLUXSEG7EI32_V }, // 5100
  { PseudoVLUXSEG7EI32_V_MF2_MF2, VLUXSEG7EI32_V }, // 5101
  { PseudoVLUXSEG7EI32_V_MF2_MF2_MASK, VLUXSEG7EI32_V }, // 5102
  { PseudoVLUXSEG7EI32_V_MF2_MF4, VLUXSEG7EI32_V }, // 5103
  { PseudoVLUXSEG7EI32_V_MF2_MF4_MASK, VLUXSEG7EI32_V }, // 5104
  { PseudoVLUXSEG7EI32_V_MF2_MF8, VLUXSEG7EI32_V }, // 5105
  { PseudoVLUXSEG7EI32_V_MF2_MF8_MASK, VLUXSEG7EI32_V }, // 5106
  { PseudoVLUXSEG7EI64_V_M1_M1, VLUXSEG7EI64_V }, // 5107
  { PseudoVLUXSEG7EI64_V_M1_M1_MASK, VLUXSEG7EI64_V }, // 5108
  { PseudoVLUXSEG7EI64_V_M1_MF2, VLUXSEG7EI64_V }, // 5109
  { PseudoVLUXSEG7EI64_V_M1_MF2_MASK, VLUXSEG7EI64_V }, // 5110
  { PseudoVLUXSEG7EI64_V_M1_MF4, VLUXSEG7EI64_V }, // 5111
  { PseudoVLUXSEG7EI64_V_M1_MF4_MASK, VLUXSEG7EI64_V }, // 5112
  { PseudoVLUXSEG7EI64_V_M1_MF8, VLUXSEG7EI64_V }, // 5113
  { PseudoVLUXSEG7EI64_V_M1_MF8_MASK, VLUXSEG7EI64_V }, // 5114
  { PseudoVLUXSEG7EI64_V_M2_M1, VLUXSEG7EI64_V }, // 5115
  { PseudoVLUXSEG7EI64_V_M2_M1_MASK, VLUXSEG7EI64_V }, // 5116
  { PseudoVLUXSEG7EI64_V_M2_MF2, VLUXSEG7EI64_V }, // 5117
  { PseudoVLUXSEG7EI64_V_M2_MF2_MASK, VLUXSEG7EI64_V }, // 5118
  { PseudoVLUXSEG7EI64_V_M2_MF4, VLUXSEG7EI64_V }, // 5119
  { PseudoVLUXSEG7EI64_V_M2_MF4_MASK, VLUXSEG7EI64_V }, // 5120
  { PseudoVLUXSEG7EI64_V_M4_M1, VLUXSEG7EI64_V }, // 5121
  { PseudoVLUXSEG7EI64_V_M4_M1_MASK, VLUXSEG7EI64_V }, // 5122
  { PseudoVLUXSEG7EI64_V_M4_MF2, VLUXSEG7EI64_V }, // 5123
  { PseudoVLUXSEG7EI64_V_M4_MF2_MASK, VLUXSEG7EI64_V }, // 5124
  { PseudoVLUXSEG7EI64_V_M8_M1, VLUXSEG7EI64_V }, // 5125
  { PseudoVLUXSEG7EI64_V_M8_M1_MASK, VLUXSEG7EI64_V }, // 5126
  { PseudoVLUXSEG7EI8_V_M1_M1, VLUXSEG7EI8_V }, // 5127
  { PseudoVLUXSEG7EI8_V_M1_M1_MASK, VLUXSEG7EI8_V }, // 5128
  { PseudoVLUXSEG7EI8_V_MF2_M1, VLUXSEG7EI8_V }, // 5129
  { PseudoVLUXSEG7EI8_V_MF2_M1_MASK, VLUXSEG7EI8_V }, // 5130
  { PseudoVLUXSEG7EI8_V_MF2_MF2, VLUXSEG7EI8_V }, // 5131
  { PseudoVLUXSEG7EI8_V_MF2_MF2_MASK, VLUXSEG7EI8_V }, // 5132
  { PseudoVLUXSEG7EI8_V_MF4_M1, VLUXSEG7EI8_V }, // 5133
  { PseudoVLUXSEG7EI8_V_MF4_M1_MASK, VLUXSEG7EI8_V }, // 5134
  { PseudoVLUXSEG7EI8_V_MF4_MF2, VLUXSEG7EI8_V }, // 5135
  { PseudoVLUXSEG7EI8_V_MF4_MF2_MASK, VLUXSEG7EI8_V }, // 5136
  { PseudoVLUXSEG7EI8_V_MF4_MF4, VLUXSEG7EI8_V }, // 5137
  { PseudoVLUXSEG7EI8_V_MF4_MF4_MASK, VLUXSEG7EI8_V }, // 5138
  { PseudoVLUXSEG7EI8_V_MF8_M1, VLUXSEG7EI8_V }, // 5139
  { PseudoVLUXSEG7EI8_V_MF8_M1_MASK, VLUXSEG7EI8_V }, // 5140
  { PseudoVLUXSEG7EI8_V_MF8_MF2, VLUXSEG7EI8_V }, // 5141
  { PseudoVLUXSEG7EI8_V_MF8_MF2_MASK, VLUXSEG7EI8_V }, // 5142
  { PseudoVLUXSEG7EI8_V_MF8_MF4, VLUXSEG7EI8_V }, // 5143
  { PseudoVLUXSEG7EI8_V_MF8_MF4_MASK, VLUXSEG7EI8_V }, // 5144
  { PseudoVLUXSEG7EI8_V_MF8_MF8, VLUXSEG7EI8_V }, // 5145
  { PseudoVLUXSEG7EI8_V_MF8_MF8_MASK, VLUXSEG7EI8_V }, // 5146
  { PseudoVLUXSEG8EI16_V_M1_M1, VLUXSEG8EI16_V }, // 5147
  { PseudoVLUXSEG8EI16_V_M1_M1_MASK, VLUXSEG8EI16_V }, // 5148
  { PseudoVLUXSEG8EI16_V_M1_MF2, VLUXSEG8EI16_V }, // 5149
  { PseudoVLUXSEG8EI16_V_M1_MF2_MASK, VLUXSEG8EI16_V }, // 5150
  { PseudoVLUXSEG8EI16_V_M2_M1, VLUXSEG8EI16_V }, // 5151
  { PseudoVLUXSEG8EI16_V_M2_M1_MASK, VLUXSEG8EI16_V }, // 5152
  { PseudoVLUXSEG8EI16_V_MF2_M1, VLUXSEG8EI16_V }, // 5153
  { PseudoVLUXSEG8EI16_V_MF2_M1_MASK, VLUXSEG8EI16_V }, // 5154
  { PseudoVLUXSEG8EI16_V_MF2_MF2, VLUXSEG8EI16_V }, // 5155
  { PseudoVLUXSEG8EI16_V_MF2_MF2_MASK, VLUXSEG8EI16_V }, // 5156
  { PseudoVLUXSEG8EI16_V_MF2_MF4, VLUXSEG8EI16_V }, // 5157
  { PseudoVLUXSEG8EI16_V_MF2_MF4_MASK, VLUXSEG8EI16_V }, // 5158
  { PseudoVLUXSEG8EI16_V_MF4_M1, VLUXSEG8EI16_V }, // 5159
  { PseudoVLUXSEG8EI16_V_MF4_M1_MASK, VLUXSEG8EI16_V }, // 5160
  { PseudoVLUXSEG8EI16_V_MF4_MF2, VLUXSEG8EI16_V }, // 5161
  { PseudoVLUXSEG8EI16_V_MF4_MF2_MASK, VLUXSEG8EI16_V }, // 5162
  { PseudoVLUXSEG8EI16_V_MF4_MF4, VLUXSEG8EI16_V }, // 5163
  { PseudoVLUXSEG8EI16_V_MF4_MF4_MASK, VLUXSEG8EI16_V }, // 5164
  { PseudoVLUXSEG8EI16_V_MF4_MF8, VLUXSEG8EI16_V }, // 5165
  { PseudoVLUXSEG8EI16_V_MF4_MF8_MASK, VLUXSEG8EI16_V }, // 5166
  { PseudoVLUXSEG8EI32_V_M1_M1, VLUXSEG8EI32_V }, // 5167
  { PseudoVLUXSEG8EI32_V_M1_M1_MASK, VLUXSEG8EI32_V }, // 5168
  { PseudoVLUXSEG8EI32_V_M1_MF2, VLUXSEG8EI32_V }, // 5169
  { PseudoVLUXSEG8EI32_V_M1_MF2_MASK, VLUXSEG8EI32_V }, // 5170
  { PseudoVLUXSEG8EI32_V_M1_MF4, VLUXSEG8EI32_V }, // 5171
  { PseudoVLUXSEG8EI32_V_M1_MF4_MASK, VLUXSEG8EI32_V }, // 5172
  { PseudoVLUXSEG8EI32_V_M2_M1, VLUXSEG8EI32_V }, // 5173
  { PseudoVLUXSEG8EI32_V_M2_M1_MASK, VLUXSEG8EI32_V }, // 5174
  { PseudoVLUXSEG8EI32_V_M2_MF2, VLUXSEG8EI32_V }, // 5175
  { PseudoVLUXSEG8EI32_V_M2_MF2_MASK, VLUXSEG8EI32_V }, // 5176
  { PseudoVLUXSEG8EI32_V_M4_M1, VLUXSEG8EI32_V }, // 5177
  { PseudoVLUXSEG8EI32_V_M4_M1_MASK, VLUXSEG8EI32_V }, // 5178
  { PseudoVLUXSEG8EI32_V_MF2_M1, VLUXSEG8EI32_V }, // 5179
  { PseudoVLUXSEG8EI32_V_MF2_M1_MASK, VLUXSEG8EI32_V }, // 5180
  { PseudoVLUXSEG8EI32_V_MF2_MF2, VLUXSEG8EI32_V }, // 5181
  { PseudoVLUXSEG8EI32_V_MF2_MF2_MASK, VLUXSEG8EI32_V }, // 5182
  { PseudoVLUXSEG8EI32_V_MF2_MF4, VLUXSEG8EI32_V }, // 5183
  { PseudoVLUXSEG8EI32_V_MF2_MF4_MASK, VLUXSEG8EI32_V }, // 5184
  { PseudoVLUXSEG8EI32_V_MF2_MF8, VLUXSEG8EI32_V }, // 5185
  { PseudoVLUXSEG8EI32_V_MF2_MF8_MASK, VLUXSEG8EI32_V }, // 5186
  { PseudoVLUXSEG8EI64_V_M1_M1, VLUXSEG8EI64_V }, // 5187
  { PseudoVLUXSEG8EI64_V_M1_M1_MASK, VLUXSEG8EI64_V }, // 5188
  { PseudoVLUXSEG8EI64_V_M1_MF2, VLUXSEG8EI64_V }, // 5189
  { PseudoVLUXSEG8EI64_V_M1_MF2_MASK, VLUXSEG8EI64_V }, // 5190
  { PseudoVLUXSEG8EI64_V_M1_MF4, VLUXSEG8EI64_V }, // 5191
  { PseudoVLUXSEG8EI64_V_M1_MF4_MASK, VLUXSEG8EI64_V }, // 5192
  { PseudoVLUXSEG8EI64_V_M1_MF8, VLUXSEG8EI64_V }, // 5193
  { PseudoVLUXSEG8EI64_V_M1_MF8_MASK, VLUXSEG8EI64_V }, // 5194
  { PseudoVLUXSEG8EI64_V_M2_M1, VLUXSEG8EI64_V }, // 5195
  { PseudoVLUXSEG8EI64_V_M2_M1_MASK, VLUXSEG8EI64_V }, // 5196
  { PseudoVLUXSEG8EI64_V_M2_MF2, VLUXSEG8EI64_V }, // 5197
  { PseudoVLUXSEG8EI64_V_M2_MF2_MASK, VLUXSEG8EI64_V }, // 5198
  { PseudoVLUXSEG8EI64_V_M2_MF4, VLUXSEG8EI64_V }, // 5199
  { PseudoVLUXSEG8EI64_V_M2_MF4_MASK, VLUXSEG8EI64_V }, // 5200
  { PseudoVLUXSEG8EI64_V_M4_M1, VLUXSEG8EI64_V }, // 5201
  { PseudoVLUXSEG8EI64_V_M4_M1_MASK, VLUXSEG8EI64_V }, // 5202
  { PseudoVLUXSEG8EI64_V_M4_MF2, VLUXSEG8EI64_V }, // 5203
  { PseudoVLUXSEG8EI64_V_M4_MF2_MASK, VLUXSEG8EI64_V }, // 5204
  { PseudoVLUXSEG8EI64_V_M8_M1, VLUXSEG8EI64_V }, // 5205
  { PseudoVLUXSEG8EI64_V_M8_M1_MASK, VLUXSEG8EI64_V }, // 5206
  { PseudoVLUXSEG8EI8_V_M1_M1, VLUXSEG8EI8_V }, // 5207
  { PseudoVLUXSEG8EI8_V_M1_M1_MASK, VLUXSEG8EI8_V }, // 5208
  { PseudoVLUXSEG8EI8_V_MF2_M1, VLUXSEG8EI8_V }, // 5209
  { PseudoVLUXSEG8EI8_V_MF2_M1_MASK, VLUXSEG8EI8_V }, // 5210
  { PseudoVLUXSEG8EI8_V_MF2_MF2, VLUXSEG8EI8_V }, // 5211
  { PseudoVLUXSEG8EI8_V_MF2_MF2_MASK, VLUXSEG8EI8_V }, // 5212
  { PseudoVLUXSEG8EI8_V_MF4_M1, VLUXSEG8EI8_V }, // 5213
  { PseudoVLUXSEG8EI8_V_MF4_M1_MASK, VLUXSEG8EI8_V }, // 5214
  { PseudoVLUXSEG8EI8_V_MF4_MF2, VLUXSEG8EI8_V }, // 5215
  { PseudoVLUXSEG8EI8_V_MF4_MF2_MASK, VLUXSEG8EI8_V }, // 5216
  { PseudoVLUXSEG8EI8_V_MF4_MF4, VLUXSEG8EI8_V }, // 5217
  { PseudoVLUXSEG8EI8_V_MF4_MF4_MASK, VLUXSEG8EI8_V }, // 5218
  { PseudoVLUXSEG8EI8_V_MF8_M1, VLUXSEG8EI8_V }, // 5219
  { PseudoVLUXSEG8EI8_V_MF8_M1_MASK, VLUXSEG8EI8_V }, // 5220
  { PseudoVLUXSEG8EI8_V_MF8_MF2, VLUXSEG8EI8_V }, // 5221
  { PseudoVLUXSEG8EI8_V_MF8_MF2_MASK, VLUXSEG8EI8_V }, // 5222
  { PseudoVLUXSEG8EI8_V_MF8_MF4, VLUXSEG8EI8_V }, // 5223
  { PseudoVLUXSEG8EI8_V_MF8_MF4_MASK, VLUXSEG8EI8_V }, // 5224
  { PseudoVLUXSEG8EI8_V_MF8_MF8, VLUXSEG8EI8_V }, // 5225
  { PseudoVLUXSEG8EI8_V_MF8_MF8_MASK, VLUXSEG8EI8_V }, // 5226
  { PseudoVMACC_VV_M1, VMACC_VV }, // 5227
  { PseudoVMACC_VV_M1_MASK, VMACC_VV }, // 5228
  { PseudoVMACC_VV_M2, VMACC_VV }, // 5229
  { PseudoVMACC_VV_M2_MASK, VMACC_VV }, // 5230
  { PseudoVMACC_VV_M4, VMACC_VV }, // 5231
  { PseudoVMACC_VV_M4_MASK, VMACC_VV }, // 5232
  { PseudoVMACC_VV_M8, VMACC_VV }, // 5233
  { PseudoVMACC_VV_M8_MASK, VMACC_VV }, // 5234
  { PseudoVMACC_VV_MF2, VMACC_VV }, // 5235
  { PseudoVMACC_VV_MF2_MASK, VMACC_VV }, // 5236
  { PseudoVMACC_VV_MF4, VMACC_VV }, // 5237
  { PseudoVMACC_VV_MF4_MASK, VMACC_VV }, // 5238
  { PseudoVMACC_VV_MF8, VMACC_VV }, // 5239
  { PseudoVMACC_VV_MF8_MASK, VMACC_VV }, // 5240
  { PseudoVMACC_VX_M1, VMACC_VX }, // 5241
  { PseudoVMACC_VX_M1_MASK, VMACC_VX }, // 5242
  { PseudoVMACC_VX_M2, VMACC_VX }, // 5243
  { PseudoVMACC_VX_M2_MASK, VMACC_VX }, // 5244
  { PseudoVMACC_VX_M4, VMACC_VX }, // 5245
  { PseudoVMACC_VX_M4_MASK, VMACC_VX }, // 5246
  { PseudoVMACC_VX_M8, VMACC_VX }, // 5247
  { PseudoVMACC_VX_M8_MASK, VMACC_VX }, // 5248
  { PseudoVMACC_VX_MF2, VMACC_VX }, // 5249
  { PseudoVMACC_VX_MF2_MASK, VMACC_VX }, // 5250
  { PseudoVMACC_VX_MF4, VMACC_VX }, // 5251
  { PseudoVMACC_VX_MF4_MASK, VMACC_VX }, // 5252
  { PseudoVMACC_VX_MF8, VMACC_VX }, // 5253
  { PseudoVMACC_VX_MF8_MASK, VMACC_VX }, // 5254
  { PseudoVMADC_VIM_M1, VMADC_VIM }, // 5255
  { PseudoVMADC_VIM_M2, VMADC_VIM }, // 5256
  { PseudoVMADC_VIM_M4, VMADC_VIM }, // 5257
  { PseudoVMADC_VIM_M8, VMADC_VIM }, // 5258
  { PseudoVMADC_VIM_MF2, VMADC_VIM }, // 5259
  { PseudoVMADC_VIM_MF4, VMADC_VIM }, // 5260
  { PseudoVMADC_VIM_MF8, VMADC_VIM }, // 5261
  { PseudoVMADC_VI_M1, VMADC_VI }, // 5262
  { PseudoVMADC_VI_M2, VMADC_VI }, // 5263
  { PseudoVMADC_VI_M4, VMADC_VI }, // 5264
  { PseudoVMADC_VI_M8, VMADC_VI }, // 5265
  { PseudoVMADC_VI_MF2, VMADC_VI }, // 5266
  { PseudoVMADC_VI_MF4, VMADC_VI }, // 5267
  { PseudoVMADC_VI_MF8, VMADC_VI }, // 5268
  { PseudoVMADC_VVM_M1, VMADC_VVM }, // 5269
  { PseudoVMADC_VVM_M2, VMADC_VVM }, // 5270
  { PseudoVMADC_VVM_M4, VMADC_VVM }, // 5271
  { PseudoVMADC_VVM_M8, VMADC_VVM }, // 5272
  { PseudoVMADC_VVM_MF2, VMADC_VVM }, // 5273
  { PseudoVMADC_VVM_MF4, VMADC_VVM }, // 5274
  { PseudoVMADC_VVM_MF8, VMADC_VVM }, // 5275
  { PseudoVMADC_VV_M1, VMADC_VV }, // 5276
  { PseudoVMADC_VV_M2, VMADC_VV }, // 5277
  { PseudoVMADC_VV_M4, VMADC_VV }, // 5278
  { PseudoVMADC_VV_M8, VMADC_VV }, // 5279
  { PseudoVMADC_VV_MF2, VMADC_VV }, // 5280
  { PseudoVMADC_VV_MF4, VMADC_VV }, // 5281
  { PseudoVMADC_VV_MF8, VMADC_VV }, // 5282
  { PseudoVMADC_VXM_M1, VMADC_VXM }, // 5283
  { PseudoVMADC_VXM_M2, VMADC_VXM }, // 5284
  { PseudoVMADC_VXM_M4, VMADC_VXM }, // 5285
  { PseudoVMADC_VXM_M8, VMADC_VXM }, // 5286
  { PseudoVMADC_VXM_MF2, VMADC_VXM }, // 5287
  { PseudoVMADC_VXM_MF4, VMADC_VXM }, // 5288
  { PseudoVMADC_VXM_MF8, VMADC_VXM }, // 5289
  { PseudoVMADC_VX_M1, VMADC_VX }, // 5290
  { PseudoVMADC_VX_M2, VMADC_VX }, // 5291
  { PseudoVMADC_VX_M4, VMADC_VX }, // 5292
  { PseudoVMADC_VX_M8, VMADC_VX }, // 5293
  { PseudoVMADC_VX_MF2, VMADC_VX }, // 5294
  { PseudoVMADC_VX_MF4, VMADC_VX }, // 5295
  { PseudoVMADC_VX_MF8, VMADC_VX }, // 5296
  { PseudoVMADD_VV_M1, VMADD_VV }, // 5297
  { PseudoVMADD_VV_M1_MASK, VMADD_VV }, // 5298
  { PseudoVMADD_VV_M2, VMADD_VV }, // 5299
  { PseudoVMADD_VV_M2_MASK, VMADD_VV }, // 5300
  { PseudoVMADD_VV_M4, VMADD_VV }, // 5301
  { PseudoVMADD_VV_M4_MASK, VMADD_VV }, // 5302
  { PseudoVMADD_VV_M8, VMADD_VV }, // 5303
  { PseudoVMADD_VV_M8_MASK, VMADD_VV }, // 5304
  { PseudoVMADD_VV_MF2, VMADD_VV }, // 5305
  { PseudoVMADD_VV_MF2_MASK, VMADD_VV }, // 5306
  { PseudoVMADD_VV_MF4, VMADD_VV }, // 5307
  { PseudoVMADD_VV_MF4_MASK, VMADD_VV }, // 5308
  { PseudoVMADD_VV_MF8, VMADD_VV }, // 5309
  { PseudoVMADD_VV_MF8_MASK, VMADD_VV }, // 5310
  { PseudoVMADD_VX_M1, VMADD_VX }, // 5311
  { PseudoVMADD_VX_M1_MASK, VMADD_VX }, // 5312
  { PseudoVMADD_VX_M2, VMADD_VX }, // 5313
  { PseudoVMADD_VX_M2_MASK, VMADD_VX }, // 5314
  { PseudoVMADD_VX_M4, VMADD_VX }, // 5315
  { PseudoVMADD_VX_M4_MASK, VMADD_VX }, // 5316
  { PseudoVMADD_VX_M8, VMADD_VX }, // 5317
  { PseudoVMADD_VX_M8_MASK, VMADD_VX }, // 5318
  { PseudoVMADD_VX_MF2, VMADD_VX }, // 5319
  { PseudoVMADD_VX_MF2_MASK, VMADD_VX }, // 5320
  { PseudoVMADD_VX_MF4, VMADD_VX }, // 5321
  { PseudoVMADD_VX_MF4_MASK, VMADD_VX }, // 5322
  { PseudoVMADD_VX_MF8, VMADD_VX }, // 5323
  { PseudoVMADD_VX_MF8_MASK, VMADD_VX }, // 5324
  { PseudoVMANDNOT_MM_M1, VMANDNOT_MM }, // 5325
  { PseudoVMANDNOT_MM_M2, VMANDNOT_MM }, // 5326
  { PseudoVMANDNOT_MM_M4, VMANDNOT_MM }, // 5327
  { PseudoVMANDNOT_MM_M8, VMANDNOT_MM }, // 5328
  { PseudoVMANDNOT_MM_MF2, VMANDNOT_MM }, // 5329
  { PseudoVMANDNOT_MM_MF4, VMANDNOT_MM }, // 5330
  { PseudoVMANDNOT_MM_MF8, VMANDNOT_MM }, // 5331
  { PseudoVMAND_MM_M1, VMAND_MM }, // 5332
  { PseudoVMAND_MM_M2, VMAND_MM }, // 5333
  { PseudoVMAND_MM_M4, VMAND_MM }, // 5334
  { PseudoVMAND_MM_M8, VMAND_MM }, // 5335
  { PseudoVMAND_MM_MF2, VMAND_MM }, // 5336
  { PseudoVMAND_MM_MF4, VMAND_MM }, // 5337
  { PseudoVMAND_MM_MF8, VMAND_MM }, // 5338
  { PseudoVMAXU_VV_M1, VMAXU_VV }, // 5339
  { PseudoVMAXU_VV_M1_MASK, VMAXU_VV }, // 5340
  { PseudoVMAXU_VV_M2, VMAXU_VV }, // 5341
  { PseudoVMAXU_VV_M2_MASK, VMAXU_VV }, // 5342
  { PseudoVMAXU_VV_M4, VMAXU_VV }, // 5343
  { PseudoVMAXU_VV_M4_MASK, VMAXU_VV }, // 5344
  { PseudoVMAXU_VV_M8, VMAXU_VV }, // 5345
  { PseudoVMAXU_VV_M8_MASK, VMAXU_VV }, // 5346
  { PseudoVMAXU_VV_MF2, VMAXU_VV }, // 5347
  { PseudoVMAXU_VV_MF2_MASK, VMAXU_VV }, // 5348
  { PseudoVMAXU_VV_MF4, VMAXU_VV }, // 5349
  { PseudoVMAXU_VV_MF4_MASK, VMAXU_VV }, // 5350
  { PseudoVMAXU_VV_MF8, VMAXU_VV }, // 5351
  { PseudoVMAXU_VV_MF8_MASK, VMAXU_VV }, // 5352
  { PseudoVMAXU_VX_M1, VMAXU_VX }, // 5353
  { PseudoVMAXU_VX_M1_MASK, VMAXU_VX }, // 5354
  { PseudoVMAXU_VX_M2, VMAXU_VX }, // 5355
  { PseudoVMAXU_VX_M2_MASK, VMAXU_VX }, // 5356
  { PseudoVMAXU_VX_M4, VMAXU_VX }, // 5357
  { PseudoVMAXU_VX_M4_MASK, VMAXU_VX }, // 5358
  { PseudoVMAXU_VX_M8, VMAXU_VX }, // 5359
  { PseudoVMAXU_VX_M8_MASK, VMAXU_VX }, // 5360
  { PseudoVMAXU_VX_MF2, VMAXU_VX }, // 5361
  { PseudoVMAXU_VX_MF2_MASK, VMAXU_VX }, // 5362
  { PseudoVMAXU_VX_MF4, VMAXU_VX }, // 5363
  { PseudoVMAXU_VX_MF4_MASK, VMAXU_VX }, // 5364
  { PseudoVMAXU_VX_MF8, VMAXU_VX }, // 5365
  { PseudoVMAXU_VX_MF8_MASK, VMAXU_VX }, // 5366
  { PseudoVMAX_VV_M1, VMAX_VV }, // 5367
  { PseudoVMAX_VV_M1_MASK, VMAX_VV }, // 5368
  { PseudoVMAX_VV_M2, VMAX_VV }, // 5369
  { PseudoVMAX_VV_M2_MASK, VMAX_VV }, // 5370
  { PseudoVMAX_VV_M4, VMAX_VV }, // 5371
  { PseudoVMAX_VV_M4_MASK, VMAX_VV }, // 5372
  { PseudoVMAX_VV_M8, VMAX_VV }, // 5373
  { PseudoVMAX_VV_M8_MASK, VMAX_VV }, // 5374
  { PseudoVMAX_VV_MF2, VMAX_VV }, // 5375
  { PseudoVMAX_VV_MF2_MASK, VMAX_VV }, // 5376
  { PseudoVMAX_VV_MF4, VMAX_VV }, // 5377
  { PseudoVMAX_VV_MF4_MASK, VMAX_VV }, // 5378
  { PseudoVMAX_VV_MF8, VMAX_VV }, // 5379
  { PseudoVMAX_VV_MF8_MASK, VMAX_VV }, // 5380
  { PseudoVMAX_VX_M1, VMAX_VX }, // 5381
  { PseudoVMAX_VX_M1_MASK, VMAX_VX }, // 5382
  { PseudoVMAX_VX_M2, VMAX_VX }, // 5383
  { PseudoVMAX_VX_M2_MASK, VMAX_VX }, // 5384
  { PseudoVMAX_VX_M4, VMAX_VX }, // 5385
  { PseudoVMAX_VX_M4_MASK, VMAX_VX }, // 5386
  { PseudoVMAX_VX_M8, VMAX_VX }, // 5387
  { PseudoVMAX_VX_M8_MASK, VMAX_VX }, // 5388
  { PseudoVMAX_VX_MF2, VMAX_VX }, // 5389
  { PseudoVMAX_VX_MF2_MASK, VMAX_VX }, // 5390
  { PseudoVMAX_VX_MF4, VMAX_VX }, // 5391
  { PseudoVMAX_VX_MF4_MASK, VMAX_VX }, // 5392
  { PseudoVMAX_VX_MF8, VMAX_VX }, // 5393
  { PseudoVMAX_VX_MF8_MASK, VMAX_VX }, // 5394
  { PseudoVMCLR_M_B1, VMXOR_MM }, // 5395
  { PseudoVMCLR_M_B16, VMXOR_MM }, // 5396
  { PseudoVMCLR_M_B2, VMXOR_MM }, // 5397
  { PseudoVMCLR_M_B32, VMXOR_MM }, // 5398
  { PseudoVMCLR_M_B4, VMXOR_MM }, // 5399
  { PseudoVMCLR_M_B64, VMXOR_MM }, // 5400
  { PseudoVMCLR_M_B8, VMXOR_MM }, // 5401
  { PseudoVMERGE_VIM_M1, VMERGE_VIM }, // 5402
  { PseudoVMERGE_VIM_M2, VMERGE_VIM }, // 5403
  { PseudoVMERGE_VIM_M4, VMERGE_VIM }, // 5404
  { PseudoVMERGE_VIM_M8, VMERGE_VIM }, // 5405
  { PseudoVMERGE_VIM_MF2, VMERGE_VIM }, // 5406
  { PseudoVMERGE_VIM_MF4, VMERGE_VIM }, // 5407
  { PseudoVMERGE_VIM_MF8, VMERGE_VIM }, // 5408
  { PseudoVMERGE_VVM_M1, VMERGE_VVM }, // 5409
  { PseudoVMERGE_VVM_M2, VMERGE_VVM }, // 5410
  { PseudoVMERGE_VVM_M4, VMERGE_VVM }, // 5411
  { PseudoVMERGE_VVM_M8, VMERGE_VVM }, // 5412
  { PseudoVMERGE_VVM_MF2, VMERGE_VVM }, // 5413
  { PseudoVMERGE_VVM_MF4, VMERGE_VVM }, // 5414
  { PseudoVMERGE_VVM_MF8, VMERGE_VVM }, // 5415
  { PseudoVMERGE_VXM_M1, VMERGE_VXM }, // 5416
  { PseudoVMERGE_VXM_M2, VMERGE_VXM }, // 5417
  { PseudoVMERGE_VXM_M4, VMERGE_VXM }, // 5418
  { PseudoVMERGE_VXM_M8, VMERGE_VXM }, // 5419
  { PseudoVMERGE_VXM_MF2, VMERGE_VXM }, // 5420
  { PseudoVMERGE_VXM_MF4, VMERGE_VXM }, // 5421
  { PseudoVMERGE_VXM_MF8, VMERGE_VXM }, // 5422
  { PseudoVMFEQ_VF16_M1, VMFEQ_VF }, // 5423
  { PseudoVMFEQ_VF16_M1_MASK, VMFEQ_VF }, // 5424
  { PseudoVMFEQ_VF16_M2, VMFEQ_VF }, // 5425
  { PseudoVMFEQ_VF16_M2_MASK, VMFEQ_VF }, // 5426
  { PseudoVMFEQ_VF16_M4, VMFEQ_VF }, // 5427
  { PseudoVMFEQ_VF16_M4_MASK, VMFEQ_VF }, // 5428
  { PseudoVMFEQ_VF16_M8, VMFEQ_VF }, // 5429
  { PseudoVMFEQ_VF16_M8_MASK, VMFEQ_VF }, // 5430
  { PseudoVMFEQ_VF16_MF2, VMFEQ_VF }, // 5431
  { PseudoVMFEQ_VF16_MF2_MASK, VMFEQ_VF }, // 5432
  { PseudoVMFEQ_VF16_MF4, VMFEQ_VF }, // 5433
  { PseudoVMFEQ_VF16_MF4_MASK, VMFEQ_VF }, // 5434
  { PseudoVMFEQ_VF16_MF8, VMFEQ_VF }, // 5435
  { PseudoVMFEQ_VF16_MF8_MASK, VMFEQ_VF }, // 5436
  { PseudoVMFEQ_VF32_M1, VMFEQ_VF }, // 5437
  { PseudoVMFEQ_VF32_M1_MASK, VMFEQ_VF }, // 5438
  { PseudoVMFEQ_VF32_M2, VMFEQ_VF }, // 5439
  { PseudoVMFEQ_VF32_M2_MASK, VMFEQ_VF }, // 5440
  { PseudoVMFEQ_VF32_M4, VMFEQ_VF }, // 5441
  { PseudoVMFEQ_VF32_M4_MASK, VMFEQ_VF }, // 5442
  { PseudoVMFEQ_VF32_M8, VMFEQ_VF }, // 5443
  { PseudoVMFEQ_VF32_M8_MASK, VMFEQ_VF }, // 5444
  { PseudoVMFEQ_VF32_MF2, VMFEQ_VF }, // 5445
  { PseudoVMFEQ_VF32_MF2_MASK, VMFEQ_VF }, // 5446
  { PseudoVMFEQ_VF32_MF4, VMFEQ_VF }, // 5447
  { PseudoVMFEQ_VF32_MF4_MASK, VMFEQ_VF }, // 5448
  { PseudoVMFEQ_VF32_MF8, VMFEQ_VF }, // 5449
  { PseudoVMFEQ_VF32_MF8_MASK, VMFEQ_VF }, // 5450
  { PseudoVMFEQ_VF64_M1, VMFEQ_VF }, // 5451
  { PseudoVMFEQ_VF64_M1_MASK, VMFEQ_VF }, // 5452
  { PseudoVMFEQ_VF64_M2, VMFEQ_VF }, // 5453
  { PseudoVMFEQ_VF64_M2_MASK, VMFEQ_VF }, // 5454
  { PseudoVMFEQ_VF64_M4, VMFEQ_VF }, // 5455
  { PseudoVMFEQ_VF64_M4_MASK, VMFEQ_VF }, // 5456
  { PseudoVMFEQ_VF64_M8, VMFEQ_VF }, // 5457
  { PseudoVMFEQ_VF64_M8_MASK, VMFEQ_VF }, // 5458
  { PseudoVMFEQ_VF64_MF2, VMFEQ_VF }, // 5459
  { PseudoVMFEQ_VF64_MF2_MASK, VMFEQ_VF }, // 5460
  { PseudoVMFEQ_VF64_MF4, VMFEQ_VF }, // 5461
  { PseudoVMFEQ_VF64_MF4_MASK, VMFEQ_VF }, // 5462
  { PseudoVMFEQ_VF64_MF8, VMFEQ_VF }, // 5463
  { PseudoVMFEQ_VF64_MF8_MASK, VMFEQ_VF }, // 5464
  { PseudoVMFEQ_VV_M1, VMFEQ_VV }, // 5465
  { PseudoVMFEQ_VV_M1_MASK, VMFEQ_VV }, // 5466
  { PseudoVMFEQ_VV_M2, VMFEQ_VV }, // 5467
  { PseudoVMFEQ_VV_M2_MASK, VMFEQ_VV }, // 5468
  { PseudoVMFEQ_VV_M4, VMFEQ_VV }, // 5469
  { PseudoVMFEQ_VV_M4_MASK, VMFEQ_VV }, // 5470
  { PseudoVMFEQ_VV_M8, VMFEQ_VV }, // 5471
  { PseudoVMFEQ_VV_M8_MASK, VMFEQ_VV }, // 5472
  { PseudoVMFEQ_VV_MF2, VMFEQ_VV }, // 5473
  { PseudoVMFEQ_VV_MF2_MASK, VMFEQ_VV }, // 5474
  { PseudoVMFEQ_VV_MF4, VMFEQ_VV }, // 5475
  { PseudoVMFEQ_VV_MF4_MASK, VMFEQ_VV }, // 5476
  { PseudoVMFEQ_VV_MF8, VMFEQ_VV }, // 5477
  { PseudoVMFEQ_VV_MF8_MASK, VMFEQ_VV }, // 5478
  { PseudoVMFGE_VF16_M1, VMFGE_VF }, // 5479
  { PseudoVMFGE_VF16_M1_MASK, VMFGE_VF }, // 5480
  { PseudoVMFGE_VF16_M2, VMFGE_VF }, // 5481
  { PseudoVMFGE_VF16_M2_MASK, VMFGE_VF }, // 5482
  { PseudoVMFGE_VF16_M4, VMFGE_VF }, // 5483
  { PseudoVMFGE_VF16_M4_MASK, VMFGE_VF }, // 5484
  { PseudoVMFGE_VF16_M8, VMFGE_VF }, // 5485
  { PseudoVMFGE_VF16_M8_MASK, VMFGE_VF }, // 5486
  { PseudoVMFGE_VF16_MF2, VMFGE_VF }, // 5487
  { PseudoVMFGE_VF16_MF2_MASK, VMFGE_VF }, // 5488
  { PseudoVMFGE_VF16_MF4, VMFGE_VF }, // 5489
  { PseudoVMFGE_VF16_MF4_MASK, VMFGE_VF }, // 5490
  { PseudoVMFGE_VF16_MF8, VMFGE_VF }, // 5491
  { PseudoVMFGE_VF16_MF8_MASK, VMFGE_VF }, // 5492
  { PseudoVMFGE_VF32_M1, VMFGE_VF }, // 5493
  { PseudoVMFGE_VF32_M1_MASK, VMFGE_VF }, // 5494
  { PseudoVMFGE_VF32_M2, VMFGE_VF }, // 5495
  { PseudoVMFGE_VF32_M2_MASK, VMFGE_VF }, // 5496
  { PseudoVMFGE_VF32_M4, VMFGE_VF }, // 5497
  { PseudoVMFGE_VF32_M4_MASK, VMFGE_VF }, // 5498
  { PseudoVMFGE_VF32_M8, VMFGE_VF }, // 5499
  { PseudoVMFGE_VF32_M8_MASK, VMFGE_VF }, // 5500
  { PseudoVMFGE_VF32_MF2, VMFGE_VF }, // 5501
  { PseudoVMFGE_VF32_MF2_MASK, VMFGE_VF }, // 5502
  { PseudoVMFGE_VF32_MF4, VMFGE_VF }, // 5503
  { PseudoVMFGE_VF32_MF4_MASK, VMFGE_VF }, // 5504
  { PseudoVMFGE_VF32_MF8, VMFGE_VF }, // 5505
  { PseudoVMFGE_VF32_MF8_MASK, VMFGE_VF }, // 5506
  { PseudoVMFGE_VF64_M1, VMFGE_VF }, // 5507
  { PseudoVMFGE_VF64_M1_MASK, VMFGE_VF }, // 5508
  { PseudoVMFGE_VF64_M2, VMFGE_VF }, // 5509
  { PseudoVMFGE_VF64_M2_MASK, VMFGE_VF }, // 5510
  { PseudoVMFGE_VF64_M4, VMFGE_VF }, // 5511
  { PseudoVMFGE_VF64_M4_MASK, VMFGE_VF }, // 5512
  { PseudoVMFGE_VF64_M8, VMFGE_VF }, // 5513
  { PseudoVMFGE_VF64_M8_MASK, VMFGE_VF }, // 5514
  { PseudoVMFGE_VF64_MF2, VMFGE_VF }, // 5515
  { PseudoVMFGE_VF64_MF2_MASK, VMFGE_VF }, // 5516
  { PseudoVMFGE_VF64_MF4, VMFGE_VF }, // 5517
  { PseudoVMFGE_VF64_MF4_MASK, VMFGE_VF }, // 5518
  { PseudoVMFGE_VF64_MF8, VMFGE_VF }, // 5519
  { PseudoVMFGE_VF64_MF8_MASK, VMFGE_VF }, // 5520
  { PseudoVMFGT_VF16_M1, VMFGT_VF }, // 5521
  { PseudoVMFGT_VF16_M1_MASK, VMFGT_VF }, // 5522
  { PseudoVMFGT_VF16_M2, VMFGT_VF }, // 5523
  { PseudoVMFGT_VF16_M2_MASK, VMFGT_VF }, // 5524
  { PseudoVMFGT_VF16_M4, VMFGT_VF }, // 5525
  { PseudoVMFGT_VF16_M4_MASK, VMFGT_VF }, // 5526
  { PseudoVMFGT_VF16_M8, VMFGT_VF }, // 5527
  { PseudoVMFGT_VF16_M8_MASK, VMFGT_VF }, // 5528
  { PseudoVMFGT_VF16_MF2, VMFGT_VF }, // 5529
  { PseudoVMFGT_VF16_MF2_MASK, VMFGT_VF }, // 5530
  { PseudoVMFGT_VF16_MF4, VMFGT_VF }, // 5531
  { PseudoVMFGT_VF16_MF4_MASK, VMFGT_VF }, // 5532
  { PseudoVMFGT_VF16_MF8, VMFGT_VF }, // 5533
  { PseudoVMFGT_VF16_MF8_MASK, VMFGT_VF }, // 5534
  { PseudoVMFGT_VF32_M1, VMFGT_VF }, // 5535
  { PseudoVMFGT_VF32_M1_MASK, VMFGT_VF }, // 5536
  { PseudoVMFGT_VF32_M2, VMFGT_VF }, // 5537
  { PseudoVMFGT_VF32_M2_MASK, VMFGT_VF }, // 5538
  { PseudoVMFGT_VF32_M4, VMFGT_VF }, // 5539
  { PseudoVMFGT_VF32_M4_MASK, VMFGT_VF }, // 5540
  { PseudoVMFGT_VF32_M8, VMFGT_VF }, // 5541
  { PseudoVMFGT_VF32_M8_MASK, VMFGT_VF }, // 5542
  { PseudoVMFGT_VF32_MF2, VMFGT_VF }, // 5543
  { PseudoVMFGT_VF32_MF2_MASK, VMFGT_VF }, // 5544
  { PseudoVMFGT_VF32_MF4, VMFGT_VF }, // 5545
  { PseudoVMFGT_VF32_MF4_MASK, VMFGT_VF }, // 5546
  { PseudoVMFGT_VF32_MF8, VMFGT_VF }, // 5547
  { PseudoVMFGT_VF32_MF8_MASK, VMFGT_VF }, // 5548
  { PseudoVMFGT_VF64_M1, VMFGT_VF }, // 5549
  { PseudoVMFGT_VF64_M1_MASK, VMFGT_VF }, // 5550
  { PseudoVMFGT_VF64_M2, VMFGT_VF }, // 5551
  { PseudoVMFGT_VF64_M2_MASK, VMFGT_VF }, // 5552
  { PseudoVMFGT_VF64_M4, VMFGT_VF }, // 5553
  { PseudoVMFGT_VF64_M4_MASK, VMFGT_VF }, // 5554
  { PseudoVMFGT_VF64_M8, VMFGT_VF }, // 5555
  { PseudoVMFGT_VF64_M8_MASK, VMFGT_VF }, // 5556
  { PseudoVMFGT_VF64_MF2, VMFGT_VF }, // 5557
  { PseudoVMFGT_VF64_MF2_MASK, VMFGT_VF }, // 5558
  { PseudoVMFGT_VF64_MF4, VMFGT_VF }, // 5559
  { PseudoVMFGT_VF64_MF4_MASK, VMFGT_VF }, // 5560
  { PseudoVMFGT_VF64_MF8, VMFGT_VF }, // 5561
  { PseudoVMFGT_VF64_MF8_MASK, VMFGT_VF }, // 5562
  { PseudoVMFLE_VF16_M1, VMFLE_VF }, // 5563
  { PseudoVMFLE_VF16_M1_MASK, VMFLE_VF }, // 5564
  { PseudoVMFLE_VF16_M2, VMFLE_VF }, // 5565
  { PseudoVMFLE_VF16_M2_MASK, VMFLE_VF }, // 5566
  { PseudoVMFLE_VF16_M4, VMFLE_VF }, // 5567
  { PseudoVMFLE_VF16_M4_MASK, VMFLE_VF }, // 5568
  { PseudoVMFLE_VF16_M8, VMFLE_VF }, // 5569
  { PseudoVMFLE_VF16_M8_MASK, VMFLE_VF }, // 5570
  { PseudoVMFLE_VF16_MF2, VMFLE_VF }, // 5571
  { PseudoVMFLE_VF16_MF2_MASK, VMFLE_VF }, // 5572
  { PseudoVMFLE_VF16_MF4, VMFLE_VF }, // 5573
  { PseudoVMFLE_VF16_MF4_MASK, VMFLE_VF }, // 5574
  { PseudoVMFLE_VF16_MF8, VMFLE_VF }, // 5575
  { PseudoVMFLE_VF16_MF8_MASK, VMFLE_VF }, // 5576
  { PseudoVMFLE_VF32_M1, VMFLE_VF }, // 5577
  { PseudoVMFLE_VF32_M1_MASK, VMFLE_VF }, // 5578
  { PseudoVMFLE_VF32_M2, VMFLE_VF }, // 5579
  { PseudoVMFLE_VF32_M2_MASK, VMFLE_VF }, // 5580
  { PseudoVMFLE_VF32_M4, VMFLE_VF }, // 5581
  { PseudoVMFLE_VF32_M4_MASK, VMFLE_VF }, // 5582
  { PseudoVMFLE_VF32_M8, VMFLE_VF }, // 5583
  { PseudoVMFLE_VF32_M8_MASK, VMFLE_VF }, // 5584
  { PseudoVMFLE_VF32_MF2, VMFLE_VF }, // 5585
  { PseudoVMFLE_VF32_MF2_MASK, VMFLE_VF }, // 5586
  { PseudoVMFLE_VF32_MF4, VMFLE_VF }, // 5587
  { PseudoVMFLE_VF32_MF4_MASK, VMFLE_VF }, // 5588
  { PseudoVMFLE_VF32_MF8, VMFLE_VF }, // 5589
  { PseudoVMFLE_VF32_MF8_MASK, VMFLE_VF }, // 5590
  { PseudoVMFLE_VF64_M1, VMFLE_VF }, // 5591
  { PseudoVMFLE_VF64_M1_MASK, VMFLE_VF }, // 5592
  { PseudoVMFLE_VF64_M2, VMFLE_VF }, // 5593
  { PseudoVMFLE_VF64_M2_MASK, VMFLE_VF }, // 5594
  { PseudoVMFLE_VF64_M4, VMFLE_VF }, // 5595
  { PseudoVMFLE_VF64_M4_MASK, VMFLE_VF }, // 5596
  { PseudoVMFLE_VF64_M8, VMFLE_VF }, // 5597
  { PseudoVMFLE_VF64_M8_MASK, VMFLE_VF }, // 5598
  { PseudoVMFLE_VF64_MF2, VMFLE_VF }, // 5599
  { PseudoVMFLE_VF64_MF2_MASK, VMFLE_VF }, // 5600
  { PseudoVMFLE_VF64_MF4, VMFLE_VF }, // 5601
  { PseudoVMFLE_VF64_MF4_MASK, VMFLE_VF }, // 5602
  { PseudoVMFLE_VF64_MF8, VMFLE_VF }, // 5603
  { PseudoVMFLE_VF64_MF8_MASK, VMFLE_VF }, // 5604
  { PseudoVMFLE_VV_M1, VMFLE_VV }, // 5605
  { PseudoVMFLE_VV_M1_MASK, VMFLE_VV }, // 5606
  { PseudoVMFLE_VV_M2, VMFLE_VV }, // 5607
  { PseudoVMFLE_VV_M2_MASK, VMFLE_VV }, // 5608
  { PseudoVMFLE_VV_M4, VMFLE_VV }, // 5609
  { PseudoVMFLE_VV_M4_MASK, VMFLE_VV }, // 5610
  { PseudoVMFLE_VV_M8, VMFLE_VV }, // 5611
  { PseudoVMFLE_VV_M8_MASK, VMFLE_VV }, // 5612
  { PseudoVMFLE_VV_MF2, VMFLE_VV }, // 5613
  { PseudoVMFLE_VV_MF2_MASK, VMFLE_VV }, // 5614
  { PseudoVMFLE_VV_MF4, VMFLE_VV }, // 5615
  { PseudoVMFLE_VV_MF4_MASK, VMFLE_VV }, // 5616
  { PseudoVMFLE_VV_MF8, VMFLE_VV }, // 5617
  { PseudoVMFLE_VV_MF8_MASK, VMFLE_VV }, // 5618
  { PseudoVMFLT_VF16_M1, VMFLT_VF }, // 5619
  { PseudoVMFLT_VF16_M1_MASK, VMFLT_VF }, // 5620
  { PseudoVMFLT_VF16_M2, VMFLT_VF }, // 5621
  { PseudoVMFLT_VF16_M2_MASK, VMFLT_VF }, // 5622
  { PseudoVMFLT_VF16_M4, VMFLT_VF }, // 5623
  { PseudoVMFLT_VF16_M4_MASK, VMFLT_VF }, // 5624
  { PseudoVMFLT_VF16_M8, VMFLT_VF }, // 5625
  { PseudoVMFLT_VF16_M8_MASK, VMFLT_VF }, // 5626
  { PseudoVMFLT_VF16_MF2, VMFLT_VF }, // 5627
  { PseudoVMFLT_VF16_MF2_MASK, VMFLT_VF }, // 5628
  { PseudoVMFLT_VF16_MF4, VMFLT_VF }, // 5629
  { PseudoVMFLT_VF16_MF4_MASK, VMFLT_VF }, // 5630
  { PseudoVMFLT_VF16_MF8, VMFLT_VF }, // 5631
  { PseudoVMFLT_VF16_MF8_MASK, VMFLT_VF }, // 5632
  { PseudoVMFLT_VF32_M1, VMFLT_VF }, // 5633
  { PseudoVMFLT_VF32_M1_MASK, VMFLT_VF }, // 5634
  { PseudoVMFLT_VF32_M2, VMFLT_VF }, // 5635
  { PseudoVMFLT_VF32_M2_MASK, VMFLT_VF }, // 5636
  { PseudoVMFLT_VF32_M4, VMFLT_VF }, // 5637
  { PseudoVMFLT_VF32_M4_MASK, VMFLT_VF }, // 5638
  { PseudoVMFLT_VF32_M8, VMFLT_VF }, // 5639
  { PseudoVMFLT_VF32_M8_MASK, VMFLT_VF }, // 5640
  { PseudoVMFLT_VF32_MF2, VMFLT_VF }, // 5641
  { PseudoVMFLT_VF32_MF2_MASK, VMFLT_VF }, // 5642
  { PseudoVMFLT_VF32_MF4, VMFLT_VF }, // 5643
  { PseudoVMFLT_VF32_MF4_MASK, VMFLT_VF }, // 5644
  { PseudoVMFLT_VF32_MF8, VMFLT_VF }, // 5645
  { PseudoVMFLT_VF32_MF8_MASK, VMFLT_VF }, // 5646
  { PseudoVMFLT_VF64_M1, VMFLT_VF }, // 5647
  { PseudoVMFLT_VF64_M1_MASK, VMFLT_VF }, // 5648
  { PseudoVMFLT_VF64_M2, VMFLT_VF }, // 5649
  { PseudoVMFLT_VF64_M2_MASK, VMFLT_VF }, // 5650
  { PseudoVMFLT_VF64_M4, VMFLT_VF }, // 5651
  { PseudoVMFLT_VF64_M4_MASK, VMFLT_VF }, // 5652
  { PseudoVMFLT_VF64_M8, VMFLT_VF }, // 5653
  { PseudoVMFLT_VF64_M8_MASK, VMFLT_VF }, // 5654
  { PseudoVMFLT_VF64_MF2, VMFLT_VF }, // 5655
  { PseudoVMFLT_VF64_MF2_MASK, VMFLT_VF }, // 5656
  { PseudoVMFLT_VF64_MF4, VMFLT_VF }, // 5657
  { PseudoVMFLT_VF64_MF4_MASK, VMFLT_VF }, // 5658
  { PseudoVMFLT_VF64_MF8, VMFLT_VF }, // 5659
  { PseudoVMFLT_VF64_MF8_MASK, VMFLT_VF }, // 5660
  { PseudoVMFLT_VV_M1, VMFLT_VV }, // 5661
  { PseudoVMFLT_VV_M1_MASK, VMFLT_VV }, // 5662
  { PseudoVMFLT_VV_M2, VMFLT_VV }, // 5663
  { PseudoVMFLT_VV_M2_MASK, VMFLT_VV }, // 5664
  { PseudoVMFLT_VV_M4, VMFLT_VV }, // 5665
  { PseudoVMFLT_VV_M4_MASK, VMFLT_VV }, // 5666
  { PseudoVMFLT_VV_M8, VMFLT_VV }, // 5667
  { PseudoVMFLT_VV_M8_MASK, VMFLT_VV }, // 5668
  { PseudoVMFLT_VV_MF2, VMFLT_VV }, // 5669
  { PseudoVMFLT_VV_MF2_MASK, VMFLT_VV }, // 5670
  { PseudoVMFLT_VV_MF4, VMFLT_VV }, // 5671
  { PseudoVMFLT_VV_MF4_MASK, VMFLT_VV }, // 5672
  { PseudoVMFLT_VV_MF8, VMFLT_VV }, // 5673
  { PseudoVMFLT_VV_MF8_MASK, VMFLT_VV }, // 5674
  { PseudoVMFNE_VF16_M1, VMFNE_VF }, // 5675
  { PseudoVMFNE_VF16_M1_MASK, VMFNE_VF }, // 5676
  { PseudoVMFNE_VF16_M2, VMFNE_VF }, // 5677
  { PseudoVMFNE_VF16_M2_MASK, VMFNE_VF }, // 5678
  { PseudoVMFNE_VF16_M4, VMFNE_VF }, // 5679
  { PseudoVMFNE_VF16_M4_MASK, VMFNE_VF }, // 5680
  { PseudoVMFNE_VF16_M8, VMFNE_VF }, // 5681
  { PseudoVMFNE_VF16_M8_MASK, VMFNE_VF }, // 5682
  { PseudoVMFNE_VF16_MF2, VMFNE_VF }, // 5683
  { PseudoVMFNE_VF16_MF2_MASK, VMFNE_VF }, // 5684
  { PseudoVMFNE_VF16_MF4, VMFNE_VF }, // 5685
  { PseudoVMFNE_VF16_MF4_MASK, VMFNE_VF }, // 5686
  { PseudoVMFNE_VF16_MF8, VMFNE_VF }, // 5687
  { PseudoVMFNE_VF16_MF8_MASK, VMFNE_VF }, // 5688
  { PseudoVMFNE_VF32_M1, VMFNE_VF }, // 5689
  { PseudoVMFNE_VF32_M1_MASK, VMFNE_VF }, // 5690
  { PseudoVMFNE_VF32_M2, VMFNE_VF }, // 5691
  { PseudoVMFNE_VF32_M2_MASK, VMFNE_VF }, // 5692
  { PseudoVMFNE_VF32_M4, VMFNE_VF }, // 5693
  { PseudoVMFNE_VF32_M4_MASK, VMFNE_VF }, // 5694
  { PseudoVMFNE_VF32_M8, VMFNE_VF }, // 5695
  { PseudoVMFNE_VF32_M8_MASK, VMFNE_VF }, // 5696
  { PseudoVMFNE_VF32_MF2, VMFNE_VF }, // 5697
  { PseudoVMFNE_VF32_MF2_MASK, VMFNE_VF }, // 5698
  { PseudoVMFNE_VF32_MF4, VMFNE_VF }, // 5699
  { PseudoVMFNE_VF32_MF4_MASK, VMFNE_VF }, // 5700
  { PseudoVMFNE_VF32_MF8, VMFNE_VF }, // 5701
  { PseudoVMFNE_VF32_MF8_MASK, VMFNE_VF }, // 5702
  { PseudoVMFNE_VF64_M1, VMFNE_VF }, // 5703
  { PseudoVMFNE_VF64_M1_MASK, VMFNE_VF }, // 5704
  { PseudoVMFNE_VF64_M2, VMFNE_VF }, // 5705
  { PseudoVMFNE_VF64_M2_MASK, VMFNE_VF }, // 5706
  { PseudoVMFNE_VF64_M4, VMFNE_VF }, // 5707
  { PseudoVMFNE_VF64_M4_MASK, VMFNE_VF }, // 5708
  { PseudoVMFNE_VF64_M8, VMFNE_VF }, // 5709
  { PseudoVMFNE_VF64_M8_MASK, VMFNE_VF }, // 5710
  { PseudoVMFNE_VF64_MF2, VMFNE_VF }, // 5711
  { PseudoVMFNE_VF64_MF2_MASK, VMFNE_VF }, // 5712
  { PseudoVMFNE_VF64_MF4, VMFNE_VF }, // 5713
  { PseudoVMFNE_VF64_MF4_MASK, VMFNE_VF }, // 5714
  { PseudoVMFNE_VF64_MF8, VMFNE_VF }, // 5715
  { PseudoVMFNE_VF64_MF8_MASK, VMFNE_VF }, // 5716
  { PseudoVMFNE_VV_M1, VMFNE_VV }, // 5717
  { PseudoVMFNE_VV_M1_MASK, VMFNE_VV }, // 5718
  { PseudoVMFNE_VV_M2, VMFNE_VV }, // 5719
  { PseudoVMFNE_VV_M2_MASK, VMFNE_VV }, // 5720
  { PseudoVMFNE_VV_M4, VMFNE_VV }, // 5721
  { PseudoVMFNE_VV_M4_MASK, VMFNE_VV }, // 5722
  { PseudoVMFNE_VV_M8, VMFNE_VV }, // 5723
  { PseudoVMFNE_VV_M8_MASK, VMFNE_VV }, // 5724
  { PseudoVMFNE_VV_MF2, VMFNE_VV }, // 5725
  { PseudoVMFNE_VV_MF2_MASK, VMFNE_VV }, // 5726
  { PseudoVMFNE_VV_MF4, VMFNE_VV }, // 5727
  { PseudoVMFNE_VV_MF4_MASK, VMFNE_VV }, // 5728
  { PseudoVMFNE_VV_MF8, VMFNE_VV }, // 5729
  { PseudoVMFNE_VV_MF8_MASK, VMFNE_VV }, // 5730
  { PseudoVMINU_VV_M1, VMINU_VV }, // 5731
  { PseudoVMINU_VV_M1_MASK, VMINU_VV }, // 5732
  { PseudoVMINU_VV_M2, VMINU_VV }, // 5733
  { PseudoVMINU_VV_M2_MASK, VMINU_VV }, // 5734
  { PseudoVMINU_VV_M4, VMINU_VV }, // 5735
  { PseudoVMINU_VV_M4_MASK, VMINU_VV }, // 5736
  { PseudoVMINU_VV_M8, VMINU_VV }, // 5737
  { PseudoVMINU_VV_M8_MASK, VMINU_VV }, // 5738
  { PseudoVMINU_VV_MF2, VMINU_VV }, // 5739
  { PseudoVMINU_VV_MF2_MASK, VMINU_VV }, // 5740
  { PseudoVMINU_VV_MF4, VMINU_VV }, // 5741
  { PseudoVMINU_VV_MF4_MASK, VMINU_VV }, // 5742
  { PseudoVMINU_VV_MF8, VMINU_VV }, // 5743
  { PseudoVMINU_VV_MF8_MASK, VMINU_VV }, // 5744
  { PseudoVMINU_VX_M1, VMINU_VX }, // 5745
  { PseudoVMINU_VX_M1_MASK, VMINU_VX }, // 5746
  { PseudoVMINU_VX_M2, VMINU_VX }, // 5747
  { PseudoVMINU_VX_M2_MASK, VMINU_VX }, // 5748
  { PseudoVMINU_VX_M4, VMINU_VX }, // 5749
  { PseudoVMINU_VX_M4_MASK, VMINU_VX }, // 5750
  { PseudoVMINU_VX_M8, VMINU_VX }, // 5751
  { PseudoVMINU_VX_M8_MASK, VMINU_VX }, // 5752
  { PseudoVMINU_VX_MF2, VMINU_VX }, // 5753
  { PseudoVMINU_VX_MF2_MASK, VMINU_VX }, // 5754
  { PseudoVMINU_VX_MF4, VMINU_VX }, // 5755
  { PseudoVMINU_VX_MF4_MASK, VMINU_VX }, // 5756
  { PseudoVMINU_VX_MF8, VMINU_VX }, // 5757
  { PseudoVMINU_VX_MF8_MASK, VMINU_VX }, // 5758
  { PseudoVMIN_VV_M1, VMIN_VV }, // 5759
  { PseudoVMIN_VV_M1_MASK, VMIN_VV }, // 5760
  { PseudoVMIN_VV_M2, VMIN_VV }, // 5761
  { PseudoVMIN_VV_M2_MASK, VMIN_VV }, // 5762
  { PseudoVMIN_VV_M4, VMIN_VV }, // 5763
  { PseudoVMIN_VV_M4_MASK, VMIN_VV }, // 5764
  { PseudoVMIN_VV_M8, VMIN_VV }, // 5765
  { PseudoVMIN_VV_M8_MASK, VMIN_VV }, // 5766
  { PseudoVMIN_VV_MF2, VMIN_VV }, // 5767
  { PseudoVMIN_VV_MF2_MASK, VMIN_VV }, // 5768
  { PseudoVMIN_VV_MF4, VMIN_VV }, // 5769
  { PseudoVMIN_VV_MF4_MASK, VMIN_VV }, // 5770
  { PseudoVMIN_VV_MF8, VMIN_VV }, // 5771
  { PseudoVMIN_VV_MF8_MASK, VMIN_VV }, // 5772
  { PseudoVMIN_VX_M1, VMIN_VX }, // 5773
  { PseudoVMIN_VX_M1_MASK, VMIN_VX }, // 5774
  { PseudoVMIN_VX_M2, VMIN_VX }, // 5775
  { PseudoVMIN_VX_M2_MASK, VMIN_VX }, // 5776
  { PseudoVMIN_VX_M4, VMIN_VX }, // 5777
  { PseudoVMIN_VX_M4_MASK, VMIN_VX }, // 5778
  { PseudoVMIN_VX_M8, VMIN_VX }, // 5779
  { PseudoVMIN_VX_M8_MASK, VMIN_VX }, // 5780
  { PseudoVMIN_VX_MF2, VMIN_VX }, // 5781
  { PseudoVMIN_VX_MF2_MASK, VMIN_VX }, // 5782
  { PseudoVMIN_VX_MF4, VMIN_VX }, // 5783
  { PseudoVMIN_VX_MF4_MASK, VMIN_VX }, // 5784
  { PseudoVMIN_VX_MF8, VMIN_VX }, // 5785
  { PseudoVMIN_VX_MF8_MASK, VMIN_VX }, // 5786
  { PseudoVMNAND_MM_M1, VMNAND_MM }, // 5787
  { PseudoVMNAND_MM_M2, VMNAND_MM }, // 5788
  { PseudoVMNAND_MM_M4, VMNAND_MM }, // 5789
  { PseudoVMNAND_MM_M8, VMNAND_MM }, // 5790
  { PseudoVMNAND_MM_MF2, VMNAND_MM }, // 5791
  { PseudoVMNAND_MM_MF4, VMNAND_MM }, // 5792
  { PseudoVMNAND_MM_MF8, VMNAND_MM }, // 5793
  { PseudoVMNOR_MM_M1, VMNOR_MM }, // 5794
  { PseudoVMNOR_MM_M2, VMNOR_MM }, // 5795
  { PseudoVMNOR_MM_M4, VMNOR_MM }, // 5796
  { PseudoVMNOR_MM_M8, VMNOR_MM }, // 5797
  { PseudoVMNOR_MM_MF2, VMNOR_MM }, // 5798
  { PseudoVMNOR_MM_MF4, VMNOR_MM }, // 5799
  { PseudoVMNOR_MM_MF8, VMNOR_MM }, // 5800
  { PseudoVMORNOT_MM_M1, VMORNOT_MM }, // 5801
  { PseudoVMORNOT_MM_M2, VMORNOT_MM }, // 5802
  { PseudoVMORNOT_MM_M4, VMORNOT_MM }, // 5803
  { PseudoVMORNOT_MM_M8, VMORNOT_MM }, // 5804
  { PseudoVMORNOT_MM_MF2, VMORNOT_MM }, // 5805
  { PseudoVMORNOT_MM_MF4, VMORNOT_MM }, // 5806
  { PseudoVMORNOT_MM_MF8, VMORNOT_MM }, // 5807
  { PseudoVMOR_MM_M1, VMOR_MM }, // 5808
  { PseudoVMOR_MM_M2, VMOR_MM }, // 5809
  { PseudoVMOR_MM_M4, VMOR_MM }, // 5810
  { PseudoVMOR_MM_M8, VMOR_MM }, // 5811
  { PseudoVMOR_MM_MF2, VMOR_MM }, // 5812
  { PseudoVMOR_MM_MF4, VMOR_MM }, // 5813
  { PseudoVMOR_MM_MF8, VMOR_MM }, // 5814
  { PseudoVMSBC_VVM_M1, VMSBC_VVM }, // 5815
  { PseudoVMSBC_VVM_M2, VMSBC_VVM }, // 5816
  { PseudoVMSBC_VVM_M4, VMSBC_VVM }, // 5817
  { PseudoVMSBC_VVM_M8, VMSBC_VVM }, // 5818
  { PseudoVMSBC_VVM_MF2, VMSBC_VVM }, // 5819
  { PseudoVMSBC_VVM_MF4, VMSBC_VVM }, // 5820
  { PseudoVMSBC_VVM_MF8, VMSBC_VVM }, // 5821
  { PseudoVMSBC_VV_M1, VMSBC_VV }, // 5822
  { PseudoVMSBC_VV_M2, VMSBC_VV }, // 5823
  { PseudoVMSBC_VV_M4, VMSBC_VV }, // 5824
  { PseudoVMSBC_VV_M8, VMSBC_VV }, // 5825
  { PseudoVMSBC_VV_MF2, VMSBC_VV }, // 5826
  { PseudoVMSBC_VV_MF4, VMSBC_VV }, // 5827
  { PseudoVMSBC_VV_MF8, VMSBC_VV }, // 5828
  { PseudoVMSBC_VXM_M1, VMSBC_VXM }, // 5829
  { PseudoVMSBC_VXM_M2, VMSBC_VXM }, // 5830
  { PseudoVMSBC_VXM_M4, VMSBC_VXM }, // 5831
  { PseudoVMSBC_VXM_M8, VMSBC_VXM }, // 5832
  { PseudoVMSBC_VXM_MF2, VMSBC_VXM }, // 5833
  { PseudoVMSBC_VXM_MF4, VMSBC_VXM }, // 5834
  { PseudoVMSBC_VXM_MF8, VMSBC_VXM }, // 5835
  { PseudoVMSBC_VX_M1, VMSBC_VX }, // 5836
  { PseudoVMSBC_VX_M2, VMSBC_VX }, // 5837
  { PseudoVMSBC_VX_M4, VMSBC_VX }, // 5838
  { PseudoVMSBC_VX_M8, VMSBC_VX }, // 5839
  { PseudoVMSBC_VX_MF2, VMSBC_VX }, // 5840
  { PseudoVMSBC_VX_MF4, VMSBC_VX }, // 5841
  { PseudoVMSBC_VX_MF8, VMSBC_VX }, // 5842
  { PseudoVMSBF_M_B1, VMSBF_M }, // 5843
  { PseudoVMSBF_M_B16, VMSBF_M }, // 5844
  { PseudoVMSBF_M_B16_MASK, VMSBF_M }, // 5845
  { PseudoVMSBF_M_B1_MASK, VMSBF_M }, // 5846
  { PseudoVMSBF_M_B2, VMSBF_M }, // 5847
  { PseudoVMSBF_M_B2_MASK, VMSBF_M }, // 5848
  { PseudoVMSBF_M_B32, VMSBF_M }, // 5849
  { PseudoVMSBF_M_B32_MASK, VMSBF_M }, // 5850
  { PseudoVMSBF_M_B4, VMSBF_M }, // 5851
  { PseudoVMSBF_M_B4_MASK, VMSBF_M }, // 5852
  { PseudoVMSBF_M_B64, VMSBF_M }, // 5853
  { PseudoVMSBF_M_B64_MASK, VMSBF_M }, // 5854
  { PseudoVMSBF_M_B8, VMSBF_M }, // 5855
  { PseudoVMSBF_M_B8_MASK, VMSBF_M }, // 5856
  { PseudoVMSEQ_VI_M1, VMSEQ_VI }, // 5857
  { PseudoVMSEQ_VI_M1_MASK, VMSEQ_VI }, // 5858
  { PseudoVMSEQ_VI_M2, VMSEQ_VI }, // 5859
  { PseudoVMSEQ_VI_M2_MASK, VMSEQ_VI }, // 5860
  { PseudoVMSEQ_VI_M4, VMSEQ_VI }, // 5861
  { PseudoVMSEQ_VI_M4_MASK, VMSEQ_VI }, // 5862
  { PseudoVMSEQ_VI_M8, VMSEQ_VI }, // 5863
  { PseudoVMSEQ_VI_M8_MASK, VMSEQ_VI }, // 5864
  { PseudoVMSEQ_VI_MF2, VMSEQ_VI }, // 5865
  { PseudoVMSEQ_VI_MF2_MASK, VMSEQ_VI }, // 5866
  { PseudoVMSEQ_VI_MF4, VMSEQ_VI }, // 5867
  { PseudoVMSEQ_VI_MF4_MASK, VMSEQ_VI }, // 5868
  { PseudoVMSEQ_VI_MF8, VMSEQ_VI }, // 5869
  { PseudoVMSEQ_VI_MF8_MASK, VMSEQ_VI }, // 5870
  { PseudoVMSEQ_VV_M1, VMSEQ_VV }, // 5871
  { PseudoVMSEQ_VV_M1_MASK, VMSEQ_VV }, // 5872
  { PseudoVMSEQ_VV_M2, VMSEQ_VV }, // 5873
  { PseudoVMSEQ_VV_M2_MASK, VMSEQ_VV }, // 5874
  { PseudoVMSEQ_VV_M4, VMSEQ_VV }, // 5875
  { PseudoVMSEQ_VV_M4_MASK, VMSEQ_VV }, // 5876
  { PseudoVMSEQ_VV_M8, VMSEQ_VV }, // 5877
  { PseudoVMSEQ_VV_M8_MASK, VMSEQ_VV }, // 5878
  { PseudoVMSEQ_VV_MF2, VMSEQ_VV }, // 5879
  { PseudoVMSEQ_VV_MF2_MASK, VMSEQ_VV }, // 5880
  { PseudoVMSEQ_VV_MF4, VMSEQ_VV }, // 5881
  { PseudoVMSEQ_VV_MF4_MASK, VMSEQ_VV }, // 5882
  { PseudoVMSEQ_VV_MF8, VMSEQ_VV }, // 5883
  { PseudoVMSEQ_VV_MF8_MASK, VMSEQ_VV }, // 5884
  { PseudoVMSEQ_VX_M1, VMSEQ_VX }, // 5885
  { PseudoVMSEQ_VX_M1_MASK, VMSEQ_VX }, // 5886
  { PseudoVMSEQ_VX_M2, VMSEQ_VX }, // 5887
  { PseudoVMSEQ_VX_M2_MASK, VMSEQ_VX }, // 5888
  { PseudoVMSEQ_VX_M4, VMSEQ_VX }, // 5889
  { PseudoVMSEQ_VX_M4_MASK, VMSEQ_VX }, // 5890
  { PseudoVMSEQ_VX_M8, VMSEQ_VX }, // 5891
  { PseudoVMSEQ_VX_M8_MASK, VMSEQ_VX }, // 5892
  { PseudoVMSEQ_VX_MF2, VMSEQ_VX }, // 5893
  { PseudoVMSEQ_VX_MF2_MASK, VMSEQ_VX }, // 5894
  { PseudoVMSEQ_VX_MF4, VMSEQ_VX }, // 5895
  { PseudoVMSEQ_VX_MF4_MASK, VMSEQ_VX }, // 5896
  { PseudoVMSEQ_VX_MF8, VMSEQ_VX }, // 5897
  { PseudoVMSEQ_VX_MF8_MASK, VMSEQ_VX }, // 5898
  { PseudoVMSET_M_B1, VMXNOR_MM }, // 5899
  { PseudoVMSET_M_B16, VMXNOR_MM }, // 5900
  { PseudoVMSET_M_B2, VMXNOR_MM }, // 5901
  { PseudoVMSET_M_B32, VMXNOR_MM }, // 5902
  { PseudoVMSET_M_B4, VMXNOR_MM }, // 5903
  { PseudoVMSET_M_B64, VMXNOR_MM }, // 5904
  { PseudoVMSET_M_B8, VMXNOR_MM }, // 5905
  { PseudoVMSGTU_VI_M1, VMSGTU_VI }, // 5906
  { PseudoVMSGTU_VI_M1_MASK, VMSGTU_VI }, // 5907
  { PseudoVMSGTU_VI_M2, VMSGTU_VI }, // 5908
  { PseudoVMSGTU_VI_M2_MASK, VMSGTU_VI }, // 5909
  { PseudoVMSGTU_VI_M4, VMSGTU_VI }, // 5910
  { PseudoVMSGTU_VI_M4_MASK, VMSGTU_VI }, // 5911
  { PseudoVMSGTU_VI_M8, VMSGTU_VI }, // 5912
  { PseudoVMSGTU_VI_M8_MASK, VMSGTU_VI }, // 5913
  { PseudoVMSGTU_VI_MF2, VMSGTU_VI }, // 5914
  { PseudoVMSGTU_VI_MF2_MASK, VMSGTU_VI }, // 5915
  { PseudoVMSGTU_VI_MF4, VMSGTU_VI }, // 5916
  { PseudoVMSGTU_VI_MF4_MASK, VMSGTU_VI }, // 5917
  { PseudoVMSGTU_VI_MF8, VMSGTU_VI }, // 5918
  { PseudoVMSGTU_VI_MF8_MASK, VMSGTU_VI }, // 5919
  { PseudoVMSGTU_VX_M1, VMSGTU_VX }, // 5920
  { PseudoVMSGTU_VX_M1_MASK, VMSGTU_VX }, // 5921
  { PseudoVMSGTU_VX_M2, VMSGTU_VX }, // 5922
  { PseudoVMSGTU_VX_M2_MASK, VMSGTU_VX }, // 5923
  { PseudoVMSGTU_VX_M4, VMSGTU_VX }, // 5924
  { PseudoVMSGTU_VX_M4_MASK, VMSGTU_VX }, // 5925
  { PseudoVMSGTU_VX_M8, VMSGTU_VX }, // 5926
  { PseudoVMSGTU_VX_M8_MASK, VMSGTU_VX }, // 5927
  { PseudoVMSGTU_VX_MF2, VMSGTU_VX }, // 5928
  { PseudoVMSGTU_VX_MF2_MASK, VMSGTU_VX }, // 5929
  { PseudoVMSGTU_VX_MF4, VMSGTU_VX }, // 5930
  { PseudoVMSGTU_VX_MF4_MASK, VMSGTU_VX }, // 5931
  { PseudoVMSGTU_VX_MF8, VMSGTU_VX }, // 5932
  { PseudoVMSGTU_VX_MF8_MASK, VMSGTU_VX }, // 5933
  { PseudoVMSGT_VI_M1, VMSGT_VI }, // 5934
  { PseudoVMSGT_VI_M1_MASK, VMSGT_VI }, // 5935
  { PseudoVMSGT_VI_M2, VMSGT_VI }, // 5936
  { PseudoVMSGT_VI_M2_MASK, VMSGT_VI }, // 5937
  { PseudoVMSGT_VI_M4, VMSGT_VI }, // 5938
  { PseudoVMSGT_VI_M4_MASK, VMSGT_VI }, // 5939
  { PseudoVMSGT_VI_M8, VMSGT_VI }, // 5940
  { PseudoVMSGT_VI_M8_MASK, VMSGT_VI }, // 5941
  { PseudoVMSGT_VI_MF2, VMSGT_VI }, // 5942
  { PseudoVMSGT_VI_MF2_MASK, VMSGT_VI }, // 5943
  { PseudoVMSGT_VI_MF4, VMSGT_VI }, // 5944
  { PseudoVMSGT_VI_MF4_MASK, VMSGT_VI }, // 5945
  { PseudoVMSGT_VI_MF8, VMSGT_VI }, // 5946
  { PseudoVMSGT_VI_MF8_MASK, VMSGT_VI }, // 5947
  { PseudoVMSGT_VX_M1, VMSGT_VX }, // 5948
  { PseudoVMSGT_VX_M1_MASK, VMSGT_VX }, // 5949
  { PseudoVMSGT_VX_M2, VMSGT_VX }, // 5950
  { PseudoVMSGT_VX_M2_MASK, VMSGT_VX }, // 5951
  { PseudoVMSGT_VX_M4, VMSGT_VX }, // 5952
  { PseudoVMSGT_VX_M4_MASK, VMSGT_VX }, // 5953
  { PseudoVMSGT_VX_M8, VMSGT_VX }, // 5954
  { PseudoVMSGT_VX_M8_MASK, VMSGT_VX }, // 5955
  { PseudoVMSGT_VX_MF2, VMSGT_VX }, // 5956
  { PseudoVMSGT_VX_MF2_MASK, VMSGT_VX }, // 5957
  { PseudoVMSGT_VX_MF4, VMSGT_VX }, // 5958
  { PseudoVMSGT_VX_MF4_MASK, VMSGT_VX }, // 5959
  { PseudoVMSGT_VX_MF8, VMSGT_VX }, // 5960
  { PseudoVMSGT_VX_MF8_MASK, VMSGT_VX }, // 5961
  { PseudoVMSIF_M_B1, VMSIF_M }, // 5962
  { PseudoVMSIF_M_B16, VMSIF_M }, // 5963
  { PseudoVMSIF_M_B16_MASK, VMSIF_M }, // 5964
  { PseudoVMSIF_M_B1_MASK, VMSIF_M }, // 5965
  { PseudoVMSIF_M_B2, VMSIF_M }, // 5966
  { PseudoVMSIF_M_B2_MASK, VMSIF_M }, // 5967
  { PseudoVMSIF_M_B32, VMSIF_M }, // 5968
  { PseudoVMSIF_M_B32_MASK, VMSIF_M }, // 5969
  { PseudoVMSIF_M_B4, VMSIF_M }, // 5970
  { PseudoVMSIF_M_B4_MASK, VMSIF_M }, // 5971
  { PseudoVMSIF_M_B64, VMSIF_M }, // 5972
  { PseudoVMSIF_M_B64_MASK, VMSIF_M }, // 5973
  { PseudoVMSIF_M_B8, VMSIF_M }, // 5974
  { PseudoVMSIF_M_B8_MASK, VMSIF_M }, // 5975
  { PseudoVMSLEU_VI_M1, VMSLEU_VI }, // 5976
  { PseudoVMSLEU_VI_M1_MASK, VMSLEU_VI }, // 5977
  { PseudoVMSLEU_VI_M2, VMSLEU_VI }, // 5978
  { PseudoVMSLEU_VI_M2_MASK, VMSLEU_VI }, // 5979
  { PseudoVMSLEU_VI_M4, VMSLEU_VI }, // 5980
  { PseudoVMSLEU_VI_M4_MASK, VMSLEU_VI }, // 5981
  { PseudoVMSLEU_VI_M8, VMSLEU_VI }, // 5982
  { PseudoVMSLEU_VI_M8_MASK, VMSLEU_VI }, // 5983
  { PseudoVMSLEU_VI_MF2, VMSLEU_VI }, // 5984
  { PseudoVMSLEU_VI_MF2_MASK, VMSLEU_VI }, // 5985
  { PseudoVMSLEU_VI_MF4, VMSLEU_VI }, // 5986
  { PseudoVMSLEU_VI_MF4_MASK, VMSLEU_VI }, // 5987
  { PseudoVMSLEU_VI_MF8, VMSLEU_VI }, // 5988
  { PseudoVMSLEU_VI_MF8_MASK, VMSLEU_VI }, // 5989
  { PseudoVMSLEU_VV_M1, VMSLEU_VV }, // 5990
  { PseudoVMSLEU_VV_M1_MASK, VMSLEU_VV }, // 5991
  { PseudoVMSLEU_VV_M2, VMSLEU_VV }, // 5992
  { PseudoVMSLEU_VV_M2_MASK, VMSLEU_VV }, // 5993
  { PseudoVMSLEU_VV_M4, VMSLEU_VV }, // 5994
  { PseudoVMSLEU_VV_M4_MASK, VMSLEU_VV }, // 5995
  { PseudoVMSLEU_VV_M8, VMSLEU_VV }, // 5996
  { PseudoVMSLEU_VV_M8_MASK, VMSLEU_VV }, // 5997
  { PseudoVMSLEU_VV_MF2, VMSLEU_VV }, // 5998
  { PseudoVMSLEU_VV_MF2_MASK, VMSLEU_VV }, // 5999
  { PseudoVMSLEU_VV_MF4, VMSLEU_VV }, // 6000
  { PseudoVMSLEU_VV_MF4_MASK, VMSLEU_VV }, // 6001
  { PseudoVMSLEU_VV_MF8, VMSLEU_VV }, // 6002
  { PseudoVMSLEU_VV_MF8_MASK, VMSLEU_VV }, // 6003
  { PseudoVMSLEU_VX_M1, VMSLEU_VX }, // 6004
  { PseudoVMSLEU_VX_M1_MASK, VMSLEU_VX }, // 6005
  { PseudoVMSLEU_VX_M2, VMSLEU_VX }, // 6006
  { PseudoVMSLEU_VX_M2_MASK, VMSLEU_VX }, // 6007
  { PseudoVMSLEU_VX_M4, VMSLEU_VX }, // 6008
  { PseudoVMSLEU_VX_M4_MASK, VMSLEU_VX }, // 6009
  { PseudoVMSLEU_VX_M8, VMSLEU_VX }, // 6010
  { PseudoVMSLEU_VX_M8_MASK, VMSLEU_VX }, // 6011
  { PseudoVMSLEU_VX_MF2, VMSLEU_VX }, // 6012
  { PseudoVMSLEU_VX_MF2_MASK, VMSLEU_VX }, // 6013
  { PseudoVMSLEU_VX_MF4, VMSLEU_VX }, // 6014
  { PseudoVMSLEU_VX_MF4_MASK, VMSLEU_VX }, // 6015
  { PseudoVMSLEU_VX_MF8, VMSLEU_VX }, // 6016
  { PseudoVMSLEU_VX_MF8_MASK, VMSLEU_VX }, // 6017
  { PseudoVMSLE_VI_M1, VMSLE_VI }, // 6018
  { PseudoVMSLE_VI_M1_MASK, VMSLE_VI }, // 6019
  { PseudoVMSLE_VI_M2, VMSLE_VI }, // 6020
  { PseudoVMSLE_VI_M2_MASK, VMSLE_VI }, // 6021
  { PseudoVMSLE_VI_M4, VMSLE_VI }, // 6022
  { PseudoVMSLE_VI_M4_MASK, VMSLE_VI }, // 6023
  { PseudoVMSLE_VI_M8, VMSLE_VI }, // 6024
  { PseudoVMSLE_VI_M8_MASK, VMSLE_VI }, // 6025
  { PseudoVMSLE_VI_MF2, VMSLE_VI }, // 6026
  { PseudoVMSLE_VI_MF2_MASK, VMSLE_VI }, // 6027
  { PseudoVMSLE_VI_MF4, VMSLE_VI }, // 6028
  { PseudoVMSLE_VI_MF4_MASK, VMSLE_VI }, // 6029
  { PseudoVMSLE_VI_MF8, VMSLE_VI }, // 6030
  { PseudoVMSLE_VI_MF8_MASK, VMSLE_VI }, // 6031
  { PseudoVMSLE_VV_M1, VMSLE_VV }, // 6032
  { PseudoVMSLE_VV_M1_MASK, VMSLE_VV }, // 6033
  { PseudoVMSLE_VV_M2, VMSLE_VV }, // 6034
  { PseudoVMSLE_VV_M2_MASK, VMSLE_VV }, // 6035
  { PseudoVMSLE_VV_M4, VMSLE_VV }, // 6036
  { PseudoVMSLE_VV_M4_MASK, VMSLE_VV }, // 6037
  { PseudoVMSLE_VV_M8, VMSLE_VV }, // 6038
  { PseudoVMSLE_VV_M8_MASK, VMSLE_VV }, // 6039
  { PseudoVMSLE_VV_MF2, VMSLE_VV }, // 6040
  { PseudoVMSLE_VV_MF2_MASK, VMSLE_VV }, // 6041
  { PseudoVMSLE_VV_MF4, VMSLE_VV }, // 6042
  { PseudoVMSLE_VV_MF4_MASK, VMSLE_VV }, // 6043
  { PseudoVMSLE_VV_MF8, VMSLE_VV }, // 6044
  { PseudoVMSLE_VV_MF8_MASK, VMSLE_VV }, // 6045
  { PseudoVMSLE_VX_M1, VMSLE_VX }, // 6046
  { PseudoVMSLE_VX_M1_MASK, VMSLE_VX }, // 6047
  { PseudoVMSLE_VX_M2, VMSLE_VX }, // 6048
  { PseudoVMSLE_VX_M2_MASK, VMSLE_VX }, // 6049
  { PseudoVMSLE_VX_M4, VMSLE_VX }, // 6050
  { PseudoVMSLE_VX_M4_MASK, VMSLE_VX }, // 6051
  { PseudoVMSLE_VX_M8, VMSLE_VX }, // 6052
  { PseudoVMSLE_VX_M8_MASK, VMSLE_VX }, // 6053
  { PseudoVMSLE_VX_MF2, VMSLE_VX }, // 6054
  { PseudoVMSLE_VX_MF2_MASK, VMSLE_VX }, // 6055
  { PseudoVMSLE_VX_MF4, VMSLE_VX }, // 6056
  { PseudoVMSLE_VX_MF4_MASK, VMSLE_VX }, // 6057
  { PseudoVMSLE_VX_MF8, VMSLE_VX }, // 6058
  { PseudoVMSLE_VX_MF8_MASK, VMSLE_VX }, // 6059
  { PseudoVMSLTU_VV_M1, VMSLTU_VV }, // 6060
  { PseudoVMSLTU_VV_M1_MASK, VMSLTU_VV }, // 6061
  { PseudoVMSLTU_VV_M2, VMSLTU_VV }, // 6062
  { PseudoVMSLTU_VV_M2_MASK, VMSLTU_VV }, // 6063
  { PseudoVMSLTU_VV_M4, VMSLTU_VV }, // 6064
  { PseudoVMSLTU_VV_M4_MASK, VMSLTU_VV }, // 6065
  { PseudoVMSLTU_VV_M8, VMSLTU_VV }, // 6066
  { PseudoVMSLTU_VV_M8_MASK, VMSLTU_VV }, // 6067
  { PseudoVMSLTU_VV_MF2, VMSLTU_VV }, // 6068
  { PseudoVMSLTU_VV_MF2_MASK, VMSLTU_VV }, // 6069
  { PseudoVMSLTU_VV_MF4, VMSLTU_VV }, // 6070
  { PseudoVMSLTU_VV_MF4_MASK, VMSLTU_VV }, // 6071
  { PseudoVMSLTU_VV_MF8, VMSLTU_VV }, // 6072
  { PseudoVMSLTU_VV_MF8_MASK, VMSLTU_VV }, // 6073
  { PseudoVMSLTU_VX_M1, VMSLTU_VX }, // 6074
  { PseudoVMSLTU_VX_M1_MASK, VMSLTU_VX }, // 6075
  { PseudoVMSLTU_VX_M2, VMSLTU_VX }, // 6076
  { PseudoVMSLTU_VX_M2_MASK, VMSLTU_VX }, // 6077
  { PseudoVMSLTU_VX_M4, VMSLTU_VX }, // 6078
  { PseudoVMSLTU_VX_M4_MASK, VMSLTU_VX }, // 6079
  { PseudoVMSLTU_VX_M8, VMSLTU_VX }, // 6080
  { PseudoVMSLTU_VX_M8_MASK, VMSLTU_VX }, // 6081
  { PseudoVMSLTU_VX_MF2, VMSLTU_VX }, // 6082
  { PseudoVMSLTU_VX_MF2_MASK, VMSLTU_VX }, // 6083
  { PseudoVMSLTU_VX_MF4, VMSLTU_VX }, // 6084
  { PseudoVMSLTU_VX_MF4_MASK, VMSLTU_VX }, // 6085
  { PseudoVMSLTU_VX_MF8, VMSLTU_VX }, // 6086
  { PseudoVMSLTU_VX_MF8_MASK, VMSLTU_VX }, // 6087
  { PseudoVMSLT_VV_M1, VMSLT_VV }, // 6088
  { PseudoVMSLT_VV_M1_MASK, VMSLT_VV }, // 6089
  { PseudoVMSLT_VV_M2, VMSLT_VV }, // 6090
  { PseudoVMSLT_VV_M2_MASK, VMSLT_VV }, // 6091
  { PseudoVMSLT_VV_M4, VMSLT_VV }, // 6092
  { PseudoVMSLT_VV_M4_MASK, VMSLT_VV }, // 6093
  { PseudoVMSLT_VV_M8, VMSLT_VV }, // 6094
  { PseudoVMSLT_VV_M8_MASK, VMSLT_VV }, // 6095
  { PseudoVMSLT_VV_MF2, VMSLT_VV }, // 6096
  { PseudoVMSLT_VV_MF2_MASK, VMSLT_VV }, // 6097
  { PseudoVMSLT_VV_MF4, VMSLT_VV }, // 6098
  { PseudoVMSLT_VV_MF4_MASK, VMSLT_VV }, // 6099
  { PseudoVMSLT_VV_MF8, VMSLT_VV }, // 6100
  { PseudoVMSLT_VV_MF8_MASK, VMSLT_VV }, // 6101
  { PseudoVMSLT_VX_M1, VMSLT_VX }, // 6102
  { PseudoVMSLT_VX_M1_MASK, VMSLT_VX }, // 6103
  { PseudoVMSLT_VX_M2, VMSLT_VX }, // 6104
  { PseudoVMSLT_VX_M2_MASK, VMSLT_VX }, // 6105
  { PseudoVMSLT_VX_M4, VMSLT_VX }, // 6106
  { PseudoVMSLT_VX_M4_MASK, VMSLT_VX }, // 6107
  { PseudoVMSLT_VX_M8, VMSLT_VX }, // 6108
  { PseudoVMSLT_VX_M8_MASK, VMSLT_VX }, // 6109
  { PseudoVMSLT_VX_MF2, VMSLT_VX }, // 6110
  { PseudoVMSLT_VX_MF2_MASK, VMSLT_VX }, // 6111
  { PseudoVMSLT_VX_MF4, VMSLT_VX }, // 6112
  { PseudoVMSLT_VX_MF4_MASK, VMSLT_VX }, // 6113
  { PseudoVMSLT_VX_MF8, VMSLT_VX }, // 6114
  { PseudoVMSLT_VX_MF8_MASK, VMSLT_VX }, // 6115
  { PseudoVMSNE_VI_M1, VMSNE_VI }, // 6116
  { PseudoVMSNE_VI_M1_MASK, VMSNE_VI }, // 6117
  { PseudoVMSNE_VI_M2, VMSNE_VI }, // 6118
  { PseudoVMSNE_VI_M2_MASK, VMSNE_VI }, // 6119
  { PseudoVMSNE_VI_M4, VMSNE_VI }, // 6120
  { PseudoVMSNE_VI_M4_MASK, VMSNE_VI }, // 6121
  { PseudoVMSNE_VI_M8, VMSNE_VI }, // 6122
  { PseudoVMSNE_VI_M8_MASK, VMSNE_VI }, // 6123
  { PseudoVMSNE_VI_MF2, VMSNE_VI }, // 6124
  { PseudoVMSNE_VI_MF2_MASK, VMSNE_VI }, // 6125
  { PseudoVMSNE_VI_MF4, VMSNE_VI }, // 6126
  { PseudoVMSNE_VI_MF4_MASK, VMSNE_VI }, // 6127
  { PseudoVMSNE_VI_MF8, VMSNE_VI }, // 6128
  { PseudoVMSNE_VI_MF8_MASK, VMSNE_VI }, // 6129
  { PseudoVMSNE_VV_M1, VMSNE_VV }, // 6130
  { PseudoVMSNE_VV_M1_MASK, VMSNE_VV }, // 6131
  { PseudoVMSNE_VV_M2, VMSNE_VV }, // 6132
  { PseudoVMSNE_VV_M2_MASK, VMSNE_VV }, // 6133
  { PseudoVMSNE_VV_M4, VMSNE_VV }, // 6134
  { PseudoVMSNE_VV_M4_MASK, VMSNE_VV }, // 6135
  { PseudoVMSNE_VV_M8, VMSNE_VV }, // 6136
  { PseudoVMSNE_VV_M8_MASK, VMSNE_VV }, // 6137
  { PseudoVMSNE_VV_MF2, VMSNE_VV }, // 6138
  { PseudoVMSNE_VV_MF2_MASK, VMSNE_VV }, // 6139
  { PseudoVMSNE_VV_MF4, VMSNE_VV }, // 6140
  { PseudoVMSNE_VV_MF4_MASK, VMSNE_VV }, // 6141
  { PseudoVMSNE_VV_MF8, VMSNE_VV }, // 6142
  { PseudoVMSNE_VV_MF8_MASK, VMSNE_VV }, // 6143
  { PseudoVMSNE_VX_M1, VMSNE_VX }, // 6144
  { PseudoVMSNE_VX_M1_MASK, VMSNE_VX }, // 6145
  { PseudoVMSNE_VX_M2, VMSNE_VX }, // 6146
  { PseudoVMSNE_VX_M2_MASK, VMSNE_VX }, // 6147
  { PseudoVMSNE_VX_M4, VMSNE_VX }, // 6148
  { PseudoVMSNE_VX_M4_MASK, VMSNE_VX }, // 6149
  { PseudoVMSNE_VX_M8, VMSNE_VX }, // 6150
  { PseudoVMSNE_VX_M8_MASK, VMSNE_VX }, // 6151
  { PseudoVMSNE_VX_MF2, VMSNE_VX }, // 6152
  { PseudoVMSNE_VX_MF2_MASK, VMSNE_VX }, // 6153
  { PseudoVMSNE_VX_MF4, VMSNE_VX }, // 6154
  { PseudoVMSNE_VX_MF4_MASK, VMSNE_VX }, // 6155
  { PseudoVMSNE_VX_MF8, VMSNE_VX }, // 6156
  { PseudoVMSNE_VX_MF8_MASK, VMSNE_VX }, // 6157
  { PseudoVMSOF_M_B1, VMSOF_M }, // 6158
  { PseudoVMSOF_M_B16, VMSOF_M }, // 6159
  { PseudoVMSOF_M_B16_MASK, VMSOF_M }, // 6160
  { PseudoVMSOF_M_B1_MASK, VMSOF_M }, // 6161
  { PseudoVMSOF_M_B2, VMSOF_M }, // 6162
  { PseudoVMSOF_M_B2_MASK, VMSOF_M }, // 6163
  { PseudoVMSOF_M_B32, VMSOF_M }, // 6164
  { PseudoVMSOF_M_B32_MASK, VMSOF_M }, // 6165
  { PseudoVMSOF_M_B4, VMSOF_M }, // 6166
  { PseudoVMSOF_M_B4_MASK, VMSOF_M }, // 6167
  { PseudoVMSOF_M_B64, VMSOF_M }, // 6168
  { PseudoVMSOF_M_B64_MASK, VMSOF_M }, // 6169
  { PseudoVMSOF_M_B8, VMSOF_M }, // 6170
  { PseudoVMSOF_M_B8_MASK, VMSOF_M }, // 6171
  { PseudoVMULHSU_VV_M1, VMULHSU_VV }, // 6172
  { PseudoVMULHSU_VV_M1_MASK, VMULHSU_VV }, // 6173
  { PseudoVMULHSU_VV_M2, VMULHSU_VV }, // 6174
  { PseudoVMULHSU_VV_M2_MASK, VMULHSU_VV }, // 6175
  { PseudoVMULHSU_VV_M4, VMULHSU_VV }, // 6176
  { PseudoVMULHSU_VV_M4_MASK, VMULHSU_VV }, // 6177
  { PseudoVMULHSU_VV_M8, VMULHSU_VV }, // 6178
  { PseudoVMULHSU_VV_M8_MASK, VMULHSU_VV }, // 6179
  { PseudoVMULHSU_VV_MF2, VMULHSU_VV }, // 6180
  { PseudoVMULHSU_VV_MF2_MASK, VMULHSU_VV }, // 6181
  { PseudoVMULHSU_VV_MF4, VMULHSU_VV }, // 6182
  { PseudoVMULHSU_VV_MF4_MASK, VMULHSU_VV }, // 6183
  { PseudoVMULHSU_VV_MF8, VMULHSU_VV }, // 6184
  { PseudoVMULHSU_VV_MF8_MASK, VMULHSU_VV }, // 6185
  { PseudoVMULHSU_VX_M1, VMULHSU_VX }, // 6186
  { PseudoVMULHSU_VX_M1_MASK, VMULHSU_VX }, // 6187
  { PseudoVMULHSU_VX_M2, VMULHSU_VX }, // 6188
  { PseudoVMULHSU_VX_M2_MASK, VMULHSU_VX }, // 6189
  { PseudoVMULHSU_VX_M4, VMULHSU_VX }, // 6190
  { PseudoVMULHSU_VX_M4_MASK, VMULHSU_VX }, // 6191
  { PseudoVMULHSU_VX_M8, VMULHSU_VX }, // 6192
  { PseudoVMULHSU_VX_M8_MASK, VMULHSU_VX }, // 6193
  { PseudoVMULHSU_VX_MF2, VMULHSU_VX }, // 6194
  { PseudoVMULHSU_VX_MF2_MASK, VMULHSU_VX }, // 6195
  { PseudoVMULHSU_VX_MF4, VMULHSU_VX }, // 6196
  { PseudoVMULHSU_VX_MF4_MASK, VMULHSU_VX }, // 6197
  { PseudoVMULHSU_VX_MF8, VMULHSU_VX }, // 6198
  { PseudoVMULHSU_VX_MF8_MASK, VMULHSU_VX }, // 6199
  { PseudoVMULHU_VV_M1, VMULHU_VV }, // 6200
  { PseudoVMULHU_VV_M1_MASK, VMULHU_VV }, // 6201
  { PseudoVMULHU_VV_M2, VMULHU_VV }, // 6202
  { PseudoVMULHU_VV_M2_MASK, VMULHU_VV }, // 6203
  { PseudoVMULHU_VV_M4, VMULHU_VV }, // 6204
  { PseudoVMULHU_VV_M4_MASK, VMULHU_VV }, // 6205
  { PseudoVMULHU_VV_M8, VMULHU_VV }, // 6206
  { PseudoVMULHU_VV_M8_MASK, VMULHU_VV }, // 6207
  { PseudoVMULHU_VV_MF2, VMULHU_VV }, // 6208
  { PseudoVMULHU_VV_MF2_MASK, VMULHU_VV }, // 6209
  { PseudoVMULHU_VV_MF4, VMULHU_VV }, // 6210
  { PseudoVMULHU_VV_MF4_MASK, VMULHU_VV }, // 6211
  { PseudoVMULHU_VV_MF8, VMULHU_VV }, // 6212
  { PseudoVMULHU_VV_MF8_MASK, VMULHU_VV }, // 6213
  { PseudoVMULHU_VX_M1, VMULHU_VX }, // 6214
  { PseudoVMULHU_VX_M1_MASK, VMULHU_VX }, // 6215
  { PseudoVMULHU_VX_M2, VMULHU_VX }, // 6216
  { PseudoVMULHU_VX_M2_MASK, VMULHU_VX }, // 6217
  { PseudoVMULHU_VX_M4, VMULHU_VX }, // 6218
  { PseudoVMULHU_VX_M4_MASK, VMULHU_VX }, // 6219
  { PseudoVMULHU_VX_M8, VMULHU_VX }, // 6220
  { PseudoVMULHU_VX_M8_MASK, VMULHU_VX }, // 6221
  { PseudoVMULHU_VX_MF2, VMULHU_VX }, // 6222
  { PseudoVMULHU_VX_MF2_MASK, VMULHU_VX }, // 6223
  { PseudoVMULHU_VX_MF4, VMULHU_VX }, // 6224
  { PseudoVMULHU_VX_MF4_MASK, VMULHU_VX }, // 6225
  { PseudoVMULHU_VX_MF8, VMULHU_VX }, // 6226
  { PseudoVMULHU_VX_MF8_MASK, VMULHU_VX }, // 6227
  { PseudoVMULH_VV_M1, VMULH_VV }, // 6228
  { PseudoVMULH_VV_M1_MASK, VMULH_VV }, // 6229
  { PseudoVMULH_VV_M2, VMULH_VV }, // 6230
  { PseudoVMULH_VV_M2_MASK, VMULH_VV }, // 6231
  { PseudoVMULH_VV_M4, VMULH_VV }, // 6232
  { PseudoVMULH_VV_M4_MASK, VMULH_VV }, // 6233
  { PseudoVMULH_VV_M8, VMULH_VV }, // 6234
  { PseudoVMULH_VV_M8_MASK, VMULH_VV }, // 6235
  { PseudoVMULH_VV_MF2, VMULH_VV }, // 6236
  { PseudoVMULH_VV_MF2_MASK, VMULH_VV }, // 6237
  { PseudoVMULH_VV_MF4, VMULH_VV }, // 6238
  { PseudoVMULH_VV_MF4_MASK, VMULH_VV }, // 6239
  { PseudoVMULH_VV_MF8, VMULH_VV }, // 6240
  { PseudoVMULH_VV_MF8_MASK, VMULH_VV }, // 6241
  { PseudoVMULH_VX_M1, VMULH_VX }, // 6242
  { PseudoVMULH_VX_M1_MASK, VMULH_VX }, // 6243
  { PseudoVMULH_VX_M2, VMULH_VX }, // 6244
  { PseudoVMULH_VX_M2_MASK, VMULH_VX }, // 6245
  { PseudoVMULH_VX_M4, VMULH_VX }, // 6246
  { PseudoVMULH_VX_M4_MASK, VMULH_VX }, // 6247
  { PseudoVMULH_VX_M8, VMULH_VX }, // 6248
  { PseudoVMULH_VX_M8_MASK, VMULH_VX }, // 6249
  { PseudoVMULH_VX_MF2, VMULH_VX }, // 6250
  { PseudoVMULH_VX_MF2_MASK, VMULH_VX }, // 6251
  { PseudoVMULH_VX_MF4, VMULH_VX }, // 6252
  { PseudoVMULH_VX_MF4_MASK, VMULH_VX }, // 6253
  { PseudoVMULH_VX_MF8, VMULH_VX }, // 6254
  { PseudoVMULH_VX_MF8_MASK, VMULH_VX }, // 6255
  { PseudoVMUL_VV_M1, VMUL_VV }, // 6256
  { PseudoVMUL_VV_M1_MASK, VMUL_VV }, // 6257
  { PseudoVMUL_VV_M2, VMUL_VV }, // 6258
  { PseudoVMUL_VV_M2_MASK, VMUL_VV }, // 6259
  { PseudoVMUL_VV_M4, VMUL_VV }, // 6260
  { PseudoVMUL_VV_M4_MASK, VMUL_VV }, // 6261
  { PseudoVMUL_VV_M8, VMUL_VV }, // 6262
  { PseudoVMUL_VV_M8_MASK, VMUL_VV }, // 6263
  { PseudoVMUL_VV_MF2, VMUL_VV }, // 6264
  { PseudoVMUL_VV_MF2_MASK, VMUL_VV }, // 6265
  { PseudoVMUL_VV_MF4, VMUL_VV }, // 6266
  { PseudoVMUL_VV_MF4_MASK, VMUL_VV }, // 6267
  { PseudoVMUL_VV_MF8, VMUL_VV }, // 6268
  { PseudoVMUL_VV_MF8_MASK, VMUL_VV }, // 6269
  { PseudoVMUL_VX_M1, VMUL_VX }, // 6270
  { PseudoVMUL_VX_M1_MASK, VMUL_VX }, // 6271
  { PseudoVMUL_VX_M2, VMUL_VX }, // 6272
  { PseudoVMUL_VX_M2_MASK, VMUL_VX }, // 6273
  { PseudoVMUL_VX_M4, VMUL_VX }, // 6274
  { PseudoVMUL_VX_M4_MASK, VMUL_VX }, // 6275
  { PseudoVMUL_VX_M8, VMUL_VX }, // 6276
  { PseudoVMUL_VX_M8_MASK, VMUL_VX }, // 6277
  { PseudoVMUL_VX_MF2, VMUL_VX }, // 6278
  { PseudoVMUL_VX_MF2_MASK, VMUL_VX }, // 6279
  { PseudoVMUL_VX_MF4, VMUL_VX }, // 6280
  { PseudoVMUL_VX_MF4_MASK, VMUL_VX }, // 6281
  { PseudoVMUL_VX_MF8, VMUL_VX }, // 6282
  { PseudoVMUL_VX_MF8_MASK, VMUL_VX }, // 6283
  { PseudoVMV1R_V, VMV1R_V }, // 6284
  { PseudoVMV2R_V, VMV2R_V }, // 6285
  { PseudoVMV4R_V, VMV4R_V }, // 6286
  { PseudoVMV8R_V, VMV8R_V }, // 6287
  { PseudoVMV_S_X_M1, VMV_S_X }, // 6288
  { PseudoVMV_S_X_M2, VMV_S_X }, // 6289
  { PseudoVMV_S_X_M4, VMV_S_X }, // 6290
  { PseudoVMV_S_X_M8, VMV_S_X }, // 6291
  { PseudoVMV_S_X_MF2, VMV_S_X }, // 6292
  { PseudoVMV_S_X_MF4, VMV_S_X }, // 6293
  { PseudoVMV_S_X_MF8, VMV_S_X }, // 6294
  { PseudoVMV_V_I_M1, VMV_V_I }, // 6295
  { PseudoVMV_V_I_M2, VMV_V_I }, // 6296
  { PseudoVMV_V_I_M4, VMV_V_I }, // 6297
  { PseudoVMV_V_I_M8, VMV_V_I }, // 6298
  { PseudoVMV_V_I_MF2, VMV_V_I }, // 6299
  { PseudoVMV_V_I_MF4, VMV_V_I }, // 6300
  { PseudoVMV_V_I_MF8, VMV_V_I }, // 6301
  { PseudoVMV_V_V_M1, VMV_V_V }, // 6302
  { PseudoVMV_V_V_M2, VMV_V_V }, // 6303
  { PseudoVMV_V_V_M4, VMV_V_V }, // 6304
  { PseudoVMV_V_V_M8, VMV_V_V }, // 6305
  { PseudoVMV_V_V_MF2, VMV_V_V }, // 6306
  { PseudoVMV_V_V_MF4, VMV_V_V }, // 6307
  { PseudoVMV_V_V_MF8, VMV_V_V }, // 6308
  { PseudoVMV_V_X_M1, VMV_V_X }, // 6309
  { PseudoVMV_V_X_M2, VMV_V_X }, // 6310
  { PseudoVMV_V_X_M4, VMV_V_X }, // 6311
  { PseudoVMV_V_X_M8, VMV_V_X }, // 6312
  { PseudoVMV_V_X_MF2, VMV_V_X }, // 6313
  { PseudoVMV_V_X_MF4, VMV_V_X }, // 6314
  { PseudoVMV_V_X_MF8, VMV_V_X }, // 6315
  { PseudoVMV_X_S_M1, VMV_X_S }, // 6316
  { PseudoVMV_X_S_M2, VMV_X_S }, // 6317
  { PseudoVMV_X_S_M4, VMV_X_S }, // 6318
  { PseudoVMV_X_S_M8, VMV_X_S }, // 6319
  { PseudoVMV_X_S_MF2, VMV_X_S }, // 6320
  { PseudoVMV_X_S_MF4, VMV_X_S }, // 6321
  { PseudoVMV_X_S_MF8, VMV_X_S }, // 6322
  { PseudoVMXNOR_MM_M1, VMXNOR_MM }, // 6323
  { PseudoVMXNOR_MM_M2, VMXNOR_MM }, // 6324
  { PseudoVMXNOR_MM_M4, VMXNOR_MM }, // 6325
  { PseudoVMXNOR_MM_M8, VMXNOR_MM }, // 6326
  { PseudoVMXNOR_MM_MF2, VMXNOR_MM }, // 6327
  { PseudoVMXNOR_MM_MF4, VMXNOR_MM }, // 6328
  { PseudoVMXNOR_MM_MF8, VMXNOR_MM }, // 6329
  { PseudoVMXOR_MM_M1, VMXOR_MM }, // 6330
  { PseudoVMXOR_MM_M2, VMXOR_MM }, // 6331
  { PseudoVMXOR_MM_M4, VMXOR_MM }, // 6332
  { PseudoVMXOR_MM_M8, VMXOR_MM }, // 6333
  { PseudoVMXOR_MM_MF2, VMXOR_MM }, // 6334
  { PseudoVMXOR_MM_MF4, VMXOR_MM }, // 6335
  { PseudoVMXOR_MM_MF8, VMXOR_MM }, // 6336
  { PseudoVNCLIPU_WI_M1, VNCLIPU_WI }, // 6337
  { PseudoVNCLIPU_WI_M1_MASK, VNCLIPU_WI }, // 6338
  { PseudoVNCLIPU_WI_M2, VNCLIPU_WI }, // 6339
  { PseudoVNCLIPU_WI_M2_MASK, VNCLIPU_WI }, // 6340
  { PseudoVNCLIPU_WI_M4, VNCLIPU_WI }, // 6341
  { PseudoVNCLIPU_WI_M4_MASK, VNCLIPU_WI }, // 6342
  { PseudoVNCLIPU_WI_MF2, VNCLIPU_WI }, // 6343
  { PseudoVNCLIPU_WI_MF2_MASK, VNCLIPU_WI }, // 6344
  { PseudoVNCLIPU_WI_MF4, VNCLIPU_WI }, // 6345
  { PseudoVNCLIPU_WI_MF4_MASK, VNCLIPU_WI }, // 6346
  { PseudoVNCLIPU_WI_MF8, VNCLIPU_WI }, // 6347
  { PseudoVNCLIPU_WI_MF8_MASK, VNCLIPU_WI }, // 6348
  { PseudoVNCLIPU_WV_M1, VNCLIPU_WV }, // 6349
  { PseudoVNCLIPU_WV_M1_MASK, VNCLIPU_WV }, // 6350
  { PseudoVNCLIPU_WV_M2, VNCLIPU_WV }, // 6351
  { PseudoVNCLIPU_WV_M2_MASK, VNCLIPU_WV }, // 6352
  { PseudoVNCLIPU_WV_M4, VNCLIPU_WV }, // 6353
  { PseudoVNCLIPU_WV_M4_MASK, VNCLIPU_WV }, // 6354
  { PseudoVNCLIPU_WV_MF2, VNCLIPU_WV }, // 6355
  { PseudoVNCLIPU_WV_MF2_MASK, VNCLIPU_WV }, // 6356
  { PseudoVNCLIPU_WV_MF4, VNCLIPU_WV }, // 6357
  { PseudoVNCLIPU_WV_MF4_MASK, VNCLIPU_WV }, // 6358
  { PseudoVNCLIPU_WV_MF8, VNCLIPU_WV }, // 6359
  { PseudoVNCLIPU_WV_MF8_MASK, VNCLIPU_WV }, // 6360
  { PseudoVNCLIPU_WX_M1, VNCLIPU_WX }, // 6361
  { PseudoVNCLIPU_WX_M1_MASK, VNCLIPU_WX }, // 6362
  { PseudoVNCLIPU_WX_M2, VNCLIPU_WX }, // 6363
  { PseudoVNCLIPU_WX_M2_MASK, VNCLIPU_WX }, // 6364
  { PseudoVNCLIPU_WX_M4, VNCLIPU_WX }, // 6365
  { PseudoVNCLIPU_WX_M4_MASK, VNCLIPU_WX }, // 6366
  { PseudoVNCLIPU_WX_MF2, VNCLIPU_WX }, // 6367
  { PseudoVNCLIPU_WX_MF2_MASK, VNCLIPU_WX }, // 6368
  { PseudoVNCLIPU_WX_MF4, VNCLIPU_WX }, // 6369
  { PseudoVNCLIPU_WX_MF4_MASK, VNCLIPU_WX }, // 6370
  { PseudoVNCLIPU_WX_MF8, VNCLIPU_WX }, // 6371
  { PseudoVNCLIPU_WX_MF8_MASK, VNCLIPU_WX }, // 6372
  { PseudoVNCLIP_WI_M1, VNCLIP_WI }, // 6373
  { PseudoVNCLIP_WI_M1_MASK, VNCLIP_WI }, // 6374
  { PseudoVNCLIP_WI_M2, VNCLIP_WI }, // 6375
  { PseudoVNCLIP_WI_M2_MASK, VNCLIP_WI }, // 6376
  { PseudoVNCLIP_WI_M4, VNCLIP_WI }, // 6377
  { PseudoVNCLIP_WI_M4_MASK, VNCLIP_WI }, // 6378
  { PseudoVNCLIP_WI_MF2, VNCLIP_WI }, // 6379
  { PseudoVNCLIP_WI_MF2_MASK, VNCLIP_WI }, // 6380
  { PseudoVNCLIP_WI_MF4, VNCLIP_WI }, // 6381
  { PseudoVNCLIP_WI_MF4_MASK, VNCLIP_WI }, // 6382
  { PseudoVNCLIP_WI_MF8, VNCLIP_WI }, // 6383
  { PseudoVNCLIP_WI_MF8_MASK, VNCLIP_WI }, // 6384
  { PseudoVNCLIP_WV_M1, VNCLIP_WV }, // 6385
  { PseudoVNCLIP_WV_M1_MASK, VNCLIP_WV }, // 6386
  { PseudoVNCLIP_WV_M2, VNCLIP_WV }, // 6387
  { PseudoVNCLIP_WV_M2_MASK, VNCLIP_WV }, // 6388
  { PseudoVNCLIP_WV_M4, VNCLIP_WV }, // 6389
  { PseudoVNCLIP_WV_M4_MASK, VNCLIP_WV }, // 6390
  { PseudoVNCLIP_WV_MF2, VNCLIP_WV }, // 6391
  { PseudoVNCLIP_WV_MF2_MASK, VNCLIP_WV }, // 6392
  { PseudoVNCLIP_WV_MF4, VNCLIP_WV }, // 6393
  { PseudoVNCLIP_WV_MF4_MASK, VNCLIP_WV }, // 6394
  { PseudoVNCLIP_WV_MF8, VNCLIP_WV }, // 6395
  { PseudoVNCLIP_WV_MF8_MASK, VNCLIP_WV }, // 6396
  { PseudoVNCLIP_WX_M1, VNCLIP_WX }, // 6397
  { PseudoVNCLIP_WX_M1_MASK, VNCLIP_WX }, // 6398
  { PseudoVNCLIP_WX_M2, VNCLIP_WX }, // 6399
  { PseudoVNCLIP_WX_M2_MASK, VNCLIP_WX }, // 6400
  { PseudoVNCLIP_WX_M4, VNCLIP_WX }, // 6401
  { PseudoVNCLIP_WX_M4_MASK, VNCLIP_WX }, // 6402
  { PseudoVNCLIP_WX_MF2, VNCLIP_WX }, // 6403
  { PseudoVNCLIP_WX_MF2_MASK, VNCLIP_WX }, // 6404
  { PseudoVNCLIP_WX_MF4, VNCLIP_WX }, // 6405
  { PseudoVNCLIP_WX_MF4_MASK, VNCLIP_WX }, // 6406
  { PseudoVNCLIP_WX_MF8, VNCLIP_WX }, // 6407
  { PseudoVNCLIP_WX_MF8_MASK, VNCLIP_WX }, // 6408
  { PseudoVNMSAC_VV_M1, VNMSAC_VV }, // 6409
  { PseudoVNMSAC_VV_M1_MASK, VNMSAC_VV }, // 6410
  { PseudoVNMSAC_VV_M2, VNMSAC_VV }, // 6411
  { PseudoVNMSAC_VV_M2_MASK, VNMSAC_VV }, // 6412
  { PseudoVNMSAC_VV_M4, VNMSAC_VV }, // 6413
  { PseudoVNMSAC_VV_M4_MASK, VNMSAC_VV }, // 6414
  { PseudoVNMSAC_VV_M8, VNMSAC_VV }, // 6415
  { PseudoVNMSAC_VV_M8_MASK, VNMSAC_VV }, // 6416
  { PseudoVNMSAC_VV_MF2, VNMSAC_VV }, // 6417
  { PseudoVNMSAC_VV_MF2_MASK, VNMSAC_VV }, // 6418
  { PseudoVNMSAC_VV_MF4, VNMSAC_VV }, // 6419
  { PseudoVNMSAC_VV_MF4_MASK, VNMSAC_VV }, // 6420
  { PseudoVNMSAC_VV_MF8, VNMSAC_VV }, // 6421
  { PseudoVNMSAC_VV_MF8_MASK, VNMSAC_VV }, // 6422
  { PseudoVNMSAC_VX_M1, VNMSAC_VX }, // 6423
  { PseudoVNMSAC_VX_M1_MASK, VNMSAC_VX }, // 6424
  { PseudoVNMSAC_VX_M2, VNMSAC_VX }, // 6425
  { PseudoVNMSAC_VX_M2_MASK, VNMSAC_VX }, // 6426
  { PseudoVNMSAC_VX_M4, VNMSAC_VX }, // 6427
  { PseudoVNMSAC_VX_M4_MASK, VNMSAC_VX }, // 6428
  { PseudoVNMSAC_VX_M8, VNMSAC_VX }, // 6429
  { PseudoVNMSAC_VX_M8_MASK, VNMSAC_VX }, // 6430
  { PseudoVNMSAC_VX_MF2, VNMSAC_VX }, // 6431
  { PseudoVNMSAC_VX_MF2_MASK, VNMSAC_VX }, // 6432
  { PseudoVNMSAC_VX_MF4, VNMSAC_VX }, // 6433
  { PseudoVNMSAC_VX_MF4_MASK, VNMSAC_VX }, // 6434
  { PseudoVNMSAC_VX_MF8, VNMSAC_VX }, // 6435
  { PseudoVNMSAC_VX_MF8_MASK, VNMSAC_VX }, // 6436
  { PseudoVNMSUB_VV_M1, VNMSUB_VV }, // 6437
  { PseudoVNMSUB_VV_M1_MASK, VNMSUB_VV }, // 6438
  { PseudoVNMSUB_VV_M2, VNMSUB_VV }, // 6439
  { PseudoVNMSUB_VV_M2_MASK, VNMSUB_VV }, // 6440
  { PseudoVNMSUB_VV_M4, VNMSUB_VV }, // 6441
  { PseudoVNMSUB_VV_M4_MASK, VNMSUB_VV }, // 6442
  { PseudoVNMSUB_VV_M8, VNMSUB_VV }, // 6443
  { PseudoVNMSUB_VV_M8_MASK, VNMSUB_VV }, // 6444
  { PseudoVNMSUB_VV_MF2, VNMSUB_VV }, // 6445
  { PseudoVNMSUB_VV_MF2_MASK, VNMSUB_VV }, // 6446
  { PseudoVNMSUB_VV_MF4, VNMSUB_VV }, // 6447
  { PseudoVNMSUB_VV_MF4_MASK, VNMSUB_VV }, // 6448
  { PseudoVNMSUB_VV_MF8, VNMSUB_VV }, // 6449
  { PseudoVNMSUB_VV_MF8_MASK, VNMSUB_VV }, // 6450
  { PseudoVNMSUB_VX_M1, VNMSUB_VX }, // 6451
  { PseudoVNMSUB_VX_M1_MASK, VNMSUB_VX }, // 6452
  { PseudoVNMSUB_VX_M2, VNMSUB_VX }, // 6453
  { PseudoVNMSUB_VX_M2_MASK, VNMSUB_VX }, // 6454
  { PseudoVNMSUB_VX_M4, VNMSUB_VX }, // 6455
  { PseudoVNMSUB_VX_M4_MASK, VNMSUB_VX }, // 6456
  { PseudoVNMSUB_VX_M8, VNMSUB_VX }, // 6457
  { PseudoVNMSUB_VX_M8_MASK, VNMSUB_VX }, // 6458
  { PseudoVNMSUB_VX_MF2, VNMSUB_VX }, // 6459
  { PseudoVNMSUB_VX_MF2_MASK, VNMSUB_VX }, // 6460
  { PseudoVNMSUB_VX_MF4, VNMSUB_VX }, // 6461
  { PseudoVNMSUB_VX_MF4_MASK, VNMSUB_VX }, // 6462
  { PseudoVNMSUB_VX_MF8, VNMSUB_VX }, // 6463
  { PseudoVNMSUB_VX_MF8_MASK, VNMSUB_VX }, // 6464
  { PseudoVNSRA_WI_M1, VNSRA_WI }, // 6465
  { PseudoVNSRA_WI_M1_MASK, VNSRA_WI }, // 6466
  { PseudoVNSRA_WI_M2, VNSRA_WI }, // 6467
  { PseudoVNSRA_WI_M2_MASK, VNSRA_WI }, // 6468
  { PseudoVNSRA_WI_M4, VNSRA_WI }, // 6469
  { PseudoVNSRA_WI_M4_MASK, VNSRA_WI }, // 6470
  { PseudoVNSRA_WI_MF2, VNSRA_WI }, // 6471
  { PseudoVNSRA_WI_MF2_MASK, VNSRA_WI }, // 6472
  { PseudoVNSRA_WI_MF4, VNSRA_WI }, // 6473
  { PseudoVNSRA_WI_MF4_MASK, VNSRA_WI }, // 6474
  { PseudoVNSRA_WI_MF8, VNSRA_WI }, // 6475
  { PseudoVNSRA_WI_MF8_MASK, VNSRA_WI }, // 6476
  { PseudoVNSRA_WV_M1, VNSRA_WV }, // 6477
  { PseudoVNSRA_WV_M1_MASK, VNSRA_WV }, // 6478
  { PseudoVNSRA_WV_M2, VNSRA_WV }, // 6479
  { PseudoVNSRA_WV_M2_MASK, VNSRA_WV }, // 6480
  { PseudoVNSRA_WV_M4, VNSRA_WV }, // 6481
  { PseudoVNSRA_WV_M4_MASK, VNSRA_WV }, // 6482
  { PseudoVNSRA_WV_MF2, VNSRA_WV }, // 6483
  { PseudoVNSRA_WV_MF2_MASK, VNSRA_WV }, // 6484
  { PseudoVNSRA_WV_MF4, VNSRA_WV }, // 6485
  { PseudoVNSRA_WV_MF4_MASK, VNSRA_WV }, // 6486
  { PseudoVNSRA_WV_MF8, VNSRA_WV }, // 6487
  { PseudoVNSRA_WV_MF8_MASK, VNSRA_WV }, // 6488
  { PseudoVNSRA_WX_M1, VNSRA_WX }, // 6489
  { PseudoVNSRA_WX_M1_MASK, VNSRA_WX }, // 6490
  { PseudoVNSRA_WX_M2, VNSRA_WX }, // 6491
  { PseudoVNSRA_WX_M2_MASK, VNSRA_WX }, // 6492
  { PseudoVNSRA_WX_M4, VNSRA_WX }, // 6493
  { PseudoVNSRA_WX_M4_MASK, VNSRA_WX }, // 6494
  { PseudoVNSRA_WX_MF2, VNSRA_WX }, // 6495
  { PseudoVNSRA_WX_MF2_MASK, VNSRA_WX }, // 6496
  { PseudoVNSRA_WX_MF4, VNSRA_WX }, // 6497
  { PseudoVNSRA_WX_MF4_MASK, VNSRA_WX }, // 6498
  { PseudoVNSRA_WX_MF8, VNSRA_WX }, // 6499
  { PseudoVNSRA_WX_MF8_MASK, VNSRA_WX }, // 6500
  { PseudoVNSRL_WI_M1, VNSRL_WI }, // 6501
  { PseudoVNSRL_WI_M1_MASK, VNSRL_WI }, // 6502
  { PseudoVNSRL_WI_M2, VNSRL_WI }, // 6503
  { PseudoVNSRL_WI_M2_MASK, VNSRL_WI }, // 6504
  { PseudoVNSRL_WI_M4, VNSRL_WI }, // 6505
  { PseudoVNSRL_WI_M4_MASK, VNSRL_WI }, // 6506
  { PseudoVNSRL_WI_MF2, VNSRL_WI }, // 6507
  { PseudoVNSRL_WI_MF2_MASK, VNSRL_WI }, // 6508
  { PseudoVNSRL_WI_MF4, VNSRL_WI }, // 6509
  { PseudoVNSRL_WI_MF4_MASK, VNSRL_WI }, // 6510
  { PseudoVNSRL_WI_MF8, VNSRL_WI }, // 6511
  { PseudoVNSRL_WI_MF8_MASK, VNSRL_WI }, // 6512
  { PseudoVNSRL_WV_M1, VNSRL_WV }, // 6513
  { PseudoVNSRL_WV_M1_MASK, VNSRL_WV }, // 6514
  { PseudoVNSRL_WV_M2, VNSRL_WV }, // 6515
  { PseudoVNSRL_WV_M2_MASK, VNSRL_WV }, // 6516
  { PseudoVNSRL_WV_M4, VNSRL_WV }, // 6517
  { PseudoVNSRL_WV_M4_MASK, VNSRL_WV }, // 6518
  { PseudoVNSRL_WV_MF2, VNSRL_WV }, // 6519
  { PseudoVNSRL_WV_MF2_MASK, VNSRL_WV }, // 6520
  { PseudoVNSRL_WV_MF4, VNSRL_WV }, // 6521
  { PseudoVNSRL_WV_MF4_MASK, VNSRL_WV }, // 6522
  { PseudoVNSRL_WV_MF8, VNSRL_WV }, // 6523
  { PseudoVNSRL_WV_MF8_MASK, VNSRL_WV }, // 6524
  { PseudoVNSRL_WX_M1, VNSRL_WX }, // 6525
  { PseudoVNSRL_WX_M1_MASK, VNSRL_WX }, // 6526
  { PseudoVNSRL_WX_M2, VNSRL_WX }, // 6527
  { PseudoVNSRL_WX_M2_MASK, VNSRL_WX }, // 6528
  { PseudoVNSRL_WX_M4, VNSRL_WX }, // 6529
  { PseudoVNSRL_WX_M4_MASK, VNSRL_WX }, // 6530
  { PseudoVNSRL_WX_MF2, VNSRL_WX }, // 6531
  { PseudoVNSRL_WX_MF2_MASK, VNSRL_WX }, // 6532
  { PseudoVNSRL_WX_MF4, VNSRL_WX }, // 6533
  { PseudoVNSRL_WX_MF4_MASK, VNSRL_WX }, // 6534
  { PseudoVNSRL_WX_MF8, VNSRL_WX }, // 6535
  { PseudoVNSRL_WX_MF8_MASK, VNSRL_WX }, // 6536
  { PseudoVOR_VI_M1, VOR_VI }, // 6537
  { PseudoVOR_VI_M1_MASK, VOR_VI }, // 6538
  { PseudoVOR_VI_M2, VOR_VI }, // 6539
  { PseudoVOR_VI_M2_MASK, VOR_VI }, // 6540
  { PseudoVOR_VI_M4, VOR_VI }, // 6541
  { PseudoVOR_VI_M4_MASK, VOR_VI }, // 6542
  { PseudoVOR_VI_M8, VOR_VI }, // 6543
  { PseudoVOR_VI_M8_MASK, VOR_VI }, // 6544
  { PseudoVOR_VI_MF2, VOR_VI }, // 6545
  { PseudoVOR_VI_MF2_MASK, VOR_VI }, // 6546
  { PseudoVOR_VI_MF4, VOR_VI }, // 6547
  { PseudoVOR_VI_MF4_MASK, VOR_VI }, // 6548
  { PseudoVOR_VI_MF8, VOR_VI }, // 6549
  { PseudoVOR_VI_MF8_MASK, VOR_VI }, // 6550
  { PseudoVOR_VV_M1, VOR_VV }, // 6551
  { PseudoVOR_VV_M1_MASK, VOR_VV }, // 6552
  { PseudoVOR_VV_M2, VOR_VV }, // 6553
  { PseudoVOR_VV_M2_MASK, VOR_VV }, // 6554
  { PseudoVOR_VV_M4, VOR_VV }, // 6555
  { PseudoVOR_VV_M4_MASK, VOR_VV }, // 6556
  { PseudoVOR_VV_M8, VOR_VV }, // 6557
  { PseudoVOR_VV_M8_MASK, VOR_VV }, // 6558
  { PseudoVOR_VV_MF2, VOR_VV }, // 6559
  { PseudoVOR_VV_MF2_MASK, VOR_VV }, // 6560
  { PseudoVOR_VV_MF4, VOR_VV }, // 6561
  { PseudoVOR_VV_MF4_MASK, VOR_VV }, // 6562
  { PseudoVOR_VV_MF8, VOR_VV }, // 6563
  { PseudoVOR_VV_MF8_MASK, VOR_VV }, // 6564
  { PseudoVOR_VX_M1, VOR_VX }, // 6565
  { PseudoVOR_VX_M1_MASK, VOR_VX }, // 6566
  { PseudoVOR_VX_M2, VOR_VX }, // 6567
  { PseudoVOR_VX_M2_MASK, VOR_VX }, // 6568
  { PseudoVOR_VX_M4, VOR_VX }, // 6569
  { PseudoVOR_VX_M4_MASK, VOR_VX }, // 6570
  { PseudoVOR_VX_M8, VOR_VX }, // 6571
  { PseudoVOR_VX_M8_MASK, VOR_VX }, // 6572
  { PseudoVOR_VX_MF2, VOR_VX }, // 6573
  { PseudoVOR_VX_MF2_MASK, VOR_VX }, // 6574
  { PseudoVOR_VX_MF4, VOR_VX }, // 6575
  { PseudoVOR_VX_MF4_MASK, VOR_VX }, // 6576
  { PseudoVOR_VX_MF8, VOR_VX }, // 6577
  { PseudoVOR_VX_MF8_MASK, VOR_VX }, // 6578
  { PseudoVPOPC_M_B1, VPOPC_M }, // 6579
  { PseudoVPOPC_M_B16, VPOPC_M }, // 6580
  { PseudoVPOPC_M_B16_MASK, VPOPC_M }, // 6581
  { PseudoVPOPC_M_B1_MASK, VPOPC_M }, // 6582
  { PseudoVPOPC_M_B2, VPOPC_M }, // 6583
  { PseudoVPOPC_M_B2_MASK, VPOPC_M }, // 6584
  { PseudoVPOPC_M_B32, VPOPC_M }, // 6585
  { PseudoVPOPC_M_B32_MASK, VPOPC_M }, // 6586
  { PseudoVPOPC_M_B4, VPOPC_M }, // 6587
  { PseudoVPOPC_M_B4_MASK, VPOPC_M }, // 6588
  { PseudoVPOPC_M_B64, VPOPC_M }, // 6589
  { PseudoVPOPC_M_B64_MASK, VPOPC_M }, // 6590
  { PseudoVPOPC_M_B8, VPOPC_M }, // 6591
  { PseudoVPOPC_M_B8_MASK, VPOPC_M }, // 6592
  { PseudoVREDAND_VS_M1, VREDAND_VS }, // 6593
  { PseudoVREDAND_VS_M1_MASK, VREDAND_VS }, // 6594
  { PseudoVREDAND_VS_M2, VREDAND_VS }, // 6595
  { PseudoVREDAND_VS_M2_MASK, VREDAND_VS }, // 6596
  { PseudoVREDAND_VS_M4, VREDAND_VS }, // 6597
  { PseudoVREDAND_VS_M4_MASK, VREDAND_VS }, // 6598
  { PseudoVREDAND_VS_M8, VREDAND_VS }, // 6599
  { PseudoVREDAND_VS_M8_MASK, VREDAND_VS }, // 6600
  { PseudoVREDAND_VS_MF2, VREDAND_VS }, // 6601
  { PseudoVREDAND_VS_MF2_MASK, VREDAND_VS }, // 6602
  { PseudoVREDAND_VS_MF4, VREDAND_VS }, // 6603
  { PseudoVREDAND_VS_MF4_MASK, VREDAND_VS }, // 6604
  { PseudoVREDAND_VS_MF8, VREDAND_VS }, // 6605
  { PseudoVREDAND_VS_MF8_MASK, VREDAND_VS }, // 6606
  { PseudoVREDMAXU_VS_M1, VREDMAXU_VS }, // 6607
  { PseudoVREDMAXU_VS_M1_MASK, VREDMAXU_VS }, // 6608
  { PseudoVREDMAXU_VS_M2, VREDMAXU_VS }, // 6609
  { PseudoVREDMAXU_VS_M2_MASK, VREDMAXU_VS }, // 6610
  { PseudoVREDMAXU_VS_M4, VREDMAXU_VS }, // 6611
  { PseudoVREDMAXU_VS_M4_MASK, VREDMAXU_VS }, // 6612
  { PseudoVREDMAXU_VS_M8, VREDMAXU_VS }, // 6613
  { PseudoVREDMAXU_VS_M8_MASK, VREDMAXU_VS }, // 6614
  { PseudoVREDMAXU_VS_MF2, VREDMAXU_VS }, // 6615
  { PseudoVREDMAXU_VS_MF2_MASK, VREDMAXU_VS }, // 6616
  { PseudoVREDMAXU_VS_MF4, VREDMAXU_VS }, // 6617
  { PseudoVREDMAXU_VS_MF4_MASK, VREDMAXU_VS }, // 6618
  { PseudoVREDMAXU_VS_MF8, VREDMAXU_VS }, // 6619
  { PseudoVREDMAXU_VS_MF8_MASK, VREDMAXU_VS }, // 6620
  { PseudoVREDMAX_VS_M1, VREDMAX_VS }, // 6621
  { PseudoVREDMAX_VS_M1_MASK, VREDMAX_VS }, // 6622
  { PseudoVREDMAX_VS_M2, VREDMAX_VS }, // 6623
  { PseudoVREDMAX_VS_M2_MASK, VREDMAX_VS }, // 6624
  { PseudoVREDMAX_VS_M4, VREDMAX_VS }, // 6625
  { PseudoVREDMAX_VS_M4_MASK, VREDMAX_VS }, // 6626
  { PseudoVREDMAX_VS_M8, VREDMAX_VS }, // 6627
  { PseudoVREDMAX_VS_M8_MASK, VREDMAX_VS }, // 6628
  { PseudoVREDMAX_VS_MF2, VREDMAX_VS }, // 6629
  { PseudoVREDMAX_VS_MF2_MASK, VREDMAX_VS }, // 6630
  { PseudoVREDMAX_VS_MF4, VREDMAX_VS }, // 6631
  { PseudoVREDMAX_VS_MF4_MASK, VREDMAX_VS }, // 6632
  { PseudoVREDMAX_VS_MF8, VREDMAX_VS }, // 6633
  { PseudoVREDMAX_VS_MF8_MASK, VREDMAX_VS }, // 6634
  { PseudoVREDMINU_VS_M1, VREDMINU_VS }, // 6635
  { PseudoVREDMINU_VS_M1_MASK, VREDMINU_VS }, // 6636
  { PseudoVREDMINU_VS_M2, VREDMINU_VS }, // 6637
  { PseudoVREDMINU_VS_M2_MASK, VREDMINU_VS }, // 6638
  { PseudoVREDMINU_VS_M4, VREDMINU_VS }, // 6639
  { PseudoVREDMINU_VS_M4_MASK, VREDMINU_VS }, // 6640
  { PseudoVREDMINU_VS_M8, VREDMINU_VS }, // 6641
  { PseudoVREDMINU_VS_M8_MASK, VREDMINU_VS }, // 6642
  { PseudoVREDMINU_VS_MF2, VREDMINU_VS }, // 6643
  { PseudoVREDMINU_VS_MF2_MASK, VREDMINU_VS }, // 6644
  { PseudoVREDMINU_VS_MF4, VREDMINU_VS }, // 6645
  { PseudoVREDMINU_VS_MF4_MASK, VREDMINU_VS }, // 6646
  { PseudoVREDMINU_VS_MF8, VREDMINU_VS }, // 6647
  { PseudoVREDMINU_VS_MF8_MASK, VREDMINU_VS }, // 6648
  { PseudoVREDMIN_VS_M1, VREDMIN_VS }, // 6649
  { PseudoVREDMIN_VS_M1_MASK, VREDMIN_VS }, // 6650
  { PseudoVREDMIN_VS_M2, VREDMIN_VS }, // 6651
  { PseudoVREDMIN_VS_M2_MASK, VREDMIN_VS }, // 6652
  { PseudoVREDMIN_VS_M4, VREDMIN_VS }, // 6653
  { PseudoVREDMIN_VS_M4_MASK, VREDMIN_VS }, // 6654
  { PseudoVREDMIN_VS_M8, VREDMIN_VS }, // 6655
  { PseudoVREDMIN_VS_M8_MASK, VREDMIN_VS }, // 6656
  { PseudoVREDMIN_VS_MF2, VREDMIN_VS }, // 6657
  { PseudoVREDMIN_VS_MF2_MASK, VREDMIN_VS }, // 6658
  { PseudoVREDMIN_VS_MF4, VREDMIN_VS }, // 6659
  { PseudoVREDMIN_VS_MF4_MASK, VREDMIN_VS }, // 6660
  { PseudoVREDMIN_VS_MF8, VREDMIN_VS }, // 6661
  { PseudoVREDMIN_VS_MF8_MASK, VREDMIN_VS }, // 6662
  { PseudoVREDOR_VS_M1, VREDOR_VS }, // 6663
  { PseudoVREDOR_VS_M1_MASK, VREDOR_VS }, // 6664
  { PseudoVREDOR_VS_M2, VREDOR_VS }, // 6665
  { PseudoVREDOR_VS_M2_MASK, VREDOR_VS }, // 6666
  { PseudoVREDOR_VS_M4, VREDOR_VS }, // 6667
  { PseudoVREDOR_VS_M4_MASK, VREDOR_VS }, // 6668
  { PseudoVREDOR_VS_M8, VREDOR_VS }, // 6669
  { PseudoVREDOR_VS_M8_MASK, VREDOR_VS }, // 6670
  { PseudoVREDOR_VS_MF2, VREDOR_VS }, // 6671
  { PseudoVREDOR_VS_MF2_MASK, VREDOR_VS }, // 6672
  { PseudoVREDOR_VS_MF4, VREDOR_VS }, // 6673
  { PseudoVREDOR_VS_MF4_MASK, VREDOR_VS }, // 6674
  { PseudoVREDOR_VS_MF8, VREDOR_VS }, // 6675
  { PseudoVREDOR_VS_MF8_MASK, VREDOR_VS }, // 6676
  { PseudoVREDSUM_VS_M1, VREDSUM_VS }, // 6677
  { PseudoVREDSUM_VS_M1_MASK, VREDSUM_VS }, // 6678
  { PseudoVREDSUM_VS_M2, VREDSUM_VS }, // 6679
  { PseudoVREDSUM_VS_M2_MASK, VREDSUM_VS }, // 6680
  { PseudoVREDSUM_VS_M4, VREDSUM_VS }, // 6681
  { PseudoVREDSUM_VS_M4_MASK, VREDSUM_VS }, // 6682
  { PseudoVREDSUM_VS_M8, VREDSUM_VS }, // 6683
  { PseudoVREDSUM_VS_M8_MASK, VREDSUM_VS }, // 6684
  { PseudoVREDSUM_VS_MF2, VREDSUM_VS }, // 6685
  { PseudoVREDSUM_VS_MF2_MASK, VREDSUM_VS }, // 6686
  { PseudoVREDSUM_VS_MF4, VREDSUM_VS }, // 6687
  { PseudoVREDSUM_VS_MF4_MASK, VREDSUM_VS }, // 6688
  { PseudoVREDSUM_VS_MF8, VREDSUM_VS }, // 6689
  { PseudoVREDSUM_VS_MF8_MASK, VREDSUM_VS }, // 6690
  { PseudoVREDXOR_VS_M1, VREDXOR_VS }, // 6691
  { PseudoVREDXOR_VS_M1_MASK, VREDXOR_VS }, // 6692
  { PseudoVREDXOR_VS_M2, VREDXOR_VS }, // 6693
  { PseudoVREDXOR_VS_M2_MASK, VREDXOR_VS }, // 6694
  { PseudoVREDXOR_VS_M4, VREDXOR_VS }, // 6695
  { PseudoVREDXOR_VS_M4_MASK, VREDXOR_VS }, // 6696
  { PseudoVREDXOR_VS_M8, VREDXOR_VS }, // 6697
  { PseudoVREDXOR_VS_M8_MASK, VREDXOR_VS }, // 6698
  { PseudoVREDXOR_VS_MF2, VREDXOR_VS }, // 6699
  { PseudoVREDXOR_VS_MF2_MASK, VREDXOR_VS }, // 6700
  { PseudoVREDXOR_VS_MF4, VREDXOR_VS }, // 6701
  { PseudoVREDXOR_VS_MF4_MASK, VREDXOR_VS }, // 6702
  { PseudoVREDXOR_VS_MF8, VREDXOR_VS }, // 6703
  { PseudoVREDXOR_VS_MF8_MASK, VREDXOR_VS }, // 6704
  { PseudoVRELOAD_M1, VL1RE8_V }, // 6705
  { PseudoVRELOAD_M2, VL2RE8_V }, // 6706
  { PseudoVRELOAD_M4, VL4RE8_V }, // 6707
  { PseudoVRELOAD_M8, VL8RE8_V }, // 6708
  { PseudoVREMU_VV_M1, VREMU_VV }, // 6709
  { PseudoVREMU_VV_M1_MASK, VREMU_VV }, // 6710
  { PseudoVREMU_VV_M2, VREMU_VV }, // 6711
  { PseudoVREMU_VV_M2_MASK, VREMU_VV }, // 6712
  { PseudoVREMU_VV_M4, VREMU_VV }, // 6713
  { PseudoVREMU_VV_M4_MASK, VREMU_VV }, // 6714
  { PseudoVREMU_VV_M8, VREMU_VV }, // 6715
  { PseudoVREMU_VV_M8_MASK, VREMU_VV }, // 6716
  { PseudoVREMU_VV_MF2, VREMU_VV }, // 6717
  { PseudoVREMU_VV_MF2_MASK, VREMU_VV }, // 6718
  { PseudoVREMU_VV_MF4, VREMU_VV }, // 6719
  { PseudoVREMU_VV_MF4_MASK, VREMU_VV }, // 6720
  { PseudoVREMU_VV_MF8, VREMU_VV }, // 6721
  { PseudoVREMU_VV_MF8_MASK, VREMU_VV }, // 6722
  { PseudoVREMU_VX_M1, VREMU_VX }, // 6723
  { PseudoVREMU_VX_M1_MASK, VREMU_VX }, // 6724
  { PseudoVREMU_VX_M2, VREMU_VX }, // 6725
  { PseudoVREMU_VX_M2_MASK, VREMU_VX }, // 6726
  { PseudoVREMU_VX_M4, VREMU_VX }, // 6727
  { PseudoVREMU_VX_M4_MASK, VREMU_VX }, // 6728
  { PseudoVREMU_VX_M8, VREMU_VX }, // 6729
  { PseudoVREMU_VX_M8_MASK, VREMU_VX }, // 6730
  { PseudoVREMU_VX_MF2, VREMU_VX }, // 6731
  { PseudoVREMU_VX_MF2_MASK, VREMU_VX }, // 6732
  { PseudoVREMU_VX_MF4, VREMU_VX }, // 6733
  { PseudoVREMU_VX_MF4_MASK, VREMU_VX }, // 6734
  { PseudoVREMU_VX_MF8, VREMU_VX }, // 6735
  { PseudoVREMU_VX_MF8_MASK, VREMU_VX }, // 6736
  { PseudoVREM_VV_M1, VREM_VV }, // 6737
  { PseudoVREM_VV_M1_MASK, VREM_VV }, // 6738
  { PseudoVREM_VV_M2, VREM_VV }, // 6739
  { PseudoVREM_VV_M2_MASK, VREM_VV }, // 6740
  { PseudoVREM_VV_M4, VREM_VV }, // 6741
  { PseudoVREM_VV_M4_MASK, VREM_VV }, // 6742
  { PseudoVREM_VV_M8, VREM_VV }, // 6743
  { PseudoVREM_VV_M8_MASK, VREM_VV }, // 6744
  { PseudoVREM_VV_MF2, VREM_VV }, // 6745
  { PseudoVREM_VV_MF2_MASK, VREM_VV }, // 6746
  { PseudoVREM_VV_MF4, VREM_VV }, // 6747
  { PseudoVREM_VV_MF4_MASK, VREM_VV }, // 6748
  { PseudoVREM_VV_MF8, VREM_VV }, // 6749
  { PseudoVREM_VV_MF8_MASK, VREM_VV }, // 6750
  { PseudoVREM_VX_M1, VREM_VX }, // 6751
  { PseudoVREM_VX_M1_MASK, VREM_VX }, // 6752
  { PseudoVREM_VX_M2, VREM_VX }, // 6753
  { PseudoVREM_VX_M2_MASK, VREM_VX }, // 6754
  { PseudoVREM_VX_M4, VREM_VX }, // 6755
  { PseudoVREM_VX_M4_MASK, VREM_VX }, // 6756
  { PseudoVREM_VX_M8, VREM_VX }, // 6757
  { PseudoVREM_VX_M8_MASK, VREM_VX }, // 6758
  { PseudoVREM_VX_MF2, VREM_VX }, // 6759
  { PseudoVREM_VX_MF2_MASK, VREM_VX }, // 6760
  { PseudoVREM_VX_MF4, VREM_VX }, // 6761
  { PseudoVREM_VX_MF4_MASK, VREM_VX }, // 6762
  { PseudoVREM_VX_MF8, VREM_VX }, // 6763
  { PseudoVREM_VX_MF8_MASK, VREM_VX }, // 6764
  { PseudoVRGATHEREI16_VV_M1_M1, VRGATHEREI16_VV }, // 6765
  { PseudoVRGATHEREI16_VV_M1_M1_MASK, VRGATHEREI16_VV }, // 6766
  { PseudoVRGATHEREI16_VV_M1_M2, VRGATHEREI16_VV }, // 6767
  { PseudoVRGATHEREI16_VV_M1_M2_MASK, VRGATHEREI16_VV }, // 6768
  { PseudoVRGATHEREI16_VV_M1_MF2, VRGATHEREI16_VV }, // 6769
  { PseudoVRGATHEREI16_VV_M1_MF2_MASK, VRGATHEREI16_VV }, // 6770
  { PseudoVRGATHEREI16_VV_M1_MF4, VRGATHEREI16_VV }, // 6771
  { PseudoVRGATHEREI16_VV_M1_MF4_MASK, VRGATHEREI16_VV }, // 6772
  { PseudoVRGATHEREI16_VV_M2_M1, VRGATHEREI16_VV }, // 6773
  { PseudoVRGATHEREI16_VV_M2_M1_MASK, VRGATHEREI16_VV }, // 6774
  { PseudoVRGATHEREI16_VV_M2_M2, VRGATHEREI16_VV }, // 6775
  { PseudoVRGATHEREI16_VV_M2_M2_MASK, VRGATHEREI16_VV }, // 6776
  { PseudoVRGATHEREI16_VV_M2_M4, VRGATHEREI16_VV }, // 6777
  { PseudoVRGATHEREI16_VV_M2_M4_MASK, VRGATHEREI16_VV }, // 6778
  { PseudoVRGATHEREI16_VV_M2_MF2, VRGATHEREI16_VV }, // 6779
  { PseudoVRGATHEREI16_VV_M2_MF2_MASK, VRGATHEREI16_VV }, // 6780
  { PseudoVRGATHEREI16_VV_M4_M1, VRGATHEREI16_VV }, // 6781
  { PseudoVRGATHEREI16_VV_M4_M1_MASK, VRGATHEREI16_VV }, // 6782
  { PseudoVRGATHEREI16_VV_M4_M2, VRGATHEREI16_VV }, // 6783
  { PseudoVRGATHEREI16_VV_M4_M2_MASK, VRGATHEREI16_VV }, // 6784
  { PseudoVRGATHEREI16_VV_M4_M4, VRGATHEREI16_VV }, // 6785
  { PseudoVRGATHEREI16_VV_M4_M4_MASK, VRGATHEREI16_VV }, // 6786
  { PseudoVRGATHEREI16_VV_M4_M8, VRGATHEREI16_VV }, // 6787
  { PseudoVRGATHEREI16_VV_M4_M8_MASK, VRGATHEREI16_VV }, // 6788
  { PseudoVRGATHEREI16_VV_M8_M2, VRGATHEREI16_VV }, // 6789
  { PseudoVRGATHEREI16_VV_M8_M2_MASK, VRGATHEREI16_VV }, // 6790
  { PseudoVRGATHEREI16_VV_M8_M4, VRGATHEREI16_VV }, // 6791
  { PseudoVRGATHEREI16_VV_M8_M4_MASK, VRGATHEREI16_VV }, // 6792
  { PseudoVRGATHEREI16_VV_M8_M8, VRGATHEREI16_VV }, // 6793
  { PseudoVRGATHEREI16_VV_M8_M8_MASK, VRGATHEREI16_VV }, // 6794
  { PseudoVRGATHEREI16_VV_MF2_M1, VRGATHEREI16_VV }, // 6795
  { PseudoVRGATHEREI16_VV_MF2_M1_MASK, VRGATHEREI16_VV }, // 6796
  { PseudoVRGATHEREI16_VV_MF2_MF2, VRGATHEREI16_VV }, // 6797
  { PseudoVRGATHEREI16_VV_MF2_MF2_MASK, VRGATHEREI16_VV }, // 6798
  { PseudoVRGATHEREI16_VV_MF2_MF4, VRGATHEREI16_VV }, // 6799
  { PseudoVRGATHEREI16_VV_MF2_MF4_MASK, VRGATHEREI16_VV }, // 6800
  { PseudoVRGATHEREI16_VV_MF2_MF8, VRGATHEREI16_VV }, // 6801
  { PseudoVRGATHEREI16_VV_MF2_MF8_MASK, VRGATHEREI16_VV }, // 6802
  { PseudoVRGATHEREI16_VV_MF4_MF2, VRGATHEREI16_VV }, // 6803
  { PseudoVRGATHEREI16_VV_MF4_MF2_MASK, VRGATHEREI16_VV }, // 6804
  { PseudoVRGATHEREI16_VV_MF4_MF4, VRGATHEREI16_VV }, // 6805
  { PseudoVRGATHEREI16_VV_MF4_MF4_MASK, VRGATHEREI16_VV }, // 6806
  { PseudoVRGATHEREI16_VV_MF4_MF8, VRGATHEREI16_VV }, // 6807
  { PseudoVRGATHEREI16_VV_MF4_MF8_MASK, VRGATHEREI16_VV }, // 6808
  { PseudoVRGATHEREI16_VV_MF8_MF4, VRGATHEREI16_VV }, // 6809
  { PseudoVRGATHEREI16_VV_MF8_MF4_MASK, VRGATHEREI16_VV }, // 6810
  { PseudoVRGATHEREI16_VV_MF8_MF8, VRGATHEREI16_VV }, // 6811
  { PseudoVRGATHEREI16_VV_MF8_MF8_MASK, VRGATHEREI16_VV }, // 6812
  { PseudoVRGATHER_VI_M1, VRGATHER_VI }, // 6813
  { PseudoVRGATHER_VI_M1_MASK, VRGATHER_VI }, // 6814
  { PseudoVRGATHER_VI_M2, VRGATHER_VI }, // 6815
  { PseudoVRGATHER_VI_M2_MASK, VRGATHER_VI }, // 6816
  { PseudoVRGATHER_VI_M4, VRGATHER_VI }, // 6817
  { PseudoVRGATHER_VI_M4_MASK, VRGATHER_VI }, // 6818
  { PseudoVRGATHER_VI_M8, VRGATHER_VI }, // 6819
  { PseudoVRGATHER_VI_M8_MASK, VRGATHER_VI }, // 6820
  { PseudoVRGATHER_VI_MF2, VRGATHER_VI }, // 6821
  { PseudoVRGATHER_VI_MF2_MASK, VRGATHER_VI }, // 6822
  { PseudoVRGATHER_VI_MF4, VRGATHER_VI }, // 6823
  { PseudoVRGATHER_VI_MF4_MASK, VRGATHER_VI }, // 6824
  { PseudoVRGATHER_VI_MF8, VRGATHER_VI }, // 6825
  { PseudoVRGATHER_VI_MF8_MASK, VRGATHER_VI }, // 6826
  { PseudoVRGATHER_VV_M1, VRGATHER_VV }, // 6827
  { PseudoVRGATHER_VV_M1_MASK, VRGATHER_VV }, // 6828
  { PseudoVRGATHER_VV_M2, VRGATHER_VV }, // 6829
  { PseudoVRGATHER_VV_M2_MASK, VRGATHER_VV }, // 6830
  { PseudoVRGATHER_VV_M4, VRGATHER_VV }, // 6831
  { PseudoVRGATHER_VV_M4_MASK, VRGATHER_VV }, // 6832
  { PseudoVRGATHER_VV_M8, VRGATHER_VV }, // 6833
  { PseudoVRGATHER_VV_M8_MASK, VRGATHER_VV }, // 6834
  { PseudoVRGATHER_VV_MF2, VRGATHER_VV }, // 6835
  { PseudoVRGATHER_VV_MF2_MASK, VRGATHER_VV }, // 6836
  { PseudoVRGATHER_VV_MF4, VRGATHER_VV }, // 6837
  { PseudoVRGATHER_VV_MF4_MASK, VRGATHER_VV }, // 6838
  { PseudoVRGATHER_VV_MF8, VRGATHER_VV }, // 6839
  { PseudoVRGATHER_VV_MF8_MASK, VRGATHER_VV }, // 6840
  { PseudoVRGATHER_VX_M1, VRGATHER_VX }, // 6841
  { PseudoVRGATHER_VX_M1_MASK, VRGATHER_VX }, // 6842
  { PseudoVRGATHER_VX_M2, VRGATHER_VX }, // 6843
  { PseudoVRGATHER_VX_M2_MASK, VRGATHER_VX }, // 6844
  { PseudoVRGATHER_VX_M4, VRGATHER_VX }, // 6845
  { PseudoVRGATHER_VX_M4_MASK, VRGATHER_VX }, // 6846
  { PseudoVRGATHER_VX_M8, VRGATHER_VX }, // 6847
  { PseudoVRGATHER_VX_M8_MASK, VRGATHER_VX }, // 6848
  { PseudoVRGATHER_VX_MF2, VRGATHER_VX }, // 6849
  { PseudoVRGATHER_VX_MF2_MASK, VRGATHER_VX }, // 6850
  { PseudoVRGATHER_VX_MF4, VRGATHER_VX }, // 6851
  { PseudoVRGATHER_VX_MF4_MASK, VRGATHER_VX }, // 6852
  { PseudoVRGATHER_VX_MF8, VRGATHER_VX }, // 6853
  { PseudoVRGATHER_VX_MF8_MASK, VRGATHER_VX }, // 6854
  { PseudoVRSUB_VI_M1, VRSUB_VI }, // 6855
  { PseudoVRSUB_VI_M1_MASK, VRSUB_VI }, // 6856
  { PseudoVRSUB_VI_M2, VRSUB_VI }, // 6857
  { PseudoVRSUB_VI_M2_MASK, VRSUB_VI }, // 6858
  { PseudoVRSUB_VI_M4, VRSUB_VI }, // 6859
  { PseudoVRSUB_VI_M4_MASK, VRSUB_VI }, // 6860
  { PseudoVRSUB_VI_M8, VRSUB_VI }, // 6861
  { PseudoVRSUB_VI_M8_MASK, VRSUB_VI }, // 6862
  { PseudoVRSUB_VI_MF2, VRSUB_VI }, // 6863
  { PseudoVRSUB_VI_MF2_MASK, VRSUB_VI }, // 6864
  { PseudoVRSUB_VI_MF4, VRSUB_VI }, // 6865
  { PseudoVRSUB_VI_MF4_MASK, VRSUB_VI }, // 6866
  { PseudoVRSUB_VI_MF8, VRSUB_VI }, // 6867
  { PseudoVRSUB_VI_MF8_MASK, VRSUB_VI }, // 6868
  { PseudoVRSUB_VX_M1, VRSUB_VX }, // 6869
  { PseudoVRSUB_VX_M1_MASK, VRSUB_VX }, // 6870
  { PseudoVRSUB_VX_M2, VRSUB_VX }, // 6871
  { PseudoVRSUB_VX_M2_MASK, VRSUB_VX }, // 6872
  { PseudoVRSUB_VX_M4, VRSUB_VX }, // 6873
  { PseudoVRSUB_VX_M4_MASK, VRSUB_VX }, // 6874
  { PseudoVRSUB_VX_M8, VRSUB_VX }, // 6875
  { PseudoVRSUB_VX_M8_MASK, VRSUB_VX }, // 6876
  { PseudoVRSUB_VX_MF2, VRSUB_VX }, // 6877
  { PseudoVRSUB_VX_MF2_MASK, VRSUB_VX }, // 6878
  { PseudoVRSUB_VX_MF4, VRSUB_VX }, // 6879
  { PseudoVRSUB_VX_MF4_MASK, VRSUB_VX }, // 6880
  { PseudoVRSUB_VX_MF8, VRSUB_VX }, // 6881
  { PseudoVRSUB_VX_MF8_MASK, VRSUB_VX }, // 6882
  { PseudoVSADDU_VI_M1, VSADDU_VI }, // 6883
  { PseudoVSADDU_VI_M1_MASK, VSADDU_VI }, // 6884
  { PseudoVSADDU_VI_M2, VSADDU_VI }, // 6885
  { PseudoVSADDU_VI_M2_MASK, VSADDU_VI }, // 6886
  { PseudoVSADDU_VI_M4, VSADDU_VI }, // 6887
  { PseudoVSADDU_VI_M4_MASK, VSADDU_VI }, // 6888
  { PseudoVSADDU_VI_M8, VSADDU_VI }, // 6889
  { PseudoVSADDU_VI_M8_MASK, VSADDU_VI }, // 6890
  { PseudoVSADDU_VI_MF2, VSADDU_VI }, // 6891
  { PseudoVSADDU_VI_MF2_MASK, VSADDU_VI }, // 6892
  { PseudoVSADDU_VI_MF4, VSADDU_VI }, // 6893
  { PseudoVSADDU_VI_MF4_MASK, VSADDU_VI }, // 6894
  { PseudoVSADDU_VI_MF8, VSADDU_VI }, // 6895
  { PseudoVSADDU_VI_MF8_MASK, VSADDU_VI }, // 6896
  { PseudoVSADDU_VV_M1, VSADDU_VV }, // 6897
  { PseudoVSADDU_VV_M1_MASK, VSADDU_VV }, // 6898
  { PseudoVSADDU_VV_M2, VSADDU_VV }, // 6899
  { PseudoVSADDU_VV_M2_MASK, VSADDU_VV }, // 6900
  { PseudoVSADDU_VV_M4, VSADDU_VV }, // 6901
  { PseudoVSADDU_VV_M4_MASK, VSADDU_VV }, // 6902
  { PseudoVSADDU_VV_M8, VSADDU_VV }, // 6903
  { PseudoVSADDU_VV_M8_MASK, VSADDU_VV }, // 6904
  { PseudoVSADDU_VV_MF2, VSADDU_VV }, // 6905
  { PseudoVSADDU_VV_MF2_MASK, VSADDU_VV }, // 6906
  { PseudoVSADDU_VV_MF4, VSADDU_VV }, // 6907
  { PseudoVSADDU_VV_MF4_MASK, VSADDU_VV }, // 6908
  { PseudoVSADDU_VV_MF8, VSADDU_VV }, // 6909
  { PseudoVSADDU_VV_MF8_MASK, VSADDU_VV }, // 6910
  { PseudoVSADDU_VX_M1, VSADDU_VX }, // 6911
  { PseudoVSADDU_VX_M1_MASK, VSADDU_VX }, // 6912
  { PseudoVSADDU_VX_M2, VSADDU_VX }, // 6913
  { PseudoVSADDU_VX_M2_MASK, VSADDU_VX }, // 6914
  { PseudoVSADDU_VX_M4, VSADDU_VX }, // 6915
  { PseudoVSADDU_VX_M4_MASK, VSADDU_VX }, // 6916
  { PseudoVSADDU_VX_M8, VSADDU_VX }, // 6917
  { PseudoVSADDU_VX_M8_MASK, VSADDU_VX }, // 6918
  { PseudoVSADDU_VX_MF2, VSADDU_VX }, // 6919
  { PseudoVSADDU_VX_MF2_MASK, VSADDU_VX }, // 6920
  { PseudoVSADDU_VX_MF4, VSADDU_VX }, // 6921
  { PseudoVSADDU_VX_MF4_MASK, VSADDU_VX }, // 6922
  { PseudoVSADDU_VX_MF8, VSADDU_VX }, // 6923
  { PseudoVSADDU_VX_MF8_MASK, VSADDU_VX }, // 6924
  { PseudoVSADD_VI_M1, VSADD_VI }, // 6925
  { PseudoVSADD_VI_M1_MASK, VSADD_VI }, // 6926
  { PseudoVSADD_VI_M2, VSADD_VI }, // 6927
  { PseudoVSADD_VI_M2_MASK, VSADD_VI }, // 6928
  { PseudoVSADD_VI_M4, VSADD_VI }, // 6929
  { PseudoVSADD_VI_M4_MASK, VSADD_VI }, // 6930
  { PseudoVSADD_VI_M8, VSADD_VI }, // 6931
  { PseudoVSADD_VI_M8_MASK, VSADD_VI }, // 6932
  { PseudoVSADD_VI_MF2, VSADD_VI }, // 6933
  { PseudoVSADD_VI_MF2_MASK, VSADD_VI }, // 6934
  { PseudoVSADD_VI_MF4, VSADD_VI }, // 6935
  { PseudoVSADD_VI_MF4_MASK, VSADD_VI }, // 6936
  { PseudoVSADD_VI_MF8, VSADD_VI }, // 6937
  { PseudoVSADD_VI_MF8_MASK, VSADD_VI }, // 6938
  { PseudoVSADD_VV_M1, VSADD_VV }, // 6939
  { PseudoVSADD_VV_M1_MASK, VSADD_VV }, // 6940
  { PseudoVSADD_VV_M2, VSADD_VV }, // 6941
  { PseudoVSADD_VV_M2_MASK, VSADD_VV }, // 6942
  { PseudoVSADD_VV_M4, VSADD_VV }, // 6943
  { PseudoVSADD_VV_M4_MASK, VSADD_VV }, // 6944
  { PseudoVSADD_VV_M8, VSADD_VV }, // 6945
  { PseudoVSADD_VV_M8_MASK, VSADD_VV }, // 6946
  { PseudoVSADD_VV_MF2, VSADD_VV }, // 6947
  { PseudoVSADD_VV_MF2_MASK, VSADD_VV }, // 6948
  { PseudoVSADD_VV_MF4, VSADD_VV }, // 6949
  { PseudoVSADD_VV_MF4_MASK, VSADD_VV }, // 6950
  { PseudoVSADD_VV_MF8, VSADD_VV }, // 6951
  { PseudoVSADD_VV_MF8_MASK, VSADD_VV }, // 6952
  { PseudoVSADD_VX_M1, VSADD_VX }, // 6953
  { PseudoVSADD_VX_M1_MASK, VSADD_VX }, // 6954
  { PseudoVSADD_VX_M2, VSADD_VX }, // 6955
  { PseudoVSADD_VX_M2_MASK, VSADD_VX }, // 6956
  { PseudoVSADD_VX_M4, VSADD_VX }, // 6957
  { PseudoVSADD_VX_M4_MASK, VSADD_VX }, // 6958
  { PseudoVSADD_VX_M8, VSADD_VX }, // 6959
  { PseudoVSADD_VX_M8_MASK, VSADD_VX }, // 6960
  { PseudoVSADD_VX_MF2, VSADD_VX }, // 6961
  { PseudoVSADD_VX_MF2_MASK, VSADD_VX }, // 6962
  { PseudoVSADD_VX_MF4, VSADD_VX }, // 6963
  { PseudoVSADD_VX_MF4_MASK, VSADD_VX }, // 6964
  { PseudoVSADD_VX_MF8, VSADD_VX }, // 6965
  { PseudoVSADD_VX_MF8_MASK, VSADD_VX }, // 6966
  { PseudoVSBC_VVM_M1, VSBC_VVM }, // 6967
  { PseudoVSBC_VVM_M2, VSBC_VVM }, // 6968
  { PseudoVSBC_VVM_M4, VSBC_VVM }, // 6969
  { PseudoVSBC_VVM_M8, VSBC_VVM }, // 6970
  { PseudoVSBC_VVM_MF2, VSBC_VVM }, // 6971
  { PseudoVSBC_VVM_MF4, VSBC_VVM }, // 6972
  { PseudoVSBC_VVM_MF8, VSBC_VVM }, // 6973
  { PseudoVSBC_VXM_M1, VSBC_VXM }, // 6974
  { PseudoVSBC_VXM_M2, VSBC_VXM }, // 6975
  { PseudoVSBC_VXM_M4, VSBC_VXM }, // 6976
  { PseudoVSBC_VXM_M8, VSBC_VXM }, // 6977
  { PseudoVSBC_VXM_MF2, VSBC_VXM }, // 6978
  { PseudoVSBC_VXM_MF4, VSBC_VXM }, // 6979
  { PseudoVSBC_VXM_MF8, VSBC_VXM }, // 6980
  { PseudoVSE16_V_M1, VSE16_V }, // 6981
  { PseudoVSE16_V_M1_MASK, VSE16_V }, // 6982
  { PseudoVSE16_V_M2, VSE16_V }, // 6983
  { PseudoVSE16_V_M2_MASK, VSE16_V }, // 6984
  { PseudoVSE16_V_M4, VSE16_V }, // 6985
  { PseudoVSE16_V_M4_MASK, VSE16_V }, // 6986
  { PseudoVSE16_V_M8, VSE16_V }, // 6987
  { PseudoVSE16_V_M8_MASK, VSE16_V }, // 6988
  { PseudoVSE16_V_MF2, VSE16_V }, // 6989
  { PseudoVSE16_V_MF2_MASK, VSE16_V }, // 6990
  { PseudoVSE16_V_MF4, VSE16_V }, // 6991
  { PseudoVSE16_V_MF4_MASK, VSE16_V }, // 6992
  { PseudoVSE32_V_M1, VSE32_V }, // 6993
  { PseudoVSE32_V_M1_MASK, VSE32_V }, // 6994
  { PseudoVSE32_V_M2, VSE32_V }, // 6995
  { PseudoVSE32_V_M2_MASK, VSE32_V }, // 6996
  { PseudoVSE32_V_M4, VSE32_V }, // 6997
  { PseudoVSE32_V_M4_MASK, VSE32_V }, // 6998
  { PseudoVSE32_V_M8, VSE32_V }, // 6999
  { PseudoVSE32_V_M8_MASK, VSE32_V }, // 7000
  { PseudoVSE32_V_MF2, VSE32_V }, // 7001
  { PseudoVSE32_V_MF2_MASK, VSE32_V }, // 7002
  { PseudoVSE64_V_M1, VSE64_V }, // 7003
  { PseudoVSE64_V_M1_MASK, VSE64_V }, // 7004
  { PseudoVSE64_V_M2, VSE64_V }, // 7005
  { PseudoVSE64_V_M2_MASK, VSE64_V }, // 7006
  { PseudoVSE64_V_M4, VSE64_V }, // 7007
  { PseudoVSE64_V_M4_MASK, VSE64_V }, // 7008
  { PseudoVSE64_V_M8, VSE64_V }, // 7009
  { PseudoVSE64_V_M8_MASK, VSE64_V }, // 7010
  { PseudoVSE8_V_M1, VSE8_V }, // 7011
  { PseudoVSE8_V_M1_MASK, VSE8_V }, // 7012
  { PseudoVSE8_V_M2, VSE8_V }, // 7013
  { PseudoVSE8_V_M2_MASK, VSE8_V }, // 7014
  { PseudoVSE8_V_M4, VSE8_V }, // 7015
  { PseudoVSE8_V_M4_MASK, VSE8_V }, // 7016
  { PseudoVSE8_V_M8, VSE8_V }, // 7017
  { PseudoVSE8_V_M8_MASK, VSE8_V }, // 7018
  { PseudoVSE8_V_MF2, VSE8_V }, // 7019
  { PseudoVSE8_V_MF2_MASK, VSE8_V }, // 7020
  { PseudoVSE8_V_MF4, VSE8_V }, // 7021
  { PseudoVSE8_V_MF4_MASK, VSE8_V }, // 7022
  { PseudoVSE8_V_MF8, VSE8_V }, // 7023
  { PseudoVSE8_V_MF8_MASK, VSE8_V }, // 7024
  { PseudoVSEXT_VF2_M1, VSEXT_VF2 }, // 7025
  { PseudoVSEXT_VF2_M1_MASK, VSEXT_VF2 }, // 7026
  { PseudoVSEXT_VF2_M2, VSEXT_VF2 }, // 7027
  { PseudoVSEXT_VF2_M2_MASK, VSEXT_VF2 }, // 7028
  { PseudoVSEXT_VF2_M4, VSEXT_VF2 }, // 7029
  { PseudoVSEXT_VF2_M4_MASK, VSEXT_VF2 }, // 7030
  { PseudoVSEXT_VF2_M8, VSEXT_VF2 }, // 7031
  { PseudoVSEXT_VF2_M8_MASK, VSEXT_VF2 }, // 7032
  { PseudoVSEXT_VF2_MF2, VSEXT_VF2 }, // 7033
  { PseudoVSEXT_VF2_MF2_MASK, VSEXT_VF2 }, // 7034
  { PseudoVSEXT_VF2_MF4, VSEXT_VF2 }, // 7035
  { PseudoVSEXT_VF2_MF4_MASK, VSEXT_VF2 }, // 7036
  { PseudoVSEXT_VF4_M1, VSEXT_VF4 }, // 7037
  { PseudoVSEXT_VF4_M1_MASK, VSEXT_VF4 }, // 7038
  { PseudoVSEXT_VF4_M2, VSEXT_VF4 }, // 7039
  { PseudoVSEXT_VF4_M2_MASK, VSEXT_VF4 }, // 7040
  { PseudoVSEXT_VF4_M4, VSEXT_VF4 }, // 7041
  { PseudoVSEXT_VF4_M4_MASK, VSEXT_VF4 }, // 7042
  { PseudoVSEXT_VF4_M8, VSEXT_VF4 }, // 7043
  { PseudoVSEXT_VF4_M8_MASK, VSEXT_VF4 }, // 7044
  { PseudoVSEXT_VF4_MF2, VSEXT_VF4 }, // 7045
  { PseudoVSEXT_VF4_MF2_MASK, VSEXT_VF4 }, // 7046
  { PseudoVSEXT_VF8_M1, VSEXT_VF8 }, // 7047
  { PseudoVSEXT_VF8_M1_MASK, VSEXT_VF8 }, // 7048
  { PseudoVSEXT_VF8_M2, VSEXT_VF8 }, // 7049
  { PseudoVSEXT_VF8_M2_MASK, VSEXT_VF8 }, // 7050
  { PseudoVSEXT_VF8_M4, VSEXT_VF8 }, // 7051
  { PseudoVSEXT_VF8_M4_MASK, VSEXT_VF8 }, // 7052
  { PseudoVSEXT_VF8_M8, VSEXT_VF8 }, // 7053
  { PseudoVSEXT_VF8_M8_MASK, VSEXT_VF8 }, // 7054
  { PseudoVSLIDE1DOWN_VX_M1, VSLIDE1DOWN_VX }, // 7055
  { PseudoVSLIDE1DOWN_VX_M1_MASK, VSLIDE1DOWN_VX }, // 7056
  { PseudoVSLIDE1DOWN_VX_M2, VSLIDE1DOWN_VX }, // 7057
  { PseudoVSLIDE1DOWN_VX_M2_MASK, VSLIDE1DOWN_VX }, // 7058
  { PseudoVSLIDE1DOWN_VX_M4, VSLIDE1DOWN_VX }, // 7059
  { PseudoVSLIDE1DOWN_VX_M4_MASK, VSLIDE1DOWN_VX }, // 7060
  { PseudoVSLIDE1DOWN_VX_M8, VSLIDE1DOWN_VX }, // 7061
  { PseudoVSLIDE1DOWN_VX_M8_MASK, VSLIDE1DOWN_VX }, // 7062
  { PseudoVSLIDE1DOWN_VX_MF2, VSLIDE1DOWN_VX }, // 7063
  { PseudoVSLIDE1DOWN_VX_MF2_MASK, VSLIDE1DOWN_VX }, // 7064
  { PseudoVSLIDE1DOWN_VX_MF4, VSLIDE1DOWN_VX }, // 7065
  { PseudoVSLIDE1DOWN_VX_MF4_MASK, VSLIDE1DOWN_VX }, // 7066
  { PseudoVSLIDE1DOWN_VX_MF8, VSLIDE1DOWN_VX }, // 7067
  { PseudoVSLIDE1DOWN_VX_MF8_MASK, VSLIDE1DOWN_VX }, // 7068
  { PseudoVSLIDE1UP_VX_M1, VSLIDE1UP_VX }, // 7069
  { PseudoVSLIDE1UP_VX_M1_MASK, VSLIDE1UP_VX }, // 7070
  { PseudoVSLIDE1UP_VX_M2, VSLIDE1UP_VX }, // 7071
  { PseudoVSLIDE1UP_VX_M2_MASK, VSLIDE1UP_VX }, // 7072
  { PseudoVSLIDE1UP_VX_M4, VSLIDE1UP_VX }, // 7073
  { PseudoVSLIDE1UP_VX_M4_MASK, VSLIDE1UP_VX }, // 7074
  { PseudoVSLIDE1UP_VX_M8, VSLIDE1UP_VX }, // 7075
  { PseudoVSLIDE1UP_VX_M8_MASK, VSLIDE1UP_VX }, // 7076
  { PseudoVSLIDE1UP_VX_MF2, VSLIDE1UP_VX }, // 7077
  { PseudoVSLIDE1UP_VX_MF2_MASK, VSLIDE1UP_VX }, // 7078
  { PseudoVSLIDE1UP_VX_MF4, VSLIDE1UP_VX }, // 7079
  { PseudoVSLIDE1UP_VX_MF4_MASK, VSLIDE1UP_VX }, // 7080
  { PseudoVSLIDE1UP_VX_MF8, VSLIDE1UP_VX }, // 7081
  { PseudoVSLIDE1UP_VX_MF8_MASK, VSLIDE1UP_VX }, // 7082
  { PseudoVSLIDEDOWN_VI_M1, VSLIDEDOWN_VI }, // 7083
  { PseudoVSLIDEDOWN_VI_M1_MASK, VSLIDEDOWN_VI }, // 7084
  { PseudoVSLIDEDOWN_VI_M2, VSLIDEDOWN_VI }, // 7085
  { PseudoVSLIDEDOWN_VI_M2_MASK, VSLIDEDOWN_VI }, // 7086
  { PseudoVSLIDEDOWN_VI_M4, VSLIDEDOWN_VI }, // 7087
  { PseudoVSLIDEDOWN_VI_M4_MASK, VSLIDEDOWN_VI }, // 7088
  { PseudoVSLIDEDOWN_VI_M8, VSLIDEDOWN_VI }, // 7089
  { PseudoVSLIDEDOWN_VI_M8_MASK, VSLIDEDOWN_VI }, // 7090
  { PseudoVSLIDEDOWN_VI_MF2, VSLIDEDOWN_VI }, // 7091
  { PseudoVSLIDEDOWN_VI_MF2_MASK, VSLIDEDOWN_VI }, // 7092
  { PseudoVSLIDEDOWN_VI_MF4, VSLIDEDOWN_VI }, // 7093
  { PseudoVSLIDEDOWN_VI_MF4_MASK, VSLIDEDOWN_VI }, // 7094
  { PseudoVSLIDEDOWN_VI_MF8, VSLIDEDOWN_VI }, // 7095
  { PseudoVSLIDEDOWN_VI_MF8_MASK, VSLIDEDOWN_VI }, // 7096
  { PseudoVSLIDEDOWN_VX_M1, VSLIDEDOWN_VX }, // 7097
  { PseudoVSLIDEDOWN_VX_M1_MASK, VSLIDEDOWN_VX }, // 7098
  { PseudoVSLIDEDOWN_VX_M2, VSLIDEDOWN_VX }, // 7099
  { PseudoVSLIDEDOWN_VX_M2_MASK, VSLIDEDOWN_VX }, // 7100
  { PseudoVSLIDEDOWN_VX_M4, VSLIDEDOWN_VX }, // 7101
  { PseudoVSLIDEDOWN_VX_M4_MASK, VSLIDEDOWN_VX }, // 7102
  { PseudoVSLIDEDOWN_VX_M8, VSLIDEDOWN_VX }, // 7103
  { PseudoVSLIDEDOWN_VX_M8_MASK, VSLIDEDOWN_VX }, // 7104
  { PseudoVSLIDEDOWN_VX_MF2, VSLIDEDOWN_VX }, // 7105
  { PseudoVSLIDEDOWN_VX_MF2_MASK, VSLIDEDOWN_VX }, // 7106
  { PseudoVSLIDEDOWN_VX_MF4, VSLIDEDOWN_VX }, // 7107
  { PseudoVSLIDEDOWN_VX_MF4_MASK, VSLIDEDOWN_VX }, // 7108
  { PseudoVSLIDEDOWN_VX_MF8, VSLIDEDOWN_VX }, // 7109
  { PseudoVSLIDEDOWN_VX_MF8_MASK, VSLIDEDOWN_VX }, // 7110
  { PseudoVSLIDEUP_VI_M1, VSLIDEUP_VI }, // 7111
  { PseudoVSLIDEUP_VI_M1_MASK, VSLIDEUP_VI }, // 7112
  { PseudoVSLIDEUP_VI_M2, VSLIDEUP_VI }, // 7113
  { PseudoVSLIDEUP_VI_M2_MASK, VSLIDEUP_VI }, // 7114
  { PseudoVSLIDEUP_VI_M4, VSLIDEUP_VI }, // 7115
  { PseudoVSLIDEUP_VI_M4_MASK, VSLIDEUP_VI }, // 7116
  { PseudoVSLIDEUP_VI_M8, VSLIDEUP_VI }, // 7117
  { PseudoVSLIDEUP_VI_M8_MASK, VSLIDEUP_VI }, // 7118
  { PseudoVSLIDEUP_VI_MF2, VSLIDEUP_VI }, // 7119
  { PseudoVSLIDEUP_VI_MF2_MASK, VSLIDEUP_VI }, // 7120
  { PseudoVSLIDEUP_VI_MF4, VSLIDEUP_VI }, // 7121
  { PseudoVSLIDEUP_VI_MF4_MASK, VSLIDEUP_VI }, // 7122
  { PseudoVSLIDEUP_VI_MF8, VSLIDEUP_VI }, // 7123
  { PseudoVSLIDEUP_VI_MF8_MASK, VSLIDEUP_VI }, // 7124
  { PseudoVSLIDEUP_VX_M1, VSLIDEUP_VX }, // 7125
  { PseudoVSLIDEUP_VX_M1_MASK, VSLIDEUP_VX }, // 7126
  { PseudoVSLIDEUP_VX_M2, VSLIDEUP_VX }, // 7127
  { PseudoVSLIDEUP_VX_M2_MASK, VSLIDEUP_VX }, // 7128
  { PseudoVSLIDEUP_VX_M4, VSLIDEUP_VX }, // 7129
  { PseudoVSLIDEUP_VX_M4_MASK, VSLIDEUP_VX }, // 7130
  { PseudoVSLIDEUP_VX_M8, VSLIDEUP_VX }, // 7131
  { PseudoVSLIDEUP_VX_M8_MASK, VSLIDEUP_VX }, // 7132
  { PseudoVSLIDEUP_VX_MF2, VSLIDEUP_VX }, // 7133
  { PseudoVSLIDEUP_VX_MF2_MASK, VSLIDEUP_VX }, // 7134
  { PseudoVSLIDEUP_VX_MF4, VSLIDEUP_VX }, // 7135
  { PseudoVSLIDEUP_VX_MF4_MASK, VSLIDEUP_VX }, // 7136
  { PseudoVSLIDEUP_VX_MF8, VSLIDEUP_VX }, // 7137
  { PseudoVSLIDEUP_VX_MF8_MASK, VSLIDEUP_VX }, // 7138
  { PseudoVSLL_VI_M1, VSLL_VI }, // 7139
  { PseudoVSLL_VI_M1_MASK, VSLL_VI }, // 7140
  { PseudoVSLL_VI_M2, VSLL_VI }, // 7141
  { PseudoVSLL_VI_M2_MASK, VSLL_VI }, // 7142
  { PseudoVSLL_VI_M4, VSLL_VI }, // 7143
  { PseudoVSLL_VI_M4_MASK, VSLL_VI }, // 7144
  { PseudoVSLL_VI_M8, VSLL_VI }, // 7145
  { PseudoVSLL_VI_M8_MASK, VSLL_VI }, // 7146
  { PseudoVSLL_VI_MF2, VSLL_VI }, // 7147
  { PseudoVSLL_VI_MF2_MASK, VSLL_VI }, // 7148
  { PseudoVSLL_VI_MF4, VSLL_VI }, // 7149
  { PseudoVSLL_VI_MF4_MASK, VSLL_VI }, // 7150
  { PseudoVSLL_VI_MF8, VSLL_VI }, // 7151
  { PseudoVSLL_VI_MF8_MASK, VSLL_VI }, // 7152
  { PseudoVSLL_VV_M1, VSLL_VV }, // 7153
  { PseudoVSLL_VV_M1_MASK, VSLL_VV }, // 7154
  { PseudoVSLL_VV_M2, VSLL_VV }, // 7155
  { PseudoVSLL_VV_M2_MASK, VSLL_VV }, // 7156
  { PseudoVSLL_VV_M4, VSLL_VV }, // 7157
  { PseudoVSLL_VV_M4_MASK, VSLL_VV }, // 7158
  { PseudoVSLL_VV_M8, VSLL_VV }, // 7159
  { PseudoVSLL_VV_M8_MASK, VSLL_VV }, // 7160
  { PseudoVSLL_VV_MF2, VSLL_VV }, // 7161
  { PseudoVSLL_VV_MF2_MASK, VSLL_VV }, // 7162
  { PseudoVSLL_VV_MF4, VSLL_VV }, // 7163
  { PseudoVSLL_VV_MF4_MASK, VSLL_VV }, // 7164
  { PseudoVSLL_VV_MF8, VSLL_VV }, // 7165
  { PseudoVSLL_VV_MF8_MASK, VSLL_VV }, // 7166
  { PseudoVSLL_VX_M1, VSLL_VX }, // 7167
  { PseudoVSLL_VX_M1_MASK, VSLL_VX }, // 7168
  { PseudoVSLL_VX_M2, VSLL_VX }, // 7169
  { PseudoVSLL_VX_M2_MASK, VSLL_VX }, // 7170
  { PseudoVSLL_VX_M4, VSLL_VX }, // 7171
  { PseudoVSLL_VX_M4_MASK, VSLL_VX }, // 7172
  { PseudoVSLL_VX_M8, VSLL_VX }, // 7173
  { PseudoVSLL_VX_M8_MASK, VSLL_VX }, // 7174
  { PseudoVSLL_VX_MF2, VSLL_VX }, // 7175
  { PseudoVSLL_VX_MF2_MASK, VSLL_VX }, // 7176
  { PseudoVSLL_VX_MF4, VSLL_VX }, // 7177
  { PseudoVSLL_VX_MF4_MASK, VSLL_VX }, // 7178
  { PseudoVSLL_VX_MF8, VSLL_VX }, // 7179
  { PseudoVSLL_VX_MF8_MASK, VSLL_VX }, // 7180
  { PseudoVSMUL_VV_M1, VSMUL_VV }, // 7181
  { PseudoVSMUL_VV_M1_MASK, VSMUL_VV }, // 7182
  { PseudoVSMUL_VV_M2, VSMUL_VV }, // 7183
  { PseudoVSMUL_VV_M2_MASK, VSMUL_VV }, // 7184
  { PseudoVSMUL_VV_M4, VSMUL_VV }, // 7185
  { PseudoVSMUL_VV_M4_MASK, VSMUL_VV }, // 7186
  { PseudoVSMUL_VV_M8, VSMUL_VV }, // 7187
  { PseudoVSMUL_VV_M8_MASK, VSMUL_VV }, // 7188
  { PseudoVSMUL_VV_MF2, VSMUL_VV }, // 7189
  { PseudoVSMUL_VV_MF2_MASK, VSMUL_VV }, // 7190
  { PseudoVSMUL_VV_MF4, VSMUL_VV }, // 7191
  { PseudoVSMUL_VV_MF4_MASK, VSMUL_VV }, // 7192
  { PseudoVSMUL_VV_MF8, VSMUL_VV }, // 7193
  { PseudoVSMUL_VV_MF8_MASK, VSMUL_VV }, // 7194
  { PseudoVSMUL_VX_M1, VSMUL_VX }, // 7195
  { PseudoVSMUL_VX_M1_MASK, VSMUL_VX }, // 7196
  { PseudoVSMUL_VX_M2, VSMUL_VX }, // 7197
  { PseudoVSMUL_VX_M2_MASK, VSMUL_VX }, // 7198
  { PseudoVSMUL_VX_M4, VSMUL_VX }, // 7199
  { PseudoVSMUL_VX_M4_MASK, VSMUL_VX }, // 7200
  { PseudoVSMUL_VX_M8, VSMUL_VX }, // 7201
  { PseudoVSMUL_VX_M8_MASK, VSMUL_VX }, // 7202
  { PseudoVSMUL_VX_MF2, VSMUL_VX }, // 7203
  { PseudoVSMUL_VX_MF2_MASK, VSMUL_VX }, // 7204
  { PseudoVSMUL_VX_MF4, VSMUL_VX }, // 7205
  { PseudoVSMUL_VX_MF4_MASK, VSMUL_VX }, // 7206
  { PseudoVSMUL_VX_MF8, VSMUL_VX }, // 7207
  { PseudoVSMUL_VX_MF8_MASK, VSMUL_VX }, // 7208
  { PseudoVSM_V_B1, VSM_V }, // 7209
  { PseudoVSM_V_B16, VSM_V }, // 7210
  { PseudoVSM_V_B2, VSM_V }, // 7211
  { PseudoVSM_V_B32, VSM_V }, // 7212
  { PseudoVSM_V_B4, VSM_V }, // 7213
  { PseudoVSM_V_B64, VSM_V }, // 7214
  { PseudoVSM_V_B8, VSM_V }, // 7215
  { PseudoVSOXEI16_V_M1_M1, VSOXEI16_V }, // 7216
  { PseudoVSOXEI16_V_M1_M1_MASK, VSOXEI16_V }, // 7217
  { PseudoVSOXEI16_V_M1_M2, VSOXEI16_V }, // 7218
  { PseudoVSOXEI16_V_M1_M2_MASK, VSOXEI16_V }, // 7219
  { PseudoVSOXEI16_V_M1_M4, VSOXEI16_V }, // 7220
  { PseudoVSOXEI16_V_M1_M4_MASK, VSOXEI16_V }, // 7221
  { PseudoVSOXEI16_V_M1_MF2, VSOXEI16_V }, // 7222
  { PseudoVSOXEI16_V_M1_MF2_MASK, VSOXEI16_V }, // 7223
  { PseudoVSOXEI16_V_M2_M1, VSOXEI16_V }, // 7224
  { PseudoVSOXEI16_V_M2_M1_MASK, VSOXEI16_V }, // 7225
  { PseudoVSOXEI16_V_M2_M2, VSOXEI16_V }, // 7226
  { PseudoVSOXEI16_V_M2_M2_MASK, VSOXEI16_V }, // 7227
  { PseudoVSOXEI16_V_M2_M4, VSOXEI16_V }, // 7228
  { PseudoVSOXEI16_V_M2_M4_MASK, VSOXEI16_V }, // 7229
  { PseudoVSOXEI16_V_M2_M8, VSOXEI16_V }, // 7230
  { PseudoVSOXEI16_V_M2_M8_MASK, VSOXEI16_V }, // 7231
  { PseudoVSOXEI16_V_M4_M2, VSOXEI16_V }, // 7232
  { PseudoVSOXEI16_V_M4_M2_MASK, VSOXEI16_V }, // 7233
  { PseudoVSOXEI16_V_M4_M4, VSOXEI16_V }, // 7234
  { PseudoVSOXEI16_V_M4_M4_MASK, VSOXEI16_V }, // 7235
  { PseudoVSOXEI16_V_M4_M8, VSOXEI16_V }, // 7236
  { PseudoVSOXEI16_V_M4_M8_MASK, VSOXEI16_V }, // 7237
  { PseudoVSOXEI16_V_M8_M4, VSOXEI16_V }, // 7238
  { PseudoVSOXEI16_V_M8_M4_MASK, VSOXEI16_V }, // 7239
  { PseudoVSOXEI16_V_M8_M8, VSOXEI16_V }, // 7240
  { PseudoVSOXEI16_V_M8_M8_MASK, VSOXEI16_V }, // 7241
  { PseudoVSOXEI16_V_MF2_M1, VSOXEI16_V }, // 7242
  { PseudoVSOXEI16_V_MF2_M1_MASK, VSOXEI16_V }, // 7243
  { PseudoVSOXEI16_V_MF2_M2, VSOXEI16_V }, // 7244
  { PseudoVSOXEI16_V_MF2_M2_MASK, VSOXEI16_V }, // 7245
  { PseudoVSOXEI16_V_MF2_MF2, VSOXEI16_V }, // 7246
  { PseudoVSOXEI16_V_MF2_MF2_MASK, VSOXEI16_V }, // 7247
  { PseudoVSOXEI16_V_MF2_MF4, VSOXEI16_V }, // 7248
  { PseudoVSOXEI16_V_MF2_MF4_MASK, VSOXEI16_V }, // 7249
  { PseudoVSOXEI16_V_MF4_M1, VSOXEI16_V }, // 7250
  { PseudoVSOXEI16_V_MF4_M1_MASK, VSOXEI16_V }, // 7251
  { PseudoVSOXEI16_V_MF4_MF2, VSOXEI16_V }, // 7252
  { PseudoVSOXEI16_V_MF4_MF2_MASK, VSOXEI16_V }, // 7253
  { PseudoVSOXEI16_V_MF4_MF4, VSOXEI16_V }, // 7254
  { PseudoVSOXEI16_V_MF4_MF4_MASK, VSOXEI16_V }, // 7255
  { PseudoVSOXEI16_V_MF4_MF8, VSOXEI16_V }, // 7256
  { PseudoVSOXEI16_V_MF4_MF8_MASK, VSOXEI16_V }, // 7257
  { PseudoVSOXEI32_V_M1_M1, VSOXEI32_V }, // 7258
  { PseudoVSOXEI32_V_M1_M1_MASK, VSOXEI32_V }, // 7259
  { PseudoVSOXEI32_V_M1_M2, VSOXEI32_V }, // 7260
  { PseudoVSOXEI32_V_M1_M2_MASK, VSOXEI32_V }, // 7261
  { PseudoVSOXEI32_V_M1_MF2, VSOXEI32_V }, // 7262
  { PseudoVSOXEI32_V_M1_MF2_MASK, VSOXEI32_V }, // 7263
  { PseudoVSOXEI32_V_M1_MF4, VSOXEI32_V }, // 7264
  { PseudoVSOXEI32_V_M1_MF4_MASK, VSOXEI32_V }, // 7265
  { PseudoVSOXEI32_V_M2_M1, VSOXEI32_V }, // 7266
  { PseudoVSOXEI32_V_M2_M1_MASK, VSOXEI32_V }, // 7267
  { PseudoVSOXEI32_V_M2_M2, VSOXEI32_V }, // 7268
  { PseudoVSOXEI32_V_M2_M2_MASK, VSOXEI32_V }, // 7269
  { PseudoVSOXEI32_V_M2_M4, VSOXEI32_V }, // 7270
  { PseudoVSOXEI32_V_M2_M4_MASK, VSOXEI32_V }, // 7271
  { PseudoVSOXEI32_V_M2_MF2, VSOXEI32_V }, // 7272
  { PseudoVSOXEI32_V_M2_MF2_MASK, VSOXEI32_V }, // 7273
  { PseudoVSOXEI32_V_M4_M1, VSOXEI32_V }, // 7274
  { PseudoVSOXEI32_V_M4_M1_MASK, VSOXEI32_V }, // 7275
  { PseudoVSOXEI32_V_M4_M2, VSOXEI32_V }, // 7276
  { PseudoVSOXEI32_V_M4_M2_MASK, VSOXEI32_V }, // 7277
  { PseudoVSOXEI32_V_M4_M4, VSOXEI32_V }, // 7278
  { PseudoVSOXEI32_V_M4_M4_MASK, VSOXEI32_V }, // 7279
  { PseudoVSOXEI32_V_M4_M8, VSOXEI32_V }, // 7280
  { PseudoVSOXEI32_V_M4_M8_MASK, VSOXEI32_V }, // 7281
  { PseudoVSOXEI32_V_M8_M2, VSOXEI32_V }, // 7282
  { PseudoVSOXEI32_V_M8_M2_MASK, VSOXEI32_V }, // 7283
  { PseudoVSOXEI32_V_M8_M4, VSOXEI32_V }, // 7284
  { PseudoVSOXEI32_V_M8_M4_MASK, VSOXEI32_V }, // 7285
  { PseudoVSOXEI32_V_M8_M8, VSOXEI32_V }, // 7286
  { PseudoVSOXEI32_V_M8_M8_MASK, VSOXEI32_V }, // 7287
  { PseudoVSOXEI32_V_MF2_M1, VSOXEI32_V }, // 7288
  { PseudoVSOXEI32_V_MF2_M1_MASK, VSOXEI32_V }, // 7289
  { PseudoVSOXEI32_V_MF2_MF2, VSOXEI32_V }, // 7290
  { PseudoVSOXEI32_V_MF2_MF2_MASK, VSOXEI32_V }, // 7291
  { PseudoVSOXEI32_V_MF2_MF4, VSOXEI32_V }, // 7292
  { PseudoVSOXEI32_V_MF2_MF4_MASK, VSOXEI32_V }, // 7293
  { PseudoVSOXEI32_V_MF2_MF8, VSOXEI32_V }, // 7294
  { PseudoVSOXEI32_V_MF2_MF8_MASK, VSOXEI32_V }, // 7295
  { PseudoVSOXEI64_V_M1_M1, VSOXEI64_V }, // 7296
  { PseudoVSOXEI64_V_M1_M1_MASK, VSOXEI64_V }, // 7297
  { PseudoVSOXEI64_V_M1_MF2, VSOXEI64_V }, // 7298
  { PseudoVSOXEI64_V_M1_MF2_MASK, VSOXEI64_V }, // 7299
  { PseudoVSOXEI64_V_M1_MF4, VSOXEI64_V }, // 7300
  { PseudoVSOXEI64_V_M1_MF4_MASK, VSOXEI64_V }, // 7301
  { PseudoVSOXEI64_V_M1_MF8, VSOXEI64_V }, // 7302
  { PseudoVSOXEI64_V_M1_MF8_MASK, VSOXEI64_V }, // 7303
  { PseudoVSOXEI64_V_M2_M1, VSOXEI64_V }, // 7304
  { PseudoVSOXEI64_V_M2_M1_MASK, VSOXEI64_V }, // 7305
  { PseudoVSOXEI64_V_M2_M2, VSOXEI64_V }, // 7306
  { PseudoVSOXEI64_V_M2_M2_MASK, VSOXEI64_V }, // 7307
  { PseudoVSOXEI64_V_M2_MF2, VSOXEI64_V }, // 7308
  { PseudoVSOXEI64_V_M2_MF2_MASK, VSOXEI64_V }, // 7309
  { PseudoVSOXEI64_V_M2_MF4, VSOXEI64_V }, // 7310
  { PseudoVSOXEI64_V_M2_MF4_MASK, VSOXEI64_V }, // 7311
  { PseudoVSOXEI64_V_M4_M1, VSOXEI64_V }, // 7312
  { PseudoVSOXEI64_V_M4_M1_MASK, VSOXEI64_V }, // 7313
  { PseudoVSOXEI64_V_M4_M2, VSOXEI64_V }, // 7314
  { PseudoVSOXEI64_V_M4_M2_MASK, VSOXEI64_V }, // 7315
  { PseudoVSOXEI64_V_M4_M4, VSOXEI64_V }, // 7316
  { PseudoVSOXEI64_V_M4_M4_MASK, VSOXEI64_V }, // 7317
  { PseudoVSOXEI64_V_M4_MF2, VSOXEI64_V }, // 7318
  { PseudoVSOXEI64_V_M4_MF2_MASK, VSOXEI64_V }, // 7319
  { PseudoVSOXEI64_V_M8_M1, VSOXEI64_V }, // 7320
  { PseudoVSOXEI64_V_M8_M1_MASK, VSOXEI64_V }, // 7321
  { PseudoVSOXEI64_V_M8_M2, VSOXEI64_V }, // 7322
  { PseudoVSOXEI64_V_M8_M2_MASK, VSOXEI64_V }, // 7323
  { PseudoVSOXEI64_V_M8_M4, VSOXEI64_V }, // 7324
  { PseudoVSOXEI64_V_M8_M4_MASK, VSOXEI64_V }, // 7325
  { PseudoVSOXEI64_V_M8_M8, VSOXEI64_V }, // 7326
  { PseudoVSOXEI64_V_M8_M8_MASK, VSOXEI64_V }, // 7327
  { PseudoVSOXEI8_V_M1_M1, VSOXEI8_V }, // 7328
  { PseudoVSOXEI8_V_M1_M1_MASK, VSOXEI8_V }, // 7329
  { PseudoVSOXEI8_V_M1_M2, VSOXEI8_V }, // 7330
  { PseudoVSOXEI8_V_M1_M2_MASK, VSOXEI8_V }, // 7331
  { PseudoVSOXEI8_V_M1_M4, VSOXEI8_V }, // 7332
  { PseudoVSOXEI8_V_M1_M4_MASK, VSOXEI8_V }, // 7333
  { PseudoVSOXEI8_V_M1_M8, VSOXEI8_V }, // 7334
  { PseudoVSOXEI8_V_M1_M8_MASK, VSOXEI8_V }, // 7335
  { PseudoVSOXEI8_V_M2_M2, VSOXEI8_V }, // 7336
  { PseudoVSOXEI8_V_M2_M2_MASK, VSOXEI8_V }, // 7337
  { PseudoVSOXEI8_V_M2_M4, VSOXEI8_V }, // 7338
  { PseudoVSOXEI8_V_M2_M4_MASK, VSOXEI8_V }, // 7339
  { PseudoVSOXEI8_V_M2_M8, VSOXEI8_V }, // 7340
  { PseudoVSOXEI8_V_M2_M8_MASK, VSOXEI8_V }, // 7341
  { PseudoVSOXEI8_V_M4_M4, VSOXEI8_V }, // 7342
  { PseudoVSOXEI8_V_M4_M4_MASK, VSOXEI8_V }, // 7343
  { PseudoVSOXEI8_V_M4_M8, VSOXEI8_V }, // 7344
  { PseudoVSOXEI8_V_M4_M8_MASK, VSOXEI8_V }, // 7345
  { PseudoVSOXEI8_V_M8_M8, VSOXEI8_V }, // 7346
  { PseudoVSOXEI8_V_M8_M8_MASK, VSOXEI8_V }, // 7347
  { PseudoVSOXEI8_V_MF2_M1, VSOXEI8_V }, // 7348
  { PseudoVSOXEI8_V_MF2_M1_MASK, VSOXEI8_V }, // 7349
  { PseudoVSOXEI8_V_MF2_M2, VSOXEI8_V }, // 7350
  { PseudoVSOXEI8_V_MF2_M2_MASK, VSOXEI8_V }, // 7351
  { PseudoVSOXEI8_V_MF2_M4, VSOXEI8_V }, // 7352
  { PseudoVSOXEI8_V_MF2_M4_MASK, VSOXEI8_V }, // 7353
  { PseudoVSOXEI8_V_MF2_MF2, VSOXEI8_V }, // 7354
  { PseudoVSOXEI8_V_MF2_MF2_MASK, VSOXEI8_V }, // 7355
  { PseudoVSOXEI8_V_MF4_M1, VSOXEI8_V }, // 7356
  { PseudoVSOXEI8_V_MF4_M1_MASK, VSOXEI8_V }, // 7357
  { PseudoVSOXEI8_V_MF4_M2, VSOXEI8_V }, // 7358
  { PseudoVSOXEI8_V_MF4_M2_MASK, VSOXEI8_V }, // 7359
  { PseudoVSOXEI8_V_MF4_MF2, VSOXEI8_V }, // 7360
  { PseudoVSOXEI8_V_MF4_MF2_MASK, VSOXEI8_V }, // 7361
  { PseudoVSOXEI8_V_MF4_MF4, VSOXEI8_V }, // 7362
  { PseudoVSOXEI8_V_MF4_MF4_MASK, VSOXEI8_V }, // 7363
  { PseudoVSOXEI8_V_MF8_M1, VSOXEI8_V }, // 7364
  { PseudoVSOXEI8_V_MF8_M1_MASK, VSOXEI8_V }, // 7365
  { PseudoVSOXEI8_V_MF8_MF2, VSOXEI8_V }, // 7366
  { PseudoVSOXEI8_V_MF8_MF2_MASK, VSOXEI8_V }, // 7367
  { PseudoVSOXEI8_V_MF8_MF4, VSOXEI8_V }, // 7368
  { PseudoVSOXEI8_V_MF8_MF4_MASK, VSOXEI8_V }, // 7369
  { PseudoVSOXEI8_V_MF8_MF8, VSOXEI8_V }, // 7370
  { PseudoVSOXEI8_V_MF8_MF8_MASK, VSOXEI8_V }, // 7371
  { PseudoVSOXSEG2EI16_V_M1_M1, VSOXSEG2EI16_V }, // 7372
  { PseudoVSOXSEG2EI16_V_M1_M1_MASK, VSOXSEG2EI16_V }, // 7373
  { PseudoVSOXSEG2EI16_V_M1_M2, VSOXSEG2EI16_V }, // 7374
  { PseudoVSOXSEG2EI16_V_M1_M2_MASK, VSOXSEG2EI16_V }, // 7375
  { PseudoVSOXSEG2EI16_V_M1_M4, VSOXSEG2EI16_V }, // 7376
  { PseudoVSOXSEG2EI16_V_M1_M4_MASK, VSOXSEG2EI16_V }, // 7377
  { PseudoVSOXSEG2EI16_V_M1_MF2, VSOXSEG2EI16_V }, // 7378
  { PseudoVSOXSEG2EI16_V_M1_MF2_MASK, VSOXSEG2EI16_V }, // 7379
  { PseudoVSOXSEG2EI16_V_M2_M1, VSOXSEG2EI16_V }, // 7380
  { PseudoVSOXSEG2EI16_V_M2_M1_MASK, VSOXSEG2EI16_V }, // 7381
  { PseudoVSOXSEG2EI16_V_M2_M2, VSOXSEG2EI16_V }, // 7382
  { PseudoVSOXSEG2EI16_V_M2_M2_MASK, VSOXSEG2EI16_V }, // 7383
  { PseudoVSOXSEG2EI16_V_M2_M4, VSOXSEG2EI16_V }, // 7384
  { PseudoVSOXSEG2EI16_V_M2_M4_MASK, VSOXSEG2EI16_V }, // 7385
  { PseudoVSOXSEG2EI16_V_M4_M2, VSOXSEG2EI16_V }, // 7386
  { PseudoVSOXSEG2EI16_V_M4_M2_MASK, VSOXSEG2EI16_V }, // 7387
  { PseudoVSOXSEG2EI16_V_M4_M4, VSOXSEG2EI16_V }, // 7388
  { PseudoVSOXSEG2EI16_V_M4_M4_MASK, VSOXSEG2EI16_V }, // 7389
  { PseudoVSOXSEG2EI16_V_M8_M4, VSOXSEG2EI16_V }, // 7390
  { PseudoVSOXSEG2EI16_V_M8_M4_MASK, VSOXSEG2EI16_V }, // 7391
  { PseudoVSOXSEG2EI16_V_MF2_M1, VSOXSEG2EI16_V }, // 7392
  { PseudoVSOXSEG2EI16_V_MF2_M1_MASK, VSOXSEG2EI16_V }, // 7393
  { PseudoVSOXSEG2EI16_V_MF2_M2, VSOXSEG2EI16_V }, // 7394
  { PseudoVSOXSEG2EI16_V_MF2_M2_MASK, VSOXSEG2EI16_V }, // 7395
  { PseudoVSOXSEG2EI16_V_MF2_MF2, VSOXSEG2EI16_V }, // 7396
  { PseudoVSOXSEG2EI16_V_MF2_MF2_MASK, VSOXSEG2EI16_V }, // 7397
  { PseudoVSOXSEG2EI16_V_MF2_MF4, VSOXSEG2EI16_V }, // 7398
  { PseudoVSOXSEG2EI16_V_MF2_MF4_MASK, VSOXSEG2EI16_V }, // 7399
  { PseudoVSOXSEG2EI16_V_MF4_M1, VSOXSEG2EI16_V }, // 7400
  { PseudoVSOXSEG2EI16_V_MF4_M1_MASK, VSOXSEG2EI16_V }, // 7401
  { PseudoVSOXSEG2EI16_V_MF4_MF2, VSOXSEG2EI16_V }, // 7402
  { PseudoVSOXSEG2EI16_V_MF4_MF2_MASK, VSOXSEG2EI16_V }, // 7403
  { PseudoVSOXSEG2EI16_V_MF4_MF4, VSOXSEG2EI16_V }, // 7404
  { PseudoVSOXSEG2EI16_V_MF4_MF4_MASK, VSOXSEG2EI16_V }, // 7405
  { PseudoVSOXSEG2EI16_V_MF4_MF8, VSOXSEG2EI16_V }, // 7406
  { PseudoVSOXSEG2EI16_V_MF4_MF8_MASK, VSOXSEG2EI16_V }, // 7407
  { PseudoVSOXSEG2EI32_V_M1_M1, VSOXSEG2EI32_V }, // 7408
  { PseudoVSOXSEG2EI32_V_M1_M1_MASK, VSOXSEG2EI32_V }, // 7409
  { PseudoVSOXSEG2EI32_V_M1_M2, VSOXSEG2EI32_V }, // 7410
  { PseudoVSOXSEG2EI32_V_M1_M2_MASK, VSOXSEG2EI32_V }, // 7411
  { PseudoVSOXSEG2EI32_V_M1_MF2, VSOXSEG2EI32_V }, // 7412
  { PseudoVSOXSEG2EI32_V_M1_MF2_MASK, VSOXSEG2EI32_V }, // 7413
  { PseudoVSOXSEG2EI32_V_M1_MF4, VSOXSEG2EI32_V }, // 7414
  { PseudoVSOXSEG2EI32_V_M1_MF4_MASK, VSOXSEG2EI32_V }, // 7415
  { PseudoVSOXSEG2EI32_V_M2_M1, VSOXSEG2EI32_V }, // 7416
  { PseudoVSOXSEG2EI32_V_M2_M1_MASK, VSOXSEG2EI32_V }, // 7417
  { PseudoVSOXSEG2EI32_V_M2_M2, VSOXSEG2EI32_V }, // 7418
  { PseudoVSOXSEG2EI32_V_M2_M2_MASK, VSOXSEG2EI32_V }, // 7419
  { PseudoVSOXSEG2EI32_V_M2_M4, VSOXSEG2EI32_V }, // 7420
  { PseudoVSOXSEG2EI32_V_M2_M4_MASK, VSOXSEG2EI32_V }, // 7421
  { PseudoVSOXSEG2EI32_V_M2_MF2, VSOXSEG2EI32_V }, // 7422
  { PseudoVSOXSEG2EI32_V_M2_MF2_MASK, VSOXSEG2EI32_V }, // 7423
  { PseudoVSOXSEG2EI32_V_M4_M1, VSOXSEG2EI32_V }, // 7424
  { PseudoVSOXSEG2EI32_V_M4_M1_MASK, VSOXSEG2EI32_V }, // 7425
  { PseudoVSOXSEG2EI32_V_M4_M2, VSOXSEG2EI32_V }, // 7426
  { PseudoVSOXSEG2EI32_V_M4_M2_MASK, VSOXSEG2EI32_V }, // 7427
  { PseudoVSOXSEG2EI32_V_M4_M4, VSOXSEG2EI32_V }, // 7428
  { PseudoVSOXSEG2EI32_V_M4_M4_MASK, VSOXSEG2EI32_V }, // 7429
  { PseudoVSOXSEG2EI32_V_M8_M2, VSOXSEG2EI32_V }, // 7430
  { PseudoVSOXSEG2EI32_V_M8_M2_MASK, VSOXSEG2EI32_V }, // 7431
  { PseudoVSOXSEG2EI32_V_M8_M4, VSOXSEG2EI32_V }, // 7432
  { PseudoVSOXSEG2EI32_V_M8_M4_MASK, VSOXSEG2EI32_V }, // 7433
  { PseudoVSOXSEG2EI32_V_MF2_M1, VSOXSEG2EI32_V }, // 7434
  { PseudoVSOXSEG2EI32_V_MF2_M1_MASK, VSOXSEG2EI32_V }, // 7435
  { PseudoVSOXSEG2EI32_V_MF2_MF2, VSOXSEG2EI32_V }, // 7436
  { PseudoVSOXSEG2EI32_V_MF2_MF2_MASK, VSOXSEG2EI32_V }, // 7437
  { PseudoVSOXSEG2EI32_V_MF2_MF4, VSOXSEG2EI32_V }, // 7438
  { PseudoVSOXSEG2EI32_V_MF2_MF4_MASK, VSOXSEG2EI32_V }, // 7439
  { PseudoVSOXSEG2EI32_V_MF2_MF8, VSOXSEG2EI32_V }, // 7440
  { PseudoVSOXSEG2EI32_V_MF2_MF8_MASK, VSOXSEG2EI32_V }, // 7441
  { PseudoVSOXSEG2EI64_V_M1_M1, VSOXSEG2EI64_V }, // 7442
  { PseudoVSOXSEG2EI64_V_M1_M1_MASK, VSOXSEG2EI64_V }, // 7443
  { PseudoVSOXSEG2EI64_V_M1_MF2, VSOXSEG2EI64_V }, // 7444
  { PseudoVSOXSEG2EI64_V_M1_MF2_MASK, VSOXSEG2EI64_V }, // 7445
  { PseudoVSOXSEG2EI64_V_M1_MF4, VSOXSEG2EI64_V }, // 7446
  { PseudoVSOXSEG2EI64_V_M1_MF4_MASK, VSOXSEG2EI64_V }, // 7447
  { PseudoVSOXSEG2EI64_V_M1_MF8, VSOXSEG2EI64_V }, // 7448
  { PseudoVSOXSEG2EI64_V_M1_MF8_MASK, VSOXSEG2EI64_V }, // 7449
  { PseudoVSOXSEG2EI64_V_M2_M1, VSOXSEG2EI64_V }, // 7450
  { PseudoVSOXSEG2EI64_V_M2_M1_MASK, VSOXSEG2EI64_V }, // 7451
  { PseudoVSOXSEG2EI64_V_M2_M2, VSOXSEG2EI64_V }, // 7452
  { PseudoVSOXSEG2EI64_V_M2_M2_MASK, VSOXSEG2EI64_V }, // 7453
  { PseudoVSOXSEG2EI64_V_M2_MF2, VSOXSEG2EI64_V }, // 7454
  { PseudoVSOXSEG2EI64_V_M2_MF2_MASK, VSOXSEG2EI64_V }, // 7455
  { PseudoVSOXSEG2EI64_V_M2_MF4, VSOXSEG2EI64_V }, // 7456
  { PseudoVSOXSEG2EI64_V_M2_MF4_MASK, VSOXSEG2EI64_V }, // 7457
  { PseudoVSOXSEG2EI64_V_M4_M1, VSOXSEG2EI64_V }, // 7458
  { PseudoVSOXSEG2EI64_V_M4_M1_MASK, VSOXSEG2EI64_V }, // 7459
  { PseudoVSOXSEG2EI64_V_M4_M2, VSOXSEG2EI64_V }, // 7460
  { PseudoVSOXSEG2EI64_V_M4_M2_MASK, VSOXSEG2EI64_V }, // 7461
  { PseudoVSOXSEG2EI64_V_M4_M4, VSOXSEG2EI64_V }, // 7462
  { PseudoVSOXSEG2EI64_V_M4_M4_MASK, VSOXSEG2EI64_V }, // 7463
  { PseudoVSOXSEG2EI64_V_M4_MF2, VSOXSEG2EI64_V }, // 7464
  { PseudoVSOXSEG2EI64_V_M4_MF2_MASK, VSOXSEG2EI64_V }, // 7465
  { PseudoVSOXSEG2EI64_V_M8_M1, VSOXSEG2EI64_V }, // 7466
  { PseudoVSOXSEG2EI64_V_M8_M1_MASK, VSOXSEG2EI64_V }, // 7467
  { PseudoVSOXSEG2EI64_V_M8_M2, VSOXSEG2EI64_V }, // 7468
  { PseudoVSOXSEG2EI64_V_M8_M2_MASK, VSOXSEG2EI64_V }, // 7469
  { PseudoVSOXSEG2EI64_V_M8_M4, VSOXSEG2EI64_V }, // 7470
  { PseudoVSOXSEG2EI64_V_M8_M4_MASK, VSOXSEG2EI64_V }, // 7471
  { PseudoVSOXSEG2EI8_V_M1_M1, VSOXSEG2EI8_V }, // 7472
  { PseudoVSOXSEG2EI8_V_M1_M1_MASK, VSOXSEG2EI8_V }, // 7473
  { PseudoVSOXSEG2EI8_V_M1_M2, VSOXSEG2EI8_V }, // 7474
  { PseudoVSOXSEG2EI8_V_M1_M2_MASK, VSOXSEG2EI8_V }, // 7475
  { PseudoVSOXSEG2EI8_V_M1_M4, VSOXSEG2EI8_V }, // 7476
  { PseudoVSOXSEG2EI8_V_M1_M4_MASK, VSOXSEG2EI8_V }, // 7477
  { PseudoVSOXSEG2EI8_V_M2_M2, VSOXSEG2EI8_V }, // 7478
  { PseudoVSOXSEG2EI8_V_M2_M2_MASK, VSOXSEG2EI8_V }, // 7479
  { PseudoVSOXSEG2EI8_V_M2_M4, VSOXSEG2EI8_V }, // 7480
  { PseudoVSOXSEG2EI8_V_M2_M4_MASK, VSOXSEG2EI8_V }, // 7481
  { PseudoVSOXSEG2EI8_V_M4_M4, VSOXSEG2EI8_V }, // 7482
  { PseudoVSOXSEG2EI8_V_M4_M4_MASK, VSOXSEG2EI8_V }, // 7483
  { PseudoVSOXSEG2EI8_V_MF2_M1, VSOXSEG2EI8_V }, // 7484
  { PseudoVSOXSEG2EI8_V_MF2_M1_MASK, VSOXSEG2EI8_V }, // 7485
  { PseudoVSOXSEG2EI8_V_MF2_M2, VSOXSEG2EI8_V }, // 7486
  { PseudoVSOXSEG2EI8_V_MF2_M2_MASK, VSOXSEG2EI8_V }, // 7487
  { PseudoVSOXSEG2EI8_V_MF2_M4, VSOXSEG2EI8_V }, // 7488
  { PseudoVSOXSEG2EI8_V_MF2_M4_MASK, VSOXSEG2EI8_V }, // 7489
  { PseudoVSOXSEG2EI8_V_MF2_MF2, VSOXSEG2EI8_V }, // 7490
  { PseudoVSOXSEG2EI8_V_MF2_MF2_MASK, VSOXSEG2EI8_V }, // 7491
  { PseudoVSOXSEG2EI8_V_MF4_M1, VSOXSEG2EI8_V }, // 7492
  { PseudoVSOXSEG2EI8_V_MF4_M1_MASK, VSOXSEG2EI8_V }, // 7493
  { PseudoVSOXSEG2EI8_V_MF4_M2, VSOXSEG2EI8_V }, // 7494
  { PseudoVSOXSEG2EI8_V_MF4_M2_MASK, VSOXSEG2EI8_V }, // 7495
  { PseudoVSOXSEG2EI8_V_MF4_MF2, VSOXSEG2EI8_V }, // 7496
  { PseudoVSOXSEG2EI8_V_MF4_MF2_MASK, VSOXSEG2EI8_V }, // 7497
  { PseudoVSOXSEG2EI8_V_MF4_MF4, VSOXSEG2EI8_V }, // 7498
  { PseudoVSOXSEG2EI8_V_MF4_MF4_MASK, VSOXSEG2EI8_V }, // 7499
  { PseudoVSOXSEG2EI8_V_MF8_M1, VSOXSEG2EI8_V }, // 7500
  { PseudoVSOXSEG2EI8_V_MF8_M1_MASK, VSOXSEG2EI8_V }, // 7501
  { PseudoVSOXSEG2EI8_V_MF8_MF2, VSOXSEG2EI8_V }, // 7502
  { PseudoVSOXSEG2EI8_V_MF8_MF2_MASK, VSOXSEG2EI8_V }, // 7503
  { PseudoVSOXSEG2EI8_V_MF8_MF4, VSOXSEG2EI8_V }, // 7504
  { PseudoVSOXSEG2EI8_V_MF8_MF4_MASK, VSOXSEG2EI8_V }, // 7505
  { PseudoVSOXSEG2EI8_V_MF8_MF8, VSOXSEG2EI8_V }, // 7506
  { PseudoVSOXSEG2EI8_V_MF8_MF8_MASK, VSOXSEG2EI8_V }, // 7507
  { PseudoVSOXSEG3EI16_V_M1_M1, VSOXSEG3EI16_V }, // 7508
  { PseudoVSOXSEG3EI16_V_M1_M1_MASK, VSOXSEG3EI16_V }, // 7509
  { PseudoVSOXSEG3EI16_V_M1_M2, VSOXSEG3EI16_V }, // 7510
  { PseudoVSOXSEG3EI16_V_M1_M2_MASK, VSOXSEG3EI16_V }, // 7511
  { PseudoVSOXSEG3EI16_V_M1_MF2, VSOXSEG3EI16_V }, // 7512
  { PseudoVSOXSEG3EI16_V_M1_MF2_MASK, VSOXSEG3EI16_V }, // 7513
  { PseudoVSOXSEG3EI16_V_M2_M1, VSOXSEG3EI16_V }, // 7514
  { PseudoVSOXSEG3EI16_V_M2_M1_MASK, VSOXSEG3EI16_V }, // 7515
  { PseudoVSOXSEG3EI16_V_M2_M2, VSOXSEG3EI16_V }, // 7516
  { PseudoVSOXSEG3EI16_V_M2_M2_MASK, VSOXSEG3EI16_V }, // 7517
  { PseudoVSOXSEG3EI16_V_M4_M2, VSOXSEG3EI16_V }, // 7518
  { PseudoVSOXSEG3EI16_V_M4_M2_MASK, VSOXSEG3EI16_V }, // 7519
  { PseudoVSOXSEG3EI16_V_MF2_M1, VSOXSEG3EI16_V }, // 7520
  { PseudoVSOXSEG3EI16_V_MF2_M1_MASK, VSOXSEG3EI16_V }, // 7521
  { PseudoVSOXSEG3EI16_V_MF2_M2, VSOXSEG3EI16_V }, // 7522
  { PseudoVSOXSEG3EI16_V_MF2_M2_MASK, VSOXSEG3EI16_V }, // 7523
  { PseudoVSOXSEG3EI16_V_MF2_MF2, VSOXSEG3EI16_V }, // 7524
  { PseudoVSOXSEG3EI16_V_MF2_MF2_MASK, VSOXSEG3EI16_V }, // 7525
  { PseudoVSOXSEG3EI16_V_MF2_MF4, VSOXSEG3EI16_V }, // 7526
  { PseudoVSOXSEG3EI16_V_MF2_MF4_MASK, VSOXSEG3EI16_V }, // 7527
  { PseudoVSOXSEG3EI16_V_MF4_M1, VSOXSEG3EI16_V }, // 7528
  { PseudoVSOXSEG3EI16_V_MF4_M1_MASK, VSOXSEG3EI16_V }, // 7529
  { PseudoVSOXSEG3EI16_V_MF4_MF2, VSOXSEG3EI16_V }, // 7530
  { PseudoVSOXSEG3EI16_V_MF4_MF2_MASK, VSOXSEG3EI16_V }, // 7531
  { PseudoVSOXSEG3EI16_V_MF4_MF4, VSOXSEG3EI16_V }, // 7532
  { PseudoVSOXSEG3EI16_V_MF4_MF4_MASK, VSOXSEG3EI16_V }, // 7533
  { PseudoVSOXSEG3EI16_V_MF4_MF8, VSOXSEG3EI16_V }, // 7534
  { PseudoVSOXSEG3EI16_V_MF4_MF8_MASK, VSOXSEG3EI16_V }, // 7535
  { PseudoVSOXSEG3EI32_V_M1_M1, VSOXSEG3EI32_V }, // 7536
  { PseudoVSOXSEG3EI32_V_M1_M1_MASK, VSOXSEG3EI32_V }, // 7537
  { PseudoVSOXSEG3EI32_V_M1_M2, VSOXSEG3EI32_V }, // 7538
  { PseudoVSOXSEG3EI32_V_M1_M2_MASK, VSOXSEG3EI32_V }, // 7539
  { PseudoVSOXSEG3EI32_V_M1_MF2, VSOXSEG3EI32_V }, // 7540
  { PseudoVSOXSEG3EI32_V_M1_MF2_MASK, VSOXSEG3EI32_V }, // 7541
  { PseudoVSOXSEG3EI32_V_M1_MF4, VSOXSEG3EI32_V }, // 7542
  { PseudoVSOXSEG3EI32_V_M1_MF4_MASK, VSOXSEG3EI32_V }, // 7543
  { PseudoVSOXSEG3EI32_V_M2_M1, VSOXSEG3EI32_V }, // 7544
  { PseudoVSOXSEG3EI32_V_M2_M1_MASK, VSOXSEG3EI32_V }, // 7545
  { PseudoVSOXSEG3EI32_V_M2_M2, VSOXSEG3EI32_V }, // 7546
  { PseudoVSOXSEG3EI32_V_M2_M2_MASK, VSOXSEG3EI32_V }, // 7547
  { PseudoVSOXSEG3EI32_V_M2_MF2, VSOXSEG3EI32_V }, // 7548
  { PseudoVSOXSEG3EI32_V_M2_MF2_MASK, VSOXSEG3EI32_V }, // 7549
  { PseudoVSOXSEG3EI32_V_M4_M1, VSOXSEG3EI32_V }, // 7550
  { PseudoVSOXSEG3EI32_V_M4_M1_MASK, VSOXSEG3EI32_V }, // 7551
  { PseudoVSOXSEG3EI32_V_M4_M2, VSOXSEG3EI32_V }, // 7552
  { PseudoVSOXSEG3EI32_V_M4_M2_MASK, VSOXSEG3EI32_V }, // 7553
  { PseudoVSOXSEG3EI32_V_M8_M2, VSOXSEG3EI32_V }, // 7554
  { PseudoVSOXSEG3EI32_V_M8_M2_MASK, VSOXSEG3EI32_V }, // 7555
  { PseudoVSOXSEG3EI32_V_MF2_M1, VSOXSEG3EI32_V }, // 7556
  { PseudoVSOXSEG3EI32_V_MF2_M1_MASK, VSOXSEG3EI32_V }, // 7557
  { PseudoVSOXSEG3EI32_V_MF2_MF2, VSOXSEG3EI32_V }, // 7558
  { PseudoVSOXSEG3EI32_V_MF2_MF2_MASK, VSOXSEG3EI32_V }, // 7559
  { PseudoVSOXSEG3EI32_V_MF2_MF4, VSOXSEG3EI32_V }, // 7560
  { PseudoVSOXSEG3EI32_V_MF2_MF4_MASK, VSOXSEG3EI32_V }, // 7561
  { PseudoVSOXSEG3EI32_V_MF2_MF8, VSOXSEG3EI32_V }, // 7562
  { PseudoVSOXSEG3EI32_V_MF2_MF8_MASK, VSOXSEG3EI32_V }, // 7563
  { PseudoVSOXSEG3EI64_V_M1_M1, VSOXSEG3EI64_V }, // 7564
  { PseudoVSOXSEG3EI64_V_M1_M1_MASK, VSOXSEG3EI64_V }, // 7565
  { PseudoVSOXSEG3EI64_V_M1_MF2, VSOXSEG3EI64_V }, // 7566
  { PseudoVSOXSEG3EI64_V_M1_MF2_MASK, VSOXSEG3EI64_V }, // 7567
  { PseudoVSOXSEG3EI64_V_M1_MF4, VSOXSEG3EI64_V }, // 7568
  { PseudoVSOXSEG3EI64_V_M1_MF4_MASK, VSOXSEG3EI64_V }, // 7569
  { PseudoVSOXSEG3EI64_V_M1_MF8, VSOXSEG3EI64_V }, // 7570
  { PseudoVSOXSEG3EI64_V_M1_MF8_MASK, VSOXSEG3EI64_V }, // 7571
  { PseudoVSOXSEG3EI64_V_M2_M1, VSOXSEG3EI64_V }, // 7572
  { PseudoVSOXSEG3EI64_V_M2_M1_MASK, VSOXSEG3EI64_V }, // 7573
  { PseudoVSOXSEG3EI64_V_M2_M2, VSOXSEG3EI64_V }, // 7574
  { PseudoVSOXSEG3EI64_V_M2_M2_MASK, VSOXSEG3EI64_V }, // 7575
  { PseudoVSOXSEG3EI64_V_M2_MF2, VSOXSEG3EI64_V }, // 7576
  { PseudoVSOXSEG3EI64_V_M2_MF2_MASK, VSOXSEG3EI64_V }, // 7577
  { PseudoVSOXSEG3EI64_V_M2_MF4, VSOXSEG3EI64_V }, // 7578
  { PseudoVSOXSEG3EI64_V_M2_MF4_MASK, VSOXSEG3EI64_V }, // 7579
  { PseudoVSOXSEG3EI64_V_M4_M1, VSOXSEG3EI64_V }, // 7580
  { PseudoVSOXSEG3EI64_V_M4_M1_MASK, VSOXSEG3EI64_V }, // 7581
  { PseudoVSOXSEG3EI64_V_M4_M2, VSOXSEG3EI64_V }, // 7582
  { PseudoVSOXSEG3EI64_V_M4_M2_MASK, VSOXSEG3EI64_V }, // 7583
  { PseudoVSOXSEG3EI64_V_M4_MF2, VSOXSEG3EI64_V }, // 7584
  { PseudoVSOXSEG3EI64_V_M4_MF2_MASK, VSOXSEG3EI64_V }, // 7585
  { PseudoVSOXSEG3EI64_V_M8_M1, VSOXSEG3EI64_V }, // 7586
  { PseudoVSOXSEG3EI64_V_M8_M1_MASK, VSOXSEG3EI64_V }, // 7587
  { PseudoVSOXSEG3EI64_V_M8_M2, VSOXSEG3EI64_V }, // 7588
  { PseudoVSOXSEG3EI64_V_M8_M2_MASK, VSOXSEG3EI64_V }, // 7589
  { PseudoVSOXSEG3EI8_V_M1_M1, VSOXSEG3EI8_V }, // 7590
  { PseudoVSOXSEG3EI8_V_M1_M1_MASK, VSOXSEG3EI8_V }, // 7591
  { PseudoVSOXSEG3EI8_V_M1_M2, VSOXSEG3EI8_V }, // 7592
  { PseudoVSOXSEG3EI8_V_M1_M2_MASK, VSOXSEG3EI8_V }, // 7593
  { PseudoVSOXSEG3EI8_V_M2_M2, VSOXSEG3EI8_V }, // 7594
  { PseudoVSOXSEG3EI8_V_M2_M2_MASK, VSOXSEG3EI8_V }, // 7595
  { PseudoVSOXSEG3EI8_V_MF2_M1, VSOXSEG3EI8_V }, // 7596
  { PseudoVSOXSEG3EI8_V_MF2_M1_MASK, VSOXSEG3EI8_V }, // 7597
  { PseudoVSOXSEG3EI8_V_MF2_M2, VSOXSEG3EI8_V }, // 7598
  { PseudoVSOXSEG3EI8_V_MF2_M2_MASK, VSOXSEG3EI8_V }, // 7599
  { PseudoVSOXSEG3EI8_V_MF2_MF2, VSOXSEG3EI8_V }, // 7600
  { PseudoVSOXSEG3EI8_V_MF2_MF2_MASK, VSOXSEG3EI8_V }, // 7601
  { PseudoVSOXSEG3EI8_V_MF4_M1, VSOXSEG3EI8_V }, // 7602
  { PseudoVSOXSEG3EI8_V_MF4_M1_MASK, VSOXSEG3EI8_V }, // 7603
  { PseudoVSOXSEG3EI8_V_MF4_M2, VSOXSEG3EI8_V }, // 7604
  { PseudoVSOXSEG3EI8_V_MF4_M2_MASK, VSOXSEG3EI8_V }, // 7605
  { PseudoVSOXSEG3EI8_V_MF4_MF2, VSOXSEG3EI8_V }, // 7606
  { PseudoVSOXSEG3EI8_V_MF4_MF2_MASK, VSOXSEG3EI8_V }, // 7607
  { PseudoVSOXSEG3EI8_V_MF4_MF4, VSOXSEG3EI8_V }, // 7608
  { PseudoVSOXSEG3EI8_V_MF4_MF4_MASK, VSOXSEG3EI8_V }, // 7609
  { PseudoVSOXSEG3EI8_V_MF8_M1, VSOXSEG3EI8_V }, // 7610
  { PseudoVSOXSEG3EI8_V_MF8_M1_MASK, VSOXSEG3EI8_V }, // 7611
  { PseudoVSOXSEG3EI8_V_MF8_MF2, VSOXSEG3EI8_V }, // 7612
  { PseudoVSOXSEG3EI8_V_MF8_MF2_MASK, VSOXSEG3EI8_V }, // 7613
  { PseudoVSOXSEG3EI8_V_MF8_MF4, VSOXSEG3EI8_V }, // 7614
  { PseudoVSOXSEG3EI8_V_MF8_MF4_MASK, VSOXSEG3EI8_V }, // 7615
  { PseudoVSOXSEG3EI8_V_MF8_MF8, VSOXSEG3EI8_V }, // 7616
  { PseudoVSOXSEG3EI8_V_MF8_MF8_MASK, VSOXSEG3EI8_V }, // 7617
  { PseudoVSOXSEG4EI16_V_M1_M1, VSOXSEG4EI16_V }, // 7618
  { PseudoVSOXSEG4EI16_V_M1_M1_MASK, VSOXSEG4EI16_V }, // 7619
  { PseudoVSOXSEG4EI16_V_M1_M2, VSOXSEG4EI16_V }, // 7620
  { PseudoVSOXSEG4EI16_V_M1_M2_MASK, VSOXSEG4EI16_V }, // 7621
  { PseudoVSOXSEG4EI16_V_M1_MF2, VSOXSEG4EI16_V }, // 7622
  { PseudoVSOXSEG4EI16_V_M1_MF2_MASK, VSOXSEG4EI16_V }, // 7623
  { PseudoVSOXSEG4EI16_V_M2_M1, VSOXSEG4EI16_V }, // 7624
  { PseudoVSOXSEG4EI16_V_M2_M1_MASK, VSOXSEG4EI16_V }, // 7625
  { PseudoVSOXSEG4EI16_V_M2_M2, VSOXSEG4EI16_V }, // 7626
  { PseudoVSOXSEG4EI16_V_M2_M2_MASK, VSOXSEG4EI16_V }, // 7627
  { PseudoVSOXSEG4EI16_V_M4_M2, VSOXSEG4EI16_V }, // 7628
  { PseudoVSOXSEG4EI16_V_M4_M2_MASK, VSOXSEG4EI16_V }, // 7629
  { PseudoVSOXSEG4EI16_V_MF2_M1, VSOXSEG4EI16_V }, // 7630
  { PseudoVSOXSEG4EI16_V_MF2_M1_MASK, VSOXSEG4EI16_V }, // 7631
  { PseudoVSOXSEG4EI16_V_MF2_M2, VSOXSEG4EI16_V }, // 7632
  { PseudoVSOXSEG4EI16_V_MF2_M2_MASK, VSOXSEG4EI16_V }, // 7633
  { PseudoVSOXSEG4EI16_V_MF2_MF2, VSOXSEG4EI16_V }, // 7634
  { PseudoVSOXSEG4EI16_V_MF2_MF2_MASK, VSOXSEG4EI16_V }, // 7635
  { PseudoVSOXSEG4EI16_V_MF2_MF4, VSOXSEG4EI16_V }, // 7636
  { PseudoVSOXSEG4EI16_V_MF2_MF4_MASK, VSOXSEG4EI16_V }, // 7637
  { PseudoVSOXSEG4EI16_V_MF4_M1, VSOXSEG4EI16_V }, // 7638
  { PseudoVSOXSEG4EI16_V_MF4_M1_MASK, VSOXSEG4EI16_V }, // 7639
  { PseudoVSOXSEG4EI16_V_MF4_MF2, VSOXSEG4EI16_V }, // 7640
  { PseudoVSOXSEG4EI16_V_MF4_MF2_MASK, VSOXSEG4EI16_V }, // 7641
  { PseudoVSOXSEG4EI16_V_MF4_MF4, VSOXSEG4EI16_V }, // 7642
  { PseudoVSOXSEG4EI16_V_MF4_MF4_MASK, VSOXSEG4EI16_V }, // 7643
  { PseudoVSOXSEG4EI16_V_MF4_MF8, VSOXSEG4EI16_V }, // 7644
  { PseudoVSOXSEG4EI16_V_MF4_MF8_MASK, VSOXSEG4EI16_V }, // 7645
  { PseudoVSOXSEG4EI32_V_M1_M1, VSOXSEG4EI32_V }, // 7646
  { PseudoVSOXSEG4EI32_V_M1_M1_MASK, VSOXSEG4EI32_V }, // 7647
  { PseudoVSOXSEG4EI32_V_M1_M2, VSOXSEG4EI32_V }, // 7648
  { PseudoVSOXSEG4EI32_V_M1_M2_MASK, VSOXSEG4EI32_V }, // 7649
  { PseudoVSOXSEG4EI32_V_M1_MF2, VSOXSEG4EI32_V }, // 7650
  { PseudoVSOXSEG4EI32_V_M1_MF2_MASK, VSOXSEG4EI32_V }, // 7651
  { PseudoVSOXSEG4EI32_V_M1_MF4, VSOXSEG4EI32_V }, // 7652
  { PseudoVSOXSEG4EI32_V_M1_MF4_MASK, VSOXSEG4EI32_V }, // 7653
  { PseudoVSOXSEG4EI32_V_M2_M1, VSOXSEG4EI32_V }, // 7654
  { PseudoVSOXSEG4EI32_V_M2_M1_MASK, VSOXSEG4EI32_V }, // 7655
  { PseudoVSOXSEG4EI32_V_M2_M2, VSOXSEG4EI32_V }, // 7656
  { PseudoVSOXSEG4EI32_V_M2_M2_MASK, VSOXSEG4EI32_V }, // 7657
  { PseudoVSOXSEG4EI32_V_M2_MF2, VSOXSEG4EI32_V }, // 7658
  { PseudoVSOXSEG4EI32_V_M2_MF2_MASK, VSOXSEG4EI32_V }, // 7659
  { PseudoVSOXSEG4EI32_V_M4_M1, VSOXSEG4EI32_V }, // 7660
  { PseudoVSOXSEG4EI32_V_M4_M1_MASK, VSOXSEG4EI32_V }, // 7661
  { PseudoVSOXSEG4EI32_V_M4_M2, VSOXSEG4EI32_V }, // 7662
  { PseudoVSOXSEG4EI32_V_M4_M2_MASK, VSOXSEG4EI32_V }, // 7663
  { PseudoVSOXSEG4EI32_V_M8_M2, VSOXSEG4EI32_V }, // 7664
  { PseudoVSOXSEG4EI32_V_M8_M2_MASK, VSOXSEG4EI32_V }, // 7665
  { PseudoVSOXSEG4EI32_V_MF2_M1, VSOXSEG4EI32_V }, // 7666
  { PseudoVSOXSEG4EI32_V_MF2_M1_MASK, VSOXSEG4EI32_V }, // 7667
  { PseudoVSOXSEG4EI32_V_MF2_MF2, VSOXSEG4EI32_V }, // 7668
  { PseudoVSOXSEG4EI32_V_MF2_MF2_MASK, VSOXSEG4EI32_V }, // 7669
  { PseudoVSOXSEG4EI32_V_MF2_MF4, VSOXSEG4EI32_V }, // 7670
  { PseudoVSOXSEG4EI32_V_MF2_MF4_MASK, VSOXSEG4EI32_V }, // 7671
  { PseudoVSOXSEG4EI32_V_MF2_MF8, VSOXSEG4EI32_V }, // 7672
  { PseudoVSOXSEG4EI32_V_MF2_MF8_MASK, VSOXSEG4EI32_V }, // 7673
  { PseudoVSOXSEG4EI64_V_M1_M1, VSOXSEG4EI64_V }, // 7674
  { PseudoVSOXSEG4EI64_V_M1_M1_MASK, VSOXSEG4EI64_V }, // 7675
  { PseudoVSOXSEG4EI64_V_M1_MF2, VSOXSEG4EI64_V }, // 7676
  { PseudoVSOXSEG4EI64_V_M1_MF2_MASK, VSOXSEG4EI64_V }, // 7677
  { PseudoVSOXSEG4EI64_V_M1_MF4, VSOXSEG4EI64_V }, // 7678
  { PseudoVSOXSEG4EI64_V_M1_MF4_MASK, VSOXSEG4EI64_V }, // 7679
  { PseudoVSOXSEG4EI64_V_M1_MF8, VSOXSEG4EI64_V }, // 7680
  { PseudoVSOXSEG4EI64_V_M1_MF8_MASK, VSOXSEG4EI64_V }, // 7681
  { PseudoVSOXSEG4EI64_V_M2_M1, VSOXSEG4EI64_V }, // 7682
  { PseudoVSOXSEG4EI64_V_M2_M1_MASK, VSOXSEG4EI64_V }, // 7683
  { PseudoVSOXSEG4EI64_V_M2_M2, VSOXSEG4EI64_V }, // 7684
  { PseudoVSOXSEG4EI64_V_M2_M2_MASK, VSOXSEG4EI64_V }, // 7685
  { PseudoVSOXSEG4EI64_V_M2_MF2, VSOXSEG4EI64_V }, // 7686
  { PseudoVSOXSEG4EI64_V_M2_MF2_MASK, VSOXSEG4EI64_V }, // 7687
  { PseudoVSOXSEG4EI64_V_M2_MF4, VSOXSEG4EI64_V }, // 7688
  { PseudoVSOXSEG4EI64_V_M2_MF4_MASK, VSOXSEG4EI64_V }, // 7689
  { PseudoVSOXSEG4EI64_V_M4_M1, VSOXSEG4EI64_V }, // 7690
  { PseudoVSOXSEG4EI64_V_M4_M1_MASK, VSOXSEG4EI64_V }, // 7691
  { PseudoVSOXSEG4EI64_V_M4_M2, VSOXSEG4EI64_V }, // 7692
  { PseudoVSOXSEG4EI64_V_M4_M2_MASK, VSOXSEG4EI64_V }, // 7693
  { PseudoVSOXSEG4EI64_V_M4_MF2, VSOXSEG4EI64_V }, // 7694
  { PseudoVSOXSEG4EI64_V_M4_MF2_MASK, VSOXSEG4EI64_V }, // 7695
  { PseudoVSOXSEG4EI64_V_M8_M1, VSOXSEG4EI64_V }, // 7696
  { PseudoVSOXSEG4EI64_V_M8_M1_MASK, VSOXSEG4EI64_V }, // 7697
  { PseudoVSOXSEG4EI64_V_M8_M2, VSOXSEG4EI64_V }, // 7698
  { PseudoVSOXSEG4EI64_V_M8_M2_MASK, VSOXSEG4EI64_V }, // 7699
  { PseudoVSOXSEG4EI8_V_M1_M1, VSOXSEG4EI8_V }, // 7700
  { PseudoVSOXSEG4EI8_V_M1_M1_MASK, VSOXSEG4EI8_V }, // 7701
  { PseudoVSOXSEG4EI8_V_M1_M2, VSOXSEG4EI8_V }, // 7702
  { PseudoVSOXSEG4EI8_V_M1_M2_MASK, VSOXSEG4EI8_V }, // 7703
  { PseudoVSOXSEG4EI8_V_M2_M2, VSOXSEG4EI8_V }, // 7704
  { PseudoVSOXSEG4EI8_V_M2_M2_MASK, VSOXSEG4EI8_V }, // 7705
  { PseudoVSOXSEG4EI8_V_MF2_M1, VSOXSEG4EI8_V }, // 7706
  { PseudoVSOXSEG4EI8_V_MF2_M1_MASK, VSOXSEG4EI8_V }, // 7707
  { PseudoVSOXSEG4EI8_V_MF2_M2, VSOXSEG4EI8_V }, // 7708
  { PseudoVSOXSEG4EI8_V_MF2_M2_MASK, VSOXSEG4EI8_V }, // 7709
  { PseudoVSOXSEG4EI8_V_MF2_MF2, VSOXSEG4EI8_V }, // 7710
  { PseudoVSOXSEG4EI8_V_MF2_MF2_MASK, VSOXSEG4EI8_V }, // 7711
  { PseudoVSOXSEG4EI8_V_MF4_M1, VSOXSEG4EI8_V }, // 7712
  { PseudoVSOXSEG4EI8_V_MF4_M1_MASK, VSOXSEG4EI8_V }, // 7713
  { PseudoVSOXSEG4EI8_V_MF4_M2, VSOXSEG4EI8_V }, // 7714
  { PseudoVSOXSEG4EI8_V_MF4_M2_MASK, VSOXSEG4EI8_V }, // 7715
  { PseudoVSOXSEG4EI8_V_MF4_MF2, VSOXSEG4EI8_V }, // 7716
  { PseudoVSOXSEG4EI8_V_MF4_MF2_MASK, VSOXSEG4EI8_V }, // 7717
  { PseudoVSOXSEG4EI8_V_MF4_MF4, VSOXSEG4EI8_V }, // 7718
  { PseudoVSOXSEG4EI8_V_MF4_MF4_MASK, VSOXSEG4EI8_V }, // 7719
  { PseudoVSOXSEG4EI8_V_MF8_M1, VSOXSEG4EI8_V }, // 7720
  { PseudoVSOXSEG4EI8_V_MF8_M1_MASK, VSOXSEG4EI8_V }, // 7721
  { PseudoVSOXSEG4EI8_V_MF8_MF2, VSOXSEG4EI8_V }, // 7722
  { PseudoVSOXSEG4EI8_V_MF8_MF2_MASK, VSOXSEG4EI8_V }, // 7723
  { PseudoVSOXSEG4EI8_V_MF8_MF4, VSOXSEG4EI8_V }, // 7724
  { PseudoVSOXSEG4EI8_V_MF8_MF4_MASK, VSOXSEG4EI8_V }, // 7725
  { PseudoVSOXSEG4EI8_V_MF8_MF8, VSOXSEG4EI8_V }, // 7726
  { PseudoVSOXSEG4EI8_V_MF8_MF8_MASK, VSOXSEG4EI8_V }, // 7727
  { PseudoVSOXSEG5EI16_V_M1_M1, VSOXSEG5EI16_V }, // 7728
  { PseudoVSOXSEG5EI16_V_M1_M1_MASK, VSOXSEG5EI16_V }, // 7729
  { PseudoVSOXSEG5EI16_V_M1_MF2, VSOXSEG5EI16_V }, // 7730
  { PseudoVSOXSEG5EI16_V_M1_MF2_MASK, VSOXSEG5EI16_V }, // 7731
  { PseudoVSOXSEG5EI16_V_M2_M1, VSOXSEG5EI16_V }, // 7732
  { PseudoVSOXSEG5EI16_V_M2_M1_MASK, VSOXSEG5EI16_V }, // 7733
  { PseudoVSOXSEG5EI16_V_MF2_M1, VSOXSEG5EI16_V }, // 7734
  { PseudoVSOXSEG5EI16_V_MF2_M1_MASK, VSOXSEG5EI16_V }, // 7735
  { PseudoVSOXSEG5EI16_V_MF2_MF2, VSOXSEG5EI16_V }, // 7736
  { PseudoVSOXSEG5EI16_V_MF2_MF2_MASK, VSOXSEG5EI16_V }, // 7737
  { PseudoVSOXSEG5EI16_V_MF2_MF4, VSOXSEG5EI16_V }, // 7738
  { PseudoVSOXSEG5EI16_V_MF2_MF4_MASK, VSOXSEG5EI16_V }, // 7739
  { PseudoVSOXSEG5EI16_V_MF4_M1, VSOXSEG5EI16_V }, // 7740
  { PseudoVSOXSEG5EI16_V_MF4_M1_MASK, VSOXSEG5EI16_V }, // 7741
  { PseudoVSOXSEG5EI16_V_MF4_MF2, VSOXSEG5EI16_V }, // 7742
  { PseudoVSOXSEG5EI16_V_MF4_MF2_MASK, VSOXSEG5EI16_V }, // 7743
  { PseudoVSOXSEG5EI16_V_MF4_MF4, VSOXSEG5EI16_V }, // 7744
  { PseudoVSOXSEG5EI16_V_MF4_MF4_MASK, VSOXSEG5EI16_V }, // 7745
  { PseudoVSOXSEG5EI16_V_MF4_MF8, VSOXSEG5EI16_V }, // 7746
  { PseudoVSOXSEG5EI16_V_MF4_MF8_MASK, VSOXSEG5EI16_V }, // 7747
  { PseudoVSOXSEG5EI32_V_M1_M1, VSOXSEG5EI32_V }, // 7748
  { PseudoVSOXSEG5EI32_V_M1_M1_MASK, VSOXSEG5EI32_V }, // 7749
  { PseudoVSOXSEG5EI32_V_M1_MF2, VSOXSEG5EI32_V }, // 7750
  { PseudoVSOXSEG5EI32_V_M1_MF2_MASK, VSOXSEG5EI32_V }, // 7751
  { PseudoVSOXSEG5EI32_V_M1_MF4, VSOXSEG5EI32_V }, // 7752
  { PseudoVSOXSEG5EI32_V_M1_MF4_MASK, VSOXSEG5EI32_V }, // 7753
  { PseudoVSOXSEG5EI32_V_M2_M1, VSOXSEG5EI32_V }, // 7754
  { PseudoVSOXSEG5EI32_V_M2_M1_MASK, VSOXSEG5EI32_V }, // 7755
  { PseudoVSOXSEG5EI32_V_M2_MF2, VSOXSEG5EI32_V }, // 7756
  { PseudoVSOXSEG5EI32_V_M2_MF2_MASK, VSOXSEG5EI32_V }, // 7757
  { PseudoVSOXSEG5EI32_V_M4_M1, VSOXSEG5EI32_V }, // 7758
  { PseudoVSOXSEG5EI32_V_M4_M1_MASK, VSOXSEG5EI32_V }, // 7759
  { PseudoVSOXSEG5EI32_V_MF2_M1, VSOXSEG5EI32_V }, // 7760
  { PseudoVSOXSEG5EI32_V_MF2_M1_MASK, VSOXSEG5EI32_V }, // 7761
  { PseudoVSOXSEG5EI32_V_MF2_MF2, VSOXSEG5EI32_V }, // 7762
  { PseudoVSOXSEG5EI32_V_MF2_MF2_MASK, VSOXSEG5EI32_V }, // 7763
  { PseudoVSOXSEG5EI32_V_MF2_MF4, VSOXSEG5EI32_V }, // 7764
  { PseudoVSOXSEG5EI32_V_MF2_MF4_MASK, VSOXSEG5EI32_V }, // 7765
  { PseudoVSOXSEG5EI32_V_MF2_MF8, VSOXSEG5EI32_V }, // 7766
  { PseudoVSOXSEG5EI32_V_MF2_MF8_MASK, VSOXSEG5EI32_V }, // 7767
  { PseudoVSOXSEG5EI64_V_M1_M1, VSOXSEG5EI64_V }, // 7768
  { PseudoVSOXSEG5EI64_V_M1_M1_MASK, VSOXSEG5EI64_V }, // 7769
  { PseudoVSOXSEG5EI64_V_M1_MF2, VSOXSEG5EI64_V }, // 7770
  { PseudoVSOXSEG5EI64_V_M1_MF2_MASK, VSOXSEG5EI64_V }, // 7771
  { PseudoVSOXSEG5EI64_V_M1_MF4, VSOXSEG5EI64_V }, // 7772
  { PseudoVSOXSEG5EI64_V_M1_MF4_MASK, VSOXSEG5EI64_V }, // 7773
  { PseudoVSOXSEG5EI64_V_M1_MF8, VSOXSEG5EI64_V }, // 7774
  { PseudoVSOXSEG5EI64_V_M1_MF8_MASK, VSOXSEG5EI64_V }, // 7775
  { PseudoVSOXSEG5EI64_V_M2_M1, VSOXSEG5EI64_V }, // 7776
  { PseudoVSOXSEG5EI64_V_M2_M1_MASK, VSOXSEG5EI64_V }, // 7777
  { PseudoVSOXSEG5EI64_V_M2_MF2, VSOXSEG5EI64_V }, // 7778
  { PseudoVSOXSEG5EI64_V_M2_MF2_MASK, VSOXSEG5EI64_V }, // 7779
  { PseudoVSOXSEG5EI64_V_M2_MF4, VSOXSEG5EI64_V }, // 7780
  { PseudoVSOXSEG5EI64_V_M2_MF4_MASK, VSOXSEG5EI64_V }, // 7781
  { PseudoVSOXSEG5EI64_V_M4_M1, VSOXSEG5EI64_V }, // 7782
  { PseudoVSOXSEG5EI64_V_M4_M1_MASK, VSOXSEG5EI64_V }, // 7783
  { PseudoVSOXSEG5EI64_V_M4_MF2, VSOXSEG5EI64_V }, // 7784
  { PseudoVSOXSEG5EI64_V_M4_MF2_MASK, VSOXSEG5EI64_V }, // 7785
  { PseudoVSOXSEG5EI64_V_M8_M1, VSOXSEG5EI64_V }, // 7786
  { PseudoVSOXSEG5EI64_V_M8_M1_MASK, VSOXSEG5EI64_V }, // 7787
  { PseudoVSOXSEG5EI8_V_M1_M1, VSOXSEG5EI8_V }, // 7788
  { PseudoVSOXSEG5EI8_V_M1_M1_MASK, VSOXSEG5EI8_V }, // 7789
  { PseudoVSOXSEG5EI8_V_MF2_M1, VSOXSEG5EI8_V }, // 7790
  { PseudoVSOXSEG5EI8_V_MF2_M1_MASK, VSOXSEG5EI8_V }, // 7791
  { PseudoVSOXSEG5EI8_V_MF2_MF2, VSOXSEG5EI8_V }, // 7792
  { PseudoVSOXSEG5EI8_V_MF2_MF2_MASK, VSOXSEG5EI8_V }, // 7793
  { PseudoVSOXSEG5EI8_V_MF4_M1, VSOXSEG5EI8_V }, // 7794
  { PseudoVSOXSEG5EI8_V_MF4_M1_MASK, VSOXSEG5EI8_V }, // 7795
  { PseudoVSOXSEG5EI8_V_MF4_MF2, VSOXSEG5EI8_V }, // 7796
  { PseudoVSOXSEG5EI8_V_MF4_MF2_MASK, VSOXSEG5EI8_V }, // 7797
  { PseudoVSOXSEG5EI8_V_MF4_MF4, VSOXSEG5EI8_V }, // 7798
  { PseudoVSOXSEG5EI8_V_MF4_MF4_MASK, VSOXSEG5EI8_V }, // 7799
  { PseudoVSOXSEG5EI8_V_MF8_M1, VSOXSEG5EI8_V }, // 7800
  { PseudoVSOXSEG5EI8_V_MF8_M1_MASK, VSOXSEG5EI8_V }, // 7801
  { PseudoVSOXSEG5EI8_V_MF8_MF2, VSOXSEG5EI8_V }, // 7802
  { PseudoVSOXSEG5EI8_V_MF8_MF2_MASK, VSOXSEG5EI8_V }, // 7803
  { PseudoVSOXSEG5EI8_V_MF8_MF4, VSOXSEG5EI8_V }, // 7804
  { PseudoVSOXSEG5EI8_V_MF8_MF4_MASK, VSOXSEG5EI8_V }, // 7805
  { PseudoVSOXSEG5EI8_V_MF8_MF8, VSOXSEG5EI8_V }, // 7806
  { PseudoVSOXSEG5EI8_V_MF8_MF8_MASK, VSOXSEG5EI8_V }, // 7807
  { PseudoVSOXSEG6EI16_V_M1_M1, VSOXSEG6EI16_V }, // 7808
  { PseudoVSOXSEG6EI16_V_M1_M1_MASK, VSOXSEG6EI16_V }, // 7809
  { PseudoVSOXSEG6EI16_V_M1_MF2, VSOXSEG6EI16_V }, // 7810
  { PseudoVSOXSEG6EI16_V_M1_MF2_MASK, VSOXSEG6EI16_V }, // 7811
  { PseudoVSOXSEG6EI16_V_M2_M1, VSOXSEG6EI16_V }, // 7812
  { PseudoVSOXSEG6EI16_V_M2_M1_MASK, VSOXSEG6EI16_V }, // 7813
  { PseudoVSOXSEG6EI16_V_MF2_M1, VSOXSEG6EI16_V }, // 7814
  { PseudoVSOXSEG6EI16_V_MF2_M1_MASK, VSOXSEG6EI16_V }, // 7815
  { PseudoVSOXSEG6EI16_V_MF2_MF2, VSOXSEG6EI16_V }, // 7816
  { PseudoVSOXSEG6EI16_V_MF2_MF2_MASK, VSOXSEG6EI16_V }, // 7817
  { PseudoVSOXSEG6EI16_V_MF2_MF4, VSOXSEG6EI16_V }, // 7818
  { PseudoVSOXSEG6EI16_V_MF2_MF4_MASK, VSOXSEG6EI16_V }, // 7819
  { PseudoVSOXSEG6EI16_V_MF4_M1, VSOXSEG6EI16_V }, // 7820
  { PseudoVSOXSEG6EI16_V_MF4_M1_MASK, VSOXSEG6EI16_V }, // 7821
  { PseudoVSOXSEG6EI16_V_MF4_MF2, VSOXSEG6EI16_V }, // 7822
  { PseudoVSOXSEG6EI16_V_MF4_MF2_MASK, VSOXSEG6EI16_V }, // 7823
  { PseudoVSOXSEG6EI16_V_MF4_MF4, VSOXSEG6EI16_V }, // 7824
  { PseudoVSOXSEG6EI16_V_MF4_MF4_MASK, VSOXSEG6EI16_V }, // 7825
  { PseudoVSOXSEG6EI16_V_MF4_MF8, VSOXSEG6EI16_V }, // 7826
  { PseudoVSOXSEG6EI16_V_MF4_MF8_MASK, VSOXSEG6EI16_V }, // 7827
  { PseudoVSOXSEG6EI32_V_M1_M1, VSOXSEG6EI32_V }, // 7828
  { PseudoVSOXSEG6EI32_V_M1_M1_MASK, VSOXSEG6EI32_V }, // 7829
  { PseudoVSOXSEG6EI32_V_M1_MF2, VSOXSEG6EI32_V }, // 7830
  { PseudoVSOXSEG6EI32_V_M1_MF2_MASK, VSOXSEG6EI32_V }, // 7831
  { PseudoVSOXSEG6EI32_V_M1_MF4, VSOXSEG6EI32_V }, // 7832
  { PseudoVSOXSEG6EI32_V_M1_MF4_MASK, VSOXSEG6EI32_V }, // 7833
  { PseudoVSOXSEG6EI32_V_M2_M1, VSOXSEG6EI32_V }, // 7834
  { PseudoVSOXSEG6EI32_V_M2_M1_MASK, VSOXSEG6EI32_V }, // 7835
  { PseudoVSOXSEG6EI32_V_M2_MF2, VSOXSEG6EI32_V }, // 7836
  { PseudoVSOXSEG6EI32_V_M2_MF2_MASK, VSOXSEG6EI32_V }, // 7837
  { PseudoVSOXSEG6EI32_V_M4_M1, VSOXSEG6EI32_V }, // 7838
  { PseudoVSOXSEG6EI32_V_M4_M1_MASK, VSOXSEG6EI32_V }, // 7839
  { PseudoVSOXSEG6EI32_V_MF2_M1, VSOXSEG6EI32_V }, // 7840
  { PseudoVSOXSEG6EI32_V_MF2_M1_MASK, VSOXSEG6EI32_V }, // 7841
  { PseudoVSOXSEG6EI32_V_MF2_MF2, VSOXSEG6EI32_V }, // 7842
  { PseudoVSOXSEG6EI32_V_MF2_MF2_MASK, VSOXSEG6EI32_V }, // 7843
  { PseudoVSOXSEG6EI32_V_MF2_MF4, VSOXSEG6EI32_V }, // 7844
  { PseudoVSOXSEG6EI32_V_MF2_MF4_MASK, VSOXSEG6EI32_V }, // 7845
  { PseudoVSOXSEG6EI32_V_MF2_MF8, VSOXSEG6EI32_V }, // 7846
  { PseudoVSOXSEG6EI32_V_MF2_MF8_MASK, VSOXSEG6EI32_V }, // 7847
  { PseudoVSOXSEG6EI64_V_M1_M1, VSOXSEG6EI64_V }, // 7848
  { PseudoVSOXSEG6EI64_V_M1_M1_MASK, VSOXSEG6EI64_V }, // 7849
  { PseudoVSOXSEG6EI64_V_M1_MF2, VSOXSEG6EI64_V }, // 7850
  { PseudoVSOXSEG6EI64_V_M1_MF2_MASK, VSOXSEG6EI64_V }, // 7851
  { PseudoVSOXSEG6EI64_V_M1_MF4, VSOXSEG6EI64_V }, // 7852
  { PseudoVSOXSEG6EI64_V_M1_MF4_MASK, VSOXSEG6EI64_V }, // 7853
  { PseudoVSOXSEG6EI64_V_M1_MF8, VSOXSEG6EI64_V }, // 7854
  { PseudoVSOXSEG6EI64_V_M1_MF8_MASK, VSOXSEG6EI64_V }, // 7855
  { PseudoVSOXSEG6EI64_V_M2_M1, VSOXSEG6EI64_V }, // 7856
  { PseudoVSOXSEG6EI64_V_M2_M1_MASK, VSOXSEG6EI64_V }, // 7857
  { PseudoVSOXSEG6EI64_V_M2_MF2, VSOXSEG6EI64_V }, // 7858
  { PseudoVSOXSEG6EI64_V_M2_MF2_MASK, VSOXSEG6EI64_V }, // 7859
  { PseudoVSOXSEG6EI64_V_M2_MF4, VSOXSEG6EI64_V }, // 7860
  { PseudoVSOXSEG6EI64_V_M2_MF4_MASK, VSOXSEG6EI64_V }, // 7861
  { PseudoVSOXSEG6EI64_V_M4_M1, VSOXSEG6EI64_V }, // 7862
  { PseudoVSOXSEG6EI64_V_M4_M1_MASK, VSOXSEG6EI64_V }, // 7863
  { PseudoVSOXSEG6EI64_V_M4_MF2, VSOXSEG6EI64_V }, // 7864
  { PseudoVSOXSEG6EI64_V_M4_MF2_MASK, VSOXSEG6EI64_V }, // 7865
  { PseudoVSOXSEG6EI64_V_M8_M1, VSOXSEG6EI64_V }, // 7866
  { PseudoVSOXSEG6EI64_V_M8_M1_MASK, VSOXSEG6EI64_V }, // 7867
  { PseudoVSOXSEG6EI8_V_M1_M1, VSOXSEG6EI8_V }, // 7868
  { PseudoVSOXSEG6EI8_V_M1_M1_MASK, VSOXSEG6EI8_V }, // 7869
  { PseudoVSOXSEG6EI8_V_MF2_M1, VSOXSEG6EI8_V }, // 7870
  { PseudoVSOXSEG6EI8_V_MF2_M1_MASK, VSOXSEG6EI8_V }, // 7871
  { PseudoVSOXSEG6EI8_V_MF2_MF2, VSOXSEG6EI8_V }, // 7872
  { PseudoVSOXSEG6EI8_V_MF2_MF2_MASK, VSOXSEG6EI8_V }, // 7873
  { PseudoVSOXSEG6EI8_V_MF4_M1, VSOXSEG6EI8_V }, // 7874
  { PseudoVSOXSEG6EI8_V_MF4_M1_MASK, VSOXSEG6EI8_V }, // 7875
  { PseudoVSOXSEG6EI8_V_MF4_MF2, VSOXSEG6EI8_V }, // 7876
  { PseudoVSOXSEG6EI8_V_MF4_MF2_MASK, VSOXSEG6EI8_V }, // 7877
  { PseudoVSOXSEG6EI8_V_MF4_MF4, VSOXSEG6EI8_V }, // 7878
  { PseudoVSOXSEG6EI8_V_MF4_MF4_MASK, VSOXSEG6EI8_V }, // 7879
  { PseudoVSOXSEG6EI8_V_MF8_M1, VSOXSEG6EI8_V }, // 7880
  { PseudoVSOXSEG6EI8_V_MF8_M1_MASK, VSOXSEG6EI8_V }, // 7881
  { PseudoVSOXSEG6EI8_V_MF8_MF2, VSOXSEG6EI8_V }, // 7882
  { PseudoVSOXSEG6EI8_V_MF8_MF2_MASK, VSOXSEG6EI8_V }, // 7883
  { PseudoVSOXSEG6EI8_V_MF8_MF4, VSOXSEG6EI8_V }, // 7884
  { PseudoVSOXSEG6EI8_V_MF8_MF4_MASK, VSOXSEG6EI8_V }, // 7885
  { PseudoVSOXSEG6EI8_V_MF8_MF8, VSOXSEG6EI8_V }, // 7886
  { PseudoVSOXSEG6EI8_V_MF8_MF8_MASK, VSOXSEG6EI8_V }, // 7887
  { PseudoVSOXSEG7EI16_V_M1_M1, VSOXSEG7EI16_V }, // 7888
  { PseudoVSOXSEG7EI16_V_M1_M1_MASK, VSOXSEG7EI16_V }, // 7889
  { PseudoVSOXSEG7EI16_V_M1_MF2, VSOXSEG7EI16_V }, // 7890
  { PseudoVSOXSEG7EI16_V_M1_MF2_MASK, VSOXSEG7EI16_V }, // 7891
  { PseudoVSOXSEG7EI16_V_M2_M1, VSOXSEG7EI16_V }, // 7892
  { PseudoVSOXSEG7EI16_V_M2_M1_MASK, VSOXSEG7EI16_V }, // 7893
  { PseudoVSOXSEG7EI16_V_MF2_M1, VSOXSEG7EI16_V }, // 7894
  { PseudoVSOXSEG7EI16_V_MF2_M1_MASK, VSOXSEG7EI16_V }, // 7895
  { PseudoVSOXSEG7EI16_V_MF2_MF2, VSOXSEG7EI16_V }, // 7896
  { PseudoVSOXSEG7EI16_V_MF2_MF2_MASK, VSOXSEG7EI16_V }, // 7897
  { PseudoVSOXSEG7EI16_V_MF2_MF4, VSOXSEG7EI16_V }, // 7898
  { PseudoVSOXSEG7EI16_V_MF2_MF4_MASK, VSOXSEG7EI16_V }, // 7899
  { PseudoVSOXSEG7EI16_V_MF4_M1, VSOXSEG7EI16_V }, // 7900
  { PseudoVSOXSEG7EI16_V_MF4_M1_MASK, VSOXSEG7EI16_V }, // 7901
  { PseudoVSOXSEG7EI16_V_MF4_MF2, VSOXSEG7EI16_V }, // 7902
  { PseudoVSOXSEG7EI16_V_MF4_MF2_MASK, VSOXSEG7EI16_V }, // 7903
  { PseudoVSOXSEG7EI16_V_MF4_MF4, VSOXSEG7EI16_V }, // 7904
  { PseudoVSOXSEG7EI16_V_MF4_MF4_MASK, VSOXSEG7EI16_V }, // 7905
  { PseudoVSOXSEG7EI16_V_MF4_MF8, VSOXSEG7EI16_V }, // 7906
  { PseudoVSOXSEG7EI16_V_MF4_MF8_MASK, VSOXSEG7EI16_V }, // 7907
  { PseudoVSOXSEG7EI32_V_M1_M1, VSOXSEG7EI32_V }, // 7908
  { PseudoVSOXSEG7EI32_V_M1_M1_MASK, VSOXSEG7EI32_V }, // 7909
  { PseudoVSOXSEG7EI32_V_M1_MF2, VSOXSEG7EI32_V }, // 7910
  { PseudoVSOXSEG7EI32_V_M1_MF2_MASK, VSOXSEG7EI32_V }, // 7911
  { PseudoVSOXSEG7EI32_V_M1_MF4, VSOXSEG7EI32_V }, // 7912
  { PseudoVSOXSEG7EI32_V_M1_MF4_MASK, VSOXSEG7EI32_V }, // 7913
  { PseudoVSOXSEG7EI32_V_M2_M1, VSOXSEG7EI32_V }, // 7914
  { PseudoVSOXSEG7EI32_V_M2_M1_MASK, VSOXSEG7EI32_V }, // 7915
  { PseudoVSOXSEG7EI32_V_M2_MF2, VSOXSEG7EI32_V }, // 7916
  { PseudoVSOXSEG7EI32_V_M2_MF2_MASK, VSOXSEG7EI32_V }, // 7917
  { PseudoVSOXSEG7EI32_V_M4_M1, VSOXSEG7EI32_V }, // 7918
  { PseudoVSOXSEG7EI32_V_M4_M1_MASK, VSOXSEG7EI32_V }, // 7919
  { PseudoVSOXSEG7EI32_V_MF2_M1, VSOXSEG7EI32_V }, // 7920
  { PseudoVSOXSEG7EI32_V_MF2_M1_MASK, VSOXSEG7EI32_V }, // 7921
  { PseudoVSOXSEG7EI32_V_MF2_MF2, VSOXSEG7EI32_V }, // 7922
  { PseudoVSOXSEG7EI32_V_MF2_MF2_MASK, VSOXSEG7EI32_V }, // 7923
  { PseudoVSOXSEG7EI32_V_MF2_MF4, VSOXSEG7EI32_V }, // 7924
  { PseudoVSOXSEG7EI32_V_MF2_MF4_MASK, VSOXSEG7EI32_V }, // 7925
  { PseudoVSOXSEG7EI32_V_MF2_MF8, VSOXSEG7EI32_V }, // 7926
  { PseudoVSOXSEG7EI32_V_MF2_MF8_MASK, VSOXSEG7EI32_V }, // 7927
  { PseudoVSOXSEG7EI64_V_M1_M1, VSOXSEG7EI64_V }, // 7928
  { PseudoVSOXSEG7EI64_V_M1_M1_MASK, VSOXSEG7EI64_V }, // 7929
  { PseudoVSOXSEG7EI64_V_M1_MF2, VSOXSEG7EI64_V }, // 7930
  { PseudoVSOXSEG7EI64_V_M1_MF2_MASK, VSOXSEG7EI64_V }, // 7931
  { PseudoVSOXSEG7EI64_V_M1_MF4, VSOXSEG7EI64_V }, // 7932
  { PseudoVSOXSEG7EI64_V_M1_MF4_MASK, VSOXSEG7EI64_V }, // 7933
  { PseudoVSOXSEG7EI64_V_M1_MF8, VSOXSEG7EI64_V }, // 7934
  { PseudoVSOXSEG7EI64_V_M1_MF8_MASK, VSOXSEG7EI64_V }, // 7935
  { PseudoVSOXSEG7EI64_V_M2_M1, VSOXSEG7EI64_V }, // 7936
  { PseudoVSOXSEG7EI64_V_M2_M1_MASK, VSOXSEG7EI64_V }, // 7937
  { PseudoVSOXSEG7EI64_V_M2_MF2, VSOXSEG7EI64_V }, // 7938
  { PseudoVSOXSEG7EI64_V_M2_MF2_MASK, VSOXSEG7EI64_V }, // 7939
  { PseudoVSOXSEG7EI64_V_M2_MF4, VSOXSEG7EI64_V }, // 7940
  { PseudoVSOXSEG7EI64_V_M2_MF4_MASK, VSOXSEG7EI64_V }, // 7941
  { PseudoVSOXSEG7EI64_V_M4_M1, VSOXSEG7EI64_V }, // 7942
  { PseudoVSOXSEG7EI64_V_M4_M1_MASK, VSOXSEG7EI64_V }, // 7943
  { PseudoVSOXSEG7EI64_V_M4_MF2, VSOXSEG7EI64_V }, // 7944
  { PseudoVSOXSEG7EI64_V_M4_MF2_MASK, VSOXSEG7EI64_V }, // 7945
  { PseudoVSOXSEG7EI64_V_M8_M1, VSOXSEG7EI64_V }, // 7946
  { PseudoVSOXSEG7EI64_V_M8_M1_MASK, VSOXSEG7EI64_V }, // 7947
  { PseudoVSOXSEG7EI8_V_M1_M1, VSOXSEG7EI8_V }, // 7948
  { PseudoVSOXSEG7EI8_V_M1_M1_MASK, VSOXSEG7EI8_V }, // 7949
  { PseudoVSOXSEG7EI8_V_MF2_M1, VSOXSEG7EI8_V }, // 7950
  { PseudoVSOXSEG7EI8_V_MF2_M1_MASK, VSOXSEG7EI8_V }, // 7951
  { PseudoVSOXSEG7EI8_V_MF2_MF2, VSOXSEG7EI8_V }, // 7952
  { PseudoVSOXSEG7EI8_V_MF2_MF2_MASK, VSOXSEG7EI8_V }, // 7953
  { PseudoVSOXSEG7EI8_V_MF4_M1, VSOXSEG7EI8_V }, // 7954
  { PseudoVSOXSEG7EI8_V_MF4_M1_MASK, VSOXSEG7EI8_V }, // 7955
  { PseudoVSOXSEG7EI8_V_MF4_MF2, VSOXSEG7EI8_V }, // 7956
  { PseudoVSOXSEG7EI8_V_MF4_MF2_MASK, VSOXSEG7EI8_V }, // 7957
  { PseudoVSOXSEG7EI8_V_MF4_MF4, VSOXSEG7EI8_V }, // 7958
  { PseudoVSOXSEG7EI8_V_MF4_MF4_MASK, VSOXSEG7EI8_V }, // 7959
  { PseudoVSOXSEG7EI8_V_MF8_M1, VSOXSEG7EI8_V }, // 7960
  { PseudoVSOXSEG7EI8_V_MF8_M1_MASK, VSOXSEG7EI8_V }, // 7961
  { PseudoVSOXSEG7EI8_V_MF8_MF2, VSOXSEG7EI8_V }, // 7962
  { PseudoVSOXSEG7EI8_V_MF8_MF2_MASK, VSOXSEG7EI8_V }, // 7963
  { PseudoVSOXSEG7EI8_V_MF8_MF4, VSOXSEG7EI8_V }, // 7964
  { PseudoVSOXSEG7EI8_V_MF8_MF4_MASK, VSOXSEG7EI8_V }, // 7965
  { PseudoVSOXSEG7EI8_V_MF8_MF8, VSOXSEG7EI8_V }, // 7966
  { PseudoVSOXSEG7EI8_V_MF8_MF8_MASK, VSOXSEG7EI8_V }, // 7967
  { PseudoVSOXSEG8EI16_V_M1_M1, VSOXSEG8EI16_V }, // 7968
  { PseudoVSOXSEG8EI16_V_M1_M1_MASK, VSOXSEG8EI16_V }, // 7969
  { PseudoVSOXSEG8EI16_V_M1_MF2, VSOXSEG8EI16_V }, // 7970
  { PseudoVSOXSEG8EI16_V_M1_MF2_MASK, VSOXSEG8EI16_V }, // 7971
  { PseudoVSOXSEG8EI16_V_M2_M1, VSOXSEG8EI16_V }, // 7972
  { PseudoVSOXSEG8EI16_V_M2_M1_MASK, VSOXSEG8EI16_V }, // 7973
  { PseudoVSOXSEG8EI16_V_MF2_M1, VSOXSEG8EI16_V }, // 7974
  { PseudoVSOXSEG8EI16_V_MF2_M1_MASK, VSOXSEG8EI16_V }, // 7975
  { PseudoVSOXSEG8EI16_V_MF2_MF2, VSOXSEG8EI16_V }, // 7976
  { PseudoVSOXSEG8EI16_V_MF2_MF2_MASK, VSOXSEG8EI16_V }, // 7977
  { PseudoVSOXSEG8EI16_V_MF2_MF4, VSOXSEG8EI16_V }, // 7978
  { PseudoVSOXSEG8EI16_V_MF2_MF4_MASK, VSOXSEG8EI16_V }, // 7979
  { PseudoVSOXSEG8EI16_V_MF4_M1, VSOXSEG8EI16_V }, // 7980
  { PseudoVSOXSEG8EI16_V_MF4_M1_MASK, VSOXSEG8EI16_V }, // 7981
  { PseudoVSOXSEG8EI16_V_MF4_MF2, VSOXSEG8EI16_V }, // 7982
  { PseudoVSOXSEG8EI16_V_MF4_MF2_MASK, VSOXSEG8EI16_V }, // 7983
  { PseudoVSOXSEG8EI16_V_MF4_MF4, VSOXSEG8EI16_V }, // 7984
  { PseudoVSOXSEG8EI16_V_MF4_MF4_MASK, VSOXSEG8EI16_V }, // 7985
  { PseudoVSOXSEG8EI16_V_MF4_MF8, VSOXSEG8EI16_V }, // 7986
  { PseudoVSOXSEG8EI16_V_MF4_MF8_MASK, VSOXSEG8EI16_V }, // 7987
  { PseudoVSOXSEG8EI32_V_M1_M1, VSOXSEG8EI32_V }, // 7988
  { PseudoVSOXSEG8EI32_V_M1_M1_MASK, VSOXSEG8EI32_V }, // 7989
  { PseudoVSOXSEG8EI32_V_M1_MF2, VSOXSEG8EI32_V }, // 7990
  { PseudoVSOXSEG8EI32_V_M1_MF2_MASK, VSOXSEG8EI32_V }, // 7991
  { PseudoVSOXSEG8EI32_V_M1_MF4, VSOXSEG8EI32_V }, // 7992
  { PseudoVSOXSEG8EI32_V_M1_MF4_MASK, VSOXSEG8EI32_V }, // 7993
  { PseudoVSOXSEG8EI32_V_M2_M1, VSOXSEG8EI32_V }, // 7994
  { PseudoVSOXSEG8EI32_V_M2_M1_MASK, VSOXSEG8EI32_V }, // 7995
  { PseudoVSOXSEG8EI32_V_M2_MF2, VSOXSEG8EI32_V }, // 7996
  { PseudoVSOXSEG8EI32_V_M2_MF2_MASK, VSOXSEG8EI32_V }, // 7997
  { PseudoVSOXSEG8EI32_V_M4_M1, VSOXSEG8EI32_V }, // 7998
  { PseudoVSOXSEG8EI32_V_M4_M1_MASK, VSOXSEG8EI32_V }, // 7999
  { PseudoVSOXSEG8EI32_V_MF2_M1, VSOXSEG8EI32_V }, // 8000
  { PseudoVSOXSEG8EI32_V_MF2_M1_MASK, VSOXSEG8EI32_V }, // 8001
  { PseudoVSOXSEG8EI32_V_MF2_MF2, VSOXSEG8EI32_V }, // 8002
  { PseudoVSOXSEG8EI32_V_MF2_MF2_MASK, VSOXSEG8EI32_V }, // 8003
  { PseudoVSOXSEG8EI32_V_MF2_MF4, VSOXSEG8EI32_V }, // 8004
  { PseudoVSOXSEG8EI32_V_MF2_MF4_MASK, VSOXSEG8EI32_V }, // 8005
  { PseudoVSOXSEG8EI32_V_MF2_MF8, VSOXSEG8EI32_V }, // 8006
  { PseudoVSOXSEG8EI32_V_MF2_MF8_MASK, VSOXSEG8EI32_V }, // 8007
  { PseudoVSOXSEG8EI64_V_M1_M1, VSOXSEG8EI64_V }, // 8008
  { PseudoVSOXSEG8EI64_V_M1_M1_MASK, VSOXSEG8EI64_V }, // 8009
  { PseudoVSOXSEG8EI64_V_M1_MF2, VSOXSEG8EI64_V }, // 8010
  { PseudoVSOXSEG8EI64_V_M1_MF2_MASK, VSOXSEG8EI64_V }, // 8011
  { PseudoVSOXSEG8EI64_V_M1_MF4, VSOXSEG8EI64_V }, // 8012
  { PseudoVSOXSEG8EI64_V_M1_MF4_MASK, VSOXSEG8EI64_V }, // 8013
  { PseudoVSOXSEG8EI64_V_M1_MF8, VSOXSEG8EI64_V }, // 8014
  { PseudoVSOXSEG8EI64_V_M1_MF8_MASK, VSOXSEG8EI64_V }, // 8015
  { PseudoVSOXSEG8EI64_V_M2_M1, VSOXSEG8EI64_V }, // 8016
  { PseudoVSOXSEG8EI64_V_M2_M1_MASK, VSOXSEG8EI64_V }, // 8017
  { PseudoVSOXSEG8EI64_V_M2_MF2, VSOXSEG8EI64_V }, // 8018
  { PseudoVSOXSEG8EI64_V_M2_MF2_MASK, VSOXSEG8EI64_V }, // 8019
  { PseudoVSOXSEG8EI64_V_M2_MF4, VSOXSEG8EI64_V }, // 8020
  { PseudoVSOXSEG8EI64_V_M2_MF4_MASK, VSOXSEG8EI64_V }, // 8021
  { PseudoVSOXSEG8EI64_V_M4_M1, VSOXSEG8EI64_V }, // 8022
  { PseudoVSOXSEG8EI64_V_M4_M1_MASK, VSOXSEG8EI64_V }, // 8023
  { PseudoVSOXSEG8EI64_V_M4_MF2, VSOXSEG8EI64_V }, // 8024
  { PseudoVSOXSEG8EI64_V_M4_MF2_MASK, VSOXSEG8EI64_V }, // 8025
  { PseudoVSOXSEG8EI64_V_M8_M1, VSOXSEG8EI64_V }, // 8026
  { PseudoVSOXSEG8EI64_V_M8_M1_MASK, VSOXSEG8EI64_V }, // 8027
  { PseudoVSOXSEG8EI8_V_M1_M1, VSOXSEG8EI8_V }, // 8028
  { PseudoVSOXSEG8EI8_V_M1_M1_MASK, VSOXSEG8EI8_V }, // 8029
  { PseudoVSOXSEG8EI8_V_MF2_M1, VSOXSEG8EI8_V }, // 8030
  { PseudoVSOXSEG8EI8_V_MF2_M1_MASK, VSOXSEG8EI8_V }, // 8031
  { PseudoVSOXSEG8EI8_V_MF2_MF2, VSOXSEG8EI8_V }, // 8032
  { PseudoVSOXSEG8EI8_V_MF2_MF2_MASK, VSOXSEG8EI8_V }, // 8033
  { PseudoVSOXSEG8EI8_V_MF4_M1, VSOXSEG8EI8_V }, // 8034
  { PseudoVSOXSEG8EI8_V_MF4_M1_MASK, VSOXSEG8EI8_V }, // 8035
  { PseudoVSOXSEG8EI8_V_MF4_MF2, VSOXSEG8EI8_V }, // 8036
  { PseudoVSOXSEG8EI8_V_MF4_MF2_MASK, VSOXSEG8EI8_V }, // 8037
  { PseudoVSOXSEG8EI8_V_MF4_MF4, VSOXSEG8EI8_V }, // 8038
  { PseudoVSOXSEG8EI8_V_MF4_MF4_MASK, VSOXSEG8EI8_V }, // 8039
  { PseudoVSOXSEG8EI8_V_MF8_M1, VSOXSEG8EI8_V }, // 8040
  { PseudoVSOXSEG8EI8_V_MF8_M1_MASK, VSOXSEG8EI8_V }, // 8041
  { PseudoVSOXSEG8EI8_V_MF8_MF2, VSOXSEG8EI8_V }, // 8042
  { PseudoVSOXSEG8EI8_V_MF8_MF2_MASK, VSOXSEG8EI8_V }, // 8043
  { PseudoVSOXSEG8EI8_V_MF8_MF4, VSOXSEG8EI8_V }, // 8044
  { PseudoVSOXSEG8EI8_V_MF8_MF4_MASK, VSOXSEG8EI8_V }, // 8045
  { PseudoVSOXSEG8EI8_V_MF8_MF8, VSOXSEG8EI8_V }, // 8046
  { PseudoVSOXSEG8EI8_V_MF8_MF8_MASK, VSOXSEG8EI8_V }, // 8047
  { PseudoVSPILL_M1, VS1R_V }, // 8048
  { PseudoVSPILL_M2, VS2R_V }, // 8049
  { PseudoVSPILL_M4, VS4R_V }, // 8050
  { PseudoVSPILL_M8, VS8R_V }, // 8051
  { PseudoVSRA_VI_M1, VSRA_VI }, // 8052
  { PseudoVSRA_VI_M1_MASK, VSRA_VI }, // 8053
  { PseudoVSRA_VI_M2, VSRA_VI }, // 8054
  { PseudoVSRA_VI_M2_MASK, VSRA_VI }, // 8055
  { PseudoVSRA_VI_M4, VSRA_VI }, // 8056
  { PseudoVSRA_VI_M4_MASK, VSRA_VI }, // 8057
  { PseudoVSRA_VI_M8, VSRA_VI }, // 8058
  { PseudoVSRA_VI_M8_MASK, VSRA_VI }, // 8059
  { PseudoVSRA_VI_MF2, VSRA_VI }, // 8060
  { PseudoVSRA_VI_MF2_MASK, VSRA_VI }, // 8061
  { PseudoVSRA_VI_MF4, VSRA_VI }, // 8062
  { PseudoVSRA_VI_MF4_MASK, VSRA_VI }, // 8063
  { PseudoVSRA_VI_MF8, VSRA_VI }, // 8064
  { PseudoVSRA_VI_MF8_MASK, VSRA_VI }, // 8065
  { PseudoVSRA_VV_M1, VSRA_VV }, // 8066
  { PseudoVSRA_VV_M1_MASK, VSRA_VV }, // 8067
  { PseudoVSRA_VV_M2, VSRA_VV }, // 8068
  { PseudoVSRA_VV_M2_MASK, VSRA_VV }, // 8069
  { PseudoVSRA_VV_M4, VSRA_VV }, // 8070
  { PseudoVSRA_VV_M4_MASK, VSRA_VV }, // 8071
  { PseudoVSRA_VV_M8, VSRA_VV }, // 8072
  { PseudoVSRA_VV_M8_MASK, VSRA_VV }, // 8073
  { PseudoVSRA_VV_MF2, VSRA_VV }, // 8074
  { PseudoVSRA_VV_MF2_MASK, VSRA_VV }, // 8075
  { PseudoVSRA_VV_MF4, VSRA_VV }, // 8076
  { PseudoVSRA_VV_MF4_MASK, VSRA_VV }, // 8077
  { PseudoVSRA_VV_MF8, VSRA_VV }, // 8078
  { PseudoVSRA_VV_MF8_MASK, VSRA_VV }, // 8079
  { PseudoVSRA_VX_M1, VSRA_VX }, // 8080
  { PseudoVSRA_VX_M1_MASK, VSRA_VX }, // 8081
  { PseudoVSRA_VX_M2, VSRA_VX }, // 8082
  { PseudoVSRA_VX_M2_MASK, VSRA_VX }, // 8083
  { PseudoVSRA_VX_M4, VSRA_VX }, // 8084
  { PseudoVSRA_VX_M4_MASK, VSRA_VX }, // 8085
  { PseudoVSRA_VX_M8, VSRA_VX }, // 8086
  { PseudoVSRA_VX_M8_MASK, VSRA_VX }, // 8087
  { PseudoVSRA_VX_MF2, VSRA_VX }, // 8088
  { PseudoVSRA_VX_MF2_MASK, VSRA_VX }, // 8089
  { PseudoVSRA_VX_MF4, VSRA_VX }, // 8090
  { PseudoVSRA_VX_MF4_MASK, VSRA_VX }, // 8091
  { PseudoVSRA_VX_MF8, VSRA_VX }, // 8092
  { PseudoVSRA_VX_MF8_MASK, VSRA_VX }, // 8093
  { PseudoVSRL_VI_M1, VSRL_VI }, // 8094
  { PseudoVSRL_VI_M1_MASK, VSRL_VI }, // 8095
  { PseudoVSRL_VI_M2, VSRL_VI }, // 8096
  { PseudoVSRL_VI_M2_MASK, VSRL_VI }, // 8097
  { PseudoVSRL_VI_M4, VSRL_VI }, // 8098
  { PseudoVSRL_VI_M4_MASK, VSRL_VI }, // 8099
  { PseudoVSRL_VI_M8, VSRL_VI }, // 8100
  { PseudoVSRL_VI_M8_MASK, VSRL_VI }, // 8101
  { PseudoVSRL_VI_MF2, VSRL_VI }, // 8102
  { PseudoVSRL_VI_MF2_MASK, VSRL_VI }, // 8103
  { PseudoVSRL_VI_MF4, VSRL_VI }, // 8104
  { PseudoVSRL_VI_MF4_MASK, VSRL_VI }, // 8105
  { PseudoVSRL_VI_MF8, VSRL_VI }, // 8106
  { PseudoVSRL_VI_MF8_MASK, VSRL_VI }, // 8107
  { PseudoVSRL_VV_M1, VSRL_VV }, // 8108
  { PseudoVSRL_VV_M1_MASK, VSRL_VV }, // 8109
  { PseudoVSRL_VV_M2, VSRL_VV }, // 8110
  { PseudoVSRL_VV_M2_MASK, VSRL_VV }, // 8111
  { PseudoVSRL_VV_M4, VSRL_VV }, // 8112
  { PseudoVSRL_VV_M4_MASK, VSRL_VV }, // 8113
  { PseudoVSRL_VV_M8, VSRL_VV }, // 8114
  { PseudoVSRL_VV_M8_MASK, VSRL_VV }, // 8115
  { PseudoVSRL_VV_MF2, VSRL_VV }, // 8116
  { PseudoVSRL_VV_MF2_MASK, VSRL_VV }, // 8117
  { PseudoVSRL_VV_MF4, VSRL_VV }, // 8118
  { PseudoVSRL_VV_MF4_MASK, VSRL_VV }, // 8119
  { PseudoVSRL_VV_MF8, VSRL_VV }, // 8120
  { PseudoVSRL_VV_MF8_MASK, VSRL_VV }, // 8121
  { PseudoVSRL_VX_M1, VSRL_VX }, // 8122
  { PseudoVSRL_VX_M1_MASK, VSRL_VX }, // 8123
  { PseudoVSRL_VX_M2, VSRL_VX }, // 8124
  { PseudoVSRL_VX_M2_MASK, VSRL_VX }, // 8125
  { PseudoVSRL_VX_M4, VSRL_VX }, // 8126
  { PseudoVSRL_VX_M4_MASK, VSRL_VX }, // 8127
  { PseudoVSRL_VX_M8, VSRL_VX }, // 8128
  { PseudoVSRL_VX_M8_MASK, VSRL_VX }, // 8129
  { PseudoVSRL_VX_MF2, VSRL_VX }, // 8130
  { PseudoVSRL_VX_MF2_MASK, VSRL_VX }, // 8131
  { PseudoVSRL_VX_MF4, VSRL_VX }, // 8132
  { PseudoVSRL_VX_MF4_MASK, VSRL_VX }, // 8133
  { PseudoVSRL_VX_MF8, VSRL_VX }, // 8134
  { PseudoVSRL_VX_MF8_MASK, VSRL_VX }, // 8135
  { PseudoVSSE16_V_M1, VSSE16_V }, // 8136
  { PseudoVSSE16_V_M1_MASK, VSSE16_V }, // 8137
  { PseudoVSSE16_V_M2, VSSE16_V }, // 8138
  { PseudoVSSE16_V_M2_MASK, VSSE16_V }, // 8139
  { PseudoVSSE16_V_M4, VSSE16_V }, // 8140
  { PseudoVSSE16_V_M4_MASK, VSSE16_V }, // 8141
  { PseudoVSSE16_V_M8, VSSE16_V }, // 8142
  { PseudoVSSE16_V_M8_MASK, VSSE16_V }, // 8143
  { PseudoVSSE16_V_MF2, VSSE16_V }, // 8144
  { PseudoVSSE16_V_MF2_MASK, VSSE16_V }, // 8145
  { PseudoVSSE16_V_MF4, VSSE16_V }, // 8146
  { PseudoVSSE16_V_MF4_MASK, VSSE16_V }, // 8147
  { PseudoVSSE32_V_M1, VSSE32_V }, // 8148
  { PseudoVSSE32_V_M1_MASK, VSSE32_V }, // 8149
  { PseudoVSSE32_V_M2, VSSE32_V }, // 8150
  { PseudoVSSE32_V_M2_MASK, VSSE32_V }, // 8151
  { PseudoVSSE32_V_M4, VSSE32_V }, // 8152
  { PseudoVSSE32_V_M4_MASK, VSSE32_V }, // 8153
  { PseudoVSSE32_V_M8, VSSE32_V }, // 8154
  { PseudoVSSE32_V_M8_MASK, VSSE32_V }, // 8155
  { PseudoVSSE32_V_MF2, VSSE32_V }, // 8156
  { PseudoVSSE32_V_MF2_MASK, VSSE32_V }, // 8157
  { PseudoVSSE64_V_M1, VSSE64_V }, // 8158
  { PseudoVSSE64_V_M1_MASK, VSSE64_V }, // 8159
  { PseudoVSSE64_V_M2, VSSE64_V }, // 8160
  { PseudoVSSE64_V_M2_MASK, VSSE64_V }, // 8161
  { PseudoVSSE64_V_M4, VSSE64_V }, // 8162
  { PseudoVSSE64_V_M4_MASK, VSSE64_V }, // 8163
  { PseudoVSSE64_V_M8, VSSE64_V }, // 8164
  { PseudoVSSE64_V_M8_MASK, VSSE64_V }, // 8165
  { PseudoVSSE8_V_M1, VSSE8_V }, // 8166
  { PseudoVSSE8_V_M1_MASK, VSSE8_V }, // 8167
  { PseudoVSSE8_V_M2, VSSE8_V }, // 8168
  { PseudoVSSE8_V_M2_MASK, VSSE8_V }, // 8169
  { PseudoVSSE8_V_M4, VSSE8_V }, // 8170
  { PseudoVSSE8_V_M4_MASK, VSSE8_V }, // 8171
  { PseudoVSSE8_V_M8, VSSE8_V }, // 8172
  { PseudoVSSE8_V_M8_MASK, VSSE8_V }, // 8173
  { PseudoVSSE8_V_MF2, VSSE8_V }, // 8174
  { PseudoVSSE8_V_MF2_MASK, VSSE8_V }, // 8175
  { PseudoVSSE8_V_MF4, VSSE8_V }, // 8176
  { PseudoVSSE8_V_MF4_MASK, VSSE8_V }, // 8177
  { PseudoVSSE8_V_MF8, VSSE8_V }, // 8178
  { PseudoVSSE8_V_MF8_MASK, VSSE8_V }, // 8179
  { PseudoVSSEG2E16_V_M1, VSSEG2E16_V }, // 8180
  { PseudoVSSEG2E16_V_M1_MASK, VSSEG2E16_V }, // 8181
  { PseudoVSSEG2E16_V_M2, VSSEG2E16_V }, // 8182
  { PseudoVSSEG2E16_V_M2_MASK, VSSEG2E16_V }, // 8183
  { PseudoVSSEG2E16_V_M4, VSSEG2E16_V }, // 8184
  { PseudoVSSEG2E16_V_M4_MASK, VSSEG2E16_V }, // 8185
  { PseudoVSSEG2E16_V_MF2, VSSEG2E16_V }, // 8186
  { PseudoVSSEG2E16_V_MF2_MASK, VSSEG2E16_V }, // 8187
  { PseudoVSSEG2E16_V_MF4, VSSEG2E16_V }, // 8188
  { PseudoVSSEG2E16_V_MF4_MASK, VSSEG2E16_V }, // 8189
  { PseudoVSSEG2E32_V_M1, VSSEG2E32_V }, // 8190
  { PseudoVSSEG2E32_V_M1_MASK, VSSEG2E32_V }, // 8191
  { PseudoVSSEG2E32_V_M2, VSSEG2E32_V }, // 8192
  { PseudoVSSEG2E32_V_M2_MASK, VSSEG2E32_V }, // 8193
  { PseudoVSSEG2E32_V_M4, VSSEG2E32_V }, // 8194
  { PseudoVSSEG2E32_V_M4_MASK, VSSEG2E32_V }, // 8195
  { PseudoVSSEG2E32_V_MF2, VSSEG2E32_V }, // 8196
  { PseudoVSSEG2E32_V_MF2_MASK, VSSEG2E32_V }, // 8197
  { PseudoVSSEG2E64_V_M1, VSSEG2E64_V }, // 8198
  { PseudoVSSEG2E64_V_M1_MASK, VSSEG2E64_V }, // 8199
  { PseudoVSSEG2E64_V_M2, VSSEG2E64_V }, // 8200
  { PseudoVSSEG2E64_V_M2_MASK, VSSEG2E64_V }, // 8201
  { PseudoVSSEG2E64_V_M4, VSSEG2E64_V }, // 8202
  { PseudoVSSEG2E64_V_M4_MASK, VSSEG2E64_V }, // 8203
  { PseudoVSSEG2E8_V_M1, VSSEG2E8_V }, // 8204
  { PseudoVSSEG2E8_V_M1_MASK, VSSEG2E8_V }, // 8205
  { PseudoVSSEG2E8_V_M2, VSSEG2E8_V }, // 8206
  { PseudoVSSEG2E8_V_M2_MASK, VSSEG2E8_V }, // 8207
  { PseudoVSSEG2E8_V_M4, VSSEG2E8_V }, // 8208
  { PseudoVSSEG2E8_V_M4_MASK, VSSEG2E8_V }, // 8209
  { PseudoVSSEG2E8_V_MF2, VSSEG2E8_V }, // 8210
  { PseudoVSSEG2E8_V_MF2_MASK, VSSEG2E8_V }, // 8211
  { PseudoVSSEG2E8_V_MF4, VSSEG2E8_V }, // 8212
  { PseudoVSSEG2E8_V_MF4_MASK, VSSEG2E8_V }, // 8213
  { PseudoVSSEG2E8_V_MF8, VSSEG2E8_V }, // 8214
  { PseudoVSSEG2E8_V_MF8_MASK, VSSEG2E8_V }, // 8215
  { PseudoVSSEG3E16_V_M1, VSSEG3E16_V }, // 8216
  { PseudoVSSEG3E16_V_M1_MASK, VSSEG3E16_V }, // 8217
  { PseudoVSSEG3E16_V_M2, VSSEG3E16_V }, // 8218
  { PseudoVSSEG3E16_V_M2_MASK, VSSEG3E16_V }, // 8219
  { PseudoVSSEG3E16_V_MF2, VSSEG3E16_V }, // 8220
  { PseudoVSSEG3E16_V_MF2_MASK, VSSEG3E16_V }, // 8221
  { PseudoVSSEG3E16_V_MF4, VSSEG3E16_V }, // 8222
  { PseudoVSSEG3E16_V_MF4_MASK, VSSEG3E16_V }, // 8223
  { PseudoVSSEG3E32_V_M1, VSSEG3E32_V }, // 8224
  { PseudoVSSEG3E32_V_M1_MASK, VSSEG3E32_V }, // 8225
  { PseudoVSSEG3E32_V_M2, VSSEG3E32_V }, // 8226
  { PseudoVSSEG3E32_V_M2_MASK, VSSEG3E32_V }, // 8227
  { PseudoVSSEG3E32_V_MF2, VSSEG3E32_V }, // 8228
  { PseudoVSSEG3E32_V_MF2_MASK, VSSEG3E32_V }, // 8229
  { PseudoVSSEG3E64_V_M1, VSSEG3E64_V }, // 8230
  { PseudoVSSEG3E64_V_M1_MASK, VSSEG3E64_V }, // 8231
  { PseudoVSSEG3E64_V_M2, VSSEG3E64_V }, // 8232
  { PseudoVSSEG3E64_V_M2_MASK, VSSEG3E64_V }, // 8233
  { PseudoVSSEG3E8_V_M1, VSSEG3E8_V }, // 8234
  { PseudoVSSEG3E8_V_M1_MASK, VSSEG3E8_V }, // 8235
  { PseudoVSSEG3E8_V_M2, VSSEG3E8_V }, // 8236
  { PseudoVSSEG3E8_V_M2_MASK, VSSEG3E8_V }, // 8237
  { PseudoVSSEG3E8_V_MF2, VSSEG3E8_V }, // 8238
  { PseudoVSSEG3E8_V_MF2_MASK, VSSEG3E8_V }, // 8239
  { PseudoVSSEG3E8_V_MF4, VSSEG3E8_V }, // 8240
  { PseudoVSSEG3E8_V_MF4_MASK, VSSEG3E8_V }, // 8241
  { PseudoVSSEG3E8_V_MF8, VSSEG3E8_V }, // 8242
  { PseudoVSSEG3E8_V_MF8_MASK, VSSEG3E8_V }, // 8243
  { PseudoVSSEG4E16_V_M1, VSSEG4E16_V }, // 8244
  { PseudoVSSEG4E16_V_M1_MASK, VSSEG4E16_V }, // 8245
  { PseudoVSSEG4E16_V_M2, VSSEG4E16_V }, // 8246
  { PseudoVSSEG4E16_V_M2_MASK, VSSEG4E16_V }, // 8247
  { PseudoVSSEG4E16_V_MF2, VSSEG4E16_V }, // 8248
  { PseudoVSSEG4E16_V_MF2_MASK, VSSEG4E16_V }, // 8249
  { PseudoVSSEG4E16_V_MF4, VSSEG4E16_V }, // 8250
  { PseudoVSSEG4E16_V_MF4_MASK, VSSEG4E16_V }, // 8251
  { PseudoVSSEG4E32_V_M1, VSSEG4E32_V }, // 8252
  { PseudoVSSEG4E32_V_M1_MASK, VSSEG4E32_V }, // 8253
  { PseudoVSSEG4E32_V_M2, VSSEG4E32_V }, // 8254
  { PseudoVSSEG4E32_V_M2_MASK, VSSEG4E32_V }, // 8255
  { PseudoVSSEG4E32_V_MF2, VSSEG4E32_V }, // 8256
  { PseudoVSSEG4E32_V_MF2_MASK, VSSEG4E32_V }, // 8257
  { PseudoVSSEG4E64_V_M1, VSSEG4E64_V }, // 8258
  { PseudoVSSEG4E64_V_M1_MASK, VSSEG4E64_V }, // 8259
  { PseudoVSSEG4E64_V_M2, VSSEG4E64_V }, // 8260
  { PseudoVSSEG4E64_V_M2_MASK, VSSEG4E64_V }, // 8261
  { PseudoVSSEG4E8_V_M1, VSSEG4E8_V }, // 8262
  { PseudoVSSEG4E8_V_M1_MASK, VSSEG4E8_V }, // 8263
  { PseudoVSSEG4E8_V_M2, VSSEG4E8_V }, // 8264
  { PseudoVSSEG4E8_V_M2_MASK, VSSEG4E8_V }, // 8265
  { PseudoVSSEG4E8_V_MF2, VSSEG4E8_V }, // 8266
  { PseudoVSSEG4E8_V_MF2_MASK, VSSEG4E8_V }, // 8267
  { PseudoVSSEG4E8_V_MF4, VSSEG4E8_V }, // 8268
  { PseudoVSSEG4E8_V_MF4_MASK, VSSEG4E8_V }, // 8269
  { PseudoVSSEG4E8_V_MF8, VSSEG4E8_V }, // 8270
  { PseudoVSSEG4E8_V_MF8_MASK, VSSEG4E8_V }, // 8271
  { PseudoVSSEG5E16_V_M1, VSSEG5E16_V }, // 8272
  { PseudoVSSEG5E16_V_M1_MASK, VSSEG5E16_V }, // 8273
  { PseudoVSSEG5E16_V_MF2, VSSEG5E16_V }, // 8274
  { PseudoVSSEG5E16_V_MF2_MASK, VSSEG5E16_V }, // 8275
  { PseudoVSSEG5E16_V_MF4, VSSEG5E16_V }, // 8276
  { PseudoVSSEG5E16_V_MF4_MASK, VSSEG5E16_V }, // 8277
  { PseudoVSSEG5E32_V_M1, VSSEG5E32_V }, // 8278
  { PseudoVSSEG5E32_V_M1_MASK, VSSEG5E32_V }, // 8279
  { PseudoVSSEG5E32_V_MF2, VSSEG5E32_V }, // 8280
  { PseudoVSSEG5E32_V_MF2_MASK, VSSEG5E32_V }, // 8281
  { PseudoVSSEG5E64_V_M1, VSSEG5E64_V }, // 8282
  { PseudoVSSEG5E64_V_M1_MASK, VSSEG5E64_V }, // 8283
  { PseudoVSSEG5E8_V_M1, VSSEG5E8_V }, // 8284
  { PseudoVSSEG5E8_V_M1_MASK, VSSEG5E8_V }, // 8285
  { PseudoVSSEG5E8_V_MF2, VSSEG5E8_V }, // 8286
  { PseudoVSSEG5E8_V_MF2_MASK, VSSEG5E8_V }, // 8287
  { PseudoVSSEG5E8_V_MF4, VSSEG5E8_V }, // 8288
  { PseudoVSSEG5E8_V_MF4_MASK, VSSEG5E8_V }, // 8289
  { PseudoVSSEG5E8_V_MF8, VSSEG5E8_V }, // 8290
  { PseudoVSSEG5E8_V_MF8_MASK, VSSEG5E8_V }, // 8291
  { PseudoVSSEG6E16_V_M1, VSSEG6E16_V }, // 8292
  { PseudoVSSEG6E16_V_M1_MASK, VSSEG6E16_V }, // 8293
  { PseudoVSSEG6E16_V_MF2, VSSEG6E16_V }, // 8294
  { PseudoVSSEG6E16_V_MF2_MASK, VSSEG6E16_V }, // 8295
  { PseudoVSSEG6E16_V_MF4, VSSEG6E16_V }, // 8296
  { PseudoVSSEG6E16_V_MF4_MASK, VSSEG6E16_V }, // 8297
  { PseudoVSSEG6E32_V_M1, VSSEG6E32_V }, // 8298
  { PseudoVSSEG6E32_V_M1_MASK, VSSEG6E32_V }, // 8299
  { PseudoVSSEG6E32_V_MF2, VSSEG6E32_V }, // 8300
  { PseudoVSSEG6E32_V_MF2_MASK, VSSEG6E32_V }, // 8301
  { PseudoVSSEG6E64_V_M1, VSSEG6E64_V }, // 8302
  { PseudoVSSEG6E64_V_M1_MASK, VSSEG6E64_V }, // 8303
  { PseudoVSSEG6E8_V_M1, VSSEG6E8_V }, // 8304
  { PseudoVSSEG6E8_V_M1_MASK, VSSEG6E8_V }, // 8305
  { PseudoVSSEG6E8_V_MF2, VSSEG6E8_V }, // 8306
  { PseudoVSSEG6E8_V_MF2_MASK, VSSEG6E8_V }, // 8307
  { PseudoVSSEG6E8_V_MF4, VSSEG6E8_V }, // 8308
  { PseudoVSSEG6E8_V_MF4_MASK, VSSEG6E8_V }, // 8309
  { PseudoVSSEG6E8_V_MF8, VSSEG6E8_V }, // 8310
  { PseudoVSSEG6E8_V_MF8_MASK, VSSEG6E8_V }, // 8311
  { PseudoVSSEG7E16_V_M1, VSSEG7E16_V }, // 8312
  { PseudoVSSEG7E16_V_M1_MASK, VSSEG7E16_V }, // 8313
  { PseudoVSSEG7E16_V_MF2, VSSEG7E16_V }, // 8314
  { PseudoVSSEG7E16_V_MF2_MASK, VSSEG7E16_V }, // 8315
  { PseudoVSSEG7E16_V_MF4, VSSEG7E16_V }, // 8316
  { PseudoVSSEG7E16_V_MF4_MASK, VSSEG7E16_V }, // 8317
  { PseudoVSSEG7E32_V_M1, VSSEG7E32_V }, // 8318
  { PseudoVSSEG7E32_V_M1_MASK, VSSEG7E32_V }, // 8319
  { PseudoVSSEG7E32_V_MF2, VSSEG7E32_V }, // 8320
  { PseudoVSSEG7E32_V_MF2_MASK, VSSEG7E32_V }, // 8321
  { PseudoVSSEG7E64_V_M1, VSSEG7E64_V }, // 8322
  { PseudoVSSEG7E64_V_M1_MASK, VSSEG7E64_V }, // 8323
  { PseudoVSSEG7E8_V_M1, VSSEG7E8_V }, // 8324
  { PseudoVSSEG7E8_V_M1_MASK, VSSEG7E8_V }, // 8325
  { PseudoVSSEG7E8_V_MF2, VSSEG7E8_V }, // 8326
  { PseudoVSSEG7E8_V_MF2_MASK, VSSEG7E8_V }, // 8327
  { PseudoVSSEG7E8_V_MF4, VSSEG7E8_V }, // 8328
  { PseudoVSSEG7E8_V_MF4_MASK, VSSEG7E8_V }, // 8329
  { PseudoVSSEG7E8_V_MF8, VSSEG7E8_V }, // 8330
  { PseudoVSSEG7E8_V_MF8_MASK, VSSEG7E8_V }, // 8331
  { PseudoVSSEG8E16_V_M1, VSSEG8E16_V }, // 8332
  { PseudoVSSEG8E16_V_M1_MASK, VSSEG8E16_V }, // 8333
  { PseudoVSSEG8E16_V_MF2, VSSEG8E16_V }, // 8334
  { PseudoVSSEG8E16_V_MF2_MASK, VSSEG8E16_V }, // 8335
  { PseudoVSSEG8E16_V_MF4, VSSEG8E16_V }, // 8336
  { PseudoVSSEG8E16_V_MF4_MASK, VSSEG8E16_V }, // 8337
  { PseudoVSSEG8E32_V_M1, VSSEG8E32_V }, // 8338
  { PseudoVSSEG8E32_V_M1_MASK, VSSEG8E32_V }, // 8339
  { PseudoVSSEG8E32_V_MF2, VSSEG8E32_V }, // 8340
  { PseudoVSSEG8E32_V_MF2_MASK, VSSEG8E32_V }, // 8341
  { PseudoVSSEG8E64_V_M1, VSSEG8E64_V }, // 8342
  { PseudoVSSEG8E64_V_M1_MASK, VSSEG8E64_V }, // 8343
  { PseudoVSSEG8E8_V_M1, VSSEG8E8_V }, // 8344
  { PseudoVSSEG8E8_V_M1_MASK, VSSEG8E8_V }, // 8345
  { PseudoVSSEG8E8_V_MF2, VSSEG8E8_V }, // 8346
  { PseudoVSSEG8E8_V_MF2_MASK, VSSEG8E8_V }, // 8347
  { PseudoVSSEG8E8_V_MF4, VSSEG8E8_V }, // 8348
  { PseudoVSSEG8E8_V_MF4_MASK, VSSEG8E8_V }, // 8349
  { PseudoVSSEG8E8_V_MF8, VSSEG8E8_V }, // 8350
  { PseudoVSSEG8E8_V_MF8_MASK, VSSEG8E8_V }, // 8351
  { PseudoVSSRA_VI_M1, VSSRA_VI }, // 8352
  { PseudoVSSRA_VI_M1_MASK, VSSRA_VI }, // 8353
  { PseudoVSSRA_VI_M2, VSSRA_VI }, // 8354
  { PseudoVSSRA_VI_M2_MASK, VSSRA_VI }, // 8355
  { PseudoVSSRA_VI_M4, VSSRA_VI }, // 8356
  { PseudoVSSRA_VI_M4_MASK, VSSRA_VI }, // 8357
  { PseudoVSSRA_VI_M8, VSSRA_VI }, // 8358
  { PseudoVSSRA_VI_M8_MASK, VSSRA_VI }, // 8359
  { PseudoVSSRA_VI_MF2, VSSRA_VI }, // 8360
  { PseudoVSSRA_VI_MF2_MASK, VSSRA_VI }, // 8361
  { PseudoVSSRA_VI_MF4, VSSRA_VI }, // 8362
  { PseudoVSSRA_VI_MF4_MASK, VSSRA_VI }, // 8363
  { PseudoVSSRA_VI_MF8, VSSRA_VI }, // 8364
  { PseudoVSSRA_VI_MF8_MASK, VSSRA_VI }, // 8365
  { PseudoVSSRA_VV_M1, VSSRA_VV }, // 8366
  { PseudoVSSRA_VV_M1_MASK, VSSRA_VV }, // 8367
  { PseudoVSSRA_VV_M2, VSSRA_VV }, // 8368
  { PseudoVSSRA_VV_M2_MASK, VSSRA_VV }, // 8369
  { PseudoVSSRA_VV_M4, VSSRA_VV }, // 8370
  { PseudoVSSRA_VV_M4_MASK, VSSRA_VV }, // 8371
  { PseudoVSSRA_VV_M8, VSSRA_VV }, // 8372
  { PseudoVSSRA_VV_M8_MASK, VSSRA_VV }, // 8373
  { PseudoVSSRA_VV_MF2, VSSRA_VV }, // 8374
  { PseudoVSSRA_VV_MF2_MASK, VSSRA_VV }, // 8375
  { PseudoVSSRA_VV_MF4, VSSRA_VV }, // 8376
  { PseudoVSSRA_VV_MF4_MASK, VSSRA_VV }, // 8377
  { PseudoVSSRA_VV_MF8, VSSRA_VV }, // 8378
  { PseudoVSSRA_VV_MF8_MASK, VSSRA_VV }, // 8379
  { PseudoVSSRA_VX_M1, VSSRA_VX }, // 8380
  { PseudoVSSRA_VX_M1_MASK, VSSRA_VX }, // 8381
  { PseudoVSSRA_VX_M2, VSSRA_VX }, // 8382
  { PseudoVSSRA_VX_M2_MASK, VSSRA_VX }, // 8383
  { PseudoVSSRA_VX_M4, VSSRA_VX }, // 8384
  { PseudoVSSRA_VX_M4_MASK, VSSRA_VX }, // 8385
  { PseudoVSSRA_VX_M8, VSSRA_VX }, // 8386
  { PseudoVSSRA_VX_M8_MASK, VSSRA_VX }, // 8387
  { PseudoVSSRA_VX_MF2, VSSRA_VX }, // 8388
  { PseudoVSSRA_VX_MF2_MASK, VSSRA_VX }, // 8389
  { PseudoVSSRA_VX_MF4, VSSRA_VX }, // 8390
  { PseudoVSSRA_VX_MF4_MASK, VSSRA_VX }, // 8391
  { PseudoVSSRA_VX_MF8, VSSRA_VX }, // 8392
  { PseudoVSSRA_VX_MF8_MASK, VSSRA_VX }, // 8393
  { PseudoVSSRL_VI_M1, VSSRL_VI }, // 8394
  { PseudoVSSRL_VI_M1_MASK, VSSRL_VI }, // 8395
  { PseudoVSSRL_VI_M2, VSSRL_VI }, // 8396
  { PseudoVSSRL_VI_M2_MASK, VSSRL_VI }, // 8397
  { PseudoVSSRL_VI_M4, VSSRL_VI }, // 8398
  { PseudoVSSRL_VI_M4_MASK, VSSRL_VI }, // 8399
  { PseudoVSSRL_VI_M8, VSSRL_VI }, // 8400
  { PseudoVSSRL_VI_M8_MASK, VSSRL_VI }, // 8401
  { PseudoVSSRL_VI_MF2, VSSRL_VI }, // 8402
  { PseudoVSSRL_VI_MF2_MASK, VSSRL_VI }, // 8403
  { PseudoVSSRL_VI_MF4, VSSRL_VI }, // 8404
  { PseudoVSSRL_VI_MF4_MASK, VSSRL_VI }, // 8405
  { PseudoVSSRL_VI_MF8, VSSRL_VI }, // 8406
  { PseudoVSSRL_VI_MF8_MASK, VSSRL_VI }, // 8407
  { PseudoVSSRL_VV_M1, VSSRL_VV }, // 8408
  { PseudoVSSRL_VV_M1_MASK, VSSRL_VV }, // 8409
  { PseudoVSSRL_VV_M2, VSSRL_VV }, // 8410
  { PseudoVSSRL_VV_M2_MASK, VSSRL_VV }, // 8411
  { PseudoVSSRL_VV_M4, VSSRL_VV }, // 8412
  { PseudoVSSRL_VV_M4_MASK, VSSRL_VV }, // 8413
  { PseudoVSSRL_VV_M8, VSSRL_VV }, // 8414
  { PseudoVSSRL_VV_M8_MASK, VSSRL_VV }, // 8415
  { PseudoVSSRL_VV_MF2, VSSRL_VV }, // 8416
  { PseudoVSSRL_VV_MF2_MASK, VSSRL_VV }, // 8417
  { PseudoVSSRL_VV_MF4, VSSRL_VV }, // 8418
  { PseudoVSSRL_VV_MF4_MASK, VSSRL_VV }, // 8419
  { PseudoVSSRL_VV_MF8, VSSRL_VV }, // 8420
  { PseudoVSSRL_VV_MF8_MASK, VSSRL_VV }, // 8421
  { PseudoVSSRL_VX_M1, VSSRL_VX }, // 8422
  { PseudoVSSRL_VX_M1_MASK, VSSRL_VX }, // 8423
  { PseudoVSSRL_VX_M2, VSSRL_VX }, // 8424
  { PseudoVSSRL_VX_M2_MASK, VSSRL_VX }, // 8425
  { PseudoVSSRL_VX_M4, VSSRL_VX }, // 8426
  { PseudoVSSRL_VX_M4_MASK, VSSRL_VX }, // 8427
  { PseudoVSSRL_VX_M8, VSSRL_VX }, // 8428
  { PseudoVSSRL_VX_M8_MASK, VSSRL_VX }, // 8429
  { PseudoVSSRL_VX_MF2, VSSRL_VX }, // 8430
  { PseudoVSSRL_VX_MF2_MASK, VSSRL_VX }, // 8431
  { PseudoVSSRL_VX_MF4, VSSRL_VX }, // 8432
  { PseudoVSSRL_VX_MF4_MASK, VSSRL_VX }, // 8433
  { PseudoVSSRL_VX_MF8, VSSRL_VX }, // 8434
  { PseudoVSSRL_VX_MF8_MASK, VSSRL_VX }, // 8435
  { PseudoVSSSEG2E16_V_M1, VSSSEG2E16_V }, // 8436
  { PseudoVSSSEG2E16_V_M1_MASK, VSSSEG2E16_V }, // 8437
  { PseudoVSSSEG2E16_V_M2, VSSSEG2E16_V }, // 8438
  { PseudoVSSSEG2E16_V_M2_MASK, VSSSEG2E16_V }, // 8439
  { PseudoVSSSEG2E16_V_M4, VSSSEG2E16_V }, // 8440
  { PseudoVSSSEG2E16_V_M4_MASK, VSSSEG2E16_V }, // 8441
  { PseudoVSSSEG2E16_V_MF2, VSSSEG2E16_V }, // 8442
  { PseudoVSSSEG2E16_V_MF2_MASK, VSSSEG2E16_V }, // 8443
  { PseudoVSSSEG2E16_V_MF4, VSSSEG2E16_V }, // 8444
  { PseudoVSSSEG2E16_V_MF4_MASK, VSSSEG2E16_V }, // 8445
  { PseudoVSSSEG2E32_V_M1, VSSSEG2E32_V }, // 8446
  { PseudoVSSSEG2E32_V_M1_MASK, VSSSEG2E32_V }, // 8447
  { PseudoVSSSEG2E32_V_M2, VSSSEG2E32_V }, // 8448
  { PseudoVSSSEG2E32_V_M2_MASK, VSSSEG2E32_V }, // 8449
  { PseudoVSSSEG2E32_V_M4, VSSSEG2E32_V }, // 8450
  { PseudoVSSSEG2E32_V_M4_MASK, VSSSEG2E32_V }, // 8451
  { PseudoVSSSEG2E32_V_MF2, VSSSEG2E32_V }, // 8452
  { PseudoVSSSEG2E32_V_MF2_MASK, VSSSEG2E32_V }, // 8453
  { PseudoVSSSEG2E64_V_M1, VSSSEG2E64_V }, // 8454
  { PseudoVSSSEG2E64_V_M1_MASK, VSSSEG2E64_V }, // 8455
  { PseudoVSSSEG2E64_V_M2, VSSSEG2E64_V }, // 8456
  { PseudoVSSSEG2E64_V_M2_MASK, VSSSEG2E64_V }, // 8457
  { PseudoVSSSEG2E64_V_M4, VSSSEG2E64_V }, // 8458
  { PseudoVSSSEG2E64_V_M4_MASK, VSSSEG2E64_V }, // 8459
  { PseudoVSSSEG2E8_V_M1, VSSSEG2E8_V }, // 8460
  { PseudoVSSSEG2E8_V_M1_MASK, VSSSEG2E8_V }, // 8461
  { PseudoVSSSEG2E8_V_M2, VSSSEG2E8_V }, // 8462
  { PseudoVSSSEG2E8_V_M2_MASK, VSSSEG2E8_V }, // 8463
  { PseudoVSSSEG2E8_V_M4, VSSSEG2E8_V }, // 8464
  { PseudoVSSSEG2E8_V_M4_MASK, VSSSEG2E8_V }, // 8465
  { PseudoVSSSEG2E8_V_MF2, VSSSEG2E8_V }, // 8466
  { PseudoVSSSEG2E8_V_MF2_MASK, VSSSEG2E8_V }, // 8467
  { PseudoVSSSEG2E8_V_MF4, VSSSEG2E8_V }, // 8468
  { PseudoVSSSEG2E8_V_MF4_MASK, VSSSEG2E8_V }, // 8469
  { PseudoVSSSEG2E8_V_MF8, VSSSEG2E8_V }, // 8470
  { PseudoVSSSEG2E8_V_MF8_MASK, VSSSEG2E8_V }, // 8471
  { PseudoVSSSEG3E16_V_M1, VSSSEG3E16_V }, // 8472
  { PseudoVSSSEG3E16_V_M1_MASK, VSSSEG3E16_V }, // 8473
  { PseudoVSSSEG3E16_V_M2, VSSSEG3E16_V }, // 8474
  { PseudoVSSSEG3E16_V_M2_MASK, VSSSEG3E16_V }, // 8475
  { PseudoVSSSEG3E16_V_MF2, VSSSEG3E16_V }, // 8476
  { PseudoVSSSEG3E16_V_MF2_MASK, VSSSEG3E16_V }, // 8477
  { PseudoVSSSEG3E16_V_MF4, VSSSEG3E16_V }, // 8478
  { PseudoVSSSEG3E16_V_MF4_MASK, VSSSEG3E16_V }, // 8479
  { PseudoVSSSEG3E32_V_M1, VSSSEG3E32_V }, // 8480
  { PseudoVSSSEG3E32_V_M1_MASK, VSSSEG3E32_V }, // 8481
  { PseudoVSSSEG3E32_V_M2, VSSSEG3E32_V }, // 8482
  { PseudoVSSSEG3E32_V_M2_MASK, VSSSEG3E32_V }, // 8483
  { PseudoVSSSEG3E32_V_MF2, VSSSEG3E32_V }, // 8484
  { PseudoVSSSEG3E32_V_MF2_MASK, VSSSEG3E32_V }, // 8485
  { PseudoVSSSEG3E64_V_M1, VSSSEG3E64_V }, // 8486
  { PseudoVSSSEG3E64_V_M1_MASK, VSSSEG3E64_V }, // 8487
  { PseudoVSSSEG3E64_V_M2, VSSSEG3E64_V }, // 8488
  { PseudoVSSSEG3E64_V_M2_MASK, VSSSEG3E64_V }, // 8489
  { PseudoVSSSEG3E8_V_M1, VSSSEG3E8_V }, // 8490
  { PseudoVSSSEG3E8_V_M1_MASK, VSSSEG3E8_V }, // 8491
  { PseudoVSSSEG3E8_V_M2, VSSSEG3E8_V }, // 8492
  { PseudoVSSSEG3E8_V_M2_MASK, VSSSEG3E8_V }, // 8493
  { PseudoVSSSEG3E8_V_MF2, VSSSEG3E8_V }, // 8494
  { PseudoVSSSEG3E8_V_MF2_MASK, VSSSEG3E8_V }, // 8495
  { PseudoVSSSEG3E8_V_MF4, VSSSEG3E8_V }, // 8496
  { PseudoVSSSEG3E8_V_MF4_MASK, VSSSEG3E8_V }, // 8497
  { PseudoVSSSEG3E8_V_MF8, VSSSEG3E8_V }, // 8498
  { PseudoVSSSEG3E8_V_MF8_MASK, VSSSEG3E8_V }, // 8499
  { PseudoVSSSEG4E16_V_M1, VSSSEG4E16_V }, // 8500
  { PseudoVSSSEG4E16_V_M1_MASK, VSSSEG4E16_V }, // 8501
  { PseudoVSSSEG4E16_V_M2, VSSSEG4E16_V }, // 8502
  { PseudoVSSSEG4E16_V_M2_MASK, VSSSEG4E16_V }, // 8503
  { PseudoVSSSEG4E16_V_MF2, VSSSEG4E16_V }, // 8504
  { PseudoVSSSEG4E16_V_MF2_MASK, VSSSEG4E16_V }, // 8505
  { PseudoVSSSEG4E16_V_MF4, VSSSEG4E16_V }, // 8506
  { PseudoVSSSEG4E16_V_MF4_MASK, VSSSEG4E16_V }, // 8507
  { PseudoVSSSEG4E32_V_M1, VSSSEG4E32_V }, // 8508
  { PseudoVSSSEG4E32_V_M1_MASK, VSSSEG4E32_V }, // 8509
  { PseudoVSSSEG4E32_V_M2, VSSSEG4E32_V }, // 8510
  { PseudoVSSSEG4E32_V_M2_MASK, VSSSEG4E32_V }, // 8511
  { PseudoVSSSEG4E32_V_MF2, VSSSEG4E32_V }, // 8512
  { PseudoVSSSEG4E32_V_MF2_MASK, VSSSEG4E32_V }, // 8513
  { PseudoVSSSEG4E64_V_M1, VSSSEG4E64_V }, // 8514
  { PseudoVSSSEG4E64_V_M1_MASK, VSSSEG4E64_V }, // 8515
  { PseudoVSSSEG4E64_V_M2, VSSSEG4E64_V }, // 8516
  { PseudoVSSSEG4E64_V_M2_MASK, VSSSEG4E64_V }, // 8517
  { PseudoVSSSEG4E8_V_M1, VSSSEG4E8_V }, // 8518
  { PseudoVSSSEG4E8_V_M1_MASK, VSSSEG4E8_V }, // 8519
  { PseudoVSSSEG4E8_V_M2, VSSSEG4E8_V }, // 8520
  { PseudoVSSSEG4E8_V_M2_MASK, VSSSEG4E8_V }, // 8521
  { PseudoVSSSEG4E8_V_MF2, VSSSEG4E8_V }, // 8522
  { PseudoVSSSEG4E8_V_MF2_MASK, VSSSEG4E8_V }, // 8523
  { PseudoVSSSEG4E8_V_MF4, VSSSEG4E8_V }, // 8524
  { PseudoVSSSEG4E8_V_MF4_MASK, VSSSEG4E8_V }, // 8525
  { PseudoVSSSEG4E8_V_MF8, VSSSEG4E8_V }, // 8526
  { PseudoVSSSEG4E8_V_MF8_MASK, VSSSEG4E8_V }, // 8527
  { PseudoVSSSEG5E16_V_M1, VSSSEG5E16_V }, // 8528
  { PseudoVSSSEG5E16_V_M1_MASK, VSSSEG5E16_V }, // 8529
  { PseudoVSSSEG5E16_V_MF2, VSSSEG5E16_V }, // 8530
  { PseudoVSSSEG5E16_V_MF2_MASK, VSSSEG5E16_V }, // 8531
  { PseudoVSSSEG5E16_V_MF4, VSSSEG5E16_V }, // 8532
  { PseudoVSSSEG5E16_V_MF4_MASK, VSSSEG5E16_V }, // 8533
  { PseudoVSSSEG5E32_V_M1, VSSSEG5E32_V }, // 8534
  { PseudoVSSSEG5E32_V_M1_MASK, VSSSEG5E32_V }, // 8535
  { PseudoVSSSEG5E32_V_MF2, VSSSEG5E32_V }, // 8536
  { PseudoVSSSEG5E32_V_MF2_MASK, VSSSEG5E32_V }, // 8537
  { PseudoVSSSEG5E64_V_M1, VSSSEG5E64_V }, // 8538
  { PseudoVSSSEG5E64_V_M1_MASK, VSSSEG5E64_V }, // 8539
  { PseudoVSSSEG5E8_V_M1, VSSSEG5E8_V }, // 8540
  { PseudoVSSSEG5E8_V_M1_MASK, VSSSEG5E8_V }, // 8541
  { PseudoVSSSEG5E8_V_MF2, VSSSEG5E8_V }, // 8542
  { PseudoVSSSEG5E8_V_MF2_MASK, VSSSEG5E8_V }, // 8543
  { PseudoVSSSEG5E8_V_MF4, VSSSEG5E8_V }, // 8544
  { PseudoVSSSEG5E8_V_MF4_MASK, VSSSEG5E8_V }, // 8545
  { PseudoVSSSEG5E8_V_MF8, VSSSEG5E8_V }, // 8546
  { PseudoVSSSEG5E8_V_MF8_MASK, VSSSEG5E8_V }, // 8547
  { PseudoVSSSEG6E16_V_M1, VSSSEG6E16_V }, // 8548
  { PseudoVSSSEG6E16_V_M1_MASK, VSSSEG6E16_V }, // 8549
  { PseudoVSSSEG6E16_V_MF2, VSSSEG6E16_V }, // 8550
  { PseudoVSSSEG6E16_V_MF2_MASK, VSSSEG6E16_V }, // 8551
  { PseudoVSSSEG6E16_V_MF4, VSSSEG6E16_V }, // 8552
  { PseudoVSSSEG6E16_V_MF4_MASK, VSSSEG6E16_V }, // 8553
  { PseudoVSSSEG6E32_V_M1, VSSSEG6E32_V }, // 8554
  { PseudoVSSSEG6E32_V_M1_MASK, VSSSEG6E32_V }, // 8555
  { PseudoVSSSEG6E32_V_MF2, VSSSEG6E32_V }, // 8556
  { PseudoVSSSEG6E32_V_MF2_MASK, VSSSEG6E32_V }, // 8557
  { PseudoVSSSEG6E64_V_M1, VSSSEG6E64_V }, // 8558
  { PseudoVSSSEG6E64_V_M1_MASK, VSSSEG6E64_V }, // 8559
  { PseudoVSSSEG6E8_V_M1, VSSSEG6E8_V }, // 8560
  { PseudoVSSSEG6E8_V_M1_MASK, VSSSEG6E8_V }, // 8561
  { PseudoVSSSEG6E8_V_MF2, VSSSEG6E8_V }, // 8562
  { PseudoVSSSEG6E8_V_MF2_MASK, VSSSEG6E8_V }, // 8563
  { PseudoVSSSEG6E8_V_MF4, VSSSEG6E8_V }, // 8564
  { PseudoVSSSEG6E8_V_MF4_MASK, VSSSEG6E8_V }, // 8565
  { PseudoVSSSEG6E8_V_MF8, VSSSEG6E8_V }, // 8566
  { PseudoVSSSEG6E8_V_MF8_MASK, VSSSEG6E8_V }, // 8567
  { PseudoVSSSEG7E16_V_M1, VSSSEG7E16_V }, // 8568
  { PseudoVSSSEG7E16_V_M1_MASK, VSSSEG7E16_V }, // 8569
  { PseudoVSSSEG7E16_V_MF2, VSSSEG7E16_V }, // 8570
  { PseudoVSSSEG7E16_V_MF2_MASK, VSSSEG7E16_V }, // 8571
  { PseudoVSSSEG7E16_V_MF4, VSSSEG7E16_V }, // 8572
  { PseudoVSSSEG7E16_V_MF4_MASK, VSSSEG7E16_V }, // 8573
  { PseudoVSSSEG7E32_V_M1, VSSSEG7E32_V }, // 8574
  { PseudoVSSSEG7E32_V_M1_MASK, VSSSEG7E32_V }, // 8575
  { PseudoVSSSEG7E32_V_MF2, VSSSEG7E32_V }, // 8576
  { PseudoVSSSEG7E32_V_MF2_MASK, VSSSEG7E32_V }, // 8577
  { PseudoVSSSEG7E64_V_M1, VSSSEG7E64_V }, // 8578
  { PseudoVSSSEG7E64_V_M1_MASK, VSSSEG7E64_V }, // 8579
  { PseudoVSSSEG7E8_V_M1, VSSSEG7E8_V }, // 8580
  { PseudoVSSSEG7E8_V_M1_MASK, VSSSEG7E8_V }, // 8581
  { PseudoVSSSEG7E8_V_MF2, VSSSEG7E8_V }, // 8582
  { PseudoVSSSEG7E8_V_MF2_MASK, VSSSEG7E8_V }, // 8583
  { PseudoVSSSEG7E8_V_MF4, VSSSEG7E8_V }, // 8584
  { PseudoVSSSEG7E8_V_MF4_MASK, VSSSEG7E8_V }, // 8585
  { PseudoVSSSEG7E8_V_MF8, VSSSEG7E8_V }, // 8586
  { PseudoVSSSEG7E8_V_MF8_MASK, VSSSEG7E8_V }, // 8587
  { PseudoVSSSEG8E16_V_M1, VSSSEG8E16_V }, // 8588
  { PseudoVSSSEG8E16_V_M1_MASK, VSSSEG8E16_V }, // 8589
  { PseudoVSSSEG8E16_V_MF2, VSSSEG8E16_V }, // 8590
  { PseudoVSSSEG8E16_V_MF2_MASK, VSSSEG8E16_V }, // 8591
  { PseudoVSSSEG8E16_V_MF4, VSSSEG8E16_V }, // 8592
  { PseudoVSSSEG8E16_V_MF4_MASK, VSSSEG8E16_V }, // 8593
  { PseudoVSSSEG8E32_V_M1, VSSSEG8E32_V }, // 8594
  { PseudoVSSSEG8E32_V_M1_MASK, VSSSEG8E32_V }, // 8595
  { PseudoVSSSEG8E32_V_MF2, VSSSEG8E32_V }, // 8596
  { PseudoVSSSEG8E32_V_MF2_MASK, VSSSEG8E32_V }, // 8597
  { PseudoVSSSEG8E64_V_M1, VSSSEG8E64_V }, // 8598
  { PseudoVSSSEG8E64_V_M1_MASK, VSSSEG8E64_V }, // 8599
  { PseudoVSSSEG8E8_V_M1, VSSSEG8E8_V }, // 8600
  { PseudoVSSSEG8E8_V_M1_MASK, VSSSEG8E8_V }, // 8601
  { PseudoVSSSEG8E8_V_MF2, VSSSEG8E8_V }, // 8602
  { PseudoVSSSEG8E8_V_MF2_MASK, VSSSEG8E8_V }, // 8603
  { PseudoVSSSEG8E8_V_MF4, VSSSEG8E8_V }, // 8604
  { PseudoVSSSEG8E8_V_MF4_MASK, VSSSEG8E8_V }, // 8605
  { PseudoVSSSEG8E8_V_MF8, VSSSEG8E8_V }, // 8606
  { PseudoVSSSEG8E8_V_MF8_MASK, VSSSEG8E8_V }, // 8607
  { PseudoVSSUBU_VV_M1, VSSUBU_VV }, // 8608
  { PseudoVSSUBU_VV_M1_MASK, VSSUBU_VV }, // 8609
  { PseudoVSSUBU_VV_M2, VSSUBU_VV }, // 8610
  { PseudoVSSUBU_VV_M2_MASK, VSSUBU_VV }, // 8611
  { PseudoVSSUBU_VV_M4, VSSUBU_VV }, // 8612
  { PseudoVSSUBU_VV_M4_MASK, VSSUBU_VV }, // 8613
  { PseudoVSSUBU_VV_M8, VSSUBU_VV }, // 8614
  { PseudoVSSUBU_VV_M8_MASK, VSSUBU_VV }, // 8615
  { PseudoVSSUBU_VV_MF2, VSSUBU_VV }, // 8616
  { PseudoVSSUBU_VV_MF2_MASK, VSSUBU_VV }, // 8617
  { PseudoVSSUBU_VV_MF4, VSSUBU_VV }, // 8618
  { PseudoVSSUBU_VV_MF4_MASK, VSSUBU_VV }, // 8619
  { PseudoVSSUBU_VV_MF8, VSSUBU_VV }, // 8620
  { PseudoVSSUBU_VV_MF8_MASK, VSSUBU_VV }, // 8621
  { PseudoVSSUBU_VX_M1, VSSUBU_VX }, // 8622
  { PseudoVSSUBU_VX_M1_MASK, VSSUBU_VX }, // 8623
  { PseudoVSSUBU_VX_M2, VSSUBU_VX }, // 8624
  { PseudoVSSUBU_VX_M2_MASK, VSSUBU_VX }, // 8625
  { PseudoVSSUBU_VX_M4, VSSUBU_VX }, // 8626
  { PseudoVSSUBU_VX_M4_MASK, VSSUBU_VX }, // 8627
  { PseudoVSSUBU_VX_M8, VSSUBU_VX }, // 8628
  { PseudoVSSUBU_VX_M8_MASK, VSSUBU_VX }, // 8629
  { PseudoVSSUBU_VX_MF2, VSSUBU_VX }, // 8630
  { PseudoVSSUBU_VX_MF2_MASK, VSSUBU_VX }, // 8631
  { PseudoVSSUBU_VX_MF4, VSSUBU_VX }, // 8632
  { PseudoVSSUBU_VX_MF4_MASK, VSSUBU_VX }, // 8633
  { PseudoVSSUBU_VX_MF8, VSSUBU_VX }, // 8634
  { PseudoVSSUBU_VX_MF8_MASK, VSSUBU_VX }, // 8635
  { PseudoVSSUB_VV_M1, VSSUB_VV }, // 8636
  { PseudoVSSUB_VV_M1_MASK, VSSUB_VV }, // 8637
  { PseudoVSSUB_VV_M2, VSSUB_VV }, // 8638
  { PseudoVSSUB_VV_M2_MASK, VSSUB_VV }, // 8639
  { PseudoVSSUB_VV_M4, VSSUB_VV }, // 8640
  { PseudoVSSUB_VV_M4_MASK, VSSUB_VV }, // 8641
  { PseudoVSSUB_VV_M8, VSSUB_VV }, // 8642
  { PseudoVSSUB_VV_M8_MASK, VSSUB_VV }, // 8643
  { PseudoVSSUB_VV_MF2, VSSUB_VV }, // 8644
  { PseudoVSSUB_VV_MF2_MASK, VSSUB_VV }, // 8645
  { PseudoVSSUB_VV_MF4, VSSUB_VV }, // 8646
  { PseudoVSSUB_VV_MF4_MASK, VSSUB_VV }, // 8647
  { PseudoVSSUB_VV_MF8, VSSUB_VV }, // 8648
  { PseudoVSSUB_VV_MF8_MASK, VSSUB_VV }, // 8649
  { PseudoVSSUB_VX_M1, VSSUB_VX }, // 8650
  { PseudoVSSUB_VX_M1_MASK, VSSUB_VX }, // 8651
  { PseudoVSSUB_VX_M2, VSSUB_VX }, // 8652
  { PseudoVSSUB_VX_M2_MASK, VSSUB_VX }, // 8653
  { PseudoVSSUB_VX_M4, VSSUB_VX }, // 8654
  { PseudoVSSUB_VX_M4_MASK, VSSUB_VX }, // 8655
  { PseudoVSSUB_VX_M8, VSSUB_VX }, // 8656
  { PseudoVSSUB_VX_M8_MASK, VSSUB_VX }, // 8657
  { PseudoVSSUB_VX_MF2, VSSUB_VX }, // 8658
  { PseudoVSSUB_VX_MF2_MASK, VSSUB_VX }, // 8659
  { PseudoVSSUB_VX_MF4, VSSUB_VX }, // 8660
  { PseudoVSSUB_VX_MF4_MASK, VSSUB_VX }, // 8661
  { PseudoVSSUB_VX_MF8, VSSUB_VX }, // 8662
  { PseudoVSSUB_VX_MF8_MASK, VSSUB_VX }, // 8663
  { PseudoVSUB_VV_M1, VSUB_VV }, // 8664
  { PseudoVSUB_VV_M1_MASK, VSUB_VV }, // 8665
  { PseudoVSUB_VV_M2, VSUB_VV }, // 8666
  { PseudoVSUB_VV_M2_MASK, VSUB_VV }, // 8667
  { PseudoVSUB_VV_M4, VSUB_VV }, // 8668
  { PseudoVSUB_VV_M4_MASK, VSUB_VV }, // 8669
  { PseudoVSUB_VV_M8, VSUB_VV }, // 8670
  { PseudoVSUB_VV_M8_MASK, VSUB_VV }, // 8671
  { PseudoVSUB_VV_MF2, VSUB_VV }, // 8672
  { PseudoVSUB_VV_MF2_MASK, VSUB_VV }, // 8673
  { PseudoVSUB_VV_MF4, VSUB_VV }, // 8674
  { PseudoVSUB_VV_MF4_MASK, VSUB_VV }, // 8675
  { PseudoVSUB_VV_MF8, VSUB_VV }, // 8676
  { PseudoVSUB_VV_MF8_MASK, VSUB_VV }, // 8677
  { PseudoVSUB_VX_M1, VSUB_VX }, // 8678
  { PseudoVSUB_VX_M1_MASK, VSUB_VX }, // 8679
  { PseudoVSUB_VX_M2, VSUB_VX }, // 8680
  { PseudoVSUB_VX_M2_MASK, VSUB_VX }, // 8681
  { PseudoVSUB_VX_M4, VSUB_VX }, // 8682
  { PseudoVSUB_VX_M4_MASK, VSUB_VX }, // 8683
  { PseudoVSUB_VX_M8, VSUB_VX }, // 8684
  { PseudoVSUB_VX_M8_MASK, VSUB_VX }, // 8685
  { PseudoVSUB_VX_MF2, VSUB_VX }, // 8686
  { PseudoVSUB_VX_MF2_MASK, VSUB_VX }, // 8687
  { PseudoVSUB_VX_MF4, VSUB_VX }, // 8688
  { PseudoVSUB_VX_MF4_MASK, VSUB_VX }, // 8689
  { PseudoVSUB_VX_MF8, VSUB_VX }, // 8690
  { PseudoVSUB_VX_MF8_MASK, VSUB_VX }, // 8691
  { PseudoVSUXEI16_V_M1_M1, VSUXEI16_V }, // 8692
  { PseudoVSUXEI16_V_M1_M1_MASK, VSUXEI16_V }, // 8693
  { PseudoVSUXEI16_V_M1_M2, VSUXEI16_V }, // 8694
  { PseudoVSUXEI16_V_M1_M2_MASK, VSUXEI16_V }, // 8695
  { PseudoVSUXEI16_V_M1_M4, VSUXEI16_V }, // 8696
  { PseudoVSUXEI16_V_M1_M4_MASK, VSUXEI16_V }, // 8697
  { PseudoVSUXEI16_V_M1_MF2, VSUXEI16_V }, // 8698
  { PseudoVSUXEI16_V_M1_MF2_MASK, VSUXEI16_V }, // 8699
  { PseudoVSUXEI16_V_M2_M1, VSUXEI16_V }, // 8700
  { PseudoVSUXEI16_V_M2_M1_MASK, VSUXEI16_V }, // 8701
  { PseudoVSUXEI16_V_M2_M2, VSUXEI16_V }, // 8702
  { PseudoVSUXEI16_V_M2_M2_MASK, VSUXEI16_V }, // 8703
  { PseudoVSUXEI16_V_M2_M4, VSUXEI16_V }, // 8704
  { PseudoVSUXEI16_V_M2_M4_MASK, VSUXEI16_V }, // 8705
  { PseudoVSUXEI16_V_M2_M8, VSUXEI16_V }, // 8706
  { PseudoVSUXEI16_V_M2_M8_MASK, VSUXEI16_V }, // 8707
  { PseudoVSUXEI16_V_M4_M2, VSUXEI16_V }, // 8708
  { PseudoVSUXEI16_V_M4_M2_MASK, VSUXEI16_V }, // 8709
  { PseudoVSUXEI16_V_M4_M4, VSUXEI16_V }, // 8710
  { PseudoVSUXEI16_V_M4_M4_MASK, VSUXEI16_V }, // 8711
  { PseudoVSUXEI16_V_M4_M8, VSUXEI16_V }, // 8712
  { PseudoVSUXEI16_V_M4_M8_MASK, VSUXEI16_V }, // 8713
  { PseudoVSUXEI16_V_M8_M4, VSUXEI16_V }, // 8714
  { PseudoVSUXEI16_V_M8_M4_MASK, VSUXEI16_V }, // 8715
  { PseudoVSUXEI16_V_M8_M8, VSUXEI16_V }, // 8716
  { PseudoVSUXEI16_V_M8_M8_MASK, VSUXEI16_V }, // 8717
  { PseudoVSUXEI16_V_MF2_M1, VSUXEI16_V }, // 8718
  { PseudoVSUXEI16_V_MF2_M1_MASK, VSUXEI16_V }, // 8719
  { PseudoVSUXEI16_V_MF2_M2, VSUXEI16_V }, // 8720
  { PseudoVSUXEI16_V_MF2_M2_MASK, VSUXEI16_V }, // 8721
  { PseudoVSUXEI16_V_MF2_MF2, VSUXEI16_V }, // 8722
  { PseudoVSUXEI16_V_MF2_MF2_MASK, VSUXEI16_V }, // 8723
  { PseudoVSUXEI16_V_MF2_MF4, VSUXEI16_V }, // 8724
  { PseudoVSUXEI16_V_MF2_MF4_MASK, VSUXEI16_V }, // 8725
  { PseudoVSUXEI16_V_MF4_M1, VSUXEI16_V }, // 8726
  { PseudoVSUXEI16_V_MF4_M1_MASK, VSUXEI16_V }, // 8727
  { PseudoVSUXEI16_V_MF4_MF2, VSUXEI16_V }, // 8728
  { PseudoVSUXEI16_V_MF4_MF2_MASK, VSUXEI16_V }, // 8729
  { PseudoVSUXEI16_V_MF4_MF4, VSUXEI16_V }, // 8730
  { PseudoVSUXEI16_V_MF4_MF4_MASK, VSUXEI16_V }, // 8731
  { PseudoVSUXEI16_V_MF4_MF8, VSUXEI16_V }, // 8732
  { PseudoVSUXEI16_V_MF4_MF8_MASK, VSUXEI16_V }, // 8733
  { PseudoVSUXEI32_V_M1_M1, VSUXEI32_V }, // 8734
  { PseudoVSUXEI32_V_M1_M1_MASK, VSUXEI32_V }, // 8735
  { PseudoVSUXEI32_V_M1_M2, VSUXEI32_V }, // 8736
  { PseudoVSUXEI32_V_M1_M2_MASK, VSUXEI32_V }, // 8737
  { PseudoVSUXEI32_V_M1_MF2, VSUXEI32_V }, // 8738
  { PseudoVSUXEI32_V_M1_MF2_MASK, VSUXEI32_V }, // 8739
  { PseudoVSUXEI32_V_M1_MF4, VSUXEI32_V }, // 8740
  { PseudoVSUXEI32_V_M1_MF4_MASK, VSUXEI32_V }, // 8741
  { PseudoVSUXEI32_V_M2_M1, VSUXEI32_V }, // 8742
  { PseudoVSUXEI32_V_M2_M1_MASK, VSUXEI32_V }, // 8743
  { PseudoVSUXEI32_V_M2_M2, VSUXEI32_V }, // 8744
  { PseudoVSUXEI32_V_M2_M2_MASK, VSUXEI32_V }, // 8745
  { PseudoVSUXEI32_V_M2_M4, VSUXEI32_V }, // 8746
  { PseudoVSUXEI32_V_M2_M4_MASK, VSUXEI32_V }, // 8747
  { PseudoVSUXEI32_V_M2_MF2, VSUXEI32_V }, // 8748
  { PseudoVSUXEI32_V_M2_MF2_MASK, VSUXEI32_V }, // 8749
  { PseudoVSUXEI32_V_M4_M1, VSUXEI32_V }, // 8750
  { PseudoVSUXEI32_V_M4_M1_MASK, VSUXEI32_V }, // 8751
  { PseudoVSUXEI32_V_M4_M2, VSUXEI32_V }, // 8752
  { PseudoVSUXEI32_V_M4_M2_MASK, VSUXEI32_V }, // 8753
  { PseudoVSUXEI32_V_M4_M4, VSUXEI32_V }, // 8754
  { PseudoVSUXEI32_V_M4_M4_MASK, VSUXEI32_V }, // 8755
  { PseudoVSUXEI32_V_M4_M8, VSUXEI32_V }, // 8756
  { PseudoVSUXEI32_V_M4_M8_MASK, VSUXEI32_V }, // 8757
  { PseudoVSUXEI32_V_M8_M2, VSUXEI32_V }, // 8758
  { PseudoVSUXEI32_V_M8_M2_MASK, VSUXEI32_V }, // 8759
  { PseudoVSUXEI32_V_M8_M4, VSUXEI32_V }, // 8760
  { PseudoVSUXEI32_V_M8_M4_MASK, VSUXEI32_V }, // 8761
  { PseudoVSUXEI32_V_M8_M8, VSUXEI32_V }, // 8762
  { PseudoVSUXEI32_V_M8_M8_MASK, VSUXEI32_V }, // 8763
  { PseudoVSUXEI32_V_MF2_M1, VSUXEI32_V }, // 8764
  { PseudoVSUXEI32_V_MF2_M1_MASK, VSUXEI32_V }, // 8765
  { PseudoVSUXEI32_V_MF2_MF2, VSUXEI32_V }, // 8766
  { PseudoVSUXEI32_V_MF2_MF2_MASK, VSUXEI32_V }, // 8767
  { PseudoVSUXEI32_V_MF2_MF4, VSUXEI32_V }, // 8768
  { PseudoVSUXEI32_V_MF2_MF4_MASK, VSUXEI32_V }, // 8769
  { PseudoVSUXEI32_V_MF2_MF8, VSUXEI32_V }, // 8770
  { PseudoVSUXEI32_V_MF2_MF8_MASK, VSUXEI32_V }, // 8771
  { PseudoVSUXEI64_V_M1_M1, VSUXEI64_V }, // 8772
  { PseudoVSUXEI64_V_M1_M1_MASK, VSUXEI64_V }, // 8773
  { PseudoVSUXEI64_V_M1_MF2, VSUXEI64_V }, // 8774
  { PseudoVSUXEI64_V_M1_MF2_MASK, VSUXEI64_V }, // 8775
  { PseudoVSUXEI64_V_M1_MF4, VSUXEI64_V }, // 8776
  { PseudoVSUXEI64_V_M1_MF4_MASK, VSUXEI64_V }, // 8777
  { PseudoVSUXEI64_V_M1_MF8, VSUXEI64_V }, // 8778
  { PseudoVSUXEI64_V_M1_MF8_MASK, VSUXEI64_V }, // 8779
  { PseudoVSUXEI64_V_M2_M1, VSUXEI64_V }, // 8780
  { PseudoVSUXEI64_V_M2_M1_MASK, VSUXEI64_V }, // 8781
  { PseudoVSUXEI64_V_M2_M2, VSUXEI64_V }, // 8782
  { PseudoVSUXEI64_V_M2_M2_MASK, VSUXEI64_V }, // 8783
  { PseudoVSUXEI64_V_M2_MF2, VSUXEI64_V }, // 8784
  { PseudoVSUXEI64_V_M2_MF2_MASK, VSUXEI64_V }, // 8785
  { PseudoVSUXEI64_V_M2_MF4, VSUXEI64_V }, // 8786
  { PseudoVSUXEI64_V_M2_MF4_MASK, VSUXEI64_V }, // 8787
  { PseudoVSUXEI64_V_M4_M1, VSUXEI64_V }, // 8788
  { PseudoVSUXEI64_V_M4_M1_MASK, VSUXEI64_V }, // 8789
  { PseudoVSUXEI64_V_M4_M2, VSUXEI64_V }, // 8790
  { PseudoVSUXEI64_V_M4_M2_MASK, VSUXEI64_V }, // 8791
  { PseudoVSUXEI64_V_M4_M4, VSUXEI64_V }, // 8792
  { PseudoVSUXEI64_V_M4_M4_MASK, VSUXEI64_V }, // 8793
  { PseudoVSUXEI64_V_M4_MF2, VSUXEI64_V }, // 8794
  { PseudoVSUXEI64_V_M4_MF2_MASK, VSUXEI64_V }, // 8795
  { PseudoVSUXEI64_V_M8_M1, VSUXEI64_V }, // 8796
  { PseudoVSUXEI64_V_M8_M1_MASK, VSUXEI64_V }, // 8797
  { PseudoVSUXEI64_V_M8_M2, VSUXEI64_V }, // 8798
  { PseudoVSUXEI64_V_M8_M2_MASK, VSUXEI64_V }, // 8799
  { PseudoVSUXEI64_V_M8_M4, VSUXEI64_V }, // 8800
  { PseudoVSUXEI64_V_M8_M4_MASK, VSUXEI64_V }, // 8801
  { PseudoVSUXEI64_V_M8_M8, VSUXEI64_V }, // 8802
  { PseudoVSUXEI64_V_M8_M8_MASK, VSUXEI64_V }, // 8803
  { PseudoVSUXEI8_V_M1_M1, VSUXEI8_V }, // 8804
  { PseudoVSUXEI8_V_M1_M1_MASK, VSUXEI8_V }, // 8805
  { PseudoVSUXEI8_V_M1_M2, VSUXEI8_V }, // 8806
  { PseudoVSUXEI8_V_M1_M2_MASK, VSUXEI8_V }, // 8807
  { PseudoVSUXEI8_V_M1_M4, VSUXEI8_V }, // 8808
  { PseudoVSUXEI8_V_M1_M4_MASK, VSUXEI8_V }, // 8809
  { PseudoVSUXEI8_V_M1_M8, VSUXEI8_V }, // 8810
  { PseudoVSUXEI8_V_M1_M8_MASK, VSUXEI8_V }, // 8811
  { PseudoVSUXEI8_V_M2_M2, VSUXEI8_V }, // 8812
  { PseudoVSUXEI8_V_M2_M2_MASK, VSUXEI8_V }, // 8813
  { PseudoVSUXEI8_V_M2_M4, VSUXEI8_V }, // 8814
  { PseudoVSUXEI8_V_M2_M4_MASK, VSUXEI8_V }, // 8815
  { PseudoVSUXEI8_V_M2_M8, VSUXEI8_V }, // 8816
  { PseudoVSUXEI8_V_M2_M8_MASK, VSUXEI8_V }, // 8817
  { PseudoVSUXEI8_V_M4_M4, VSUXEI8_V }, // 8818
  { PseudoVSUXEI8_V_M4_M4_MASK, VSUXEI8_V }, // 8819
  { PseudoVSUXEI8_V_M4_M8, VSUXEI8_V }, // 8820
  { PseudoVSUXEI8_V_M4_M8_MASK, VSUXEI8_V }, // 8821
  { PseudoVSUXEI8_V_M8_M8, VSUXEI8_V }, // 8822
  { PseudoVSUXEI8_V_M8_M8_MASK, VSUXEI8_V }, // 8823
  { PseudoVSUXEI8_V_MF2_M1, VSUXEI8_V }, // 8824
  { PseudoVSUXEI8_V_MF2_M1_MASK, VSUXEI8_V }, // 8825
  { PseudoVSUXEI8_V_MF2_M2, VSUXEI8_V }, // 8826
  { PseudoVSUXEI8_V_MF2_M2_MASK, VSUXEI8_V }, // 8827
  { PseudoVSUXEI8_V_MF2_M4, VSUXEI8_V }, // 8828
  { PseudoVSUXEI8_V_MF2_M4_MASK, VSUXEI8_V }, // 8829
  { PseudoVSUXEI8_V_MF2_MF2, VSUXEI8_V }, // 8830
  { PseudoVSUXEI8_V_MF2_MF2_MASK, VSUXEI8_V }, // 8831
  { PseudoVSUXEI8_V_MF4_M1, VSUXEI8_V }, // 8832
  { PseudoVSUXEI8_V_MF4_M1_MASK, VSUXEI8_V }, // 8833
  { PseudoVSUXEI8_V_MF4_M2, VSUXEI8_V }, // 8834
  { PseudoVSUXEI8_V_MF4_M2_MASK, VSUXEI8_V }, // 8835
  { PseudoVSUXEI8_V_MF4_MF2, VSUXEI8_V }, // 8836
  { PseudoVSUXEI8_V_MF4_MF2_MASK, VSUXEI8_V }, // 8837
  { PseudoVSUXEI8_V_MF4_MF4, VSUXEI8_V }, // 8838
  { PseudoVSUXEI8_V_MF4_MF4_MASK, VSUXEI8_V }, // 8839
  { PseudoVSUXEI8_V_MF8_M1, VSUXEI8_V }, // 8840
  { PseudoVSUXEI8_V_MF8_M1_MASK, VSUXEI8_V }, // 8841
  { PseudoVSUXEI8_V_MF8_MF2, VSUXEI8_V }, // 8842
  { PseudoVSUXEI8_V_MF8_MF2_MASK, VSUXEI8_V }, // 8843
  { PseudoVSUXEI8_V_MF8_MF4, VSUXEI8_V }, // 8844
  { PseudoVSUXEI8_V_MF8_MF4_MASK, VSUXEI8_V }, // 8845
  { PseudoVSUXEI8_V_MF8_MF8, VSUXEI8_V }, // 8846
  { PseudoVSUXEI8_V_MF8_MF8_MASK, VSUXEI8_V }, // 8847
  { PseudoVSUXSEG2EI16_V_M1_M1, VSUXSEG2EI16_V }, // 8848
  { PseudoVSUXSEG2EI16_V_M1_M1_MASK, VSUXSEG2EI16_V }, // 8849
  { PseudoVSUXSEG2EI16_V_M1_M2, VSUXSEG2EI16_V }, // 8850
  { PseudoVSUXSEG2EI16_V_M1_M2_MASK, VSUXSEG2EI16_V }, // 8851
  { PseudoVSUXSEG2EI16_V_M1_M4, VSUXSEG2EI16_V }, // 8852
  { PseudoVSUXSEG2EI16_V_M1_M4_MASK, VSUXSEG2EI16_V }, // 8853
  { PseudoVSUXSEG2EI16_V_M1_MF2, VSUXSEG2EI16_V }, // 8854
  { PseudoVSUXSEG2EI16_V_M1_MF2_MASK, VSUXSEG2EI16_V }, // 8855
  { PseudoVSUXSEG2EI16_V_M2_M1, VSUXSEG2EI16_V }, // 8856
  { PseudoVSUXSEG2EI16_V_M2_M1_MASK, VSUXSEG2EI16_V }, // 8857
  { PseudoVSUXSEG2EI16_V_M2_M2, VSUXSEG2EI16_V }, // 8858
  { PseudoVSUXSEG2EI16_V_M2_M2_MASK, VSUXSEG2EI16_V }, // 8859
  { PseudoVSUXSEG2EI16_V_M2_M4, VSUXSEG2EI16_V }, // 8860
  { PseudoVSUXSEG2EI16_V_M2_M4_MASK, VSUXSEG2EI16_V }, // 8861
  { PseudoVSUXSEG2EI16_V_M4_M2, VSUXSEG2EI16_V }, // 8862
  { PseudoVSUXSEG2EI16_V_M4_M2_MASK, VSUXSEG2EI16_V }, // 8863
  { PseudoVSUXSEG2EI16_V_M4_M4, VSUXSEG2EI16_V }, // 8864
  { PseudoVSUXSEG2EI16_V_M4_M4_MASK, VSUXSEG2EI16_V }, // 8865
  { PseudoVSUXSEG2EI16_V_M8_M4, VSUXSEG2EI16_V }, // 8866
  { PseudoVSUXSEG2EI16_V_M8_M4_MASK, VSUXSEG2EI16_V }, // 8867
  { PseudoVSUXSEG2EI16_V_MF2_M1, VSUXSEG2EI16_V }, // 8868
  { PseudoVSUXSEG2EI16_V_MF2_M1_MASK, VSUXSEG2EI16_V }, // 8869
  { PseudoVSUXSEG2EI16_V_MF2_M2, VSUXSEG2EI16_V }, // 8870
  { PseudoVSUXSEG2EI16_V_MF2_M2_MASK, VSUXSEG2EI16_V }, // 8871
  { PseudoVSUXSEG2EI16_V_MF2_MF2, VSUXSEG2EI16_V }, // 8872
  { PseudoVSUXSEG2EI16_V_MF2_MF2_MASK, VSUXSEG2EI16_V }, // 8873
  { PseudoVSUXSEG2EI16_V_MF2_MF4, VSUXSEG2EI16_V }, // 8874
  { PseudoVSUXSEG2EI16_V_MF2_MF4_MASK, VSUXSEG2EI16_V }, // 8875
  { PseudoVSUXSEG2EI16_V_MF4_M1, VSUXSEG2EI16_V }, // 8876
  { PseudoVSUXSEG2EI16_V_MF4_M1_MASK, VSUXSEG2EI16_V }, // 8877
  { PseudoVSUXSEG2EI16_V_MF4_MF2, VSUXSEG2EI16_V }, // 8878
  { PseudoVSUXSEG2EI16_V_MF4_MF2_MASK, VSUXSEG2EI16_V }, // 8879
  { PseudoVSUXSEG2EI16_V_MF4_MF4, VSUXSEG2EI16_V }, // 8880
  { PseudoVSUXSEG2EI16_V_MF4_MF4_MASK, VSUXSEG2EI16_V }, // 8881
  { PseudoVSUXSEG2EI16_V_MF4_MF8, VSUXSEG2EI16_V }, // 8882
  { PseudoVSUXSEG2EI16_V_MF4_MF8_MASK, VSUXSEG2EI16_V }, // 8883
  { PseudoVSUXSEG2EI32_V_M1_M1, VSUXSEG2EI32_V }, // 8884
  { PseudoVSUXSEG2EI32_V_M1_M1_MASK, VSUXSEG2EI32_V }, // 8885
  { PseudoVSUXSEG2EI32_V_M1_M2, VSUXSEG2EI32_V }, // 8886
  { PseudoVSUXSEG2EI32_V_M1_M2_MASK, VSUXSEG2EI32_V }, // 8887
  { PseudoVSUXSEG2EI32_V_M1_MF2, VSUXSEG2EI32_V }, // 8888
  { PseudoVSUXSEG2EI32_V_M1_MF2_MASK, VSUXSEG2EI32_V }, // 8889
  { PseudoVSUXSEG2EI32_V_M1_MF4, VSUXSEG2EI32_V }, // 8890
  { PseudoVSUXSEG2EI32_V_M1_MF4_MASK, VSUXSEG2EI32_V }, // 8891
  { PseudoVSUXSEG2EI32_V_M2_M1, VSUXSEG2EI32_V }, // 8892
  { PseudoVSUXSEG2EI32_V_M2_M1_MASK, VSUXSEG2EI32_V }, // 8893
  { PseudoVSUXSEG2EI32_V_M2_M2, VSUXSEG2EI32_V }, // 8894
  { PseudoVSUXSEG2EI32_V_M2_M2_MASK, VSUXSEG2EI32_V }, // 8895
  { PseudoVSUXSEG2EI32_V_M2_M4, VSUXSEG2EI32_V }, // 8896
  { PseudoVSUXSEG2EI32_V_M2_M4_MASK, VSUXSEG2EI32_V }, // 8897
  { PseudoVSUXSEG2EI32_V_M2_MF2, VSUXSEG2EI32_V }, // 8898
  { PseudoVSUXSEG2EI32_V_M2_MF2_MASK, VSUXSEG2EI32_V }, // 8899
  { PseudoVSUXSEG2EI32_V_M4_M1, VSUXSEG2EI32_V }, // 8900
  { PseudoVSUXSEG2EI32_V_M4_M1_MASK, VSUXSEG2EI32_V }, // 8901
  { PseudoVSUXSEG2EI32_V_M4_M2, VSUXSEG2EI32_V }, // 8902
  { PseudoVSUXSEG2EI32_V_M4_M2_MASK, VSUXSEG2EI32_V }, // 8903
  { PseudoVSUXSEG2EI32_V_M4_M4, VSUXSEG2EI32_V }, // 8904
  { PseudoVSUXSEG2EI32_V_M4_M4_MASK, VSUXSEG2EI32_V }, // 8905
  { PseudoVSUXSEG2EI32_V_M8_M2, VSUXSEG2EI32_V }, // 8906
  { PseudoVSUXSEG2EI32_V_M8_M2_MASK, VSUXSEG2EI32_V }, // 8907
  { PseudoVSUXSEG2EI32_V_M8_M4, VSUXSEG2EI32_V }, // 8908
  { PseudoVSUXSEG2EI32_V_M8_M4_MASK, VSUXSEG2EI32_V }, // 8909
  { PseudoVSUXSEG2EI32_V_MF2_M1, VSUXSEG2EI32_V }, // 8910
  { PseudoVSUXSEG2EI32_V_MF2_M1_MASK, VSUXSEG2EI32_V }, // 8911
  { PseudoVSUXSEG2EI32_V_MF2_MF2, VSUXSEG2EI32_V }, // 8912
  { PseudoVSUXSEG2EI32_V_MF2_MF2_MASK, VSUXSEG2EI32_V }, // 8913
  { PseudoVSUXSEG2EI32_V_MF2_MF4, VSUXSEG2EI32_V }, // 8914
  { PseudoVSUXSEG2EI32_V_MF2_MF4_MASK, VSUXSEG2EI32_V }, // 8915
  { PseudoVSUXSEG2EI32_V_MF2_MF8, VSUXSEG2EI32_V }, // 8916
  { PseudoVSUXSEG2EI32_V_MF2_MF8_MASK, VSUXSEG2EI32_V }, // 8917
  { PseudoVSUXSEG2EI64_V_M1_M1, VSUXSEG2EI64_V }, // 8918
  { PseudoVSUXSEG2EI64_V_M1_M1_MASK, VSUXSEG2EI64_V }, // 8919
  { PseudoVSUXSEG2EI64_V_M1_MF2, VSUXSEG2EI64_V }, // 8920
  { PseudoVSUXSEG2EI64_V_M1_MF2_MASK, VSUXSEG2EI64_V }, // 8921
  { PseudoVSUXSEG2EI64_V_M1_MF4, VSUXSEG2EI64_V }, // 8922
  { PseudoVSUXSEG2EI64_V_M1_MF4_MASK, VSUXSEG2EI64_V }, // 8923
  { PseudoVSUXSEG2EI64_V_M1_MF8, VSUXSEG2EI64_V }, // 8924
  { PseudoVSUXSEG2EI64_V_M1_MF8_MASK, VSUXSEG2EI64_V }, // 8925
  { PseudoVSUXSEG2EI64_V_M2_M1, VSUXSEG2EI64_V }, // 8926
  { PseudoVSUXSEG2EI64_V_M2_M1_MASK, VSUXSEG2EI64_V }, // 8927
  { PseudoVSUXSEG2EI64_V_M2_M2, VSUXSEG2EI64_V }, // 8928
  { PseudoVSUXSEG2EI64_V_M2_M2_MASK, VSUXSEG2EI64_V }, // 8929
  { PseudoVSUXSEG2EI64_V_M2_MF2, VSUXSEG2EI64_V }, // 8930
  { PseudoVSUXSEG2EI64_V_M2_MF2_MASK, VSUXSEG2EI64_V }, // 8931
  { PseudoVSUXSEG2EI64_V_M2_MF4, VSUXSEG2EI64_V }, // 8932
  { PseudoVSUXSEG2EI64_V_M2_MF4_MASK, VSUXSEG2EI64_V }, // 8933
  { PseudoVSUXSEG2EI64_V_M4_M1, VSUXSEG2EI64_V }, // 8934
  { PseudoVSUXSEG2EI64_V_M4_M1_MASK, VSUXSEG2EI64_V }, // 8935
  { PseudoVSUXSEG2EI64_V_M4_M2, VSUXSEG2EI64_V }, // 8936
  { PseudoVSUXSEG2EI64_V_M4_M2_MASK, VSUXSEG2EI64_V }, // 8937
  { PseudoVSUXSEG2EI64_V_M4_M4, VSUXSEG2EI64_V }, // 8938
  { PseudoVSUXSEG2EI64_V_M4_M4_MASK, VSUXSEG2EI64_V }, // 8939
  { PseudoVSUXSEG2EI64_V_M4_MF2, VSUXSEG2EI64_V }, // 8940
  { PseudoVSUXSEG2EI64_V_M4_MF2_MASK, VSUXSEG2EI64_V }, // 8941
  { PseudoVSUXSEG2EI64_V_M8_M1, VSUXSEG2EI64_V }, // 8942
  { PseudoVSUXSEG2EI64_V_M8_M1_MASK, VSUXSEG2EI64_V }, // 8943
  { PseudoVSUXSEG2EI64_V_M8_M2, VSUXSEG2EI64_V }, // 8944
  { PseudoVSUXSEG2EI64_V_M8_M2_MASK, VSUXSEG2EI64_V }, // 8945
  { PseudoVSUXSEG2EI64_V_M8_M4, VSUXSEG2EI64_V }, // 8946
  { PseudoVSUXSEG2EI64_V_M8_M4_MASK, VSUXSEG2EI64_V }, // 8947
  { PseudoVSUXSEG2EI8_V_M1_M1, VSUXSEG2EI8_V }, // 8948
  { PseudoVSUXSEG2EI8_V_M1_M1_MASK, VSUXSEG2EI8_V }, // 8949
  { PseudoVSUXSEG2EI8_V_M1_M2, VSUXSEG2EI8_V }, // 8950
  { PseudoVSUXSEG2EI8_V_M1_M2_MASK, VSUXSEG2EI8_V }, // 8951
  { PseudoVSUXSEG2EI8_V_M1_M4, VSUXSEG2EI8_V }, // 8952
  { PseudoVSUXSEG2EI8_V_M1_M4_MASK, VSUXSEG2EI8_V }, // 8953
  { PseudoVSUXSEG2EI8_V_M2_M2, VSUXSEG2EI8_V }, // 8954
  { PseudoVSUXSEG2EI8_V_M2_M2_MASK, VSUXSEG2EI8_V }, // 8955
  { PseudoVSUXSEG2EI8_V_M2_M4, VSUXSEG2EI8_V }, // 8956
  { PseudoVSUXSEG2EI8_V_M2_M4_MASK, VSUXSEG2EI8_V }, // 8957
  { PseudoVSUXSEG2EI8_V_M4_M4, VSUXSEG2EI8_V }, // 8958
  { PseudoVSUXSEG2EI8_V_M4_M4_MASK, VSUXSEG2EI8_V }, // 8959
  { PseudoVSUXSEG2EI8_V_MF2_M1, VSUXSEG2EI8_V }, // 8960
  { PseudoVSUXSEG2EI8_V_MF2_M1_MASK, VSUXSEG2EI8_V }, // 8961
  { PseudoVSUXSEG2EI8_V_MF2_M2, VSUXSEG2EI8_V }, // 8962
  { PseudoVSUXSEG2EI8_V_MF2_M2_MASK, VSUXSEG2EI8_V }, // 8963
  { PseudoVSUXSEG2EI8_V_MF2_M4, VSUXSEG2EI8_V }, // 8964
  { PseudoVSUXSEG2EI8_V_MF2_M4_MASK, VSUXSEG2EI8_V }, // 8965
  { PseudoVSUXSEG2EI8_V_MF2_MF2, VSUXSEG2EI8_V }, // 8966
  { PseudoVSUXSEG2EI8_V_MF2_MF2_MASK, VSUXSEG2EI8_V }, // 8967
  { PseudoVSUXSEG2EI8_V_MF4_M1, VSUXSEG2EI8_V }, // 8968
  { PseudoVSUXSEG2EI8_V_MF4_M1_MASK, VSUXSEG2EI8_V }, // 8969
  { PseudoVSUXSEG2EI8_V_MF4_M2, VSUXSEG2EI8_V }, // 8970
  { PseudoVSUXSEG2EI8_V_MF4_M2_MASK, VSUXSEG2EI8_V }, // 8971
  { PseudoVSUXSEG2EI8_V_MF4_MF2, VSUXSEG2EI8_V }, // 8972
  { PseudoVSUXSEG2EI8_V_MF4_MF2_MASK, VSUXSEG2EI8_V }, // 8973
  { PseudoVSUXSEG2EI8_V_MF4_MF4, VSUXSEG2EI8_V }, // 8974
  { PseudoVSUXSEG2EI8_V_MF4_MF4_MASK, VSUXSEG2EI8_V }, // 8975
  { PseudoVSUXSEG2EI8_V_MF8_M1, VSUXSEG2EI8_V }, // 8976
  { PseudoVSUXSEG2EI8_V_MF8_M1_MASK, VSUXSEG2EI8_V }, // 8977
  { PseudoVSUXSEG2EI8_V_MF8_MF2, VSUXSEG2EI8_V }, // 8978
  { PseudoVSUXSEG2EI8_V_MF8_MF2_MASK, VSUXSEG2EI8_V }, // 8979
  { PseudoVSUXSEG2EI8_V_MF8_MF4, VSUXSEG2EI8_V }, // 8980
  { PseudoVSUXSEG2EI8_V_MF8_MF4_MASK, VSUXSEG2EI8_V }, // 8981
  { PseudoVSUXSEG2EI8_V_MF8_MF8, VSUXSEG2EI8_V }, // 8982
  { PseudoVSUXSEG2EI8_V_MF8_MF8_MASK, VSUXSEG2EI8_V }, // 8983
  { PseudoVSUXSEG3EI16_V_M1_M1, VSUXSEG3EI16_V }, // 8984
  { PseudoVSUXSEG3EI16_V_M1_M1_MASK, VSUXSEG3EI16_V }, // 8985
  { PseudoVSUXSEG3EI16_V_M1_M2, VSUXSEG3EI16_V }, // 8986
  { PseudoVSUXSEG3EI16_V_M1_M2_MASK, VSUXSEG3EI16_V }, // 8987
  { PseudoVSUXSEG3EI16_V_M1_MF2, VSUXSEG3EI16_V }, // 8988
  { PseudoVSUXSEG3EI16_V_M1_MF2_MASK, VSUXSEG3EI16_V }, // 8989
  { PseudoVSUXSEG3EI16_V_M2_M1, VSUXSEG3EI16_V }, // 8990
  { PseudoVSUXSEG3EI16_V_M2_M1_MASK, VSUXSEG3EI16_V }, // 8991
  { PseudoVSUXSEG3EI16_V_M2_M2, VSUXSEG3EI16_V }, // 8992
  { PseudoVSUXSEG3EI16_V_M2_M2_MASK, VSUXSEG3EI16_V }, // 8993
  { PseudoVSUXSEG3EI16_V_M4_M2, VSUXSEG3EI16_V }, // 8994
  { PseudoVSUXSEG3EI16_V_M4_M2_MASK, VSUXSEG3EI16_V }, // 8995
  { PseudoVSUXSEG3EI16_V_MF2_M1, VSUXSEG3EI16_V }, // 8996
  { PseudoVSUXSEG3EI16_V_MF2_M1_MASK, VSUXSEG3EI16_V }, // 8997
  { PseudoVSUXSEG3EI16_V_MF2_M2, VSUXSEG3EI16_V }, // 8998
  { PseudoVSUXSEG3EI16_V_MF2_M2_MASK, VSUXSEG3EI16_V }, // 8999
  { PseudoVSUXSEG3EI16_V_MF2_MF2, VSUXSEG3EI16_V }, // 9000
  { PseudoVSUXSEG3EI16_V_MF2_MF2_MASK, VSUXSEG3EI16_V }, // 9001
  { PseudoVSUXSEG3EI16_V_MF2_MF4, VSUXSEG3EI16_V }, // 9002
  { PseudoVSUXSEG3EI16_V_MF2_MF4_MASK, VSUXSEG3EI16_V }, // 9003
  { PseudoVSUXSEG3EI16_V_MF4_M1, VSUXSEG3EI16_V }, // 9004
  { PseudoVSUXSEG3EI16_V_MF4_M1_MASK, VSUXSEG3EI16_V }, // 9005
  { PseudoVSUXSEG3EI16_V_MF4_MF2, VSUXSEG3EI16_V }, // 9006
  { PseudoVSUXSEG3EI16_V_MF4_MF2_MASK, VSUXSEG3EI16_V }, // 9007
  { PseudoVSUXSEG3EI16_V_MF4_MF4, VSUXSEG3EI16_V }, // 9008
  { PseudoVSUXSEG3EI16_V_MF4_MF4_MASK, VSUXSEG3EI16_V }, // 9009
  { PseudoVSUXSEG3EI16_V_MF4_MF8, VSUXSEG3EI16_V }, // 9010
  { PseudoVSUXSEG3EI16_V_MF4_MF8_MASK, VSUXSEG3EI16_V }, // 9011
  { PseudoVSUXSEG3EI32_V_M1_M1, VSUXSEG3EI32_V }, // 9012
  { PseudoVSUXSEG3EI32_V_M1_M1_MASK, VSUXSEG3EI32_V }, // 9013
  { PseudoVSUXSEG3EI32_V_M1_M2, VSUXSEG3EI32_V }, // 9014
  { PseudoVSUXSEG3EI32_V_M1_M2_MASK, VSUXSEG3EI32_V }, // 9015
  { PseudoVSUXSEG3EI32_V_M1_MF2, VSUXSEG3EI32_V }, // 9016
  { PseudoVSUXSEG3EI32_V_M1_MF2_MASK, VSUXSEG3EI32_V }, // 9017
  { PseudoVSUXSEG3EI32_V_M1_MF4, VSUXSEG3EI32_V }, // 9018
  { PseudoVSUXSEG3EI32_V_M1_MF4_MASK, VSUXSEG3EI32_V }, // 9019
  { PseudoVSUXSEG3EI32_V_M2_M1, VSUXSEG3EI32_V }, // 9020
  { PseudoVSUXSEG3EI32_V_M2_M1_MASK, VSUXSEG3EI32_V }, // 9021
  { PseudoVSUXSEG3EI32_V_M2_M2, VSUXSEG3EI32_V }, // 9022
  { PseudoVSUXSEG3EI32_V_M2_M2_MASK, VSUXSEG3EI32_V }, // 9023
  { PseudoVSUXSEG3EI32_V_M2_MF2, VSUXSEG3EI32_V }, // 9024
  { PseudoVSUXSEG3EI32_V_M2_MF2_MASK, VSUXSEG3EI32_V }, // 9025
  { PseudoVSUXSEG3EI32_V_M4_M1, VSUXSEG3EI32_V }, // 9026
  { PseudoVSUXSEG3EI32_V_M4_M1_MASK, VSUXSEG3EI32_V }, // 9027
  { PseudoVSUXSEG3EI32_V_M4_M2, VSUXSEG3EI32_V }, // 9028
  { PseudoVSUXSEG3EI32_V_M4_M2_MASK, VSUXSEG3EI32_V }, // 9029
  { PseudoVSUXSEG3EI32_V_M8_M2, VSUXSEG3EI32_V }, // 9030
  { PseudoVSUXSEG3EI32_V_M8_M2_MASK, VSUXSEG3EI32_V }, // 9031
  { PseudoVSUXSEG3EI32_V_MF2_M1, VSUXSEG3EI32_V }, // 9032
  { PseudoVSUXSEG3EI32_V_MF2_M1_MASK, VSUXSEG3EI32_V }, // 9033
  { PseudoVSUXSEG3EI32_V_MF2_MF2, VSUXSEG3EI32_V }, // 9034
  { PseudoVSUXSEG3EI32_V_MF2_MF2_MASK, VSUXSEG3EI32_V }, // 9035
  { PseudoVSUXSEG3EI32_V_MF2_MF4, VSUXSEG3EI32_V }, // 9036
  { PseudoVSUXSEG3EI32_V_MF2_MF4_MASK, VSUXSEG3EI32_V }, // 9037
  { PseudoVSUXSEG3EI32_V_MF2_MF8, VSUXSEG3EI32_V }, // 9038
  { PseudoVSUXSEG3EI32_V_MF2_MF8_MASK, VSUXSEG3EI32_V }, // 9039
  { PseudoVSUXSEG3EI64_V_M1_M1, VSUXSEG3EI64_V }, // 9040
  { PseudoVSUXSEG3EI64_V_M1_M1_MASK, VSUXSEG3EI64_V }, // 9041
  { PseudoVSUXSEG3EI64_V_M1_MF2, VSUXSEG3EI64_V }, // 9042
  { PseudoVSUXSEG3EI64_V_M1_MF2_MASK, VSUXSEG3EI64_V }, // 9043
  { PseudoVSUXSEG3EI64_V_M1_MF4, VSUXSEG3EI64_V }, // 9044
  { PseudoVSUXSEG3EI64_V_M1_MF4_MASK, VSUXSEG3EI64_V }, // 9045
  { PseudoVSUXSEG3EI64_V_M1_MF8, VSUXSEG3EI64_V }, // 9046
  { PseudoVSUXSEG3EI64_V_M1_MF8_MASK, VSUXSEG3EI64_V }, // 9047
  { PseudoVSUXSEG3EI64_V_M2_M1, VSUXSEG3EI64_V }, // 9048
  { PseudoVSUXSEG3EI64_V_M2_M1_MASK, VSUXSEG3EI64_V }, // 9049
  { PseudoVSUXSEG3EI64_V_M2_M2, VSUXSEG3EI64_V }, // 9050
  { PseudoVSUXSEG3EI64_V_M2_M2_MASK, VSUXSEG3EI64_V }, // 9051
  { PseudoVSUXSEG3EI64_V_M2_MF2, VSUXSEG3EI64_V }, // 9052
  { PseudoVSUXSEG3EI64_V_M2_MF2_MASK, VSUXSEG3EI64_V }, // 9053
  { PseudoVSUXSEG3EI64_V_M2_MF4, VSUXSEG3EI64_V }, // 9054
  { PseudoVSUXSEG3EI64_V_M2_MF4_MASK, VSUXSEG3EI64_V }, // 9055
  { PseudoVSUXSEG3EI64_V_M4_M1, VSUXSEG3EI64_V }, // 9056
  { PseudoVSUXSEG3EI64_V_M4_M1_MASK, VSUXSEG3EI64_V }, // 9057
  { PseudoVSUXSEG3EI64_V_M4_M2, VSUXSEG3EI64_V }, // 9058
  { PseudoVSUXSEG3EI64_V_M4_M2_MASK, VSUXSEG3EI64_V }, // 9059
  { PseudoVSUXSEG3EI64_V_M4_MF2, VSUXSEG3EI64_V }, // 9060
  { PseudoVSUXSEG3EI64_V_M4_MF2_MASK, VSUXSEG3EI64_V }, // 9061
  { PseudoVSUXSEG3EI64_V_M8_M1, VSUXSEG3EI64_V }, // 9062
  { PseudoVSUXSEG3EI64_V_M8_M1_MASK, VSUXSEG3EI64_V }, // 9063
  { PseudoVSUXSEG3EI64_V_M8_M2, VSUXSEG3EI64_V }, // 9064
  { PseudoVSUXSEG3EI64_V_M8_M2_MASK, VSUXSEG3EI64_V }, // 9065
  { PseudoVSUXSEG3EI8_V_M1_M1, VSUXSEG3EI8_V }, // 9066
  { PseudoVSUXSEG3EI8_V_M1_M1_MASK, VSUXSEG3EI8_V }, // 9067
  { PseudoVSUXSEG3EI8_V_M1_M2, VSUXSEG3EI8_V }, // 9068
  { PseudoVSUXSEG3EI8_V_M1_M2_MASK, VSUXSEG3EI8_V }, // 9069
  { PseudoVSUXSEG3EI8_V_M2_M2, VSUXSEG3EI8_V }, // 9070
  { PseudoVSUXSEG3EI8_V_M2_M2_MASK, VSUXSEG3EI8_V }, // 9071
  { PseudoVSUXSEG3EI8_V_MF2_M1, VSUXSEG3EI8_V }, // 9072
  { PseudoVSUXSEG3EI8_V_MF2_M1_MASK, VSUXSEG3EI8_V }, // 9073
  { PseudoVSUXSEG3EI8_V_MF2_M2, VSUXSEG3EI8_V }, // 9074
  { PseudoVSUXSEG3EI8_V_MF2_M2_MASK, VSUXSEG3EI8_V }, // 9075
  { PseudoVSUXSEG3EI8_V_MF2_MF2, VSUXSEG3EI8_V }, // 9076
  { PseudoVSUXSEG3EI8_V_MF2_MF2_MASK, VSUXSEG3EI8_V }, // 9077
  { PseudoVSUXSEG3EI8_V_MF4_M1, VSUXSEG3EI8_V }, // 9078
  { PseudoVSUXSEG3EI8_V_MF4_M1_MASK, VSUXSEG3EI8_V }, // 9079
  { PseudoVSUXSEG3EI8_V_MF4_M2, VSUXSEG3EI8_V }, // 9080
  { PseudoVSUXSEG3EI8_V_MF4_M2_MASK, VSUXSEG3EI8_V }, // 9081
  { PseudoVSUXSEG3EI8_V_MF4_MF2, VSUXSEG3EI8_V }, // 9082
  { PseudoVSUXSEG3EI8_V_MF4_MF2_MASK, VSUXSEG3EI8_V }, // 9083
  { PseudoVSUXSEG3EI8_V_MF4_MF4, VSUXSEG3EI8_V }, // 9084
  { PseudoVSUXSEG3EI8_V_MF4_MF4_MASK, VSUXSEG3EI8_V }, // 9085
  { PseudoVSUXSEG3EI8_V_MF8_M1, VSUXSEG3EI8_V }, // 9086
  { PseudoVSUXSEG3EI8_V_MF8_M1_MASK, VSUXSEG3EI8_V }, // 9087
  { PseudoVSUXSEG3EI8_V_MF8_MF2, VSUXSEG3EI8_V }, // 9088
  { PseudoVSUXSEG3EI8_V_MF8_MF2_MASK, VSUXSEG3EI8_V }, // 9089
  { PseudoVSUXSEG3EI8_V_MF8_MF4, VSUXSEG3EI8_V }, // 9090
  { PseudoVSUXSEG3EI8_V_MF8_MF4_MASK, VSUXSEG3EI8_V }, // 9091
  { PseudoVSUXSEG3EI8_V_MF8_MF8, VSUXSEG3EI8_V }, // 9092
  { PseudoVSUXSEG3EI8_V_MF8_MF8_MASK, VSUXSEG3EI8_V }, // 9093
  { PseudoVSUXSEG4EI16_V_M1_M1, VSUXSEG4EI16_V }, // 9094
  { PseudoVSUXSEG4EI16_V_M1_M1_MASK, VSUXSEG4EI16_V }, // 9095
  { PseudoVSUXSEG4EI16_V_M1_M2, VSUXSEG4EI16_V }, // 9096
  { PseudoVSUXSEG4EI16_V_M1_M2_MASK, VSUXSEG4EI16_V }, // 9097
  { PseudoVSUXSEG4EI16_V_M1_MF2, VSUXSEG4EI16_V }, // 9098
  { PseudoVSUXSEG4EI16_V_M1_MF2_MASK, VSUXSEG4EI16_V }, // 9099
  { PseudoVSUXSEG4EI16_V_M2_M1, VSUXSEG4EI16_V }, // 9100
  { PseudoVSUXSEG4EI16_V_M2_M1_MASK, VSUXSEG4EI16_V }, // 9101
  { PseudoVSUXSEG4EI16_V_M2_M2, VSUXSEG4EI16_V }, // 9102
  { PseudoVSUXSEG4EI16_V_M2_M2_MASK, VSUXSEG4EI16_V }, // 9103
  { PseudoVSUXSEG4EI16_V_M4_M2, VSUXSEG4EI16_V }, // 9104
  { PseudoVSUXSEG4EI16_V_M4_M2_MASK, VSUXSEG4EI16_V }, // 9105
  { PseudoVSUXSEG4EI16_V_MF2_M1, VSUXSEG4EI16_V }, // 9106
  { PseudoVSUXSEG4EI16_V_MF2_M1_MASK, VSUXSEG4EI16_V }, // 9107
  { PseudoVSUXSEG4EI16_V_MF2_M2, VSUXSEG4EI16_V }, // 9108
  { PseudoVSUXSEG4EI16_V_MF2_M2_MASK, VSUXSEG4EI16_V }, // 9109
  { PseudoVSUXSEG4EI16_V_MF2_MF2, VSUXSEG4EI16_V }, // 9110
  { PseudoVSUXSEG4EI16_V_MF2_MF2_MASK, VSUXSEG4EI16_V }, // 9111
  { PseudoVSUXSEG4EI16_V_MF2_MF4, VSUXSEG4EI16_V }, // 9112
  { PseudoVSUXSEG4EI16_V_MF2_MF4_MASK, VSUXSEG4EI16_V }, // 9113
  { PseudoVSUXSEG4EI16_V_MF4_M1, VSUXSEG4EI16_V }, // 9114
  { PseudoVSUXSEG4EI16_V_MF4_M1_MASK, VSUXSEG4EI16_V }, // 9115
  { PseudoVSUXSEG4EI16_V_MF4_MF2, VSUXSEG4EI16_V }, // 9116
  { PseudoVSUXSEG4EI16_V_MF4_MF2_MASK, VSUXSEG4EI16_V }, // 9117
  { PseudoVSUXSEG4EI16_V_MF4_MF4, VSUXSEG4EI16_V }, // 9118
  { PseudoVSUXSEG4EI16_V_MF4_MF4_MASK, VSUXSEG4EI16_V }, // 9119
  { PseudoVSUXSEG4EI16_V_MF4_MF8, VSUXSEG4EI16_V }, // 9120
  { PseudoVSUXSEG4EI16_V_MF4_MF8_MASK, VSUXSEG4EI16_V }, // 9121
  { PseudoVSUXSEG4EI32_V_M1_M1, VSUXSEG4EI32_V }, // 9122
  { PseudoVSUXSEG4EI32_V_M1_M1_MASK, VSUXSEG4EI32_V }, // 9123
  { PseudoVSUXSEG4EI32_V_M1_M2, VSUXSEG4EI32_V }, // 9124
  { PseudoVSUXSEG4EI32_V_M1_M2_MASK, VSUXSEG4EI32_V }, // 9125
  { PseudoVSUXSEG4EI32_V_M1_MF2, VSUXSEG4EI32_V }, // 9126
  { PseudoVSUXSEG4EI32_V_M1_MF2_MASK, VSUXSEG4EI32_V }, // 9127
  { PseudoVSUXSEG4EI32_V_M1_MF4, VSUXSEG4EI32_V }, // 9128
  { PseudoVSUXSEG4EI32_V_M1_MF4_MASK, VSUXSEG4EI32_V }, // 9129
  { PseudoVSUXSEG4EI32_V_M2_M1, VSUXSEG4EI32_V }, // 9130
  { PseudoVSUXSEG4EI32_V_M2_M1_MASK, VSUXSEG4EI32_V }, // 9131
  { PseudoVSUXSEG4EI32_V_M2_M2, VSUXSEG4EI32_V }, // 9132
  { PseudoVSUXSEG4EI32_V_M2_M2_MASK, VSUXSEG4EI32_V }, // 9133
  { PseudoVSUXSEG4EI32_V_M2_MF2, VSUXSEG4EI32_V }, // 9134
  { PseudoVSUXSEG4EI32_V_M2_MF2_MASK, VSUXSEG4EI32_V }, // 9135
  { PseudoVSUXSEG4EI32_V_M4_M1, VSUXSEG4EI32_V }, // 9136
  { PseudoVSUXSEG4EI32_V_M4_M1_MASK, VSUXSEG4EI32_V }, // 9137
  { PseudoVSUXSEG4EI32_V_M4_M2, VSUXSEG4EI32_V }, // 9138
  { PseudoVSUXSEG4EI32_V_M4_M2_MASK, VSUXSEG4EI32_V }, // 9139
  { PseudoVSUXSEG4EI32_V_M8_M2, VSUXSEG4EI32_V }, // 9140
  { PseudoVSUXSEG4EI32_V_M8_M2_MASK, VSUXSEG4EI32_V }, // 9141
  { PseudoVSUXSEG4EI32_V_MF2_M1, VSUXSEG4EI32_V }, // 9142
  { PseudoVSUXSEG4EI32_V_MF2_M1_MASK, VSUXSEG4EI32_V }, // 9143
  { PseudoVSUXSEG4EI32_V_MF2_MF2, VSUXSEG4EI32_V }, // 9144
  { PseudoVSUXSEG4EI32_V_MF2_MF2_MASK, VSUXSEG4EI32_V }, // 9145
  { PseudoVSUXSEG4EI32_V_MF2_MF4, VSUXSEG4EI32_V }, // 9146
  { PseudoVSUXSEG4EI32_V_MF2_MF4_MASK, VSUXSEG4EI32_V }, // 9147
  { PseudoVSUXSEG4EI32_V_MF2_MF8, VSUXSEG4EI32_V }, // 9148
  { PseudoVSUXSEG4EI32_V_MF2_MF8_MASK, VSUXSEG4EI32_V }, // 9149
  { PseudoVSUXSEG4EI64_V_M1_M1, VSUXSEG4EI64_V }, // 9150
  { PseudoVSUXSEG4EI64_V_M1_M1_MASK, VSUXSEG4EI64_V }, // 9151
  { PseudoVSUXSEG4EI64_V_M1_MF2, VSUXSEG4EI64_V }, // 9152
  { PseudoVSUXSEG4EI64_V_M1_MF2_MASK, VSUXSEG4EI64_V }, // 9153
  { PseudoVSUXSEG4EI64_V_M1_MF4, VSUXSEG4EI64_V }, // 9154
  { PseudoVSUXSEG4EI64_V_M1_MF4_MASK, VSUXSEG4EI64_V }, // 9155
  { PseudoVSUXSEG4EI64_V_M1_MF8, VSUXSEG4EI64_V }, // 9156
  { PseudoVSUXSEG4EI64_V_M1_MF8_MASK, VSUXSEG4EI64_V }, // 9157
  { PseudoVSUXSEG4EI64_V_M2_M1, VSUXSEG4EI64_V }, // 9158
  { PseudoVSUXSEG4EI64_V_M2_M1_MASK, VSUXSEG4EI64_V }, // 9159
  { PseudoVSUXSEG4EI64_V_M2_M2, VSUXSEG4EI64_V }, // 9160
  { PseudoVSUXSEG4EI64_V_M2_M2_MASK, VSUXSEG4EI64_V }, // 9161
  { PseudoVSUXSEG4EI64_V_M2_MF2, VSUXSEG4EI64_V }, // 9162
  { PseudoVSUXSEG4EI64_V_M2_MF2_MASK, VSUXSEG4EI64_V }, // 9163
  { PseudoVSUXSEG4EI64_V_M2_MF4, VSUXSEG4EI64_V }, // 9164
  { PseudoVSUXSEG4EI64_V_M2_MF4_MASK, VSUXSEG4EI64_V }, // 9165
  { PseudoVSUXSEG4EI64_V_M4_M1, VSUXSEG4EI64_V }, // 9166
  { PseudoVSUXSEG4EI64_V_M4_M1_MASK, VSUXSEG4EI64_V }, // 9167
  { PseudoVSUXSEG4EI64_V_M4_M2, VSUXSEG4EI64_V }, // 9168
  { PseudoVSUXSEG4EI64_V_M4_M2_MASK, VSUXSEG4EI64_V }, // 9169
  { PseudoVSUXSEG4EI64_V_M4_MF2, VSUXSEG4EI64_V }, // 9170
  { PseudoVSUXSEG4EI64_V_M4_MF2_MASK, VSUXSEG4EI64_V }, // 9171
  { PseudoVSUXSEG4EI64_V_M8_M1, VSUXSEG4EI64_V }, // 9172
  { PseudoVSUXSEG4EI64_V_M8_M1_MASK, VSUXSEG4EI64_V }, // 9173
  { PseudoVSUXSEG4EI64_V_M8_M2, VSUXSEG4EI64_V }, // 9174
  { PseudoVSUXSEG4EI64_V_M8_M2_MASK, VSUXSEG4EI64_V }, // 9175
  { PseudoVSUXSEG4EI8_V_M1_M1, VSUXSEG4EI8_V }, // 9176
  { PseudoVSUXSEG4EI8_V_M1_M1_MASK, VSUXSEG4EI8_V }, // 9177
  { PseudoVSUXSEG4EI8_V_M1_M2, VSUXSEG4EI8_V }, // 9178
  { PseudoVSUXSEG4EI8_V_M1_M2_MASK, VSUXSEG4EI8_V }, // 9179
  { PseudoVSUXSEG4EI8_V_M2_M2, VSUXSEG4EI8_V }, // 9180
  { PseudoVSUXSEG4EI8_V_M2_M2_MASK, VSUXSEG4EI8_V }, // 9181
  { PseudoVSUXSEG4EI8_V_MF2_M1, VSUXSEG4EI8_V }, // 9182
  { PseudoVSUXSEG4EI8_V_MF2_M1_MASK, VSUXSEG4EI8_V }, // 9183
  { PseudoVSUXSEG4EI8_V_MF2_M2, VSUXSEG4EI8_V }, // 9184
  { PseudoVSUXSEG4EI8_V_MF2_M2_MASK, VSUXSEG4EI8_V }, // 9185
  { PseudoVSUXSEG4EI8_V_MF2_MF2, VSUXSEG4EI8_V }, // 9186
  { PseudoVSUXSEG4EI8_V_MF2_MF2_MASK, VSUXSEG4EI8_V }, // 9187
  { PseudoVSUXSEG4EI8_V_MF4_M1, VSUXSEG4EI8_V }, // 9188
  { PseudoVSUXSEG4EI8_V_MF4_M1_MASK, VSUXSEG4EI8_V }, // 9189
  { PseudoVSUXSEG4EI8_V_MF4_M2, VSUXSEG4EI8_V }, // 9190
  { PseudoVSUXSEG4EI8_V_MF4_M2_MASK, VSUXSEG4EI8_V }, // 9191
  { PseudoVSUXSEG4EI8_V_MF4_MF2, VSUXSEG4EI8_V }, // 9192
  { PseudoVSUXSEG4EI8_V_MF4_MF2_MASK, VSUXSEG4EI8_V }, // 9193
  { PseudoVSUXSEG4EI8_V_MF4_MF4, VSUXSEG4EI8_V }, // 9194
  { PseudoVSUXSEG4EI8_V_MF4_MF4_MASK, VSUXSEG4EI8_V }, // 9195
  { PseudoVSUXSEG4EI8_V_MF8_M1, VSUXSEG4EI8_V }, // 9196
  { PseudoVSUXSEG4EI8_V_MF8_M1_MASK, VSUXSEG4EI8_V }, // 9197
  { PseudoVSUXSEG4EI8_V_MF8_MF2, VSUXSEG4EI8_V }, // 9198
  { PseudoVSUXSEG4EI8_V_MF8_MF2_MASK, VSUXSEG4EI8_V }, // 9199
  { PseudoVSUXSEG4EI8_V_MF8_MF4, VSUXSEG4EI8_V }, // 9200
  { PseudoVSUXSEG4EI8_V_MF8_MF4_MASK, VSUXSEG4EI8_V }, // 9201
  { PseudoVSUXSEG4EI8_V_MF8_MF8, VSUXSEG4EI8_V }, // 9202
  { PseudoVSUXSEG4EI8_V_MF8_MF8_MASK, VSUXSEG4EI8_V }, // 9203
  { PseudoVSUXSEG5EI16_V_M1_M1, VSUXSEG5EI16_V }, // 9204
  { PseudoVSUXSEG5EI16_V_M1_M1_MASK, VSUXSEG5EI16_V }, // 9205
  { PseudoVSUXSEG5EI16_V_M1_MF2, VSUXSEG5EI16_V }, // 9206
  { PseudoVSUXSEG5EI16_V_M1_MF2_MASK, VSUXSEG5EI16_V }, // 9207
  { PseudoVSUXSEG5EI16_V_M2_M1, VSUXSEG5EI16_V }, // 9208
  { PseudoVSUXSEG5EI16_V_M2_M1_MASK, VSUXSEG5EI16_V }, // 9209
  { PseudoVSUXSEG5EI16_V_MF2_M1, VSUXSEG5EI16_V }, // 9210
  { PseudoVSUXSEG5EI16_V_MF2_M1_MASK, VSUXSEG5EI16_V }, // 9211
  { PseudoVSUXSEG5EI16_V_MF2_MF2, VSUXSEG5EI16_V }, // 9212
  { PseudoVSUXSEG5EI16_V_MF2_MF2_MASK, VSUXSEG5EI16_V }, // 9213
  { PseudoVSUXSEG5EI16_V_MF2_MF4, VSUXSEG5EI16_V }, // 9214
  { PseudoVSUXSEG5EI16_V_MF2_MF4_MASK, VSUXSEG5EI16_V }, // 9215
  { PseudoVSUXSEG5EI16_V_MF4_M1, VSUXSEG5EI16_V }, // 9216
  { PseudoVSUXSEG5EI16_V_MF4_M1_MASK, VSUXSEG5EI16_V }, // 9217
  { PseudoVSUXSEG5EI16_V_MF4_MF2, VSUXSEG5EI16_V }, // 9218
  { PseudoVSUXSEG5EI16_V_MF4_MF2_MASK, VSUXSEG5EI16_V }, // 9219
  { PseudoVSUXSEG5EI16_V_MF4_MF4, VSUXSEG5EI16_V }, // 9220
  { PseudoVSUXSEG5EI16_V_MF4_MF4_MASK, VSUXSEG5EI16_V }, // 9221
  { PseudoVSUXSEG5EI16_V_MF4_MF8, VSUXSEG5EI16_V }, // 9222
  { PseudoVSUXSEG5EI16_V_MF4_MF8_MASK, VSUXSEG5EI16_V }, // 9223
  { PseudoVSUXSEG5EI32_V_M1_M1, VSUXSEG5EI32_V }, // 9224
  { PseudoVSUXSEG5EI32_V_M1_M1_MASK, VSUXSEG5EI32_V }, // 9225
  { PseudoVSUXSEG5EI32_V_M1_MF2, VSUXSEG5EI32_V }, // 9226
  { PseudoVSUXSEG5EI32_V_M1_MF2_MASK, VSUXSEG5EI32_V }, // 9227
  { PseudoVSUXSEG5EI32_V_M1_MF4, VSUXSEG5EI32_V }, // 9228
  { PseudoVSUXSEG5EI32_V_M1_MF4_MASK, VSUXSEG5EI32_V }, // 9229
  { PseudoVSUXSEG5EI32_V_M2_M1, VSUXSEG5EI32_V }, // 9230
  { PseudoVSUXSEG5EI32_V_M2_M1_MASK, VSUXSEG5EI32_V }, // 9231
  { PseudoVSUXSEG5EI32_V_M2_MF2, VSUXSEG5EI32_V }, // 9232
  { PseudoVSUXSEG5EI32_V_M2_MF2_MASK, VSUXSEG5EI32_V }, // 9233
  { PseudoVSUXSEG5EI32_V_M4_M1, VSUXSEG5EI32_V }, // 9234
  { PseudoVSUXSEG5EI32_V_M4_M1_MASK, VSUXSEG5EI32_V }, // 9235
  { PseudoVSUXSEG5EI32_V_MF2_M1, VSUXSEG5EI32_V }, // 9236
  { PseudoVSUXSEG5EI32_V_MF2_M1_MASK, VSUXSEG5EI32_V }, // 9237
  { PseudoVSUXSEG5EI32_V_MF2_MF2, VSUXSEG5EI32_V }, // 9238
  { PseudoVSUXSEG5EI32_V_MF2_MF2_MASK, VSUXSEG5EI32_V }, // 9239
  { PseudoVSUXSEG5EI32_V_MF2_MF4, VSUXSEG5EI32_V }, // 9240
  { PseudoVSUXSEG5EI32_V_MF2_MF4_MASK, VSUXSEG5EI32_V }, // 9241
  { PseudoVSUXSEG5EI32_V_MF2_MF8, VSUXSEG5EI32_V }, // 9242
  { PseudoVSUXSEG5EI32_V_MF2_MF8_MASK, VSUXSEG5EI32_V }, // 9243
  { PseudoVSUXSEG5EI64_V_M1_M1, VSUXSEG5EI64_V }, // 9244
  { PseudoVSUXSEG5EI64_V_M1_M1_MASK, VSUXSEG5EI64_V }, // 9245
  { PseudoVSUXSEG5EI64_V_M1_MF2, VSUXSEG5EI64_V }, // 9246
  { PseudoVSUXSEG5EI64_V_M1_MF2_MASK, VSUXSEG5EI64_V }, // 9247
  { PseudoVSUXSEG5EI64_V_M1_MF4, VSUXSEG5EI64_V }, // 9248
  { PseudoVSUXSEG5EI64_V_M1_MF4_MASK, VSUXSEG5EI64_V }, // 9249
  { PseudoVSUXSEG5EI64_V_M1_MF8, VSUXSEG5EI64_V }, // 9250
  { PseudoVSUXSEG5EI64_V_M1_MF8_MASK, VSUXSEG5EI64_V }, // 9251
  { PseudoVSUXSEG5EI64_V_M2_M1, VSUXSEG5EI64_V }, // 9252
  { PseudoVSUXSEG5EI64_V_M2_M1_MASK, VSUXSEG5EI64_V }, // 9253
  { PseudoVSUXSEG5EI64_V_M2_MF2, VSUXSEG5EI64_V }, // 9254
  { PseudoVSUXSEG5EI64_V_M2_MF2_MASK, VSUXSEG5EI64_V }, // 9255
  { PseudoVSUXSEG5EI64_V_M2_MF4, VSUXSEG5EI64_V }, // 9256
  { PseudoVSUXSEG5EI64_V_M2_MF4_MASK, VSUXSEG5EI64_V }, // 9257
  { PseudoVSUXSEG5EI64_V_M4_M1, VSUXSEG5EI64_V }, // 9258
  { PseudoVSUXSEG5EI64_V_M4_M1_MASK, VSUXSEG5EI64_V }, // 9259
  { PseudoVSUXSEG5EI64_V_M4_MF2, VSUXSEG5EI64_V }, // 9260
  { PseudoVSUXSEG5EI64_V_M4_MF2_MASK, VSUXSEG5EI64_V }, // 9261
  { PseudoVSUXSEG5EI64_V_M8_M1, VSUXSEG5EI64_V }, // 9262
  { PseudoVSUXSEG5EI64_V_M8_M1_MASK, VSUXSEG5EI64_V }, // 9263
  { PseudoVSUXSEG5EI8_V_M1_M1, VSUXSEG5EI8_V }, // 9264
  { PseudoVSUXSEG5EI8_V_M1_M1_MASK, VSUXSEG5EI8_V }, // 9265
  { PseudoVSUXSEG5EI8_V_MF2_M1, VSUXSEG5EI8_V }, // 9266
  { PseudoVSUXSEG5EI8_V_MF2_M1_MASK, VSUXSEG5EI8_V }, // 9267
  { PseudoVSUXSEG5EI8_V_MF2_MF2, VSUXSEG5EI8_V }, // 9268
  { PseudoVSUXSEG5EI8_V_MF2_MF2_MASK, VSUXSEG5EI8_V }, // 9269
  { PseudoVSUXSEG5EI8_V_MF4_M1, VSUXSEG5EI8_V }, // 9270
  { PseudoVSUXSEG5EI8_V_MF4_M1_MASK, VSUXSEG5EI8_V }, // 9271
  { PseudoVSUXSEG5EI8_V_MF4_MF2, VSUXSEG5EI8_V }, // 9272
  { PseudoVSUXSEG5EI8_V_MF4_MF2_MASK, VSUXSEG5EI8_V }, // 9273
  { PseudoVSUXSEG5EI8_V_MF4_MF4, VSUXSEG5EI8_V }, // 9274
  { PseudoVSUXSEG5EI8_V_MF4_MF4_MASK, VSUXSEG5EI8_V }, // 9275
  { PseudoVSUXSEG5EI8_V_MF8_M1, VSUXSEG5EI8_V }, // 9276
  { PseudoVSUXSEG5EI8_V_MF8_M1_MASK, VSUXSEG5EI8_V }, // 9277
  { PseudoVSUXSEG5EI8_V_MF8_MF2, VSUXSEG5EI8_V }, // 9278
  { PseudoVSUXSEG5EI8_V_MF8_MF2_MASK, VSUXSEG5EI8_V }, // 9279
  { PseudoVSUXSEG5EI8_V_MF8_MF4, VSUXSEG5EI8_V }, // 9280
  { PseudoVSUXSEG5EI8_V_MF8_MF4_MASK, VSUXSEG5EI8_V }, // 9281
  { PseudoVSUXSEG5EI8_V_MF8_MF8, VSUXSEG5EI8_V }, // 9282
  { PseudoVSUXSEG5EI8_V_MF8_MF8_MASK, VSUXSEG5EI8_V }, // 9283
  { PseudoVSUXSEG6EI16_V_M1_M1, VSUXSEG6EI16_V }, // 9284
  { PseudoVSUXSEG6EI16_V_M1_M1_MASK, VSUXSEG6EI16_V }, // 9285
  { PseudoVSUXSEG6EI16_V_M1_MF2, VSUXSEG6EI16_V }, // 9286
  { PseudoVSUXSEG6EI16_V_M1_MF2_MASK, VSUXSEG6EI16_V }, // 9287
  { PseudoVSUXSEG6EI16_V_M2_M1, VSUXSEG6EI16_V }, // 9288
  { PseudoVSUXSEG6EI16_V_M2_M1_MASK, VSUXSEG6EI16_V }, // 9289
  { PseudoVSUXSEG6EI16_V_MF2_M1, VSUXSEG6EI16_V }, // 9290
  { PseudoVSUXSEG6EI16_V_MF2_M1_MASK, VSUXSEG6EI16_V }, // 9291
  { PseudoVSUXSEG6EI16_V_MF2_MF2, VSUXSEG6EI16_V }, // 9292
  { PseudoVSUXSEG6EI16_V_MF2_MF2_MASK, VSUXSEG6EI16_V }, // 9293
  { PseudoVSUXSEG6EI16_V_MF2_MF4, VSUXSEG6EI16_V }, // 9294
  { PseudoVSUXSEG6EI16_V_MF2_MF4_MASK, VSUXSEG6EI16_V }, // 9295
  { PseudoVSUXSEG6EI16_V_MF4_M1, VSUXSEG6EI16_V }, // 9296
  { PseudoVSUXSEG6EI16_V_MF4_M1_MASK, VSUXSEG6EI16_V }, // 9297
  { PseudoVSUXSEG6EI16_V_MF4_MF2, VSUXSEG6EI16_V }, // 9298
  { PseudoVSUXSEG6EI16_V_MF4_MF2_MASK, VSUXSEG6EI16_V }, // 9299
  { PseudoVSUXSEG6EI16_V_MF4_MF4, VSUXSEG6EI16_V }, // 9300
  { PseudoVSUXSEG6EI16_V_MF4_MF4_MASK, VSUXSEG6EI16_V }, // 9301
  { PseudoVSUXSEG6EI16_V_MF4_MF8, VSUXSEG6EI16_V }, // 9302
  { PseudoVSUXSEG6EI16_V_MF4_MF8_MASK, VSUXSEG6EI16_V }, // 9303
  { PseudoVSUXSEG6EI32_V_M1_M1, VSUXSEG6EI32_V }, // 9304
  { PseudoVSUXSEG6EI32_V_M1_M1_MASK, VSUXSEG6EI32_V }, // 9305
  { PseudoVSUXSEG6EI32_V_M1_MF2, VSUXSEG6EI32_V }, // 9306
  { PseudoVSUXSEG6EI32_V_M1_MF2_MASK, VSUXSEG6EI32_V }, // 9307
  { PseudoVSUXSEG6EI32_V_M1_MF4, VSUXSEG6EI32_V }, // 9308
  { PseudoVSUXSEG6EI32_V_M1_MF4_MASK, VSUXSEG6EI32_V }, // 9309
  { PseudoVSUXSEG6EI32_V_M2_M1, VSUXSEG6EI32_V }, // 9310
  { PseudoVSUXSEG6EI32_V_M2_M1_MASK, VSUXSEG6EI32_V }, // 9311
  { PseudoVSUXSEG6EI32_V_M2_MF2, VSUXSEG6EI32_V }, // 9312
  { PseudoVSUXSEG6EI32_V_M2_MF2_MASK, VSUXSEG6EI32_V }, // 9313
  { PseudoVSUXSEG6EI32_V_M4_M1, VSUXSEG6EI32_V }, // 9314
  { PseudoVSUXSEG6EI32_V_M4_M1_MASK, VSUXSEG6EI32_V }, // 9315
  { PseudoVSUXSEG6EI32_V_MF2_M1, VSUXSEG6EI32_V }, // 9316
  { PseudoVSUXSEG6EI32_V_MF2_M1_MASK, VSUXSEG6EI32_V }, // 9317
  { PseudoVSUXSEG6EI32_V_MF2_MF2, VSUXSEG6EI32_V }, // 9318
  { PseudoVSUXSEG6EI32_V_MF2_MF2_MASK, VSUXSEG6EI32_V }, // 9319
  { PseudoVSUXSEG6EI32_V_MF2_MF4, VSUXSEG6EI32_V }, // 9320
  { PseudoVSUXSEG6EI32_V_MF2_MF4_MASK, VSUXSEG6EI32_V }, // 9321
  { PseudoVSUXSEG6EI32_V_MF2_MF8, VSUXSEG6EI32_V }, // 9322
  { PseudoVSUXSEG6EI32_V_MF2_MF8_MASK, VSUXSEG6EI32_V }, // 9323
  { PseudoVSUXSEG6EI64_V_M1_M1, VSUXSEG6EI64_V }, // 9324
  { PseudoVSUXSEG6EI64_V_M1_M1_MASK, VSUXSEG6EI64_V }, // 9325
  { PseudoVSUXSEG6EI64_V_M1_MF2, VSUXSEG6EI64_V }, // 9326
  { PseudoVSUXSEG6EI64_V_M1_MF2_MASK, VSUXSEG6EI64_V }, // 9327
  { PseudoVSUXSEG6EI64_V_M1_MF4, VSUXSEG6EI64_V }, // 9328
  { PseudoVSUXSEG6EI64_V_M1_MF4_MASK, VSUXSEG6EI64_V }, // 9329
  { PseudoVSUXSEG6EI64_V_M1_MF8, VSUXSEG6EI64_V }, // 9330
  { PseudoVSUXSEG6EI64_V_M1_MF8_MASK, VSUXSEG6EI64_V }, // 9331
  { PseudoVSUXSEG6EI64_V_M2_M1, VSUXSEG6EI64_V }, // 9332
  { PseudoVSUXSEG6EI64_V_M2_M1_MASK, VSUXSEG6EI64_V }, // 9333
  { PseudoVSUXSEG6EI64_V_M2_MF2, VSUXSEG6EI64_V }, // 9334
  { PseudoVSUXSEG6EI64_V_M2_MF2_MASK, VSUXSEG6EI64_V }, // 9335
  { PseudoVSUXSEG6EI64_V_M2_MF4, VSUXSEG6EI64_V }, // 9336
  { PseudoVSUXSEG6EI64_V_M2_MF4_MASK, VSUXSEG6EI64_V }, // 9337
  { PseudoVSUXSEG6EI64_V_M4_M1, VSUXSEG6EI64_V }, // 9338
  { PseudoVSUXSEG6EI64_V_M4_M1_MASK, VSUXSEG6EI64_V }, // 9339
  { PseudoVSUXSEG6EI64_V_M4_MF2, VSUXSEG6EI64_V }, // 9340
  { PseudoVSUXSEG6EI64_V_M4_MF2_MASK, VSUXSEG6EI64_V }, // 9341
  { PseudoVSUXSEG6EI64_V_M8_M1, VSUXSEG6EI64_V }, // 9342
  { PseudoVSUXSEG6EI64_V_M8_M1_MASK, VSUXSEG6EI64_V }, // 9343
  { PseudoVSUXSEG6EI8_V_M1_M1, VSUXSEG6EI8_V }, // 9344
  { PseudoVSUXSEG6EI8_V_M1_M1_MASK, VSUXSEG6EI8_V }, // 9345
  { PseudoVSUXSEG6EI8_V_MF2_M1, VSUXSEG6EI8_V }, // 9346
  { PseudoVSUXSEG6EI8_V_MF2_M1_MASK, VSUXSEG6EI8_V }, // 9347
  { PseudoVSUXSEG6EI8_V_MF2_MF2, VSUXSEG6EI8_V }, // 9348
  { PseudoVSUXSEG6EI8_V_MF2_MF2_MASK, VSUXSEG6EI8_V }, // 9349
  { PseudoVSUXSEG6EI8_V_MF4_M1, VSUXSEG6EI8_V }, // 9350
  { PseudoVSUXSEG6EI8_V_MF4_M1_MASK, VSUXSEG6EI8_V }, // 9351
  { PseudoVSUXSEG6EI8_V_MF4_MF2, VSUXSEG6EI8_V }, // 9352
  { PseudoVSUXSEG6EI8_V_MF4_MF2_MASK, VSUXSEG6EI8_V }, // 9353
  { PseudoVSUXSEG6EI8_V_MF4_MF4, VSUXSEG6EI8_V }, // 9354
  { PseudoVSUXSEG6EI8_V_MF4_MF4_MASK, VSUXSEG6EI8_V }, // 9355
  { PseudoVSUXSEG6EI8_V_MF8_M1, VSUXSEG6EI8_V }, // 9356
  { PseudoVSUXSEG6EI8_V_MF8_M1_MASK, VSUXSEG6EI8_V }, // 9357
  { PseudoVSUXSEG6EI8_V_MF8_MF2, VSUXSEG6EI8_V }, // 9358
  { PseudoVSUXSEG6EI8_V_MF8_MF2_MASK, VSUXSEG6EI8_V }, // 9359
  { PseudoVSUXSEG6EI8_V_MF8_MF4, VSUXSEG6EI8_V }, // 9360
  { PseudoVSUXSEG6EI8_V_MF8_MF4_MASK, VSUXSEG6EI8_V }, // 9361
  { PseudoVSUXSEG6EI8_V_MF8_MF8, VSUXSEG6EI8_V }, // 9362
  { PseudoVSUXSEG6EI8_V_MF8_MF8_MASK, VSUXSEG6EI8_V }, // 9363
  { PseudoVSUXSEG7EI16_V_M1_M1, VSUXSEG7EI16_V }, // 9364
  { PseudoVSUXSEG7EI16_V_M1_M1_MASK, VSUXSEG7EI16_V }, // 9365
  { PseudoVSUXSEG7EI16_V_M1_MF2, VSUXSEG7EI16_V }, // 9366
  { PseudoVSUXSEG7EI16_V_M1_MF2_MASK, VSUXSEG7EI16_V }, // 9367
  { PseudoVSUXSEG7EI16_V_M2_M1, VSUXSEG7EI16_V }, // 9368
  { PseudoVSUXSEG7EI16_V_M2_M1_MASK, VSUXSEG7EI16_V }, // 9369
  { PseudoVSUXSEG7EI16_V_MF2_M1, VSUXSEG7EI16_V }, // 9370
  { PseudoVSUXSEG7EI16_V_MF2_M1_MASK, VSUXSEG7EI16_V }, // 9371
  { PseudoVSUXSEG7EI16_V_MF2_MF2, VSUXSEG7EI16_V }, // 9372
  { PseudoVSUXSEG7EI16_V_MF2_MF2_MASK, VSUXSEG7EI16_V }, // 9373
  { PseudoVSUXSEG7EI16_V_MF2_MF4, VSUXSEG7EI16_V }, // 9374
  { PseudoVSUXSEG7EI16_V_MF2_MF4_MASK, VSUXSEG7EI16_V }, // 9375
  { PseudoVSUXSEG7EI16_V_MF4_M1, VSUXSEG7EI16_V }, // 9376
  { PseudoVSUXSEG7EI16_V_MF4_M1_MASK, VSUXSEG7EI16_V }, // 9377
  { PseudoVSUXSEG7EI16_V_MF4_MF2, VSUXSEG7EI16_V }, // 9378
  { PseudoVSUXSEG7EI16_V_MF4_MF2_MASK, VSUXSEG7EI16_V }, // 9379
  { PseudoVSUXSEG7EI16_V_MF4_MF4, VSUXSEG7EI16_V }, // 9380
  { PseudoVSUXSEG7EI16_V_MF4_MF4_MASK, VSUXSEG7EI16_V }, // 9381
  { PseudoVSUXSEG7EI16_V_MF4_MF8, VSUXSEG7EI16_V }, // 9382
  { PseudoVSUXSEG7EI16_V_MF4_MF8_MASK, VSUXSEG7EI16_V }, // 9383
  { PseudoVSUXSEG7EI32_V_M1_M1, VSUXSEG7EI32_V }, // 9384
  { PseudoVSUXSEG7EI32_V_M1_M1_MASK, VSUXSEG7EI32_V }, // 9385
  { PseudoVSUXSEG7EI32_V_M1_MF2, VSUXSEG7EI32_V }, // 9386
  { PseudoVSUXSEG7EI32_V_M1_MF2_MASK, VSUXSEG7EI32_V }, // 9387
  { PseudoVSUXSEG7EI32_V_M1_MF4, VSUXSEG7EI32_V }, // 9388
  { PseudoVSUXSEG7EI32_V_M1_MF4_MASK, VSUXSEG7EI32_V }, // 9389
  { PseudoVSUXSEG7EI32_V_M2_M1, VSUXSEG7EI32_V }, // 9390
  { PseudoVSUXSEG7EI32_V_M2_M1_MASK, VSUXSEG7EI32_V }, // 9391
  { PseudoVSUXSEG7EI32_V_M2_MF2, VSUXSEG7EI32_V }, // 9392
  { PseudoVSUXSEG7EI32_V_M2_MF2_MASK, VSUXSEG7EI32_V }, // 9393
  { PseudoVSUXSEG7EI32_V_M4_M1, VSUXSEG7EI32_V }, // 9394
  { PseudoVSUXSEG7EI32_V_M4_M1_MASK, VSUXSEG7EI32_V }, // 9395
  { PseudoVSUXSEG7EI32_V_MF2_M1, VSUXSEG7EI32_V }, // 9396
  { PseudoVSUXSEG7EI32_V_MF2_M1_MASK, VSUXSEG7EI32_V }, // 9397
  { PseudoVSUXSEG7EI32_V_MF2_MF2, VSUXSEG7EI32_V }, // 9398
  { PseudoVSUXSEG7EI32_V_MF2_MF2_MASK, VSUXSEG7EI32_V }, // 9399
  { PseudoVSUXSEG7EI32_V_MF2_MF4, VSUXSEG7EI32_V }, // 9400
  { PseudoVSUXSEG7EI32_V_MF2_MF4_MASK, VSUXSEG7EI32_V }, // 9401
  { PseudoVSUXSEG7EI32_V_MF2_MF8, VSUXSEG7EI32_V }, // 9402
  { PseudoVSUXSEG7EI32_V_MF2_MF8_MASK, VSUXSEG7EI32_V }, // 9403
  { PseudoVSUXSEG7EI64_V_M1_M1, VSUXSEG7EI64_V }, // 9404
  { PseudoVSUXSEG7EI64_V_M1_M1_MASK, VSUXSEG7EI64_V }, // 9405
  { PseudoVSUXSEG7EI64_V_M1_MF2, VSUXSEG7EI64_V }, // 9406
  { PseudoVSUXSEG7EI64_V_M1_MF2_MASK, VSUXSEG7EI64_V }, // 9407
  { PseudoVSUXSEG7EI64_V_M1_MF4, VSUXSEG7EI64_V }, // 9408
  { PseudoVSUXSEG7EI64_V_M1_MF4_MASK, VSUXSEG7EI64_V }, // 9409
  { PseudoVSUXSEG7EI64_V_M1_MF8, VSUXSEG7EI64_V }, // 9410
  { PseudoVSUXSEG7EI64_V_M1_MF8_MASK, VSUXSEG7EI64_V }, // 9411
  { PseudoVSUXSEG7EI64_V_M2_M1, VSUXSEG7EI64_V }, // 9412
  { PseudoVSUXSEG7EI64_V_M2_M1_MASK, VSUXSEG7EI64_V }, // 9413
  { PseudoVSUXSEG7EI64_V_M2_MF2, VSUXSEG7EI64_V }, // 9414
  { PseudoVSUXSEG7EI64_V_M2_MF2_MASK, VSUXSEG7EI64_V }, // 9415
  { PseudoVSUXSEG7EI64_V_M2_MF4, VSUXSEG7EI64_V }, // 9416
  { PseudoVSUXSEG7EI64_V_M2_MF4_MASK, VSUXSEG7EI64_V }, // 9417
  { PseudoVSUXSEG7EI64_V_M4_M1, VSUXSEG7EI64_V }, // 9418
  { PseudoVSUXSEG7EI64_V_M4_M1_MASK, VSUXSEG7EI64_V }, // 9419
  { PseudoVSUXSEG7EI64_V_M4_MF2, VSUXSEG7EI64_V }, // 9420
  { PseudoVSUXSEG7EI64_V_M4_MF2_MASK, VSUXSEG7EI64_V }, // 9421
  { PseudoVSUXSEG7EI64_V_M8_M1, VSUXSEG7EI64_V }, // 9422
  { PseudoVSUXSEG7EI64_V_M8_M1_MASK, VSUXSEG7EI64_V }, // 9423
  { PseudoVSUXSEG7EI8_V_M1_M1, VSUXSEG7EI8_V }, // 9424
  { PseudoVSUXSEG7EI8_V_M1_M1_MASK, VSUXSEG7EI8_V }, // 9425
  { PseudoVSUXSEG7EI8_V_MF2_M1, VSUXSEG7EI8_V }, // 9426
  { PseudoVSUXSEG7EI8_V_MF2_M1_MASK, VSUXSEG7EI8_V }, // 9427
  { PseudoVSUXSEG7EI8_V_MF2_MF2, VSUXSEG7EI8_V }, // 9428
  { PseudoVSUXSEG7EI8_V_MF2_MF2_MASK, VSUXSEG7EI8_V }, // 9429
  { PseudoVSUXSEG7EI8_V_MF4_M1, VSUXSEG7EI8_V }, // 9430
  { PseudoVSUXSEG7EI8_V_MF4_M1_MASK, VSUXSEG7EI8_V }, // 9431
  { PseudoVSUXSEG7EI8_V_MF4_MF2, VSUXSEG7EI8_V }, // 9432
  { PseudoVSUXSEG7EI8_V_MF4_MF2_MASK, VSUXSEG7EI8_V }, // 9433
  { PseudoVSUXSEG7EI8_V_MF4_MF4, VSUXSEG7EI8_V }, // 9434
  { PseudoVSUXSEG7EI8_V_MF4_MF4_MASK, VSUXSEG7EI8_V }, // 9435
  { PseudoVSUXSEG7EI8_V_MF8_M1, VSUXSEG7EI8_V }, // 9436
  { PseudoVSUXSEG7EI8_V_MF8_M1_MASK, VSUXSEG7EI8_V }, // 9437
  { PseudoVSUXSEG7EI8_V_MF8_MF2, VSUXSEG7EI8_V }, // 9438
  { PseudoVSUXSEG7EI8_V_MF8_MF2_MASK, VSUXSEG7EI8_V }, // 9439
  { PseudoVSUXSEG7EI8_V_MF8_MF4, VSUXSEG7EI8_V }, // 9440
  { PseudoVSUXSEG7EI8_V_MF8_MF4_MASK, VSUXSEG7EI8_V }, // 9441
  { PseudoVSUXSEG7EI8_V_MF8_MF8, VSUXSEG7EI8_V }, // 9442
  { PseudoVSUXSEG7EI8_V_MF8_MF8_MASK, VSUXSEG7EI8_V }, // 9443
  { PseudoVSUXSEG8EI16_V_M1_M1, VSUXSEG8EI16_V }, // 9444
  { PseudoVSUXSEG8EI16_V_M1_M1_MASK, VSUXSEG8EI16_V }, // 9445
  { PseudoVSUXSEG8EI16_V_M1_MF2, VSUXSEG8EI16_V }, // 9446
  { PseudoVSUXSEG8EI16_V_M1_MF2_MASK, VSUXSEG8EI16_V }, // 9447
  { PseudoVSUXSEG8EI16_V_M2_M1, VSUXSEG8EI16_V }, // 9448
  { PseudoVSUXSEG8EI16_V_M2_M1_MASK, VSUXSEG8EI16_V }, // 9449
  { PseudoVSUXSEG8EI16_V_MF2_M1, VSUXSEG8EI16_V }, // 9450
  { PseudoVSUXSEG8EI16_V_MF2_M1_MASK, VSUXSEG8EI16_V }, // 9451
  { PseudoVSUXSEG8EI16_V_MF2_MF2, VSUXSEG8EI16_V }, // 9452
  { PseudoVSUXSEG8EI16_V_MF2_MF2_MASK, VSUXSEG8EI16_V }, // 9453
  { PseudoVSUXSEG8EI16_V_MF2_MF4, VSUXSEG8EI16_V }, // 9454
  { PseudoVSUXSEG8EI16_V_MF2_MF4_MASK, VSUXSEG8EI16_V }, // 9455
  { PseudoVSUXSEG8EI16_V_MF4_M1, VSUXSEG8EI16_V }, // 9456
  { PseudoVSUXSEG8EI16_V_MF4_M1_MASK, VSUXSEG8EI16_V }, // 9457
  { PseudoVSUXSEG8EI16_V_MF4_MF2, VSUXSEG8EI16_V }, // 9458
  { PseudoVSUXSEG8EI16_V_MF4_MF2_MASK, VSUXSEG8EI16_V }, // 9459
  { PseudoVSUXSEG8EI16_V_MF4_MF4, VSUXSEG8EI16_V }, // 9460
  { PseudoVSUXSEG8EI16_V_MF4_MF4_MASK, VSUXSEG8EI16_V }, // 9461
  { PseudoVSUXSEG8EI16_V_MF4_MF8, VSUXSEG8EI16_V }, // 9462
  { PseudoVSUXSEG8EI16_V_MF4_MF8_MASK, VSUXSEG8EI16_V }, // 9463
  { PseudoVSUXSEG8EI32_V_M1_M1, VSUXSEG8EI32_V }, // 9464
  { PseudoVSUXSEG8EI32_V_M1_M1_MASK, VSUXSEG8EI32_V }, // 9465
  { PseudoVSUXSEG8EI32_V_M1_MF2, VSUXSEG8EI32_V }, // 9466
  { PseudoVSUXSEG8EI32_V_M1_MF2_MASK, VSUXSEG8EI32_V }, // 9467
  { PseudoVSUXSEG8EI32_V_M1_MF4, VSUXSEG8EI32_V }, // 9468
  { PseudoVSUXSEG8EI32_V_M1_MF4_MASK, VSUXSEG8EI32_V }, // 9469
  { PseudoVSUXSEG8EI32_V_M2_M1, VSUXSEG8EI32_V }, // 9470
  { PseudoVSUXSEG8EI32_V_M2_M1_MASK, VSUXSEG8EI32_V }, // 9471
  { PseudoVSUXSEG8EI32_V_M2_MF2, VSUXSEG8EI32_V }, // 9472
  { PseudoVSUXSEG8EI32_V_M2_MF2_MASK, VSUXSEG8EI32_V }, // 9473
  { PseudoVSUXSEG8EI32_V_M4_M1, VSUXSEG8EI32_V }, // 9474
  { PseudoVSUXSEG8EI32_V_M4_M1_MASK, VSUXSEG8EI32_V }, // 9475
  { PseudoVSUXSEG8EI32_V_MF2_M1, VSUXSEG8EI32_V }, // 9476
  { PseudoVSUXSEG8EI32_V_MF2_M1_MASK, VSUXSEG8EI32_V }, // 9477
  { PseudoVSUXSEG8EI32_V_MF2_MF2, VSUXSEG8EI32_V }, // 9478
  { PseudoVSUXSEG8EI32_V_MF2_MF2_MASK, VSUXSEG8EI32_V }, // 9479
  { PseudoVSUXSEG8EI32_V_MF2_MF4, VSUXSEG8EI32_V }, // 9480
  { PseudoVSUXSEG8EI32_V_MF2_MF4_MASK, VSUXSEG8EI32_V }, // 9481
  { PseudoVSUXSEG8EI32_V_MF2_MF8, VSUXSEG8EI32_V }, // 9482
  { PseudoVSUXSEG8EI32_V_MF2_MF8_MASK, VSUXSEG8EI32_V }, // 9483
  { PseudoVSUXSEG8EI64_V_M1_M1, VSUXSEG8EI64_V }, // 9484
  { PseudoVSUXSEG8EI64_V_M1_M1_MASK, VSUXSEG8EI64_V }, // 9485
  { PseudoVSUXSEG8EI64_V_M1_MF2, VSUXSEG8EI64_V }, // 9486
  { PseudoVSUXSEG8EI64_V_M1_MF2_MASK, VSUXSEG8EI64_V }, // 9487
  { PseudoVSUXSEG8EI64_V_M1_MF4, VSUXSEG8EI64_V }, // 9488
  { PseudoVSUXSEG8EI64_V_M1_MF4_MASK, VSUXSEG8EI64_V }, // 9489
  { PseudoVSUXSEG8EI64_V_M1_MF8, VSUXSEG8EI64_V }, // 9490
  { PseudoVSUXSEG8EI64_V_M1_MF8_MASK, VSUXSEG8EI64_V }, // 9491
  { PseudoVSUXSEG8EI64_V_M2_M1, VSUXSEG8EI64_V }, // 9492
  { PseudoVSUXSEG8EI64_V_M2_M1_MASK, VSUXSEG8EI64_V }, // 9493
  { PseudoVSUXSEG8EI64_V_M2_MF2, VSUXSEG8EI64_V }, // 9494
  { PseudoVSUXSEG8EI64_V_M2_MF2_MASK, VSUXSEG8EI64_V }, // 9495
  { PseudoVSUXSEG8EI64_V_M2_MF4, VSUXSEG8EI64_V }, // 9496
  { PseudoVSUXSEG8EI64_V_M2_MF4_MASK, VSUXSEG8EI64_V }, // 9497
  { PseudoVSUXSEG8EI64_V_M4_M1, VSUXSEG8EI64_V }, // 9498
  { PseudoVSUXSEG8EI64_V_M4_M1_MASK, VSUXSEG8EI64_V }, // 9499
  { PseudoVSUXSEG8EI64_V_M4_MF2, VSUXSEG8EI64_V }, // 9500
  { PseudoVSUXSEG8EI64_V_M4_MF2_MASK, VSUXSEG8EI64_V }, // 9501
  { PseudoVSUXSEG8EI64_V_M8_M1, VSUXSEG8EI64_V }, // 9502
  { PseudoVSUXSEG8EI64_V_M8_M1_MASK, VSUXSEG8EI64_V }, // 9503
  { PseudoVSUXSEG8EI8_V_M1_M1, VSUXSEG8EI8_V }, // 9504
  { PseudoVSUXSEG8EI8_V_M1_M1_MASK, VSUXSEG8EI8_V }, // 9505
  { PseudoVSUXSEG8EI8_V_MF2_M1, VSUXSEG8EI8_V }, // 9506
  { PseudoVSUXSEG8EI8_V_MF2_M1_MASK, VSUXSEG8EI8_V }, // 9507
  { PseudoVSUXSEG8EI8_V_MF2_MF2, VSUXSEG8EI8_V }, // 9508
  { PseudoVSUXSEG8EI8_V_MF2_MF2_MASK, VSUXSEG8EI8_V }, // 9509
  { PseudoVSUXSEG8EI8_V_MF4_M1, VSUXSEG8EI8_V }, // 9510
  { PseudoVSUXSEG8EI8_V_MF4_M1_MASK, VSUXSEG8EI8_V }, // 9511
  { PseudoVSUXSEG8EI8_V_MF4_MF2, VSUXSEG8EI8_V }, // 9512
  { PseudoVSUXSEG8EI8_V_MF4_MF2_MASK, VSUXSEG8EI8_V }, // 9513
  { PseudoVSUXSEG8EI8_V_MF4_MF4, VSUXSEG8EI8_V }, // 9514
  { PseudoVSUXSEG8EI8_V_MF4_MF4_MASK, VSUXSEG8EI8_V }, // 9515
  { PseudoVSUXSEG8EI8_V_MF8_M1, VSUXSEG8EI8_V }, // 9516
  { PseudoVSUXSEG8EI8_V_MF8_M1_MASK, VSUXSEG8EI8_V }, // 9517
  { PseudoVSUXSEG8EI8_V_MF8_MF2, VSUXSEG8EI8_V }, // 9518
  { PseudoVSUXSEG8EI8_V_MF8_MF2_MASK, VSUXSEG8EI8_V }, // 9519
  { PseudoVSUXSEG8EI8_V_MF8_MF4, VSUXSEG8EI8_V }, // 9520
  { PseudoVSUXSEG8EI8_V_MF8_MF4_MASK, VSUXSEG8EI8_V }, // 9521
  { PseudoVSUXSEG8EI8_V_MF8_MF8, VSUXSEG8EI8_V }, // 9522
  { PseudoVSUXSEG8EI8_V_MF8_MF8_MASK, VSUXSEG8EI8_V }, // 9523
  { PseudoVWADDU_VV_M1, VWADDU_VV }, // 9524
  { PseudoVWADDU_VV_M1_MASK, VWADDU_VV }, // 9525
  { PseudoVWADDU_VV_M2, VWADDU_VV }, // 9526
  { PseudoVWADDU_VV_M2_MASK, VWADDU_VV }, // 9527
  { PseudoVWADDU_VV_M4, VWADDU_VV }, // 9528
  { PseudoVWADDU_VV_M4_MASK, VWADDU_VV }, // 9529
  { PseudoVWADDU_VV_MF2, VWADDU_VV }, // 9530
  { PseudoVWADDU_VV_MF2_MASK, VWADDU_VV }, // 9531
  { PseudoVWADDU_VV_MF4, VWADDU_VV }, // 9532
  { PseudoVWADDU_VV_MF4_MASK, VWADDU_VV }, // 9533
  { PseudoVWADDU_VV_MF8, VWADDU_VV }, // 9534
  { PseudoVWADDU_VV_MF8_MASK, VWADDU_VV }, // 9535
  { PseudoVWADDU_VX_M1, VWADDU_VX }, // 9536
  { PseudoVWADDU_VX_M1_MASK, VWADDU_VX }, // 9537
  { PseudoVWADDU_VX_M2, VWADDU_VX }, // 9538
  { PseudoVWADDU_VX_M2_MASK, VWADDU_VX }, // 9539
  { PseudoVWADDU_VX_M4, VWADDU_VX }, // 9540
  { PseudoVWADDU_VX_M4_MASK, VWADDU_VX }, // 9541
  { PseudoVWADDU_VX_MF2, VWADDU_VX }, // 9542
  { PseudoVWADDU_VX_MF2_MASK, VWADDU_VX }, // 9543
  { PseudoVWADDU_VX_MF4, VWADDU_VX }, // 9544
  { PseudoVWADDU_VX_MF4_MASK, VWADDU_VX }, // 9545
  { PseudoVWADDU_VX_MF8, VWADDU_VX }, // 9546
  { PseudoVWADDU_VX_MF8_MASK, VWADDU_VX }, // 9547
  { PseudoVWADDU_WV_M1, VWADDU_WV }, // 9548
  { PseudoVWADDU_WV_M1_MASK, VWADDU_WV }, // 9549
  { PseudoVWADDU_WV_M1_MASK_TIED, VWADDU_WV }, // 9550
  { PseudoVWADDU_WV_M1_TIED, VWADDU_WV }, // 9551
  { PseudoVWADDU_WV_M2, VWADDU_WV }, // 9552
  { PseudoVWADDU_WV_M2_MASK, VWADDU_WV }, // 9553
  { PseudoVWADDU_WV_M2_MASK_TIED, VWADDU_WV }, // 9554
  { PseudoVWADDU_WV_M2_TIED, VWADDU_WV }, // 9555
  { PseudoVWADDU_WV_M4, VWADDU_WV }, // 9556
  { PseudoVWADDU_WV_M4_MASK, VWADDU_WV }, // 9557
  { PseudoVWADDU_WV_M4_MASK_TIED, VWADDU_WV }, // 9558
  { PseudoVWADDU_WV_M4_TIED, VWADDU_WV }, // 9559
  { PseudoVWADDU_WV_MF2, VWADDU_WV }, // 9560
  { PseudoVWADDU_WV_MF2_MASK, VWADDU_WV }, // 9561
  { PseudoVWADDU_WV_MF2_MASK_TIED, VWADDU_WV }, // 9562
  { PseudoVWADDU_WV_MF2_TIED, VWADDU_WV }, // 9563
  { PseudoVWADDU_WV_MF4, VWADDU_WV }, // 9564
  { PseudoVWADDU_WV_MF4_MASK, VWADDU_WV }, // 9565
  { PseudoVWADDU_WV_MF4_MASK_TIED, VWADDU_WV }, // 9566
  { PseudoVWADDU_WV_MF4_TIED, VWADDU_WV }, // 9567
  { PseudoVWADDU_WV_MF8, VWADDU_WV }, // 9568
  { PseudoVWADDU_WV_MF8_MASK, VWADDU_WV }, // 9569
  { PseudoVWADDU_WV_MF8_MASK_TIED, VWADDU_WV }, // 9570
  { PseudoVWADDU_WV_MF8_TIED, VWADDU_WV }, // 9571
  { PseudoVWADDU_WX_M1, VWADDU_WX }, // 9572
  { PseudoVWADDU_WX_M1_MASK, VWADDU_WX }, // 9573
  { PseudoVWADDU_WX_M2, VWADDU_WX }, // 9574
  { PseudoVWADDU_WX_M2_MASK, VWADDU_WX }, // 9575
  { PseudoVWADDU_WX_M4, VWADDU_WX }, // 9576
  { PseudoVWADDU_WX_M4_MASK, VWADDU_WX }, // 9577
  { PseudoVWADDU_WX_MF2, VWADDU_WX }, // 9578
  { PseudoVWADDU_WX_MF2_MASK, VWADDU_WX }, // 9579
  { PseudoVWADDU_WX_MF4, VWADDU_WX }, // 9580
  { PseudoVWADDU_WX_MF4_MASK, VWADDU_WX }, // 9581
  { PseudoVWADDU_WX_MF8, VWADDU_WX }, // 9582
  { PseudoVWADDU_WX_MF8_MASK, VWADDU_WX }, // 9583
  { PseudoVWADD_VV_M1, VWADD_VV }, // 9584
  { PseudoVWADD_VV_M1_MASK, VWADD_VV }, // 9585
  { PseudoVWADD_VV_M2, VWADD_VV }, // 9586
  { PseudoVWADD_VV_M2_MASK, VWADD_VV }, // 9587
  { PseudoVWADD_VV_M4, VWADD_VV }, // 9588
  { PseudoVWADD_VV_M4_MASK, VWADD_VV }, // 9589
  { PseudoVWADD_VV_MF2, VWADD_VV }, // 9590
  { PseudoVWADD_VV_MF2_MASK, VWADD_VV }, // 9591
  { PseudoVWADD_VV_MF4, VWADD_VV }, // 9592
  { PseudoVWADD_VV_MF4_MASK, VWADD_VV }, // 9593
  { PseudoVWADD_VV_MF8, VWADD_VV }, // 9594
  { PseudoVWADD_VV_MF8_MASK, VWADD_VV }, // 9595
  { PseudoVWADD_VX_M1, VWADD_VX }, // 9596
  { PseudoVWADD_VX_M1_MASK, VWADD_VX }, // 9597
  { PseudoVWADD_VX_M2, VWADD_VX }, // 9598
  { PseudoVWADD_VX_M2_MASK, VWADD_VX }, // 9599
  { PseudoVWADD_VX_M4, VWADD_VX }, // 9600
  { PseudoVWADD_VX_M4_MASK, VWADD_VX }, // 9601
  { PseudoVWADD_VX_MF2, VWADD_VX }, // 9602
  { PseudoVWADD_VX_MF2_MASK, VWADD_VX }, // 9603
  { PseudoVWADD_VX_MF4, VWADD_VX }, // 9604
  { PseudoVWADD_VX_MF4_MASK, VWADD_VX }, // 9605
  { PseudoVWADD_VX_MF8, VWADD_VX }, // 9606
  { PseudoVWADD_VX_MF8_MASK, VWADD_VX }, // 9607
  { PseudoVWADD_WV_M1, VWADD_WV }, // 9608
  { PseudoVWADD_WV_M1_MASK, VWADD_WV }, // 9609
  { PseudoVWADD_WV_M1_MASK_TIED, VWADD_WV }, // 9610
  { PseudoVWADD_WV_M1_TIED, VWADD_WV }, // 9611
  { PseudoVWADD_WV_M2, VWADD_WV }, // 9612
  { PseudoVWADD_WV_M2_MASK, VWADD_WV }, // 9613
  { PseudoVWADD_WV_M2_MASK_TIED, VWADD_WV }, // 9614
  { PseudoVWADD_WV_M2_TIED, VWADD_WV }, // 9615
  { PseudoVWADD_WV_M4, VWADD_WV }, // 9616
  { PseudoVWADD_WV_M4_MASK, VWADD_WV }, // 9617
  { PseudoVWADD_WV_M4_MASK_TIED, VWADD_WV }, // 9618
  { PseudoVWADD_WV_M4_TIED, VWADD_WV }, // 9619
  { PseudoVWADD_WV_MF2, VWADD_WV }, // 9620
  { PseudoVWADD_WV_MF2_MASK, VWADD_WV }, // 9621
  { PseudoVWADD_WV_MF2_MASK_TIED, VWADD_WV }, // 9622
  { PseudoVWADD_WV_MF2_TIED, VWADD_WV }, // 9623
  { PseudoVWADD_WV_MF4, VWADD_WV }, // 9624
  { PseudoVWADD_WV_MF4_MASK, VWADD_WV }, // 9625
  { PseudoVWADD_WV_MF4_MASK_TIED, VWADD_WV }, // 9626
  { PseudoVWADD_WV_MF4_TIED, VWADD_WV }, // 9627
  { PseudoVWADD_WV_MF8, VWADD_WV }, // 9628
  { PseudoVWADD_WV_MF8_MASK, VWADD_WV }, // 9629
  { PseudoVWADD_WV_MF8_MASK_TIED, VWADD_WV }, // 9630
  { PseudoVWADD_WV_MF8_TIED, VWADD_WV }, // 9631
  { PseudoVWADD_WX_M1, VWADD_WX }, // 9632
  { PseudoVWADD_WX_M1_MASK, VWADD_WX }, // 9633
  { PseudoVWADD_WX_M2, VWADD_WX }, // 9634
  { PseudoVWADD_WX_M2_MASK, VWADD_WX }, // 9635
  { PseudoVWADD_WX_M4, VWADD_WX }, // 9636
  { PseudoVWADD_WX_M4_MASK, VWADD_WX }, // 9637
  { PseudoVWADD_WX_MF2, VWADD_WX }, // 9638
  { PseudoVWADD_WX_MF2_MASK, VWADD_WX }, // 9639
  { PseudoVWADD_WX_MF4, VWADD_WX }, // 9640
  { PseudoVWADD_WX_MF4_MASK, VWADD_WX }, // 9641
  { PseudoVWADD_WX_MF8, VWADD_WX }, // 9642
  { PseudoVWADD_WX_MF8_MASK, VWADD_WX }, // 9643
  { PseudoVWMACCSU_VV_M1, VWMACCSU_VV }, // 9644
  { PseudoVWMACCSU_VV_M1_MASK, VWMACCSU_VV }, // 9645
  { PseudoVWMACCSU_VV_M2, VWMACCSU_VV }, // 9646
  { PseudoVWMACCSU_VV_M2_MASK, VWMACCSU_VV }, // 9647
  { PseudoVWMACCSU_VV_M4, VWMACCSU_VV }, // 9648
  { PseudoVWMACCSU_VV_M4_MASK, VWMACCSU_VV }, // 9649
  { PseudoVWMACCSU_VV_MF2, VWMACCSU_VV }, // 9650
  { PseudoVWMACCSU_VV_MF2_MASK, VWMACCSU_VV }, // 9651
  { PseudoVWMACCSU_VV_MF4, VWMACCSU_VV }, // 9652
  { PseudoVWMACCSU_VV_MF4_MASK, VWMACCSU_VV }, // 9653
  { PseudoVWMACCSU_VV_MF8, VWMACCSU_VV }, // 9654
  { PseudoVWMACCSU_VV_MF8_MASK, VWMACCSU_VV }, // 9655
  { PseudoVWMACCSU_VX_M1, VWMACCSU_VX }, // 9656
  { PseudoVWMACCSU_VX_M1_MASK, VWMACCSU_VX }, // 9657
  { PseudoVWMACCSU_VX_M2, VWMACCSU_VX }, // 9658
  { PseudoVWMACCSU_VX_M2_MASK, VWMACCSU_VX }, // 9659
  { PseudoVWMACCSU_VX_M4, VWMACCSU_VX }, // 9660
  { PseudoVWMACCSU_VX_M4_MASK, VWMACCSU_VX }, // 9661
  { PseudoVWMACCSU_VX_MF2, VWMACCSU_VX }, // 9662
  { PseudoVWMACCSU_VX_MF2_MASK, VWMACCSU_VX }, // 9663
  { PseudoVWMACCSU_VX_MF4, VWMACCSU_VX }, // 9664
  { PseudoVWMACCSU_VX_MF4_MASK, VWMACCSU_VX }, // 9665
  { PseudoVWMACCSU_VX_MF8, VWMACCSU_VX }, // 9666
  { PseudoVWMACCSU_VX_MF8_MASK, VWMACCSU_VX }, // 9667
  { PseudoVWMACCUS_VX_M1, VWMACCUS_VX }, // 9668
  { PseudoVWMACCUS_VX_M1_MASK, VWMACCUS_VX }, // 9669
  { PseudoVWMACCUS_VX_M2, VWMACCUS_VX }, // 9670
  { PseudoVWMACCUS_VX_M2_MASK, VWMACCUS_VX }, // 9671
  { PseudoVWMACCUS_VX_M4, VWMACCUS_VX }, // 9672
  { PseudoVWMACCUS_VX_M4_MASK, VWMACCUS_VX }, // 9673
  { PseudoVWMACCUS_VX_MF2, VWMACCUS_VX }, // 9674
  { PseudoVWMACCUS_VX_MF2_MASK, VWMACCUS_VX }, // 9675
  { PseudoVWMACCUS_VX_MF4, VWMACCUS_VX }, // 9676
  { PseudoVWMACCUS_VX_MF4_MASK, VWMACCUS_VX }, // 9677
  { PseudoVWMACCUS_VX_MF8, VWMACCUS_VX }, // 9678
  { PseudoVWMACCUS_VX_MF8_MASK, VWMACCUS_VX }, // 9679
  { PseudoVWMACCU_VV_M1, VWMACCU_VV }, // 9680
  { PseudoVWMACCU_VV_M1_MASK, VWMACCU_VV }, // 9681
  { PseudoVWMACCU_VV_M2, VWMACCU_VV }, // 9682
  { PseudoVWMACCU_VV_M2_MASK, VWMACCU_VV }, // 9683
  { PseudoVWMACCU_VV_M4, VWMACCU_VV }, // 9684
  { PseudoVWMACCU_VV_M4_MASK, VWMACCU_VV }, // 9685
  { PseudoVWMACCU_VV_MF2, VWMACCU_VV }, // 9686
  { PseudoVWMACCU_VV_MF2_MASK, VWMACCU_VV }, // 9687
  { PseudoVWMACCU_VV_MF4, VWMACCU_VV }, // 9688
  { PseudoVWMACCU_VV_MF4_MASK, VWMACCU_VV }, // 9689
  { PseudoVWMACCU_VV_MF8, VWMACCU_VV }, // 9690
  { PseudoVWMACCU_VV_MF8_MASK, VWMACCU_VV }, // 9691
  { PseudoVWMACCU_VX_M1, VWMACCU_VX }, // 9692
  { PseudoVWMACCU_VX_M1_MASK, VWMACCU_VX }, // 9693
  { PseudoVWMACCU_VX_M2, VWMACCU_VX }, // 9694
  { PseudoVWMACCU_VX_M2_MASK, VWMACCU_VX }, // 9695
  { PseudoVWMACCU_VX_M4, VWMACCU_VX }, // 9696
  { PseudoVWMACCU_VX_M4_MASK, VWMACCU_VX }, // 9697
  { PseudoVWMACCU_VX_MF2, VWMACCU_VX }, // 9698
  { PseudoVWMACCU_VX_MF2_MASK, VWMACCU_VX }, // 9699
  { PseudoVWMACCU_VX_MF4, VWMACCU_VX }, // 9700
  { PseudoVWMACCU_VX_MF4_MASK, VWMACCU_VX }, // 9701
  { PseudoVWMACCU_VX_MF8, VWMACCU_VX }, // 9702
  { PseudoVWMACCU_VX_MF8_MASK, VWMACCU_VX }, // 9703
  { PseudoVWMACC_VV_M1, VWMACC_VV }, // 9704
  { PseudoVWMACC_VV_M1_MASK, VWMACC_VV }, // 9705
  { PseudoVWMACC_VV_M2, VWMACC_VV }, // 9706
  { PseudoVWMACC_VV_M2_MASK, VWMACC_VV }, // 9707
  { PseudoVWMACC_VV_M4, VWMACC_VV }, // 9708
  { PseudoVWMACC_VV_M4_MASK, VWMACC_VV }, // 9709
  { PseudoVWMACC_VV_MF2, VWMACC_VV }, // 9710
  { PseudoVWMACC_VV_MF2_MASK, VWMACC_VV }, // 9711
  { PseudoVWMACC_VV_MF4, VWMACC_VV }, // 9712
  { PseudoVWMACC_VV_MF4_MASK, VWMACC_VV }, // 9713
  { PseudoVWMACC_VV_MF8, VWMACC_VV }, // 9714
  { PseudoVWMACC_VV_MF8_MASK, VWMACC_VV }, // 9715
  { PseudoVWMACC_VX_M1, VWMACC_VX }, // 9716
  { PseudoVWMACC_VX_M1_MASK, VWMACC_VX }, // 9717
  { PseudoVWMACC_VX_M2, VWMACC_VX }, // 9718
  { PseudoVWMACC_VX_M2_MASK, VWMACC_VX }, // 9719
  { PseudoVWMACC_VX_M4, VWMACC_VX }, // 9720
  { PseudoVWMACC_VX_M4_MASK, VWMACC_VX }, // 9721
  { PseudoVWMACC_VX_MF2, VWMACC_VX }, // 9722
  { PseudoVWMACC_VX_MF2_MASK, VWMACC_VX }, // 9723
  { PseudoVWMACC_VX_MF4, VWMACC_VX }, // 9724
  { PseudoVWMACC_VX_MF4_MASK, VWMACC_VX }, // 9725
  { PseudoVWMACC_VX_MF8, VWMACC_VX }, // 9726
  { PseudoVWMACC_VX_MF8_MASK, VWMACC_VX }, // 9727
  { PseudoVWMULSU_VV_M1, VWMULSU_VV }, // 9728
  { PseudoVWMULSU_VV_M1_MASK, VWMULSU_VV }, // 9729
  { PseudoVWMULSU_VV_M2, VWMULSU_VV }, // 9730
  { PseudoVWMULSU_VV_M2_MASK, VWMULSU_VV }, // 9731
  { PseudoVWMULSU_VV_M4, VWMULSU_VV }, // 9732
  { PseudoVWMULSU_VV_M4_MASK, VWMULSU_VV }, // 9733
  { PseudoVWMULSU_VV_MF2, VWMULSU_VV }, // 9734
  { PseudoVWMULSU_VV_MF2_MASK, VWMULSU_VV }, // 9735
  { PseudoVWMULSU_VV_MF4, VWMULSU_VV }, // 9736
  { PseudoVWMULSU_VV_MF4_MASK, VWMULSU_VV }, // 9737
  { PseudoVWMULSU_VV_MF8, VWMULSU_VV }, // 9738
  { PseudoVWMULSU_VV_MF8_MASK, VWMULSU_VV }, // 9739
  { PseudoVWMULSU_VX_M1, VWMULSU_VX }, // 9740
  { PseudoVWMULSU_VX_M1_MASK, VWMULSU_VX }, // 9741
  { PseudoVWMULSU_VX_M2, VWMULSU_VX }, // 9742
  { PseudoVWMULSU_VX_M2_MASK, VWMULSU_VX }, // 9743
  { PseudoVWMULSU_VX_M4, VWMULSU_VX }, // 9744
  { PseudoVWMULSU_VX_M4_MASK, VWMULSU_VX }, // 9745
  { PseudoVWMULSU_VX_MF2, VWMULSU_VX }, // 9746
  { PseudoVWMULSU_VX_MF2_MASK, VWMULSU_VX }, // 9747
  { PseudoVWMULSU_VX_MF4, VWMULSU_VX }, // 9748
  { PseudoVWMULSU_VX_MF4_MASK, VWMULSU_VX }, // 9749
  { PseudoVWMULSU_VX_MF8, VWMULSU_VX }, // 9750
  { PseudoVWMULSU_VX_MF8_MASK, VWMULSU_VX }, // 9751
  { PseudoVWMULU_VV_M1, VWMULU_VV }, // 9752
  { PseudoVWMULU_VV_M1_MASK, VWMULU_VV }, // 9753
  { PseudoVWMULU_VV_M2, VWMULU_VV }, // 9754
  { PseudoVWMULU_VV_M2_MASK, VWMULU_VV }, // 9755
  { PseudoVWMULU_VV_M4, VWMULU_VV }, // 9756
  { PseudoVWMULU_VV_M4_MASK, VWMULU_VV }, // 9757
  { PseudoVWMULU_VV_MF2, VWMULU_VV }, // 9758
  { PseudoVWMULU_VV_MF2_MASK, VWMULU_VV }, // 9759
  { PseudoVWMULU_VV_MF4, VWMULU_VV }, // 9760
  { PseudoVWMULU_VV_MF4_MASK, VWMULU_VV }, // 9761
  { PseudoVWMULU_VV_MF8, VWMULU_VV }, // 9762
  { PseudoVWMULU_VV_MF8_MASK, VWMULU_VV }, // 9763
  { PseudoVWMULU_VX_M1, VWMULU_VX }, // 9764
  { PseudoVWMULU_VX_M1_MASK, VWMULU_VX }, // 9765
  { PseudoVWMULU_VX_M2, VWMULU_VX }, // 9766
  { PseudoVWMULU_VX_M2_MASK, VWMULU_VX }, // 9767
  { PseudoVWMULU_VX_M4, VWMULU_VX }, // 9768
  { PseudoVWMULU_VX_M4_MASK, VWMULU_VX }, // 9769
  { PseudoVWMULU_VX_MF2, VWMULU_VX }, // 9770
  { PseudoVWMULU_VX_MF2_MASK, VWMULU_VX }, // 9771
  { PseudoVWMULU_VX_MF4, VWMULU_VX }, // 9772
  { PseudoVWMULU_VX_MF4_MASK, VWMULU_VX }, // 9773
  { PseudoVWMULU_VX_MF8, VWMULU_VX }, // 9774
  { PseudoVWMULU_VX_MF8_MASK, VWMULU_VX }, // 9775
  { PseudoVWMUL_VV_M1, VWMUL_VV }, // 9776
  { PseudoVWMUL_VV_M1_MASK, VWMUL_VV }, // 9777
  { PseudoVWMUL_VV_M2, VWMUL_VV }, // 9778
  { PseudoVWMUL_VV_M2_MASK, VWMUL_VV }, // 9779
  { PseudoVWMUL_VV_M4, VWMUL_VV }, // 9780
  { PseudoVWMUL_VV_M4_MASK, VWMUL_VV }, // 9781
  { PseudoVWMUL_VV_MF2, VWMUL_VV }, // 9782
  { PseudoVWMUL_VV_MF2_MASK, VWMUL_VV }, // 9783
  { PseudoVWMUL_VV_MF4, VWMUL_VV }, // 9784
  { PseudoVWMUL_VV_MF4_MASK, VWMUL_VV }, // 9785
  { PseudoVWMUL_VV_MF8, VWMUL_VV }, // 9786
  { PseudoVWMUL_VV_MF8_MASK, VWMUL_VV }, // 9787
  { PseudoVWMUL_VX_M1, VWMUL_VX }, // 9788
  { PseudoVWMUL_VX_M1_MASK, VWMUL_VX }, // 9789
  { PseudoVWMUL_VX_M2, VWMUL_VX }, // 9790
  { PseudoVWMUL_VX_M2_MASK, VWMUL_VX }, // 9791
  { PseudoVWMUL_VX_M4, VWMUL_VX }, // 9792
  { PseudoVWMUL_VX_M4_MASK, VWMUL_VX }, // 9793
  { PseudoVWMUL_VX_MF2, VWMUL_VX }, // 9794
  { PseudoVWMUL_VX_MF2_MASK, VWMUL_VX }, // 9795
  { PseudoVWMUL_VX_MF4, VWMUL_VX }, // 9796
  { PseudoVWMUL_VX_MF4_MASK, VWMUL_VX }, // 9797
  { PseudoVWMUL_VX_MF8, VWMUL_VX }, // 9798
  { PseudoVWMUL_VX_MF8_MASK, VWMUL_VX }, // 9799
  { PseudoVWREDSUMU_VS_M1, VWREDSUMU_VS }, // 9800
  { PseudoVWREDSUMU_VS_M1_MASK, VWREDSUMU_VS }, // 9801
  { PseudoVWREDSUMU_VS_M2, VWREDSUMU_VS }, // 9802
  { PseudoVWREDSUMU_VS_M2_MASK, VWREDSUMU_VS }, // 9803
  { PseudoVWREDSUMU_VS_M4, VWREDSUMU_VS }, // 9804
  { PseudoVWREDSUMU_VS_M4_MASK, VWREDSUMU_VS }, // 9805
  { PseudoVWREDSUMU_VS_M8, VWREDSUMU_VS }, // 9806
  { PseudoVWREDSUMU_VS_M8_MASK, VWREDSUMU_VS }, // 9807
  { PseudoVWREDSUMU_VS_MF2, VWREDSUMU_VS }, // 9808
  { PseudoVWREDSUMU_VS_MF2_MASK, VWREDSUMU_VS }, // 9809
  { PseudoVWREDSUMU_VS_MF4, VWREDSUMU_VS }, // 9810
  { PseudoVWREDSUMU_VS_MF4_MASK, VWREDSUMU_VS }, // 9811
  { PseudoVWREDSUMU_VS_MF8, VWREDSUMU_VS }, // 9812
  { PseudoVWREDSUMU_VS_MF8_MASK, VWREDSUMU_VS }, // 9813
  { PseudoVWREDSUM_VS_M1, VWREDSUM_VS }, // 9814
  { PseudoVWREDSUM_VS_M1_MASK, VWREDSUM_VS }, // 9815
  { PseudoVWREDSUM_VS_M2, VWREDSUM_VS }, // 9816
  { PseudoVWREDSUM_VS_M2_MASK, VWREDSUM_VS }, // 9817
  { PseudoVWREDSUM_VS_M4, VWREDSUM_VS }, // 9818
  { PseudoVWREDSUM_VS_M4_MASK, VWREDSUM_VS }, // 9819
  { PseudoVWREDSUM_VS_M8, VWREDSUM_VS }, // 9820
  { PseudoVWREDSUM_VS_M8_MASK, VWREDSUM_VS }, // 9821
  { PseudoVWREDSUM_VS_MF2, VWREDSUM_VS }, // 9822
  { PseudoVWREDSUM_VS_MF2_MASK, VWREDSUM_VS }, // 9823
  { PseudoVWREDSUM_VS_MF4, VWREDSUM_VS }, // 9824
  { PseudoVWREDSUM_VS_MF4_MASK, VWREDSUM_VS }, // 9825
  { PseudoVWREDSUM_VS_MF8, VWREDSUM_VS }, // 9826
  { PseudoVWREDSUM_VS_MF8_MASK, VWREDSUM_VS }, // 9827
  { PseudoVWSUBU_VV_M1, VWSUBU_VV }, // 9828
  { PseudoVWSUBU_VV_M1_MASK, VWSUBU_VV }, // 9829
  { PseudoVWSUBU_VV_M2, VWSUBU_VV }, // 9830
  { PseudoVWSUBU_VV_M2_MASK, VWSUBU_VV }, // 9831
  { PseudoVWSUBU_VV_M4, VWSUBU_VV }, // 9832
  { PseudoVWSUBU_VV_M4_MASK, VWSUBU_VV }, // 9833
  { PseudoVWSUBU_VV_MF2, VWSUBU_VV }, // 9834
  { PseudoVWSUBU_VV_MF2_MASK, VWSUBU_VV }, // 9835
  { PseudoVWSUBU_VV_MF4, VWSUBU_VV }, // 9836
  { PseudoVWSUBU_VV_MF4_MASK, VWSUBU_VV }, // 9837
  { PseudoVWSUBU_VV_MF8, VWSUBU_VV }, // 9838
  { PseudoVWSUBU_VV_MF8_MASK, VWSUBU_VV }, // 9839
  { PseudoVWSUBU_VX_M1, VWSUBU_VX }, // 9840
  { PseudoVWSUBU_VX_M1_MASK, VWSUBU_VX }, // 9841
  { PseudoVWSUBU_VX_M2, VWSUBU_VX }, // 9842
  { PseudoVWSUBU_VX_M2_MASK, VWSUBU_VX }, // 9843
  { PseudoVWSUBU_VX_M4, VWSUBU_VX }, // 9844
  { PseudoVWSUBU_VX_M4_MASK, VWSUBU_VX }, // 9845
  { PseudoVWSUBU_VX_MF2, VWSUBU_VX }, // 9846
  { PseudoVWSUBU_VX_MF2_MASK, VWSUBU_VX }, // 9847
  { PseudoVWSUBU_VX_MF4, VWSUBU_VX }, // 9848
  { PseudoVWSUBU_VX_MF4_MASK, VWSUBU_VX }, // 9849
  { PseudoVWSUBU_VX_MF8, VWSUBU_VX }, // 9850
  { PseudoVWSUBU_VX_MF8_MASK, VWSUBU_VX }, // 9851
  { PseudoVWSUBU_WV_M1, VWSUBU_WV }, // 9852
  { PseudoVWSUBU_WV_M1_MASK, VWSUBU_WV }, // 9853
  { PseudoVWSUBU_WV_M1_MASK_TIED, VWSUBU_WV }, // 9854
  { PseudoVWSUBU_WV_M1_TIED, VWSUBU_WV }, // 9855
  { PseudoVWSUBU_WV_M2, VWSUBU_WV }, // 9856
  { PseudoVWSUBU_WV_M2_MASK, VWSUBU_WV }, // 9857
  { PseudoVWSUBU_WV_M2_MASK_TIED, VWSUBU_WV }, // 9858
  { PseudoVWSUBU_WV_M2_TIED, VWSUBU_WV }, // 9859
  { PseudoVWSUBU_WV_M4, VWSUBU_WV }, // 9860
  { PseudoVWSUBU_WV_M4_MASK, VWSUBU_WV }, // 9861
  { PseudoVWSUBU_WV_M4_MASK_TIED, VWSUBU_WV }, // 9862
  { PseudoVWSUBU_WV_M4_TIED, VWSUBU_WV }, // 9863
  { PseudoVWSUBU_WV_MF2, VWSUBU_WV }, // 9864
  { PseudoVWSUBU_WV_MF2_MASK, VWSUBU_WV }, // 9865
  { PseudoVWSUBU_WV_MF2_MASK_TIED, VWSUBU_WV }, // 9866
  { PseudoVWSUBU_WV_MF2_TIED, VWSUBU_WV }, // 9867
  { PseudoVWSUBU_WV_MF4, VWSUBU_WV }, // 9868
  { PseudoVWSUBU_WV_MF4_MASK, VWSUBU_WV }, // 9869
  { PseudoVWSUBU_WV_MF4_MASK_TIED, VWSUBU_WV }, // 9870
  { PseudoVWSUBU_WV_MF4_TIED, VWSUBU_WV }, // 9871
  { PseudoVWSUBU_WV_MF8, VWSUBU_WV }, // 9872
  { PseudoVWSUBU_WV_MF8_MASK, VWSUBU_WV }, // 9873
  { PseudoVWSUBU_WV_MF8_MASK_TIED, VWSUBU_WV }, // 9874
  { PseudoVWSUBU_WV_MF8_TIED, VWSUBU_WV }, // 9875
  { PseudoVWSUBU_WX_M1, VWSUBU_WX }, // 9876
  { PseudoVWSUBU_WX_M1_MASK, VWSUBU_WX }, // 9877
  { PseudoVWSUBU_WX_M2, VWSUBU_WX }, // 9878
  { PseudoVWSUBU_WX_M2_MASK, VWSUBU_WX }, // 9879
  { PseudoVWSUBU_WX_M4, VWSUBU_WX }, // 9880
  { PseudoVWSUBU_WX_M4_MASK, VWSUBU_WX }, // 9881
  { PseudoVWSUBU_WX_MF2, VWSUBU_WX }, // 9882
  { PseudoVWSUBU_WX_MF2_MASK, VWSUBU_WX }, // 9883
  { PseudoVWSUBU_WX_MF4, VWSUBU_WX }, // 9884
  { PseudoVWSUBU_WX_MF4_MASK, VWSUBU_WX }, // 9885
  { PseudoVWSUBU_WX_MF8, VWSUBU_WX }, // 9886
  { PseudoVWSUBU_WX_MF8_MASK, VWSUBU_WX }, // 9887
  { PseudoVWSUB_VV_M1, VWSUB_VV }, // 9888
  { PseudoVWSUB_VV_M1_MASK, VWSUB_VV }, // 9889
  { PseudoVWSUB_VV_M2, VWSUB_VV }, // 9890
  { PseudoVWSUB_VV_M2_MASK, VWSUB_VV }, // 9891
  { PseudoVWSUB_VV_M4, VWSUB_VV }, // 9892
  { PseudoVWSUB_VV_M4_MASK, VWSUB_VV }, // 9893
  { PseudoVWSUB_VV_MF2, VWSUB_VV }, // 9894
  { PseudoVWSUB_VV_MF2_MASK, VWSUB_VV }, // 9895
  { PseudoVWSUB_VV_MF4, VWSUB_VV }, // 9896
  { PseudoVWSUB_VV_MF4_MASK, VWSUB_VV }, // 9897
  { PseudoVWSUB_VV_MF8, VWSUB_VV }, // 9898
  { PseudoVWSUB_VV_MF8_MASK, VWSUB_VV }, // 9899
  { PseudoVWSUB_VX_M1, VWSUB_VX }, // 9900
  { PseudoVWSUB_VX_M1_MASK, VWSUB_VX }, // 9901
  { PseudoVWSUB_VX_M2, VWSUB_VX }, // 9902
  { PseudoVWSUB_VX_M2_MASK, VWSUB_VX }, // 9903
  { PseudoVWSUB_VX_M4, VWSUB_VX }, // 9904
  { PseudoVWSUB_VX_M4_MASK, VWSUB_VX }, // 9905
  { PseudoVWSUB_VX_MF2, VWSUB_VX }, // 9906
  { PseudoVWSUB_VX_MF2_MASK, VWSUB_VX }, // 9907
  { PseudoVWSUB_VX_MF4, VWSUB_VX }, // 9908
  { PseudoVWSUB_VX_MF4_MASK, VWSUB_VX }, // 9909
  { PseudoVWSUB_VX_MF8, VWSUB_VX }, // 9910
  { PseudoVWSUB_VX_MF8_MASK, VWSUB_VX }, // 9911
  { PseudoVWSUB_WV_M1, VWSUB_WV }, // 9912
  { PseudoVWSUB_WV_M1_MASK, VWSUB_WV }, // 9913
  { PseudoVWSUB_WV_M1_MASK_TIED, VWSUB_WV }, // 9914
  { PseudoVWSUB_WV_M1_TIED, VWSUB_WV }, // 9915
  { PseudoVWSUB_WV_M2, VWSUB_WV }, // 9916
  { PseudoVWSUB_WV_M2_MASK, VWSUB_WV }, // 9917
  { PseudoVWSUB_WV_M2_MASK_TIED, VWSUB_WV }, // 9918
  { PseudoVWSUB_WV_M2_TIED, VWSUB_WV }, // 9919
  { PseudoVWSUB_WV_M4, VWSUB_WV }, // 9920
  { PseudoVWSUB_WV_M4_MASK, VWSUB_WV }, // 9921
  { PseudoVWSUB_WV_M4_MASK_TIED, VWSUB_WV }, // 9922
  { PseudoVWSUB_WV_M4_TIED, VWSUB_WV }, // 9923
  { PseudoVWSUB_WV_MF2, VWSUB_WV }, // 9924
  { PseudoVWSUB_WV_MF2_MASK, VWSUB_WV }, // 9925
  { PseudoVWSUB_WV_MF2_MASK_TIED, VWSUB_WV }, // 9926
  { PseudoVWSUB_WV_MF2_TIED, VWSUB_WV }, // 9927
  { PseudoVWSUB_WV_MF4, VWSUB_WV }, // 9928
  { PseudoVWSUB_WV_MF4_MASK, VWSUB_WV }, // 9929
  { PseudoVWSUB_WV_MF4_MASK_TIED, VWSUB_WV }, // 9930
  { PseudoVWSUB_WV_MF4_TIED, VWSUB_WV }, // 9931
  { PseudoVWSUB_WV_MF8, VWSUB_WV }, // 9932
  { PseudoVWSUB_WV_MF8_MASK, VWSUB_WV }, // 9933
  { PseudoVWSUB_WV_MF8_MASK_TIED, VWSUB_WV }, // 9934
  { PseudoVWSUB_WV_MF8_TIED, VWSUB_WV }, // 9935
  { PseudoVWSUB_WX_M1, VWSUB_WX }, // 9936
  { PseudoVWSUB_WX_M1_MASK, VWSUB_WX }, // 9937
  { PseudoVWSUB_WX_M2, VWSUB_WX }, // 9938
  { PseudoVWSUB_WX_M2_MASK, VWSUB_WX }, // 9939
  { PseudoVWSUB_WX_M4, VWSUB_WX }, // 9940
  { PseudoVWSUB_WX_M4_MASK, VWSUB_WX }, // 9941
  { PseudoVWSUB_WX_MF2, VWSUB_WX }, // 9942
  { PseudoVWSUB_WX_MF2_MASK, VWSUB_WX }, // 9943
  { PseudoVWSUB_WX_MF4, VWSUB_WX }, // 9944
  { PseudoVWSUB_WX_MF4_MASK, VWSUB_WX }, // 9945
  { PseudoVWSUB_WX_MF8, VWSUB_WX }, // 9946
  { PseudoVWSUB_WX_MF8_MASK, VWSUB_WX }, // 9947
  { PseudoVXOR_VI_M1, VXOR_VI }, // 9948
  { PseudoVXOR_VI_M1_MASK, VXOR_VI }, // 9949
  { PseudoVXOR_VI_M2, VXOR_VI }, // 9950
  { PseudoVXOR_VI_M2_MASK, VXOR_VI }, // 9951
  { PseudoVXOR_VI_M4, VXOR_VI }, // 9952
  { PseudoVXOR_VI_M4_MASK, VXOR_VI }, // 9953
  { PseudoVXOR_VI_M8, VXOR_VI }, // 9954
  { PseudoVXOR_VI_M8_MASK, VXOR_VI }, // 9955
  { PseudoVXOR_VI_MF2, VXOR_VI }, // 9956
  { PseudoVXOR_VI_MF2_MASK, VXOR_VI }, // 9957
  { PseudoVXOR_VI_MF4, VXOR_VI }, // 9958
  { PseudoVXOR_VI_MF4_MASK, VXOR_VI }, // 9959
  { PseudoVXOR_VI_MF8, VXOR_VI }, // 9960
  { PseudoVXOR_VI_MF8_MASK, VXOR_VI }, // 9961
  { PseudoVXOR_VV_M1, VXOR_VV }, // 9962
  { PseudoVXOR_VV_M1_MASK, VXOR_VV }, // 9963
  { PseudoVXOR_VV_M2, VXOR_VV }, // 9964
  { PseudoVXOR_VV_M2_MASK, VXOR_VV }, // 9965
  { PseudoVXOR_VV_M4, VXOR_VV }, // 9966
  { PseudoVXOR_VV_M4_MASK, VXOR_VV }, // 9967
  { PseudoVXOR_VV_M8, VXOR_VV }, // 9968
  { PseudoVXOR_VV_M8_MASK, VXOR_VV }, // 9969
  { PseudoVXOR_VV_MF2, VXOR_VV }, // 9970
  { PseudoVXOR_VV_MF2_MASK, VXOR_VV }, // 9971
  { PseudoVXOR_VV_MF4, VXOR_VV }, // 9972
  { PseudoVXOR_VV_MF4_MASK, VXOR_VV }, // 9973
  { PseudoVXOR_VV_MF8, VXOR_VV }, // 9974
  { PseudoVXOR_VV_MF8_MASK, VXOR_VV }, // 9975
  { PseudoVXOR_VX_M1, VXOR_VX }, // 9976
  { PseudoVXOR_VX_M1_MASK, VXOR_VX }, // 9977
  { PseudoVXOR_VX_M2, VXOR_VX }, // 9978
  { PseudoVXOR_VX_M2_MASK, VXOR_VX }, // 9979
  { PseudoVXOR_VX_M4, VXOR_VX }, // 9980
  { PseudoVXOR_VX_M4_MASK, VXOR_VX }, // 9981
  { PseudoVXOR_VX_M8, VXOR_VX }, // 9982
  { PseudoVXOR_VX_M8_MASK, VXOR_VX }, // 9983
  { PseudoVXOR_VX_MF2, VXOR_VX }, // 9984
  { PseudoVXOR_VX_MF2_MASK, VXOR_VX }, // 9985
  { PseudoVXOR_VX_MF4, VXOR_VX }, // 9986
  { PseudoVXOR_VX_MF4_MASK, VXOR_VX }, // 9987
  { PseudoVXOR_VX_MF8, VXOR_VX }, // 9988
  { PseudoVXOR_VX_MF8_MASK, VXOR_VX }, // 9989
  { PseudoVZEXT_VF2_M1, VZEXT_VF2 }, // 9990
  { PseudoVZEXT_VF2_M1_MASK, VZEXT_VF2 }, // 9991
  { PseudoVZEXT_VF2_M2, VZEXT_VF2 }, // 9992
  { PseudoVZEXT_VF2_M2_MASK, VZEXT_VF2 }, // 9993
  { PseudoVZEXT_VF2_M4, VZEXT_VF2 }, // 9994
  { PseudoVZEXT_VF2_M4_MASK, VZEXT_VF2 }, // 9995
  { PseudoVZEXT_VF2_M8, VZEXT_VF2 }, // 9996
  { PseudoVZEXT_VF2_M8_MASK, VZEXT_VF2 }, // 9997
  { PseudoVZEXT_VF2_MF2, VZEXT_VF2 }, // 9998
  { PseudoVZEXT_VF2_MF2_MASK, VZEXT_VF2 }, // 9999
  { PseudoVZEXT_VF2_MF4, VZEXT_VF2 }, // 10000
  { PseudoVZEXT_VF2_MF4_MASK, VZEXT_VF2 }, // 10001
  { PseudoVZEXT_VF4_M1, VZEXT_VF4 }, // 10002
  { PseudoVZEXT_VF4_M1_MASK, VZEXT_VF4 }, // 10003
  { PseudoVZEXT_VF4_M2, VZEXT_VF4 }, // 10004
  { PseudoVZEXT_VF4_M2_MASK, VZEXT_VF4 }, // 10005
  { PseudoVZEXT_VF4_M4, VZEXT_VF4 }, // 10006
  { PseudoVZEXT_VF4_M4_MASK, VZEXT_VF4 }, // 10007
  { PseudoVZEXT_VF4_M8, VZEXT_VF4 }, // 10008
  { PseudoVZEXT_VF4_M8_MASK, VZEXT_VF4 }, // 10009
  { PseudoVZEXT_VF4_MF2, VZEXT_VF4 }, // 10010
  { PseudoVZEXT_VF4_MF2_MASK, VZEXT_VF4 }, // 10011
  { PseudoVZEXT_VF8_M1, VZEXT_VF8 }, // 10012
  { PseudoVZEXT_VF8_M1_MASK, VZEXT_VF8 }, // 10013
  { PseudoVZEXT_VF8_M2, VZEXT_VF8 }, // 10014
  { PseudoVZEXT_VF8_M2_MASK, VZEXT_VF8 }, // 10015
  { PseudoVZEXT_VF8_M4, VZEXT_VF8 }, // 10016
  { PseudoVZEXT_VF8_M4_MASK, VZEXT_VF8 }, // 10017
  { PseudoVZEXT_VF8_M8, VZEXT_VF8 }, // 10018
  { PseudoVZEXT_VF8_M8_MASK, VZEXT_VF8 }, // 10019
 };

const PseudoInfo *getPseudoInfo(unsigned Pseudo) {
  if ((Pseudo < PseudoVAADDU_VV_M1) ||
      (Pseudo > PseudoVZEXT_VF8_M8_MASK))
    return nullptr;

  struct KeyType {
    unsigned Pseudo;
  };
  KeyType Key = {Pseudo};
  auto Table = makeArrayRef(RISCVVPseudosTable);
  auto Idx = std::lower_bound(Table.begin(), Table.end(), Key,
    [](const PseudoInfo &LHS, const KeyType &RHS) {
      if (LHS.Pseudo < RHS.Pseudo)
        return true;
      if (LHS.Pseudo > RHS.Pseudo)
        return false;
      return false;
    });

  if (Idx == Table.end() ||
      Key.Pseudo != Idx->Pseudo)
    return nullptr;
  return &*Idx;
}
#endif

#ifdef GET_RISCVVSETable_DECL
const VSEPseudo *getVSEPseudo(uint8_t Masked, uint8_t Strided, uint8_t Log2SEW, uint8_t LMUL);
#endif

#ifdef GET_RISCVVSETable_IMPL
constexpr VSEPseudo RISCVVSETable[] = {
  { 0x0, 0x0, 0x0, 0x0, PseudoVSM_V_B8 }, // 0
  { 0x0, 0x0, 0x0, 0x1, PseudoVSM_V_B16 }, // 1
  { 0x0, 0x0, 0x0, 0x2, PseudoVSM_V_B32 }, // 2
  { 0x0, 0x0, 0x0, 0x3, PseudoVSM_V_B64 }, // 3
  { 0x0, 0x0, 0x0, 0x5, PseudoVSM_V_B1 }, // 4
  { 0x0, 0x0, 0x0, 0x6, PseudoVSM_V_B2 }, // 5
  { 0x0, 0x0, 0x0, 0x7, PseudoVSM_V_B4 }, // 6
  { 0x0, 0x0, 0x3, 0x0, PseudoVSE8_V_M1 }, // 7
  { 0x0, 0x0, 0x3, 0x1, PseudoVSE8_V_M2 }, // 8
  { 0x0, 0x0, 0x3, 0x2, PseudoVSE8_V_M4 }, // 9
  { 0x0, 0x0, 0x3, 0x3, PseudoVSE8_V_M8 }, // 10
  { 0x0, 0x0, 0x3, 0x5, PseudoVSE8_V_MF8 }, // 11
  { 0x0, 0x0, 0x3, 0x6, PseudoVSE8_V_MF4 }, // 12
  { 0x0, 0x0, 0x3, 0x7, PseudoVSE8_V_MF2 }, // 13
  { 0x0, 0x0, 0x4, 0x0, PseudoVSE16_V_M1 }, // 14
  { 0x0, 0x0, 0x4, 0x1, PseudoVSE16_V_M2 }, // 15
  { 0x0, 0x0, 0x4, 0x2, PseudoVSE16_V_M4 }, // 16
  { 0x0, 0x0, 0x4, 0x3, PseudoVSE16_V_M8 }, // 17
  { 0x0, 0x0, 0x4, 0x6, PseudoVSE16_V_MF4 }, // 18
  { 0x0, 0x0, 0x4, 0x7, PseudoVSE16_V_MF2 }, // 19
  { 0x0, 0x0, 0x5, 0x0, PseudoVSE32_V_M1 }, // 20
  { 0x0, 0x0, 0x5, 0x1, PseudoVSE32_V_M2 }, // 21
  { 0x0, 0x0, 0x5, 0x2, PseudoVSE32_V_M4 }, // 22
  { 0x0, 0x0, 0x5, 0x3, PseudoVSE32_V_M8 }, // 23
  { 0x0, 0x0, 0x5, 0x7, PseudoVSE32_V_MF2 }, // 24
  { 0x0, 0x0, 0x6, 0x0, PseudoVSE64_V_M1 }, // 25
  { 0x0, 0x0, 0x6, 0x1, PseudoVSE64_V_M2 }, // 26
  { 0x0, 0x0, 0x6, 0x2, PseudoVSE64_V_M4 }, // 27
  { 0x0, 0x0, 0x6, 0x3, PseudoVSE64_V_M8 }, // 28
  { 0x0, 0x1, 0x3, 0x0, PseudoVSSE8_V_M1 }, // 29
  { 0x0, 0x1, 0x3, 0x1, PseudoVSSE8_V_M2 }, // 30
  { 0x0, 0x1, 0x3, 0x2, PseudoVSSE8_V_M4 }, // 31
  { 0x0, 0x1, 0x3, 0x3, PseudoVSSE8_V_M8 }, // 32
  { 0x0, 0x1, 0x3, 0x5, PseudoVSSE8_V_MF8 }, // 33
  { 0x0, 0x1, 0x3, 0x6, PseudoVSSE8_V_MF4 }, // 34
  { 0x0, 0x1, 0x3, 0x7, PseudoVSSE8_V_MF2 }, // 35
  { 0x0, 0x1, 0x4, 0x0, PseudoVSSE16_V_M1 }, // 36
  { 0x0, 0x1, 0x4, 0x1, PseudoVSSE16_V_M2 }, // 37
  { 0x0, 0x1, 0x4, 0x2, PseudoVSSE16_V_M4 }, // 38
  { 0x0, 0x1, 0x4, 0x3, PseudoVSSE16_V_M8 }, // 39
  { 0x0, 0x1, 0x4, 0x6, PseudoVSSE16_V_MF4 }, // 40
  { 0x0, 0x1, 0x4, 0x7, PseudoVSSE16_V_MF2 }, // 41
  { 0x0, 0x1, 0x5, 0x0, PseudoVSSE32_V_M1 }, // 42
  { 0x0, 0x1, 0x5, 0x1, PseudoVSSE32_V_M2 }, // 43
  { 0x0, 0x1, 0x5, 0x2, PseudoVSSE32_V_M4 }, // 44
  { 0x0, 0x1, 0x5, 0x3, PseudoVSSE32_V_M8 }, // 45
  { 0x0, 0x1, 0x5, 0x7, PseudoVSSE32_V_MF2 }, // 46
  { 0x0, 0x1, 0x6, 0x0, PseudoVSSE64_V_M1 }, // 47
  { 0x0, 0x1, 0x6, 0x1, PseudoVSSE64_V_M2 }, // 48
  { 0x0, 0x1, 0x6, 0x2, PseudoVSSE64_V_M4 }, // 49
  { 0x0, 0x1, 0x6, 0x3, PseudoVSSE64_V_M8 }, // 50
  { 0x1, 0x0, 0x3, 0x0, PseudoVSE8_V_M1_MASK }, // 51
  { 0x1, 0x0, 0x3, 0x1, PseudoVSE8_V_M2_MASK }, // 52
  { 0x1, 0x0, 0x3, 0x2, PseudoVSE8_V_M4_MASK }, // 53
  { 0x1, 0x0, 0x3, 0x3, PseudoVSE8_V_M8_MASK }, // 54
  { 0x1, 0x0, 0x3, 0x5, PseudoVSE8_V_MF8_MASK }, // 55
  { 0x1, 0x0, 0x3, 0x6, PseudoVSE8_V_MF4_MASK }, // 56
  { 0x1, 0x0, 0x3, 0x7, PseudoVSE8_V_MF2_MASK }, // 57
  { 0x1, 0x0, 0x4, 0x0, PseudoVSE16_V_M1_MASK }, // 58
  { 0x1, 0x0, 0x4, 0x1, PseudoVSE16_V_M2_MASK }, // 59
  { 0x1, 0x0, 0x4, 0x2, PseudoVSE16_V_M4_MASK }, // 60
  { 0x1, 0x0, 0x4, 0x3, PseudoVSE16_V_M8_MASK }, // 61
  { 0x1, 0x0, 0x4, 0x6, PseudoVSE16_V_MF4_MASK }, // 62
  { 0x1, 0x0, 0x4, 0x7, PseudoVSE16_V_MF2_MASK }, // 63
  { 0x1, 0x0, 0x5, 0x0, PseudoVSE32_V_M1_MASK }, // 64
  { 0x1, 0x0, 0x5, 0x1, PseudoVSE32_V_M2_MASK }, // 65
  { 0x1, 0x0, 0x5, 0x2, PseudoVSE32_V_M4_MASK }, // 66
  { 0x1, 0x0, 0x5, 0x3, PseudoVSE32_V_M8_MASK }, // 67
  { 0x1, 0x0, 0x5, 0x7, PseudoVSE32_V_MF2_MASK }, // 68
  { 0x1, 0x0, 0x6, 0x0, PseudoVSE64_V_M1_MASK }, // 69
  { 0x1, 0x0, 0x6, 0x1, PseudoVSE64_V_M2_MASK }, // 70
  { 0x1, 0x0, 0x6, 0x2, PseudoVSE64_V_M4_MASK }, // 71
  { 0x1, 0x0, 0x6, 0x3, PseudoVSE64_V_M8_MASK }, // 72
  { 0x1, 0x1, 0x3, 0x0, PseudoVSSE8_V_M1_MASK }, // 73
  { 0x1, 0x1, 0x3, 0x1, PseudoVSSE8_V_M2_MASK }, // 74
  { 0x1, 0x1, 0x3, 0x2, PseudoVSSE8_V_M4_MASK }, // 75
  { 0x1, 0x1, 0x3, 0x3, PseudoVSSE8_V_M8_MASK }, // 76
  { 0x1, 0x1, 0x3, 0x5, PseudoVSSE8_V_MF8_MASK }, // 77
  { 0x1, 0x1, 0x3, 0x6, PseudoVSSE8_V_MF4_MASK }, // 78
  { 0x1, 0x1, 0x3, 0x7, PseudoVSSE8_V_MF2_MASK }, // 79
  { 0x1, 0x1, 0x4, 0x0, PseudoVSSE16_V_M1_MASK }, // 80
  { 0x1, 0x1, 0x4, 0x1, PseudoVSSE16_V_M2_MASK }, // 81
  { 0x1, 0x1, 0x4, 0x2, PseudoVSSE16_V_M4_MASK }, // 82
  { 0x1, 0x1, 0x4, 0x3, PseudoVSSE16_V_M8_MASK }, // 83
  { 0x1, 0x1, 0x4, 0x6, PseudoVSSE16_V_MF4_MASK }, // 84
  { 0x1, 0x1, 0x4, 0x7, PseudoVSSE16_V_MF2_MASK }, // 85
  { 0x1, 0x1, 0x5, 0x0, PseudoVSSE32_V_M1_MASK }, // 86
  { 0x1, 0x1, 0x5, 0x1, PseudoVSSE32_V_M2_MASK }, // 87
  { 0x1, 0x1, 0x5, 0x2, PseudoVSSE32_V_M4_MASK }, // 88
  { 0x1, 0x1, 0x5, 0x3, PseudoVSSE32_V_M8_MASK }, // 89
  { 0x1, 0x1, 0x5, 0x7, PseudoVSSE32_V_MF2_MASK }, // 90
  { 0x1, 0x1, 0x6, 0x0, PseudoVSSE64_V_M1_MASK }, // 91
  { 0x1, 0x1, 0x6, 0x1, PseudoVSSE64_V_M2_MASK }, // 92
  { 0x1, 0x1, 0x6, 0x2, PseudoVSSE64_V_M4_MASK }, // 93
  { 0x1, 0x1, 0x6, 0x3, PseudoVSSE64_V_M8_MASK }, // 94
 };

const VSEPseudo *getVSEPseudo(uint8_t Masked, uint8_t Strided, uint8_t Log2SEW, uint8_t LMUL) {
  struct KeyType {
    uint8_t Masked;
    uint8_t Strided;
    uint8_t Log2SEW;
    uint8_t LMUL;
  };
  KeyType Key = {Masked, Strided, Log2SEW, LMUL};
  auto Table = makeArrayRef(RISCVVSETable);
  auto Idx = std::lower_bound(Table.begin(), Table.end(), Key,
    [](const VSEPseudo &LHS, const KeyType &RHS) {
      if (LHS.Masked < RHS.Masked)
        return true;
      if (LHS.Masked > RHS.Masked)
        return false;
      if (LHS.Strided < RHS.Strided)
        return true;
      if (LHS.Strided > RHS.Strided)
        return false;
      if (LHS.Log2SEW < RHS.Log2SEW)
        return true;
      if (LHS.Log2SEW > RHS.Log2SEW)
        return false;
      if (LHS.LMUL < RHS.LMUL)
        return true;
      if (LHS.LMUL > RHS.LMUL)
        return false;
      return false;
    });

  if (Idx == Table.end() ||
      Key.Masked != Idx->Masked ||
      Key.Strided != Idx->Strided ||
      Key.Log2SEW != Idx->Log2SEW ||
      Key.LMUL != Idx->LMUL)
    return nullptr;
  return &*Idx;
}
#endif

#ifdef GET_RISCVVSSEGTable_DECL
const VSSEGPseudo *getVSSEGPseudo(uint8_t NF, uint8_t Masked, uint8_t Strided, uint8_t Log2SEW, uint8_t LMUL);
#endif

#ifdef GET_RISCVVSSEGTable_IMPL
constexpr VSSEGPseudo RISCVVSSEGTable[] = {
  { 0x2, 0x0, 0x0, 0x3, 0x0, PseudoVSSEG2E8_V_M1 }, // 0
  { 0x2, 0x0, 0x0, 0x3, 0x1, PseudoVSSEG2E8_V_M2 }, // 1
  { 0x2, 0x0, 0x0, 0x3, 0x2, PseudoVSSEG2E8_V_M4 }, // 2
  { 0x2, 0x0, 0x0, 0x3, 0x5, PseudoVSSEG2E8_V_MF8 }, // 3
  { 0x2, 0x0, 0x0, 0x3, 0x6, PseudoVSSEG2E8_V_MF4 }, // 4
  { 0x2, 0x0, 0x0, 0x3, 0x7, PseudoVSSEG2E8_V_MF2 }, // 5
  { 0x2, 0x0, 0x0, 0x4, 0x0, PseudoVSSEG2E16_V_M1 }, // 6
  { 0x2, 0x0, 0x0, 0x4, 0x1, PseudoVSSEG2E16_V_M2 }, // 7
  { 0x2, 0x0, 0x0, 0x4, 0x2, PseudoVSSEG2E16_V_M4 }, // 8
  { 0x2, 0x0, 0x0, 0x4, 0x6, PseudoVSSEG2E16_V_MF4 }, // 9
  { 0x2, 0x0, 0x0, 0x4, 0x7, PseudoVSSEG2E16_V_MF2 }, // 10
  { 0x2, 0x0, 0x0, 0x5, 0x0, PseudoVSSEG2E32_V_M1 }, // 11
  { 0x2, 0x0, 0x0, 0x5, 0x1, PseudoVSSEG2E32_V_M2 }, // 12
  { 0x2, 0x0, 0x0, 0x5, 0x2, PseudoVSSEG2E32_V_M4 }, // 13
  { 0x2, 0x0, 0x0, 0x5, 0x7, PseudoVSSEG2E32_V_MF2 }, // 14
  { 0x2, 0x0, 0x0, 0x6, 0x0, PseudoVSSEG2E64_V_M1 }, // 15
  { 0x2, 0x0, 0x0, 0x6, 0x1, PseudoVSSEG2E64_V_M2 }, // 16
  { 0x2, 0x0, 0x0, 0x6, 0x2, PseudoVSSEG2E64_V_M4 }, // 17
  { 0x2, 0x0, 0x1, 0x3, 0x0, PseudoVSSSEG2E8_V_M1 }, // 18
  { 0x2, 0x0, 0x1, 0x3, 0x1, PseudoVSSSEG2E8_V_M2 }, // 19
  { 0x2, 0x0, 0x1, 0x3, 0x2, PseudoVSSSEG2E8_V_M4 }, // 20
  { 0x2, 0x0, 0x1, 0x3, 0x5, PseudoVSSSEG2E8_V_MF8 }, // 21
  { 0x2, 0x0, 0x1, 0x3, 0x6, PseudoVSSSEG2E8_V_MF4 }, // 22
  { 0x2, 0x0, 0x1, 0x3, 0x7, PseudoVSSSEG2E8_V_MF2 }, // 23
  { 0x2, 0x0, 0x1, 0x4, 0x0, PseudoVSSSEG2E16_V_M1 }, // 24
  { 0x2, 0x0, 0x1, 0x4, 0x1, PseudoVSSSEG2E16_V_M2 }, // 25
  { 0x2, 0x0, 0x1, 0x4, 0x2, PseudoVSSSEG2E16_V_M4 }, // 26
  { 0x2, 0x0, 0x1, 0x4, 0x6, PseudoVSSSEG2E16_V_MF4 }, // 27
  { 0x2, 0x0, 0x1, 0x4, 0x7, PseudoVSSSEG2E16_V_MF2 }, // 28
  { 0x2, 0x0, 0x1, 0x5, 0x0, PseudoVSSSEG2E32_V_M1 }, // 29
  { 0x2, 0x0, 0x1, 0x5, 0x1, PseudoVSSSEG2E32_V_M2 }, // 30
  { 0x2, 0x0, 0x1, 0x5, 0x2, PseudoVSSSEG2E32_V_M4 }, // 31
  { 0x2, 0x0, 0x1, 0x5, 0x7, PseudoVSSSEG2E32_V_MF2 }, // 32
  { 0x2, 0x0, 0x1, 0x6, 0x0, PseudoVSSSEG2E64_V_M1 }, // 33
  { 0x2, 0x0, 0x1, 0x6, 0x1, PseudoVSSSEG2E64_V_M2 }, // 34
  { 0x2, 0x0, 0x1, 0x6, 0x2, PseudoVSSSEG2E64_V_M4 }, // 35
  { 0x2, 0x1, 0x0, 0x3, 0x0, PseudoVSSEG2E8_V_M1_MASK }, // 36
  { 0x2, 0x1, 0x0, 0x3, 0x1, PseudoVSSEG2E8_V_M2_MASK }, // 37
  { 0x2, 0x1, 0x0, 0x3, 0x2, PseudoVSSEG2E8_V_M4_MASK }, // 38
  { 0x2, 0x1, 0x0, 0x3, 0x5, PseudoVSSEG2E8_V_MF8_MASK }, // 39
  { 0x2, 0x1, 0x0, 0x3, 0x6, PseudoVSSEG2E8_V_MF4_MASK }, // 40
  { 0x2, 0x1, 0x0, 0x3, 0x7, PseudoVSSEG2E8_V_MF2_MASK }, // 41
  { 0x2, 0x1, 0x0, 0x4, 0x0, PseudoVSSEG2E16_V_M1_MASK }, // 42
  { 0x2, 0x1, 0x0, 0x4, 0x1, PseudoVSSEG2E16_V_M2_MASK }, // 43
  { 0x2, 0x1, 0x0, 0x4, 0x2, PseudoVSSEG2E16_V_M4_MASK }, // 44
  { 0x2, 0x1, 0x0, 0x4, 0x6, PseudoVSSEG2E16_V_MF4_MASK }, // 45
  { 0x2, 0x1, 0x0, 0x4, 0x7, PseudoVSSEG2E16_V_MF2_MASK }, // 46
  { 0x2, 0x1, 0x0, 0x5, 0x0, PseudoVSSEG2E32_V_M1_MASK }, // 47
  { 0x2, 0x1, 0x0, 0x5, 0x1, PseudoVSSEG2E32_V_M2_MASK }, // 48
  { 0x2, 0x1, 0x0, 0x5, 0x2, PseudoVSSEG2E32_V_M4_MASK }, // 49
  { 0x2, 0x1, 0x0, 0x5, 0x7, PseudoVSSEG2E32_V_MF2_MASK }, // 50
  { 0x2, 0x1, 0x0, 0x6, 0x0, PseudoVSSEG2E64_V_M1_MASK }, // 51
  { 0x2, 0x1, 0x0, 0x6, 0x1, PseudoVSSEG2E64_V_M2_MASK }, // 52
  { 0x2, 0x1, 0x0, 0x6, 0x2, PseudoVSSEG2E64_V_M4_MASK }, // 53
  { 0x2, 0x1, 0x1, 0x3, 0x0, PseudoVSSSEG2E8_V_M1_MASK }, // 54
  { 0x2, 0x1, 0x1, 0x3, 0x1, PseudoVSSSEG2E8_V_M2_MASK }, // 55
  { 0x2, 0x1, 0x1, 0x3, 0x2, PseudoVSSSEG2E8_V_M4_MASK }, // 56
  { 0x2, 0x1, 0x1, 0x3, 0x5, PseudoVSSSEG2E8_V_MF8_MASK }, // 57
  { 0x2, 0x1, 0x1, 0x3, 0x6, PseudoVSSSEG2E8_V_MF4_MASK }, // 58
  { 0x2, 0x1, 0x1, 0x3, 0x7, PseudoVSSSEG2E8_V_MF2_MASK }, // 59
  { 0x2, 0x1, 0x1, 0x4, 0x0, PseudoVSSSEG2E16_V_M1_MASK }, // 60
  { 0x2, 0x1, 0x1, 0x4, 0x1, PseudoVSSSEG2E16_V_M2_MASK }, // 61
  { 0x2, 0x1, 0x1, 0x4, 0x2, PseudoVSSSEG2E16_V_M4_MASK }, // 62
  { 0x2, 0x1, 0x1, 0x4, 0x6, PseudoVSSSEG2E16_V_MF4_MASK }, // 63
  { 0x2, 0x1, 0x1, 0x4, 0x7, PseudoVSSSEG2E16_V_MF2_MASK }, // 64
  { 0x2, 0x1, 0x1, 0x5, 0x0, PseudoVSSSEG2E32_V_M1_MASK }, // 65
  { 0x2, 0x1, 0x1, 0x5, 0x1, PseudoVSSSEG2E32_V_M2_MASK }, // 66
  { 0x2, 0x1, 0x1, 0x5, 0x2, PseudoVSSSEG2E32_V_M4_MASK }, // 67
  { 0x2, 0x1, 0x1, 0x5, 0x7, PseudoVSSSEG2E32_V_MF2_MASK }, // 68
  { 0x2, 0x1, 0x1, 0x6, 0x0, PseudoVSSSEG2E64_V_M1_MASK }, // 69
  { 0x2, 0x1, 0x1, 0x6, 0x1, PseudoVSSSEG2E64_V_M2_MASK }, // 70
  { 0x2, 0x1, 0x1, 0x6, 0x2, PseudoVSSSEG2E64_V_M4_MASK }, // 71
  { 0x3, 0x0, 0x0, 0x3, 0x0, PseudoVSSEG3E8_V_M1 }, // 72
  { 0x3, 0x0, 0x0, 0x3, 0x1, PseudoVSSEG3E8_V_M2 }, // 73
  { 0x3, 0x0, 0x0, 0x3, 0x5, PseudoVSSEG3E8_V_MF8 }, // 74
  { 0x3, 0x0, 0x0, 0x3, 0x6, PseudoVSSEG3E8_V_MF4 }, // 75
  { 0x3, 0x0, 0x0, 0x3, 0x7, PseudoVSSEG3E8_V_MF2 }, // 76
  { 0x3, 0x0, 0x0, 0x4, 0x0, PseudoVSSEG3E16_V_M1 }, // 77
  { 0x3, 0x0, 0x0, 0x4, 0x1, PseudoVSSEG3E16_V_M2 }, // 78
  { 0x3, 0x0, 0x0, 0x4, 0x6, PseudoVSSEG3E16_V_MF4 }, // 79
  { 0x3, 0x0, 0x0, 0x4, 0x7, PseudoVSSEG3E16_V_MF2 }, // 80
  { 0x3, 0x0, 0x0, 0x5, 0x0, PseudoVSSEG3E32_V_M1 }, // 81
  { 0x3, 0x0, 0x0, 0x5, 0x1, PseudoVSSEG3E32_V_M2 }, // 82
  { 0x3, 0x0, 0x0, 0x5, 0x7, PseudoVSSEG3E32_V_MF2 }, // 83
  { 0x3, 0x0, 0x0, 0x6, 0x0, PseudoVSSEG3E64_V_M1 }, // 84
  { 0x3, 0x0, 0x0, 0x6, 0x1, PseudoVSSEG3E64_V_M2 }, // 85
  { 0x3, 0x0, 0x1, 0x3, 0x0, PseudoVSSSEG3E8_V_M1 }, // 86
  { 0x3, 0x0, 0x1, 0x3, 0x1, PseudoVSSSEG3E8_V_M2 }, // 87
  { 0x3, 0x0, 0x1, 0x3, 0x5, PseudoVSSSEG3E8_V_MF8 }, // 88
  { 0x3, 0x0, 0x1, 0x3, 0x6, PseudoVSSSEG3E8_V_MF4 }, // 89
  { 0x3, 0x0, 0x1, 0x3, 0x7, PseudoVSSSEG3E8_V_MF2 }, // 90
  { 0x3, 0x0, 0x1, 0x4, 0x0, PseudoVSSSEG3E16_V_M1 }, // 91
  { 0x3, 0x0, 0x1, 0x4, 0x1, PseudoVSSSEG3E16_V_M2 }, // 92
  { 0x3, 0x0, 0x1, 0x4, 0x6, PseudoVSSSEG3E16_V_MF4 }, // 93
  { 0x3, 0x0, 0x1, 0x4, 0x7, PseudoVSSSEG3E16_V_MF2 }, // 94
  { 0x3, 0x0, 0x1, 0x5, 0x0, PseudoVSSSEG3E32_V_M1 }, // 95
  { 0x3, 0x0, 0x1, 0x5, 0x1, PseudoVSSSEG3E32_V_M2 }, // 96
  { 0x3, 0x0, 0x1, 0x5, 0x7, PseudoVSSSEG3E32_V_MF2 }, // 97
  { 0x3, 0x0, 0x1, 0x6, 0x0, PseudoVSSSEG3E64_V_M1 }, // 98
  { 0x3, 0x0, 0x1, 0x6, 0x1, PseudoVSSSEG3E64_V_M2 }, // 99
  { 0x3, 0x1, 0x0, 0x3, 0x0, PseudoVSSEG3E8_V_M1_MASK }, // 100
  { 0x3, 0x1, 0x0, 0x3, 0x1, PseudoVSSEG3E8_V_M2_MASK }, // 101
  { 0x3, 0x1, 0x0, 0x3, 0x5, PseudoVSSEG3E8_V_MF8_MASK }, // 102
  { 0x3, 0x1, 0x0, 0x3, 0x6, PseudoVSSEG3E8_V_MF4_MASK }, // 103
  { 0x3, 0x1, 0x0, 0x3, 0x7, PseudoVSSEG3E8_V_MF2_MASK }, // 104
  { 0x3, 0x1, 0x0, 0x4, 0x0, PseudoVSSEG3E16_V_M1_MASK }, // 105
  { 0x3, 0x1, 0x0, 0x4, 0x1, PseudoVSSEG3E16_V_M2_MASK }, // 106
  { 0x3, 0x1, 0x0, 0x4, 0x6, PseudoVSSEG3E16_V_MF4_MASK }, // 107
  { 0x3, 0x1, 0x0, 0x4, 0x7, PseudoVSSEG3E16_V_MF2_MASK }, // 108
  { 0x3, 0x1, 0x0, 0x5, 0x0, PseudoVSSEG3E32_V_M1_MASK }, // 109
  { 0x3, 0x1, 0x0, 0x5, 0x1, PseudoVSSEG3E32_V_M2_MASK }, // 110
  { 0x3, 0x1, 0x0, 0x5, 0x7, PseudoVSSEG3E32_V_MF2_MASK }, // 111
  { 0x3, 0x1, 0x0, 0x6, 0x0, PseudoVSSEG3E64_V_M1_MASK }, // 112
  { 0x3, 0x1, 0x0, 0x6, 0x1, PseudoVSSEG3E64_V_M2_MASK }, // 113
  { 0x3, 0x1, 0x1, 0x3, 0x0, PseudoVSSSEG3E8_V_M1_MASK }, // 114
  { 0x3, 0x1, 0x1, 0x3, 0x1, PseudoVSSSEG3E8_V_M2_MASK }, // 115
  { 0x3, 0x1, 0x1, 0x3, 0x5, PseudoVSSSEG3E8_V_MF8_MASK }, // 116
  { 0x3, 0x1, 0x1, 0x3, 0x6, PseudoVSSSEG3E8_V_MF4_MASK }, // 117
  { 0x3, 0x1, 0x1, 0x3, 0x7, PseudoVSSSEG3E8_V_MF2_MASK }, // 118
  { 0x3, 0x1, 0x1, 0x4, 0x0, PseudoVSSSEG3E16_V_M1_MASK }, // 119
  { 0x3, 0x1, 0x1, 0x4, 0x1, PseudoVSSSEG3E16_V_M2_MASK }, // 120
  { 0x3, 0x1, 0x1, 0x4, 0x6, PseudoVSSSEG3E16_V_MF4_MASK }, // 121
  { 0x3, 0x1, 0x1, 0x4, 0x7, PseudoVSSSEG3E16_V_MF2_MASK }, // 122
  { 0x3, 0x1, 0x1, 0x5, 0x0, PseudoVSSSEG3E32_V_M1_MASK }, // 123
  { 0x3, 0x1, 0x1, 0x5, 0x1, PseudoVSSSEG3E32_V_M2_MASK }, // 124
  { 0x3, 0x1, 0x1, 0x5, 0x7, PseudoVSSSEG3E32_V_MF2_MASK }, // 125
  { 0x3, 0x1, 0x1, 0x6, 0x0, PseudoVSSSEG3E64_V_M1_MASK }, // 126
  { 0x3, 0x1, 0x1, 0x6, 0x1, PseudoVSSSEG3E64_V_M2_MASK }, // 127
  { 0x4, 0x0, 0x0, 0x3, 0x0, PseudoVSSEG4E8_V_M1 }, // 128
  { 0x4, 0x0, 0x0, 0x3, 0x1, PseudoVSSEG4E8_V_M2 }, // 129
  { 0x4, 0x0, 0x0, 0x3, 0x5, PseudoVSSEG4E8_V_MF8 }, // 130
  { 0x4, 0x0, 0x0, 0x3, 0x6, PseudoVSSEG4E8_V_MF4 }, // 131
  { 0x4, 0x0, 0x0, 0x3, 0x7, PseudoVSSEG4E8_V_MF2 }, // 132
  { 0x4, 0x0, 0x0, 0x4, 0x0, PseudoVSSEG4E16_V_M1 }, // 133
  { 0x4, 0x0, 0x0, 0x4, 0x1, PseudoVSSEG4E16_V_M2 }, // 134
  { 0x4, 0x0, 0x0, 0x4, 0x6, PseudoVSSEG4E16_V_MF4 }, // 135
  { 0x4, 0x0, 0x0, 0x4, 0x7, PseudoVSSEG4E16_V_MF2 }, // 136
  { 0x4, 0x0, 0x0, 0x5, 0x0, PseudoVSSEG4E32_V_M1 }, // 137
  { 0x4, 0x0, 0x0, 0x5, 0x1, PseudoVSSEG4E32_V_M2 }, // 138
  { 0x4, 0x0, 0x0, 0x5, 0x7, PseudoVSSEG4E32_V_MF2 }, // 139
  { 0x4, 0x0, 0x0, 0x6, 0x0, PseudoVSSEG4E64_V_M1 }, // 140
  { 0x4, 0x0, 0x0, 0x6, 0x1, PseudoVSSEG4E64_V_M2 }, // 141
  { 0x4, 0x0, 0x1, 0x3, 0x0, PseudoVSSSEG4E8_V_M1 }, // 142
  { 0x4, 0x0, 0x1, 0x3, 0x1, PseudoVSSSEG4E8_V_M2 }, // 143
  { 0x4, 0x0, 0x1, 0x3, 0x5, PseudoVSSSEG4E8_V_MF8 }, // 144
  { 0x4, 0x0, 0x1, 0x3, 0x6, PseudoVSSSEG4E8_V_MF4 }, // 145
  { 0x4, 0x0, 0x1, 0x3, 0x7, PseudoVSSSEG4E8_V_MF2 }, // 146
  { 0x4, 0x0, 0x1, 0x4, 0x0, PseudoVSSSEG4E16_V_M1 }, // 147
  { 0x4, 0x0, 0x1, 0x4, 0x1, PseudoVSSSEG4E16_V_M2 }, // 148
  { 0x4, 0x0, 0x1, 0x4, 0x6, PseudoVSSSEG4E16_V_MF4 }, // 149
  { 0x4, 0x0, 0x1, 0x4, 0x7, PseudoVSSSEG4E16_V_MF2 }, // 150
  { 0x4, 0x0, 0x1, 0x5, 0x0, PseudoVSSSEG4E32_V_M1 }, // 151
  { 0x4, 0x0, 0x1, 0x5, 0x1, PseudoVSSSEG4E32_V_M2 }, // 152
  { 0x4, 0x0, 0x1, 0x5, 0x7, PseudoVSSSEG4E32_V_MF2 }, // 153
  { 0x4, 0x0, 0x1, 0x6, 0x0, PseudoVSSSEG4E64_V_M1 }, // 154
  { 0x4, 0x0, 0x1, 0x6, 0x1, PseudoVSSSEG4E64_V_M2 }, // 155
  { 0x4, 0x1, 0x0, 0x3, 0x0, PseudoVSSEG4E8_V_M1_MASK }, // 156
  { 0x4, 0x1, 0x0, 0x3, 0x1, PseudoVSSEG4E8_V_M2_MASK }, // 157
  { 0x4, 0x1, 0x0, 0x3, 0x5, PseudoVSSEG4E8_V_MF8_MASK }, // 158
  { 0x4, 0x1, 0x0, 0x3, 0x6, PseudoVSSEG4E8_V_MF4_MASK }, // 159
  { 0x4, 0x1, 0x0, 0x3, 0x7, PseudoVSSEG4E8_V_MF2_MASK }, // 160
  { 0x4, 0x1, 0x0, 0x4, 0x0, PseudoVSSEG4E16_V_M1_MASK }, // 161
  { 0x4, 0x1, 0x0, 0x4, 0x1, PseudoVSSEG4E16_V_M2_MASK }, // 162
  { 0x4, 0x1, 0x0, 0x4, 0x6, PseudoVSSEG4E16_V_MF4_MASK }, // 163
  { 0x4, 0x1, 0x0, 0x4, 0x7, PseudoVSSEG4E16_V_MF2_MASK }, // 164
  { 0x4, 0x1, 0x0, 0x5, 0x0, PseudoVSSEG4E32_V_M1_MASK }, // 165
  { 0x4, 0x1, 0x0, 0x5, 0x1, PseudoVSSEG4E32_V_M2_MASK }, // 166
  { 0x4, 0x1, 0x0, 0x5, 0x7, PseudoVSSEG4E32_V_MF2_MASK }, // 167
  { 0x4, 0x1, 0x0, 0x6, 0x0, PseudoVSSEG4E64_V_M1_MASK }, // 168
  { 0x4, 0x1, 0x0, 0x6, 0x1, PseudoVSSEG4E64_V_M2_MASK }, // 169
  { 0x4, 0x1, 0x1, 0x3, 0x0, PseudoVSSSEG4E8_V_M1_MASK }, // 170
  { 0x4, 0x1, 0x1, 0x3, 0x1, PseudoVSSSEG4E8_V_M2_MASK }, // 171
  { 0x4, 0x1, 0x1, 0x3, 0x5, PseudoVSSSEG4E8_V_MF8_MASK }, // 172
  { 0x4, 0x1, 0x1, 0x3, 0x6, PseudoVSSSEG4E8_V_MF4_MASK }, // 173
  { 0x4, 0x1, 0x1, 0x3, 0x7, PseudoVSSSEG4E8_V_MF2_MASK }, // 174
  { 0x4, 0x1, 0x1, 0x4, 0x0, PseudoVSSSEG4E16_V_M1_MASK }, // 175
  { 0x4, 0x1, 0x1, 0x4, 0x1, PseudoVSSSEG4E16_V_M2_MASK }, // 176
  { 0x4, 0x1, 0x1, 0x4, 0x6, PseudoVSSSEG4E16_V_MF4_MASK }, // 177
  { 0x4, 0x1, 0x1, 0x4, 0x7, PseudoVSSSEG4E16_V_MF2_MASK }, // 178
  { 0x4, 0x1, 0x1, 0x5, 0x0, PseudoVSSSEG4E32_V_M1_MASK }, // 179
  { 0x4, 0x1, 0x1, 0x5, 0x1, PseudoVSSSEG4E32_V_M2_MASK }, // 180
  { 0x4, 0x1, 0x1, 0x5, 0x7, PseudoVSSSEG4E32_V_MF2_MASK }, // 181
  { 0x4, 0x1, 0x1, 0x6, 0x0, PseudoVSSSEG4E64_V_M1_MASK }, // 182
  { 0x4, 0x1, 0x1, 0x6, 0x1, PseudoVSSSEG4E64_V_M2_MASK }, // 183
  { 0x5, 0x0, 0x0, 0x3, 0x0, PseudoVSSEG5E8_V_M1 }, // 184
  { 0x5, 0x0, 0x0, 0x3, 0x5, PseudoVSSEG5E8_V_MF8 }, // 185
  { 0x5, 0x0, 0x0, 0x3, 0x6, PseudoVSSEG5E8_V_MF4 }, // 186
  { 0x5, 0x0, 0x0, 0x3, 0x7, PseudoVSSEG5E8_V_MF2 }, // 187
  { 0x5, 0x0, 0x0, 0x4, 0x0, PseudoVSSEG5E16_V_M1 }, // 188
  { 0x5, 0x0, 0x0, 0x4, 0x6, PseudoVSSEG5E16_V_MF4 }, // 189
  { 0x5, 0x0, 0x0, 0x4, 0x7, PseudoVSSEG5E16_V_MF2 }, // 190
  { 0x5, 0x0, 0x0, 0x5, 0x0, PseudoVSSEG5E32_V_M1 }, // 191
  { 0x5, 0x0, 0x0, 0x5, 0x7, PseudoVSSEG5E32_V_MF2 }, // 192
  { 0x5, 0x0, 0x0, 0x6, 0x0, PseudoVSSEG5E64_V_M1 }, // 193
  { 0x5, 0x0, 0x1, 0x3, 0x0, PseudoVSSSEG5E8_V_M1 }, // 194
  { 0x5, 0x0, 0x1, 0x3, 0x5, PseudoVSSSEG5E8_V_MF8 }, // 195
  { 0x5, 0x0, 0x1, 0x3, 0x6, PseudoVSSSEG5E8_V_MF4 }, // 196
  { 0x5, 0x0, 0x1, 0x3, 0x7, PseudoVSSSEG5E8_V_MF2 }, // 197
  { 0x5, 0x0, 0x1, 0x4, 0x0, PseudoVSSSEG5E16_V_M1 }, // 198
  { 0x5, 0x0, 0x1, 0x4, 0x6, PseudoVSSSEG5E16_V_MF4 }, // 199
  { 0x5, 0x0, 0x1, 0x4, 0x7, PseudoVSSSEG5E16_V_MF2 }, // 200
  { 0x5, 0x0, 0x1, 0x5, 0x0, PseudoVSSSEG5E32_V_M1 }, // 201
  { 0x5, 0x0, 0x1, 0x5, 0x7, PseudoVSSSEG5E32_V_MF2 }, // 202
  { 0x5, 0x0, 0x1, 0x6, 0x0, PseudoVSSSEG5E64_V_M1 }, // 203
  { 0x5, 0x1, 0x0, 0x3, 0x0, PseudoVSSEG5E8_V_M1_MASK }, // 204
  { 0x5, 0x1, 0x0, 0x3, 0x5, PseudoVSSEG5E8_V_MF8_MASK }, // 205
  { 0x5, 0x1, 0x0, 0x3, 0x6, PseudoVSSEG5E8_V_MF4_MASK }, // 206
  { 0x5, 0x1, 0x0, 0x3, 0x7, PseudoVSSEG5E8_V_MF2_MASK }, // 207
  { 0x5, 0x1, 0x0, 0x4, 0x0, PseudoVSSEG5E16_V_M1_MASK }, // 208
  { 0x5, 0x1, 0x0, 0x4, 0x6, PseudoVSSEG5E16_V_MF4_MASK }, // 209
  { 0x5, 0x1, 0x0, 0x4, 0x7, PseudoVSSEG5E16_V_MF2_MASK }, // 210
  { 0x5, 0x1, 0x0, 0x5, 0x0, PseudoVSSEG5E32_V_M1_MASK }, // 211
  { 0x5, 0x1, 0x0, 0x5, 0x7, PseudoVSSEG5E32_V_MF2_MASK }, // 212
  { 0x5, 0x1, 0x0, 0x6, 0x0, PseudoVSSEG5E64_V_M1_MASK }, // 213
  { 0x5, 0x1, 0x1, 0x3, 0x0, PseudoVSSSEG5E8_V_M1_MASK }, // 214
  { 0x5, 0x1, 0x1, 0x3, 0x5, PseudoVSSSEG5E8_V_MF8_MASK }, // 215
  { 0x5, 0x1, 0x1, 0x3, 0x6, PseudoVSSSEG5E8_V_MF4_MASK }, // 216
  { 0x5, 0x1, 0x1, 0x3, 0x7, PseudoVSSSEG5E8_V_MF2_MASK }, // 217
  { 0x5, 0x1, 0x1, 0x4, 0x0, PseudoVSSSEG5E16_V_M1_MASK }, // 218
  { 0x5, 0x1, 0x1, 0x4, 0x6, PseudoVSSSEG5E16_V_MF4_MASK }, // 219
  { 0x5, 0x1, 0x1, 0x4, 0x7, PseudoVSSSEG5E16_V_MF2_MASK }, // 220
  { 0x5, 0x1, 0x1, 0x5, 0x0, PseudoVSSSEG5E32_V_M1_MASK }, // 221
  { 0x5, 0x1, 0x1, 0x5, 0x7, PseudoVSSSEG5E32_V_MF2_MASK }, // 222
  { 0x5, 0x1, 0x1, 0x6, 0x0, PseudoVSSSEG5E64_V_M1_MASK }, // 223
  { 0x6, 0x0, 0x0, 0x3, 0x0, PseudoVSSEG6E8_V_M1 }, // 224
  { 0x6, 0x0, 0x0, 0x3, 0x5, PseudoVSSEG6E8_V_MF8 }, // 225
  { 0x6, 0x0, 0x0, 0x3, 0x6, PseudoVSSEG6E8_V_MF4 }, // 226
  { 0x6, 0x0, 0x0, 0x3, 0x7, PseudoVSSEG6E8_V_MF2 }, // 227
  { 0x6, 0x0, 0x0, 0x4, 0x0, PseudoVSSEG6E16_V_M1 }, // 228
  { 0x6, 0x0, 0x0, 0x4, 0x6, PseudoVSSEG6E16_V_MF4 }, // 229
  { 0x6, 0x0, 0x0, 0x4, 0x7, PseudoVSSEG6E16_V_MF2 }, // 230
  { 0x6, 0x0, 0x0, 0x5, 0x0, PseudoVSSEG6E32_V_M1 }, // 231
  { 0x6, 0x0, 0x0, 0x5, 0x7, PseudoVSSEG6E32_V_MF2 }, // 232
  { 0x6, 0x0, 0x0, 0x6, 0x0, PseudoVSSEG6E64_V_M1 }, // 233
  { 0x6, 0x0, 0x1, 0x3, 0x0, PseudoVSSSEG6E8_V_M1 }, // 234
  { 0x6, 0x0, 0x1, 0x3, 0x5, PseudoVSSSEG6E8_V_MF8 }, // 235
  { 0x6, 0x0, 0x1, 0x3, 0x6, PseudoVSSSEG6E8_V_MF4 }, // 236
  { 0x6, 0x0, 0x1, 0x3, 0x7, PseudoVSSSEG6E8_V_MF2 }, // 237
  { 0x6, 0x0, 0x1, 0x4, 0x0, PseudoVSSSEG6E16_V_M1 }, // 238
  { 0x6, 0x0, 0x1, 0x4, 0x6, PseudoVSSSEG6E16_V_MF4 }, // 239
  { 0x6, 0x0, 0x1, 0x4, 0x7, PseudoVSSSEG6E16_V_MF2 }, // 240
  { 0x6, 0x0, 0x1, 0x5, 0x0, PseudoVSSSEG6E32_V_M1 }, // 241
  { 0x6, 0x0, 0x1, 0x5, 0x7, PseudoVSSSEG6E32_V_MF2 }, // 242
  { 0x6, 0x0, 0x1, 0x6, 0x0, PseudoVSSSEG6E64_V_M1 }, // 243
  { 0x6, 0x1, 0x0, 0x3, 0x0, PseudoVSSEG6E8_V_M1_MASK }, // 244
  { 0x6, 0x1, 0x0, 0x3, 0x5, PseudoVSSEG6E8_V_MF8_MASK }, // 245
  { 0x6, 0x1, 0x0, 0x3, 0x6, PseudoVSSEG6E8_V_MF4_MASK }, // 246
  { 0x6, 0x1, 0x0, 0x3, 0x7, PseudoVSSEG6E8_V_MF2_MASK }, // 247
  { 0x6, 0x1, 0x0, 0x4, 0x0, PseudoVSSEG6E16_V_M1_MASK }, // 248
  { 0x6, 0x1, 0x0, 0x4, 0x6, PseudoVSSEG6E16_V_MF4_MASK }, // 249
  { 0x6, 0x1, 0x0, 0x4, 0x7, PseudoVSSEG6E16_V_MF2_MASK }, // 250
  { 0x6, 0x1, 0x0, 0x5, 0x0, PseudoVSSEG6E32_V_M1_MASK }, // 251
  { 0x6, 0x1, 0x0, 0x5, 0x7, PseudoVSSEG6E32_V_MF2_MASK }, // 252
  { 0x6, 0x1, 0x0, 0x6, 0x0, PseudoVSSEG6E64_V_M1_MASK }, // 253
  { 0x6, 0x1, 0x1, 0x3, 0x0, PseudoVSSSEG6E8_V_M1_MASK }, // 254
  { 0x6, 0x1, 0x1, 0x3, 0x5, PseudoVSSSEG6E8_V_MF8_MASK }, // 255
  { 0x6, 0x1, 0x1, 0x3, 0x6, PseudoVSSSEG6E8_V_MF4_MASK }, // 256
  { 0x6, 0x1, 0x1, 0x3, 0x7, PseudoVSSSEG6E8_V_MF2_MASK }, // 257
  { 0x6, 0x1, 0x1, 0x4, 0x0, PseudoVSSSEG6E16_V_M1_MASK }, // 258
  { 0x6, 0x1, 0x1, 0x4, 0x6, PseudoVSSSEG6E16_V_MF4_MASK }, // 259
  { 0x6, 0x1, 0x1, 0x4, 0x7, PseudoVSSSEG6E16_V_MF2_MASK }, // 260
  { 0x6, 0x1, 0x1, 0x5, 0x0, PseudoVSSSEG6E32_V_M1_MASK }, // 261
  { 0x6, 0x1, 0x1, 0x5, 0x7, PseudoVSSSEG6E32_V_MF2_MASK }, // 262
  { 0x6, 0x1, 0x1, 0x6, 0x0, PseudoVSSSEG6E64_V_M1_MASK }, // 263
  { 0x7, 0x0, 0x0, 0x3, 0x0, PseudoVSSEG7E8_V_M1 }, // 264
  { 0x7, 0x0, 0x0, 0x3, 0x5, PseudoVSSEG7E8_V_MF8 }, // 265
  { 0x7, 0x0, 0x0, 0x3, 0x6, PseudoVSSEG7E8_V_MF4 }, // 266
  { 0x7, 0x0, 0x0, 0x3, 0x7, PseudoVSSEG7E8_V_MF2 }, // 267
  { 0x7, 0x0, 0x0, 0x4, 0x0, PseudoVSSEG7E16_V_M1 }, // 268
  { 0x7, 0x0, 0x0, 0x4, 0x6, PseudoVSSEG7E16_V_MF4 }, // 269
  { 0x7, 0x0, 0x0, 0x4, 0x7, PseudoVSSEG7E16_V_MF2 }, // 270
  { 0x7, 0x0, 0x0, 0x5, 0x0, PseudoVSSEG7E32_V_M1 }, // 271
  { 0x7, 0x0, 0x0, 0x5, 0x7, PseudoVSSEG7E32_V_MF2 }, // 272
  { 0x7, 0x0, 0x0, 0x6, 0x0, PseudoVSSEG7E64_V_M1 }, // 273
  { 0x7, 0x0, 0x1, 0x3, 0x0, PseudoVSSSEG7E8_V_M1 }, // 274
  { 0x7, 0x0, 0x1, 0x3, 0x5, PseudoVSSSEG7E8_V_MF8 }, // 275
  { 0x7, 0x0, 0x1, 0x3, 0x6, PseudoVSSSEG7E8_V_MF4 }, // 276
  { 0x7, 0x0, 0x1, 0x3, 0x7, PseudoVSSSEG7E8_V_MF2 }, // 277
  { 0x7, 0x0, 0x1, 0x4, 0x0, PseudoVSSSEG7E16_V_M1 }, // 278
  { 0x7, 0x0, 0x1, 0x4, 0x6, PseudoVSSSEG7E16_V_MF4 }, // 279
  { 0x7, 0x0, 0x1, 0x4, 0x7, PseudoVSSSEG7E16_V_MF2 }, // 280
  { 0x7, 0x0, 0x1, 0x5, 0x0, PseudoVSSSEG7E32_V_M1 }, // 281
  { 0x7, 0x0, 0x1, 0x5, 0x7, PseudoVSSSEG7E32_V_MF2 }, // 282
  { 0x7, 0x0, 0x1, 0x6, 0x0, PseudoVSSSEG7E64_V_M1 }, // 283
  { 0x7, 0x1, 0x0, 0x3, 0x0, PseudoVSSEG7E8_V_M1_MASK }, // 284
  { 0x7, 0x1, 0x0, 0x3, 0x5, PseudoVSSEG7E8_V_MF8_MASK }, // 285
  { 0x7, 0x1, 0x0, 0x3, 0x6, PseudoVSSEG7E8_V_MF4_MASK }, // 286
  { 0x7, 0x1, 0x0, 0x3, 0x7, PseudoVSSEG7E8_V_MF2_MASK }, // 287
  { 0x7, 0x1, 0x0, 0x4, 0x0, PseudoVSSEG7E16_V_M1_MASK }, // 288
  { 0x7, 0x1, 0x0, 0x4, 0x6, PseudoVSSEG7E16_V_MF4_MASK }, // 289
  { 0x7, 0x1, 0x0, 0x4, 0x7, PseudoVSSEG7E16_V_MF2_MASK }, // 290
  { 0x7, 0x1, 0x0, 0x5, 0x0, PseudoVSSEG7E32_V_M1_MASK }, // 291
  { 0x7, 0x1, 0x0, 0x5, 0x7, PseudoVSSEG7E32_V_MF2_MASK }, // 292
  { 0x7, 0x1, 0x0, 0x6, 0x0, PseudoVSSEG7E64_V_M1_MASK }, // 293
  { 0x7, 0x1, 0x1, 0x3, 0x0, PseudoVSSSEG7E8_V_M1_MASK }, // 294
  { 0x7, 0x1, 0x1, 0x3, 0x5, PseudoVSSSEG7E8_V_MF8_MASK }, // 295
  { 0x7, 0x1, 0x1, 0x3, 0x6, PseudoVSSSEG7E8_V_MF4_MASK }, // 296
  { 0x7, 0x1, 0x1, 0x3, 0x7, PseudoVSSSEG7E8_V_MF2_MASK }, // 297
  { 0x7, 0x1, 0x1, 0x4, 0x0, PseudoVSSSEG7E16_V_M1_MASK }, // 298
  { 0x7, 0x1, 0x1, 0x4, 0x6, PseudoVSSSEG7E16_V_MF4_MASK }, // 299
  { 0x7, 0x1, 0x1, 0x4, 0x7, PseudoVSSSEG7E16_V_MF2_MASK }, // 300
  { 0x7, 0x1, 0x1, 0x5, 0x0, PseudoVSSSEG7E32_V_M1_MASK }, // 301
  { 0x7, 0x1, 0x1, 0x5, 0x7, PseudoVSSSEG7E32_V_MF2_MASK }, // 302
  { 0x7, 0x1, 0x1, 0x6, 0x0, PseudoVSSSEG7E64_V_M1_MASK }, // 303
  { 0x8, 0x0, 0x0, 0x3, 0x0, PseudoVSSEG8E8_V_M1 }, // 304
  { 0x8, 0x0, 0x0, 0x3, 0x5, PseudoVSSEG8E8_V_MF8 }, // 305
  { 0x8, 0x0, 0x0, 0x3, 0x6, PseudoVSSEG8E8_V_MF4 }, // 306
  { 0x8, 0x0, 0x0, 0x3, 0x7, PseudoVSSEG8E8_V_MF2 }, // 307
  { 0x8, 0x0, 0x0, 0x4, 0x0, PseudoVSSEG8E16_V_M1 }, // 308
  { 0x8, 0x0, 0x0, 0x4, 0x6, PseudoVSSEG8E16_V_MF4 }, // 309
  { 0x8, 0x0, 0x0, 0x4, 0x7, PseudoVSSEG8E16_V_MF2 }, // 310
  { 0x8, 0x0, 0x0, 0x5, 0x0, PseudoVSSEG8E32_V_M1 }, // 311
  { 0x8, 0x0, 0x0, 0x5, 0x7, PseudoVSSEG8E32_V_MF2 }, // 312
  { 0x8, 0x0, 0x0, 0x6, 0x0, PseudoVSSEG8E64_V_M1 }, // 313
  { 0x8, 0x0, 0x1, 0x3, 0x0, PseudoVSSSEG8E8_V_M1 }, // 314
  { 0x8, 0x0, 0x1, 0x3, 0x5, PseudoVSSSEG8E8_V_MF8 }, // 315
  { 0x8, 0x0, 0x1, 0x3, 0x6, PseudoVSSSEG8E8_V_MF4 }, // 316
  { 0x8, 0x0, 0x1, 0x3, 0x7, PseudoVSSSEG8E8_V_MF2 }, // 317
  { 0x8, 0x0, 0x1, 0x4, 0x0, PseudoVSSSEG8E16_V_M1 }, // 318
  { 0x8, 0x0, 0x1, 0x4, 0x6, PseudoVSSSEG8E16_V_MF4 }, // 319
  { 0x8, 0x0, 0x1, 0x4, 0x7, PseudoVSSSEG8E16_V_MF2 }, // 320
  { 0x8, 0x0, 0x1, 0x5, 0x0, PseudoVSSSEG8E32_V_M1 }, // 321
  { 0x8, 0x0, 0x1, 0x5, 0x7, PseudoVSSSEG8E32_V_MF2 }, // 322
  { 0x8, 0x0, 0x1, 0x6, 0x0, PseudoVSSSEG8E64_V_M1 }, // 323
  { 0x8, 0x1, 0x0, 0x3, 0x0, PseudoVSSEG8E8_V_M1_MASK }, // 324
  { 0x8, 0x1, 0x0, 0x3, 0x5, PseudoVSSEG8E8_V_MF8_MASK }, // 325
  { 0x8, 0x1, 0x0, 0x3, 0x6, PseudoVSSEG8E8_V_MF4_MASK }, // 326
  { 0x8, 0x1, 0x0, 0x3, 0x7, PseudoVSSEG8E8_V_MF2_MASK }, // 327
  { 0x8, 0x1, 0x0, 0x4, 0x0, PseudoVSSEG8E16_V_M1_MASK }, // 328
  { 0x8, 0x1, 0x0, 0x4, 0x6, PseudoVSSEG8E16_V_MF4_MASK }, // 329
  { 0x8, 0x1, 0x0, 0x4, 0x7, PseudoVSSEG8E16_V_MF2_MASK }, // 330
  { 0x8, 0x1, 0x0, 0x5, 0x0, PseudoVSSEG8E32_V_M1_MASK }, // 331
  { 0x8, 0x1, 0x0, 0x5, 0x7, PseudoVSSEG8E32_V_MF2_MASK }, // 332
  { 0x8, 0x1, 0x0, 0x6, 0x0, PseudoVSSEG8E64_V_M1_MASK }, // 333
  { 0x8, 0x1, 0x1, 0x3, 0x0, PseudoVSSSEG8E8_V_M1_MASK }, // 334
  { 0x8, 0x1, 0x1, 0x3, 0x5, PseudoVSSSEG8E8_V_MF8_MASK }, // 335
  { 0x8, 0x1, 0x1, 0x3, 0x6, PseudoVSSSEG8E8_V_MF4_MASK }, // 336
  { 0x8, 0x1, 0x1, 0x3, 0x7, PseudoVSSSEG8E8_V_MF2_MASK }, // 337
  { 0x8, 0x1, 0x1, 0x4, 0x0, PseudoVSSSEG8E16_V_M1_MASK }, // 338
  { 0x8, 0x1, 0x1, 0x4, 0x6, PseudoVSSSEG8E16_V_MF4_MASK }, // 339
  { 0x8, 0x1, 0x1, 0x4, 0x7, PseudoVSSSEG8E16_V_MF2_MASK }, // 340
  { 0x8, 0x1, 0x1, 0x5, 0x0, PseudoVSSSEG8E32_V_M1_MASK }, // 341
  { 0x8, 0x1, 0x1, 0x5, 0x7, PseudoVSSSEG8E32_V_MF2_MASK }, // 342
  { 0x8, 0x1, 0x1, 0x6, 0x0, PseudoVSSSEG8E64_V_M1_MASK }, // 343
 };

const VSSEGPseudo *getVSSEGPseudo(uint8_t NF, uint8_t Masked, uint8_t Strided, uint8_t Log2SEW, uint8_t LMUL) {
  struct KeyType {
    uint8_t NF;
    uint8_t Masked;
    uint8_t Strided;
    uint8_t Log2SEW;
    uint8_t LMUL;
  };
  KeyType Key = {NF, Masked, Strided, Log2SEW, LMUL};
  auto Table = makeArrayRef(RISCVVSSEGTable);
  auto Idx = std::lower_bound(Table.begin(), Table.end(), Key,
    [](const VSSEGPseudo &LHS, const KeyType &RHS) {
      if (LHS.NF < RHS.NF)
        return true;
      if (LHS.NF > RHS.NF)
        return false;
      if (LHS.Masked < RHS.Masked)
        return true;
      if (LHS.Masked > RHS.Masked)
        return false;
      if (LHS.Strided < RHS.Strided)
        return true;
      if (LHS.Strided > RHS.Strided)
        return false;
      if (LHS.Log2SEW < RHS.Log2SEW)
        return true;
      if (LHS.Log2SEW > RHS.Log2SEW)
        return false;
      if (LHS.LMUL < RHS.LMUL)
        return true;
      if (LHS.LMUL > RHS.LMUL)
        return false;
      return false;
    });

  if (Idx == Table.end() ||
      Key.NF != Idx->NF ||
      Key.Masked != Idx->Masked ||
      Key.Strided != Idx->Strided ||
      Key.Log2SEW != Idx->Log2SEW ||
      Key.LMUL != Idx->LMUL)
    return nullptr;
  return &*Idx;
}
#endif

#ifdef GET_RISCVVSXSEGTable_DECL
const VSXSEGPseudo *getVSXSEGPseudo(uint8_t NF, uint8_t Masked, uint8_t Ordered, uint8_t Log2SEW, uint8_t LMUL, uint8_t IndexLMUL);
#endif

#ifdef GET_RISCVVSXSEGTable_IMPL
constexpr VSXSEGPseudo RISCVVSXSEGTable[] = {
  { 0x2, 0x0, 0x0, 0x3, 0x0, 0x0, PseudoVSUXSEG2EI8_V_M1_M1 }, // 0
  { 0x2, 0x0, 0x0, 0x3, 0x0, 0x5, PseudoVSUXSEG2EI8_V_MF8_M1 }, // 1
  { 0x2, 0x0, 0x0, 0x3, 0x0, 0x6, PseudoVSUXSEG2EI8_V_MF4_M1 }, // 2
  { 0x2, 0x0, 0x0, 0x3, 0x0, 0x7, PseudoVSUXSEG2EI8_V_MF2_M1 }, // 3
  { 0x2, 0x0, 0x0, 0x3, 0x1, 0x0, PseudoVSUXSEG2EI8_V_M1_M2 }, // 4
  { 0x2, 0x0, 0x0, 0x3, 0x1, 0x1, PseudoVSUXSEG2EI8_V_M2_M2 }, // 5
  { 0x2, 0x0, 0x0, 0x3, 0x1, 0x6, PseudoVSUXSEG2EI8_V_MF4_M2 }, // 6
  { 0x2, 0x0, 0x0, 0x3, 0x1, 0x7, PseudoVSUXSEG2EI8_V_MF2_M2 }, // 7
  { 0x2, 0x0, 0x0, 0x3, 0x2, 0x0, PseudoVSUXSEG2EI8_V_M1_M4 }, // 8
  { 0x2, 0x0, 0x0, 0x3, 0x2, 0x1, PseudoVSUXSEG2EI8_V_M2_M4 }, // 9
  { 0x2, 0x0, 0x0, 0x3, 0x2, 0x2, PseudoVSUXSEG2EI8_V_M4_M4 }, // 10
  { 0x2, 0x0, 0x0, 0x3, 0x2, 0x7, PseudoVSUXSEG2EI8_V_MF2_M4 }, // 11
  { 0x2, 0x0, 0x0, 0x3, 0x5, 0x5, PseudoVSUXSEG2EI8_V_MF8_MF8 }, // 12
  { 0x2, 0x0, 0x0, 0x3, 0x6, 0x5, PseudoVSUXSEG2EI8_V_MF8_MF4 }, // 13
  { 0x2, 0x0, 0x0, 0x3, 0x6, 0x6, PseudoVSUXSEG2EI8_V_MF4_MF4 }, // 14
  { 0x2, 0x0, 0x0, 0x3, 0x7, 0x5, PseudoVSUXSEG2EI8_V_MF8_MF2 }, // 15
  { 0x2, 0x0, 0x0, 0x3, 0x7, 0x6, PseudoVSUXSEG2EI8_V_MF4_MF2 }, // 16
  { 0x2, 0x0, 0x0, 0x3, 0x7, 0x7, PseudoVSUXSEG2EI8_V_MF2_MF2 }, // 17
  { 0x2, 0x0, 0x0, 0x4, 0x0, 0x0, PseudoVSUXSEG2EI16_V_M1_M1 }, // 18
  { 0x2, 0x0, 0x0, 0x4, 0x0, 0x1, PseudoVSUXSEG2EI16_V_M2_M1 }, // 19
  { 0x2, 0x0, 0x0, 0x4, 0x0, 0x6, PseudoVSUXSEG2EI16_V_MF4_M1 }, // 20
  { 0x2, 0x0, 0x0, 0x4, 0x0, 0x7, PseudoVSUXSEG2EI16_V_MF2_M1 }, // 21
  { 0x2, 0x0, 0x0, 0x4, 0x1, 0x0, PseudoVSUXSEG2EI16_V_M1_M2 }, // 22
  { 0x2, 0x0, 0x0, 0x4, 0x1, 0x1, PseudoVSUXSEG2EI16_V_M2_M2 }, // 23
  { 0x2, 0x0, 0x0, 0x4, 0x1, 0x2, PseudoVSUXSEG2EI16_V_M4_M2 }, // 24
  { 0x2, 0x0, 0x0, 0x4, 0x1, 0x7, PseudoVSUXSEG2EI16_V_MF2_M2 }, // 25
  { 0x2, 0x0, 0x0, 0x4, 0x2, 0x0, PseudoVSUXSEG2EI16_V_M1_M4 }, // 26
  { 0x2, 0x0, 0x0, 0x4, 0x2, 0x1, PseudoVSUXSEG2EI16_V_M2_M4 }, // 27
  { 0x2, 0x0, 0x0, 0x4, 0x2, 0x2, PseudoVSUXSEG2EI16_V_M4_M4 }, // 28
  { 0x2, 0x0, 0x0, 0x4, 0x2, 0x3, PseudoVSUXSEG2EI16_V_M8_M4 }, // 29
  { 0x2, 0x0, 0x0, 0x4, 0x5, 0x6, PseudoVSUXSEG2EI16_V_MF4_MF8 }, // 30
  { 0x2, 0x0, 0x0, 0x4, 0x6, 0x6, PseudoVSUXSEG2EI16_V_MF4_MF4 }, // 31
  { 0x2, 0x0, 0x0, 0x4, 0x6, 0x7, PseudoVSUXSEG2EI16_V_MF2_MF4 }, // 32
  { 0x2, 0x0, 0x0, 0x4, 0x7, 0x0, PseudoVSUXSEG2EI16_V_M1_MF2 }, // 33
  { 0x2, 0x0, 0x0, 0x4, 0x7, 0x6, PseudoVSUXSEG2EI16_V_MF4_MF2 }, // 34
  { 0x2, 0x0, 0x0, 0x4, 0x7, 0x7, PseudoVSUXSEG2EI16_V_MF2_MF2 }, // 35
  { 0x2, 0x0, 0x0, 0x5, 0x0, 0x0, PseudoVSUXSEG2EI32_V_M1_M1 }, // 36
  { 0x2, 0x0, 0x0, 0x5, 0x0, 0x1, PseudoVSUXSEG2EI32_V_M2_M1 }, // 37
  { 0x2, 0x0, 0x0, 0x5, 0x0, 0x2, PseudoVSUXSEG2EI32_V_M4_M1 }, // 38
  { 0x2, 0x0, 0x0, 0x5, 0x0, 0x7, PseudoVSUXSEG2EI32_V_MF2_M1 }, // 39
  { 0x2, 0x0, 0x0, 0x5, 0x1, 0x0, PseudoVSUXSEG2EI32_V_M1_M2 }, // 40
  { 0x2, 0x0, 0x0, 0x5, 0x1, 0x1, PseudoVSUXSEG2EI32_V_M2_M2 }, // 41
  { 0x2, 0x0, 0x0, 0x5, 0x1, 0x2, PseudoVSUXSEG2EI32_V_M4_M2 }, // 42
  { 0x2, 0x0, 0x0, 0x5, 0x1, 0x3, PseudoVSUXSEG2EI32_V_M8_M2 }, // 43
  { 0x2, 0x0, 0x0, 0x5, 0x2, 0x1, PseudoVSUXSEG2EI32_V_M2_M4 }, // 44
  { 0x2, 0x0, 0x0, 0x5, 0x2, 0x2, PseudoVSUXSEG2EI32_V_M4_M4 }, // 45
  { 0x2, 0x0, 0x0, 0x5, 0x2, 0x3, PseudoVSUXSEG2EI32_V_M8_M4 }, // 46
  { 0x2, 0x0, 0x0, 0x5, 0x5, 0x7, PseudoVSUXSEG2EI32_V_MF2_MF8 }, // 47
  { 0x2, 0x0, 0x0, 0x5, 0x6, 0x0, PseudoVSUXSEG2EI32_V_M1_MF4 }, // 48
  { 0x2, 0x0, 0x0, 0x5, 0x6, 0x7, PseudoVSUXSEG2EI32_V_MF2_MF4 }, // 49
  { 0x2, 0x0, 0x0, 0x5, 0x7, 0x0, PseudoVSUXSEG2EI32_V_M1_MF2 }, // 50
  { 0x2, 0x0, 0x0, 0x5, 0x7, 0x1, PseudoVSUXSEG2EI32_V_M2_MF2 }, // 51
  { 0x2, 0x0, 0x0, 0x5, 0x7, 0x7, PseudoVSUXSEG2EI32_V_MF2_MF2 }, // 52
  { 0x2, 0x0, 0x0, 0x6, 0x0, 0x0, PseudoVSUXSEG2EI64_V_M1_M1 }, // 53
  { 0x2, 0x0, 0x0, 0x6, 0x0, 0x1, PseudoVSUXSEG2EI64_V_M2_M1 }, // 54
  { 0x2, 0x0, 0x0, 0x6, 0x0, 0x2, PseudoVSUXSEG2EI64_V_M4_M1 }, // 55
  { 0x2, 0x0, 0x0, 0x6, 0x0, 0x3, PseudoVSUXSEG2EI64_V_M8_M1 }, // 56
  { 0x2, 0x0, 0x0, 0x6, 0x1, 0x1, PseudoVSUXSEG2EI64_V_M2_M2 }, // 57
  { 0x2, 0x0, 0x0, 0x6, 0x1, 0x2, PseudoVSUXSEG2EI64_V_M4_M2 }, // 58
  { 0x2, 0x0, 0x0, 0x6, 0x1, 0x3, PseudoVSUXSEG2EI64_V_M8_M2 }, // 59
  { 0x2, 0x0, 0x0, 0x6, 0x2, 0x2, PseudoVSUXSEG2EI64_V_M4_M4 }, // 60
  { 0x2, 0x0, 0x0, 0x6, 0x2, 0x3, PseudoVSUXSEG2EI64_V_M8_M4 }, // 61
  { 0x2, 0x0, 0x0, 0x6, 0x5, 0x0, PseudoVSUXSEG2EI64_V_M1_MF8 }, // 62
  { 0x2, 0x0, 0x0, 0x6, 0x6, 0x0, PseudoVSUXSEG2EI64_V_M1_MF4 }, // 63
  { 0x2, 0x0, 0x0, 0x6, 0x6, 0x1, PseudoVSUXSEG2EI64_V_M2_MF4 }, // 64
  { 0x2, 0x0, 0x0, 0x6, 0x7, 0x0, PseudoVSUXSEG2EI64_V_M1_MF2 }, // 65
  { 0x2, 0x0, 0x0, 0x6, 0x7, 0x1, PseudoVSUXSEG2EI64_V_M2_MF2 }, // 66
  { 0x2, 0x0, 0x0, 0x6, 0x7, 0x2, PseudoVSUXSEG2EI64_V_M4_MF2 }, // 67
  { 0x2, 0x0, 0x1, 0x3, 0x0, 0x0, PseudoVSOXSEG2EI8_V_M1_M1 }, // 68
  { 0x2, 0x0, 0x1, 0x3, 0x0, 0x5, PseudoVSOXSEG2EI8_V_MF8_M1 }, // 69
  { 0x2, 0x0, 0x1, 0x3, 0x0, 0x6, PseudoVSOXSEG2EI8_V_MF4_M1 }, // 70
  { 0x2, 0x0, 0x1, 0x3, 0x0, 0x7, PseudoVSOXSEG2EI8_V_MF2_M1 }, // 71
  { 0x2, 0x0, 0x1, 0x3, 0x1, 0x0, PseudoVSOXSEG2EI8_V_M1_M2 }, // 72
  { 0x2, 0x0, 0x1, 0x3, 0x1, 0x1, PseudoVSOXSEG2EI8_V_M2_M2 }, // 73
  { 0x2, 0x0, 0x1, 0x3, 0x1, 0x6, PseudoVSOXSEG2EI8_V_MF4_M2 }, // 74
  { 0x2, 0x0, 0x1, 0x3, 0x1, 0x7, PseudoVSOXSEG2EI8_V_MF2_M2 }, // 75
  { 0x2, 0x0, 0x1, 0x3, 0x2, 0x0, PseudoVSOXSEG2EI8_V_M1_M4 }, // 76
  { 0x2, 0x0, 0x1, 0x3, 0x2, 0x1, PseudoVSOXSEG2EI8_V_M2_M4 }, // 77
  { 0x2, 0x0, 0x1, 0x3, 0x2, 0x2, PseudoVSOXSEG2EI8_V_M4_M4 }, // 78
  { 0x2, 0x0, 0x1, 0x3, 0x2, 0x7, PseudoVSOXSEG2EI8_V_MF2_M4 }, // 79
  { 0x2, 0x0, 0x1, 0x3, 0x5, 0x5, PseudoVSOXSEG2EI8_V_MF8_MF8 }, // 80
  { 0x2, 0x0, 0x1, 0x3, 0x6, 0x5, PseudoVSOXSEG2EI8_V_MF8_MF4 }, // 81
  { 0x2, 0x0, 0x1, 0x3, 0x6, 0x6, PseudoVSOXSEG2EI8_V_MF4_MF4 }, // 82
  { 0x2, 0x0, 0x1, 0x3, 0x7, 0x5, PseudoVSOXSEG2EI8_V_MF8_MF2 }, // 83
  { 0x2, 0x0, 0x1, 0x3, 0x7, 0x6, PseudoVSOXSEG2EI8_V_MF4_MF2 }, // 84
  { 0x2, 0x0, 0x1, 0x3, 0x7, 0x7, PseudoVSOXSEG2EI8_V_MF2_MF2 }, // 85
  { 0x2, 0x0, 0x1, 0x4, 0x0, 0x0, PseudoVSOXSEG2EI16_V_M1_M1 }, // 86
  { 0x2, 0x0, 0x1, 0x4, 0x0, 0x1, PseudoVSOXSEG2EI16_V_M2_M1 }, // 87
  { 0x2, 0x0, 0x1, 0x4, 0x0, 0x6, PseudoVSOXSEG2EI16_V_MF4_M1 }, // 88
  { 0x2, 0x0, 0x1, 0x4, 0x0, 0x7, PseudoVSOXSEG2EI16_V_MF2_M1 }, // 89
  { 0x2, 0x0, 0x1, 0x4, 0x1, 0x0, PseudoVSOXSEG2EI16_V_M1_M2 }, // 90
  { 0x2, 0x0, 0x1, 0x4, 0x1, 0x1, PseudoVSOXSEG2EI16_V_M2_M2 }, // 91
  { 0x2, 0x0, 0x1, 0x4, 0x1, 0x2, PseudoVSOXSEG2EI16_V_M4_M2 }, // 92
  { 0x2, 0x0, 0x1, 0x4, 0x1, 0x7, PseudoVSOXSEG2EI16_V_MF2_M2 }, // 93
  { 0x2, 0x0, 0x1, 0x4, 0x2, 0x0, PseudoVSOXSEG2EI16_V_M1_M4 }, // 94
  { 0x2, 0x0, 0x1, 0x4, 0x2, 0x1, PseudoVSOXSEG2EI16_V_M2_M4 }, // 95
  { 0x2, 0x0, 0x1, 0x4, 0x2, 0x2, PseudoVSOXSEG2EI16_V_M4_M4 }, // 96
  { 0x2, 0x0, 0x1, 0x4, 0x2, 0x3, PseudoVSOXSEG2EI16_V_M8_M4 }, // 97
  { 0x2, 0x0, 0x1, 0x4, 0x5, 0x6, PseudoVSOXSEG2EI16_V_MF4_MF8 }, // 98
  { 0x2, 0x0, 0x1, 0x4, 0x6, 0x6, PseudoVSOXSEG2EI16_V_MF4_MF4 }, // 99
  { 0x2, 0x0, 0x1, 0x4, 0x6, 0x7, PseudoVSOXSEG2EI16_V_MF2_MF4 }, // 100
  { 0x2, 0x0, 0x1, 0x4, 0x7, 0x0, PseudoVSOXSEG2EI16_V_M1_MF2 }, // 101
  { 0x2, 0x0, 0x1, 0x4, 0x7, 0x6, PseudoVSOXSEG2EI16_V_MF4_MF2 }, // 102
  { 0x2, 0x0, 0x1, 0x4, 0x7, 0x7, PseudoVSOXSEG2EI16_V_MF2_MF2 }, // 103
  { 0x2, 0x0, 0x1, 0x5, 0x0, 0x0, PseudoVSOXSEG2EI32_V_M1_M1 }, // 104
  { 0x2, 0x0, 0x1, 0x5, 0x0, 0x1, PseudoVSOXSEG2EI32_V_M2_M1 }, // 105
  { 0x2, 0x0, 0x1, 0x5, 0x0, 0x2, PseudoVSOXSEG2EI32_V_M4_M1 }, // 106
  { 0x2, 0x0, 0x1, 0x5, 0x0, 0x7, PseudoVSOXSEG2EI32_V_MF2_M1 }, // 107
  { 0x2, 0x0, 0x1, 0x5, 0x1, 0x0, PseudoVSOXSEG2EI32_V_M1_M2 }, // 108
  { 0x2, 0x0, 0x1, 0x5, 0x1, 0x1, PseudoVSOXSEG2EI32_V_M2_M2 }, // 109
  { 0x2, 0x0, 0x1, 0x5, 0x1, 0x2, PseudoVSOXSEG2EI32_V_M4_M2 }, // 110
  { 0x2, 0x0, 0x1, 0x5, 0x1, 0x3, PseudoVSOXSEG2EI32_V_M8_M2 }, // 111
  { 0x2, 0x0, 0x1, 0x5, 0x2, 0x1, PseudoVSOXSEG2EI32_V_M2_M4 }, // 112
  { 0x2, 0x0, 0x1, 0x5, 0x2, 0x2, PseudoVSOXSEG2EI32_V_M4_M4 }, // 113
  { 0x2, 0x0, 0x1, 0x5, 0x2, 0x3, PseudoVSOXSEG2EI32_V_M8_M4 }, // 114
  { 0x2, 0x0, 0x1, 0x5, 0x5, 0x7, PseudoVSOXSEG2EI32_V_MF2_MF8 }, // 115
  { 0x2, 0x0, 0x1, 0x5, 0x6, 0x0, PseudoVSOXSEG2EI32_V_M1_MF4 }, // 116
  { 0x2, 0x0, 0x1, 0x5, 0x6, 0x7, PseudoVSOXSEG2EI32_V_MF2_MF4 }, // 117
  { 0x2, 0x0, 0x1, 0x5, 0x7, 0x0, PseudoVSOXSEG2EI32_V_M1_MF2 }, // 118
  { 0x2, 0x0, 0x1, 0x5, 0x7, 0x1, PseudoVSOXSEG2EI32_V_M2_MF2 }, // 119
  { 0x2, 0x0, 0x1, 0x5, 0x7, 0x7, PseudoVSOXSEG2EI32_V_MF2_MF2 }, // 120
  { 0x2, 0x0, 0x1, 0x6, 0x0, 0x0, PseudoVSOXSEG2EI64_V_M1_M1 }, // 121
  { 0x2, 0x0, 0x1, 0x6, 0x0, 0x1, PseudoVSOXSEG2EI64_V_M2_M1 }, // 122
  { 0x2, 0x0, 0x1, 0x6, 0x0, 0x2, PseudoVSOXSEG2EI64_V_M4_M1 }, // 123
  { 0x2, 0x0, 0x1, 0x6, 0x0, 0x3, PseudoVSOXSEG2EI64_V_M8_M1 }, // 124
  { 0x2, 0x0, 0x1, 0x6, 0x1, 0x1, PseudoVSOXSEG2EI64_V_M2_M2 }, // 125
  { 0x2, 0x0, 0x1, 0x6, 0x1, 0x2, PseudoVSOXSEG2EI64_V_M4_M2 }, // 126
  { 0x2, 0x0, 0x1, 0x6, 0x1, 0x3, PseudoVSOXSEG2EI64_V_M8_M2 }, // 127
  { 0x2, 0x0, 0x1, 0x6, 0x2, 0x2, PseudoVSOXSEG2EI64_V_M4_M4 }, // 128
  { 0x2, 0x0, 0x1, 0x6, 0x2, 0x3, PseudoVSOXSEG2EI64_V_M8_M4 }, // 129
  { 0x2, 0x0, 0x1, 0x6, 0x5, 0x0, PseudoVSOXSEG2EI64_V_M1_MF8 }, // 130
  { 0x2, 0x0, 0x1, 0x6, 0x6, 0x0, PseudoVSOXSEG2EI64_V_M1_MF4 }, // 131
  { 0x2, 0x0, 0x1, 0x6, 0x6, 0x1, PseudoVSOXSEG2EI64_V_M2_MF4 }, // 132
  { 0x2, 0x0, 0x1, 0x6, 0x7, 0x0, PseudoVSOXSEG2EI64_V_M1_MF2 }, // 133
  { 0x2, 0x0, 0x1, 0x6, 0x7, 0x1, PseudoVSOXSEG2EI64_V_M2_MF2 }, // 134
  { 0x2, 0x0, 0x1, 0x6, 0x7, 0x2, PseudoVSOXSEG2EI64_V_M4_MF2 }, // 135
  { 0x2, 0x1, 0x0, 0x3, 0x0, 0x0, PseudoVSUXSEG2EI8_V_M1_M1_MASK }, // 136
  { 0x2, 0x1, 0x0, 0x3, 0x0, 0x5, PseudoVSUXSEG2EI8_V_MF8_M1_MASK }, // 137
  { 0x2, 0x1, 0x0, 0x3, 0x0, 0x6, PseudoVSUXSEG2EI8_V_MF4_M1_MASK }, // 138
  { 0x2, 0x1, 0x0, 0x3, 0x0, 0x7, PseudoVSUXSEG2EI8_V_MF2_M1_MASK }, // 139
  { 0x2, 0x1, 0x0, 0x3, 0x1, 0x0, PseudoVSUXSEG2EI8_V_M1_M2_MASK }, // 140
  { 0x2, 0x1, 0x0, 0x3, 0x1, 0x1, PseudoVSUXSEG2EI8_V_M2_M2_MASK }, // 141
  { 0x2, 0x1, 0x0, 0x3, 0x1, 0x6, PseudoVSUXSEG2EI8_V_MF4_M2_MASK }, // 142
  { 0x2, 0x1, 0x0, 0x3, 0x1, 0x7, PseudoVSUXSEG2EI8_V_MF2_M2_MASK }, // 143
  { 0x2, 0x1, 0x0, 0x3, 0x2, 0x0, PseudoVSUXSEG2EI8_V_M1_M4_MASK }, // 144
  { 0x2, 0x1, 0x0, 0x3, 0x2, 0x1, PseudoVSUXSEG2EI8_V_M2_M4_MASK }, // 145
  { 0x2, 0x1, 0x0, 0x3, 0x2, 0x2, PseudoVSUXSEG2EI8_V_M4_M4_MASK }, // 146
  { 0x2, 0x1, 0x0, 0x3, 0x2, 0x7, PseudoVSUXSEG2EI8_V_MF2_M4_MASK }, // 147
  { 0x2, 0x1, 0x0, 0x3, 0x5, 0x5, PseudoVSUXSEG2EI8_V_MF8_MF8_MASK }, // 148
  { 0x2, 0x1, 0x0, 0x3, 0x6, 0x5, PseudoVSUXSEG2EI8_V_MF8_MF4_MASK }, // 149
  { 0x2, 0x1, 0x0, 0x3, 0x6, 0x6, PseudoVSUXSEG2EI8_V_MF4_MF4_MASK }, // 150
  { 0x2, 0x1, 0x0, 0x3, 0x7, 0x5, PseudoVSUXSEG2EI8_V_MF8_MF2_MASK }, // 151
  { 0x2, 0x1, 0x0, 0x3, 0x7, 0x6, PseudoVSUXSEG2EI8_V_MF4_MF2_MASK }, // 152
  { 0x2, 0x1, 0x0, 0x3, 0x7, 0x7, PseudoVSUXSEG2EI8_V_MF2_MF2_MASK }, // 153
  { 0x2, 0x1, 0x0, 0x4, 0x0, 0x0, PseudoVSUXSEG2EI16_V_M1_M1_MASK }, // 154
  { 0x2, 0x1, 0x0, 0x4, 0x0, 0x1, PseudoVSUXSEG2EI16_V_M2_M1_MASK }, // 155
  { 0x2, 0x1, 0x0, 0x4, 0x0, 0x6, PseudoVSUXSEG2EI16_V_MF4_M1_MASK }, // 156
  { 0x2, 0x1, 0x0, 0x4, 0x0, 0x7, PseudoVSUXSEG2EI16_V_MF2_M1_MASK }, // 157
  { 0x2, 0x1, 0x0, 0x4, 0x1, 0x0, PseudoVSUXSEG2EI16_V_M1_M2_MASK }, // 158
  { 0x2, 0x1, 0x0, 0x4, 0x1, 0x1, PseudoVSUXSEG2EI16_V_M2_M2_MASK }, // 159
  { 0x2, 0x1, 0x0, 0x4, 0x1, 0x2, PseudoVSUXSEG2EI16_V_M4_M2_MASK }, // 160
  { 0x2, 0x1, 0x0, 0x4, 0x1, 0x7, PseudoVSUXSEG2EI16_V_MF2_M2_MASK }, // 161
  { 0x2, 0x1, 0x0, 0x4, 0x2, 0x0, PseudoVSUXSEG2EI16_V_M1_M4_MASK }, // 162
  { 0x2, 0x1, 0x0, 0x4, 0x2, 0x1, PseudoVSUXSEG2EI16_V_M2_M4_MASK }, // 163
  { 0x2, 0x1, 0x0, 0x4, 0x2, 0x2, PseudoVSUXSEG2EI16_V_M4_M4_MASK }, // 164
  { 0x2, 0x1, 0x0, 0x4, 0x2, 0x3, PseudoVSUXSEG2EI16_V_M8_M4_MASK }, // 165
  { 0x2, 0x1, 0x0, 0x4, 0x5, 0x6, PseudoVSUXSEG2EI16_V_MF4_MF8_MASK }, // 166
  { 0x2, 0x1, 0x0, 0x4, 0x6, 0x6, PseudoVSUXSEG2EI16_V_MF4_MF4_MASK }, // 167
  { 0x2, 0x1, 0x0, 0x4, 0x6, 0x7, PseudoVSUXSEG2EI16_V_MF2_MF4_MASK }, // 168
  { 0x2, 0x1, 0x0, 0x4, 0x7, 0x0, PseudoVSUXSEG2EI16_V_M1_MF2_MASK }, // 169
  { 0x2, 0x1, 0x0, 0x4, 0x7, 0x6, PseudoVSUXSEG2EI16_V_MF4_MF2_MASK }, // 170
  { 0x2, 0x1, 0x0, 0x4, 0x7, 0x7, PseudoVSUXSEG2EI16_V_MF2_MF2_MASK }, // 171
  { 0x2, 0x1, 0x0, 0x5, 0x0, 0x0, PseudoVSUXSEG2EI32_V_M1_M1_MASK }, // 172
  { 0x2, 0x1, 0x0, 0x5, 0x0, 0x1, PseudoVSUXSEG2EI32_V_M2_M1_MASK }, // 173
  { 0x2, 0x1, 0x0, 0x5, 0x0, 0x2, PseudoVSUXSEG2EI32_V_M4_M1_MASK }, // 174
  { 0x2, 0x1, 0x0, 0x5, 0x0, 0x7, PseudoVSUXSEG2EI32_V_MF2_M1_MASK }, // 175
  { 0x2, 0x1, 0x0, 0x5, 0x1, 0x0, PseudoVSUXSEG2EI32_V_M1_M2_MASK }, // 176
  { 0x2, 0x1, 0x0, 0x5, 0x1, 0x1, PseudoVSUXSEG2EI32_V_M2_M2_MASK }, // 177
  { 0x2, 0x1, 0x0, 0x5, 0x1, 0x2, PseudoVSUXSEG2EI32_V_M4_M2_MASK }, // 178
  { 0x2, 0x1, 0x0, 0x5, 0x1, 0x3, PseudoVSUXSEG2EI32_V_M8_M2_MASK }, // 179
  { 0x2, 0x1, 0x0, 0x5, 0x2, 0x1, PseudoVSUXSEG2EI32_V_M2_M4_MASK }, // 180
  { 0x2, 0x1, 0x0, 0x5, 0x2, 0x2, PseudoVSUXSEG2EI32_V_M4_M4_MASK }, // 181
  { 0x2, 0x1, 0x0, 0x5, 0x2, 0x3, PseudoVSUXSEG2EI32_V_M8_M4_MASK }, // 182
  { 0x2, 0x1, 0x0, 0x5, 0x5, 0x7, PseudoVSUXSEG2EI32_V_MF2_MF8_MASK }, // 183
  { 0x2, 0x1, 0x0, 0x5, 0x6, 0x0, PseudoVSUXSEG2EI32_V_M1_MF4_MASK }, // 184
  { 0x2, 0x1, 0x0, 0x5, 0x6, 0x7, PseudoVSUXSEG2EI32_V_MF2_MF4_MASK }, // 185
  { 0x2, 0x1, 0x0, 0x5, 0x7, 0x0, PseudoVSUXSEG2EI32_V_M1_MF2_MASK }, // 186
  { 0x2, 0x1, 0x0, 0x5, 0x7, 0x1, PseudoVSUXSEG2EI32_V_M2_MF2_MASK }, // 187
  { 0x2, 0x1, 0x0, 0x5, 0x7, 0x7, PseudoVSUXSEG2EI32_V_MF2_MF2_MASK }, // 188
  { 0x2, 0x1, 0x0, 0x6, 0x0, 0x0, PseudoVSUXSEG2EI64_V_M1_M1_MASK }, // 189
  { 0x2, 0x1, 0x0, 0x6, 0x0, 0x1, PseudoVSUXSEG2EI64_V_M2_M1_MASK }, // 190
  { 0x2, 0x1, 0x0, 0x6, 0x0, 0x2, PseudoVSUXSEG2EI64_V_M4_M1_MASK }, // 191
  { 0x2, 0x1, 0x0, 0x6, 0x0, 0x3, PseudoVSUXSEG2EI64_V_M8_M1_MASK }, // 192
  { 0x2, 0x1, 0x0, 0x6, 0x1, 0x1, PseudoVSUXSEG2EI64_V_M2_M2_MASK }, // 193
  { 0x2, 0x1, 0x0, 0x6, 0x1, 0x2, PseudoVSUXSEG2EI64_V_M4_M2_MASK }, // 194
  { 0x2, 0x1, 0x0, 0x6, 0x1, 0x3, PseudoVSUXSEG2EI64_V_M8_M2_MASK }, // 195
  { 0x2, 0x1, 0x0, 0x6, 0x2, 0x2, PseudoVSUXSEG2EI64_V_M4_M4_MASK }, // 196
  { 0x2, 0x1, 0x0, 0x6, 0x2, 0x3, PseudoVSUXSEG2EI64_V_M8_M4_MASK }, // 197
  { 0x2, 0x1, 0x0, 0x6, 0x5, 0x0, PseudoVSUXSEG2EI64_V_M1_MF8_MASK }, // 198
  { 0x2, 0x1, 0x0, 0x6, 0x6, 0x0, PseudoVSUXSEG2EI64_V_M1_MF4_MASK }, // 199
  { 0x2, 0x1, 0x0, 0x6, 0x6, 0x1, PseudoVSUXSEG2EI64_V_M2_MF4_MASK }, // 200
  { 0x2, 0x1, 0x0, 0x6, 0x7, 0x0, PseudoVSUXSEG2EI64_V_M1_MF2_MASK }, // 201
  { 0x2, 0x1, 0x0, 0x6, 0x7, 0x1, PseudoVSUXSEG2EI64_V_M2_MF2_MASK }, // 202
  { 0x2, 0x1, 0x0, 0x6, 0x7, 0x2, PseudoVSUXSEG2EI64_V_M4_MF2_MASK }, // 203
  { 0x2, 0x1, 0x1, 0x3, 0x0, 0x0, PseudoVSOXSEG2EI8_V_M1_M1_MASK }, // 204
  { 0x2, 0x1, 0x1, 0x3, 0x0, 0x5, PseudoVSOXSEG2EI8_V_MF8_M1_MASK }, // 205
  { 0x2, 0x1, 0x1, 0x3, 0x0, 0x6, PseudoVSOXSEG2EI8_V_MF4_M1_MASK }, // 206
  { 0x2, 0x1, 0x1, 0x3, 0x0, 0x7, PseudoVSOXSEG2EI8_V_MF2_M1_MASK }, // 207
  { 0x2, 0x1, 0x1, 0x3, 0x1, 0x0, PseudoVSOXSEG2EI8_V_M1_M2_MASK }, // 208
  { 0x2, 0x1, 0x1, 0x3, 0x1, 0x1, PseudoVSOXSEG2EI8_V_M2_M2_MASK }, // 209
  { 0x2, 0x1, 0x1, 0x3, 0x1, 0x6, PseudoVSOXSEG2EI8_V_MF4_M2_MASK }, // 210
  { 0x2, 0x1, 0x1, 0x3, 0x1, 0x7, PseudoVSOXSEG2EI8_V_MF2_M2_MASK }, // 211
  { 0x2, 0x1, 0x1, 0x3, 0x2, 0x0, PseudoVSOXSEG2EI8_V_M1_M4_MASK }, // 212
  { 0x2, 0x1, 0x1, 0x3, 0x2, 0x1, PseudoVSOXSEG2EI8_V_M2_M4_MASK }, // 213
  { 0x2, 0x1, 0x1, 0x3, 0x2, 0x2, PseudoVSOXSEG2EI8_V_M4_M4_MASK }, // 214
  { 0x2, 0x1, 0x1, 0x3, 0x2, 0x7, PseudoVSOXSEG2EI8_V_MF2_M4_MASK }, // 215
  { 0x2, 0x1, 0x1, 0x3, 0x5, 0x5, PseudoVSOXSEG2EI8_V_MF8_MF8_MASK }, // 216
  { 0x2, 0x1, 0x1, 0x3, 0x6, 0x5, PseudoVSOXSEG2EI8_V_MF8_MF4_MASK }, // 217
  { 0x2, 0x1, 0x1, 0x3, 0x6, 0x6, PseudoVSOXSEG2EI8_V_MF4_MF4_MASK }, // 218
  { 0x2, 0x1, 0x1, 0x3, 0x7, 0x5, PseudoVSOXSEG2EI8_V_MF8_MF2_MASK }, // 219
  { 0x2, 0x1, 0x1, 0x3, 0x7, 0x6, PseudoVSOXSEG2EI8_V_MF4_MF2_MASK }, // 220
  { 0x2, 0x1, 0x1, 0x3, 0x7, 0x7, PseudoVSOXSEG2EI8_V_MF2_MF2_MASK }, // 221
  { 0x2, 0x1, 0x1, 0x4, 0x0, 0x0, PseudoVSOXSEG2EI16_V_M1_M1_MASK }, // 222
  { 0x2, 0x1, 0x1, 0x4, 0x0, 0x1, PseudoVSOXSEG2EI16_V_M2_M1_MASK }, // 223
  { 0x2, 0x1, 0x1, 0x4, 0x0, 0x6, PseudoVSOXSEG2EI16_V_MF4_M1_MASK }, // 224
  { 0x2, 0x1, 0x1, 0x4, 0x0, 0x7, PseudoVSOXSEG2EI16_V_MF2_M1_MASK }, // 225
  { 0x2, 0x1, 0x1, 0x4, 0x1, 0x0, PseudoVSOXSEG2EI16_V_M1_M2_MASK }, // 226
  { 0x2, 0x1, 0x1, 0x4, 0x1, 0x1, PseudoVSOXSEG2EI16_V_M2_M2_MASK }, // 227
  { 0x2, 0x1, 0x1, 0x4, 0x1, 0x2, PseudoVSOXSEG2EI16_V_M4_M2_MASK }, // 228
  { 0x2, 0x1, 0x1, 0x4, 0x1, 0x7, PseudoVSOXSEG2EI16_V_MF2_M2_MASK }, // 229
  { 0x2, 0x1, 0x1, 0x4, 0x2, 0x0, PseudoVSOXSEG2EI16_V_M1_M4_MASK }, // 230
  { 0x2, 0x1, 0x1, 0x4, 0x2, 0x1, PseudoVSOXSEG2EI16_V_M2_M4_MASK }, // 231
  { 0x2, 0x1, 0x1, 0x4, 0x2, 0x2, PseudoVSOXSEG2EI16_V_M4_M4_MASK }, // 232
  { 0x2, 0x1, 0x1, 0x4, 0x2, 0x3, PseudoVSOXSEG2EI16_V_M8_M4_MASK }, // 233
  { 0x2, 0x1, 0x1, 0x4, 0x5, 0x6, PseudoVSOXSEG2EI16_V_MF4_MF8_MASK }, // 234
  { 0x2, 0x1, 0x1, 0x4, 0x6, 0x6, PseudoVSOXSEG2EI16_V_MF4_MF4_MASK }, // 235
  { 0x2, 0x1, 0x1, 0x4, 0x6, 0x7, PseudoVSOXSEG2EI16_V_MF2_MF4_MASK }, // 236
  { 0x2, 0x1, 0x1, 0x4, 0x7, 0x0, PseudoVSOXSEG2EI16_V_M1_MF2_MASK }, // 237
  { 0x2, 0x1, 0x1, 0x4, 0x7, 0x6, PseudoVSOXSEG2EI16_V_MF4_MF2_MASK }, // 238
  { 0x2, 0x1, 0x1, 0x4, 0x7, 0x7, PseudoVSOXSEG2EI16_V_MF2_MF2_MASK }, // 239
  { 0x2, 0x1, 0x1, 0x5, 0x0, 0x0, PseudoVSOXSEG2EI32_V_M1_M1_MASK }, // 240
  { 0x2, 0x1, 0x1, 0x5, 0x0, 0x1, PseudoVSOXSEG2EI32_V_M2_M1_MASK }, // 241
  { 0x2, 0x1, 0x1, 0x5, 0x0, 0x2, PseudoVSOXSEG2EI32_V_M4_M1_MASK }, // 242
  { 0x2, 0x1, 0x1, 0x5, 0x0, 0x7, PseudoVSOXSEG2EI32_V_MF2_M1_MASK }, // 243
  { 0x2, 0x1, 0x1, 0x5, 0x1, 0x0, PseudoVSOXSEG2EI32_V_M1_M2_MASK }, // 244
  { 0x2, 0x1, 0x1, 0x5, 0x1, 0x1, PseudoVSOXSEG2EI32_V_M2_M2_MASK }, // 245
  { 0x2, 0x1, 0x1, 0x5, 0x1, 0x2, PseudoVSOXSEG2EI32_V_M4_M2_MASK }, // 246
  { 0x2, 0x1, 0x1, 0x5, 0x1, 0x3, PseudoVSOXSEG2EI32_V_M8_M2_MASK }, // 247
  { 0x2, 0x1, 0x1, 0x5, 0x2, 0x1, PseudoVSOXSEG2EI32_V_M2_M4_MASK }, // 248
  { 0x2, 0x1, 0x1, 0x5, 0x2, 0x2, PseudoVSOXSEG2EI32_V_M4_M4_MASK }, // 249
  { 0x2, 0x1, 0x1, 0x5, 0x2, 0x3, PseudoVSOXSEG2EI32_V_M8_M4_MASK }, // 250
  { 0x2, 0x1, 0x1, 0x5, 0x5, 0x7, PseudoVSOXSEG2EI32_V_MF2_MF8_MASK }, // 251
  { 0x2, 0x1, 0x1, 0x5, 0x6, 0x0, PseudoVSOXSEG2EI32_V_M1_MF4_MASK }, // 252
  { 0x2, 0x1, 0x1, 0x5, 0x6, 0x7, PseudoVSOXSEG2EI32_V_MF2_MF4_MASK }, // 253
  { 0x2, 0x1, 0x1, 0x5, 0x7, 0x0, PseudoVSOXSEG2EI32_V_M1_MF2_MASK }, // 254
  { 0x2, 0x1, 0x1, 0x5, 0x7, 0x1, PseudoVSOXSEG2EI32_V_M2_MF2_MASK }, // 255
  { 0x2, 0x1, 0x1, 0x5, 0x7, 0x7, PseudoVSOXSEG2EI32_V_MF2_MF2_MASK }, // 256
  { 0x2, 0x1, 0x1, 0x6, 0x0, 0x0, PseudoVSOXSEG2EI64_V_M1_M1_MASK }, // 257
  { 0x2, 0x1, 0x1, 0x6, 0x0, 0x1, PseudoVSOXSEG2EI64_V_M2_M1_MASK }, // 258
  { 0x2, 0x1, 0x1, 0x6, 0x0, 0x2, PseudoVSOXSEG2EI64_V_M4_M1_MASK }, // 259
  { 0x2, 0x1, 0x1, 0x6, 0x0, 0x3, PseudoVSOXSEG2EI64_V_M8_M1_MASK }, // 260
  { 0x2, 0x1, 0x1, 0x6, 0x1, 0x1, PseudoVSOXSEG2EI64_V_M2_M2_MASK }, // 261
  { 0x2, 0x1, 0x1, 0x6, 0x1, 0x2, PseudoVSOXSEG2EI64_V_M4_M2_MASK }, // 262
  { 0x2, 0x1, 0x1, 0x6, 0x1, 0x3, PseudoVSOXSEG2EI64_V_M8_M2_MASK }, // 263
  { 0x2, 0x1, 0x1, 0x6, 0x2, 0x2, PseudoVSOXSEG2EI64_V_M4_M4_MASK }, // 264
  { 0x2, 0x1, 0x1, 0x6, 0x2, 0x3, PseudoVSOXSEG2EI64_V_M8_M4_MASK }, // 265
  { 0x2, 0x1, 0x1, 0x6, 0x5, 0x0, PseudoVSOXSEG2EI64_V_M1_MF8_MASK }, // 266
  { 0x2, 0x1, 0x1, 0x6, 0x6, 0x0, PseudoVSOXSEG2EI64_V_M1_MF4_MASK }, // 267
  { 0x2, 0x1, 0x1, 0x6, 0x6, 0x1, PseudoVSOXSEG2EI64_V_M2_MF4_MASK }, // 268
  { 0x2, 0x1, 0x1, 0x6, 0x7, 0x0, PseudoVSOXSEG2EI64_V_M1_MF2_MASK }, // 269
  { 0x2, 0x1, 0x1, 0x6, 0x7, 0x1, PseudoVSOXSEG2EI64_V_M2_MF2_MASK }, // 270
  { 0x2, 0x1, 0x1, 0x6, 0x7, 0x2, PseudoVSOXSEG2EI64_V_M4_MF2_MASK }, // 271
  { 0x3, 0x0, 0x0, 0x3, 0x0, 0x0, PseudoVSUXSEG3EI8_V_M1_M1 }, // 272
  { 0x3, 0x0, 0x0, 0x3, 0x0, 0x5, PseudoVSUXSEG3EI8_V_MF8_M1 }, // 273
  { 0x3, 0x0, 0x0, 0x3, 0x0, 0x6, PseudoVSUXSEG3EI8_V_MF4_M1 }, // 274
  { 0x3, 0x0, 0x0, 0x3, 0x0, 0x7, PseudoVSUXSEG3EI8_V_MF2_M1 }, // 275
  { 0x3, 0x0, 0x0, 0x3, 0x1, 0x0, PseudoVSUXSEG3EI8_V_M1_M2 }, // 276
  { 0x3, 0x0, 0x0, 0x3, 0x1, 0x1, PseudoVSUXSEG3EI8_V_M2_M2 }, // 277
  { 0x3, 0x0, 0x0, 0x3, 0x1, 0x6, PseudoVSUXSEG3EI8_V_MF4_M2 }, // 278
  { 0x3, 0x0, 0x0, 0x3, 0x1, 0x7, PseudoVSUXSEG3EI8_V_MF2_M2 }, // 279
  { 0x3, 0x0, 0x0, 0x3, 0x5, 0x5, PseudoVSUXSEG3EI8_V_MF8_MF8 }, // 280
  { 0x3, 0x0, 0x0, 0x3, 0x6, 0x5, PseudoVSUXSEG3EI8_V_MF8_MF4 }, // 281
  { 0x3, 0x0, 0x0, 0x3, 0x6, 0x6, PseudoVSUXSEG3EI8_V_MF4_MF4 }, // 282
  { 0x3, 0x0, 0x0, 0x3, 0x7, 0x5, PseudoVSUXSEG3EI8_V_MF8_MF2 }, // 283
  { 0x3, 0x0, 0x0, 0x3, 0x7, 0x6, PseudoVSUXSEG3EI8_V_MF4_MF2 }, // 284
  { 0x3, 0x0, 0x0, 0x3, 0x7, 0x7, PseudoVSUXSEG3EI8_V_MF2_MF2 }, // 285
  { 0x3, 0x0, 0x0, 0x4, 0x0, 0x0, PseudoVSUXSEG3EI16_V_M1_M1 }, // 286
  { 0x3, 0x0, 0x0, 0x4, 0x0, 0x1, PseudoVSUXSEG3EI16_V_M2_M1 }, // 287
  { 0x3, 0x0, 0x0, 0x4, 0x0, 0x6, PseudoVSUXSEG3EI16_V_MF4_M1 }, // 288
  { 0x3, 0x0, 0x0, 0x4, 0x0, 0x7, PseudoVSUXSEG3EI16_V_MF2_M1 }, // 289
  { 0x3, 0x0, 0x0, 0x4, 0x1, 0x0, PseudoVSUXSEG3EI16_V_M1_M2 }, // 290
  { 0x3, 0x0, 0x0, 0x4, 0x1, 0x1, PseudoVSUXSEG3EI16_V_M2_M2 }, // 291
  { 0x3, 0x0, 0x0, 0x4, 0x1, 0x2, PseudoVSUXSEG3EI16_V_M4_M2 }, // 292
  { 0x3, 0x0, 0x0, 0x4, 0x1, 0x7, PseudoVSUXSEG3EI16_V_MF2_M2 }, // 293
  { 0x3, 0x0, 0x0, 0x4, 0x5, 0x6, PseudoVSUXSEG3EI16_V_MF4_MF8 }, // 294
  { 0x3, 0x0, 0x0, 0x4, 0x6, 0x6, PseudoVSUXSEG3EI16_V_MF4_MF4 }, // 295
  { 0x3, 0x0, 0x0, 0x4, 0x6, 0x7, PseudoVSUXSEG3EI16_V_MF2_MF4 }, // 296
  { 0x3, 0x0, 0x0, 0x4, 0x7, 0x0, PseudoVSUXSEG3EI16_V_M1_MF2 }, // 297
  { 0x3, 0x0, 0x0, 0x4, 0x7, 0x6, PseudoVSUXSEG3EI16_V_MF4_MF2 }, // 298
  { 0x3, 0x0, 0x0, 0x4, 0x7, 0x7, PseudoVSUXSEG3EI16_V_MF2_MF2 }, // 299
  { 0x3, 0x0, 0x0, 0x5, 0x0, 0x0, PseudoVSUXSEG3EI32_V_M1_M1 }, // 300
  { 0x3, 0x0, 0x0, 0x5, 0x0, 0x1, PseudoVSUXSEG3EI32_V_M2_M1 }, // 301
  { 0x3, 0x0, 0x0, 0x5, 0x0, 0x2, PseudoVSUXSEG3EI32_V_M4_M1 }, // 302
  { 0x3, 0x0, 0x0, 0x5, 0x0, 0x7, PseudoVSUXSEG3EI32_V_MF2_M1 }, // 303
  { 0x3, 0x0, 0x0, 0x5, 0x1, 0x0, PseudoVSUXSEG3EI32_V_M1_M2 }, // 304
  { 0x3, 0x0, 0x0, 0x5, 0x1, 0x1, PseudoVSUXSEG3EI32_V_M2_M2 }, // 305
  { 0x3, 0x0, 0x0, 0x5, 0x1, 0x2, PseudoVSUXSEG3EI32_V_M4_M2 }, // 306
  { 0x3, 0x0, 0x0, 0x5, 0x1, 0x3, PseudoVSUXSEG3EI32_V_M8_M2 }, // 307
  { 0x3, 0x0, 0x0, 0x5, 0x5, 0x7, PseudoVSUXSEG3EI32_V_MF2_MF8 }, // 308
  { 0x3, 0x0, 0x0, 0x5, 0x6, 0x0, PseudoVSUXSEG3EI32_V_M1_MF4 }, // 309
  { 0x3, 0x0, 0x0, 0x5, 0x6, 0x7, PseudoVSUXSEG3EI32_V_MF2_MF4 }, // 310
  { 0x3, 0x0, 0x0, 0x5, 0x7, 0x0, PseudoVSUXSEG3EI32_V_M1_MF2 }, // 311
  { 0x3, 0x0, 0x0, 0x5, 0x7, 0x1, PseudoVSUXSEG3EI32_V_M2_MF2 }, // 312
  { 0x3, 0x0, 0x0, 0x5, 0x7, 0x7, PseudoVSUXSEG3EI32_V_MF2_MF2 }, // 313
  { 0x3, 0x0, 0x0, 0x6, 0x0, 0x0, PseudoVSUXSEG3EI64_V_M1_M1 }, // 314
  { 0x3, 0x0, 0x0, 0x6, 0x0, 0x1, PseudoVSUXSEG3EI64_V_M2_M1 }, // 315
  { 0x3, 0x0, 0x0, 0x6, 0x0, 0x2, PseudoVSUXSEG3EI64_V_M4_M1 }, // 316
  { 0x3, 0x0, 0x0, 0x6, 0x0, 0x3, PseudoVSUXSEG3EI64_V_M8_M1 }, // 317
  { 0x3, 0x0, 0x0, 0x6, 0x1, 0x1, PseudoVSUXSEG3EI64_V_M2_M2 }, // 318
  { 0x3, 0x0, 0x0, 0x6, 0x1, 0x2, PseudoVSUXSEG3EI64_V_M4_M2 }, // 319
  { 0x3, 0x0, 0x0, 0x6, 0x1, 0x3, PseudoVSUXSEG3EI64_V_M8_M2 }, // 320
  { 0x3, 0x0, 0x0, 0x6, 0x5, 0x0, PseudoVSUXSEG3EI64_V_M1_MF8 }, // 321
  { 0x3, 0x0, 0x0, 0x6, 0x6, 0x0, PseudoVSUXSEG3EI64_V_M1_MF4 }, // 322
  { 0x3, 0x0, 0x0, 0x6, 0x6, 0x1, PseudoVSUXSEG3EI64_V_M2_MF4 }, // 323
  { 0x3, 0x0, 0x0, 0x6, 0x7, 0x0, PseudoVSUXSEG3EI64_V_M1_MF2 }, // 324
  { 0x3, 0x0, 0x0, 0x6, 0x7, 0x1, PseudoVSUXSEG3EI64_V_M2_MF2 }, // 325
  { 0x3, 0x0, 0x0, 0x6, 0x7, 0x2, PseudoVSUXSEG3EI64_V_M4_MF2 }, // 326
  { 0x3, 0x0, 0x1, 0x3, 0x0, 0x0, PseudoVSOXSEG3EI8_V_M1_M1 }, // 327
  { 0x3, 0x0, 0x1, 0x3, 0x0, 0x5, PseudoVSOXSEG3EI8_V_MF8_M1 }, // 328
  { 0x3, 0x0, 0x1, 0x3, 0x0, 0x6, PseudoVSOXSEG3EI8_V_MF4_M1 }, // 329
  { 0x3, 0x0, 0x1, 0x3, 0x0, 0x7, PseudoVSOXSEG3EI8_V_MF2_M1 }, // 330
  { 0x3, 0x0, 0x1, 0x3, 0x1, 0x0, PseudoVSOXSEG3EI8_V_M1_M2 }, // 331
  { 0x3, 0x0, 0x1, 0x3, 0x1, 0x1, PseudoVSOXSEG3EI8_V_M2_M2 }, // 332
  { 0x3, 0x0, 0x1, 0x3, 0x1, 0x6, PseudoVSOXSEG3EI8_V_MF4_M2 }, // 333
  { 0x3, 0x0, 0x1, 0x3, 0x1, 0x7, PseudoVSOXSEG3EI8_V_MF2_M2 }, // 334
  { 0x3, 0x0, 0x1, 0x3, 0x5, 0x5, PseudoVSOXSEG3EI8_V_MF8_MF8 }, // 335
  { 0x3, 0x0, 0x1, 0x3, 0x6, 0x5, PseudoVSOXSEG3EI8_V_MF8_MF4 }, // 336
  { 0x3, 0x0, 0x1, 0x3, 0x6, 0x6, PseudoVSOXSEG3EI8_V_MF4_MF4 }, // 337
  { 0x3, 0x0, 0x1, 0x3, 0x7, 0x5, PseudoVSOXSEG3EI8_V_MF8_MF2 }, // 338
  { 0x3, 0x0, 0x1, 0x3, 0x7, 0x6, PseudoVSOXSEG3EI8_V_MF4_MF2 }, // 339
  { 0x3, 0x0, 0x1, 0x3, 0x7, 0x7, PseudoVSOXSEG3EI8_V_MF2_MF2 }, // 340
  { 0x3, 0x0, 0x1, 0x4, 0x0, 0x0, PseudoVSOXSEG3EI16_V_M1_M1 }, // 341
  { 0x3, 0x0, 0x1, 0x4, 0x0, 0x1, PseudoVSOXSEG3EI16_V_M2_M1 }, // 342
  { 0x3, 0x0, 0x1, 0x4, 0x0, 0x6, PseudoVSOXSEG3EI16_V_MF4_M1 }, // 343
  { 0x3, 0x0, 0x1, 0x4, 0x0, 0x7, PseudoVSOXSEG3EI16_V_MF2_M1 }, // 344
  { 0x3, 0x0, 0x1, 0x4, 0x1, 0x0, PseudoVSOXSEG3EI16_V_M1_M2 }, // 345
  { 0x3, 0x0, 0x1, 0x4, 0x1, 0x1, PseudoVSOXSEG3EI16_V_M2_M2 }, // 346
  { 0x3, 0x0, 0x1, 0x4, 0x1, 0x2, PseudoVSOXSEG3EI16_V_M4_M2 }, // 347
  { 0x3, 0x0, 0x1, 0x4, 0x1, 0x7, PseudoVSOXSEG3EI16_V_MF2_M2 }, // 348
  { 0x3, 0x0, 0x1, 0x4, 0x5, 0x6, PseudoVSOXSEG3EI16_V_MF4_MF8 }, // 349
  { 0x3, 0x0, 0x1, 0x4, 0x6, 0x6, PseudoVSOXSEG3EI16_V_MF4_MF4 }, // 350
  { 0x3, 0x0, 0x1, 0x4, 0x6, 0x7, PseudoVSOXSEG3EI16_V_MF2_MF4 }, // 351
  { 0x3, 0x0, 0x1, 0x4, 0x7, 0x0, PseudoVSOXSEG3EI16_V_M1_MF2 }, // 352
  { 0x3, 0x0, 0x1, 0x4, 0x7, 0x6, PseudoVSOXSEG3EI16_V_MF4_MF2 }, // 353
  { 0x3, 0x0, 0x1, 0x4, 0x7, 0x7, PseudoVSOXSEG3EI16_V_MF2_MF2 }, // 354
  { 0x3, 0x0, 0x1, 0x5, 0x0, 0x0, PseudoVSOXSEG3EI32_V_M1_M1 }, // 355
  { 0x3, 0x0, 0x1, 0x5, 0x0, 0x1, PseudoVSOXSEG3EI32_V_M2_M1 }, // 356
  { 0x3, 0x0, 0x1, 0x5, 0x0, 0x2, PseudoVSOXSEG3EI32_V_M4_M1 }, // 357
  { 0x3, 0x0, 0x1, 0x5, 0x0, 0x7, PseudoVSOXSEG3EI32_V_MF2_M1 }, // 358
  { 0x3, 0x0, 0x1, 0x5, 0x1, 0x0, PseudoVSOXSEG3EI32_V_M1_M2 }, // 359
  { 0x3, 0x0, 0x1, 0x5, 0x1, 0x1, PseudoVSOXSEG3EI32_V_M2_M2 }, // 360
  { 0x3, 0x0, 0x1, 0x5, 0x1, 0x2, PseudoVSOXSEG3EI32_V_M4_M2 }, // 361
  { 0x3, 0x0, 0x1, 0x5, 0x1, 0x3, PseudoVSOXSEG3EI32_V_M8_M2 }, // 362
  { 0x3, 0x0, 0x1, 0x5, 0x5, 0x7, PseudoVSOXSEG3EI32_V_MF2_MF8 }, // 363
  { 0x3, 0x0, 0x1, 0x5, 0x6, 0x0, PseudoVSOXSEG3EI32_V_M1_MF4 }, // 364
  { 0x3, 0x0, 0x1, 0x5, 0x6, 0x7, PseudoVSOXSEG3EI32_V_MF2_MF4 }, // 365
  { 0x3, 0x0, 0x1, 0x5, 0x7, 0x0, PseudoVSOXSEG3EI32_V_M1_MF2 }, // 366
  { 0x3, 0x0, 0x1, 0x5, 0x7, 0x1, PseudoVSOXSEG3EI32_V_M2_MF2 }, // 367
  { 0x3, 0x0, 0x1, 0x5, 0x7, 0x7, PseudoVSOXSEG3EI32_V_MF2_MF2 }, // 368
  { 0x3, 0x0, 0x1, 0x6, 0x0, 0x0, PseudoVSOXSEG3EI64_V_M1_M1 }, // 369
  { 0x3, 0x0, 0x1, 0x6, 0x0, 0x1, PseudoVSOXSEG3EI64_V_M2_M1 }, // 370
  { 0x3, 0x0, 0x1, 0x6, 0x0, 0x2, PseudoVSOXSEG3EI64_V_M4_M1 }, // 371
  { 0x3, 0x0, 0x1, 0x6, 0x0, 0x3, PseudoVSOXSEG3EI64_V_M8_M1 }, // 372
  { 0x3, 0x0, 0x1, 0x6, 0x1, 0x1, PseudoVSOXSEG3EI64_V_M2_M2 }, // 373
  { 0x3, 0x0, 0x1, 0x6, 0x1, 0x2, PseudoVSOXSEG3EI64_V_M4_M2 }, // 374
  { 0x3, 0x0, 0x1, 0x6, 0x1, 0x3, PseudoVSOXSEG3EI64_V_M8_M2 }, // 375
  { 0x3, 0x0, 0x1, 0x6, 0x5, 0x0, PseudoVSOXSEG3EI64_V_M1_MF8 }, // 376
  { 0x3, 0x0, 0x1, 0x6, 0x6, 0x0, PseudoVSOXSEG3EI64_V_M1_MF4 }, // 377
  { 0x3, 0x0, 0x1, 0x6, 0x6, 0x1, PseudoVSOXSEG3EI64_V_M2_MF4 }, // 378
  { 0x3, 0x0, 0x1, 0x6, 0x7, 0x0, PseudoVSOXSEG3EI64_V_M1_MF2 }, // 379
  { 0x3, 0x0, 0x1, 0x6, 0x7, 0x1, PseudoVSOXSEG3EI64_V_M2_MF2 }, // 380
  { 0x3, 0x0, 0x1, 0x6, 0x7, 0x2, PseudoVSOXSEG3EI64_V_M4_MF2 }, // 381
  { 0x3, 0x1, 0x0, 0x3, 0x0, 0x0, PseudoVSUXSEG3EI8_V_M1_M1_MASK }, // 382
  { 0x3, 0x1, 0x0, 0x3, 0x0, 0x5, PseudoVSUXSEG3EI8_V_MF8_M1_MASK }, // 383
  { 0x3, 0x1, 0x0, 0x3, 0x0, 0x6, PseudoVSUXSEG3EI8_V_MF4_M1_MASK }, // 384
  { 0x3, 0x1, 0x0, 0x3, 0x0, 0x7, PseudoVSUXSEG3EI8_V_MF2_M1_MASK }, // 385
  { 0x3, 0x1, 0x0, 0x3, 0x1, 0x0, PseudoVSUXSEG3EI8_V_M1_M2_MASK }, // 386
  { 0x3, 0x1, 0x0, 0x3, 0x1, 0x1, PseudoVSUXSEG3EI8_V_M2_M2_MASK }, // 387
  { 0x3, 0x1, 0x0, 0x3, 0x1, 0x6, PseudoVSUXSEG3EI8_V_MF4_M2_MASK }, // 388
  { 0x3, 0x1, 0x0, 0x3, 0x1, 0x7, PseudoVSUXSEG3EI8_V_MF2_M2_MASK }, // 389
  { 0x3, 0x1, 0x0, 0x3, 0x5, 0x5, PseudoVSUXSEG3EI8_V_MF8_MF8_MASK }, // 390
  { 0x3, 0x1, 0x0, 0x3, 0x6, 0x5, PseudoVSUXSEG3EI8_V_MF8_MF4_MASK }, // 391
  { 0x3, 0x1, 0x0, 0x3, 0x6, 0x6, PseudoVSUXSEG3EI8_V_MF4_MF4_MASK }, // 392
  { 0x3, 0x1, 0x0, 0x3, 0x7, 0x5, PseudoVSUXSEG3EI8_V_MF8_MF2_MASK }, // 393
  { 0x3, 0x1, 0x0, 0x3, 0x7, 0x6, PseudoVSUXSEG3EI8_V_MF4_MF2_MASK }, // 394
  { 0x3, 0x1, 0x0, 0x3, 0x7, 0x7, PseudoVSUXSEG3EI8_V_MF2_MF2_MASK }, // 395
  { 0x3, 0x1, 0x0, 0x4, 0x0, 0x0, PseudoVSUXSEG3EI16_V_M1_M1_MASK }, // 396
  { 0x3, 0x1, 0x0, 0x4, 0x0, 0x1, PseudoVSUXSEG3EI16_V_M2_M1_MASK }, // 397
  { 0x3, 0x1, 0x0, 0x4, 0x0, 0x6, PseudoVSUXSEG3EI16_V_MF4_M1_MASK }, // 398
  { 0x3, 0x1, 0x0, 0x4, 0x0, 0x7, PseudoVSUXSEG3EI16_V_MF2_M1_MASK }, // 399
  { 0x3, 0x1, 0x0, 0x4, 0x1, 0x0, PseudoVSUXSEG3EI16_V_M1_M2_MASK }, // 400
  { 0x3, 0x1, 0x0, 0x4, 0x1, 0x1, PseudoVSUXSEG3EI16_V_M2_M2_MASK }, // 401
  { 0x3, 0x1, 0x0, 0x4, 0x1, 0x2, PseudoVSUXSEG3EI16_V_M4_M2_MASK }, // 402
  { 0x3, 0x1, 0x0, 0x4, 0x1, 0x7, PseudoVSUXSEG3EI16_V_MF2_M2_MASK }, // 403
  { 0x3, 0x1, 0x0, 0x4, 0x5, 0x6, PseudoVSUXSEG3EI16_V_MF4_MF8_MASK }, // 404
  { 0x3, 0x1, 0x0, 0x4, 0x6, 0x6, PseudoVSUXSEG3EI16_V_MF4_MF4_MASK }, // 405
  { 0x3, 0x1, 0x0, 0x4, 0x6, 0x7, PseudoVSUXSEG3EI16_V_MF2_MF4_MASK }, // 406
  { 0x3, 0x1, 0x0, 0x4, 0x7, 0x0, PseudoVSUXSEG3EI16_V_M1_MF2_MASK }, // 407
  { 0x3, 0x1, 0x0, 0x4, 0x7, 0x6, PseudoVSUXSEG3EI16_V_MF4_MF2_MASK }, // 408
  { 0x3, 0x1, 0x0, 0x4, 0x7, 0x7, PseudoVSUXSEG3EI16_V_MF2_MF2_MASK }, // 409
  { 0x3, 0x1, 0x0, 0x5, 0x0, 0x0, PseudoVSUXSEG3EI32_V_M1_M1_MASK }, // 410
  { 0x3, 0x1, 0x0, 0x5, 0x0, 0x1, PseudoVSUXSEG3EI32_V_M2_M1_MASK }, // 411
  { 0x3, 0x1, 0x0, 0x5, 0x0, 0x2, PseudoVSUXSEG3EI32_V_M4_M1_MASK }, // 412
  { 0x3, 0x1, 0x0, 0x5, 0x0, 0x7, PseudoVSUXSEG3EI32_V_MF2_M1_MASK }, // 413
  { 0x3, 0x1, 0x0, 0x5, 0x1, 0x0, PseudoVSUXSEG3EI32_V_M1_M2_MASK }, // 414
  { 0x3, 0x1, 0x0, 0x5, 0x1, 0x1, PseudoVSUXSEG3EI32_V_M2_M2_MASK }, // 415
  { 0x3, 0x1, 0x0, 0x5, 0x1, 0x2, PseudoVSUXSEG3EI32_V_M4_M2_MASK }, // 416
  { 0x3, 0x1, 0x0, 0x5, 0x1, 0x3, PseudoVSUXSEG3EI32_V_M8_M2_MASK }, // 417
  { 0x3, 0x1, 0x0, 0x5, 0x5, 0x7, PseudoVSUXSEG3EI32_V_MF2_MF8_MASK }, // 418
  { 0x3, 0x1, 0x0, 0x5, 0x6, 0x0, PseudoVSUXSEG3EI32_V_M1_MF4_MASK }, // 419
  { 0x3, 0x1, 0x0, 0x5, 0x6, 0x7, PseudoVSUXSEG3EI32_V_MF2_MF4_MASK }, // 420
  { 0x3, 0x1, 0x0, 0x5, 0x7, 0x0, PseudoVSUXSEG3EI32_V_M1_MF2_MASK }, // 421
  { 0x3, 0x1, 0x0, 0x5, 0x7, 0x1, PseudoVSUXSEG3EI32_V_M2_MF2_MASK }, // 422
  { 0x3, 0x1, 0x0, 0x5, 0x7, 0x7, PseudoVSUXSEG3EI32_V_MF2_MF2_MASK }, // 423
  { 0x3, 0x1, 0x0, 0x6, 0x0, 0x0, PseudoVSUXSEG3EI64_V_M1_M1_MASK }, // 424
  { 0x3, 0x1, 0x0, 0x6, 0x0, 0x1, PseudoVSUXSEG3EI64_V_M2_M1_MASK }, // 425
  { 0x3, 0x1, 0x0, 0x6, 0x0, 0x2, PseudoVSUXSEG3EI64_V_M4_M1_MASK }, // 426
  { 0x3, 0x1, 0x0, 0x6, 0x0, 0x3, PseudoVSUXSEG3EI64_V_M8_M1_MASK }, // 427
  { 0x3, 0x1, 0x0, 0x6, 0x1, 0x1, PseudoVSUXSEG3EI64_V_M2_M2_MASK }, // 428
  { 0x3, 0x1, 0x0, 0x6, 0x1, 0x2, PseudoVSUXSEG3EI64_V_M4_M2_MASK }, // 429
  { 0x3, 0x1, 0x0, 0x6, 0x1, 0x3, PseudoVSUXSEG3EI64_V_M8_M2_MASK }, // 430
  { 0x3, 0x1, 0x0, 0x6, 0x5, 0x0, PseudoVSUXSEG3EI64_V_M1_MF8_MASK }, // 431
  { 0x3, 0x1, 0x0, 0x6, 0x6, 0x0, PseudoVSUXSEG3EI64_V_M1_MF4_MASK }, // 432
  { 0x3, 0x1, 0x0, 0x6, 0x6, 0x1, PseudoVSUXSEG3EI64_V_M2_MF4_MASK }, // 433
  { 0x3, 0x1, 0x0, 0x6, 0x7, 0x0, PseudoVSUXSEG3EI64_V_M1_MF2_MASK }, // 434
  { 0x3, 0x1, 0x0, 0x6, 0x7, 0x1, PseudoVSUXSEG3EI64_V_M2_MF2_MASK }, // 435
  { 0x3, 0x1, 0x0, 0x6, 0x7, 0x2, PseudoVSUXSEG3EI64_V_M4_MF2_MASK }, // 436
  { 0x3, 0x1, 0x1, 0x3, 0x0, 0x0, PseudoVSOXSEG3EI8_V_M1_M1_MASK }, // 437
  { 0x3, 0x1, 0x1, 0x3, 0x0, 0x5, PseudoVSOXSEG3EI8_V_MF8_M1_MASK }, // 438
  { 0x3, 0x1, 0x1, 0x3, 0x0, 0x6, PseudoVSOXSEG3EI8_V_MF4_M1_MASK }, // 439
  { 0x3, 0x1, 0x1, 0x3, 0x0, 0x7, PseudoVSOXSEG3EI8_V_MF2_M1_MASK }, // 440
  { 0x3, 0x1, 0x1, 0x3, 0x1, 0x0, PseudoVSOXSEG3EI8_V_M1_M2_MASK }, // 441
  { 0x3, 0x1, 0x1, 0x3, 0x1, 0x1, PseudoVSOXSEG3EI8_V_M2_M2_MASK }, // 442
  { 0x3, 0x1, 0x1, 0x3, 0x1, 0x6, PseudoVSOXSEG3EI8_V_MF4_M2_MASK }, // 443
  { 0x3, 0x1, 0x1, 0x3, 0x1, 0x7, PseudoVSOXSEG3EI8_V_MF2_M2_MASK }, // 444
  { 0x3, 0x1, 0x1, 0x3, 0x5, 0x5, PseudoVSOXSEG3EI8_V_MF8_MF8_MASK }, // 445
  { 0x3, 0x1, 0x1, 0x3, 0x6, 0x5, PseudoVSOXSEG3EI8_V_MF8_MF4_MASK }, // 446
  { 0x3, 0x1, 0x1, 0x3, 0x6, 0x6, PseudoVSOXSEG3EI8_V_MF4_MF4_MASK }, // 447
  { 0x3, 0x1, 0x1, 0x3, 0x7, 0x5, PseudoVSOXSEG3EI8_V_MF8_MF2_MASK }, // 448
  { 0x3, 0x1, 0x1, 0x3, 0x7, 0x6, PseudoVSOXSEG3EI8_V_MF4_MF2_MASK }, // 449
  { 0x3, 0x1, 0x1, 0x3, 0x7, 0x7, PseudoVSOXSEG3EI8_V_MF2_MF2_MASK }, // 450
  { 0x3, 0x1, 0x1, 0x4, 0x0, 0x0, PseudoVSOXSEG3EI16_V_M1_M1_MASK }, // 451
  { 0x3, 0x1, 0x1, 0x4, 0x0, 0x1, PseudoVSOXSEG3EI16_V_M2_M1_MASK }, // 452
  { 0x3, 0x1, 0x1, 0x4, 0x0, 0x6, PseudoVSOXSEG3EI16_V_MF4_M1_MASK }, // 453
  { 0x3, 0x1, 0x1, 0x4, 0x0, 0x7, PseudoVSOXSEG3EI16_V_MF2_M1_MASK }, // 454
  { 0x3, 0x1, 0x1, 0x4, 0x1, 0x0, PseudoVSOXSEG3EI16_V_M1_M2_MASK }, // 455
  { 0x3, 0x1, 0x1, 0x4, 0x1, 0x1, PseudoVSOXSEG3EI16_V_M2_M2_MASK }, // 456
  { 0x3, 0x1, 0x1, 0x4, 0x1, 0x2, PseudoVSOXSEG3EI16_V_M4_M2_MASK }, // 457
  { 0x3, 0x1, 0x1, 0x4, 0x1, 0x7, PseudoVSOXSEG3EI16_V_MF2_M2_MASK }, // 458
  { 0x3, 0x1, 0x1, 0x4, 0x5, 0x6, PseudoVSOXSEG3EI16_V_MF4_MF8_MASK }, // 459
  { 0x3, 0x1, 0x1, 0x4, 0x6, 0x6, PseudoVSOXSEG3EI16_V_MF4_MF4_MASK }, // 460
  { 0x3, 0x1, 0x1, 0x4, 0x6, 0x7, PseudoVSOXSEG3EI16_V_MF2_MF4_MASK }, // 461
  { 0x3, 0x1, 0x1, 0x4, 0x7, 0x0, PseudoVSOXSEG3EI16_V_M1_MF2_MASK }, // 462
  { 0x3, 0x1, 0x1, 0x4, 0x7, 0x6, PseudoVSOXSEG3EI16_V_MF4_MF2_MASK }, // 463
  { 0x3, 0x1, 0x1, 0x4, 0x7, 0x7, PseudoVSOXSEG3EI16_V_MF2_MF2_MASK }, // 464
  { 0x3, 0x1, 0x1, 0x5, 0x0, 0x0, PseudoVSOXSEG3EI32_V_M1_M1_MASK }, // 465
  { 0x3, 0x1, 0x1, 0x5, 0x0, 0x1, PseudoVSOXSEG3EI32_V_M2_M1_MASK }, // 466
  { 0x3, 0x1, 0x1, 0x5, 0x0, 0x2, PseudoVSOXSEG3EI32_V_M4_M1_MASK }, // 467
  { 0x3, 0x1, 0x1, 0x5, 0x0, 0x7, PseudoVSOXSEG3EI32_V_MF2_M1_MASK }, // 468
  { 0x3, 0x1, 0x1, 0x5, 0x1, 0x0, PseudoVSOXSEG3EI32_V_M1_M2_MASK }, // 469
  { 0x3, 0x1, 0x1, 0x5, 0x1, 0x1, PseudoVSOXSEG3EI32_V_M2_M2_MASK }, // 470
  { 0x3, 0x1, 0x1, 0x5, 0x1, 0x2, PseudoVSOXSEG3EI32_V_M4_M2_MASK }, // 471
  { 0x3, 0x1, 0x1, 0x5, 0x1, 0x3, PseudoVSOXSEG3EI32_V_M8_M2_MASK }, // 472
  { 0x3, 0x1, 0x1, 0x5, 0x5, 0x7, PseudoVSOXSEG3EI32_V_MF2_MF8_MASK }, // 473
  { 0x3, 0x1, 0x1, 0x5, 0x6, 0x0, PseudoVSOXSEG3EI32_V_M1_MF4_MASK }, // 474
  { 0x3, 0x1, 0x1, 0x5, 0x6, 0x7, PseudoVSOXSEG3EI32_V_MF2_MF4_MASK }, // 475
  { 0x3, 0x1, 0x1, 0x5, 0x7, 0x0, PseudoVSOXSEG3EI32_V_M1_MF2_MASK }, // 476
  { 0x3, 0x1, 0x1, 0x5, 0x7, 0x1, PseudoVSOXSEG3EI32_V_M2_MF2_MASK }, // 477
  { 0x3, 0x1, 0x1, 0x5, 0x7, 0x7, PseudoVSOXSEG3EI32_V_MF2_MF2_MASK }, // 478
  { 0x3, 0x1, 0x1, 0x6, 0x0, 0x0, PseudoVSOXSEG3EI64_V_M1_M1_MASK }, // 479
  { 0x3, 0x1, 0x1, 0x6, 0x0, 0x1, PseudoVSOXSEG3EI64_V_M2_M1_MASK }, // 480
  { 0x3, 0x1, 0x1, 0x6, 0x0, 0x2, PseudoVSOXSEG3EI64_V_M4_M1_MASK }, // 481
  { 0x3, 0x1, 0x1, 0x6, 0x0, 0x3, PseudoVSOXSEG3EI64_V_M8_M1_MASK }, // 482
  { 0x3, 0x1, 0x1, 0x6, 0x1, 0x1, PseudoVSOXSEG3EI64_V_M2_M2_MASK }, // 483
  { 0x3, 0x1, 0x1, 0x6, 0x1, 0x2, PseudoVSOXSEG3EI64_V_M4_M2_MASK }, // 484
  { 0x3, 0x1, 0x1, 0x6, 0x1, 0x3, PseudoVSOXSEG3EI64_V_M8_M2_MASK }, // 485
  { 0x3, 0x1, 0x1, 0x6, 0x5, 0x0, PseudoVSOXSEG3EI64_V_M1_MF8_MASK }, // 486
  { 0x3, 0x1, 0x1, 0x6, 0x6, 0x0, PseudoVSOXSEG3EI64_V_M1_MF4_MASK }, // 487
  { 0x3, 0x1, 0x1, 0x6, 0x6, 0x1, PseudoVSOXSEG3EI64_V_M2_MF4_MASK }, // 488
  { 0x3, 0x1, 0x1, 0x6, 0x7, 0x0, PseudoVSOXSEG3EI64_V_M1_MF2_MASK }, // 489
  { 0x3, 0x1, 0x1, 0x6, 0x7, 0x1, PseudoVSOXSEG3EI64_V_M2_MF2_MASK }, // 490
  { 0x3, 0x1, 0x1, 0x6, 0x7, 0x2, PseudoVSOXSEG3EI64_V_M4_MF2_MASK }, // 491
  { 0x4, 0x0, 0x0, 0x3, 0x0, 0x0, PseudoVSUXSEG4EI8_V_M1_M1 }, // 492
  { 0x4, 0x0, 0x0, 0x3, 0x0, 0x5, PseudoVSUXSEG4EI8_V_MF8_M1 }, // 493
  { 0x4, 0x0, 0x0, 0x3, 0x0, 0x6, PseudoVSUXSEG4EI8_V_MF4_M1 }, // 494
  { 0x4, 0x0, 0x0, 0x3, 0x0, 0x7, PseudoVSUXSEG4EI8_V_MF2_M1 }, // 495
  { 0x4, 0x0, 0x0, 0x3, 0x1, 0x0, PseudoVSUXSEG4EI8_V_M1_M2 }, // 496
  { 0x4, 0x0, 0x0, 0x3, 0x1, 0x1, PseudoVSUXSEG4EI8_V_M2_M2 }, // 497
  { 0x4, 0x0, 0x0, 0x3, 0x1, 0x6, PseudoVSUXSEG4EI8_V_MF4_M2 }, // 498
  { 0x4, 0x0, 0x0, 0x3, 0x1, 0x7, PseudoVSUXSEG4EI8_V_MF2_M2 }, // 499
  { 0x4, 0x0, 0x0, 0x3, 0x5, 0x5, PseudoVSUXSEG4EI8_V_MF8_MF8 }, // 500
  { 0x4, 0x0, 0x0, 0x3, 0x6, 0x5, PseudoVSUXSEG4EI8_V_MF8_MF4 }, // 501
  { 0x4, 0x0, 0x0, 0x3, 0x6, 0x6, PseudoVSUXSEG4EI8_V_MF4_MF4 }, // 502
  { 0x4, 0x0, 0x0, 0x3, 0x7, 0x5, PseudoVSUXSEG4EI8_V_MF8_MF2 }, // 503
  { 0x4, 0x0, 0x0, 0x3, 0x7, 0x6, PseudoVSUXSEG4EI8_V_MF4_MF2 }, // 504
  { 0x4, 0x0, 0x0, 0x3, 0x7, 0x7, PseudoVSUXSEG4EI8_V_MF2_MF2 }, // 505
  { 0x4, 0x0, 0x0, 0x4, 0x0, 0x0, PseudoVSUXSEG4EI16_V_M1_M1 }, // 506
  { 0x4, 0x0, 0x0, 0x4, 0x0, 0x1, PseudoVSUXSEG4EI16_V_M2_M1 }, // 507
  { 0x4, 0x0, 0x0, 0x4, 0x0, 0x6, PseudoVSUXSEG4EI16_V_MF4_M1 }, // 508
  { 0x4, 0x0, 0x0, 0x4, 0x0, 0x7, PseudoVSUXSEG4EI16_V_MF2_M1 }, // 509
  { 0x4, 0x0, 0x0, 0x4, 0x1, 0x0, PseudoVSUXSEG4EI16_V_M1_M2 }, // 510
  { 0x4, 0x0, 0x0, 0x4, 0x1, 0x1, PseudoVSUXSEG4EI16_V_M2_M2 }, // 511
  { 0x4, 0x0, 0x0, 0x4, 0x1, 0x2, PseudoVSUXSEG4EI16_V_M4_M2 }, // 512
  { 0x4, 0x0, 0x0, 0x4, 0x1, 0x7, PseudoVSUXSEG4EI16_V_MF2_M2 }, // 513
  { 0x4, 0x0, 0x0, 0x4, 0x5, 0x6, PseudoVSUXSEG4EI16_V_MF4_MF8 }, // 514
  { 0x4, 0x0, 0x0, 0x4, 0x6, 0x6, PseudoVSUXSEG4EI16_V_MF4_MF4 }, // 515
  { 0x4, 0x0, 0x0, 0x4, 0x6, 0x7, PseudoVSUXSEG4EI16_V_MF2_MF4 }, // 516
  { 0x4, 0x0, 0x0, 0x4, 0x7, 0x0, PseudoVSUXSEG4EI16_V_M1_MF2 }, // 517
  { 0x4, 0x0, 0x0, 0x4, 0x7, 0x6, PseudoVSUXSEG4EI16_V_MF4_MF2 }, // 518
  { 0x4, 0x0, 0x0, 0x4, 0x7, 0x7, PseudoVSUXSEG4EI16_V_MF2_MF2 }, // 519
  { 0x4, 0x0, 0x0, 0x5, 0x0, 0x0, PseudoVSUXSEG4EI32_V_M1_M1 }, // 520
  { 0x4, 0x0, 0x0, 0x5, 0x0, 0x1, PseudoVSUXSEG4EI32_V_M2_M1 }, // 521
  { 0x4, 0x0, 0x0, 0x5, 0x0, 0x2, PseudoVSUXSEG4EI32_V_M4_M1 }, // 522
  { 0x4, 0x0, 0x0, 0x5, 0x0, 0x7, PseudoVSUXSEG4EI32_V_MF2_M1 }, // 523
  { 0x4, 0x0, 0x0, 0x5, 0x1, 0x0, PseudoVSUXSEG4EI32_V_M1_M2 }, // 524
  { 0x4, 0x0, 0x0, 0x5, 0x1, 0x1, PseudoVSUXSEG4EI32_V_M2_M2 }, // 525
  { 0x4, 0x0, 0x0, 0x5, 0x1, 0x2, PseudoVSUXSEG4EI32_V_M4_M2 }, // 526
  { 0x4, 0x0, 0x0, 0x5, 0x1, 0x3, PseudoVSUXSEG4EI32_V_M8_M2 }, // 527
  { 0x4, 0x0, 0x0, 0x5, 0x5, 0x7, PseudoVSUXSEG4EI32_V_MF2_MF8 }, // 528
  { 0x4, 0x0, 0x0, 0x5, 0x6, 0x0, PseudoVSUXSEG4EI32_V_M1_MF4 }, // 529
  { 0x4, 0x0, 0x0, 0x5, 0x6, 0x7, PseudoVSUXSEG4EI32_V_MF2_MF4 }, // 530
  { 0x4, 0x0, 0x0, 0x5, 0x7, 0x0, PseudoVSUXSEG4EI32_V_M1_MF2 }, // 531
  { 0x4, 0x0, 0x0, 0x5, 0x7, 0x1, PseudoVSUXSEG4EI32_V_M2_MF2 }, // 532
  { 0x4, 0x0, 0x0, 0x5, 0x7, 0x7, PseudoVSUXSEG4EI32_V_MF2_MF2 }, // 533
  { 0x4, 0x0, 0x0, 0x6, 0x0, 0x0, PseudoVSUXSEG4EI64_V_M1_M1 }, // 534
  { 0x4, 0x0, 0x0, 0x6, 0x0, 0x1, PseudoVSUXSEG4EI64_V_M2_M1 }, // 535
  { 0x4, 0x0, 0x0, 0x6, 0x0, 0x2, PseudoVSUXSEG4EI64_V_M4_M1 }, // 536
  { 0x4, 0x0, 0x0, 0x6, 0x0, 0x3, PseudoVSUXSEG4EI64_V_M8_M1 }, // 537
  { 0x4, 0x0, 0x0, 0x6, 0x1, 0x1, PseudoVSUXSEG4EI64_V_M2_M2 }, // 538
  { 0x4, 0x0, 0x0, 0x6, 0x1, 0x2, PseudoVSUXSEG4EI64_V_M4_M2 }, // 539
  { 0x4, 0x0, 0x0, 0x6, 0x1, 0x3, PseudoVSUXSEG4EI64_V_M8_M2 }, // 540
  { 0x4, 0x0, 0x0, 0x6, 0x5, 0x0, PseudoVSUXSEG4EI64_V_M1_MF8 }, // 541
  { 0x4, 0x0, 0x0, 0x6, 0x6, 0x0, PseudoVSUXSEG4EI64_V_M1_MF4 }, // 542
  { 0x4, 0x0, 0x0, 0x6, 0x6, 0x1, PseudoVSUXSEG4EI64_V_M2_MF4 }, // 543
  { 0x4, 0x0, 0x0, 0x6, 0x7, 0x0, PseudoVSUXSEG4EI64_V_M1_MF2 }, // 544
  { 0x4, 0x0, 0x0, 0x6, 0x7, 0x1, PseudoVSUXSEG4EI64_V_M2_MF2 }, // 545
  { 0x4, 0x0, 0x0, 0x6, 0x7, 0x2, PseudoVSUXSEG4EI64_V_M4_MF2 }, // 546
  { 0x4, 0x0, 0x1, 0x3, 0x0, 0x0, PseudoVSOXSEG4EI8_V_M1_M1 }, // 547
  { 0x4, 0x0, 0x1, 0x3, 0x0, 0x5, PseudoVSOXSEG4EI8_V_MF8_M1 }, // 548
  { 0x4, 0x0, 0x1, 0x3, 0x0, 0x6, PseudoVSOXSEG4EI8_V_MF4_M1 }, // 549
  { 0x4, 0x0, 0x1, 0x3, 0x0, 0x7, PseudoVSOXSEG4EI8_V_MF2_M1 }, // 550
  { 0x4, 0x0, 0x1, 0x3, 0x1, 0x0, PseudoVSOXSEG4EI8_V_M1_M2 }, // 551
  { 0x4, 0x0, 0x1, 0x3, 0x1, 0x1, PseudoVSOXSEG4EI8_V_M2_M2 }, // 552
  { 0x4, 0x0, 0x1, 0x3, 0x1, 0x6, PseudoVSOXSEG4EI8_V_MF4_M2 }, // 553
  { 0x4, 0x0, 0x1, 0x3, 0x1, 0x7, PseudoVSOXSEG4EI8_V_MF2_M2 }, // 554
  { 0x4, 0x0, 0x1, 0x3, 0x5, 0x5, PseudoVSOXSEG4EI8_V_MF8_MF8 }, // 555
  { 0x4, 0x0, 0x1, 0x3, 0x6, 0x5, PseudoVSOXSEG4EI8_V_MF8_MF4 }, // 556
  { 0x4, 0x0, 0x1, 0x3, 0x6, 0x6, PseudoVSOXSEG4EI8_V_MF4_MF4 }, // 557
  { 0x4, 0x0, 0x1, 0x3, 0x7, 0x5, PseudoVSOXSEG4EI8_V_MF8_MF2 }, // 558
  { 0x4, 0x0, 0x1, 0x3, 0x7, 0x6, PseudoVSOXSEG4EI8_V_MF4_MF2 }, // 559
  { 0x4, 0x0, 0x1, 0x3, 0x7, 0x7, PseudoVSOXSEG4EI8_V_MF2_MF2 }, // 560
  { 0x4, 0x0, 0x1, 0x4, 0x0, 0x0, PseudoVSOXSEG4EI16_V_M1_M1 }, // 561
  { 0x4, 0x0, 0x1, 0x4, 0x0, 0x1, PseudoVSOXSEG4EI16_V_M2_M1 }, // 562
  { 0x4, 0x0, 0x1, 0x4, 0x0, 0x6, PseudoVSOXSEG4EI16_V_MF4_M1 }, // 563
  { 0x4, 0x0, 0x1, 0x4, 0x0, 0x7, PseudoVSOXSEG4EI16_V_MF2_M1 }, // 564
  { 0x4, 0x0, 0x1, 0x4, 0x1, 0x0, PseudoVSOXSEG4EI16_V_M1_M2 }, // 565
  { 0x4, 0x0, 0x1, 0x4, 0x1, 0x1, PseudoVSOXSEG4EI16_V_M2_M2 }, // 566
  { 0x4, 0x0, 0x1, 0x4, 0x1, 0x2, PseudoVSOXSEG4EI16_V_M4_M2 }, // 567
  { 0x4, 0x0, 0x1, 0x4, 0x1, 0x7, PseudoVSOXSEG4EI16_V_MF2_M2 }, // 568
  { 0x4, 0x0, 0x1, 0x4, 0x5, 0x6, PseudoVSOXSEG4EI16_V_MF4_MF8 }, // 569
  { 0x4, 0x0, 0x1, 0x4, 0x6, 0x6, PseudoVSOXSEG4EI16_V_MF4_MF4 }, // 570
  { 0x4, 0x0, 0x1, 0x4, 0x6, 0x7, PseudoVSOXSEG4EI16_V_MF2_MF4 }, // 571
  { 0x4, 0x0, 0x1, 0x4, 0x7, 0x0, PseudoVSOXSEG4EI16_V_M1_MF2 }, // 572
  { 0x4, 0x0, 0x1, 0x4, 0x7, 0x6, PseudoVSOXSEG4EI16_V_MF4_MF2 }, // 573
  { 0x4, 0x0, 0x1, 0x4, 0x7, 0x7, PseudoVSOXSEG4EI16_V_MF2_MF2 }, // 574
  { 0x4, 0x0, 0x1, 0x5, 0x0, 0x0, PseudoVSOXSEG4EI32_V_M1_M1 }, // 575
  { 0x4, 0x0, 0x1, 0x5, 0x0, 0x1, PseudoVSOXSEG4EI32_V_M2_M1 }, // 576
  { 0x4, 0x0, 0x1, 0x5, 0x0, 0x2, PseudoVSOXSEG4EI32_V_M4_M1 }, // 577
  { 0x4, 0x0, 0x1, 0x5, 0x0, 0x7, PseudoVSOXSEG4EI32_V_MF2_M1 }, // 578
  { 0x4, 0x0, 0x1, 0x5, 0x1, 0x0, PseudoVSOXSEG4EI32_V_M1_M2 }, // 579
  { 0x4, 0x0, 0x1, 0x5, 0x1, 0x1, PseudoVSOXSEG4EI32_V_M2_M2 }, // 580
  { 0x4, 0x0, 0x1, 0x5, 0x1, 0x2, PseudoVSOXSEG4EI32_V_M4_M2 }, // 581
  { 0x4, 0x0, 0x1, 0x5, 0x1, 0x3, PseudoVSOXSEG4EI32_V_M8_M2 }, // 582
  { 0x4, 0x0, 0x1, 0x5, 0x5, 0x7, PseudoVSOXSEG4EI32_V_MF2_MF8 }, // 583
  { 0x4, 0x0, 0x1, 0x5, 0x6, 0x0, PseudoVSOXSEG4EI32_V_M1_MF4 }, // 584
  { 0x4, 0x0, 0x1, 0x5, 0x6, 0x7, PseudoVSOXSEG4EI32_V_MF2_MF4 }, // 585
  { 0x4, 0x0, 0x1, 0x5, 0x7, 0x0, PseudoVSOXSEG4EI32_V_M1_MF2 }, // 586
  { 0x4, 0x0, 0x1, 0x5, 0x7, 0x1, PseudoVSOXSEG4EI32_V_M2_MF2 }, // 587
  { 0x4, 0x0, 0x1, 0x5, 0x7, 0x7, PseudoVSOXSEG4EI32_V_MF2_MF2 }, // 588
  { 0x4, 0x0, 0x1, 0x6, 0x0, 0x0, PseudoVSOXSEG4EI64_V_M1_M1 }, // 589
  { 0x4, 0x0, 0x1, 0x6, 0x0, 0x1, PseudoVSOXSEG4EI64_V_M2_M1 }, // 590
  { 0x4, 0x0, 0x1, 0x6, 0x0, 0x2, PseudoVSOXSEG4EI64_V_M4_M1 }, // 591
  { 0x4, 0x0, 0x1, 0x6, 0x0, 0x3, PseudoVSOXSEG4EI64_V_M8_M1 }, // 592
  { 0x4, 0x0, 0x1, 0x6, 0x1, 0x1, PseudoVSOXSEG4EI64_V_M2_M2 }, // 593
  { 0x4, 0x0, 0x1, 0x6, 0x1, 0x2, PseudoVSOXSEG4EI64_V_M4_M2 }, // 594
  { 0x4, 0x0, 0x1, 0x6, 0x1, 0x3, PseudoVSOXSEG4EI64_V_M8_M2 }, // 595
  { 0x4, 0x0, 0x1, 0x6, 0x5, 0x0, PseudoVSOXSEG4EI64_V_M1_MF8 }, // 596
  { 0x4, 0x0, 0x1, 0x6, 0x6, 0x0, PseudoVSOXSEG4EI64_V_M1_MF4 }, // 597
  { 0x4, 0x0, 0x1, 0x6, 0x6, 0x1, PseudoVSOXSEG4EI64_V_M2_MF4 }, // 598
  { 0x4, 0x0, 0x1, 0x6, 0x7, 0x0, PseudoVSOXSEG4EI64_V_M1_MF2 }, // 599
  { 0x4, 0x0, 0x1, 0x6, 0x7, 0x1, PseudoVSOXSEG4EI64_V_M2_MF2 }, // 600
  { 0x4, 0x0, 0x1, 0x6, 0x7, 0x2, PseudoVSOXSEG4EI64_V_M4_MF2 }, // 601
  { 0x4, 0x1, 0x0, 0x3, 0x0, 0x0, PseudoVSUXSEG4EI8_V_M1_M1_MASK }, // 602
  { 0x4, 0x1, 0x0, 0x3, 0x0, 0x5, PseudoVSUXSEG4EI8_V_MF8_M1_MASK }, // 603
  { 0x4, 0x1, 0x0, 0x3, 0x0, 0x6, PseudoVSUXSEG4EI8_V_MF4_M1_MASK }, // 604
  { 0x4, 0x1, 0x0, 0x3, 0x0, 0x7, PseudoVSUXSEG4EI8_V_MF2_M1_MASK }, // 605
  { 0x4, 0x1, 0x0, 0x3, 0x1, 0x0, PseudoVSUXSEG4EI8_V_M1_M2_MASK }, // 606
  { 0x4, 0x1, 0x0, 0x3, 0x1, 0x1, PseudoVSUXSEG4EI8_V_M2_M2_MASK }, // 607
  { 0x4, 0x1, 0x0, 0x3, 0x1, 0x6, PseudoVSUXSEG4EI8_V_MF4_M2_MASK }, // 608
  { 0x4, 0x1, 0x0, 0x3, 0x1, 0x7, PseudoVSUXSEG4EI8_V_MF2_M2_MASK }, // 609
  { 0x4, 0x1, 0x0, 0x3, 0x5, 0x5, PseudoVSUXSEG4EI8_V_MF8_MF8_MASK }, // 610
  { 0x4, 0x1, 0x0, 0x3, 0x6, 0x5, PseudoVSUXSEG4EI8_V_MF8_MF4_MASK }, // 611
  { 0x4, 0x1, 0x0, 0x3, 0x6, 0x6, PseudoVSUXSEG4EI8_V_MF4_MF4_MASK }, // 612
  { 0x4, 0x1, 0x0, 0x3, 0x7, 0x5, PseudoVSUXSEG4EI8_V_MF8_MF2_MASK }, // 613
  { 0x4, 0x1, 0x0, 0x3, 0x7, 0x6, PseudoVSUXSEG4EI8_V_MF4_MF2_MASK }, // 614
  { 0x4, 0x1, 0x0, 0x3, 0x7, 0x7, PseudoVSUXSEG4EI8_V_MF2_MF2_MASK }, // 615
  { 0x4, 0x1, 0x0, 0x4, 0x0, 0x0, PseudoVSUXSEG4EI16_V_M1_M1_MASK }, // 616
  { 0x4, 0x1, 0x0, 0x4, 0x0, 0x1, PseudoVSUXSEG4EI16_V_M2_M1_MASK }, // 617
  { 0x4, 0x1, 0x0, 0x4, 0x0, 0x6, PseudoVSUXSEG4EI16_V_MF4_M1_MASK }, // 618
  { 0x4, 0x1, 0x0, 0x4, 0x0, 0x7, PseudoVSUXSEG4EI16_V_MF2_M1_MASK }, // 619
  { 0x4, 0x1, 0x0, 0x4, 0x1, 0x0, PseudoVSUXSEG4EI16_V_M1_M2_MASK }, // 620
  { 0x4, 0x1, 0x0, 0x4, 0x1, 0x1, PseudoVSUXSEG4EI16_V_M2_M2_MASK }, // 621
  { 0x4, 0x1, 0x0, 0x4, 0x1, 0x2, PseudoVSUXSEG4EI16_V_M4_M2_MASK }, // 622
  { 0x4, 0x1, 0x0, 0x4, 0x1, 0x7, PseudoVSUXSEG4EI16_V_MF2_M2_MASK }, // 623
  { 0x4, 0x1, 0x0, 0x4, 0x5, 0x6, PseudoVSUXSEG4EI16_V_MF4_MF8_MASK }, // 624
  { 0x4, 0x1, 0x0, 0x4, 0x6, 0x6, PseudoVSUXSEG4EI16_V_MF4_MF4_MASK }, // 625
  { 0x4, 0x1, 0x0, 0x4, 0x6, 0x7, PseudoVSUXSEG4EI16_V_MF2_MF4_MASK }, // 626
  { 0x4, 0x1, 0x0, 0x4, 0x7, 0x0, PseudoVSUXSEG4EI16_V_M1_MF2_MASK }, // 627
  { 0x4, 0x1, 0x0, 0x4, 0x7, 0x6, PseudoVSUXSEG4EI16_V_MF4_MF2_MASK }, // 628
  { 0x4, 0x1, 0x0, 0x4, 0x7, 0x7, PseudoVSUXSEG4EI16_V_MF2_MF2_MASK }, // 629
  { 0x4, 0x1, 0x0, 0x5, 0x0, 0x0, PseudoVSUXSEG4EI32_V_M1_M1_MASK }, // 630
  { 0x4, 0x1, 0x0, 0x5, 0x0, 0x1, PseudoVSUXSEG4EI32_V_M2_M1_MASK }, // 631
  { 0x4, 0x1, 0x0, 0x5, 0x0, 0x2, PseudoVSUXSEG4EI32_V_M4_M1_MASK }, // 632
  { 0x4, 0x1, 0x0, 0x5, 0x0, 0x7, PseudoVSUXSEG4EI32_V_MF2_M1_MASK }, // 633
  { 0x4, 0x1, 0x0, 0x5, 0x1, 0x0, PseudoVSUXSEG4EI32_V_M1_M2_MASK }, // 634
  { 0x4, 0x1, 0x0, 0x5, 0x1, 0x1, PseudoVSUXSEG4EI32_V_M2_M2_MASK }, // 635
  { 0x4, 0x1, 0x0, 0x5, 0x1, 0x2, PseudoVSUXSEG4EI32_V_M4_M2_MASK }, // 636
  { 0x4, 0x1, 0x0, 0x5, 0x1, 0x3, PseudoVSUXSEG4EI32_V_M8_M2_MASK }, // 637
  { 0x4, 0x1, 0x0, 0x5, 0x5, 0x7, PseudoVSUXSEG4EI32_V_MF2_MF8_MASK }, // 638
  { 0x4, 0x1, 0x0, 0x5, 0x6, 0x0, PseudoVSUXSEG4EI32_V_M1_MF4_MASK }, // 639
  { 0x4, 0x1, 0x0, 0x5, 0x6, 0x7, PseudoVSUXSEG4EI32_V_MF2_MF4_MASK }, // 640
  { 0x4, 0x1, 0x0, 0x5, 0x7, 0x0, PseudoVSUXSEG4EI32_V_M1_MF2_MASK }, // 641
  { 0x4, 0x1, 0x0, 0x5, 0x7, 0x1, PseudoVSUXSEG4EI32_V_M2_MF2_MASK }, // 642
  { 0x4, 0x1, 0x0, 0x5, 0x7, 0x7, PseudoVSUXSEG4EI32_V_MF2_MF2_MASK }, // 643
  { 0x4, 0x1, 0x0, 0x6, 0x0, 0x0, PseudoVSUXSEG4EI64_V_M1_M1_MASK }, // 644
  { 0x4, 0x1, 0x0, 0x6, 0x0, 0x1, PseudoVSUXSEG4EI64_V_M2_M1_MASK }, // 645
  { 0x4, 0x1, 0x0, 0x6, 0x0, 0x2, PseudoVSUXSEG4EI64_V_M4_M1_MASK }, // 646
  { 0x4, 0x1, 0x0, 0x6, 0x0, 0x3, PseudoVSUXSEG4EI64_V_M8_M1_MASK }, // 647
  { 0x4, 0x1, 0x0, 0x6, 0x1, 0x1, PseudoVSUXSEG4EI64_V_M2_M2_MASK }, // 648
  { 0x4, 0x1, 0x0, 0x6, 0x1, 0x2, PseudoVSUXSEG4EI64_V_M4_M2_MASK }, // 649
  { 0x4, 0x1, 0x0, 0x6, 0x1, 0x3, PseudoVSUXSEG4EI64_V_M8_M2_MASK }, // 650
  { 0x4, 0x1, 0x0, 0x6, 0x5, 0x0, PseudoVSUXSEG4EI64_V_M1_MF8_MASK }, // 651
  { 0x4, 0x1, 0x0, 0x6, 0x6, 0x0, PseudoVSUXSEG4EI64_V_M1_MF4_MASK }, // 652
  { 0x4, 0x1, 0x0, 0x6, 0x6, 0x1, PseudoVSUXSEG4EI64_V_M2_MF4_MASK }, // 653
  { 0x4, 0x1, 0x0, 0x6, 0x7, 0x0, PseudoVSUXSEG4EI64_V_M1_MF2_MASK }, // 654
  { 0x4, 0x1, 0x0, 0x6, 0x7, 0x1, PseudoVSUXSEG4EI64_V_M2_MF2_MASK }, // 655
  { 0x4, 0x1, 0x0, 0x6, 0x7, 0x2, PseudoVSUXSEG4EI64_V_M4_MF2_MASK }, // 656
  { 0x4, 0x1, 0x1, 0x3, 0x0, 0x0, PseudoVSOXSEG4EI8_V_M1_M1_MASK }, // 657
  { 0x4, 0x1, 0x1, 0x3, 0x0, 0x5, PseudoVSOXSEG4EI8_V_MF8_M1_MASK }, // 658
  { 0x4, 0x1, 0x1, 0x3, 0x0, 0x6, PseudoVSOXSEG4EI8_V_MF4_M1_MASK }, // 659
  { 0x4, 0x1, 0x1, 0x3, 0x0, 0x7, PseudoVSOXSEG4EI8_V_MF2_M1_MASK }, // 660
  { 0x4, 0x1, 0x1, 0x3, 0x1, 0x0, PseudoVSOXSEG4EI8_V_M1_M2_MASK }, // 661
  { 0x4, 0x1, 0x1, 0x3, 0x1, 0x1, PseudoVSOXSEG4EI8_V_M2_M2_MASK }, // 662
  { 0x4, 0x1, 0x1, 0x3, 0x1, 0x6, PseudoVSOXSEG4EI8_V_MF4_M2_MASK }, // 663
  { 0x4, 0x1, 0x1, 0x3, 0x1, 0x7, PseudoVSOXSEG4EI8_V_MF2_M2_MASK }, // 664
  { 0x4, 0x1, 0x1, 0x3, 0x5, 0x5, PseudoVSOXSEG4EI8_V_MF8_MF8_MASK }, // 665
  { 0x4, 0x1, 0x1, 0x3, 0x6, 0x5, PseudoVSOXSEG4EI8_V_MF8_MF4_MASK }, // 666
  { 0x4, 0x1, 0x1, 0x3, 0x6, 0x6, PseudoVSOXSEG4EI8_V_MF4_MF4_MASK }, // 667
  { 0x4, 0x1, 0x1, 0x3, 0x7, 0x5, PseudoVSOXSEG4EI8_V_MF8_MF2_MASK }, // 668
  { 0x4, 0x1, 0x1, 0x3, 0x7, 0x6, PseudoVSOXSEG4EI8_V_MF4_MF2_MASK }, // 669
  { 0x4, 0x1, 0x1, 0x3, 0x7, 0x7, PseudoVSOXSEG4EI8_V_MF2_MF2_MASK }, // 670
  { 0x4, 0x1, 0x1, 0x4, 0x0, 0x0, PseudoVSOXSEG4EI16_V_M1_M1_MASK }, // 671
  { 0x4, 0x1, 0x1, 0x4, 0x0, 0x1, PseudoVSOXSEG4EI16_V_M2_M1_MASK }, // 672
  { 0x4, 0x1, 0x1, 0x4, 0x0, 0x6, PseudoVSOXSEG4EI16_V_MF4_M1_MASK }, // 673
  { 0x4, 0x1, 0x1, 0x4, 0x0, 0x7, PseudoVSOXSEG4EI16_V_MF2_M1_MASK }, // 674
  { 0x4, 0x1, 0x1, 0x4, 0x1, 0x0, PseudoVSOXSEG4EI16_V_M1_M2_MASK }, // 675
  { 0x4, 0x1, 0x1, 0x4, 0x1, 0x1, PseudoVSOXSEG4EI16_V_M2_M2_MASK }, // 676
  { 0x4, 0x1, 0x1, 0x4, 0x1, 0x2, PseudoVSOXSEG4EI16_V_M4_M2_MASK }, // 677
  { 0x4, 0x1, 0x1, 0x4, 0x1, 0x7, PseudoVSOXSEG4EI16_V_MF2_M2_MASK }, // 678
  { 0x4, 0x1, 0x1, 0x4, 0x5, 0x6, PseudoVSOXSEG4EI16_V_MF4_MF8_MASK }, // 679
  { 0x4, 0x1, 0x1, 0x4, 0x6, 0x6, PseudoVSOXSEG4EI16_V_MF4_MF4_MASK }, // 680
  { 0x4, 0x1, 0x1, 0x4, 0x6, 0x7, PseudoVSOXSEG4EI16_V_MF2_MF4_MASK }, // 681
  { 0x4, 0x1, 0x1, 0x4, 0x7, 0x0, PseudoVSOXSEG4EI16_V_M1_MF2_MASK }, // 682
  { 0x4, 0x1, 0x1, 0x4, 0x7, 0x6, PseudoVSOXSEG4EI16_V_MF4_MF2_MASK }, // 683
  { 0x4, 0x1, 0x1, 0x4, 0x7, 0x7, PseudoVSOXSEG4EI16_V_MF2_MF2_MASK }, // 684
  { 0x4, 0x1, 0x1, 0x5, 0x0, 0x0, PseudoVSOXSEG4EI32_V_M1_M1_MASK }, // 685
  { 0x4, 0x1, 0x1, 0x5, 0x0, 0x1, PseudoVSOXSEG4EI32_V_M2_M1_MASK }, // 686
  { 0x4, 0x1, 0x1, 0x5, 0x0, 0x2, PseudoVSOXSEG4EI32_V_M4_M1_MASK }, // 687
  { 0x4, 0x1, 0x1, 0x5, 0x0, 0x7, PseudoVSOXSEG4EI32_V_MF2_M1_MASK }, // 688
  { 0x4, 0x1, 0x1, 0x5, 0x1, 0x0, PseudoVSOXSEG4EI32_V_M1_M2_MASK }, // 689
  { 0x4, 0x1, 0x1, 0x5, 0x1, 0x1, PseudoVSOXSEG4EI32_V_M2_M2_MASK }, // 690
  { 0x4, 0x1, 0x1, 0x5, 0x1, 0x2, PseudoVSOXSEG4EI32_V_M4_M2_MASK }, // 691
  { 0x4, 0x1, 0x1, 0x5, 0x1, 0x3, PseudoVSOXSEG4EI32_V_M8_M2_MASK }, // 692
  { 0x4, 0x1, 0x1, 0x5, 0x5, 0x7, PseudoVSOXSEG4EI32_V_MF2_MF8_MASK }, // 693
  { 0x4, 0x1, 0x1, 0x5, 0x6, 0x0, PseudoVSOXSEG4EI32_V_M1_MF4_MASK }, // 694
  { 0x4, 0x1, 0x1, 0x5, 0x6, 0x7, PseudoVSOXSEG4EI32_V_MF2_MF4_MASK }, // 695
  { 0x4, 0x1, 0x1, 0x5, 0x7, 0x0, PseudoVSOXSEG4EI32_V_M1_MF2_MASK }, // 696
  { 0x4, 0x1, 0x1, 0x5, 0x7, 0x1, PseudoVSOXSEG4EI32_V_M2_MF2_MASK }, // 697
  { 0x4, 0x1, 0x1, 0x5, 0x7, 0x7, PseudoVSOXSEG4EI32_V_MF2_MF2_MASK }, // 698
  { 0x4, 0x1, 0x1, 0x6, 0x0, 0x0, PseudoVSOXSEG4EI64_V_M1_M1_MASK }, // 699
  { 0x4, 0x1, 0x1, 0x6, 0x0, 0x1, PseudoVSOXSEG4EI64_V_M2_M1_MASK }, // 700
  { 0x4, 0x1, 0x1, 0x6, 0x0, 0x2, PseudoVSOXSEG4EI64_V_M4_M1_MASK }, // 701
  { 0x4, 0x1, 0x1, 0x6, 0x0, 0x3, PseudoVSOXSEG4EI64_V_M8_M1_MASK }, // 702
  { 0x4, 0x1, 0x1, 0x6, 0x1, 0x1, PseudoVSOXSEG4EI64_V_M2_M2_MASK }, // 703
  { 0x4, 0x1, 0x1, 0x6, 0x1, 0x2, PseudoVSOXSEG4EI64_V_M4_M2_MASK }, // 704
  { 0x4, 0x1, 0x1, 0x6, 0x1, 0x3, PseudoVSOXSEG4EI64_V_M8_M2_MASK }, // 705
  { 0x4, 0x1, 0x1, 0x6, 0x5, 0x0, PseudoVSOXSEG4EI64_V_M1_MF8_MASK }, // 706
  { 0x4, 0x1, 0x1, 0x6, 0x6, 0x0, PseudoVSOXSEG4EI64_V_M1_MF4_MASK }, // 707
  { 0x4, 0x1, 0x1, 0x6, 0x6, 0x1, PseudoVSOXSEG4EI64_V_M2_MF4_MASK }, // 708
  { 0x4, 0x1, 0x1, 0x6, 0x7, 0x0, PseudoVSOXSEG4EI64_V_M1_MF2_MASK }, // 709
  { 0x4, 0x1, 0x1, 0x6, 0x7, 0x1, PseudoVSOXSEG4EI64_V_M2_MF2_MASK }, // 710
  { 0x4, 0x1, 0x1, 0x6, 0x7, 0x2, PseudoVSOXSEG4EI64_V_M4_MF2_MASK }, // 711
  { 0x5, 0x0, 0x0, 0x3, 0x0, 0x0, PseudoVSUXSEG5EI8_V_M1_M1 }, // 712
  { 0x5, 0x0, 0x0, 0x3, 0x0, 0x5, PseudoVSUXSEG5EI8_V_MF8_M1 }, // 713
  { 0x5, 0x0, 0x0, 0x3, 0x0, 0x6, PseudoVSUXSEG5EI8_V_MF4_M1 }, // 714
  { 0x5, 0x0, 0x0, 0x3, 0x0, 0x7, PseudoVSUXSEG5EI8_V_MF2_M1 }, // 715
  { 0x5, 0x0, 0x0, 0x3, 0x5, 0x5, PseudoVSUXSEG5EI8_V_MF8_MF8 }, // 716
  { 0x5, 0x0, 0x0, 0x3, 0x6, 0x5, PseudoVSUXSEG5EI8_V_MF8_MF4 }, // 717
  { 0x5, 0x0, 0x0, 0x3, 0x6, 0x6, PseudoVSUXSEG5EI8_V_MF4_MF4 }, // 718
  { 0x5, 0x0, 0x0, 0x3, 0x7, 0x5, PseudoVSUXSEG5EI8_V_MF8_MF2 }, // 719
  { 0x5, 0x0, 0x0, 0x3, 0x7, 0x6, PseudoVSUXSEG5EI8_V_MF4_MF2 }, // 720
  { 0x5, 0x0, 0x0, 0x3, 0x7, 0x7, PseudoVSUXSEG5EI8_V_MF2_MF2 }, // 721
  { 0x5, 0x0, 0x0, 0x4, 0x0, 0x0, PseudoVSUXSEG5EI16_V_M1_M1 }, // 722
  { 0x5, 0x0, 0x0, 0x4, 0x0, 0x1, PseudoVSUXSEG5EI16_V_M2_M1 }, // 723
  { 0x5, 0x0, 0x0, 0x4, 0x0, 0x6, PseudoVSUXSEG5EI16_V_MF4_M1 }, // 724
  { 0x5, 0x0, 0x0, 0x4, 0x0, 0x7, PseudoVSUXSEG5EI16_V_MF2_M1 }, // 725
  { 0x5, 0x0, 0x0, 0x4, 0x5, 0x6, PseudoVSUXSEG5EI16_V_MF4_MF8 }, // 726
  { 0x5, 0x0, 0x0, 0x4, 0x6, 0x6, PseudoVSUXSEG5EI16_V_MF4_MF4 }, // 727
  { 0x5, 0x0, 0x0, 0x4, 0x6, 0x7, PseudoVSUXSEG5EI16_V_MF2_MF4 }, // 728
  { 0x5, 0x0, 0x0, 0x4, 0x7, 0x0, PseudoVSUXSEG5EI16_V_M1_MF2 }, // 729
  { 0x5, 0x0, 0x0, 0x4, 0x7, 0x6, PseudoVSUXSEG5EI16_V_MF4_MF2 }, // 730
  { 0x5, 0x0, 0x0, 0x4, 0x7, 0x7, PseudoVSUXSEG5EI16_V_MF2_MF2 }, // 731
  { 0x5, 0x0, 0x0, 0x5, 0x0, 0x0, PseudoVSUXSEG5EI32_V_M1_M1 }, // 732
  { 0x5, 0x0, 0x0, 0x5, 0x0, 0x1, PseudoVSUXSEG5EI32_V_M2_M1 }, // 733
  { 0x5, 0x0, 0x0, 0x5, 0x0, 0x2, PseudoVSUXSEG5EI32_V_M4_M1 }, // 734
  { 0x5, 0x0, 0x0, 0x5, 0x0, 0x7, PseudoVSUXSEG5EI32_V_MF2_M1 }, // 735
  { 0x5, 0x0, 0x0, 0x5, 0x5, 0x7, PseudoVSUXSEG5EI32_V_MF2_MF8 }, // 736
  { 0x5, 0x0, 0x0, 0x5, 0x6, 0x0, PseudoVSUXSEG5EI32_V_M1_MF4 }, // 737
  { 0x5, 0x0, 0x0, 0x5, 0x6, 0x7, PseudoVSUXSEG5EI32_V_MF2_MF4 }, // 738
  { 0x5, 0x0, 0x0, 0x5, 0x7, 0x0, PseudoVSUXSEG5EI32_V_M1_MF2 }, // 739
  { 0x5, 0x0, 0x0, 0x5, 0x7, 0x1, PseudoVSUXSEG5EI32_V_M2_MF2 }, // 740
  { 0x5, 0x0, 0x0, 0x5, 0x7, 0x7, PseudoVSUXSEG5EI32_V_MF2_MF2 }, // 741
  { 0x5, 0x0, 0x0, 0x6, 0x0, 0x0, PseudoVSUXSEG5EI64_V_M1_M1 }, // 742
  { 0x5, 0x0, 0x0, 0x6, 0x0, 0x1, PseudoVSUXSEG5EI64_V_M2_M1 }, // 743
  { 0x5, 0x0, 0x0, 0x6, 0x0, 0x2, PseudoVSUXSEG5EI64_V_M4_M1 }, // 744
  { 0x5, 0x0, 0x0, 0x6, 0x0, 0x3, PseudoVSUXSEG5EI64_V_M8_M1 }, // 745
  { 0x5, 0x0, 0x0, 0x6, 0x5, 0x0, PseudoVSUXSEG5EI64_V_M1_MF8 }, // 746
  { 0x5, 0x0, 0x0, 0x6, 0x6, 0x0, PseudoVSUXSEG5EI64_V_M1_MF4 }, // 747
  { 0x5, 0x0, 0x0, 0x6, 0x6, 0x1, PseudoVSUXSEG5EI64_V_M2_MF4 }, // 748
  { 0x5, 0x0, 0x0, 0x6, 0x7, 0x0, PseudoVSUXSEG5EI64_V_M1_MF2 }, // 749
  { 0x5, 0x0, 0x0, 0x6, 0x7, 0x1, PseudoVSUXSEG5EI64_V_M2_MF2 }, // 750
  { 0x5, 0x0, 0x0, 0x6, 0x7, 0x2, PseudoVSUXSEG5EI64_V_M4_MF2 }, // 751
  { 0x5, 0x0, 0x1, 0x3, 0x0, 0x0, PseudoVSOXSEG5EI8_V_M1_M1 }, // 752
  { 0x5, 0x0, 0x1, 0x3, 0x0, 0x5, PseudoVSOXSEG5EI8_V_MF8_M1 }, // 753
  { 0x5, 0x0, 0x1, 0x3, 0x0, 0x6, PseudoVSOXSEG5EI8_V_MF4_M1 }, // 754
  { 0x5, 0x0, 0x1, 0x3, 0x0, 0x7, PseudoVSOXSEG5EI8_V_MF2_M1 }, // 755
  { 0x5, 0x0, 0x1, 0x3, 0x5, 0x5, PseudoVSOXSEG5EI8_V_MF8_MF8 }, // 756
  { 0x5, 0x0, 0x1, 0x3, 0x6, 0x5, PseudoVSOXSEG5EI8_V_MF8_MF4 }, // 757
  { 0x5, 0x0, 0x1, 0x3, 0x6, 0x6, PseudoVSOXSEG5EI8_V_MF4_MF4 }, // 758
  { 0x5, 0x0, 0x1, 0x3, 0x7, 0x5, PseudoVSOXSEG5EI8_V_MF8_MF2 }, // 759
  { 0x5, 0x0, 0x1, 0x3, 0x7, 0x6, PseudoVSOXSEG5EI8_V_MF4_MF2 }, // 760
  { 0x5, 0x0, 0x1, 0x3, 0x7, 0x7, PseudoVSOXSEG5EI8_V_MF2_MF2 }, // 761
  { 0x5, 0x0, 0x1, 0x4, 0x0, 0x0, PseudoVSOXSEG5EI16_V_M1_M1 }, // 762
  { 0x5, 0x0, 0x1, 0x4, 0x0, 0x1, PseudoVSOXSEG5EI16_V_M2_M1 }, // 763
  { 0x5, 0x0, 0x1, 0x4, 0x0, 0x6, PseudoVSOXSEG5EI16_V_MF4_M1 }, // 764
  { 0x5, 0x0, 0x1, 0x4, 0x0, 0x7, PseudoVSOXSEG5EI16_V_MF2_M1 }, // 765
  { 0x5, 0x0, 0x1, 0x4, 0x5, 0x6, PseudoVSOXSEG5EI16_V_MF4_MF8 }, // 766
  { 0x5, 0x0, 0x1, 0x4, 0x6, 0x6, PseudoVSOXSEG5EI16_V_MF4_MF4 }, // 767
  { 0x5, 0x0, 0x1, 0x4, 0x6, 0x7, PseudoVSOXSEG5EI16_V_MF2_MF4 }, // 768
  { 0x5, 0x0, 0x1, 0x4, 0x7, 0x0, PseudoVSOXSEG5EI16_V_M1_MF2 }, // 769
  { 0x5, 0x0, 0x1, 0x4, 0x7, 0x6, PseudoVSOXSEG5EI16_V_MF4_MF2 }, // 770
  { 0x5, 0x0, 0x1, 0x4, 0x7, 0x7, PseudoVSOXSEG5EI16_V_MF2_MF2 }, // 771
  { 0x5, 0x0, 0x1, 0x5, 0x0, 0x0, PseudoVSOXSEG5EI32_V_M1_M1 }, // 772
  { 0x5, 0x0, 0x1, 0x5, 0x0, 0x1, PseudoVSOXSEG5EI32_V_M2_M1 }, // 773
  { 0x5, 0x0, 0x1, 0x5, 0x0, 0x2, PseudoVSOXSEG5EI32_V_M4_M1 }, // 774
  { 0x5, 0x0, 0x1, 0x5, 0x0, 0x7, PseudoVSOXSEG5EI32_V_MF2_M1 }, // 775
  { 0x5, 0x0, 0x1, 0x5, 0x5, 0x7, PseudoVSOXSEG5EI32_V_MF2_MF8 }, // 776
  { 0x5, 0x0, 0x1, 0x5, 0x6, 0x0, PseudoVSOXSEG5EI32_V_M1_MF4 }, // 777
  { 0x5, 0x0, 0x1, 0x5, 0x6, 0x7, PseudoVSOXSEG5EI32_V_MF2_MF4 }, // 778
  { 0x5, 0x0, 0x1, 0x5, 0x7, 0x0, PseudoVSOXSEG5EI32_V_M1_MF2 }, // 779
  { 0x5, 0x0, 0x1, 0x5, 0x7, 0x1, PseudoVSOXSEG5EI32_V_M2_MF2 }, // 780
  { 0x5, 0x0, 0x1, 0x5, 0x7, 0x7, PseudoVSOXSEG5EI32_V_MF2_MF2 }, // 781
  { 0x5, 0x0, 0x1, 0x6, 0x0, 0x0, PseudoVSOXSEG5EI64_V_M1_M1 }, // 782
  { 0x5, 0x0, 0x1, 0x6, 0x0, 0x1, PseudoVSOXSEG5EI64_V_M2_M1 }, // 783
  { 0x5, 0x0, 0x1, 0x6, 0x0, 0x2, PseudoVSOXSEG5EI64_V_M4_M1 }, // 784
  { 0x5, 0x0, 0x1, 0x6, 0x0, 0x3, PseudoVSOXSEG5EI64_V_M8_M1 }, // 785
  { 0x5, 0x0, 0x1, 0x6, 0x5, 0x0, PseudoVSOXSEG5EI64_V_M1_MF8 }, // 786
  { 0x5, 0x0, 0x1, 0x6, 0x6, 0x0, PseudoVSOXSEG5EI64_V_M1_MF4 }, // 787
  { 0x5, 0x0, 0x1, 0x6, 0x6, 0x1, PseudoVSOXSEG5EI64_V_M2_MF4 }, // 788
  { 0x5, 0x0, 0x1, 0x6, 0x7, 0x0, PseudoVSOXSEG5EI64_V_M1_MF2 }, // 789
  { 0x5, 0x0, 0x1, 0x6, 0x7, 0x1, PseudoVSOXSEG5EI64_V_M2_MF2 }, // 790
  { 0x5, 0x0, 0x1, 0x6, 0x7, 0x2, PseudoVSOXSEG5EI64_V_M4_MF2 }, // 791
  { 0x5, 0x1, 0x0, 0x3, 0x0, 0x0, PseudoVSUXSEG5EI8_V_M1_M1_MASK }, // 792
  { 0x5, 0x1, 0x0, 0x3, 0x0, 0x5, PseudoVSUXSEG5EI8_V_MF8_M1_MASK }, // 793
  { 0x5, 0x1, 0x0, 0x3, 0x0, 0x6, PseudoVSUXSEG5EI8_V_MF4_M1_MASK }, // 794
  { 0x5, 0x1, 0x0, 0x3, 0x0, 0x7, PseudoVSUXSEG5EI8_V_MF2_M1_MASK }, // 795
  { 0x5, 0x1, 0x0, 0x3, 0x5, 0x5, PseudoVSUXSEG5EI8_V_MF8_MF8_MASK }, // 796
  { 0x5, 0x1, 0x0, 0x3, 0x6, 0x5, PseudoVSUXSEG5EI8_V_MF8_MF4_MASK }, // 797
  { 0x5, 0x1, 0x0, 0x3, 0x6, 0x6, PseudoVSUXSEG5EI8_V_MF4_MF4_MASK }, // 798
  { 0x5, 0x1, 0x0, 0x3, 0x7, 0x5, PseudoVSUXSEG5EI8_V_MF8_MF2_MASK }, // 799
  { 0x5, 0x1, 0x0, 0x3, 0x7, 0x6, PseudoVSUXSEG5EI8_V_MF4_MF2_MASK }, // 800
  { 0x5, 0x1, 0x0, 0x3, 0x7, 0x7, PseudoVSUXSEG5EI8_V_MF2_MF2_MASK }, // 801
  { 0x5, 0x1, 0x0, 0x4, 0x0, 0x0, PseudoVSUXSEG5EI16_V_M1_M1_MASK }, // 802
  { 0x5, 0x1, 0x0, 0x4, 0x0, 0x1, PseudoVSUXSEG5EI16_V_M2_M1_MASK }, // 803
  { 0x5, 0x1, 0x0, 0x4, 0x0, 0x6, PseudoVSUXSEG5EI16_V_MF4_M1_MASK }, // 804
  { 0x5, 0x1, 0x0, 0x4, 0x0, 0x7, PseudoVSUXSEG5EI16_V_MF2_M1_MASK }, // 805
  { 0x5, 0x1, 0x0, 0x4, 0x5, 0x6, PseudoVSUXSEG5EI16_V_MF4_MF8_MASK }, // 806
  { 0x5, 0x1, 0x0, 0x4, 0x6, 0x6, PseudoVSUXSEG5EI16_V_MF4_MF4_MASK }, // 807
  { 0x5, 0x1, 0x0, 0x4, 0x6, 0x7, PseudoVSUXSEG5EI16_V_MF2_MF4_MASK }, // 808
  { 0x5, 0x1, 0x0, 0x4, 0x7, 0x0, PseudoVSUXSEG5EI16_V_M1_MF2_MASK }, // 809
  { 0x5, 0x1, 0x0, 0x4, 0x7, 0x6, PseudoVSUXSEG5EI16_V_MF4_MF2_MASK }, // 810
  { 0x5, 0x1, 0x0, 0x4, 0x7, 0x7, PseudoVSUXSEG5EI16_V_MF2_MF2_MASK }, // 811
  { 0x5, 0x1, 0x0, 0x5, 0x0, 0x0, PseudoVSUXSEG5EI32_V_M1_M1_MASK }, // 812
  { 0x5, 0x1, 0x0, 0x5, 0x0, 0x1, PseudoVSUXSEG5EI32_V_M2_M1_MASK }, // 813
  { 0x5, 0x1, 0x0, 0x5, 0x0, 0x2, PseudoVSUXSEG5EI32_V_M4_M1_MASK }, // 814
  { 0x5, 0x1, 0x0, 0x5, 0x0, 0x7, PseudoVSUXSEG5EI32_V_MF2_M1_MASK }, // 815
  { 0x5, 0x1, 0x0, 0x5, 0x5, 0x7, PseudoVSUXSEG5EI32_V_MF2_MF8_MASK }, // 816
  { 0x5, 0x1, 0x0, 0x5, 0x6, 0x0, PseudoVSUXSEG5EI32_V_M1_MF4_MASK }, // 817
  { 0x5, 0x1, 0x0, 0x5, 0x6, 0x7, PseudoVSUXSEG5EI32_V_MF2_MF4_MASK }, // 818
  { 0x5, 0x1, 0x0, 0x5, 0x7, 0x0, PseudoVSUXSEG5EI32_V_M1_MF2_MASK }, // 819
  { 0x5, 0x1, 0x0, 0x5, 0x7, 0x1, PseudoVSUXSEG5EI32_V_M2_MF2_MASK }, // 820
  { 0x5, 0x1, 0x0, 0x5, 0x7, 0x7, PseudoVSUXSEG5EI32_V_MF2_MF2_MASK }, // 821
  { 0x5, 0x1, 0x0, 0x6, 0x0, 0x0, PseudoVSUXSEG5EI64_V_M1_M1_MASK }, // 822
  { 0x5, 0x1, 0x0, 0x6, 0x0, 0x1, PseudoVSUXSEG5EI64_V_M2_M1_MASK }, // 823
  { 0x5, 0x1, 0x0, 0x6, 0x0, 0x2, PseudoVSUXSEG5EI64_V_M4_M1_MASK }, // 824
  { 0x5, 0x1, 0x0, 0x6, 0x0, 0x3, PseudoVSUXSEG5EI64_V_M8_M1_MASK }, // 825
  { 0x5, 0x1, 0x0, 0x6, 0x5, 0x0, PseudoVSUXSEG5EI64_V_M1_MF8_MASK }, // 826
  { 0x5, 0x1, 0x0, 0x6, 0x6, 0x0, PseudoVSUXSEG5EI64_V_M1_MF4_MASK }, // 827
  { 0x5, 0x1, 0x0, 0x6, 0x6, 0x1, PseudoVSUXSEG5EI64_V_M2_MF4_MASK }, // 828
  { 0x5, 0x1, 0x0, 0x6, 0x7, 0x0, PseudoVSUXSEG5EI64_V_M1_MF2_MASK }, // 829
  { 0x5, 0x1, 0x0, 0x6, 0x7, 0x1, PseudoVSUXSEG5EI64_V_M2_MF2_MASK }, // 830
  { 0x5, 0x1, 0x0, 0x6, 0x7, 0x2, PseudoVSUXSEG5EI64_V_M4_MF2_MASK }, // 831
  { 0x5, 0x1, 0x1, 0x3, 0x0, 0x0, PseudoVSOXSEG5EI8_V_M1_M1_MASK }, // 832
  { 0x5, 0x1, 0x1, 0x3, 0x0, 0x5, PseudoVSOXSEG5EI8_V_MF8_M1_MASK }, // 833
  { 0x5, 0x1, 0x1, 0x3, 0x0, 0x6, PseudoVSOXSEG5EI8_V_MF4_M1_MASK }, // 834
  { 0x5, 0x1, 0x1, 0x3, 0x0, 0x7, PseudoVSOXSEG5EI8_V_MF2_M1_MASK }, // 835
  { 0x5, 0x1, 0x1, 0x3, 0x5, 0x5, PseudoVSOXSEG5EI8_V_MF8_MF8_MASK }, // 836
  { 0x5, 0x1, 0x1, 0x3, 0x6, 0x5, PseudoVSOXSEG5EI8_V_MF8_MF4_MASK }, // 837
  { 0x5, 0x1, 0x1, 0x3, 0x6, 0x6, PseudoVSOXSEG5EI8_V_MF4_MF4_MASK }, // 838
  { 0x5, 0x1, 0x1, 0x3, 0x7, 0x5, PseudoVSOXSEG5EI8_V_MF8_MF2_MASK }, // 839
  { 0x5, 0x1, 0x1, 0x3, 0x7, 0x6, PseudoVSOXSEG5EI8_V_MF4_MF2_MASK }, // 840
  { 0x5, 0x1, 0x1, 0x3, 0x7, 0x7, PseudoVSOXSEG5EI8_V_MF2_MF2_MASK }, // 841
  { 0x5, 0x1, 0x1, 0x4, 0x0, 0x0, PseudoVSOXSEG5EI16_V_M1_M1_MASK }, // 842
  { 0x5, 0x1, 0x1, 0x4, 0x0, 0x1, PseudoVSOXSEG5EI16_V_M2_M1_MASK }, // 843
  { 0x5, 0x1, 0x1, 0x4, 0x0, 0x6, PseudoVSOXSEG5EI16_V_MF4_M1_MASK }, // 844
  { 0x5, 0x1, 0x1, 0x4, 0x0, 0x7, PseudoVSOXSEG5EI16_V_MF2_M1_MASK }, // 845
  { 0x5, 0x1, 0x1, 0x4, 0x5, 0x6, PseudoVSOXSEG5EI16_V_MF4_MF8_MASK }, // 846
  { 0x5, 0x1, 0x1, 0x4, 0x6, 0x6, PseudoVSOXSEG5EI16_V_MF4_MF4_MASK }, // 847
  { 0x5, 0x1, 0x1, 0x4, 0x6, 0x7, PseudoVSOXSEG5EI16_V_MF2_MF4_MASK }, // 848
  { 0x5, 0x1, 0x1, 0x4, 0x7, 0x0, PseudoVSOXSEG5EI16_V_M1_MF2_MASK }, // 849
  { 0x5, 0x1, 0x1, 0x4, 0x7, 0x6, PseudoVSOXSEG5EI16_V_MF4_MF2_MASK }, // 850
  { 0x5, 0x1, 0x1, 0x4, 0x7, 0x7, PseudoVSOXSEG5EI16_V_MF2_MF2_MASK }, // 851
  { 0x5, 0x1, 0x1, 0x5, 0x0, 0x0, PseudoVSOXSEG5EI32_V_M1_M1_MASK }, // 852
  { 0x5, 0x1, 0x1, 0x5, 0x0, 0x1, PseudoVSOXSEG5EI32_V_M2_M1_MASK }, // 853
  { 0x5, 0x1, 0x1, 0x5, 0x0, 0x2, PseudoVSOXSEG5EI32_V_M4_M1_MASK }, // 854
  { 0x5, 0x1, 0x1, 0x5, 0x0, 0x7, PseudoVSOXSEG5EI32_V_MF2_M1_MASK }, // 855
  { 0x5, 0x1, 0x1, 0x5, 0x5, 0x7, PseudoVSOXSEG5EI32_V_MF2_MF8_MASK }, // 856
  { 0x5, 0x1, 0x1, 0x5, 0x6, 0x0, PseudoVSOXSEG5EI32_V_M1_MF4_MASK }, // 857
  { 0x5, 0x1, 0x1, 0x5, 0x6, 0x7, PseudoVSOXSEG5EI32_V_MF2_MF4_MASK }, // 858
  { 0x5, 0x1, 0x1, 0x5, 0x7, 0x0, PseudoVSOXSEG5EI32_V_M1_MF2_MASK }, // 859
  { 0x5, 0x1, 0x1, 0x5, 0x7, 0x1, PseudoVSOXSEG5EI32_V_M2_MF2_MASK }, // 860
  { 0x5, 0x1, 0x1, 0x5, 0x7, 0x7, PseudoVSOXSEG5EI32_V_MF2_MF2_MASK }, // 861
  { 0x5, 0x1, 0x1, 0x6, 0x0, 0x0, PseudoVSOXSEG5EI64_V_M1_M1_MASK }, // 862
  { 0x5, 0x1, 0x1, 0x6, 0x0, 0x1, PseudoVSOXSEG5EI64_V_M2_M1_MASK }, // 863
  { 0x5, 0x1, 0x1, 0x6, 0x0, 0x2, PseudoVSOXSEG5EI64_V_M4_M1_MASK }, // 864
  { 0x5, 0x1, 0x1, 0x6, 0x0, 0x3, PseudoVSOXSEG5EI64_V_M8_M1_MASK }, // 865
  { 0x5, 0x1, 0x1, 0x6, 0x5, 0x0, PseudoVSOXSEG5EI64_V_M1_MF8_MASK }, // 866
  { 0x5, 0x1, 0x1, 0x6, 0x6, 0x0, PseudoVSOXSEG5EI64_V_M1_MF4_MASK }, // 867
  { 0x5, 0x1, 0x1, 0x6, 0x6, 0x1, PseudoVSOXSEG5EI64_V_M2_MF4_MASK }, // 868
  { 0x5, 0x1, 0x1, 0x6, 0x7, 0x0, PseudoVSOXSEG5EI64_V_M1_MF2_MASK }, // 869
  { 0x5, 0x1, 0x1, 0x6, 0x7, 0x1, PseudoVSOXSEG5EI64_V_M2_MF2_MASK }, // 870
  { 0x5, 0x1, 0x1, 0x6, 0x7, 0x2, PseudoVSOXSEG5EI64_V_M4_MF2_MASK }, // 871
  { 0x6, 0x0, 0x0, 0x3, 0x0, 0x0, PseudoVSUXSEG6EI8_V_M1_M1 }, // 872
  { 0x6, 0x0, 0x0, 0x3, 0x0, 0x5, PseudoVSUXSEG6EI8_V_MF8_M1 }, // 873
  { 0x6, 0x0, 0x0, 0x3, 0x0, 0x6, PseudoVSUXSEG6EI8_V_MF4_M1 }, // 874
  { 0x6, 0x0, 0x0, 0x3, 0x0, 0x7, PseudoVSUXSEG6EI8_V_MF2_M1 }, // 875
  { 0x6, 0x0, 0x0, 0x3, 0x5, 0x5, PseudoVSUXSEG6EI8_V_MF8_MF8 }, // 876
  { 0x6, 0x0, 0x0, 0x3, 0x6, 0x5, PseudoVSUXSEG6EI8_V_MF8_MF4 }, // 877
  { 0x6, 0x0, 0x0, 0x3, 0x6, 0x6, PseudoVSUXSEG6EI8_V_MF4_MF4 }, // 878
  { 0x6, 0x0, 0x0, 0x3, 0x7, 0x5, PseudoVSUXSEG6EI8_V_MF8_MF2 }, // 879
  { 0x6, 0x0, 0x0, 0x3, 0x7, 0x6, PseudoVSUXSEG6EI8_V_MF4_MF2 }, // 880
  { 0x6, 0x0, 0x0, 0x3, 0x7, 0x7, PseudoVSUXSEG6EI8_V_MF2_MF2 }, // 881
  { 0x6, 0x0, 0x0, 0x4, 0x0, 0x0, PseudoVSUXSEG6EI16_V_M1_M1 }, // 882
  { 0x6, 0x0, 0x0, 0x4, 0x0, 0x1, PseudoVSUXSEG6EI16_V_M2_M1 }, // 883
  { 0x6, 0x0, 0x0, 0x4, 0x0, 0x6, PseudoVSUXSEG6EI16_V_MF4_M1 }, // 884
  { 0x6, 0x0, 0x0, 0x4, 0x0, 0x7, PseudoVSUXSEG6EI16_V_MF2_M1 }, // 885
  { 0x6, 0x0, 0x0, 0x4, 0x5, 0x6, PseudoVSUXSEG6EI16_V_MF4_MF8 }, // 886
  { 0x6, 0x0, 0x0, 0x4, 0x6, 0x6, PseudoVSUXSEG6EI16_V_MF4_MF4 }, // 887
  { 0x6, 0x0, 0x0, 0x4, 0x6, 0x7, PseudoVSUXSEG6EI16_V_MF2_MF4 }, // 888
  { 0x6, 0x0, 0x0, 0x4, 0x7, 0x0, PseudoVSUXSEG6EI16_V_M1_MF2 }, // 889
  { 0x6, 0x0, 0x0, 0x4, 0x7, 0x6, PseudoVSUXSEG6EI16_V_MF4_MF2 }, // 890
  { 0x6, 0x0, 0x0, 0x4, 0x7, 0x7, PseudoVSUXSEG6EI16_V_MF2_MF2 }, // 891
  { 0x6, 0x0, 0x0, 0x5, 0x0, 0x0, PseudoVSUXSEG6EI32_V_M1_M1 }, // 892
  { 0x6, 0x0, 0x0, 0x5, 0x0, 0x1, PseudoVSUXSEG6EI32_V_M2_M1 }, // 893
  { 0x6, 0x0, 0x0, 0x5, 0x0, 0x2, PseudoVSUXSEG6EI32_V_M4_M1 }, // 894
  { 0x6, 0x0, 0x0, 0x5, 0x0, 0x7, PseudoVSUXSEG6EI32_V_MF2_M1 }, // 895
  { 0x6, 0x0, 0x0, 0x5, 0x5, 0x7, PseudoVSUXSEG6EI32_V_MF2_MF8 }, // 896
  { 0x6, 0x0, 0x0, 0x5, 0x6, 0x0, PseudoVSUXSEG6EI32_V_M1_MF4 }, // 897
  { 0x6, 0x0, 0x0, 0x5, 0x6, 0x7, PseudoVSUXSEG6EI32_V_MF2_MF4 }, // 898
  { 0x6, 0x0, 0x0, 0x5, 0x7, 0x0, PseudoVSUXSEG6EI32_V_M1_MF2 }, // 899
  { 0x6, 0x0, 0x0, 0x5, 0x7, 0x1, PseudoVSUXSEG6EI32_V_M2_MF2 }, // 900
  { 0x6, 0x0, 0x0, 0x5, 0x7, 0x7, PseudoVSUXSEG6EI32_V_MF2_MF2 }, // 901
  { 0x6, 0x0, 0x0, 0x6, 0x0, 0x0, PseudoVSUXSEG6EI64_V_M1_M1 }, // 902
  { 0x6, 0x0, 0x0, 0x6, 0x0, 0x1, PseudoVSUXSEG6EI64_V_M2_M1 }, // 903
  { 0x6, 0x0, 0x0, 0x6, 0x0, 0x2, PseudoVSUXSEG6EI64_V_M4_M1 }, // 904
  { 0x6, 0x0, 0x0, 0x6, 0x0, 0x3, PseudoVSUXSEG6EI64_V_M8_M1 }, // 905
  { 0x6, 0x0, 0x0, 0x6, 0x5, 0x0, PseudoVSUXSEG6EI64_V_M1_MF8 }, // 906
  { 0x6, 0x0, 0x0, 0x6, 0x6, 0x0, PseudoVSUXSEG6EI64_V_M1_MF4 }, // 907
  { 0x6, 0x0, 0x0, 0x6, 0x6, 0x1, PseudoVSUXSEG6EI64_V_M2_MF4 }, // 908
  { 0x6, 0x0, 0x0, 0x6, 0x7, 0x0, PseudoVSUXSEG6EI64_V_M1_MF2 }, // 909
  { 0x6, 0x0, 0x0, 0x6, 0x7, 0x1, PseudoVSUXSEG6EI64_V_M2_MF2 }, // 910
  { 0x6, 0x0, 0x0, 0x6, 0x7, 0x2, PseudoVSUXSEG6EI64_V_M4_MF2 }, // 911
  { 0x6, 0x0, 0x1, 0x3, 0x0, 0x0, PseudoVSOXSEG6EI8_V_M1_M1 }, // 912
  { 0x6, 0x0, 0x1, 0x3, 0x0, 0x5, PseudoVSOXSEG6EI8_V_MF8_M1 }, // 913
  { 0x6, 0x0, 0x1, 0x3, 0x0, 0x6, PseudoVSOXSEG6EI8_V_MF4_M1 }, // 914
  { 0x6, 0x0, 0x1, 0x3, 0x0, 0x7, PseudoVSOXSEG6EI8_V_MF2_M1 }, // 915
  { 0x6, 0x0, 0x1, 0x3, 0x5, 0x5, PseudoVSOXSEG6EI8_V_MF8_MF8 }, // 916
  { 0x6, 0x0, 0x1, 0x3, 0x6, 0x5, PseudoVSOXSEG6EI8_V_MF8_MF4 }, // 917
  { 0x6, 0x0, 0x1, 0x3, 0x6, 0x6, PseudoVSOXSEG6EI8_V_MF4_MF4 }, // 918
  { 0x6, 0x0, 0x1, 0x3, 0x7, 0x5, PseudoVSOXSEG6EI8_V_MF8_MF2 }, // 919
  { 0x6, 0x0, 0x1, 0x3, 0x7, 0x6, PseudoVSOXSEG6EI8_V_MF4_MF2 }, // 920
  { 0x6, 0x0, 0x1, 0x3, 0x7, 0x7, PseudoVSOXSEG6EI8_V_MF2_MF2 }, // 921
  { 0x6, 0x0, 0x1, 0x4, 0x0, 0x0, PseudoVSOXSEG6EI16_V_M1_M1 }, // 922
  { 0x6, 0x0, 0x1, 0x4, 0x0, 0x1, PseudoVSOXSEG6EI16_V_M2_M1 }, // 923
  { 0x6, 0x0, 0x1, 0x4, 0x0, 0x6, PseudoVSOXSEG6EI16_V_MF4_M1 }, // 924
  { 0x6, 0x0, 0x1, 0x4, 0x0, 0x7, PseudoVSOXSEG6EI16_V_MF2_M1 }, // 925
  { 0x6, 0x0, 0x1, 0x4, 0x5, 0x6, PseudoVSOXSEG6EI16_V_MF4_MF8 }, // 926
  { 0x6, 0x0, 0x1, 0x4, 0x6, 0x6, PseudoVSOXSEG6EI16_V_MF4_MF4 }, // 927
  { 0x6, 0x0, 0x1, 0x4, 0x6, 0x7, PseudoVSOXSEG6EI16_V_MF2_MF4 }, // 928
  { 0x6, 0x0, 0x1, 0x4, 0x7, 0x0, PseudoVSOXSEG6EI16_V_M1_MF2 }, // 929
  { 0x6, 0x0, 0x1, 0x4, 0x7, 0x6, PseudoVSOXSEG6EI16_V_MF4_MF2 }, // 930
  { 0x6, 0x0, 0x1, 0x4, 0x7, 0x7, PseudoVSOXSEG6EI16_V_MF2_MF2 }, // 931
  { 0x6, 0x0, 0x1, 0x5, 0x0, 0x0, PseudoVSOXSEG6EI32_V_M1_M1 }, // 932
  { 0x6, 0x0, 0x1, 0x5, 0x0, 0x1, PseudoVSOXSEG6EI32_V_M2_M1 }, // 933
  { 0x6, 0x0, 0x1, 0x5, 0x0, 0x2, PseudoVSOXSEG6EI32_V_M4_M1 }, // 934
  { 0x6, 0x0, 0x1, 0x5, 0x0, 0x7, PseudoVSOXSEG6EI32_V_MF2_M1 }, // 935
  { 0x6, 0x0, 0x1, 0x5, 0x5, 0x7, PseudoVSOXSEG6EI32_V_MF2_MF8 }, // 936
  { 0x6, 0x0, 0x1, 0x5, 0x6, 0x0, PseudoVSOXSEG6EI32_V_M1_MF4 }, // 937
  { 0x6, 0x0, 0x1, 0x5, 0x6, 0x7, PseudoVSOXSEG6EI32_V_MF2_MF4 }, // 938
  { 0x6, 0x0, 0x1, 0x5, 0x7, 0x0, PseudoVSOXSEG6EI32_V_M1_MF2 }, // 939
  { 0x6, 0x0, 0x1, 0x5, 0x7, 0x1, PseudoVSOXSEG6EI32_V_M2_MF2 }, // 940
  { 0x6, 0x0, 0x1, 0x5, 0x7, 0x7, PseudoVSOXSEG6EI32_V_MF2_MF2 }, // 941
  { 0x6, 0x0, 0x1, 0x6, 0x0, 0x0, PseudoVSOXSEG6EI64_V_M1_M1 }, // 942
  { 0x6, 0x0, 0x1, 0x6, 0x0, 0x1, PseudoVSOXSEG6EI64_V_M2_M1 }, // 943
  { 0x6, 0x0, 0x1, 0x6, 0x0, 0x2, PseudoVSOXSEG6EI64_V_M4_M1 }, // 944
  { 0x6, 0x0, 0x1, 0x6, 0x0, 0x3, PseudoVSOXSEG6EI64_V_M8_M1 }, // 945
  { 0x6, 0x0, 0x1, 0x6, 0x5, 0x0, PseudoVSOXSEG6EI64_V_M1_MF8 }, // 946
  { 0x6, 0x0, 0x1, 0x6, 0x6, 0x0, PseudoVSOXSEG6EI64_V_M1_MF4 }, // 947
  { 0x6, 0x0, 0x1, 0x6, 0x6, 0x1, PseudoVSOXSEG6EI64_V_M2_MF4 }, // 948
  { 0x6, 0x0, 0x1, 0x6, 0x7, 0x0, PseudoVSOXSEG6EI64_V_M1_MF2 }, // 949
  { 0x6, 0x0, 0x1, 0x6, 0x7, 0x1, PseudoVSOXSEG6EI64_V_M2_MF2 }, // 950
  { 0x6, 0x0, 0x1, 0x6, 0x7, 0x2, PseudoVSOXSEG6EI64_V_M4_MF2 }, // 951
  { 0x6, 0x1, 0x0, 0x3, 0x0, 0x0, PseudoVSUXSEG6EI8_V_M1_M1_MASK }, // 952
  { 0x6, 0x1, 0x0, 0x3, 0x0, 0x5, PseudoVSUXSEG6EI8_V_MF8_M1_MASK }, // 953
  { 0x6, 0x1, 0x0, 0x3, 0x0, 0x6, PseudoVSUXSEG6EI8_V_MF4_M1_MASK }, // 954
  { 0x6, 0x1, 0x0, 0x3, 0x0, 0x7, PseudoVSUXSEG6EI8_V_MF2_M1_MASK }, // 955
  { 0x6, 0x1, 0x0, 0x3, 0x5, 0x5, PseudoVSUXSEG6EI8_V_MF8_MF8_MASK }, // 956
  { 0x6, 0x1, 0x0, 0x3, 0x6, 0x5, PseudoVSUXSEG6EI8_V_MF8_MF4_MASK }, // 957
  { 0x6, 0x1, 0x0, 0x3, 0x6, 0x6, PseudoVSUXSEG6EI8_V_MF4_MF4_MASK }, // 958
  { 0x6, 0x1, 0x0, 0x3, 0x7, 0x5, PseudoVSUXSEG6EI8_V_MF8_MF2_MASK }, // 959
  { 0x6, 0x1, 0x0, 0x3, 0x7, 0x6, PseudoVSUXSEG6EI8_V_MF4_MF2_MASK }, // 960
  { 0x6, 0x1, 0x0, 0x3, 0x7, 0x7, PseudoVSUXSEG6EI8_V_MF2_MF2_MASK }, // 961
  { 0x6, 0x1, 0x0, 0x4, 0x0, 0x0, PseudoVSUXSEG6EI16_V_M1_M1_MASK }, // 962
  { 0x6, 0x1, 0x0, 0x4, 0x0, 0x1, PseudoVSUXSEG6EI16_V_M2_M1_MASK }, // 963
  { 0x6, 0x1, 0x0, 0x4, 0x0, 0x6, PseudoVSUXSEG6EI16_V_MF4_M1_MASK }, // 964
  { 0x6, 0x1, 0x0, 0x4, 0x0, 0x7, PseudoVSUXSEG6EI16_V_MF2_M1_MASK }, // 965
  { 0x6, 0x1, 0x0, 0x4, 0x5, 0x6, PseudoVSUXSEG6EI16_V_MF4_MF8_MASK }, // 966
  { 0x6, 0x1, 0x0, 0x4, 0x6, 0x6, PseudoVSUXSEG6EI16_V_MF4_MF4_MASK }, // 967
  { 0x6, 0x1, 0x0, 0x4, 0x6, 0x7, PseudoVSUXSEG6EI16_V_MF2_MF4_MASK }, // 968
  { 0x6, 0x1, 0x0, 0x4, 0x7, 0x0, PseudoVSUXSEG6EI16_V_M1_MF2_MASK }, // 969
  { 0x6, 0x1, 0x0, 0x4, 0x7, 0x6, PseudoVSUXSEG6EI16_V_MF4_MF2_MASK }, // 970
  { 0x6, 0x1, 0x0, 0x4, 0x7, 0x7, PseudoVSUXSEG6EI16_V_MF2_MF2_MASK }, // 971
  { 0x6, 0x1, 0x0, 0x5, 0x0, 0x0, PseudoVSUXSEG6EI32_V_M1_M1_MASK }, // 972
  { 0x6, 0x1, 0x0, 0x5, 0x0, 0x1, PseudoVSUXSEG6EI32_V_M2_M1_MASK }, // 973
  { 0x6, 0x1, 0x0, 0x5, 0x0, 0x2, PseudoVSUXSEG6EI32_V_M4_M1_MASK }, // 974
  { 0x6, 0x1, 0x0, 0x5, 0x0, 0x7, PseudoVSUXSEG6EI32_V_MF2_M1_MASK }, // 975
  { 0x6, 0x1, 0x0, 0x5, 0x5, 0x7, PseudoVSUXSEG6EI32_V_MF2_MF8_MASK }, // 976
  { 0x6, 0x1, 0x0, 0x5, 0x6, 0x0, PseudoVSUXSEG6EI32_V_M1_MF4_MASK }, // 977
  { 0x6, 0x1, 0x0, 0x5, 0x6, 0x7, PseudoVSUXSEG6EI32_V_MF2_MF4_MASK }, // 978
  { 0x6, 0x1, 0x0, 0x5, 0x7, 0x0, PseudoVSUXSEG6EI32_V_M1_MF2_MASK }, // 979
  { 0x6, 0x1, 0x0, 0x5, 0x7, 0x1, PseudoVSUXSEG6EI32_V_M2_MF2_MASK }, // 980
  { 0x6, 0x1, 0x0, 0x5, 0x7, 0x7, PseudoVSUXSEG6EI32_V_MF2_MF2_MASK }, // 981
  { 0x6, 0x1, 0x0, 0x6, 0x0, 0x0, PseudoVSUXSEG6EI64_V_M1_M1_MASK }, // 982
  { 0x6, 0x1, 0x0, 0x6, 0x0, 0x1, PseudoVSUXSEG6EI64_V_M2_M1_MASK }, // 983
  { 0x6, 0x1, 0x0, 0x6, 0x0, 0x2, PseudoVSUXSEG6EI64_V_M4_M1_MASK }, // 984
  { 0x6, 0x1, 0x0, 0x6, 0x0, 0x3, PseudoVSUXSEG6EI64_V_M8_M1_MASK }, // 985
  { 0x6, 0x1, 0x0, 0x6, 0x5, 0x0, PseudoVSUXSEG6EI64_V_M1_MF8_MASK }, // 986
  { 0x6, 0x1, 0x0, 0x6, 0x6, 0x0, PseudoVSUXSEG6EI64_V_M1_MF4_MASK }, // 987
  { 0x6, 0x1, 0x0, 0x6, 0x6, 0x1, PseudoVSUXSEG6EI64_V_M2_MF4_MASK }, // 988
  { 0x6, 0x1, 0x0, 0x6, 0x7, 0x0, PseudoVSUXSEG6EI64_V_M1_MF2_MASK }, // 989
  { 0x6, 0x1, 0x0, 0x6, 0x7, 0x1, PseudoVSUXSEG6EI64_V_M2_MF2_MASK }, // 990
  { 0x6, 0x1, 0x0, 0x6, 0x7, 0x2, PseudoVSUXSEG6EI64_V_M4_MF2_MASK }, // 991
  { 0x6, 0x1, 0x1, 0x3, 0x0, 0x0, PseudoVSOXSEG6EI8_V_M1_M1_MASK }, // 992
  { 0x6, 0x1, 0x1, 0x3, 0x0, 0x5, PseudoVSOXSEG6EI8_V_MF8_M1_MASK }, // 993
  { 0x6, 0x1, 0x1, 0x3, 0x0, 0x6, PseudoVSOXSEG6EI8_V_MF4_M1_MASK }, // 994
  { 0x6, 0x1, 0x1, 0x3, 0x0, 0x7, PseudoVSOXSEG6EI8_V_MF2_M1_MASK }, // 995
  { 0x6, 0x1, 0x1, 0x3, 0x5, 0x5, PseudoVSOXSEG6EI8_V_MF8_MF8_MASK }, // 996
  { 0x6, 0x1, 0x1, 0x3, 0x6, 0x5, PseudoVSOXSEG6EI8_V_MF8_MF4_MASK }, // 997
  { 0x6, 0x1, 0x1, 0x3, 0x6, 0x6, PseudoVSOXSEG6EI8_V_MF4_MF4_MASK }, // 998
  { 0x6, 0x1, 0x1, 0x3, 0x7, 0x5, PseudoVSOXSEG6EI8_V_MF8_MF2_MASK }, // 999
  { 0x6, 0x1, 0x1, 0x3, 0x7, 0x6, PseudoVSOXSEG6EI8_V_MF4_MF2_MASK }, // 1000
  { 0x6, 0x1, 0x1, 0x3, 0x7, 0x7, PseudoVSOXSEG6EI8_V_MF2_MF2_MASK }, // 1001
  { 0x6, 0x1, 0x1, 0x4, 0x0, 0x0, PseudoVSOXSEG6EI16_V_M1_M1_MASK }, // 1002
  { 0x6, 0x1, 0x1, 0x4, 0x0, 0x1, PseudoVSOXSEG6EI16_V_M2_M1_MASK }, // 1003
  { 0x6, 0x1, 0x1, 0x4, 0x0, 0x6, PseudoVSOXSEG6EI16_V_MF4_M1_MASK }, // 1004
  { 0x6, 0x1, 0x1, 0x4, 0x0, 0x7, PseudoVSOXSEG6EI16_V_MF2_M1_MASK }, // 1005
  { 0x6, 0x1, 0x1, 0x4, 0x5, 0x6, PseudoVSOXSEG6EI16_V_MF4_MF8_MASK }, // 1006
  { 0x6, 0x1, 0x1, 0x4, 0x6, 0x6, PseudoVSOXSEG6EI16_V_MF4_MF4_MASK }, // 1007
  { 0x6, 0x1, 0x1, 0x4, 0x6, 0x7, PseudoVSOXSEG6EI16_V_MF2_MF4_MASK }, // 1008
  { 0x6, 0x1, 0x1, 0x4, 0x7, 0x0, PseudoVSOXSEG6EI16_V_M1_MF2_MASK }, // 1009
  { 0x6, 0x1, 0x1, 0x4, 0x7, 0x6, PseudoVSOXSEG6EI16_V_MF4_MF2_MASK }, // 1010
  { 0x6, 0x1, 0x1, 0x4, 0x7, 0x7, PseudoVSOXSEG6EI16_V_MF2_MF2_MASK }, // 1011
  { 0x6, 0x1, 0x1, 0x5, 0x0, 0x0, PseudoVSOXSEG6EI32_V_M1_M1_MASK }, // 1012
  { 0x6, 0x1, 0x1, 0x5, 0x0, 0x1, PseudoVSOXSEG6EI32_V_M2_M1_MASK }, // 1013
  { 0x6, 0x1, 0x1, 0x5, 0x0, 0x2, PseudoVSOXSEG6EI32_V_M4_M1_MASK }, // 1014
  { 0x6, 0x1, 0x1, 0x5, 0x0, 0x7, PseudoVSOXSEG6EI32_V_MF2_M1_MASK }, // 1015
  { 0x6, 0x1, 0x1, 0x5, 0x5, 0x7, PseudoVSOXSEG6EI32_V_MF2_MF8_MASK }, // 1016
  { 0x6, 0x1, 0x1, 0x5, 0x6, 0x0, PseudoVSOXSEG6EI32_V_M1_MF4_MASK }, // 1017
  { 0x6, 0x1, 0x1, 0x5, 0x6, 0x7, PseudoVSOXSEG6EI32_V_MF2_MF4_MASK }, // 1018
  { 0x6, 0x1, 0x1, 0x5, 0x7, 0x0, PseudoVSOXSEG6EI32_V_M1_MF2_MASK }, // 1019
  { 0x6, 0x1, 0x1, 0x5, 0x7, 0x1, PseudoVSOXSEG6EI32_V_M2_MF2_MASK }, // 1020
  { 0x6, 0x1, 0x1, 0x5, 0x7, 0x7, PseudoVSOXSEG6EI32_V_MF2_MF2_MASK }, // 1021
  { 0x6, 0x1, 0x1, 0x6, 0x0, 0x0, PseudoVSOXSEG6EI64_V_M1_M1_MASK }, // 1022
  { 0x6, 0x1, 0x1, 0x6, 0x0, 0x1, PseudoVSOXSEG6EI64_V_M2_M1_MASK }, // 1023
  { 0x6, 0x1, 0x1, 0x6, 0x0, 0x2, PseudoVSOXSEG6EI64_V_M4_M1_MASK }, // 1024
  { 0x6, 0x1, 0x1, 0x6, 0x0, 0x3, PseudoVSOXSEG6EI64_V_M8_M1_MASK }, // 1025
  { 0x6, 0x1, 0x1, 0x6, 0x5, 0x0, PseudoVSOXSEG6EI64_V_M1_MF8_MASK }, // 1026
  { 0x6, 0x1, 0x1, 0x6, 0x6, 0x0, PseudoVSOXSEG6EI64_V_M1_MF4_MASK }, // 1027
  { 0x6, 0x1, 0x1, 0x6, 0x6, 0x1, PseudoVSOXSEG6EI64_V_M2_MF4_MASK }, // 1028
  { 0x6, 0x1, 0x1, 0x6, 0x7, 0x0, PseudoVSOXSEG6EI64_V_M1_MF2_MASK }, // 1029
  { 0x6, 0x1, 0x1, 0x6, 0x7, 0x1, PseudoVSOXSEG6EI64_V_M2_MF2_MASK }, // 1030
  { 0x6, 0x1, 0x1, 0x6, 0x7, 0x2, PseudoVSOXSEG6EI64_V_M4_MF2_MASK }, // 1031
  { 0x7, 0x0, 0x0, 0x3, 0x0, 0x0, PseudoVSUXSEG7EI8_V_M1_M1 }, // 1032
  { 0x7, 0x0, 0x0, 0x3, 0x0, 0x5, PseudoVSUXSEG7EI8_V_MF8_M1 }, // 1033
  { 0x7, 0x0, 0x0, 0x3, 0x0, 0x6, PseudoVSUXSEG7EI8_V_MF4_M1 }, // 1034
  { 0x7, 0x0, 0x0, 0x3, 0x0, 0x7, PseudoVSUXSEG7EI8_V_MF2_M1 }, // 1035
  { 0x7, 0x0, 0x0, 0x3, 0x5, 0x5, PseudoVSUXSEG7EI8_V_MF8_MF8 }, // 1036
  { 0x7, 0x0, 0x0, 0x3, 0x6, 0x5, PseudoVSUXSEG7EI8_V_MF8_MF4 }, // 1037
  { 0x7, 0x0, 0x0, 0x3, 0x6, 0x6, PseudoVSUXSEG7EI8_V_MF4_MF4 }, // 1038
  { 0x7, 0x0, 0x0, 0x3, 0x7, 0x5, PseudoVSUXSEG7EI8_V_MF8_MF2 }, // 1039
  { 0x7, 0x0, 0x0, 0x3, 0x7, 0x6, PseudoVSUXSEG7EI8_V_MF4_MF2 }, // 1040
  { 0x7, 0x0, 0x0, 0x3, 0x7, 0x7, PseudoVSUXSEG7EI8_V_MF2_MF2 }, // 1041
  { 0x7, 0x0, 0x0, 0x4, 0x0, 0x0, PseudoVSUXSEG7EI16_V_M1_M1 }, // 1042
  { 0x7, 0x0, 0x0, 0x4, 0x0, 0x1, PseudoVSUXSEG7EI16_V_M2_M1 }, // 1043
  { 0x7, 0x0, 0x0, 0x4, 0x0, 0x6, PseudoVSUXSEG7EI16_V_MF4_M1 }, // 1044
  { 0x7, 0x0, 0x0, 0x4, 0x0, 0x7, PseudoVSUXSEG7EI16_V_MF2_M1 }, // 1045
  { 0x7, 0x0, 0x0, 0x4, 0x5, 0x6, PseudoVSUXSEG7EI16_V_MF4_MF8 }, // 1046
  { 0x7, 0x0, 0x0, 0x4, 0x6, 0x6, PseudoVSUXSEG7EI16_V_MF4_MF4 }, // 1047
  { 0x7, 0x0, 0x0, 0x4, 0x6, 0x7, PseudoVSUXSEG7EI16_V_MF2_MF4 }, // 1048
  { 0x7, 0x0, 0x0, 0x4, 0x7, 0x0, PseudoVSUXSEG7EI16_V_M1_MF2 }, // 1049
  { 0x7, 0x0, 0x0, 0x4, 0x7, 0x6, PseudoVSUXSEG7EI16_V_MF4_MF2 }, // 1050
  { 0x7, 0x0, 0x0, 0x4, 0x7, 0x7, PseudoVSUXSEG7EI16_V_MF2_MF2 }, // 1051
  { 0x7, 0x0, 0x0, 0x5, 0x0, 0x0, PseudoVSUXSEG7EI32_V_M1_M1 }, // 1052
  { 0x7, 0x0, 0x0, 0x5, 0x0, 0x1, PseudoVSUXSEG7EI32_V_M2_M1 }, // 1053
  { 0x7, 0x0, 0x0, 0x5, 0x0, 0x2, PseudoVSUXSEG7EI32_V_M4_M1 }, // 1054
  { 0x7, 0x0, 0x0, 0x5, 0x0, 0x7, PseudoVSUXSEG7EI32_V_MF2_M1 }, // 1055
  { 0x7, 0x0, 0x0, 0x5, 0x5, 0x7, PseudoVSUXSEG7EI32_V_MF2_MF8 }, // 1056
  { 0x7, 0x0, 0x0, 0x5, 0x6, 0x0, PseudoVSUXSEG7EI32_V_M1_MF4 }, // 1057
  { 0x7, 0x0, 0x0, 0x5, 0x6, 0x7, PseudoVSUXSEG7EI32_V_MF2_MF4 }, // 1058
  { 0x7, 0x0, 0x0, 0x5, 0x7, 0x0, PseudoVSUXSEG7EI32_V_M1_MF2 }, // 1059
  { 0x7, 0x0, 0x0, 0x5, 0x7, 0x1, PseudoVSUXSEG7EI32_V_M2_MF2 }, // 1060
  { 0x7, 0x0, 0x0, 0x5, 0x7, 0x7, PseudoVSUXSEG7EI32_V_MF2_MF2 }, // 1061
  { 0x7, 0x0, 0x0, 0x6, 0x0, 0x0, PseudoVSUXSEG7EI64_V_M1_M1 }, // 1062
  { 0x7, 0x0, 0x0, 0x6, 0x0, 0x1, PseudoVSUXSEG7EI64_V_M2_M1 }, // 1063
  { 0x7, 0x0, 0x0, 0x6, 0x0, 0x2, PseudoVSUXSEG7EI64_V_M4_M1 }, // 1064
  { 0x7, 0x0, 0x0, 0x6, 0x0, 0x3, PseudoVSUXSEG7EI64_V_M8_M1 }, // 1065
  { 0x7, 0x0, 0x0, 0x6, 0x5, 0x0, PseudoVSUXSEG7EI64_V_M1_MF8 }, // 1066
  { 0x7, 0x0, 0x0, 0x6, 0x6, 0x0, PseudoVSUXSEG7EI64_V_M1_MF4 }, // 1067
  { 0x7, 0x0, 0x0, 0x6, 0x6, 0x1, PseudoVSUXSEG7EI64_V_M2_MF4 }, // 1068
  { 0x7, 0x0, 0x0, 0x6, 0x7, 0x0, PseudoVSUXSEG7EI64_V_M1_MF2 }, // 1069
  { 0x7, 0x0, 0x0, 0x6, 0x7, 0x1, PseudoVSUXSEG7EI64_V_M2_MF2 }, // 1070
  { 0x7, 0x0, 0x0, 0x6, 0x7, 0x2, PseudoVSUXSEG7EI64_V_M4_MF2 }, // 1071
  { 0x7, 0x0, 0x1, 0x3, 0x0, 0x0, PseudoVSOXSEG7EI8_V_M1_M1 }, // 1072
  { 0x7, 0x0, 0x1, 0x3, 0x0, 0x5, PseudoVSOXSEG7EI8_V_MF8_M1 }, // 1073
  { 0x7, 0x0, 0x1, 0x3, 0x0, 0x6, PseudoVSOXSEG7EI8_V_MF4_M1 }, // 1074
  { 0x7, 0x0, 0x1, 0x3, 0x0, 0x7, PseudoVSOXSEG7EI8_V_MF2_M1 }, // 1075
  { 0x7, 0x0, 0x1, 0x3, 0x5, 0x5, PseudoVSOXSEG7EI8_V_MF8_MF8 }, // 1076
  { 0x7, 0x0, 0x1, 0x3, 0x6, 0x5, PseudoVSOXSEG7EI8_V_MF8_MF4 }, // 1077
  { 0x7, 0x0, 0x1, 0x3, 0x6, 0x6, PseudoVSOXSEG7EI8_V_MF4_MF4 }, // 1078
  { 0x7, 0x0, 0x1, 0x3, 0x7, 0x5, PseudoVSOXSEG7EI8_V_MF8_MF2 }, // 1079
  { 0x7, 0x0, 0x1, 0x3, 0x7, 0x6, PseudoVSOXSEG7EI8_V_MF4_MF2 }, // 1080
  { 0x7, 0x0, 0x1, 0x3, 0x7, 0x7, PseudoVSOXSEG7EI8_V_MF2_MF2 }, // 1081
  { 0x7, 0x0, 0x1, 0x4, 0x0, 0x0, PseudoVSOXSEG7EI16_V_M1_M1 }, // 1082
  { 0x7, 0x0, 0x1, 0x4, 0x0, 0x1, PseudoVSOXSEG7EI16_V_M2_M1 }, // 1083
  { 0x7, 0x0, 0x1, 0x4, 0x0, 0x6, PseudoVSOXSEG7EI16_V_MF4_M1 }, // 1084
  { 0x7, 0x0, 0x1, 0x4, 0x0, 0x7, PseudoVSOXSEG7EI16_V_MF2_M1 }, // 1085
  { 0x7, 0x0, 0x1, 0x4, 0x5, 0x6, PseudoVSOXSEG7EI16_V_MF4_MF8 }, // 1086
  { 0x7, 0x0, 0x1, 0x4, 0x6, 0x6, PseudoVSOXSEG7EI16_V_MF4_MF4 }, // 1087
  { 0x7, 0x0, 0x1, 0x4, 0x6, 0x7, PseudoVSOXSEG7EI16_V_MF2_MF4 }, // 1088
  { 0x7, 0x0, 0x1, 0x4, 0x7, 0x0, PseudoVSOXSEG7EI16_V_M1_MF2 }, // 1089
  { 0x7, 0x0, 0x1, 0x4, 0x7, 0x6, PseudoVSOXSEG7EI16_V_MF4_MF2 }, // 1090
  { 0x7, 0x0, 0x1, 0x4, 0x7, 0x7, PseudoVSOXSEG7EI16_V_MF2_MF2 }, // 1091
  { 0x7, 0x0, 0x1, 0x5, 0x0, 0x0, PseudoVSOXSEG7EI32_V_M1_M1 }, // 1092
  { 0x7, 0x0, 0x1, 0x5, 0x0, 0x1, PseudoVSOXSEG7EI32_V_M2_M1 }, // 1093
  { 0x7, 0x0, 0x1, 0x5, 0x0, 0x2, PseudoVSOXSEG7EI32_V_M4_M1 }, // 1094
  { 0x7, 0x0, 0x1, 0x5, 0x0, 0x7, PseudoVSOXSEG7EI32_V_MF2_M1 }, // 1095
  { 0x7, 0x0, 0x1, 0x5, 0x5, 0x7, PseudoVSOXSEG7EI32_V_MF2_MF8 }, // 1096
  { 0x7, 0x0, 0x1, 0x5, 0x6, 0x0, PseudoVSOXSEG7EI32_V_M1_MF4 }, // 1097
  { 0x7, 0x0, 0x1, 0x5, 0x6, 0x7, PseudoVSOXSEG7EI32_V_MF2_MF4 }, // 1098
  { 0x7, 0x0, 0x1, 0x5, 0x7, 0x0, PseudoVSOXSEG7EI32_V_M1_MF2 }, // 1099
  { 0x7, 0x0, 0x1, 0x5, 0x7, 0x1, PseudoVSOXSEG7EI32_V_M2_MF2 }, // 1100
  { 0x7, 0x0, 0x1, 0x5, 0x7, 0x7, PseudoVSOXSEG7EI32_V_MF2_MF2 }, // 1101
  { 0x7, 0x0, 0x1, 0x6, 0x0, 0x0, PseudoVSOXSEG7EI64_V_M1_M1 }, // 1102
  { 0x7, 0x0, 0x1, 0x6, 0x0, 0x1, PseudoVSOXSEG7EI64_V_M2_M1 }, // 1103
  { 0x7, 0x0, 0x1, 0x6, 0x0, 0x2, PseudoVSOXSEG7EI64_V_M4_M1 }, // 1104
  { 0x7, 0x0, 0x1, 0x6, 0x0, 0x3, PseudoVSOXSEG7EI64_V_M8_M1 }, // 1105
  { 0x7, 0x0, 0x1, 0x6, 0x5, 0x0, PseudoVSOXSEG7EI64_V_M1_MF8 }, // 1106
  { 0x7, 0x0, 0x1, 0x6, 0x6, 0x0, PseudoVSOXSEG7EI64_V_M1_MF4 }, // 1107
  { 0x7, 0x0, 0x1, 0x6, 0x6, 0x1, PseudoVSOXSEG7EI64_V_M2_MF4 }, // 1108
  { 0x7, 0x0, 0x1, 0x6, 0x7, 0x0, PseudoVSOXSEG7EI64_V_M1_MF2 }, // 1109
  { 0x7, 0x0, 0x1, 0x6, 0x7, 0x1, PseudoVSOXSEG7EI64_V_M2_MF2 }, // 1110
  { 0x7, 0x0, 0x1, 0x6, 0x7, 0x2, PseudoVSOXSEG7EI64_V_M4_MF2 }, // 1111
  { 0x7, 0x1, 0x0, 0x3, 0x0, 0x0, PseudoVSUXSEG7EI8_V_M1_M1_MASK }, // 1112
  { 0x7, 0x1, 0x0, 0x3, 0x0, 0x5, PseudoVSUXSEG7EI8_V_MF8_M1_MASK }, // 1113
  { 0x7, 0x1, 0x0, 0x3, 0x0, 0x6, PseudoVSUXSEG7EI8_V_MF4_M1_MASK }, // 1114
  { 0x7, 0x1, 0x0, 0x3, 0x0, 0x7, PseudoVSUXSEG7EI8_V_MF2_M1_MASK }, // 1115
  { 0x7, 0x1, 0x0, 0x3, 0x5, 0x5, PseudoVSUXSEG7EI8_V_MF8_MF8_MASK }, // 1116
  { 0x7, 0x1, 0x0, 0x3, 0x6, 0x5, PseudoVSUXSEG7EI8_V_MF8_MF4_MASK }, // 1117
  { 0x7, 0x1, 0x0, 0x3, 0x6, 0x6, PseudoVSUXSEG7EI8_V_MF4_MF4_MASK }, // 1118
  { 0x7, 0x1, 0x0, 0x3, 0x7, 0x5, PseudoVSUXSEG7EI8_V_MF8_MF2_MASK }, // 1119
  { 0x7, 0x1, 0x0, 0x3, 0x7, 0x6, PseudoVSUXSEG7EI8_V_MF4_MF2_MASK }, // 1120
  { 0x7, 0x1, 0x0, 0x3, 0x7, 0x7, PseudoVSUXSEG7EI8_V_MF2_MF2_MASK }, // 1121
  { 0x7, 0x1, 0x0, 0x4, 0x0, 0x0, PseudoVSUXSEG7EI16_V_M1_M1_MASK }, // 1122
  { 0x7, 0x1, 0x0, 0x4, 0x0, 0x1, PseudoVSUXSEG7EI16_V_M2_M1_MASK }, // 1123
  { 0x7, 0x1, 0x0, 0x4, 0x0, 0x6, PseudoVSUXSEG7EI16_V_MF4_M1_MASK }, // 1124
  { 0x7, 0x1, 0x0, 0x4, 0x0, 0x7, PseudoVSUXSEG7EI16_V_MF2_M1_MASK }, // 1125
  { 0x7, 0x1, 0x0, 0x4, 0x5, 0x6, PseudoVSUXSEG7EI16_V_MF4_MF8_MASK }, // 1126
  { 0x7, 0x1, 0x0, 0x4, 0x6, 0x6, PseudoVSUXSEG7EI16_V_MF4_MF4_MASK }, // 1127
  { 0x7, 0x1, 0x0, 0x4, 0x6, 0x7, PseudoVSUXSEG7EI16_V_MF2_MF4_MASK }, // 1128
  { 0x7, 0x1, 0x0, 0x4, 0x7, 0x0, PseudoVSUXSEG7EI16_V_M1_MF2_MASK }, // 1129
  { 0x7, 0x1, 0x0, 0x4, 0x7, 0x6, PseudoVSUXSEG7EI16_V_MF4_MF2_MASK }, // 1130
  { 0x7, 0x1, 0x0, 0x4, 0x7, 0x7, PseudoVSUXSEG7EI16_V_MF2_MF2_MASK }, // 1131
  { 0x7, 0x1, 0x0, 0x5, 0x0, 0x0, PseudoVSUXSEG7EI32_V_M1_M1_MASK }, // 1132
  { 0x7, 0x1, 0x0, 0x5, 0x0, 0x1, PseudoVSUXSEG7EI32_V_M2_M1_MASK }, // 1133
  { 0x7, 0x1, 0x0, 0x5, 0x0, 0x2, PseudoVSUXSEG7EI32_V_M4_M1_MASK }, // 1134
  { 0x7, 0x1, 0x0, 0x5, 0x0, 0x7, PseudoVSUXSEG7EI32_V_MF2_M1_MASK }, // 1135
  { 0x7, 0x1, 0x0, 0x5, 0x5, 0x7, PseudoVSUXSEG7EI32_V_MF2_MF8_MASK }, // 1136
  { 0x7, 0x1, 0x0, 0x5, 0x6, 0x0, PseudoVSUXSEG7EI32_V_M1_MF4_MASK }, // 1137
  { 0x7, 0x1, 0x0, 0x5, 0x6, 0x7, PseudoVSUXSEG7EI32_V_MF2_MF4_MASK }, // 1138
  { 0x7, 0x1, 0x0, 0x5, 0x7, 0x0, PseudoVSUXSEG7EI32_V_M1_MF2_MASK }, // 1139
  { 0x7, 0x1, 0x0, 0x5, 0x7, 0x1, PseudoVSUXSEG7EI32_V_M2_MF2_MASK }, // 1140
  { 0x7, 0x1, 0x0, 0x5, 0x7, 0x7, PseudoVSUXSEG7EI32_V_MF2_MF2_MASK }, // 1141
  { 0x7, 0x1, 0x0, 0x6, 0x0, 0x0, PseudoVSUXSEG7EI64_V_M1_M1_MASK }, // 1142
  { 0x7, 0x1, 0x0, 0x6, 0x0, 0x1, PseudoVSUXSEG7EI64_V_M2_M1_MASK }, // 1143
  { 0x7, 0x1, 0x0, 0x6, 0x0, 0x2, PseudoVSUXSEG7EI64_V_M4_M1_MASK }, // 1144
  { 0x7, 0x1, 0x0, 0x6, 0x0, 0x3, PseudoVSUXSEG7EI64_V_M8_M1_MASK }, // 1145
  { 0x7, 0x1, 0x0, 0x6, 0x5, 0x0, PseudoVSUXSEG7EI64_V_M1_MF8_MASK }, // 1146
  { 0x7, 0x1, 0x0, 0x6, 0x6, 0x0, PseudoVSUXSEG7EI64_V_M1_MF4_MASK }, // 1147
  { 0x7, 0x1, 0x0, 0x6, 0x6, 0x1, PseudoVSUXSEG7EI64_V_M2_MF4_MASK }, // 1148
  { 0x7, 0x1, 0x0, 0x6, 0x7, 0x0, PseudoVSUXSEG7EI64_V_M1_MF2_MASK }, // 1149
  { 0x7, 0x1, 0x0, 0x6, 0x7, 0x1, PseudoVSUXSEG7EI64_V_M2_MF2_MASK }, // 1150
  { 0x7, 0x1, 0x0, 0x6, 0x7, 0x2, PseudoVSUXSEG7EI64_V_M4_MF2_MASK }, // 1151
  { 0x7, 0x1, 0x1, 0x3, 0x0, 0x0, PseudoVSOXSEG7EI8_V_M1_M1_MASK }, // 1152
  { 0x7, 0x1, 0x1, 0x3, 0x0, 0x5, PseudoVSOXSEG7EI8_V_MF8_M1_MASK }, // 1153
  { 0x7, 0x1, 0x1, 0x3, 0x0, 0x6, PseudoVSOXSEG7EI8_V_MF4_M1_MASK }, // 1154
  { 0x7, 0x1, 0x1, 0x3, 0x0, 0x7, PseudoVSOXSEG7EI8_V_MF2_M1_MASK }, // 1155
  { 0x7, 0x1, 0x1, 0x3, 0x5, 0x5, PseudoVSOXSEG7EI8_V_MF8_MF8_MASK }, // 1156
  { 0x7, 0x1, 0x1, 0x3, 0x6, 0x5, PseudoVSOXSEG7EI8_V_MF8_MF4_MASK }, // 1157
  { 0x7, 0x1, 0x1, 0x3, 0x6, 0x6, PseudoVSOXSEG7EI8_V_MF4_MF4_MASK }, // 1158
  { 0x7, 0x1, 0x1, 0x3, 0x7, 0x5, PseudoVSOXSEG7EI8_V_MF8_MF2_MASK }, // 1159
  { 0x7, 0x1, 0x1, 0x3, 0x7, 0x6, PseudoVSOXSEG7EI8_V_MF4_MF2_MASK }, // 1160
  { 0x7, 0x1, 0x1, 0x3, 0x7, 0x7, PseudoVSOXSEG7EI8_V_MF2_MF2_MASK }, // 1161
  { 0x7, 0x1, 0x1, 0x4, 0x0, 0x0, PseudoVSOXSEG7EI16_V_M1_M1_MASK }, // 1162
  { 0x7, 0x1, 0x1, 0x4, 0x0, 0x1, PseudoVSOXSEG7EI16_V_M2_M1_MASK }, // 1163
  { 0x7, 0x1, 0x1, 0x4, 0x0, 0x6, PseudoVSOXSEG7EI16_V_MF4_M1_MASK }, // 1164
  { 0x7, 0x1, 0x1, 0x4, 0x0, 0x7, PseudoVSOXSEG7EI16_V_MF2_M1_MASK }, // 1165
  { 0x7, 0x1, 0x1, 0x4, 0x5, 0x6, PseudoVSOXSEG7EI16_V_MF4_MF8_MASK }, // 1166
  { 0x7, 0x1, 0x1, 0x4, 0x6, 0x6, PseudoVSOXSEG7EI16_V_MF4_MF4_MASK }, // 1167
  { 0x7, 0x1, 0x1, 0x4, 0x6, 0x7, PseudoVSOXSEG7EI16_V_MF2_MF4_MASK }, // 1168
  { 0x7, 0x1, 0x1, 0x4, 0x7, 0x0, PseudoVSOXSEG7EI16_V_M1_MF2_MASK }, // 1169
  { 0x7, 0x1, 0x1, 0x4, 0x7, 0x6, PseudoVSOXSEG7EI16_V_MF4_MF2_MASK }, // 1170
  { 0x7, 0x1, 0x1, 0x4, 0x7, 0x7, PseudoVSOXSEG7EI16_V_MF2_MF2_MASK }, // 1171
  { 0x7, 0x1, 0x1, 0x5, 0x0, 0x0, PseudoVSOXSEG7EI32_V_M1_M1_MASK }, // 1172
  { 0x7, 0x1, 0x1, 0x5, 0x0, 0x1, PseudoVSOXSEG7EI32_V_M2_M1_MASK }, // 1173
  { 0x7, 0x1, 0x1, 0x5, 0x0, 0x2, PseudoVSOXSEG7EI32_V_M4_M1_MASK }, // 1174
  { 0x7, 0x1, 0x1, 0x5, 0x0, 0x7, PseudoVSOXSEG7EI32_V_MF2_M1_MASK }, // 1175
  { 0x7, 0x1, 0x1, 0x5, 0x5, 0x7, PseudoVSOXSEG7EI32_V_MF2_MF8_MASK }, // 1176
  { 0x7, 0x1, 0x1, 0x5, 0x6, 0x0, PseudoVSOXSEG7EI32_V_M1_MF4_MASK }, // 1177
  { 0x7, 0x1, 0x1, 0x5, 0x6, 0x7, PseudoVSOXSEG7EI32_V_MF2_MF4_MASK }, // 1178
  { 0x7, 0x1, 0x1, 0x5, 0x7, 0x0, PseudoVSOXSEG7EI32_V_M1_MF2_MASK }, // 1179
  { 0x7, 0x1, 0x1, 0x5, 0x7, 0x1, PseudoVSOXSEG7EI32_V_M2_MF2_MASK }, // 1180
  { 0x7, 0x1, 0x1, 0x5, 0x7, 0x7, PseudoVSOXSEG7EI32_V_MF2_MF2_MASK }, // 1181
  { 0x7, 0x1, 0x1, 0x6, 0x0, 0x0, PseudoVSOXSEG7EI64_V_M1_M1_MASK }, // 1182
  { 0x7, 0x1, 0x1, 0x6, 0x0, 0x1, PseudoVSOXSEG7EI64_V_M2_M1_MASK }, // 1183
  { 0x7, 0x1, 0x1, 0x6, 0x0, 0x2, PseudoVSOXSEG7EI64_V_M4_M1_MASK }, // 1184
  { 0x7, 0x1, 0x1, 0x6, 0x0, 0x3, PseudoVSOXSEG7EI64_V_M8_M1_MASK }, // 1185
  { 0x7, 0x1, 0x1, 0x6, 0x5, 0x0, PseudoVSOXSEG7EI64_V_M1_MF8_MASK }, // 1186
  { 0x7, 0x1, 0x1, 0x6, 0x6, 0x0, PseudoVSOXSEG7EI64_V_M1_MF4_MASK }, // 1187
  { 0x7, 0x1, 0x1, 0x6, 0x6, 0x1, PseudoVSOXSEG7EI64_V_M2_MF4_MASK }, // 1188
  { 0x7, 0x1, 0x1, 0x6, 0x7, 0x0, PseudoVSOXSEG7EI64_V_M1_MF2_MASK }, // 1189
  { 0x7, 0x1, 0x1, 0x6, 0x7, 0x1, PseudoVSOXSEG7EI64_V_M2_MF2_MASK }, // 1190
  { 0x7, 0x1, 0x1, 0x6, 0x7, 0x2, PseudoVSOXSEG7EI64_V_M4_MF2_MASK }, // 1191
  { 0x8, 0x0, 0x0, 0x3, 0x0, 0x0, PseudoVSUXSEG8EI8_V_M1_M1 }, // 1192
  { 0x8, 0x0, 0x0, 0x3, 0x0, 0x5, PseudoVSUXSEG8EI8_V_MF8_M1 }, // 1193
  { 0x8, 0x0, 0x0, 0x3, 0x0, 0x6, PseudoVSUXSEG8EI8_V_MF4_M1 }, // 1194
  { 0x8, 0x0, 0x0, 0x3, 0x0, 0x7, PseudoVSUXSEG8EI8_V_MF2_M1 }, // 1195
  { 0x8, 0x0, 0x0, 0x3, 0x5, 0x5, PseudoVSUXSEG8EI8_V_MF8_MF8 }, // 1196
  { 0x8, 0x0, 0x0, 0x3, 0x6, 0x5, PseudoVSUXSEG8EI8_V_MF8_MF4 }, // 1197
  { 0x8, 0x0, 0x0, 0x3, 0x6, 0x6, PseudoVSUXSEG8EI8_V_MF4_MF4 }, // 1198
  { 0x8, 0x0, 0x0, 0x3, 0x7, 0x5, PseudoVSUXSEG8EI8_V_MF8_MF2 }, // 1199
  { 0x8, 0x0, 0x0, 0x3, 0x7, 0x6, PseudoVSUXSEG8EI8_V_MF4_MF2 }, // 1200
  { 0x8, 0x0, 0x0, 0x3, 0x7, 0x7, PseudoVSUXSEG8EI8_V_MF2_MF2 }, // 1201
  { 0x8, 0x0, 0x0, 0x4, 0x0, 0x0, PseudoVSUXSEG8EI16_V_M1_M1 }, // 1202
  { 0x8, 0x0, 0x0, 0x4, 0x0, 0x1, PseudoVSUXSEG8EI16_V_M2_M1 }, // 1203
  { 0x8, 0x0, 0x0, 0x4, 0x0, 0x6, PseudoVSUXSEG8EI16_V_MF4_M1 }, // 1204
  { 0x8, 0x0, 0x0, 0x4, 0x0, 0x7, PseudoVSUXSEG8EI16_V_MF2_M1 }, // 1205
  { 0x8, 0x0, 0x0, 0x4, 0x5, 0x6, PseudoVSUXSEG8EI16_V_MF4_MF8 }, // 1206
  { 0x8, 0x0, 0x0, 0x4, 0x6, 0x6, PseudoVSUXSEG8EI16_V_MF4_MF4 }, // 1207
  { 0x8, 0x0, 0x0, 0x4, 0x6, 0x7, PseudoVSUXSEG8EI16_V_MF2_MF4 }, // 1208
  { 0x8, 0x0, 0x0, 0x4, 0x7, 0x0, PseudoVSUXSEG8EI16_V_M1_MF2 }, // 1209
  { 0x8, 0x0, 0x0, 0x4, 0x7, 0x6, PseudoVSUXSEG8EI16_V_MF4_MF2 }, // 1210
  { 0x8, 0x0, 0x0, 0x4, 0x7, 0x7, PseudoVSUXSEG8EI16_V_MF2_MF2 }, // 1211
  { 0x8, 0x0, 0x0, 0x5, 0x0, 0x0, PseudoVSUXSEG8EI32_V_M1_M1 }, // 1212
  { 0x8, 0x0, 0x0, 0x5, 0x0, 0x1, PseudoVSUXSEG8EI32_V_M2_M1 }, // 1213
  { 0x8, 0x0, 0x0, 0x5, 0x0, 0x2, PseudoVSUXSEG8EI32_V_M4_M1 }, // 1214
  { 0x8, 0x0, 0x0, 0x5, 0x0, 0x7, PseudoVSUXSEG8EI32_V_MF2_M1 }, // 1215
  { 0x8, 0x0, 0x0, 0x5, 0x5, 0x7, PseudoVSUXSEG8EI32_V_MF2_MF8 }, // 1216
  { 0x8, 0x0, 0x0, 0x5, 0x6, 0x0, PseudoVSUXSEG8EI32_V_M1_MF4 }, // 1217
  { 0x8, 0x0, 0x0, 0x5, 0x6, 0x7, PseudoVSUXSEG8EI32_V_MF2_MF4 }, // 1218
  { 0x8, 0x0, 0x0, 0x5, 0x7, 0x0, PseudoVSUXSEG8EI32_V_M1_MF2 }, // 1219
  { 0x8, 0x0, 0x0, 0x5, 0x7, 0x1, PseudoVSUXSEG8EI32_V_M2_MF2 }, // 1220
  { 0x8, 0x0, 0x0, 0x5, 0x7, 0x7, PseudoVSUXSEG8EI32_V_MF2_MF2 }, // 1221
  { 0x8, 0x0, 0x0, 0x6, 0x0, 0x0, PseudoVSUXSEG8EI64_V_M1_M1 }, // 1222
  { 0x8, 0x0, 0x0, 0x6, 0x0, 0x1, PseudoVSUXSEG8EI64_V_M2_M1 }, // 1223
  { 0x8, 0x0, 0x0, 0x6, 0x0, 0x2, PseudoVSUXSEG8EI64_V_M4_M1 }, // 1224
  { 0x8, 0x0, 0x0, 0x6, 0x0, 0x3, PseudoVSUXSEG8EI64_V_M8_M1 }, // 1225
  { 0x8, 0x0, 0x0, 0x6, 0x5, 0x0, PseudoVSUXSEG8EI64_V_M1_MF8 }, // 1226
  { 0x8, 0x0, 0x0, 0x6, 0x6, 0x0, PseudoVSUXSEG8EI64_V_M1_MF4 }, // 1227
  { 0x8, 0x0, 0x0, 0x6, 0x6, 0x1, PseudoVSUXSEG8EI64_V_M2_MF4 }, // 1228
  { 0x8, 0x0, 0x0, 0x6, 0x7, 0x0, PseudoVSUXSEG8EI64_V_M1_MF2 }, // 1229
  { 0x8, 0x0, 0x0, 0x6, 0x7, 0x1, PseudoVSUXSEG8EI64_V_M2_MF2 }, // 1230
  { 0x8, 0x0, 0x0, 0x6, 0x7, 0x2, PseudoVSUXSEG8EI64_V_M4_MF2 }, // 1231
  { 0x8, 0x0, 0x1, 0x3, 0x0, 0x0, PseudoVSOXSEG8EI8_V_M1_M1 }, // 1232
  { 0x8, 0x0, 0x1, 0x3, 0x0, 0x5, PseudoVSOXSEG8EI8_V_MF8_M1 }, // 1233
  { 0x8, 0x0, 0x1, 0x3, 0x0, 0x6, PseudoVSOXSEG8EI8_V_MF4_M1 }, // 1234
  { 0x8, 0x0, 0x1, 0x3, 0x0, 0x7, PseudoVSOXSEG8EI8_V_MF2_M1 }, // 1235
  { 0x8, 0x0, 0x1, 0x3, 0x5, 0x5, PseudoVSOXSEG8EI8_V_MF8_MF8 }, // 1236
  { 0x8, 0x0, 0x1, 0x3, 0x6, 0x5, PseudoVSOXSEG8EI8_V_MF8_MF4 }, // 1237
  { 0x8, 0x0, 0x1, 0x3, 0x6, 0x6, PseudoVSOXSEG8EI8_V_MF4_MF4 }, // 1238
  { 0x8, 0x0, 0x1, 0x3, 0x7, 0x5, PseudoVSOXSEG8EI8_V_MF8_MF2 }, // 1239
  { 0x8, 0x0, 0x1, 0x3, 0x7, 0x6, PseudoVSOXSEG8EI8_V_MF4_MF2 }, // 1240
  { 0x8, 0x0, 0x1, 0x3, 0x7, 0x7, PseudoVSOXSEG8EI8_V_MF2_MF2 }, // 1241
  { 0x8, 0x0, 0x1, 0x4, 0x0, 0x0, PseudoVSOXSEG8EI16_V_M1_M1 }, // 1242
  { 0x8, 0x0, 0x1, 0x4, 0x0, 0x1, PseudoVSOXSEG8EI16_V_M2_M1 }, // 1243
  { 0x8, 0x0, 0x1, 0x4, 0x0, 0x6, PseudoVSOXSEG8EI16_V_MF4_M1 }, // 1244
  { 0x8, 0x0, 0x1, 0x4, 0x0, 0x7, PseudoVSOXSEG8EI16_V_MF2_M1 }, // 1245
  { 0x8, 0x0, 0x1, 0x4, 0x5, 0x6, PseudoVSOXSEG8EI16_V_MF4_MF8 }, // 1246
  { 0x8, 0x0, 0x1, 0x4, 0x6, 0x6, PseudoVSOXSEG8EI16_V_MF4_MF4 }, // 1247
  { 0x8, 0x0, 0x1, 0x4, 0x6, 0x7, PseudoVSOXSEG8EI16_V_MF2_MF4 }, // 1248
  { 0x8, 0x0, 0x1, 0x4, 0x7, 0x0, PseudoVSOXSEG8EI16_V_M1_MF2 }, // 1249
  { 0x8, 0x0, 0x1, 0x4, 0x7, 0x6, PseudoVSOXSEG8EI16_V_MF4_MF2 }, // 1250
  { 0x8, 0x0, 0x1, 0x4, 0x7, 0x7, PseudoVSOXSEG8EI16_V_MF2_MF2 }, // 1251
  { 0x8, 0x0, 0x1, 0x5, 0x0, 0x0, PseudoVSOXSEG8EI32_V_M1_M1 }, // 1252
  { 0x8, 0x0, 0x1, 0x5, 0x0, 0x1, PseudoVSOXSEG8EI32_V_M2_M1 }, // 1253
  { 0x8, 0x0, 0x1, 0x5, 0x0, 0x2, PseudoVSOXSEG8EI32_V_M4_M1 }, // 1254
  { 0x8, 0x0, 0x1, 0x5, 0x0, 0x7, PseudoVSOXSEG8EI32_V_MF2_M1 }, // 1255
  { 0x8, 0x0, 0x1, 0x5, 0x5, 0x7, PseudoVSOXSEG8EI32_V_MF2_MF8 }, // 1256
  { 0x8, 0x0, 0x1, 0x5, 0x6, 0x0, PseudoVSOXSEG8EI32_V_M1_MF4 }, // 1257
  { 0x8, 0x0, 0x1, 0x5, 0x6, 0x7, PseudoVSOXSEG8EI32_V_MF2_MF4 }, // 1258
  { 0x8, 0x0, 0x1, 0x5, 0x7, 0x0, PseudoVSOXSEG8EI32_V_M1_MF2 }, // 1259
  { 0x8, 0x0, 0x1, 0x5, 0x7, 0x1, PseudoVSOXSEG8EI32_V_M2_MF2 }, // 1260
  { 0x8, 0x0, 0x1, 0x5, 0x7, 0x7, PseudoVSOXSEG8EI32_V_MF2_MF2 }, // 1261
  { 0x8, 0x0, 0x1, 0x6, 0x0, 0x0, PseudoVSOXSEG8EI64_V_M1_M1 }, // 1262
  { 0x8, 0x0, 0x1, 0x6, 0x0, 0x1, PseudoVSOXSEG8EI64_V_M2_M1 }, // 1263
  { 0x8, 0x0, 0x1, 0x6, 0x0, 0x2, PseudoVSOXSEG8EI64_V_M4_M1 }, // 1264
  { 0x8, 0x0, 0x1, 0x6, 0x0, 0x3, PseudoVSOXSEG8EI64_V_M8_M1 }, // 1265
  { 0x8, 0x0, 0x1, 0x6, 0x5, 0x0, PseudoVSOXSEG8EI64_V_M1_MF8 }, // 1266
  { 0x8, 0x0, 0x1, 0x6, 0x6, 0x0, PseudoVSOXSEG8EI64_V_M1_MF4 }, // 1267
  { 0x8, 0x0, 0x1, 0x6, 0x6, 0x1, PseudoVSOXSEG8EI64_V_M2_MF4 }, // 1268
  { 0x8, 0x0, 0x1, 0x6, 0x7, 0x0, PseudoVSOXSEG8EI64_V_M1_MF2 }, // 1269
  { 0x8, 0x0, 0x1, 0x6, 0x7, 0x1, PseudoVSOXSEG8EI64_V_M2_MF2 }, // 1270
  { 0x8, 0x0, 0x1, 0x6, 0x7, 0x2, PseudoVSOXSEG8EI64_V_M4_MF2 }, // 1271
  { 0x8, 0x1, 0x0, 0x3, 0x0, 0x0, PseudoVSUXSEG8EI8_V_M1_M1_MASK }, // 1272
  { 0x8, 0x1, 0x0, 0x3, 0x0, 0x5, PseudoVSUXSEG8EI8_V_MF8_M1_MASK }, // 1273
  { 0x8, 0x1, 0x0, 0x3, 0x0, 0x6, PseudoVSUXSEG8EI8_V_MF4_M1_MASK }, // 1274
  { 0x8, 0x1, 0x0, 0x3, 0x0, 0x7, PseudoVSUXSEG8EI8_V_MF2_M1_MASK }, // 1275
  { 0x8, 0x1, 0x0, 0x3, 0x5, 0x5, PseudoVSUXSEG8EI8_V_MF8_MF8_MASK }, // 1276
  { 0x8, 0x1, 0x0, 0x3, 0x6, 0x5, PseudoVSUXSEG8EI8_V_MF8_MF4_MASK }, // 1277
  { 0x8, 0x1, 0x0, 0x3, 0x6, 0x6, PseudoVSUXSEG8EI8_V_MF4_MF4_MASK }, // 1278
  { 0x8, 0x1, 0x0, 0x3, 0x7, 0x5, PseudoVSUXSEG8EI8_V_MF8_MF2_MASK }, // 1279
  { 0x8, 0x1, 0x0, 0x3, 0x7, 0x6, PseudoVSUXSEG8EI8_V_MF4_MF2_MASK }, // 1280
  { 0x8, 0x1, 0x0, 0x3, 0x7, 0x7, PseudoVSUXSEG8EI8_V_MF2_MF2_MASK }, // 1281
  { 0x8, 0x1, 0x0, 0x4, 0x0, 0x0, PseudoVSUXSEG8EI16_V_M1_M1_MASK }, // 1282
  { 0x8, 0x1, 0x0, 0x4, 0x0, 0x1, PseudoVSUXSEG8EI16_V_M2_M1_MASK }, // 1283
  { 0x8, 0x1, 0x0, 0x4, 0x0, 0x6, PseudoVSUXSEG8EI16_V_MF4_M1_MASK }, // 1284
  { 0x8, 0x1, 0x0, 0x4, 0x0, 0x7, PseudoVSUXSEG8EI16_V_MF2_M1_MASK }, // 1285
  { 0x8, 0x1, 0x0, 0x4, 0x5, 0x6, PseudoVSUXSEG8EI16_V_MF4_MF8_MASK }, // 1286
  { 0x8, 0x1, 0x0, 0x4, 0x6, 0x6, PseudoVSUXSEG8EI16_V_MF4_MF4_MASK }, // 1287
  { 0x8, 0x1, 0x0, 0x4, 0x6, 0x7, PseudoVSUXSEG8EI16_V_MF2_MF4_MASK }, // 1288
  { 0x8, 0x1, 0x0, 0x4, 0x7, 0x0, PseudoVSUXSEG8EI16_V_M1_MF2_MASK }, // 1289
  { 0x8, 0x1, 0x0, 0x4, 0x7, 0x6, PseudoVSUXSEG8EI16_V_MF4_MF2_MASK }, // 1290
  { 0x8, 0x1, 0x0, 0x4, 0x7, 0x7, PseudoVSUXSEG8EI16_V_MF2_MF2_MASK }, // 1291
  { 0x8, 0x1, 0x0, 0x5, 0x0, 0x0, PseudoVSUXSEG8EI32_V_M1_M1_MASK }, // 1292
  { 0x8, 0x1, 0x0, 0x5, 0x0, 0x1, PseudoVSUXSEG8EI32_V_M2_M1_MASK }, // 1293
  { 0x8, 0x1, 0x0, 0x5, 0x0, 0x2, PseudoVSUXSEG8EI32_V_M4_M1_MASK }, // 1294
  { 0x8, 0x1, 0x0, 0x5, 0x0, 0x7, PseudoVSUXSEG8EI32_V_MF2_M1_MASK }, // 1295
  { 0x8, 0x1, 0x0, 0x5, 0x5, 0x7, PseudoVSUXSEG8EI32_V_MF2_MF8_MASK }, // 1296
  { 0x8, 0x1, 0x0, 0x5, 0x6, 0x0, PseudoVSUXSEG8EI32_V_M1_MF4_MASK }, // 1297
  { 0x8, 0x1, 0x0, 0x5, 0x6, 0x7, PseudoVSUXSEG8EI32_V_MF2_MF4_MASK }, // 1298
  { 0x8, 0x1, 0x0, 0x5, 0x7, 0x0, PseudoVSUXSEG8EI32_V_M1_MF2_MASK }, // 1299
  { 0x8, 0x1, 0x0, 0x5, 0x7, 0x1, PseudoVSUXSEG8EI32_V_M2_MF2_MASK }, // 1300
  { 0x8, 0x1, 0x0, 0x5, 0x7, 0x7, PseudoVSUXSEG8EI32_V_MF2_MF2_MASK }, // 1301
  { 0x8, 0x1, 0x0, 0x6, 0x0, 0x0, PseudoVSUXSEG8EI64_V_M1_M1_MASK }, // 1302
  { 0x8, 0x1, 0x0, 0x6, 0x0, 0x1, PseudoVSUXSEG8EI64_V_M2_M1_MASK }, // 1303
  { 0x8, 0x1, 0x0, 0x6, 0x0, 0x2, PseudoVSUXSEG8EI64_V_M4_M1_MASK }, // 1304
  { 0x8, 0x1, 0x0, 0x6, 0x0, 0x3, PseudoVSUXSEG8EI64_V_M8_M1_MASK }, // 1305
  { 0x8, 0x1, 0x0, 0x6, 0x5, 0x0, PseudoVSUXSEG8EI64_V_M1_MF8_MASK }, // 1306
  { 0x8, 0x1, 0x0, 0x6, 0x6, 0x0, PseudoVSUXSEG8EI64_V_M1_MF4_MASK }, // 1307
  { 0x8, 0x1, 0x0, 0x6, 0x6, 0x1, PseudoVSUXSEG8EI64_V_M2_MF4_MASK }, // 1308
  { 0x8, 0x1, 0x0, 0x6, 0x7, 0x0, PseudoVSUXSEG8EI64_V_M1_MF2_MASK }, // 1309
  { 0x8, 0x1, 0x0, 0x6, 0x7, 0x1, PseudoVSUXSEG8EI64_V_M2_MF2_MASK }, // 1310
  { 0x8, 0x1, 0x0, 0x6, 0x7, 0x2, PseudoVSUXSEG8EI64_V_M4_MF2_MASK }, // 1311
  { 0x8, 0x1, 0x1, 0x3, 0x0, 0x0, PseudoVSOXSEG8EI8_V_M1_M1_MASK }, // 1312
  { 0x8, 0x1, 0x1, 0x3, 0x0, 0x5, PseudoVSOXSEG8EI8_V_MF8_M1_MASK }, // 1313
  { 0x8, 0x1, 0x1, 0x3, 0x0, 0x6, PseudoVSOXSEG8EI8_V_MF4_M1_MASK }, // 1314
  { 0x8, 0x1, 0x1, 0x3, 0x0, 0x7, PseudoVSOXSEG8EI8_V_MF2_M1_MASK }, // 1315
  { 0x8, 0x1, 0x1, 0x3, 0x5, 0x5, PseudoVSOXSEG8EI8_V_MF8_MF8_MASK }, // 1316
  { 0x8, 0x1, 0x1, 0x3, 0x6, 0x5, PseudoVSOXSEG8EI8_V_MF8_MF4_MASK }, // 1317
  { 0x8, 0x1, 0x1, 0x3, 0x6, 0x6, PseudoVSOXSEG8EI8_V_MF4_MF4_MASK }, // 1318
  { 0x8, 0x1, 0x1, 0x3, 0x7, 0x5, PseudoVSOXSEG8EI8_V_MF8_MF2_MASK }, // 1319
  { 0x8, 0x1, 0x1, 0x3, 0x7, 0x6, PseudoVSOXSEG8EI8_V_MF4_MF2_MASK }, // 1320
  { 0x8, 0x1, 0x1, 0x3, 0x7, 0x7, PseudoVSOXSEG8EI8_V_MF2_MF2_MASK }, // 1321
  { 0x8, 0x1, 0x1, 0x4, 0x0, 0x0, PseudoVSOXSEG8EI16_V_M1_M1_MASK }, // 1322
  { 0x8, 0x1, 0x1, 0x4, 0x0, 0x1, PseudoVSOXSEG8EI16_V_M2_M1_MASK }, // 1323
  { 0x8, 0x1, 0x1, 0x4, 0x0, 0x6, PseudoVSOXSEG8EI16_V_MF4_M1_MASK }, // 1324
  { 0x8, 0x1, 0x1, 0x4, 0x0, 0x7, PseudoVSOXSEG8EI16_V_MF2_M1_MASK }, // 1325
  { 0x8, 0x1, 0x1, 0x4, 0x5, 0x6, PseudoVSOXSEG8EI16_V_MF4_MF8_MASK }, // 1326
  { 0x8, 0x1, 0x1, 0x4, 0x6, 0x6, PseudoVSOXSEG8EI16_V_MF4_MF4_MASK }, // 1327
  { 0x8, 0x1, 0x1, 0x4, 0x6, 0x7, PseudoVSOXSEG8EI16_V_MF2_MF4_MASK }, // 1328
  { 0x8, 0x1, 0x1, 0x4, 0x7, 0x0, PseudoVSOXSEG8EI16_V_M1_MF2_MASK }, // 1329
  { 0x8, 0x1, 0x1, 0x4, 0x7, 0x6, PseudoVSOXSEG8EI16_V_MF4_MF2_MASK }, // 1330
  { 0x8, 0x1, 0x1, 0x4, 0x7, 0x7, PseudoVSOXSEG8EI16_V_MF2_MF2_MASK }, // 1331
  { 0x8, 0x1, 0x1, 0x5, 0x0, 0x0, PseudoVSOXSEG8EI32_V_M1_M1_MASK }, // 1332
  { 0x8, 0x1, 0x1, 0x5, 0x0, 0x1, PseudoVSOXSEG8EI32_V_M2_M1_MASK }, // 1333
  { 0x8, 0x1, 0x1, 0x5, 0x0, 0x2, PseudoVSOXSEG8EI32_V_M4_M1_MASK }, // 1334
  { 0x8, 0x1, 0x1, 0x5, 0x0, 0x7, PseudoVSOXSEG8EI32_V_MF2_M1_MASK }, // 1335
  { 0x8, 0x1, 0x1, 0x5, 0x5, 0x7, PseudoVSOXSEG8EI32_V_MF2_MF8_MASK }, // 1336
  { 0x8, 0x1, 0x1, 0x5, 0x6, 0x0, PseudoVSOXSEG8EI32_V_M1_MF4_MASK }, // 1337
  { 0x8, 0x1, 0x1, 0x5, 0x6, 0x7, PseudoVSOXSEG8EI32_V_MF2_MF4_MASK }, // 1338
  { 0x8, 0x1, 0x1, 0x5, 0x7, 0x0, PseudoVSOXSEG8EI32_V_M1_MF2_MASK }, // 1339
  { 0x8, 0x1, 0x1, 0x5, 0x7, 0x1, PseudoVSOXSEG8EI32_V_M2_MF2_MASK }, // 1340
  { 0x8, 0x1, 0x1, 0x5, 0x7, 0x7, PseudoVSOXSEG8EI32_V_MF2_MF2_MASK }, // 1341
  { 0x8, 0x1, 0x1, 0x6, 0x0, 0x0, PseudoVSOXSEG8EI64_V_M1_M1_MASK }, // 1342
  { 0x8, 0x1, 0x1, 0x6, 0x0, 0x1, PseudoVSOXSEG8EI64_V_M2_M1_MASK }, // 1343
  { 0x8, 0x1, 0x1, 0x6, 0x0, 0x2, PseudoVSOXSEG8EI64_V_M4_M1_MASK }, // 1344
  { 0x8, 0x1, 0x1, 0x6, 0x0, 0x3, PseudoVSOXSEG8EI64_V_M8_M1_MASK }, // 1345
  { 0x8, 0x1, 0x1, 0x6, 0x5, 0x0, PseudoVSOXSEG8EI64_V_M1_MF8_MASK }, // 1346
  { 0x8, 0x1, 0x1, 0x6, 0x6, 0x0, PseudoVSOXSEG8EI64_V_M1_MF4_MASK }, // 1347
  { 0x8, 0x1, 0x1, 0x6, 0x6, 0x1, PseudoVSOXSEG8EI64_V_M2_MF4_MASK }, // 1348
  { 0x8, 0x1, 0x1, 0x6, 0x7, 0x0, PseudoVSOXSEG8EI64_V_M1_MF2_MASK }, // 1349
  { 0x8, 0x1, 0x1, 0x6, 0x7, 0x1, PseudoVSOXSEG8EI64_V_M2_MF2_MASK }, // 1350
  { 0x8, 0x1, 0x1, 0x6, 0x7, 0x2, PseudoVSOXSEG8EI64_V_M4_MF2_MASK }, // 1351
 };

const VSXSEGPseudo *getVSXSEGPseudo(uint8_t NF, uint8_t Masked, uint8_t Ordered, uint8_t Log2SEW, uint8_t LMUL, uint8_t IndexLMUL) {
  struct KeyType {
    uint8_t NF;
    uint8_t Masked;
    uint8_t Ordered;
    uint8_t Log2SEW;
    uint8_t LMUL;
    uint8_t IndexLMUL;
  };
  KeyType Key = {NF, Masked, Ordered, Log2SEW, LMUL, IndexLMUL};
  auto Table = makeArrayRef(RISCVVSXSEGTable);
  auto Idx = std::lower_bound(Table.begin(), Table.end(), Key,
    [](const VSXSEGPseudo &LHS, const KeyType &RHS) {
      if (LHS.NF < RHS.NF)
        return true;
      if (LHS.NF > RHS.NF)
        return false;
      if (LHS.Masked < RHS.Masked)
        return true;
      if (LHS.Masked > RHS.Masked)
        return false;
      if (LHS.Ordered < RHS.Ordered)
        return true;
      if (LHS.Ordered > RHS.Ordered)
        return false;
      if (LHS.Log2SEW < RHS.Log2SEW)
        return true;
      if (LHS.Log2SEW > RHS.Log2SEW)
        return false;
      if (LHS.LMUL < RHS.LMUL)
        return true;
      if (LHS.LMUL > RHS.LMUL)
        return false;
      if (LHS.IndexLMUL < RHS.IndexLMUL)
        return true;
      if (LHS.IndexLMUL > RHS.IndexLMUL)
        return false;
      return false;
    });

  if (Idx == Table.end() ||
      Key.NF != Idx->NF ||
      Key.Masked != Idx->Masked ||
      Key.Ordered != Idx->Ordered ||
      Key.Log2SEW != Idx->Log2SEW ||
      Key.LMUL != Idx->LMUL ||
      Key.IndexLMUL != Idx->IndexLMUL)
    return nullptr;
  return &*Idx;
}
#endif

#ifdef GET_RISCVVSXTable_DECL
const VLX_VSXPseudo *getVSXPseudo(uint8_t Masked, uint8_t Ordered, uint8_t Log2SEW, uint8_t LMUL, uint8_t IndexLMUL);
#endif

#ifdef GET_RISCVVSXTable_IMPL
constexpr VLX_VSXPseudo RISCVVSXTable[] = {
  { 0x0, 0x0, 0x3, 0x0, 0x0, PseudoVSUXEI8_V_M1_M1 }, // 0
  { 0x0, 0x0, 0x3, 0x0, 0x5, PseudoVSUXEI8_V_MF8_M1 }, // 1
  { 0x0, 0x0, 0x3, 0x0, 0x6, PseudoVSUXEI8_V_MF4_M1 }, // 2
  { 0x0, 0x0, 0x3, 0x0, 0x7, PseudoVSUXEI8_V_MF2_M1 }, // 3
  { 0x0, 0x0, 0x3, 0x1, 0x0, PseudoVSUXEI8_V_M1_M2 }, // 4
  { 0x0, 0x0, 0x3, 0x1, 0x1, PseudoVSUXEI8_V_M2_M2 }, // 5
  { 0x0, 0x0, 0x3, 0x1, 0x6, PseudoVSUXEI8_V_MF4_M2 }, // 6
  { 0x0, 0x0, 0x3, 0x1, 0x7, PseudoVSUXEI8_V_MF2_M2 }, // 7
  { 0x0, 0x0, 0x3, 0x2, 0x0, PseudoVSUXEI8_V_M1_M4 }, // 8
  { 0x0, 0x0, 0x3, 0x2, 0x1, PseudoVSUXEI8_V_M2_M4 }, // 9
  { 0x0, 0x0, 0x3, 0x2, 0x2, PseudoVSUXEI8_V_M4_M4 }, // 10
  { 0x0, 0x0, 0x3, 0x2, 0x7, PseudoVSUXEI8_V_MF2_M4 }, // 11
  { 0x0, 0x0, 0x3, 0x3, 0x0, PseudoVSUXEI8_V_M1_M8 }, // 12
  { 0x0, 0x0, 0x3, 0x3, 0x1, PseudoVSUXEI8_V_M2_M8 }, // 13
  { 0x0, 0x0, 0x3, 0x3, 0x2, PseudoVSUXEI8_V_M4_M8 }, // 14
  { 0x0, 0x0, 0x3, 0x3, 0x3, PseudoVSUXEI8_V_M8_M8 }, // 15
  { 0x0, 0x0, 0x3, 0x5, 0x5, PseudoVSUXEI8_V_MF8_MF8 }, // 16
  { 0x0, 0x0, 0x3, 0x6, 0x5, PseudoVSUXEI8_V_MF8_MF4 }, // 17
  { 0x0, 0x0, 0x3, 0x6, 0x6, PseudoVSUXEI8_V_MF4_MF4 }, // 18
  { 0x0, 0x0, 0x3, 0x7, 0x5, PseudoVSUXEI8_V_MF8_MF2 }, // 19
  { 0x0, 0x0, 0x3, 0x7, 0x6, PseudoVSUXEI8_V_MF4_MF2 }, // 20
  { 0x0, 0x0, 0x3, 0x7, 0x7, PseudoVSUXEI8_V_MF2_MF2 }, // 21
  { 0x0, 0x0, 0x4, 0x0, 0x0, PseudoVSUXEI16_V_M1_M1 }, // 22
  { 0x0, 0x0, 0x4, 0x0, 0x1, PseudoVSUXEI16_V_M2_M1 }, // 23
  { 0x0, 0x0, 0x4, 0x0, 0x6, PseudoVSUXEI16_V_MF4_M1 }, // 24
  { 0x0, 0x0, 0x4, 0x0, 0x7, PseudoVSUXEI16_V_MF2_M1 }, // 25
  { 0x0, 0x0, 0x4, 0x1, 0x0, PseudoVSUXEI16_V_M1_M2 }, // 26
  { 0x0, 0x0, 0x4, 0x1, 0x1, PseudoVSUXEI16_V_M2_M2 }, // 27
  { 0x0, 0x0, 0x4, 0x1, 0x2, PseudoVSUXEI16_V_M4_M2 }, // 28
  { 0x0, 0x0, 0x4, 0x1, 0x7, PseudoVSUXEI16_V_MF2_M2 }, // 29
  { 0x0, 0x0, 0x4, 0x2, 0x0, PseudoVSUXEI16_V_M1_M4 }, // 30
  { 0x0, 0x0, 0x4, 0x2, 0x1, PseudoVSUXEI16_V_M2_M4 }, // 31
  { 0x0, 0x0, 0x4, 0x2, 0x2, PseudoVSUXEI16_V_M4_M4 }, // 32
  { 0x0, 0x0, 0x4, 0x2, 0x3, PseudoVSUXEI16_V_M8_M4 }, // 33
  { 0x0, 0x0, 0x4, 0x3, 0x1, PseudoVSUXEI16_V_M2_M8 }, // 34
  { 0x0, 0x0, 0x4, 0x3, 0x2, PseudoVSUXEI16_V_M4_M8 }, // 35
  { 0x0, 0x0, 0x4, 0x3, 0x3, PseudoVSUXEI16_V_M8_M8 }, // 36
  { 0x0, 0x0, 0x4, 0x5, 0x6, PseudoVSUXEI16_V_MF4_MF8 }, // 37
  { 0x0, 0x0, 0x4, 0x6, 0x6, PseudoVSUXEI16_V_MF4_MF4 }, // 38
  { 0x0, 0x0, 0x4, 0x6, 0x7, PseudoVSUXEI16_V_MF2_MF4 }, // 39
  { 0x0, 0x0, 0x4, 0x7, 0x0, PseudoVSUXEI16_V_M1_MF2 }, // 40
  { 0x0, 0x0, 0x4, 0x7, 0x6, PseudoVSUXEI16_V_MF4_MF2 }, // 41
  { 0x0, 0x0, 0x4, 0x7, 0x7, PseudoVSUXEI16_V_MF2_MF2 }, // 42
  { 0x0, 0x0, 0x5, 0x0, 0x0, PseudoVSUXEI32_V_M1_M1 }, // 43
  { 0x0, 0x0, 0x5, 0x0, 0x1, PseudoVSUXEI32_V_M2_M1 }, // 44
  { 0x0, 0x0, 0x5, 0x0, 0x2, PseudoVSUXEI32_V_M4_M1 }, // 45
  { 0x0, 0x0, 0x5, 0x0, 0x7, PseudoVSUXEI32_V_MF2_M1 }, // 46
  { 0x0, 0x0, 0x5, 0x1, 0x0, PseudoVSUXEI32_V_M1_M2 }, // 47
  { 0x0, 0x0, 0x5, 0x1, 0x1, PseudoVSUXEI32_V_M2_M2 }, // 48
  { 0x0, 0x0, 0x5, 0x1, 0x2, PseudoVSUXEI32_V_M4_M2 }, // 49
  { 0x0, 0x0, 0x5, 0x1, 0x3, PseudoVSUXEI32_V_M8_M2 }, // 50
  { 0x0, 0x0, 0x5, 0x2, 0x1, PseudoVSUXEI32_V_M2_M4 }, // 51
  { 0x0, 0x0, 0x5, 0x2, 0x2, PseudoVSUXEI32_V_M4_M4 }, // 52
  { 0x0, 0x0, 0x5, 0x2, 0x3, PseudoVSUXEI32_V_M8_M4 }, // 53
  { 0x0, 0x0, 0x5, 0x3, 0x2, PseudoVSUXEI32_V_M4_M8 }, // 54
  { 0x0, 0x0, 0x5, 0x3, 0x3, PseudoVSUXEI32_V_M8_M8 }, // 55
  { 0x0, 0x0, 0x5, 0x5, 0x7, PseudoVSUXEI32_V_MF2_MF8 }, // 56
  { 0x0, 0x0, 0x5, 0x6, 0x0, PseudoVSUXEI32_V_M1_MF4 }, // 57
  { 0x0, 0x0, 0x5, 0x6, 0x7, PseudoVSUXEI32_V_MF2_MF4 }, // 58
  { 0x0, 0x0, 0x5, 0x7, 0x0, PseudoVSUXEI32_V_M1_MF2 }, // 59
  { 0x0, 0x0, 0x5, 0x7, 0x1, PseudoVSUXEI32_V_M2_MF2 }, // 60
  { 0x0, 0x0, 0x5, 0x7, 0x7, PseudoVSUXEI32_V_MF2_MF2 }, // 61
  { 0x0, 0x0, 0x6, 0x0, 0x0, PseudoVSUXEI64_V_M1_M1 }, // 62
  { 0x0, 0x0, 0x6, 0x0, 0x1, PseudoVSUXEI64_V_M2_M1 }, // 63
  { 0x0, 0x0, 0x6, 0x0, 0x2, PseudoVSUXEI64_V_M4_M1 }, // 64
  { 0x0, 0x0, 0x6, 0x0, 0x3, PseudoVSUXEI64_V_M8_M1 }, // 65
  { 0x0, 0x0, 0x6, 0x1, 0x1, PseudoVSUXEI64_V_M2_M2 }, // 66
  { 0x0, 0x0, 0x6, 0x1, 0x2, PseudoVSUXEI64_V_M4_M2 }, // 67
  { 0x0, 0x0, 0x6, 0x1, 0x3, PseudoVSUXEI64_V_M8_M2 }, // 68
  { 0x0, 0x0, 0x6, 0x2, 0x2, PseudoVSUXEI64_V_M4_M4 }, // 69
  { 0x0, 0x0, 0x6, 0x2, 0x3, PseudoVSUXEI64_V_M8_M4 }, // 70
  { 0x0, 0x0, 0x6, 0x3, 0x3, PseudoVSUXEI64_V_M8_M8 }, // 71
  { 0x0, 0x0, 0x6, 0x5, 0x0, PseudoVSUXEI64_V_M1_MF8 }, // 72
  { 0x0, 0x0, 0x6, 0x6, 0x0, PseudoVSUXEI64_V_M1_MF4 }, // 73
  { 0x0, 0x0, 0x6, 0x6, 0x1, PseudoVSUXEI64_V_M2_MF4 }, // 74
  { 0x0, 0x0, 0x6, 0x7, 0x0, PseudoVSUXEI64_V_M1_MF2 }, // 75
  { 0x0, 0x0, 0x6, 0x7, 0x1, PseudoVSUXEI64_V_M2_MF2 }, // 76
  { 0x0, 0x0, 0x6, 0x7, 0x2, PseudoVSUXEI64_V_M4_MF2 }, // 77
  { 0x0, 0x1, 0x3, 0x0, 0x0, PseudoVSOXEI8_V_M1_M1 }, // 78
  { 0x0, 0x1, 0x3, 0x0, 0x5, PseudoVSOXEI8_V_MF8_M1 }, // 79
  { 0x0, 0x1, 0x3, 0x0, 0x6, PseudoVSOXEI8_V_MF4_M1 }, // 80
  { 0x0, 0x1, 0x3, 0x0, 0x7, PseudoVSOXEI8_V_MF2_M1 }, // 81
  { 0x0, 0x1, 0x3, 0x1, 0x0, PseudoVSOXEI8_V_M1_M2 }, // 82
  { 0x0, 0x1, 0x3, 0x1, 0x1, PseudoVSOXEI8_V_M2_M2 }, // 83
  { 0x0, 0x1, 0x3, 0x1, 0x6, PseudoVSOXEI8_V_MF4_M2 }, // 84
  { 0x0, 0x1, 0x3, 0x1, 0x7, PseudoVSOXEI8_V_MF2_M2 }, // 85
  { 0x0, 0x1, 0x3, 0x2, 0x0, PseudoVSOXEI8_V_M1_M4 }, // 86
  { 0x0, 0x1, 0x3, 0x2, 0x1, PseudoVSOXEI8_V_M2_M4 }, // 87
  { 0x0, 0x1, 0x3, 0x2, 0x2, PseudoVSOXEI8_V_M4_M4 }, // 88
  { 0x0, 0x1, 0x3, 0x2, 0x7, PseudoVSOXEI8_V_MF2_M4 }, // 89
  { 0x0, 0x1, 0x3, 0x3, 0x0, PseudoVSOXEI8_V_M1_M8 }, // 90
  { 0x0, 0x1, 0x3, 0x3, 0x1, PseudoVSOXEI8_V_M2_M8 }, // 91
  { 0x0, 0x1, 0x3, 0x3, 0x2, PseudoVSOXEI8_V_M4_M8 }, // 92
  { 0x0, 0x1, 0x3, 0x3, 0x3, PseudoVSOXEI8_V_M8_M8 }, // 93
  { 0x0, 0x1, 0x3, 0x5, 0x5, PseudoVSOXEI8_V_MF8_MF8 }, // 94
  { 0x0, 0x1, 0x3, 0x6, 0x5, PseudoVSOXEI8_V_MF8_MF4 }, // 95
  { 0x0, 0x1, 0x3, 0x6, 0x6, PseudoVSOXEI8_V_MF4_MF4 }, // 96
  { 0x0, 0x1, 0x3, 0x7, 0x5, PseudoVSOXEI8_V_MF8_MF2 }, // 97
  { 0x0, 0x1, 0x3, 0x7, 0x6, PseudoVSOXEI8_V_MF4_MF2 }, // 98
  { 0x0, 0x1, 0x3, 0x7, 0x7, PseudoVSOXEI8_V_MF2_MF2 }, // 99
  { 0x0, 0x1, 0x4, 0x0, 0x0, PseudoVSOXEI16_V_M1_M1 }, // 100
  { 0x0, 0x1, 0x4, 0x0, 0x1, PseudoVSOXEI16_V_M2_M1 }, // 101
  { 0x0, 0x1, 0x4, 0x0, 0x6, PseudoVSOXEI16_V_MF4_M1 }, // 102
  { 0x0, 0x1, 0x4, 0x0, 0x7, PseudoVSOXEI16_V_MF2_M1 }, // 103
  { 0x0, 0x1, 0x4, 0x1, 0x0, PseudoVSOXEI16_V_M1_M2 }, // 104
  { 0x0, 0x1, 0x4, 0x1, 0x1, PseudoVSOXEI16_V_M2_M2 }, // 105
  { 0x0, 0x1, 0x4, 0x1, 0x2, PseudoVSOXEI16_V_M4_M2 }, // 106
  { 0x0, 0x1, 0x4, 0x1, 0x7, PseudoVSOXEI16_V_MF2_M2 }, // 107
  { 0x0, 0x1, 0x4, 0x2, 0x0, PseudoVSOXEI16_V_M1_M4 }, // 108
  { 0x0, 0x1, 0x4, 0x2, 0x1, PseudoVSOXEI16_V_M2_M4 }, // 109
  { 0x0, 0x1, 0x4, 0x2, 0x2, PseudoVSOXEI16_V_M4_M4 }, // 110
  { 0x0, 0x1, 0x4, 0x2, 0x3, PseudoVSOXEI16_V_M8_M4 }, // 111
  { 0x0, 0x1, 0x4, 0x3, 0x1, PseudoVSOXEI16_V_M2_M8 }, // 112
  { 0x0, 0x1, 0x4, 0x3, 0x2, PseudoVSOXEI16_V_M4_M8 }, // 113
  { 0x0, 0x1, 0x4, 0x3, 0x3, PseudoVSOXEI16_V_M8_M8 }, // 114
  { 0x0, 0x1, 0x4, 0x5, 0x6, PseudoVSOXEI16_V_MF4_MF8 }, // 115
  { 0x0, 0x1, 0x4, 0x6, 0x6, PseudoVSOXEI16_V_MF4_MF4 }, // 116
  { 0x0, 0x1, 0x4, 0x6, 0x7, PseudoVSOXEI16_V_MF2_MF4 }, // 117
  { 0x0, 0x1, 0x4, 0x7, 0x0, PseudoVSOXEI16_V_M1_MF2 }, // 118
  { 0x0, 0x1, 0x4, 0x7, 0x6, PseudoVSOXEI16_V_MF4_MF2 }, // 119
  { 0x0, 0x1, 0x4, 0x7, 0x7, PseudoVSOXEI16_V_MF2_MF2 }, // 120
  { 0x0, 0x1, 0x5, 0x0, 0x0, PseudoVSOXEI32_V_M1_M1 }, // 121
  { 0x0, 0x1, 0x5, 0x0, 0x1, PseudoVSOXEI32_V_M2_M1 }, // 122
  { 0x0, 0x1, 0x5, 0x0, 0x2, PseudoVSOXEI32_V_M4_M1 }, // 123
  { 0x0, 0x1, 0x5, 0x0, 0x7, PseudoVSOXEI32_V_MF2_M1 }, // 124
  { 0x0, 0x1, 0x5, 0x1, 0x0, PseudoVSOXEI32_V_M1_M2 }, // 125
  { 0x0, 0x1, 0x5, 0x1, 0x1, PseudoVSOXEI32_V_M2_M2 }, // 126
  { 0x0, 0x1, 0x5, 0x1, 0x2, PseudoVSOXEI32_V_M4_M2 }, // 127
  { 0x0, 0x1, 0x5, 0x1, 0x3, PseudoVSOXEI32_V_M8_M2 }, // 128
  { 0x0, 0x1, 0x5, 0x2, 0x1, PseudoVSOXEI32_V_M2_M4 }, // 129
  { 0x0, 0x1, 0x5, 0x2, 0x2, PseudoVSOXEI32_V_M4_M4 }, // 130
  { 0x0, 0x1, 0x5, 0x2, 0x3, PseudoVSOXEI32_V_M8_M4 }, // 131
  { 0x0, 0x1, 0x5, 0x3, 0x2, PseudoVSOXEI32_V_M4_M8 }, // 132
  { 0x0, 0x1, 0x5, 0x3, 0x3, PseudoVSOXEI32_V_M8_M8 }, // 133
  { 0x0, 0x1, 0x5, 0x5, 0x7, PseudoVSOXEI32_V_MF2_MF8 }, // 134
  { 0x0, 0x1, 0x5, 0x6, 0x0, PseudoVSOXEI32_V_M1_MF4 }, // 135
  { 0x0, 0x1, 0x5, 0x6, 0x7, PseudoVSOXEI32_V_MF2_MF4 }, // 136
  { 0x0, 0x1, 0x5, 0x7, 0x0, PseudoVSOXEI32_V_M1_MF2 }, // 137
  { 0x0, 0x1, 0x5, 0x7, 0x1, PseudoVSOXEI32_V_M2_MF2 }, // 138
  { 0x0, 0x1, 0x5, 0x7, 0x7, PseudoVSOXEI32_V_MF2_MF2 }, // 139
  { 0x0, 0x1, 0x6, 0x0, 0x0, PseudoVSOXEI64_V_M1_M1 }, // 140
  { 0x0, 0x1, 0x6, 0x0, 0x1, PseudoVSOXEI64_V_M2_M1 }, // 141
  { 0x0, 0x1, 0x6, 0x0, 0x2, PseudoVSOXEI64_V_M4_M1 }, // 142
  { 0x0, 0x1, 0x6, 0x0, 0x3, PseudoVSOXEI64_V_M8_M1 }, // 143
  { 0x0, 0x1, 0x6, 0x1, 0x1, PseudoVSOXEI64_V_M2_M2 }, // 144
  { 0x0, 0x1, 0x6, 0x1, 0x2, PseudoVSOXEI64_V_M4_M2 }, // 145
  { 0x0, 0x1, 0x6, 0x1, 0x3, PseudoVSOXEI64_V_M8_M2 }, // 146
  { 0x0, 0x1, 0x6, 0x2, 0x2, PseudoVSOXEI64_V_M4_M4 }, // 147
  { 0x0, 0x1, 0x6, 0x2, 0x3, PseudoVSOXEI64_V_M8_M4 }, // 148
  { 0x0, 0x1, 0x6, 0x3, 0x3, PseudoVSOXEI64_V_M8_M8 }, // 149
  { 0x0, 0x1, 0x6, 0x5, 0x0, PseudoVSOXEI64_V_M1_MF8 }, // 150
  { 0x0, 0x1, 0x6, 0x6, 0x0, PseudoVSOXEI64_V_M1_MF4 }, // 151
  { 0x0, 0x1, 0x6, 0x6, 0x1, PseudoVSOXEI64_V_M2_MF4 }, // 152
  { 0x0, 0x1, 0x6, 0x7, 0x0, PseudoVSOXEI64_V_M1_MF2 }, // 153
  { 0x0, 0x1, 0x6, 0x7, 0x1, PseudoVSOXEI64_V_M2_MF2 }, // 154
  { 0x0, 0x1, 0x6, 0x7, 0x2, PseudoVSOXEI64_V_M4_MF2 }, // 155
  { 0x1, 0x0, 0x3, 0x0, 0x0, PseudoVSUXEI8_V_M1_M1_MASK }, // 156
  { 0x1, 0x0, 0x3, 0x0, 0x5, PseudoVSUXEI8_V_MF8_M1_MASK }, // 157
  { 0x1, 0x0, 0x3, 0x0, 0x6, PseudoVSUXEI8_V_MF4_M1_MASK }, // 158
  { 0x1, 0x0, 0x3, 0x0, 0x7, PseudoVSUXEI8_V_MF2_M1_MASK }, // 159
  { 0x1, 0x0, 0x3, 0x1, 0x0, PseudoVSUXEI8_V_M1_M2_MASK }, // 160
  { 0x1, 0x0, 0x3, 0x1, 0x1, PseudoVSUXEI8_V_M2_M2_MASK }, // 161
  { 0x1, 0x0, 0x3, 0x1, 0x6, PseudoVSUXEI8_V_MF4_M2_MASK }, // 162
  { 0x1, 0x0, 0x3, 0x1, 0x7, PseudoVSUXEI8_V_MF2_M2_MASK }, // 163
  { 0x1, 0x0, 0x3, 0x2, 0x0, PseudoVSUXEI8_V_M1_M4_MASK }, // 164
  { 0x1, 0x0, 0x3, 0x2, 0x1, PseudoVSUXEI8_V_M2_M4_MASK }, // 165
  { 0x1, 0x0, 0x3, 0x2, 0x2, PseudoVSUXEI8_V_M4_M4_MASK }, // 166
  { 0x1, 0x0, 0x3, 0x2, 0x7, PseudoVSUXEI8_V_MF2_M4_MASK }, // 167
  { 0x1, 0x0, 0x3, 0x3, 0x0, PseudoVSUXEI8_V_M1_M8_MASK }, // 168
  { 0x1, 0x0, 0x3, 0x3, 0x1, PseudoVSUXEI8_V_M2_M8_MASK }, // 169
  { 0x1, 0x0, 0x3, 0x3, 0x2, PseudoVSUXEI8_V_M4_M8_MASK }, // 170
  { 0x1, 0x0, 0x3, 0x3, 0x3, PseudoVSUXEI8_V_M8_M8_MASK }, // 171
  { 0x1, 0x0, 0x3, 0x5, 0x5, PseudoVSUXEI8_V_MF8_MF8_MASK }, // 172
  { 0x1, 0x0, 0x3, 0x6, 0x5, PseudoVSUXEI8_V_MF8_MF4_MASK }, // 173
  { 0x1, 0x0, 0x3, 0x6, 0x6, PseudoVSUXEI8_V_MF4_MF4_MASK }, // 174
  { 0x1, 0x0, 0x3, 0x7, 0x5, PseudoVSUXEI8_V_MF8_MF2_MASK }, // 175
  { 0x1, 0x0, 0x3, 0x7, 0x6, PseudoVSUXEI8_V_MF4_MF2_MASK }, // 176
  { 0x1, 0x0, 0x3, 0x7, 0x7, PseudoVSUXEI8_V_MF2_MF2_MASK }, // 177
  { 0x1, 0x0, 0x4, 0x0, 0x0, PseudoVSUXEI16_V_M1_M1_MASK }, // 178
  { 0x1, 0x0, 0x4, 0x0, 0x1, PseudoVSUXEI16_V_M2_M1_MASK }, // 179
  { 0x1, 0x0, 0x4, 0x0, 0x6, PseudoVSUXEI16_V_MF4_M1_MASK }, // 180
  { 0x1, 0x0, 0x4, 0x0, 0x7, PseudoVSUXEI16_V_MF2_M1_MASK }, // 181
  { 0x1, 0x0, 0x4, 0x1, 0x0, PseudoVSUXEI16_V_M1_M2_MASK }, // 182
  { 0x1, 0x0, 0x4, 0x1, 0x1, PseudoVSUXEI16_V_M2_M2_MASK }, // 183
  { 0x1, 0x0, 0x4, 0x1, 0x2, PseudoVSUXEI16_V_M4_M2_MASK }, // 184
  { 0x1, 0x0, 0x4, 0x1, 0x7, PseudoVSUXEI16_V_MF2_M2_MASK }, // 185
  { 0x1, 0x0, 0x4, 0x2, 0x0, PseudoVSUXEI16_V_M1_M4_MASK }, // 186
  { 0x1, 0x0, 0x4, 0x2, 0x1, PseudoVSUXEI16_V_M2_M4_MASK }, // 187
  { 0x1, 0x0, 0x4, 0x2, 0x2, PseudoVSUXEI16_V_M4_M4_MASK }, // 188
  { 0x1, 0x0, 0x4, 0x2, 0x3, PseudoVSUXEI16_V_M8_M4_MASK }, // 189
  { 0x1, 0x0, 0x4, 0x3, 0x1, PseudoVSUXEI16_V_M2_M8_MASK }, // 190
  { 0x1, 0x0, 0x4, 0x3, 0x2, PseudoVSUXEI16_V_M4_M8_MASK }, // 191
  { 0x1, 0x0, 0x4, 0x3, 0x3, PseudoVSUXEI16_V_M8_M8_MASK }, // 192
  { 0x1, 0x0, 0x4, 0x5, 0x6, PseudoVSUXEI16_V_MF4_MF8_MASK }, // 193
  { 0x1, 0x0, 0x4, 0x6, 0x6, PseudoVSUXEI16_V_MF4_MF4_MASK }, // 194
  { 0x1, 0x0, 0x4, 0x6, 0x7, PseudoVSUXEI16_V_MF2_MF4_MASK }, // 195
  { 0x1, 0x0, 0x4, 0x7, 0x0, PseudoVSUXEI16_V_M1_MF2_MASK }, // 196
  { 0x1, 0x0, 0x4, 0x7, 0x6, PseudoVSUXEI16_V_MF4_MF2_MASK }, // 197
  { 0x1, 0x0, 0x4, 0x7, 0x7, PseudoVSUXEI16_V_MF2_MF2_MASK }, // 198
  { 0x1, 0x0, 0x5, 0x0, 0x0, PseudoVSUXEI32_V_M1_M1_MASK }, // 199
  { 0x1, 0x0, 0x5, 0x0, 0x1, PseudoVSUXEI32_V_M2_M1_MASK }, // 200
  { 0x1, 0x0, 0x5, 0x0, 0x2, PseudoVSUXEI32_V_M4_M1_MASK }, // 201
  { 0x1, 0x0, 0x5, 0x0, 0x7, PseudoVSUXEI32_V_MF2_M1_MASK }, // 202
  { 0x1, 0x0, 0x5, 0x1, 0x0, PseudoVSUXEI32_V_M1_M2_MASK }, // 203
  { 0x1, 0x0, 0x5, 0x1, 0x1, PseudoVSUXEI32_V_M2_M2_MASK }, // 204
  { 0x1, 0x0, 0x5, 0x1, 0x2, PseudoVSUXEI32_V_M4_M2_MASK }, // 205
  { 0x1, 0x0, 0x5, 0x1, 0x3, PseudoVSUXEI32_V_M8_M2_MASK }, // 206
  { 0x1, 0x0, 0x5, 0x2, 0x1, PseudoVSUXEI32_V_M2_M4_MASK }, // 207
  { 0x1, 0x0, 0x5, 0x2, 0x2, PseudoVSUXEI32_V_M4_M4_MASK }, // 208
  { 0x1, 0x0, 0x5, 0x2, 0x3, PseudoVSUXEI32_V_M8_M4_MASK }, // 209
  { 0x1, 0x0, 0x5, 0x3, 0x2, PseudoVSUXEI32_V_M4_M8_MASK }, // 210
  { 0x1, 0x0, 0x5, 0x3, 0x3, PseudoVSUXEI32_V_M8_M8_MASK }, // 211
  { 0x1, 0x0, 0x5, 0x5, 0x7, PseudoVSUXEI32_V_MF2_MF8_MASK }, // 212
  { 0x1, 0x0, 0x5, 0x6, 0x0, PseudoVSUXEI32_V_M1_MF4_MASK }, // 213
  { 0x1, 0x0, 0x5, 0x6, 0x7, PseudoVSUXEI32_V_MF2_MF4_MASK }, // 214
  { 0x1, 0x0, 0x5, 0x7, 0x0, PseudoVSUXEI32_V_M1_MF2_MASK }, // 215
  { 0x1, 0x0, 0x5, 0x7, 0x1, PseudoVSUXEI32_V_M2_MF2_MASK }, // 216
  { 0x1, 0x0, 0x5, 0x7, 0x7, PseudoVSUXEI32_V_MF2_MF2_MASK }, // 217
  { 0x1, 0x0, 0x6, 0x0, 0x0, PseudoVSUXEI64_V_M1_M1_MASK }, // 218
  { 0x1, 0x0, 0x6, 0x0, 0x1, PseudoVSUXEI64_V_M2_M1_MASK }, // 219
  { 0x1, 0x0, 0x6, 0x0, 0x2, PseudoVSUXEI64_V_M4_M1_MASK }, // 220
  { 0x1, 0x0, 0x6, 0x0, 0x3, PseudoVSUXEI64_V_M8_M1_MASK }, // 221
  { 0x1, 0x0, 0x6, 0x1, 0x1, PseudoVSUXEI64_V_M2_M2_MASK }, // 222
  { 0x1, 0x0, 0x6, 0x1, 0x2, PseudoVSUXEI64_V_M4_M2_MASK }, // 223
  { 0x1, 0x0, 0x6, 0x1, 0x3, PseudoVSUXEI64_V_M8_M2_MASK }, // 224
  { 0x1, 0x0, 0x6, 0x2, 0x2, PseudoVSUXEI64_V_M4_M4_MASK }, // 225
  { 0x1, 0x0, 0x6, 0x2, 0x3, PseudoVSUXEI64_V_M8_M4_MASK }, // 226
  { 0x1, 0x0, 0x6, 0x3, 0x3, PseudoVSUXEI64_V_M8_M8_MASK }, // 227
  { 0x1, 0x0, 0x6, 0x5, 0x0, PseudoVSUXEI64_V_M1_MF8_MASK }, // 228
  { 0x1, 0x0, 0x6, 0x6, 0x0, PseudoVSUXEI64_V_M1_MF4_MASK }, // 229
  { 0x1, 0x0, 0x6, 0x6, 0x1, PseudoVSUXEI64_V_M2_MF4_MASK }, // 230
  { 0x1, 0x0, 0x6, 0x7, 0x0, PseudoVSUXEI64_V_M1_MF2_MASK }, // 231
  { 0x1, 0x0, 0x6, 0x7, 0x1, PseudoVSUXEI64_V_M2_MF2_MASK }, // 232
  { 0x1, 0x0, 0x6, 0x7, 0x2, PseudoVSUXEI64_V_M4_MF2_MASK }, // 233
  { 0x1, 0x1, 0x3, 0x0, 0x0, PseudoVSOXEI8_V_M1_M1_MASK }, // 234
  { 0x1, 0x1, 0x3, 0x0, 0x5, PseudoVSOXEI8_V_MF8_M1_MASK }, // 235
  { 0x1, 0x1, 0x3, 0x0, 0x6, PseudoVSOXEI8_V_MF4_M1_MASK }, // 236
  { 0x1, 0x1, 0x3, 0x0, 0x7, PseudoVSOXEI8_V_MF2_M1_MASK }, // 237
  { 0x1, 0x1, 0x3, 0x1, 0x0, PseudoVSOXEI8_V_M1_M2_MASK }, // 238
  { 0x1, 0x1, 0x3, 0x1, 0x1, PseudoVSOXEI8_V_M2_M2_MASK }, // 239
  { 0x1, 0x1, 0x3, 0x1, 0x6, PseudoVSOXEI8_V_MF4_M2_MASK }, // 240
  { 0x1, 0x1, 0x3, 0x1, 0x7, PseudoVSOXEI8_V_MF2_M2_MASK }, // 241
  { 0x1, 0x1, 0x3, 0x2, 0x0, PseudoVSOXEI8_V_M1_M4_MASK }, // 242
  { 0x1, 0x1, 0x3, 0x2, 0x1, PseudoVSOXEI8_V_M2_M4_MASK }, // 243
  { 0x1, 0x1, 0x3, 0x2, 0x2, PseudoVSOXEI8_V_M4_M4_MASK }, // 244
  { 0x1, 0x1, 0x3, 0x2, 0x7, PseudoVSOXEI8_V_MF2_M4_MASK }, // 245
  { 0x1, 0x1, 0x3, 0x3, 0x0, PseudoVSOXEI8_V_M1_M8_MASK }, // 246
  { 0x1, 0x1, 0x3, 0x3, 0x1, PseudoVSOXEI8_V_M2_M8_MASK }, // 247
  { 0x1, 0x1, 0x3, 0x3, 0x2, PseudoVSOXEI8_V_M4_M8_MASK }, // 248
  { 0x1, 0x1, 0x3, 0x3, 0x3, PseudoVSOXEI8_V_M8_M8_MASK }, // 249
  { 0x1, 0x1, 0x3, 0x5, 0x5, PseudoVSOXEI8_V_MF8_MF8_MASK }, // 250
  { 0x1, 0x1, 0x3, 0x6, 0x5, PseudoVSOXEI8_V_MF8_MF4_MASK }, // 251
  { 0x1, 0x1, 0x3, 0x6, 0x6, PseudoVSOXEI8_V_MF4_MF4_MASK }, // 252
  { 0x1, 0x1, 0x3, 0x7, 0x5, PseudoVSOXEI8_V_MF8_MF2_MASK }, // 253
  { 0x1, 0x1, 0x3, 0x7, 0x6, PseudoVSOXEI8_V_MF4_MF2_MASK }, // 254
  { 0x1, 0x1, 0x3, 0x7, 0x7, PseudoVSOXEI8_V_MF2_MF2_MASK }, // 255
  { 0x1, 0x1, 0x4, 0x0, 0x0, PseudoVSOXEI16_V_M1_M1_MASK }, // 256
  { 0x1, 0x1, 0x4, 0x0, 0x1, PseudoVSOXEI16_V_M2_M1_MASK }, // 257
  { 0x1, 0x1, 0x4, 0x0, 0x6, PseudoVSOXEI16_V_MF4_M1_MASK }, // 258
  { 0x1, 0x1, 0x4, 0x0, 0x7, PseudoVSOXEI16_V_MF2_M1_MASK }, // 259
  { 0x1, 0x1, 0x4, 0x1, 0x0, PseudoVSOXEI16_V_M1_M2_MASK }, // 260
  { 0x1, 0x1, 0x4, 0x1, 0x1, PseudoVSOXEI16_V_M2_M2_MASK }, // 261
  { 0x1, 0x1, 0x4, 0x1, 0x2, PseudoVSOXEI16_V_M4_M2_MASK }, // 262
  { 0x1, 0x1, 0x4, 0x1, 0x7, PseudoVSOXEI16_V_MF2_M2_MASK }, // 263
  { 0x1, 0x1, 0x4, 0x2, 0x0, PseudoVSOXEI16_V_M1_M4_MASK }, // 264
  { 0x1, 0x1, 0x4, 0x2, 0x1, PseudoVSOXEI16_V_M2_M4_MASK }, // 265
  { 0x1, 0x1, 0x4, 0x2, 0x2, PseudoVSOXEI16_V_M4_M4_MASK }, // 266
  { 0x1, 0x1, 0x4, 0x2, 0x3, PseudoVSOXEI16_V_M8_M4_MASK }, // 267
  { 0x1, 0x1, 0x4, 0x3, 0x1, PseudoVSOXEI16_V_M2_M8_MASK }, // 268
  { 0x1, 0x1, 0x4, 0x3, 0x2, PseudoVSOXEI16_V_M4_M8_MASK }, // 269
  { 0x1, 0x1, 0x4, 0x3, 0x3, PseudoVSOXEI16_V_M8_M8_MASK }, // 270
  { 0x1, 0x1, 0x4, 0x5, 0x6, PseudoVSOXEI16_V_MF4_MF8_MASK }, // 271
  { 0x1, 0x1, 0x4, 0x6, 0x6, PseudoVSOXEI16_V_MF4_MF4_MASK }, // 272
  { 0x1, 0x1, 0x4, 0x6, 0x7, PseudoVSOXEI16_V_MF2_MF4_MASK }, // 273
  { 0x1, 0x1, 0x4, 0x7, 0x0, PseudoVSOXEI16_V_M1_MF2_MASK }, // 274
  { 0x1, 0x1, 0x4, 0x7, 0x6, PseudoVSOXEI16_V_MF4_MF2_MASK }, // 275
  { 0x1, 0x1, 0x4, 0x7, 0x7, PseudoVSOXEI16_V_MF2_MF2_MASK }, // 276
  { 0x1, 0x1, 0x5, 0x0, 0x0, PseudoVSOXEI32_V_M1_M1_MASK }, // 277
  { 0x1, 0x1, 0x5, 0x0, 0x1, PseudoVSOXEI32_V_M2_M1_MASK }, // 278
  { 0x1, 0x1, 0x5, 0x0, 0x2, PseudoVSOXEI32_V_M4_M1_MASK }, // 279
  { 0x1, 0x1, 0x5, 0x0, 0x7, PseudoVSOXEI32_V_MF2_M1_MASK }, // 280
  { 0x1, 0x1, 0x5, 0x1, 0x0, PseudoVSOXEI32_V_M1_M2_MASK }, // 281
  { 0x1, 0x1, 0x5, 0x1, 0x1, PseudoVSOXEI32_V_M2_M2_MASK }, // 282
  { 0x1, 0x1, 0x5, 0x1, 0x2, PseudoVSOXEI32_V_M4_M2_MASK }, // 283
  { 0x1, 0x1, 0x5, 0x1, 0x3, PseudoVSOXEI32_V_M8_M2_MASK }, // 284
  { 0x1, 0x1, 0x5, 0x2, 0x1, PseudoVSOXEI32_V_M2_M4_MASK }, // 285
  { 0x1, 0x1, 0x5, 0x2, 0x2, PseudoVSOXEI32_V_M4_M4_MASK }, // 286
  { 0x1, 0x1, 0x5, 0x2, 0x3, PseudoVSOXEI32_V_M8_M4_MASK }, // 287
  { 0x1, 0x1, 0x5, 0x3, 0x2, PseudoVSOXEI32_V_M4_M8_MASK }, // 288
  { 0x1, 0x1, 0x5, 0x3, 0x3, PseudoVSOXEI32_V_M8_M8_MASK }, // 289
  { 0x1, 0x1, 0x5, 0x5, 0x7, PseudoVSOXEI32_V_MF2_MF8_MASK }, // 290
  { 0x1, 0x1, 0x5, 0x6, 0x0, PseudoVSOXEI32_V_M1_MF4_MASK }, // 291
  { 0x1, 0x1, 0x5, 0x6, 0x7, PseudoVSOXEI32_V_MF2_MF4_MASK }, // 292
  { 0x1, 0x1, 0x5, 0x7, 0x0, PseudoVSOXEI32_V_M1_MF2_MASK }, // 293
  { 0x1, 0x1, 0x5, 0x7, 0x1, PseudoVSOXEI32_V_M2_MF2_MASK }, // 294
  { 0x1, 0x1, 0x5, 0x7, 0x7, PseudoVSOXEI32_V_MF2_MF2_MASK }, // 295
  { 0x1, 0x1, 0x6, 0x0, 0x0, PseudoVSOXEI64_V_M1_M1_MASK }, // 296
  { 0x1, 0x1, 0x6, 0x0, 0x1, PseudoVSOXEI64_V_M2_M1_MASK }, // 297
  { 0x1, 0x1, 0x6, 0x0, 0x2, PseudoVSOXEI64_V_M4_M1_MASK }, // 298
  { 0x1, 0x1, 0x6, 0x0, 0x3, PseudoVSOXEI64_V_M8_M1_MASK }, // 299
  { 0x1, 0x1, 0x6, 0x1, 0x1, PseudoVSOXEI64_V_M2_M2_MASK }, // 300
  { 0x1, 0x1, 0x6, 0x1, 0x2, PseudoVSOXEI64_V_M4_M2_MASK }, // 301
  { 0x1, 0x1, 0x6, 0x1, 0x3, PseudoVSOXEI64_V_M8_M2_MASK }, // 302
  { 0x1, 0x1, 0x6, 0x2, 0x2, PseudoVSOXEI64_V_M4_M4_MASK }, // 303
  { 0x1, 0x1, 0x6, 0x2, 0x3, PseudoVSOXEI64_V_M8_M4_MASK }, // 304
  { 0x1, 0x1, 0x6, 0x3, 0x3, PseudoVSOXEI64_V_M8_M8_MASK }, // 305
  { 0x1, 0x1, 0x6, 0x5, 0x0, PseudoVSOXEI64_V_M1_MF8_MASK }, // 306
  { 0x1, 0x1, 0x6, 0x6, 0x0, PseudoVSOXEI64_V_M1_MF4_MASK }, // 307
  { 0x1, 0x1, 0x6, 0x6, 0x1, PseudoVSOXEI64_V_M2_MF4_MASK }, // 308
  { 0x1, 0x1, 0x6, 0x7, 0x0, PseudoVSOXEI64_V_M1_MF2_MASK }, // 309
  { 0x1, 0x1, 0x6, 0x7, 0x1, PseudoVSOXEI64_V_M2_MF2_MASK }, // 310
  { 0x1, 0x1, 0x6, 0x7, 0x2, PseudoVSOXEI64_V_M4_MF2_MASK }, // 311
 };

const VLX_VSXPseudo *getVSXPseudo(uint8_t Masked, uint8_t Ordered, uint8_t Log2SEW, uint8_t LMUL, uint8_t IndexLMUL) {
  struct KeyType {
    uint8_t Masked;
    uint8_t Ordered;
    uint8_t Log2SEW;
    uint8_t LMUL;
    uint8_t IndexLMUL;
  };
  KeyType Key = {Masked, Ordered, Log2SEW, LMUL, IndexLMUL};
  auto Table = makeArrayRef(RISCVVSXTable);
  auto Idx = std::lower_bound(Table.begin(), Table.end(), Key,
    [](const VLX_VSXPseudo &LHS, const KeyType &RHS) {
      if (LHS.Masked < RHS.Masked)
        return true;
      if (LHS.Masked > RHS.Masked)
        return false;
      if (LHS.Ordered < RHS.Ordered)
        return true;
      if (LHS.Ordered > RHS.Ordered)
        return false;
      if (LHS.Log2SEW < RHS.Log2SEW)
        return true;
      if (LHS.Log2SEW > RHS.Log2SEW)
        return false;
      if (LHS.LMUL < RHS.LMUL)
        return true;
      if (LHS.LMUL > RHS.LMUL)
        return false;
      if (LHS.IndexLMUL < RHS.IndexLMUL)
        return true;
      if (LHS.IndexLMUL > RHS.IndexLMUL)
        return false;
      return false;
    });

  if (Idx == Table.end() ||
      Key.Masked != Idx->Masked ||
      Key.Ordered != Idx->Ordered ||
      Key.Log2SEW != Idx->Log2SEW ||
      Key.LMUL != Idx->LMUL ||
      Key.IndexLMUL != Idx->IndexLMUL)
    return nullptr;
  return &*Idx;
}
#endif

#ifdef GET_SysRegsList_DECL
const SysReg *lookupSysRegByEncoding(uint16_t Encoding);
const SysReg *lookupSysRegByAltName(StringRef AltName);
const SysReg *lookupSysRegByDeprecatedName(StringRef DeprecatedName);
const SysReg *lookupSysRegByName(StringRef Name);
#endif

#ifdef GET_SysRegsList_IMPL
constexpr SysReg SysRegsList[] = {
  { "ustatus", "ustatus", "", 0x0,  {} , false }, // 0
  { "fflags", "fflags", "", 0x1,  {} , false }, // 1
  { "frm", "frm", "", 0x2,  {} , false }, // 2
  { "fcsr", "fcsr", "", 0x3,  {} , false }, // 3
  { "uie", "uie", "", 0x4,  {} , false }, // 4
  { "utvec", "utvec", "", 0x5,  {} , false }, // 5
  { "vstart", "vstart", "", 0x8,  {} , false }, // 6
  { "vxsat", "vxsat", "", 0x9,  {} , false }, // 7
  { "vxrm", "vxrm", "", 0xA,  {} , false }, // 8
  { "uscratch", "uscratch", "", 0x40,  {} , false }, // 9
  { "uepc", "uepc", "", 0x41,  {} , false }, // 10
  { "ucause", "ucause", "", 0x42,  {} , false }, // 11
  { "utval", "utval", "ubadaddr", 0x43,  {} , false }, // 12
  { "uip", "uip", "", 0x44,  {} , false }, // 13
  { "sstatus", "sstatus", "", 0x100,  {} , false }, // 14
  { "sedeleg", "sedeleg", "", 0x102,  {} , false }, // 15
  { "sideleg", "sideleg", "", 0x103,  {} , false }, // 16
  { "sie", "sie", "", 0x104,  {} , false }, // 17
  { "stvec", "stvec", "", 0x105,  {} , false }, // 18
  { "scounteren", "scounteren", "", 0x106,  {} , false }, // 19
  { "sscratch", "sscratch", "", 0x140,  {} , false }, // 20
  { "sepc", "sepc", "", 0x141,  {} , false }, // 21
  { "scause", "scause", "", 0x142,  {} , false }, // 22
  { "stval", "stval", "sbadaddr", 0x143,  {} , false }, // 23
  { "sip", "sip", "", 0x144,  {} , false }, // 24
  { "satp", "satp", "sptbr", 0x180,  {} , false }, // 25
  { "mstatus", "mstatus", "", 0x300,  {} , false }, // 26
  { "misa", "misa", "", 0x301,  {} , false }, // 27
  { "medeleg", "medeleg", "", 0x302,  {} , false }, // 28
  { "mideleg", "mideleg", "", 0x303,  {} , false }, // 29
  { "mie", "mie", "", 0x304,  {} , false }, // 30
  { "mtvec", "mtvec", "", 0x305,  {} , false }, // 31
  { "mcounteren", "mcounteren", "", 0x306,  {} , false }, // 32
  { "mcountinhibit", "mucounteren", "", 0x320,  {} , false }, // 33
  { "mhpmevent3", "mhpmevent3", "", 0x323,  {} , false }, // 34
  { "mhpmevent4", "mhpmevent4", "", 0x324,  {} , false }, // 35
  { "mhpmevent5", "mhpmevent5", "", 0x325,  {} , false }, // 36
  { "mhpmevent6", "mhpmevent6", "", 0x326,  {} , false }, // 37
  { "mhpmevent7", "mhpmevent7", "", 0x327,  {} , false }, // 38
  { "mhpmevent8", "mhpmevent8", "", 0x328,  {} , false }, // 39
  { "mhpmevent9", "mhpmevent9", "", 0x329,  {} , false }, // 40
  { "mhpmevent10", "mhpmevent10", "", 0x32A,  {} , false }, // 41
  { "mhpmevent11", "mhpmevent11", "", 0x32B,  {} , false }, // 42
  { "mhpmevent12", "mhpmevent12", "", 0x32C,  {} , false }, // 43
  { "mhpmevent13", "mhpmevent13", "", 0x32D,  {} , false }, // 44
  { "mhpmevent14", "mhpmevent14", "", 0x32E,  {} , false }, // 45
  { "mhpmevent15", "mhpmevent15", "", 0x32F,  {} , false }, // 46
  { "mhpmevent16", "mhpmevent16", "", 0x330,  {} , false }, // 47
  { "mhpmevent17", "mhpmevent17", "", 0x331,  {} , false }, // 48
  { "mhpmevent18", "mhpmevent18", "", 0x332,  {} , false }, // 49
  { "mhpmevent19", "mhpmevent19", "", 0x333,  {} , false }, // 50
  { "mhpmevent20", "mhpmevent20", "", 0x334,  {} , false }, // 51
  { "mhpmevent21", "mhpmevent21", "", 0x335,  {} , false }, // 52
  { "mhpmevent22", "mhpmevent22", "", 0x336,  {} , false }, // 53
  { "mhpmevent23", "mhpmevent23", "", 0x337,  {} , false }, // 54
  { "mhpmevent24", "mhpmevent24", "", 0x338,  {} , false }, // 55
  { "mhpmevent25", "mhpmevent25", "", 0x339,  {} , false }, // 56
  { "mhpmevent26", "mhpmevent26", "", 0x33A,  {} , false }, // 57
  { "mhpmevent27", "mhpmevent27", "", 0x33B,  {} , false }, // 58
  { "mhpmevent28", "mhpmevent28", "", 0x33C,  {} , false }, // 59
  { "mhpmevent29", "mhpmevent29", "", 0x33D,  {} , false }, // 60
  { "mhpmevent30", "mhpmevent30", "", 0x33E,  {} , false }, // 61
  { "mhpmevent31", "mhpmevent31", "", 0x33F,  {} , false }, // 62
  { "mscratch", "mscratch", "", 0x340,  {} , false }, // 63
  { "mepc", "mepc", "", 0x341,  {} , false }, // 64
  { "mcause", "mcause", "", 0x342,  {} , false }, // 65
  { "mtval", "mtval", "mbadaddr", 0x343,  {} , false }, // 66
  { "mip", "mip", "", 0x344,  {} , false }, // 67
  { "pmpcfg0", "pmpcfg0", "", 0x3A0,  {} , false }, // 68
  { "pmpcfg1", "pmpcfg1", "", 0x3A1,  {} , true }, // 69
  { "pmpcfg2", "pmpcfg2", "", 0x3A2,  {} , false }, // 70
  { "pmpcfg3", "pmpcfg3", "", 0x3A3,  {} , true }, // 71
  { "pmpaddr0", "pmpaddr0", "", 0x3B0,  {} , false }, // 72
  { "pmpaddr1", "pmpaddr1", "", 0x3B1,  {} , false }, // 73
  { "pmpaddr2", "pmpaddr2", "", 0x3B2,  {} , false }, // 74
  { "pmpaddr3", "pmpaddr3", "", 0x3B3,  {} , false }, // 75
  { "pmpaddr4", "pmpaddr4", "", 0x3B4,  {} , false }, // 76
  { "pmpaddr5", "pmpaddr5", "", 0x3B5,  {} , false }, // 77
  { "pmpaddr6", "pmpaddr6", "", 0x3B6,  {} , false }, // 78
  { "pmpaddr7", "pmpaddr7", "", 0x3B7,  {} , false }, // 79
  { "pmpaddr8", "pmpaddr8", "", 0x3B8,  {} , false }, // 80
  { "pmpaddr9", "pmpaddr9", "", 0x3B9,  {} , false }, // 81
  { "pmpaddr10", "pmpaddr10", "", 0x3BA,  {} , false }, // 82
  { "pmpaddr11", "pmpaddr11", "", 0x3BB,  {} , false }, // 83
  { "pmpaddr12", "pmpaddr12", "", 0x3BC,  {} , false }, // 84
  { "pmpaddr13", "pmpaddr13", "", 0x3BD,  {} , false }, // 85
  { "pmpaddr14", "pmpaddr14", "", 0x3BE,  {} , false }, // 86
  { "pmpaddr15", "pmpaddr15", "", 0x3BF,  {} , false }, // 87
  { "tselect", "tselect", "", 0x7A0,  {} , false }, // 88
  { "tdata1", "tdata1", "", 0x7A1,  {} , false }, // 89
  { "tdata2", "tdata2", "", 0x7A2,  {} , false }, // 90
  { "tdata3", "tdata3", "", 0x7A3,  {} , false }, // 91
  { "dcsr", "dcsr", "", 0x7B0,  {} , false }, // 92
  { "dpc", "dpc", "", 0x7B1,  {} , false }, // 93
  { "dscratch0", "dscratch", "", 0x7B2,  {} , false }, // 94
  { "dscratch1", "dscratch1", "", 0x7B3,  {} , false }, // 95
  { "mcycle", "mcycle", "", 0xB00,  {} , false }, // 96
  { "minstret", "minstret", "", 0xB02,  {} , false }, // 97
  { "mhpmcounter3", "mhpmcounter3", "", 0xB03,  {} , false }, // 98
  { "mhpmcounter4", "mhpmcounter4", "", 0xB04,  {} , false }, // 99
  { "mhpmcounter5", "mhpmcounter5", "", 0xB05,  {} , false }, // 100
  { "mhpmcounter6", "mhpmcounter6", "", 0xB06,  {} , false }, // 101
  { "mhpmcounter7", "mhpmcounter7", "", 0xB07,  {} , false }, // 102
  { "mhpmcounter8", "mhpmcounter8", "", 0xB08,  {} , false }, // 103
  { "mhpmcounter9", "mhpmcounter9", "", 0xB09,  {} , false }, // 104
  { "mhpmcounter10", "mhpmcounter10", "", 0xB0A,  {} , false }, // 105
  { "mhpmcounter11", "mhpmcounter11", "", 0xB0B,  {} , false }, // 106
  { "mhpmcounter12", "mhpmcounter12", "", 0xB0C,  {} , false }, // 107
  { "mhpmcounter13", "mhpmcounter13", "", 0xB0D,  {} , false }, // 108
  { "mhpmcounter14", "mhpmcounter14", "", 0xB0E,  {} , false }, // 109
  { "mhpmcounter15", "mhpmcounter15", "", 0xB0F,  {} , false }, // 110
  { "mhpmcounter16", "mhpmcounter16", "", 0xB10,  {} , false }, // 111
  { "mhpmcounter17", "mhpmcounter17", "", 0xB11,  {} , false }, // 112
  { "mhpmcounter18", "mhpmcounter18", "", 0xB12,  {} , false }, // 113
  { "mhpmcounter19", "mhpmcounter19", "", 0xB13,  {} , false }, // 114
  { "mhpmcounter20", "mhpmcounter20", "", 0xB14,  {} , false }, // 115
  { "mhpmcounter21", "mhpmcounter21", "", 0xB15,  {} , false }, // 116
  { "mhpmcounter22", "mhpmcounter22", "", 0xB16,  {} , false }, // 117
  { "mhpmcounter23", "mhpmcounter23", "", 0xB17,  {} , false }, // 118
  { "mhpmcounter24", "mhpmcounter24", "", 0xB18,  {} , false }, // 119
  { "mhpmcounter25", "mhpmcounter25", "", 0xB19,  {} , false }, // 120
  { "mhpmcounter26", "mhpmcounter26", "", 0xB1A,  {} , false }, // 121
  { "mhpmcounter27", "mhpmcounter27", "", 0xB1B,  {} , false }, // 122
  { "mhpmcounter28", "mhpmcounter28", "", 0xB1C,  {} , false }, // 123
  { "mhpmcounter29", "mhpmcounter29", "", 0xB1D,  {} , false }, // 124
  { "mhpmcounter30", "mhpmcounter30", "", 0xB1E,  {} , false }, // 125
  { "mhpmcounter31", "mhpmcounter31", "", 0xB1F,  {} , false }, // 126
  { "mcycleh", "mcycleh", "", 0xB80,  {} , true }, // 127
  { "minstreth", "minstreth", "", 0xB82,  {} , true }, // 128
  { "mhpmcounter3h", "mhpmcounter3h", "", 0xB83,  {} , true }, // 129
  { "mhpmcounter4h", "mhpmcounter4h", "", 0xB84,  {} , true }, // 130
  { "mhpmcounter5h", "mhpmcounter5h", "", 0xB85,  {} , true }, // 131
  { "mhpmcounter6h", "mhpmcounter6h", "", 0xB86,  {} , true }, // 132
  { "mhpmcounter7h", "mhpmcounter7h", "", 0xB87,  {} , true }, // 133
  { "mhpmcounter8h", "mhpmcounter8h", "", 0xB88,  {} , true }, // 134
  { "mhpmcounter9h", "mhpmcounter9h", "", 0xB89,  {} , true }, // 135
  { "mhpmcounter10h", "mhpmcounter10h", "", 0xB8A,  {} , true }, // 136
  { "mhpmcounter11h", "mhpmcounter11h", "", 0xB8B,  {} , true }, // 137
  { "mhpmcounter12h", "mhpmcounter12h", "", 0xB8C,  {} , true }, // 138
  { "mhpmcounter13h", "mhpmcounter13h", "", 0xB8D,  {} , true }, // 139
  { "mhpmcounter14h", "mhpmcounter14h", "", 0xB8E,  {} , true }, // 140
  { "mhpmcounter15h", "mhpmcounter15h", "", 0xB8F,  {} , true }, // 141
  { "mhpmcounter16h", "mhpmcounter16h", "", 0xB90,  {} , true }, // 142
  { "mhpmcounter17h", "mhpmcounter17h", "", 0xB91,  {} , true }, // 143
  { "mhpmcounter18h", "mhpmcounter18h", "", 0xB92,  {} , true }, // 144
  { "mhpmcounter19h", "mhpmcounter19h", "", 0xB93,  {} , true }, // 145
  { "mhpmcounter20h", "mhpmcounter20h", "", 0xB94,  {} , true }, // 146
  { "mhpmcounter21h", "mhpmcounter21h", "", 0xB95,  {} , true }, // 147
  { "mhpmcounter22h", "mhpmcounter22h", "", 0xB96,  {} , true }, // 148
  { "mhpmcounter23h", "mhpmcounter23h", "", 0xB97,  {} , true }, // 149
  { "mhpmcounter24h", "mhpmcounter24h", "", 0xB98,  {} , true }, // 150
  { "mhpmcounter25h", "mhpmcounter25h", "", 0xB99,  {} , true }, // 151
  { "mhpmcounter26h", "mhpmcounter26h", "", 0xB9A,  {} , true }, // 152
  { "mhpmcounter27h", "mhpmcounter27h", "", 0xB9B,  {} , true }, // 153
  { "mhpmcounter28h", "mhpmcounter28h", "", 0xB9C,  {} , true }, // 154
  { "mhpmcounter29h", "mhpmcounter29h", "", 0xB9D,  {} , true }, // 155
  { "mhpmcounter30h", "mhpmcounter30h", "", 0xB9E,  {} , true }, // 156
  { "mhpmcounter31h", "mhpmcounter31h", "", 0xB9F,  {} , true }, // 157
  { "cycle", "cycle", "", 0xC00,  {} , false }, // 158
  { "time", "time", "", 0xC01,  {} , false }, // 159
  { "instret", "instret", "", 0xC02,  {} , false }, // 160
  { "hpmcounter3", "hpmcounter3", "", 0xC03,  {} , false }, // 161
  { "hpmcounter4", "hpmcounter4", "", 0xC04,  {} , false }, // 162
  { "hpmcounter5", "hpmcounter5", "", 0xC05,  {} , false }, // 163
  { "hpmcounter6", "hpmcounter6", "", 0xC06,  {} , false }, // 164
  { "hpmcounter7", "hpmcounter7", "", 0xC07,  {} , false }, // 165
  { "hpmcounter8", "hpmcounter8", "", 0xC08,  {} , false }, // 166
  { "hpmcounter9", "hpmcounter9", "", 0xC09,  {} , false }, // 167
  { "hpmcounter10", "hpmcounter10", "", 0xC0A,  {} , false }, // 168
  { "hpmcounter11", "hpmcounter11", "", 0xC0B,  {} , false }, // 169
  { "hpmcounter12", "hpmcounter12", "", 0xC0C,  {} , false }, // 170
  { "hpmcounter13", "hpmcounter13", "", 0xC0D,  {} , false }, // 171
  { "hpmcounter14", "hpmcounter14", "", 0xC0E,  {} , false }, // 172
  { "hpmcounter15", "hpmcounter15", "", 0xC0F,  {} , false }, // 173
  { "hpmcounter16", "hpmcounter16", "", 0xC10,  {} , false }, // 174
  { "hpmcounter17", "hpmcounter17", "", 0xC11,  {} , false }, // 175
  { "hpmcounter18", "hpmcounter18", "", 0xC12,  {} , false }, // 176
  { "hpmcounter19", "hpmcounter19", "", 0xC13,  {} , false }, // 177
  { "hpmcounter20", "hpmcounter20", "", 0xC14,  {} , false }, // 178
  { "hpmcounter21", "hpmcounter21", "", 0xC15,  {} , false }, // 179
  { "hpmcounter22", "hpmcounter22", "", 0xC16,  {} , false }, // 180
  { "hpmcounter23", "hpmcounter23", "", 0xC17,  {} , false }, // 181
  { "hpmcounter24", "hpmcounter24", "", 0xC18,  {} , false }, // 182
  { "hpmcounter25", "hpmcounter25", "", 0xC19,  {} , false }, // 183
  { "hpmcounter26", "hpmcounter26", "", 0xC1A,  {} , false }, // 184
  { "hpmcounter27", "hpmcounter27", "", 0xC1B,  {} , false }, // 185
  { "hpmcounter28", "hpmcounter28", "", 0xC1C,  {} , false }, // 186
  { "hpmcounter29", "hpmcounter29", "", 0xC1D,  {} , false }, // 187
  { "hpmcounter30", "hpmcounter30", "", 0xC1E,  {} , false }, // 188
  { "hpmcounter31", "hpmcounter31", "", 0xC1F,  {} , false }, // 189
  { "vl", "vl", "", 0xC20,  {} , false }, // 190
  { "vtype", "vtype", "", 0xC21,  {} , false }, // 191
  { "vlenb", "vlenb", "", 0xC22,  {} , false }, // 192
  { "cycleh", "cycleh", "", 0xC80,  {} , true }, // 193
  { "timeh", "timeh", "", 0xC81,  {} , true }, // 194
  { "instreth", "instreth", "", 0xC82,  {} , true }, // 195
  { "hpmcounter3h", "hpmcounter3h", "", 0xC83,  {} , true }, // 196
  { "hpmcounter4h", "hpmcounter4h", "", 0xC84,  {} , true }, // 197
  { "hpmcounter5h", "hpmcounter5h", "", 0xC85,  {} , true }, // 198
  { "hpmcounter6h", "hpmcounter6h", "", 0xC86,  {} , true }, // 199
  { "hpmcounter7h", "hpmcounter7h", "", 0xC87,  {} , true }, // 200
  { "hpmcounter8h", "hpmcounter8h", "", 0xC88,  {} , true }, // 201
  { "hpmcounter9h", "hpmcounter9h", "", 0xC89,  {} , true }, // 202
  { "hpmcounter10h", "hpmcounter10h", "", 0xC8A,  {} , true }, // 203
  { "hpmcounter11h", "hpmcounter11h", "", 0xC8B,  {} , true }, // 204
  { "hpmcounter12h", "hpmcounter12h", "", 0xC8C,  {} , true }, // 205
  { "hpmcounter13h", "hpmcounter13h", "", 0xC8D,  {} , true }, // 206
  { "hpmcounter14h", "hpmcounter14h", "", 0xC8E,  {} , true }, // 207
  { "hpmcounter15h", "hpmcounter15h", "", 0xC8F,  {} , true }, // 208
  { "hpmcounter16h", "hpmcounter16h", "", 0xC90,  {} , true }, // 209
  { "hpmcounter17h", "hpmcounter17h", "", 0xC91,  {} , true }, // 210
  { "hpmcounter18h", "hpmcounter18h", "", 0xC92,  {} , true }, // 211
  { "hpmcounter19h", "hpmcounter19h", "", 0xC93,  {} , true }, // 212
  { "hpmcounter20h", "hpmcounter20h", "", 0xC94,  {} , true }, // 213
  { "hpmcounter21h", "hpmcounter21h", "", 0xC95,  {} , true }, // 214
  { "hpmcounter22h", "hpmcounter22h", "", 0xC96,  {} , true }, // 215
  { "hpmcounter23h", "hpmcounter23h", "", 0xC97,  {} , true }, // 216
  { "hpmcounter24h", "hpmcounter24h", "", 0xC98,  {} , true }, // 217
  { "hpmcounter25h", "hpmcounter25h", "", 0xC99,  {} , true }, // 218
  { "hpmcounter26h", "hpmcounter26h", "", 0xC9A,  {} , true }, // 219
  { "hpmcounter27h", "hpmcounter27h", "", 0xC9B,  {} , true }, // 220
  { "hpmcounter28h", "hpmcounter28h", "", 0xC9C,  {} , true }, // 221
  { "hpmcounter29h", "hpmcounter29h", "", 0xC9D,  {} , true }, // 222
  { "hpmcounter30h", "hpmcounter30h", "", 0xC9E,  {} , true }, // 223
  { "hpmcounter31h", "hpmcounter31h", "", 0xC9F,  {} , true }, // 224
  { "mvendorid", "mvendorid", "", 0xF11,  {} , false }, // 225
  { "marchid", "marchid", "", 0xF12,  {} , false }, // 226
  { "mimpid", "mimpid", "", 0xF13,  {} , false }, // 227
  { "mhartid", "mhartid", "", 0xF14,  {} , false }, // 228
 };

const SysReg *lookupSysRegByEncoding(uint16_t Encoding) {
  struct KeyType {
    uint16_t Encoding;
  };
  KeyType Key = {Encoding};
  auto Table = makeArrayRef(SysRegsList);
  auto Idx = std::lower_bound(Table.begin(), Table.end(), Key,
    [](const SysReg &LHS, const KeyType &RHS) {
      if (LHS.Encoding < RHS.Encoding)
        return true;
      if (LHS.Encoding > RHS.Encoding)
        return false;
      return false;
    });

  if (Idx == Table.end() ||
      Key.Encoding != Idx->Encoding)
    return nullptr;
  return &*Idx;
}

const SysReg *lookupSysRegByAltName(StringRef AltName) {
  struct IndexType {
    const char * AltName;
    unsigned _index;
  };
  static const struct IndexType Index[] = {
    { "CYCLE", 158 },
    { "CYCLEH", 193 },
    { "DCSR", 92 },
    { "DPC", 93 },
    { "DSCRATCH", 94 },
    { "DSCRATCH1", 95 },
    { "FCSR", 3 },
    { "FFLAGS", 1 },
    { "FRM", 2 },
    { "HPMCOUNTER10", 168 },
    { "HPMCOUNTER10H", 203 },
    { "HPMCOUNTER11", 169 },
    { "HPMCOUNTER11H", 204 },
    { "HPMCOUNTER12", 170 },
    { "HPMCOUNTER12H", 205 },
    { "HPMCOUNTER13", 171 },
    { "HPMCOUNTER13H", 206 },
    { "HPMCOUNTER14", 172 },
    { "HPMCOUNTER14H", 207 },
    { "HPMCOUNTER15", 173 },
    { "HPMCOUNTER15H", 208 },
    { "HPMCOUNTER16", 174 },
    { "HPMCOUNTER16H", 209 },
    { "HPMCOUNTER17", 175 },
    { "HPMCOUNTER17H", 210 },
    { "HPMCOUNTER18", 176 },
    { "HPMCOUNTER18H", 211 },
    { "HPMCOUNTER19", 177 },
    { "HPMCOUNTER19H", 212 },
    { "HPMCOUNTER20", 178 },
    { "HPMCOUNTER20H", 213 },
    { "HPMCOUNTER21", 179 },
    { "HPMCOUNTER21H", 214 },
    { "HPMCOUNTER22", 180 },
    { "HPMCOUNTER22H", 215 },
    { "HPMCOUNTER23", 181 },
    { "HPMCOUNTER23H", 216 },
    { "HPMCOUNTER24", 182 },
    { "HPMCOUNTER24H", 217 },
    { "HPMCOUNTER25", 183 },
    { "HPMCOUNTER25H", 218 },
    { "HPMCOUNTER26", 184 },
    { "HPMCOUNTER26H", 219 },
    { "HPMCOUNTER27", 185 },
    { "HPMCOUNTER27H", 220 },
    { "HPMCOUNTER28", 186 },
    { "HPMCOUNTER28H", 221 },
    { "HPMCOUNTER29", 187 },
    { "HPMCOUNTER29H", 222 },
    { "HPMCOUNTER3", 161 },
    { "HPMCOUNTER30", 188 },
    { "HPMCOUNTER30H", 223 },
    { "HPMCOUNTER31", 189 },
    { "HPMCOUNTER31H", 224 },
    { "HPMCOUNTER3H", 196 },
    { "HPMCOUNTER4", 162 },
    { "HPMCOUNTER4H", 197 },
    { "HPMCOUNTER5", 163 },
    { "HPMCOUNTER5H", 198 },
    { "HPMCOUNTER6", 164 },
    { "HPMCOUNTER6H", 199 },
    { "HPMCOUNTER7", 165 },
    { "HPMCOUNTER7H", 200 },
    { "HPMCOUNTER8", 166 },
    { "HPMCOUNTER8H", 201 },
    { "HPMCOUNTER9", 167 },
    { "HPMCOUNTER9H", 202 },
    { "INSTRET", 160 },
    { "INSTRETH", 195 },
    { "MARCHID", 226 },
    { "MCAUSE", 65 },
    { "MCOUNTEREN", 32 },
    { "MCYCLE", 96 },
    { "MCYCLEH", 127 },
    { "MEDELEG", 28 },
    { "MEPC", 64 },
    { "MHARTID", 228 },
    { "MHPMCOUNTER10", 105 },
    { "MHPMCOUNTER10H", 136 },
    { "MHPMCOUNTER11", 106 },
    { "MHPMCOUNTER11H", 137 },
    { "MHPMCOUNTER12", 107 },
    { "MHPMCOUNTER12H", 138 },
    { "MHPMCOUNTER13", 108 },
    { "MHPMCOUNTER13H", 139 },
    { "MHPMCOUNTER14", 109 },
    { "MHPMCOUNTER14H", 140 },
    { "MHPMCOUNTER15", 110 },
    { "MHPMCOUNTER15H", 141 },
    { "MHPMCOUNTER16", 111 },
    { "MHPMCOUNTER16H", 142 },
    { "MHPMCOUNTER17", 112 },
    { "MHPMCOUNTER17H", 143 },
    { "MHPMCOUNTER18", 113 },
    { "MHPMCOUNTER18H", 144 },
    { "MHPMCOUNTER19", 114 },
    { "MHPMCOUNTER19H", 145 },
    { "MHPMCOUNTER20", 115 },
    { "MHPMCOUNTER20H", 146 },
    { "MHPMCOUNTER21", 116 },
    { "MHPMCOUNTER21H", 147 },
    { "MHPMCOUNTER22", 117 },
    { "MHPMCOUNTER22H", 148 },
    { "MHPMCOUNTER23", 118 },
    { "MHPMCOUNTER23H", 149 },
    { "MHPMCOUNTER24", 119 },
    { "MHPMCOUNTER24H", 150 },
    { "MHPMCOUNTER25", 120 },
    { "MHPMCOUNTER25H", 151 },
    { "MHPMCOUNTER26", 121 },
    { "MHPMCOUNTER26H", 152 },
    { "MHPMCOUNTER27", 122 },
    { "MHPMCOUNTER27H", 153 },
    { "MHPMCOUNTER28", 123 },
    { "MHPMCOUNTER28H", 154 },
    { "MHPMCOUNTER29", 124 },
    { "MHPMCOUNTER29H", 155 },
    { "MHPMCOUNTER3", 98 },
    { "MHPMCOUNTER30", 125 },
    { "MHPMCOUNTER30H", 156 },
    { "MHPMCOUNTER31", 126 },
    { "MHPMCOUNTER31H", 157 },
    { "MHPMCOUNTER3H", 129 },
    { "MHPMCOUNTER4", 99 },
    { "MHPMCOUNTER4H", 130 },
    { "MHPMCOUNTER5", 100 },
    { "MHPMCOUNTER5H", 131 },
    { "MHPMCOUNTER6", 101 },
    { "MHPMCOUNTER6H", 132 },
    { "MHPMCOUNTER7", 102 },
    { "MHPMCOUNTER7H", 133 },
    { "MHPMCOUNTER8", 103 },
    { "MHPMCOUNTER8H", 134 },
    { "MHPMCOUNTER9", 104 },
    { "MHPMCOUNTER9H", 135 },
    { "MHPMEVENT10", 41 },
    { "MHPMEVENT11", 42 },
    { "MHPMEVENT12", 43 },
    { "MHPMEVENT13", 44 },
    { "MHPMEVENT14", 45 },
    { "MHPMEVENT15", 46 },
    { "MHPMEVENT16", 47 },
    { "MHPMEVENT17", 48 },
    { "MHPMEVENT18", 49 },
    { "MHPMEVENT19", 50 },
    { "MHPMEVENT20", 51 },
    { "MHPMEVENT21", 52 },
    { "MHPMEVENT22", 53 },
    { "MHPMEVENT23", 54 },
    { "MHPMEVENT24", 55 },
    { "MHPMEVENT25", 56 },
    { "MHPMEVENT26", 57 },
    { "MHPMEVENT27", 58 },
    { "MHPMEVENT28", 59 },
    { "MHPMEVENT29", 60 },
    { "MHPMEVENT3", 34 },
    { "MHPMEVENT30", 61 },
    { "MHPMEVENT31", 62 },
    { "MHPMEVENT4", 35 },
    { "MHPMEVENT5", 36 },
    { "MHPMEVENT6", 37 },
    { "MHPMEVENT7", 38 },
    { "MHPMEVENT8", 39 },
    { "MHPMEVENT9", 40 },
    { "MIDELEG", 29 },
    { "MIE", 30 },
    { "MIMPID", 227 },
    { "MINSTRET", 97 },
    { "MINSTRETH", 128 },
    { "MIP", 67 },
    { "MISA", 27 },
    { "MSCRATCH", 63 },
    { "MSTATUS", 26 },
    { "MTVAL", 66 },
    { "MTVEC", 31 },
    { "MUCOUNTEREN", 33 },
    { "MVENDORID", 225 },
    { "PMPADDR0", 72 },
    { "PMPADDR1", 73 },
    { "PMPADDR10", 82 },
    { "PMPADDR11", 83 },
    { "PMPADDR12", 84 },
    { "PMPADDR13", 85 },
    { "PMPADDR14", 86 },
    { "PMPADDR15", 87 },
    { "PMPADDR2", 74 },
    { "PMPADDR3", 75 },
    { "PMPADDR4", 76 },
    { "PMPADDR5", 77 },
    { "PMPADDR6", 78 },
    { "PMPADDR7", 79 },
    { "PMPADDR8", 80 },
    { "PMPADDR9", 81 },
    { "PMPCFG0", 68 },
    { "PMPCFG1", 69 },
    { "PMPCFG2", 70 },
    { "PMPCFG3", 71 },
    { "SATP", 25 },
    { "SCAUSE", 22 },
    { "SCOUNTEREN", 19 },
    { "SEDELEG", 15 },
    { "SEPC", 21 },
    { "SIDELEG", 16 },
    { "SIE", 17 },
    { "SIP", 24 },
    { "SSCRATCH", 20 },
    { "SSTATUS", 14 },
    { "STVAL", 23 },
    { "STVEC", 18 },
    { "TDATA1", 89 },
    { "TDATA2", 90 },
    { "TDATA3", 91 },
    { "TIME", 159 },
    { "TIMEH", 194 },
    { "TSELECT", 88 },
    { "UCAUSE", 11 },
    { "UEPC", 10 },
    { "UIE", 4 },
    { "UIP", 13 },
    { "USCRATCH", 9 },
    { "USTATUS", 0 },
    { "UTVAL", 12 },
    { "UTVEC", 5 },
    { "VL", 190 },
    { "VLENB", 192 },
    { "VSTART", 6 },
    { "VTYPE", 191 },
    { "VXRM", 8 },
    { "VXSAT", 7 },
  };

  struct KeyType {
    std::string AltName;
  };
  KeyType Key = {AltName.upper()};
  auto Table = makeArrayRef(Index);
  auto Idx = std::lower_bound(Table.begin(), Table.end(), Key,
    [](const IndexType &LHS, const KeyType &RHS) {
      int CmpAltName = StringRef(LHS.AltName).compare(RHS.AltName);
      if (CmpAltName < 0) return true;
      if (CmpAltName > 0) return false;
      return false;
    });

  if (Idx == Table.end() ||
      Key.AltName != Idx->AltName)
    return nullptr;
  return &SysRegsList[Idx->_index];
}

const SysReg *lookupSysRegByDeprecatedName(StringRef DeprecatedName) {
  struct IndexType {
    const char * DeprecatedName;
    unsigned _index;
  };
  static const struct IndexType Index[] = {
    { "", 0 },
    { "", 1 },
    { "", 2 },
    { "", 3 },
    { "", 4 },
    { "", 5 },
    { "", 6 },
    { "", 7 },
    { "", 8 },
    { "", 9 },
    { "", 10 },
    { "", 11 },
    { "", 13 },
    { "", 14 },
    { "", 15 },
    { "", 16 },
    { "", 17 },
    { "", 18 },
    { "", 19 },
    { "", 20 },
    { "", 21 },
    { "", 22 },
    { "", 24 },
    { "", 26 },
    { "", 27 },
    { "", 28 },
    { "", 29 },
    { "", 30 },
    { "", 31 },
    { "", 32 },
    { "", 33 },
    { "", 34 },
    { "", 35 },
    { "", 36 },
    { "", 37 },
    { "", 38 },
    { "", 39 },
    { "", 40 },
    { "", 41 },
    { "", 42 },
    { "", 43 },
    { "", 44 },
    { "", 45 },
    { "", 46 },
    { "", 47 },
    { "", 48 },
    { "", 49 },
    { "", 50 },
    { "", 51 },
    { "", 52 },
    { "", 53 },
    { "", 54 },
    { "", 55 },
    { "", 56 },
    { "", 57 },
    { "", 58 },
    { "", 59 },
    { "", 60 },
    { "", 61 },
    { "", 62 },
    { "", 63 },
    { "", 64 },
    { "", 65 },
    { "", 67 },
    { "", 68 },
    { "", 69 },
    { "", 70 },
    { "", 71 },
    { "", 72 },
    { "", 73 },
    { "", 74 },
    { "", 75 },
    { "", 76 },
    { "", 77 },
    { "", 78 },
    { "", 79 },
    { "", 80 },
    { "", 81 },
    { "", 82 },
    { "", 83 },
    { "", 84 },
    { "", 85 },
    { "", 86 },
    { "", 87 },
    { "", 88 },
    { "", 89 },
    { "", 90 },
    { "", 91 },
    { "", 92 },
    { "", 93 },
    { "", 94 },
    { "", 95 },
    { "", 96 },
    { "", 97 },
    { "", 98 },
    { "", 99 },
    { "", 100 },
    { "", 101 },
    { "", 102 },
    { "", 103 },
    { "", 104 },
    { "", 105 },
    { "", 106 },
    { "", 107 },
    { "", 108 },
    { "", 109 },
    { "", 110 },
    { "", 111 },
    { "", 112 },
    { "", 113 },
    { "", 114 },
    { "", 115 },
    { "", 116 },
    { "", 117 },
    { "", 118 },
    { "", 119 },
    { "", 120 },
    { "", 121 },
    { "", 122 },
    { "", 123 },
    { "", 124 },
    { "", 125 },
    { "", 126 },
    { "", 127 },
    { "", 128 },
    { "", 129 },
    { "", 130 },
    { "", 131 },
    { "", 132 },
    { "", 133 },
    { "", 134 },
    { "", 135 },
    { "", 136 },
    { "", 137 },
    { "", 138 },
    { "", 139 },
    { "", 140 },
    { "", 141 },
    { "", 142 },
    { "", 143 },
    { "", 144 },
    { "", 145 },
    { "", 146 },
    { "", 147 },
    { "", 148 },
    { "", 149 },
    { "", 150 },
    { "", 151 },
    { "", 152 },
    { "", 153 },
    { "", 154 },
    { "", 155 },
    { "", 156 },
    { "", 157 },
    { "", 158 },
    { "", 159 },
    { "", 160 },
    { "", 161 },
    { "", 162 },
    { "", 163 },
    { "", 164 },
    { "", 165 },
    { "", 166 },
    { "", 167 },
    { "", 168 },
    { "", 169 },
    { "", 170 },
    { "", 171 },
    { "", 172 },
    { "", 173 },
    { "", 174 },
    { "", 175 },
    { "", 176 },
    { "", 177 },
    { "", 178 },
    { "", 179 },
    { "", 180 },
    { "", 181 },
    { "", 182 },
    { "", 183 },
    { "", 184 },
    { "", 185 },
    { "", 186 },
    { "", 187 },
    { "", 188 },
    { "", 189 },
    { "", 190 },
    { "", 191 },
    { "", 192 },
    { "", 193 },
    { "", 194 },
    { "", 195 },
    { "", 196 },
    { "", 197 },
    { "", 198 },
    { "", 199 },
    { "", 200 },
    { "", 201 },
    { "", 202 },
    { "", 203 },
    { "", 204 },
    { "", 205 },
    { "", 206 },
    { "", 207 },
    { "", 208 },
    { "", 209 },
    { "", 210 },
    { "", 211 },
    { "", 212 },
    { "", 213 },
    { "", 214 },
    { "", 215 },
    { "", 216 },
    { "", 217 },
    { "", 218 },
    { "", 219 },
    { "", 220 },
    { "", 221 },
    { "", 222 },
    { "", 223 },
    { "", 224 },
    { "", 225 },
    { "", 226 },
    { "", 227 },
    { "", 228 },
    { "MBADADDR", 66 },
    { "SBADADDR", 23 },
    { "SPTBR", 25 },
    { "UBADADDR", 12 },
  };

  struct KeyType {
    std::string DeprecatedName;
  };
  KeyType Key = {DeprecatedName.upper()};
  auto Table = makeArrayRef(Index);
  auto Idx = std::lower_bound(Table.begin(), Table.end(), Key,
    [](const IndexType &LHS, const KeyType &RHS) {
      int CmpDeprecatedName = StringRef(LHS.DeprecatedName).compare(RHS.DeprecatedName);
      if (CmpDeprecatedName < 0) return true;
      if (CmpDeprecatedName > 0) return false;
      return false;
    });

  if (Idx == Table.end() ||
      Key.DeprecatedName != Idx->DeprecatedName)
    return nullptr;
  return &SysRegsList[Idx->_index];
}

const SysReg *lookupSysRegByName(StringRef Name) {
  struct IndexType {
    const char * Name;
    unsigned _index;
  };
  static const struct IndexType Index[] = {
    { "CYCLE", 158 },
    { "CYCLEH", 193 },
    { "DCSR", 92 },
    { "DPC", 93 },
    { "DSCRATCH0", 94 },
    { "DSCRATCH1", 95 },
    { "FCSR", 3 },
    { "FFLAGS", 1 },
    { "FRM", 2 },
    { "HPMCOUNTER10", 168 },
    { "HPMCOUNTER10H", 203 },
    { "HPMCOUNTER11", 169 },
    { "HPMCOUNTER11H", 204 },
    { "HPMCOUNTER12", 170 },
    { "HPMCOUNTER12H", 205 },
    { "HPMCOUNTER13", 171 },
    { "HPMCOUNTER13H", 206 },
    { "HPMCOUNTER14", 172 },
    { "HPMCOUNTER14H", 207 },
    { "HPMCOUNTER15", 173 },
    { "HPMCOUNTER15H", 208 },
    { "HPMCOUNTER16", 174 },
    { "HPMCOUNTER16H", 209 },
    { "HPMCOUNTER17", 175 },
    { "HPMCOUNTER17H", 210 },
    { "HPMCOUNTER18", 176 },
    { "HPMCOUNTER18H", 211 },
    { "HPMCOUNTER19", 177 },
    { "HPMCOUNTER19H", 212 },
    { "HPMCOUNTER20", 178 },
    { "HPMCOUNTER20H", 213 },
    { "HPMCOUNTER21", 179 },
    { "HPMCOUNTER21H", 214 },
    { "HPMCOUNTER22", 180 },
    { "HPMCOUNTER22H", 215 },
    { "HPMCOUNTER23", 181 },
    { "HPMCOUNTER23H", 216 },
    { "HPMCOUNTER24", 182 },
    { "HPMCOUNTER24H", 217 },
    { "HPMCOUNTER25", 183 },
    { "HPMCOUNTER25H", 218 },
    { "HPMCOUNTER26", 184 },
    { "HPMCOUNTER26H", 219 },
    { "HPMCOUNTER27", 185 },
    { "HPMCOUNTER27H", 220 },
    { "HPMCOUNTER28", 186 },
    { "HPMCOUNTER28H", 221 },
    { "HPMCOUNTER29", 187 },
    { "HPMCOUNTER29H", 222 },
    { "HPMCOUNTER3", 161 },
    { "HPMCOUNTER30", 188 },
    { "HPMCOUNTER30H", 223 },
    { "HPMCOUNTER31", 189 },
    { "HPMCOUNTER31H", 224 },
    { "HPMCOUNTER3H", 196 },
    { "HPMCOUNTER4", 162 },
    { "HPMCOUNTER4H", 197 },
    { "HPMCOUNTER5", 163 },
    { "HPMCOUNTER5H", 198 },
    { "HPMCOUNTER6", 164 },
    { "HPMCOUNTER6H", 199 },
    { "HPMCOUNTER7", 165 },
    { "HPMCOUNTER7H", 200 },
    { "HPMCOUNTER8", 166 },
    { "HPMCOUNTER8H", 201 },
    { "HPMCOUNTER9", 167 },
    { "HPMCOUNTER9H", 202 },
    { "INSTRET", 160 },
    { "INSTRETH", 195 },
    { "MARCHID", 226 },
    { "MCAUSE", 65 },
    { "MCOUNTEREN", 32 },
    { "MCOUNTINHIBIT", 33 },
    { "MCYCLE", 96 },
    { "MCYCLEH", 127 },
    { "MEDELEG", 28 },
    { "MEPC", 64 },
    { "MHARTID", 228 },
    { "MHPMCOUNTER10", 105 },
    { "MHPMCOUNTER10H", 136 },
    { "MHPMCOUNTER11", 106 },
    { "MHPMCOUNTER11H", 137 },
    { "MHPMCOUNTER12", 107 },
    { "MHPMCOUNTER12H", 138 },
    { "MHPMCOUNTER13", 108 },
    { "MHPMCOUNTER13H", 139 },
    { "MHPMCOUNTER14", 109 },
    { "MHPMCOUNTER14H", 140 },
    { "MHPMCOUNTER15", 110 },
    { "MHPMCOUNTER15H", 141 },
    { "MHPMCOUNTER16", 111 },
    { "MHPMCOUNTER16H", 142 },
    { "MHPMCOUNTER17", 112 },
    { "MHPMCOUNTER17H", 143 },
    { "MHPMCOUNTER18", 113 },
    { "MHPMCOUNTER18H", 144 },
    { "MHPMCOUNTER19", 114 },
    { "MHPMCOUNTER19H", 145 },
    { "MHPMCOUNTER20", 115 },
    { "MHPMCOUNTER20H", 146 },
    { "MHPMCOUNTER21", 116 },
    { "MHPMCOUNTER21H", 147 },
    { "MHPMCOUNTER22", 117 },
    { "MHPMCOUNTER22H", 148 },
    { "MHPMCOUNTER23", 118 },
    { "MHPMCOUNTER23H", 149 },
    { "MHPMCOUNTER24", 119 },
    { "MHPMCOUNTER24H", 150 },
    { "MHPMCOUNTER25", 120 },
    { "MHPMCOUNTER25H", 151 },
    { "MHPMCOUNTER26", 121 },
    { "MHPMCOUNTER26H", 152 },
    { "MHPMCOUNTER27", 122 },
    { "MHPMCOUNTER27H", 153 },
    { "MHPMCOUNTER28", 123 },
    { "MHPMCOUNTER28H", 154 },
    { "MHPMCOUNTER29", 124 },
    { "MHPMCOUNTER29H", 155 },
    { "MHPMCOUNTER3", 98 },
    { "MHPMCOUNTER30", 125 },
    { "MHPMCOUNTER30H", 156 },
    { "MHPMCOUNTER31", 126 },
    { "MHPMCOUNTER31H", 157 },
    { "MHPMCOUNTER3H", 129 },
    { "MHPMCOUNTER4", 99 },
    { "MHPMCOUNTER4H", 130 },
    { "MHPMCOUNTER5", 100 },
    { "MHPMCOUNTER5H", 131 },
    { "MHPMCOUNTER6", 101 },
    { "MHPMCOUNTER6H", 132 },
    { "MHPMCOUNTER7", 102 },
    { "MHPMCOUNTER7H", 133 },
    { "MHPMCOUNTER8", 103 },
    { "MHPMCOUNTER8H", 134 },
    { "MHPMCOUNTER9", 104 },
    { "MHPMCOUNTER9H", 135 },
    { "MHPMEVENT10", 41 },
    { "MHPMEVENT11", 42 },
    { "MHPMEVENT12", 43 },
    { "MHPMEVENT13", 44 },
    { "MHPMEVENT14", 45 },
    { "MHPMEVENT15", 46 },
    { "MHPMEVENT16", 47 },
    { "MHPMEVENT17", 48 },
    { "MHPMEVENT18", 49 },
    { "MHPMEVENT19", 50 },
    { "MHPMEVENT20", 51 },
    { "MHPMEVENT21", 52 },
    { "MHPMEVENT22", 53 },
    { "MHPMEVENT23", 54 },
    { "MHPMEVENT24", 55 },
    { "MHPMEVENT25", 56 },
    { "MHPMEVENT26", 57 },
    { "MHPMEVENT27", 58 },
    { "MHPMEVENT28", 59 },
    { "MHPMEVENT29", 60 },
    { "MHPMEVENT3", 34 },
    { "MHPMEVENT30", 61 },
    { "MHPMEVENT31", 62 },
    { "MHPMEVENT4", 35 },
    { "MHPMEVENT5", 36 },
    { "MHPMEVENT6", 37 },
    { "MHPMEVENT7", 38 },
    { "MHPMEVENT8", 39 },
    { "MHPMEVENT9", 40 },
    { "MIDELEG", 29 },
    { "MIE", 30 },
    { "MIMPID", 227 },
    { "MINSTRET", 97 },
    { "MINSTRETH", 128 },
    { "MIP", 67 },
    { "MISA", 27 },
    { "MSCRATCH", 63 },
    { "MSTATUS", 26 },
    { "MTVAL", 66 },
    { "MTVEC", 31 },
    { "MVENDORID", 225 },
    { "PMPADDR0", 72 },
    { "PMPADDR1", 73 },
    { "PMPADDR10", 82 },
    { "PMPADDR11", 83 },
    { "PMPADDR12", 84 },
    { "PMPADDR13", 85 },
    { "PMPADDR14", 86 },
    { "PMPADDR15", 87 },
    { "PMPADDR2", 74 },
    { "PMPADDR3", 75 },
    { "PMPADDR4", 76 },
    { "PMPADDR5", 77 },
    { "PMPADDR6", 78 },
    { "PMPADDR7", 79 },
    { "PMPADDR8", 80 },
    { "PMPADDR9", 81 },
    { "PMPCFG0", 68 },
    { "PMPCFG1", 69 },
    { "PMPCFG2", 70 },
    { "PMPCFG3", 71 },
    { "SATP", 25 },
    { "SCAUSE", 22 },
    { "SCOUNTEREN", 19 },
    { "SEDELEG", 15 },
    { "SEPC", 21 },
    { "SIDELEG", 16 },
    { "SIE", 17 },
    { "SIP", 24 },
    { "SSCRATCH", 20 },
    { "SSTATUS", 14 },
    { "STVAL", 23 },
    { "STVEC", 18 },
    { "TDATA1", 89 },
    { "TDATA2", 90 },
    { "TDATA3", 91 },
    { "TIME", 159 },
    { "TIMEH", 194 },
    { "TSELECT", 88 },
    { "UCAUSE", 11 },
    { "UEPC", 10 },
    { "UIE", 4 },
    { "UIP", 13 },
    { "USCRATCH", 9 },
    { "USTATUS", 0 },
    { "UTVAL", 12 },
    { "UTVEC", 5 },
    { "VL", 190 },
    { "VLENB", 192 },
    { "VSTART", 6 },
    { "VTYPE", 191 },
    { "VXRM", 8 },
    { "VXSAT", 7 },
  };

  struct KeyType {
    std::string Name;
  };
  KeyType Key = {Name.upper()};
  auto Table = makeArrayRef(Index);
  auto Idx = std::lower_bound(Table.begin(), Table.end(), Key,
    [](const IndexType &LHS, const KeyType &RHS) {
      int CmpName = StringRef(LHS.Name).compare(RHS.Name);
      if (CmpName < 0) return true;
      if (CmpName > 0) return false;
      return false;
    });

  if (Idx == Table.end() ||
      Key.Name != Idx->Name)
    return nullptr;
  return &SysRegsList[Idx->_index];
}
#endif

#undef GET_RISCVVIntrinsicsTable_DECL
#undef GET_RISCVVIntrinsicsTable_IMPL
#undef GET_RISCVVLETable_DECL
#undef GET_RISCVVLETable_IMPL
#undef GET_RISCVVLSEGTable_DECL
#undef GET_RISCVVLSEGTable_IMPL
#undef GET_RISCVVLXSEGTable_DECL
#undef GET_RISCVVLXSEGTable_IMPL
#undef GET_RISCVVLXTable_DECL
#undef GET_RISCVVLXTable_IMPL
#undef GET_RISCVVPseudosTable_DECL
#undef GET_RISCVVPseudosTable_IMPL
#undef GET_RISCVVSETable_DECL
#undef GET_RISCVVSETable_IMPL
#undef GET_RISCVVSSEGTable_DECL
#undef GET_RISCVVSSEGTable_IMPL
#undef GET_RISCVVSXSEGTable_DECL
#undef GET_RISCVVSXSEGTable_IMPL
#undef GET_RISCVVSXTable_DECL
#undef GET_RISCVVSXTable_IMPL
#undef GET_SysRegsList_DECL
#undef GET_SysRegsList_IMPL
