/*===- TableGen'erated file -------------------------------------*- C++ -*-===*\
|*                                                                            *|
|* DAG Instruction Selector for the WebAssembly target                        *|
|*                                                                            *|
|* Automatically generated file, do not edit!                                 *|
|*                                                                            *|
\*===----------------------------------------------------------------------===*/

// *** NOTE: This file is #included into the middle of the target
// *** instruction selector class.  These functions are really methods.

// If GET_DAGISEL_DECL is #defined with any value, only function
// declarations will be included when this file is included.
// If GET_DAGISEL_BODY is #defined, its value should be the name of
// the instruction selector class. Function bodies will be emitted
// and each function's name will be qualified with the name of the
// class.
//
// When neither of the GET_DAGISEL* macros is defined, the functions
// are emitted inline.

#if defined(GET_DAGISEL_DECL) && defined(GET_DAGISEL_BODY)
#error GET_DAGISEL_DECL and GET_DAGISEL_BODY cannot be both defined, undef both for inline definitions
#endif

#ifdef GET_DAGISEL_BODY
#define LOCAL_DAGISEL_STRINGIZE(X) LOCAL_DAGISEL_STRINGIZE_(X)
#define LOCAL_DAGISEL_STRINGIZE_(X) #X
static_assert(sizeof(LOCAL_DAGISEL_STRINGIZE(GET_DAGISEL_BODY)) > 1,
   "GET_DAGISEL_BODY is empty: it should be defined with the class name");
#undef LOCAL_DAGISEL_STRINGIZE_
#undef LOCAL_DAGISEL_STRINGIZE
#endif

#if !defined(GET_DAGISEL_DECL) && !defined(GET_DAGISEL_BODY)
#define DAGISEL_INLINE 1
#else
#define DAGISEL_INLINE 0
#endif

#if !DAGISEL_INLINE
#define DAGISEL_CLASS_COLONCOLON GET_DAGISEL_BODY ::
#else
#define DAGISEL_CLASS_COLONCOLON
#endif

#ifdef GET_DAGISEL_DECL
void SelectCode(SDNode *N);
#endif
#if defined(GET_DAGISEL_BODY) || DAGISEL_INLINE
void DAGISEL_CLASS_COLONCOLON SelectCode(SDNode *N)
{
  // Some target values are emitted as 2 bytes, TARGET_VAL handles
  // this.
  #define TARGET_VAL(X) X & 255, unsigned(X) >> 8
  static const unsigned char MatcherTable[] = {
/*     0*/ OPC_SwitchOpcode /*113 cases */, 127|128,58/*7551*/, TARGET_VAL(ISD::ZERO_EXTEND),// ->7556
/*     5*/  OPC_Scope, 114|128,58/*7538*/, /*->7546*/ // 2 children in Scope
/*     8*/   OPC_MoveChild0,
/*     9*/   OPC_SwitchOpcode /*9 cases */, 89|128,5/*729*/, TARGET_VAL(ISD::AssertZext),// ->743
/*    14*/    OPC_MoveChild0,
/*    15*/    OPC_CheckOpcode, TARGET_VAL(ISD::ATOMIC_CMP_SWAP),
/*    18*/    OPC_RecordMemRef,
/*    19*/    OPC_RecordNode, // #0 = 'atomic_cmp_swap' chained node
/*    20*/    OPC_CheckFoldableChainNode,
/*    21*/    OPC_Scope, 60|128,3/*444*/, /*->468*/ // 2 children in Scope
/*    24*/     OPC_MoveChild1,
/*    25*/     OPC_SwitchOpcode /*3 cases */, 13|128,1/*141*/, TARGET_VAL(ISD::ADD),// ->171
/*    30*/      OPC_RecordChild0, // #1 = $addr
/*    31*/      OPC_RecordChild1, // #2 = $off
/*    32*/      OPC_MoveChild1,
/*    33*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/*    36*/      OPC_MoveParent,
/*    37*/      OPC_CheckPredicate, 0, // Predicate_regPlusImm
/*    39*/      OPC_SwitchType /*2 cases */, 63, MVT::i32,// ->105
/*    42*/       OPC_MoveParent,
/*    43*/       OPC_MoveChild2,
/*    44*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*    47*/       OPC_RecordChild0, // #3 = $exp
/*    48*/       OPC_MoveParent,
/*    49*/       OPC_MoveChild3,
/*    50*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*    53*/       OPC_RecordChild0, // #4 = $new
/*    54*/       OPC_MoveParent,
/*    55*/       OPC_Scope, 23, /*->80*/ // 2 children in Scope
/*    57*/        OPC_CheckPredicate, 1, // Predicate_atomic_cmp_swap_8
/*    59*/        OPC_MoveParent,
/*    60*/        OPC_MoveParent,
/*    61*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*    63*/        OPC_EmitMergeInputChains1_0,
/*    64*/        OPC_EmitInteger, MVT::i32, 0, 
/*    67*/        OPC_EmitConvertToTarget, 2,
/*    69*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_CMPXCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 5/*#Ops*/, 5, 6, 1, 3, 4, 
                  // Src: (zext:{ *:[i64] } (assertzext:{ *:[i32] } (atomic_cmp_swap:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$exp), (trunc:{ *:[i32] } i64:{ *:[i64] }:$new))<<P:Predicate_atomic_cmp_swap_8>>)) - Complexity = 23
                  // Dst: (ATOMIC_RMW8_U_CMPXCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)
/*    80*/       /*Scope*/ 23, /*->104*/
/*    81*/        OPC_CheckPredicate, 2, // Predicate_atomic_cmp_swap_16
/*    83*/        OPC_MoveParent,
/*    84*/        OPC_MoveParent,
/*    85*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*    87*/        OPC_EmitMergeInputChains1_0,
/*    88*/        OPC_EmitInteger, MVT::i32, 0, 
/*    91*/        OPC_EmitConvertToTarget, 2,
/*    93*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_CMPXCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 5/*#Ops*/, 5, 6, 1, 3, 4, 
                  // Src: (zext:{ *:[i64] } (assertzext:{ *:[i32] } (atomic_cmp_swap:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$exp), (trunc:{ *:[i32] } i64:{ *:[i64] }:$new))<<P:Predicate_atomic_cmp_swap_16>>)) - Complexity = 23
                  // Dst: (ATOMIC_RMW16_U_CMPXCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)
/*   104*/       0, /*End of Scope*/
/*   105*/      /*SwitchType*/ 63, MVT::i64,// ->170
/*   107*/       OPC_MoveParent,
/*   108*/       OPC_MoveChild2,
/*   109*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*   112*/       OPC_RecordChild0, // #3 = $exp
/*   113*/       OPC_MoveParent,
/*   114*/       OPC_MoveChild3,
/*   115*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*   118*/       OPC_RecordChild0, // #4 = $new
/*   119*/       OPC_MoveParent,
/*   120*/       OPC_Scope, 23, /*->145*/ // 2 children in Scope
/*   122*/        OPC_CheckPredicate, 1, // Predicate_atomic_cmp_swap_8
/*   124*/        OPC_MoveParent,
/*   125*/        OPC_MoveParent,
/*   126*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*   128*/        OPC_EmitMergeInputChains1_0,
/*   129*/        OPC_EmitInteger, MVT::i32, 0, 
/*   132*/        OPC_EmitConvertToTarget, 2,
/*   134*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_CMPXCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 5/*#Ops*/, 5, 6, 1, 3, 4, 
                  // Src: (zext:{ *:[i64] } (assertzext:{ *:[i32] } (atomic_cmp_swap:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$exp), (trunc:{ *:[i32] } i64:{ *:[i64] }:$new))<<P:Predicate_atomic_cmp_swap_8>>)) - Complexity = 23
                  // Dst: (ATOMIC_RMW8_U_CMPXCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)
/*   145*/       /*Scope*/ 23, /*->169*/
/*   146*/        OPC_CheckPredicate, 2, // Predicate_atomic_cmp_swap_16
/*   148*/        OPC_MoveParent,
/*   149*/        OPC_MoveParent,
/*   150*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*   152*/        OPC_EmitMergeInputChains1_0,
/*   153*/        OPC_EmitInteger, MVT::i32, 0, 
/*   156*/        OPC_EmitConvertToTarget, 2,
/*   158*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_CMPXCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 5/*#Ops*/, 5, 6, 1, 3, 4, 
                  // Src: (zext:{ *:[i64] } (assertzext:{ *:[i32] } (atomic_cmp_swap:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$exp), (trunc:{ *:[i32] } i64:{ *:[i64] }:$new))<<P:Predicate_atomic_cmp_swap_16>>)) - Complexity = 23
                  // Dst: (ATOMIC_RMW16_U_CMPXCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)
/*   169*/       0, /*End of Scope*/
/*   170*/      0, // EndSwitchType
/*   171*/     /*SwitchOpcode*/ 13|128,1/*141*/, TARGET_VAL(ISD::OR),// ->316
/*   175*/      OPC_RecordChild0, // #1 = $addr
/*   176*/      OPC_RecordChild1, // #2 = $off
/*   177*/      OPC_MoveChild1,
/*   178*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/*   181*/      OPC_MoveParent,
/*   182*/      OPC_CheckPredicate, 3, // Predicate_or_is_add
/*   184*/      OPC_SwitchType /*2 cases */, 63, MVT::i32,// ->250
/*   187*/       OPC_MoveParent,
/*   188*/       OPC_MoveChild2,
/*   189*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*   192*/       OPC_RecordChild0, // #3 = $exp
/*   193*/       OPC_MoveParent,
/*   194*/       OPC_MoveChild3,
/*   195*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*   198*/       OPC_RecordChild0, // #4 = $new
/*   199*/       OPC_MoveParent,
/*   200*/       OPC_Scope, 23, /*->225*/ // 2 children in Scope
/*   202*/        OPC_CheckPredicate, 1, // Predicate_atomic_cmp_swap_8
/*   204*/        OPC_MoveParent,
/*   205*/        OPC_MoveParent,
/*   206*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*   208*/        OPC_EmitMergeInputChains1_0,
/*   209*/        OPC_EmitInteger, MVT::i32, 0, 
/*   212*/        OPC_EmitConvertToTarget, 2,
/*   214*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_CMPXCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 5/*#Ops*/, 5, 6, 1, 3, 4, 
                  // Src: (zext:{ *:[i64] } (assertzext:{ *:[i32] } (atomic_cmp_swap:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$exp), (trunc:{ *:[i32] } i64:{ *:[i64] }:$new))<<P:Predicate_atomic_cmp_swap_8>>)) - Complexity = 23
                  // Dst: (ATOMIC_RMW8_U_CMPXCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)
/*   225*/       /*Scope*/ 23, /*->249*/
/*   226*/        OPC_CheckPredicate, 2, // Predicate_atomic_cmp_swap_16
/*   228*/        OPC_MoveParent,
/*   229*/        OPC_MoveParent,
/*   230*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*   232*/        OPC_EmitMergeInputChains1_0,
/*   233*/        OPC_EmitInteger, MVT::i32, 0, 
/*   236*/        OPC_EmitConvertToTarget, 2,
/*   238*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_CMPXCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 5/*#Ops*/, 5, 6, 1, 3, 4, 
                  // Src: (zext:{ *:[i64] } (assertzext:{ *:[i32] } (atomic_cmp_swap:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$exp), (trunc:{ *:[i32] } i64:{ *:[i64] }:$new))<<P:Predicate_atomic_cmp_swap_16>>)) - Complexity = 23
                  // Dst: (ATOMIC_RMW16_U_CMPXCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)
/*   249*/       0, /*End of Scope*/
/*   250*/      /*SwitchType*/ 63, MVT::i64,// ->315
/*   252*/       OPC_MoveParent,
/*   253*/       OPC_MoveChild2,
/*   254*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*   257*/       OPC_RecordChild0, // #3 = $exp
/*   258*/       OPC_MoveParent,
/*   259*/       OPC_MoveChild3,
/*   260*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*   263*/       OPC_RecordChild0, // #4 = $new
/*   264*/       OPC_MoveParent,
/*   265*/       OPC_Scope, 23, /*->290*/ // 2 children in Scope
/*   267*/        OPC_CheckPredicate, 1, // Predicate_atomic_cmp_swap_8
/*   269*/        OPC_MoveParent,
/*   270*/        OPC_MoveParent,
/*   271*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*   273*/        OPC_EmitMergeInputChains1_0,
/*   274*/        OPC_EmitInteger, MVT::i32, 0, 
/*   277*/        OPC_EmitConvertToTarget, 2,
/*   279*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_CMPXCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 5/*#Ops*/, 5, 6, 1, 3, 4, 
                  // Src: (zext:{ *:[i64] } (assertzext:{ *:[i32] } (atomic_cmp_swap:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$exp), (trunc:{ *:[i32] } i64:{ *:[i64] }:$new))<<P:Predicate_atomic_cmp_swap_8>>)) - Complexity = 23
                  // Dst: (ATOMIC_RMW8_U_CMPXCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)
/*   290*/       /*Scope*/ 23, /*->314*/
/*   291*/        OPC_CheckPredicate, 2, // Predicate_atomic_cmp_swap_16
/*   293*/        OPC_MoveParent,
/*   294*/        OPC_MoveParent,
/*   295*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*   297*/        OPC_EmitMergeInputChains1_0,
/*   298*/        OPC_EmitInteger, MVT::i32, 0, 
/*   301*/        OPC_EmitConvertToTarget, 2,
/*   303*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_CMPXCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 5/*#Ops*/, 5, 6, 1, 3, 4, 
                  // Src: (zext:{ *:[i64] } (assertzext:{ *:[i32] } (atomic_cmp_swap:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$exp), (trunc:{ *:[i32] } i64:{ *:[i64] }:$new))<<P:Predicate_atomic_cmp_swap_16>>)) - Complexity = 23
                  // Dst: (ATOMIC_RMW16_U_CMPXCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)
/*   314*/       0, /*End of Scope*/
/*   315*/      0, // EndSwitchType
/*   316*/     /*SwitchOpcode*/ 19|128,1/*147*/, TARGET_VAL(WebAssemblyISD::Wrapper),// ->467
/*   320*/      OPC_RecordChild0, // #1 = $off
/*   321*/      OPC_MoveChild0,
/*   322*/      OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/*   325*/      OPC_MoveParent,
/*   326*/      OPC_MoveParent,
/*   327*/      OPC_MoveChild2,
/*   328*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*   331*/      OPC_RecordChild0, // #2 = $exp
/*   332*/      OPC_MoveParent,
/*   333*/      OPC_MoveChild3,
/*   334*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*   337*/      OPC_RecordChild0, // #3 = $new
/*   338*/      OPC_MoveParent,
/*   339*/      OPC_Scope, 62, /*->403*/ // 2 children in Scope
/*   341*/       OPC_CheckPredicate, 1, // Predicate_atomic_cmp_swap_8
/*   343*/       OPC_MoveParent,
/*   344*/       OPC_MoveParent,
/*   345*/       OPC_Scope, 27, /*->374*/ // 2 children in Scope
/*   347*/        OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/*   349*/        OPC_EmitMergeInputChains1_0,
/*   350*/        OPC_EmitInteger, MVT::i32, 0, 
/*   353*/        OPC_EmitInteger, MVT::i32, 0, 
/*   356*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/*   363*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_CMPXCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 5/*#Ops*/, 4, 1, 6, 2, 3, 
                  // Src: (zext:{ *:[i64] } (assertzext:{ *:[i32] } (atomic_cmp_swap:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$exp), (trunc:{ *:[i32] } i64:{ *:[i64] }:$new))<<P:Predicate_atomic_cmp_swap_8>>)) - Complexity = 22
                  // Dst: (ATOMIC_RMW8_U_CMPXCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)
/*   374*/       /*Scope*/ 27, /*->402*/
/*   375*/        OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/*   377*/        OPC_EmitMergeInputChains1_0,
/*   378*/        OPC_EmitInteger, MVT::i32, 0, 
/*   381*/        OPC_EmitInteger, MVT::i64, 0, 
/*   384*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/*   391*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_CMPXCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 5/*#Ops*/, 4, 1, 6, 2, 3, 
                  // Src: (zext:{ *:[i64] } (assertzext:{ *:[i32] } (atomic_cmp_swap:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$exp), (trunc:{ *:[i32] } i64:{ *:[i64] }:$new))<<P:Predicate_atomic_cmp_swap_8>>)) - Complexity = 22
                  // Dst: (ATOMIC_RMW8_U_CMPXCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)
/*   402*/       0, /*End of Scope*/
/*   403*/      /*Scope*/ 62, /*->466*/
/*   404*/       OPC_CheckPredicate, 2, // Predicate_atomic_cmp_swap_16
/*   406*/       OPC_MoveParent,
/*   407*/       OPC_MoveParent,
/*   408*/       OPC_Scope, 27, /*->437*/ // 2 children in Scope
/*   410*/        OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/*   412*/        OPC_EmitMergeInputChains1_0,
/*   413*/        OPC_EmitInteger, MVT::i32, 0, 
/*   416*/        OPC_EmitInteger, MVT::i32, 0, 
/*   419*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/*   426*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_CMPXCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 5/*#Ops*/, 4, 1, 6, 2, 3, 
                  // Src: (zext:{ *:[i64] } (assertzext:{ *:[i32] } (atomic_cmp_swap:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$exp), (trunc:{ *:[i32] } i64:{ *:[i64] }:$new))<<P:Predicate_atomic_cmp_swap_16>>)) - Complexity = 22
                  // Dst: (ATOMIC_RMW16_U_CMPXCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)
/*   437*/       /*Scope*/ 27, /*->465*/
/*   438*/        OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/*   440*/        OPC_EmitMergeInputChains1_0,
/*   441*/        OPC_EmitInteger, MVT::i32, 0, 
/*   444*/        OPC_EmitInteger, MVT::i64, 0, 
/*   447*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/*   454*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_CMPXCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 5/*#Ops*/, 4, 1, 6, 2, 3, 
                  // Src: (zext:{ *:[i64] } (assertzext:{ *:[i32] } (atomic_cmp_swap:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$exp), (trunc:{ *:[i32] } i64:{ *:[i64] }:$new))<<P:Predicate_atomic_cmp_swap_16>>)) - Complexity = 22
                  // Dst: (ATOMIC_RMW16_U_CMPXCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)
/*   465*/       0, /*End of Scope*/
/*   466*/      0, /*End of Scope*/
/*   467*/     0, // EndSwitchOpcode
/*   468*/    /*Scope*/ 16|128,2/*272*/, /*->742*/
/*   470*/     OPC_RecordChild1, // #1 = $off
/*   471*/     OPC_Scope, 5|128,1/*133*/, /*->607*/ // 3 children in Scope
/*   474*/      OPC_MoveChild1,
/*   475*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/*   478*/      OPC_MoveParent,
/*   479*/      OPC_MoveChild2,
/*   480*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*   483*/      OPC_RecordChild0, // #2 = $exp
/*   484*/      OPC_MoveParent,
/*   485*/      OPC_MoveChild3,
/*   486*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*   489*/      OPC_RecordChild0, // #3 = $new
/*   490*/      OPC_MoveParent,
/*   491*/      OPC_Scope, 56, /*->549*/ // 2 children in Scope
/*   493*/       OPC_CheckPredicate, 1, // Predicate_atomic_cmp_swap_8
/*   495*/       OPC_MoveParent,
/*   496*/       OPC_MoveParent,
/*   497*/       OPC_EmitMergeInputChains1_0,
/*   498*/       OPC_EmitInteger, MVT::i32, 0, 
/*   501*/       OPC_EmitConvertToTarget, 1,
/*   503*/       OPC_Scope, 21, /*->526*/ // 2 children in Scope
/*   505*/        OPC_EmitInteger, MVT::i32, 0, 
/*   508*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 6,  // Results = #7
/*   515*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_CMPXCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 5/*#Ops*/, 4, 5, 7, 2, 3, 
                  // Src: (zext:{ *:[i64] } (assertzext:{ *:[i32] } (atomic_cmp_swap:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$exp), (trunc:{ *:[i32] } i64:{ *:[i64] }:$new))<<P:Predicate_atomic_cmp_swap_8>>)) - Complexity = 19
                  // Dst: (ATOMIC_RMW8_U_CMPXCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)
/*   526*/       /*Scope*/ 21, /*->548*/
/*   527*/        OPC_EmitInteger, MVT::i64, 0, 
/*   530*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 6,  // Results = #7
/*   537*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_CMPXCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 5/*#Ops*/, 4, 5, 7, 2, 3, 
                  // Src: (zext:{ *:[i64] } (assertzext:{ *:[i32] } (atomic_cmp_swap:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$exp), (trunc:{ *:[i32] } i64:{ *:[i64] }:$new))<<P:Predicate_atomic_cmp_swap_8>>)) - Complexity = 19
                  // Dst: (ATOMIC_RMW8_U_CMPXCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)
/*   548*/       0, /*End of Scope*/
/*   549*/      /*Scope*/ 56, /*->606*/
/*   550*/       OPC_CheckPredicate, 2, // Predicate_atomic_cmp_swap_16
/*   552*/       OPC_MoveParent,
/*   553*/       OPC_MoveParent,
/*   554*/       OPC_EmitMergeInputChains1_0,
/*   555*/       OPC_EmitInteger, MVT::i32, 0, 
/*   558*/       OPC_EmitConvertToTarget, 1,
/*   560*/       OPC_Scope, 21, /*->583*/ // 2 children in Scope
/*   562*/        OPC_EmitInteger, MVT::i32, 0, 
/*   565*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 6,  // Results = #7
/*   572*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_CMPXCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 5/*#Ops*/, 4, 5, 7, 2, 3, 
                  // Src: (zext:{ *:[i64] } (assertzext:{ *:[i32] } (atomic_cmp_swap:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$exp), (trunc:{ *:[i32] } i64:{ *:[i64] }:$new))<<P:Predicate_atomic_cmp_swap_16>>)) - Complexity = 19
                  // Dst: (ATOMIC_RMW16_U_CMPXCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)
/*   583*/       /*Scope*/ 21, /*->605*/
/*   584*/        OPC_EmitInteger, MVT::i64, 0, 
/*   587*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 6,  // Results = #7
/*   594*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_CMPXCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 5/*#Ops*/, 4, 5, 7, 2, 3, 
                  // Src: (zext:{ *:[i64] } (assertzext:{ *:[i32] } (atomic_cmp_swap:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$exp), (trunc:{ *:[i32] } i64:{ *:[i64] }:$new))<<P:Predicate_atomic_cmp_swap_16>>)) - Complexity = 19
                  // Dst: (ATOMIC_RMW16_U_CMPXCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)
/*   605*/       0, /*End of Scope*/
/*   606*/      0, /*End of Scope*/
/*   607*/     /*Scope*/ 66, /*->674*/
/*   608*/      OPC_CheckChild1Type, MVT::i32,
/*   610*/      OPC_MoveChild2,
/*   611*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*   614*/      OPC_RecordChild0, // #2 = $exp
/*   615*/      OPC_MoveParent,
/*   616*/      OPC_MoveChild3,
/*   617*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*   620*/      OPC_RecordChild0, // #3 = $new
/*   621*/      OPC_MoveParent,
/*   622*/      OPC_Scope, 24, /*->648*/ // 2 children in Scope
/*   624*/       OPC_CheckPredicate, 1, // Predicate_atomic_cmp_swap_8
/*   626*/       OPC_MoveParent,
/*   627*/       OPC_MoveParent,
/*   628*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*   630*/       OPC_EmitMergeInputChains1_0,
/*   631*/       OPC_EmitInteger, MVT::i32, 0, 
/*   634*/       OPC_EmitInteger, MVT::i32, 0, 
/*   637*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_CMPXCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 5/*#Ops*/, 4, 5, 1, 2, 3, 
                 // Src: (zext:{ *:[i64] } (assertzext:{ *:[i32] } (atomic_cmp_swap:{ *:[i32] } I32:{ *:[i32] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$exp), (trunc:{ *:[i32] } i64:{ *:[i64] }:$new))<<P:Predicate_atomic_cmp_swap_8>>)) - Complexity = 16
                 // Dst: (ATOMIC_RMW8_U_CMPXCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)
/*   648*/      /*Scope*/ 24, /*->673*/
/*   649*/       OPC_CheckPredicate, 2, // Predicate_atomic_cmp_swap_16
/*   651*/       OPC_MoveParent,
/*   652*/       OPC_MoveParent,
/*   653*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*   655*/       OPC_EmitMergeInputChains1_0,
/*   656*/       OPC_EmitInteger, MVT::i32, 0, 
/*   659*/       OPC_EmitInteger, MVT::i32, 0, 
/*   662*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_CMPXCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 5/*#Ops*/, 4, 5, 1, 2, 3, 
                 // Src: (zext:{ *:[i64] } (assertzext:{ *:[i32] } (atomic_cmp_swap:{ *:[i32] } I32:{ *:[i32] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$exp), (trunc:{ *:[i32] } i64:{ *:[i64] }:$new))<<P:Predicate_atomic_cmp_swap_16>>)) - Complexity = 16
                 // Dst: (ATOMIC_RMW16_U_CMPXCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)
/*   673*/      0, /*End of Scope*/
/*   674*/     /*Scope*/ 66, /*->741*/
/*   675*/      OPC_CheckChild1Type, MVT::i64,
/*   677*/      OPC_MoveChild2,
/*   678*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*   681*/      OPC_RecordChild0, // #2 = $exp
/*   682*/      OPC_MoveParent,
/*   683*/      OPC_MoveChild3,
/*   684*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*   687*/      OPC_RecordChild0, // #3 = $new
/*   688*/      OPC_MoveParent,
/*   689*/      OPC_Scope, 24, /*->715*/ // 2 children in Scope
/*   691*/       OPC_CheckPredicate, 1, // Predicate_atomic_cmp_swap_8
/*   693*/       OPC_MoveParent,
/*   694*/       OPC_MoveParent,
/*   695*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*   697*/       OPC_EmitMergeInputChains1_0,
/*   698*/       OPC_EmitInteger, MVT::i32, 0, 
/*   701*/       OPC_EmitInteger, MVT::i64, 0, 
/*   704*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_CMPXCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 5/*#Ops*/, 4, 5, 1, 2, 3, 
                 // Src: (zext:{ *:[i64] } (assertzext:{ *:[i32] } (atomic_cmp_swap:{ *:[i32] } I64:{ *:[i64] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$exp), (trunc:{ *:[i32] } i64:{ *:[i64] }:$new))<<P:Predicate_atomic_cmp_swap_8>>)) - Complexity = 16
                 // Dst: (ATOMIC_RMW8_U_CMPXCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)
/*   715*/      /*Scope*/ 24, /*->740*/
/*   716*/       OPC_CheckPredicate, 2, // Predicate_atomic_cmp_swap_16
/*   718*/       OPC_MoveParent,
/*   719*/       OPC_MoveParent,
/*   720*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*   722*/       OPC_EmitMergeInputChains1_0,
/*   723*/       OPC_EmitInteger, MVT::i32, 0, 
/*   726*/       OPC_EmitInteger, MVT::i64, 0, 
/*   729*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_CMPXCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 5/*#Ops*/, 4, 5, 1, 2, 3, 
                 // Src: (zext:{ *:[i64] } (assertzext:{ *:[i32] } (atomic_cmp_swap:{ *:[i32] } I64:{ *:[i64] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$exp), (trunc:{ *:[i32] } i64:{ *:[i64] }:$new))<<P:Predicate_atomic_cmp_swap_16>>)) - Complexity = 16
                 // Dst: (ATOMIC_RMW16_U_CMPXCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)
/*   740*/      0, /*End of Scope*/
/*   741*/     0, /*End of Scope*/
/*   742*/    0, /*End of Scope*/
/*   743*/   /*SwitchOpcode*/ 38|128,3/*422*/, TARGET_VAL(ISD::ATOMIC_CMP_SWAP),// ->1169
/*   747*/    OPC_RecordMemRef,
/*   748*/    OPC_RecordNode, // #0 = 'atomic_cmp_swap' chained node
/*   749*/    OPC_Scope, 6|128,2/*262*/, /*->1014*/ // 2 children in Scope
/*   752*/     OPC_MoveChild1,
/*   753*/     OPC_SwitchOpcode /*3 cases */, 85, TARGET_VAL(ISD::ADD),// ->842
/*   757*/      OPC_RecordChild0, // #1 = $addr
/*   758*/      OPC_RecordChild1, // #2 = $off
/*   759*/      OPC_MoveChild1,
/*   760*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/*   763*/      OPC_MoveParent,
/*   764*/      OPC_CheckPredicate, 0, // Predicate_regPlusImm
/*   766*/      OPC_SwitchType /*2 cases */, 35, MVT::i32,// ->804
/*   769*/       OPC_MoveParent,
/*   770*/       OPC_MoveChild2,
/*   771*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*   774*/       OPC_RecordChild0, // #3 = $exp
/*   775*/       OPC_MoveParent,
/*   776*/       OPC_MoveChild3,
/*   777*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*   780*/       OPC_RecordChild0, // #4 = $new
/*   781*/       OPC_MoveParent,
/*   782*/       OPC_CheckPredicate, 4, // Predicate_atomic_cmp_swap_32
/*   784*/       OPC_MoveParent,
/*   785*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*   787*/       OPC_EmitMergeInputChains1_0,
/*   788*/       OPC_EmitInteger, MVT::i32, 0, 
/*   791*/       OPC_EmitConvertToTarget, 2,
/*   793*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_CMPXCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 5/*#Ops*/, 5, 6, 1, 3, 4, 
                 // Src: (zext:{ *:[i64] } (atomic_cmp_swap:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$exp), (trunc:{ *:[i32] } i64:{ *:[i64] }:$new))<<P:Predicate_atomic_cmp_swap_32>>) - Complexity = 20
                 // Dst: (ATOMIC_RMW32_U_CMPXCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)
/*   804*/      /*SwitchType*/ 35, MVT::i64,// ->841
/*   806*/       OPC_MoveParent,
/*   807*/       OPC_MoveChild2,
/*   808*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*   811*/       OPC_RecordChild0, // #3 = $exp
/*   812*/       OPC_MoveParent,
/*   813*/       OPC_MoveChild3,
/*   814*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*   817*/       OPC_RecordChild0, // #4 = $new
/*   818*/       OPC_MoveParent,
/*   819*/       OPC_CheckPredicate, 4, // Predicate_atomic_cmp_swap_32
/*   821*/       OPC_MoveParent,
/*   822*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*   824*/       OPC_EmitMergeInputChains1_0,
/*   825*/       OPC_EmitInteger, MVT::i32, 0, 
/*   828*/       OPC_EmitConvertToTarget, 2,
/*   830*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_CMPXCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 5/*#Ops*/, 5, 6, 1, 3, 4, 
                 // Src: (zext:{ *:[i64] } (atomic_cmp_swap:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$exp), (trunc:{ *:[i32] } i64:{ *:[i64] }:$new))<<P:Predicate_atomic_cmp_swap_32>>) - Complexity = 20
                 // Dst: (ATOMIC_RMW32_U_CMPXCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)
/*   841*/      0, // EndSwitchType
/*   842*/     /*SwitchOpcode*/ 85, TARGET_VAL(ISD::OR),// ->930
/*   845*/      OPC_RecordChild0, // #1 = $addr
/*   846*/      OPC_RecordChild1, // #2 = $off
/*   847*/      OPC_MoveChild1,
/*   848*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/*   851*/      OPC_MoveParent,
/*   852*/      OPC_CheckPredicate, 3, // Predicate_or_is_add
/*   854*/      OPC_SwitchType /*2 cases */, 35, MVT::i32,// ->892
/*   857*/       OPC_MoveParent,
/*   858*/       OPC_MoveChild2,
/*   859*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*   862*/       OPC_RecordChild0, // #3 = $exp
/*   863*/       OPC_MoveParent,
/*   864*/       OPC_MoveChild3,
/*   865*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*   868*/       OPC_RecordChild0, // #4 = $new
/*   869*/       OPC_MoveParent,
/*   870*/       OPC_CheckPredicate, 4, // Predicate_atomic_cmp_swap_32
/*   872*/       OPC_MoveParent,
/*   873*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*   875*/       OPC_EmitMergeInputChains1_0,
/*   876*/       OPC_EmitInteger, MVT::i32, 0, 
/*   879*/       OPC_EmitConvertToTarget, 2,
/*   881*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_CMPXCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 5/*#Ops*/, 5, 6, 1, 3, 4, 
                 // Src: (zext:{ *:[i64] } (atomic_cmp_swap:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$exp), (trunc:{ *:[i32] } i64:{ *:[i64] }:$new))<<P:Predicate_atomic_cmp_swap_32>>) - Complexity = 20
                 // Dst: (ATOMIC_RMW32_U_CMPXCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)
/*   892*/      /*SwitchType*/ 35, MVT::i64,// ->929
/*   894*/       OPC_MoveParent,
/*   895*/       OPC_MoveChild2,
/*   896*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*   899*/       OPC_RecordChild0, // #3 = $exp
/*   900*/       OPC_MoveParent,
/*   901*/       OPC_MoveChild3,
/*   902*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*   905*/       OPC_RecordChild0, // #4 = $new
/*   906*/       OPC_MoveParent,
/*   907*/       OPC_CheckPredicate, 4, // Predicate_atomic_cmp_swap_32
/*   909*/       OPC_MoveParent,
/*   910*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*   912*/       OPC_EmitMergeInputChains1_0,
/*   913*/       OPC_EmitInteger, MVT::i32, 0, 
/*   916*/       OPC_EmitConvertToTarget, 2,
/*   918*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_CMPXCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 5/*#Ops*/, 5, 6, 1, 3, 4, 
                 // Src: (zext:{ *:[i64] } (atomic_cmp_swap:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$exp), (trunc:{ *:[i32] } i64:{ *:[i64] }:$new))<<P:Predicate_atomic_cmp_swap_32>>) - Complexity = 20
                 // Dst: (ATOMIC_RMW32_U_CMPXCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)
/*   929*/      0, // EndSwitchType
/*   930*/     /*SwitchOpcode*/ 80, TARGET_VAL(WebAssemblyISD::Wrapper),// ->1013
/*   933*/      OPC_RecordChild0, // #1 = $off
/*   934*/      OPC_MoveChild0,
/*   935*/      OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/*   938*/      OPC_MoveParent,
/*   939*/      OPC_MoveParent,
/*   940*/      OPC_MoveChild2,
/*   941*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*   944*/      OPC_RecordChild0, // #2 = $exp
/*   945*/      OPC_MoveParent,
/*   946*/      OPC_MoveChild3,
/*   947*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*   950*/      OPC_RecordChild0, // #3 = $new
/*   951*/      OPC_MoveParent,
/*   952*/      OPC_CheckPredicate, 4, // Predicate_atomic_cmp_swap_32
/*   954*/      OPC_MoveParent,
/*   955*/      OPC_Scope, 27, /*->984*/ // 2 children in Scope
/*   957*/       OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/*   959*/       OPC_EmitMergeInputChains1_0,
/*   960*/       OPC_EmitInteger, MVT::i32, 0, 
/*   963*/       OPC_EmitInteger, MVT::i32, 0, 
/*   966*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/*   973*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_CMPXCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 5/*#Ops*/, 4, 1, 6, 2, 3, 
                 // Src: (zext:{ *:[i64] } (atomic_cmp_swap:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$exp), (trunc:{ *:[i32] } i64:{ *:[i64] }:$new))<<P:Predicate_atomic_cmp_swap_32>>) - Complexity = 19
                 // Dst: (ATOMIC_RMW32_U_CMPXCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)
/*   984*/      /*Scope*/ 27, /*->1012*/
/*   985*/       OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/*   987*/       OPC_EmitMergeInputChains1_0,
/*   988*/       OPC_EmitInteger, MVT::i32, 0, 
/*   991*/       OPC_EmitInteger, MVT::i64, 0, 
/*   994*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/*  1001*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_CMPXCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 5/*#Ops*/, 4, 1, 6, 2, 3, 
                 // Src: (zext:{ *:[i64] } (atomic_cmp_swap:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$exp), (trunc:{ *:[i32] } i64:{ *:[i64] }:$new))<<P:Predicate_atomic_cmp_swap_32>>) - Complexity = 19
                 // Dst: (ATOMIC_RMW32_U_CMPXCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)
/*  1012*/      0, /*End of Scope*/
/*  1013*/     0, // EndSwitchOpcode
/*  1014*/    /*Scope*/ 24|128,1/*152*/, /*->1168*/
/*  1016*/     OPC_RecordChild1, // #1 = $off
/*  1017*/     OPC_Scope, 72, /*->1091*/ // 3 children in Scope
/*  1019*/      OPC_MoveChild1,
/*  1020*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/*  1023*/      OPC_MoveParent,
/*  1024*/      OPC_MoveChild2,
/*  1025*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  1028*/      OPC_RecordChild0, // #2 = $exp
/*  1029*/      OPC_MoveParent,
/*  1030*/      OPC_MoveChild3,
/*  1031*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  1034*/      OPC_RecordChild0, // #3 = $new
/*  1035*/      OPC_MoveParent,
/*  1036*/      OPC_CheckPredicate, 4, // Predicate_atomic_cmp_swap_32
/*  1038*/      OPC_MoveParent,
/*  1039*/      OPC_EmitMergeInputChains1_0,
/*  1040*/      OPC_EmitInteger, MVT::i32, 0, 
/*  1043*/      OPC_EmitConvertToTarget, 1,
/*  1045*/      OPC_Scope, 21, /*->1068*/ // 2 children in Scope
/*  1047*/       OPC_EmitInteger, MVT::i32, 0, 
/*  1050*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 6,  // Results = #7
/*  1057*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_CMPXCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 5/*#Ops*/, 4, 5, 7, 2, 3, 
                 // Src: (zext:{ *:[i64] } (atomic_cmp_swap:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$exp), (trunc:{ *:[i32] } i64:{ *:[i64] }:$new))<<P:Predicate_atomic_cmp_swap_32>>) - Complexity = 16
                 // Dst: (ATOMIC_RMW32_U_CMPXCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)
/*  1068*/      /*Scope*/ 21, /*->1090*/
/*  1069*/       OPC_EmitInteger, MVT::i64, 0, 
/*  1072*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 6,  // Results = #7
/*  1079*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_CMPXCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 5/*#Ops*/, 4, 5, 7, 2, 3, 
                 // Src: (zext:{ *:[i64] } (atomic_cmp_swap:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$exp), (trunc:{ *:[i32] } i64:{ *:[i64] }:$new))<<P:Predicate_atomic_cmp_swap_32>>) - Complexity = 16
                 // Dst: (ATOMIC_RMW32_U_CMPXCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)
/*  1090*/      0, /*End of Scope*/
/*  1091*/     /*Scope*/ 37, /*->1129*/
/*  1092*/      OPC_CheckChild1Type, MVT::i32,
/*  1094*/      OPC_MoveChild2,
/*  1095*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  1098*/      OPC_RecordChild0, // #2 = $exp
/*  1099*/      OPC_MoveParent,
/*  1100*/      OPC_MoveChild3,
/*  1101*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  1104*/      OPC_RecordChild0, // #3 = $new
/*  1105*/      OPC_MoveParent,
/*  1106*/      OPC_CheckPredicate, 4, // Predicate_atomic_cmp_swap_32
/*  1108*/      OPC_MoveParent,
/*  1109*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  1111*/      OPC_EmitMergeInputChains1_0,
/*  1112*/      OPC_EmitInteger, MVT::i32, 0, 
/*  1115*/      OPC_EmitInteger, MVT::i32, 0, 
/*  1118*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_CMPXCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 5/*#Ops*/, 4, 5, 1, 2, 3, 
                // Src: (zext:{ *:[i64] } (atomic_cmp_swap:{ *:[i32] } I32:{ *:[i32] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$exp), (trunc:{ *:[i32] } i64:{ *:[i64] }:$new))<<P:Predicate_atomic_cmp_swap_32>>) - Complexity = 13
                // Dst: (ATOMIC_RMW32_U_CMPXCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)
/*  1129*/     /*Scope*/ 37, /*->1167*/
/*  1130*/      OPC_CheckChild1Type, MVT::i64,
/*  1132*/      OPC_MoveChild2,
/*  1133*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  1136*/      OPC_RecordChild0, // #2 = $exp
/*  1137*/      OPC_MoveParent,
/*  1138*/      OPC_MoveChild3,
/*  1139*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  1142*/      OPC_RecordChild0, // #3 = $new
/*  1143*/      OPC_MoveParent,
/*  1144*/      OPC_CheckPredicate, 4, // Predicate_atomic_cmp_swap_32
/*  1146*/      OPC_MoveParent,
/*  1147*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  1149*/      OPC_EmitMergeInputChains1_0,
/*  1150*/      OPC_EmitInteger, MVT::i32, 0, 
/*  1153*/      OPC_EmitInteger, MVT::i64, 0, 
/*  1156*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_CMPXCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 5/*#Ops*/, 4, 5, 1, 2, 3, 
                // Src: (zext:{ *:[i64] } (atomic_cmp_swap:{ *:[i32] } I64:{ *:[i64] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$exp), (trunc:{ *:[i32] } i64:{ *:[i64] }:$new))<<P:Predicate_atomic_cmp_swap_32>>) - Complexity = 13
                // Dst: (ATOMIC_RMW32_U_CMPXCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)
/*  1167*/     0, /*End of Scope*/
/*  1168*/    0, /*End of Scope*/
/*  1169*/   /*SwitchOpcode*/ 22|128,7/*918*/, TARGET_VAL(ISD::ATOMIC_LOAD_ADD),// ->2091
/*  1173*/    OPC_RecordMemRef,
/*  1174*/    OPC_RecordNode, // #0 = 'atomic_load_add' chained node
/*  1175*/    OPC_Scope, 28|128,4/*540*/, /*->1718*/ // 2 children in Scope
/*  1178*/     OPC_MoveChild1,
/*  1179*/     OPC_SwitchOpcode /*3 cases */, 37|128,1/*165*/, TARGET_VAL(ISD::ADD),// ->1349
/*  1184*/      OPC_RecordChild0, // #1 = $addr
/*  1185*/      OPC_RecordChild1, // #2 = $off
/*  1186*/      OPC_MoveChild1,
/*  1187*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/*  1190*/      OPC_MoveParent,
/*  1191*/      OPC_CheckPredicate, 0, // Predicate_regPlusImm
/*  1193*/      OPC_SwitchType /*2 cases */, 75, MVT::i32,// ->1271
/*  1196*/       OPC_MoveParent,
/*  1197*/       OPC_MoveChild2,
/*  1198*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  1201*/       OPC_RecordChild0, // #3 = $val
/*  1202*/       OPC_MoveParent,
/*  1203*/       OPC_Scope, 21, /*->1226*/ // 3 children in Scope
/*  1205*/        OPC_CheckPredicate, 1, // Predicate_atomic_load_add_8
/*  1207*/        OPC_MoveParent,
/*  1208*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  1210*/        OPC_EmitMergeInputChains1_0,
/*  1211*/        OPC_EmitInteger, MVT::i32, 0, 
/*  1214*/        OPC_EmitConvertToTarget, 2,
/*  1216*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_ADD_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_load_add:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_add_8>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW8_U_ADD_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  1226*/       /*Scope*/ 21, /*->1248*/
/*  1227*/        OPC_CheckPredicate, 2, // Predicate_atomic_load_add_16
/*  1229*/        OPC_MoveParent,
/*  1230*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  1232*/        OPC_EmitMergeInputChains1_0,
/*  1233*/        OPC_EmitInteger, MVT::i32, 0, 
/*  1236*/        OPC_EmitConvertToTarget, 2,
/*  1238*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_ADD_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_load_add:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_add_16>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW16_U_ADD_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  1248*/       /*Scope*/ 21, /*->1270*/
/*  1249*/        OPC_CheckPredicate, 4, // Predicate_atomic_load_add_32
/*  1251*/        OPC_MoveParent,
/*  1252*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  1254*/        OPC_EmitMergeInputChains1_0,
/*  1255*/        OPC_EmitInteger, MVT::i32, 0, 
/*  1258*/        OPC_EmitConvertToTarget, 2,
/*  1260*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_ADD_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_load_add:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_add_32>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW32_U_ADD_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  1270*/       0, /*End of Scope*/
/*  1271*/      /*SwitchType*/ 75, MVT::i64,// ->1348
/*  1273*/       OPC_MoveParent,
/*  1274*/       OPC_MoveChild2,
/*  1275*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  1278*/       OPC_RecordChild0, // #3 = $val
/*  1279*/       OPC_MoveParent,
/*  1280*/       OPC_Scope, 21, /*->1303*/ // 3 children in Scope
/*  1282*/        OPC_CheckPredicate, 1, // Predicate_atomic_load_add_8
/*  1284*/        OPC_MoveParent,
/*  1285*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  1287*/        OPC_EmitMergeInputChains1_0,
/*  1288*/        OPC_EmitInteger, MVT::i32, 0, 
/*  1291*/        OPC_EmitConvertToTarget, 2,
/*  1293*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_ADD_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_load_add:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_add_8>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW8_U_ADD_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  1303*/       /*Scope*/ 21, /*->1325*/
/*  1304*/        OPC_CheckPredicate, 2, // Predicate_atomic_load_add_16
/*  1306*/        OPC_MoveParent,
/*  1307*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  1309*/        OPC_EmitMergeInputChains1_0,
/*  1310*/        OPC_EmitInteger, MVT::i32, 0, 
/*  1313*/        OPC_EmitConvertToTarget, 2,
/*  1315*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_ADD_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_load_add:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_add_16>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW16_U_ADD_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  1325*/       /*Scope*/ 21, /*->1347*/
/*  1326*/        OPC_CheckPredicate, 4, // Predicate_atomic_load_add_32
/*  1328*/        OPC_MoveParent,
/*  1329*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  1331*/        OPC_EmitMergeInputChains1_0,
/*  1332*/        OPC_EmitInteger, MVT::i32, 0, 
/*  1335*/        OPC_EmitConvertToTarget, 2,
/*  1337*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_ADD_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_load_add:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_add_32>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW32_U_ADD_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  1347*/       0, /*End of Scope*/
/*  1348*/      0, // EndSwitchType
/*  1349*/     /*SwitchOpcode*/ 37|128,1/*165*/, TARGET_VAL(ISD::OR),// ->1518
/*  1353*/      OPC_RecordChild0, // #1 = $addr
/*  1354*/      OPC_RecordChild1, // #2 = $off
/*  1355*/      OPC_MoveChild1,
/*  1356*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/*  1359*/      OPC_MoveParent,
/*  1360*/      OPC_CheckPredicate, 3, // Predicate_or_is_add
/*  1362*/      OPC_SwitchType /*2 cases */, 75, MVT::i32,// ->1440
/*  1365*/       OPC_MoveParent,
/*  1366*/       OPC_MoveChild2,
/*  1367*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  1370*/       OPC_RecordChild0, // #3 = $val
/*  1371*/       OPC_MoveParent,
/*  1372*/       OPC_Scope, 21, /*->1395*/ // 3 children in Scope
/*  1374*/        OPC_CheckPredicate, 1, // Predicate_atomic_load_add_8
/*  1376*/        OPC_MoveParent,
/*  1377*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  1379*/        OPC_EmitMergeInputChains1_0,
/*  1380*/        OPC_EmitInteger, MVT::i32, 0, 
/*  1383*/        OPC_EmitConvertToTarget, 2,
/*  1385*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_ADD_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_load_add:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_add_8>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW8_U_ADD_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  1395*/       /*Scope*/ 21, /*->1417*/
/*  1396*/        OPC_CheckPredicate, 2, // Predicate_atomic_load_add_16
/*  1398*/        OPC_MoveParent,
/*  1399*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  1401*/        OPC_EmitMergeInputChains1_0,
/*  1402*/        OPC_EmitInteger, MVT::i32, 0, 
/*  1405*/        OPC_EmitConvertToTarget, 2,
/*  1407*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_ADD_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_load_add:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_add_16>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW16_U_ADD_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  1417*/       /*Scope*/ 21, /*->1439*/
/*  1418*/        OPC_CheckPredicate, 4, // Predicate_atomic_load_add_32
/*  1420*/        OPC_MoveParent,
/*  1421*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  1423*/        OPC_EmitMergeInputChains1_0,
/*  1424*/        OPC_EmitInteger, MVT::i32, 0, 
/*  1427*/        OPC_EmitConvertToTarget, 2,
/*  1429*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_ADD_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_load_add:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_add_32>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW32_U_ADD_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  1439*/       0, /*End of Scope*/
/*  1440*/      /*SwitchType*/ 75, MVT::i64,// ->1517
/*  1442*/       OPC_MoveParent,
/*  1443*/       OPC_MoveChild2,
/*  1444*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  1447*/       OPC_RecordChild0, // #3 = $val
/*  1448*/       OPC_MoveParent,
/*  1449*/       OPC_Scope, 21, /*->1472*/ // 3 children in Scope
/*  1451*/        OPC_CheckPredicate, 1, // Predicate_atomic_load_add_8
/*  1453*/        OPC_MoveParent,
/*  1454*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  1456*/        OPC_EmitMergeInputChains1_0,
/*  1457*/        OPC_EmitInteger, MVT::i32, 0, 
/*  1460*/        OPC_EmitConvertToTarget, 2,
/*  1462*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_ADD_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_load_add:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_add_8>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW8_U_ADD_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  1472*/       /*Scope*/ 21, /*->1494*/
/*  1473*/        OPC_CheckPredicate, 2, // Predicate_atomic_load_add_16
/*  1475*/        OPC_MoveParent,
/*  1476*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  1478*/        OPC_EmitMergeInputChains1_0,
/*  1479*/        OPC_EmitInteger, MVT::i32, 0, 
/*  1482*/        OPC_EmitConvertToTarget, 2,
/*  1484*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_ADD_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_load_add:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_add_16>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW16_U_ADD_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  1494*/       /*Scope*/ 21, /*->1516*/
/*  1495*/        OPC_CheckPredicate, 4, // Predicate_atomic_load_add_32
/*  1497*/        OPC_MoveParent,
/*  1498*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  1500*/        OPC_EmitMergeInputChains1_0,
/*  1501*/        OPC_EmitInteger, MVT::i32, 0, 
/*  1504*/        OPC_EmitConvertToTarget, 2,
/*  1506*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_ADD_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_load_add:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_add_32>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW32_U_ADD_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  1516*/       0, /*End of Scope*/
/*  1517*/      0, // EndSwitchType
/*  1518*/     /*SwitchOpcode*/ 67|128,1/*195*/, TARGET_VAL(WebAssemblyISD::Wrapper),// ->1717
/*  1522*/      OPC_RecordChild0, // #1 = $off
/*  1523*/      OPC_MoveChild0,
/*  1524*/      OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/*  1527*/      OPC_MoveParent,
/*  1528*/      OPC_MoveParent,
/*  1529*/      OPC_MoveChild2,
/*  1530*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  1533*/      OPC_RecordChild0, // #2 = $val
/*  1534*/      OPC_MoveParent,
/*  1535*/      OPC_Scope, 59, /*->1596*/ // 3 children in Scope
/*  1537*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_add_8
/*  1539*/       OPC_MoveParent,
/*  1540*/       OPC_Scope, 26, /*->1568*/ // 2 children in Scope
/*  1542*/        OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/*  1544*/        OPC_EmitMergeInputChains1_0,
/*  1545*/        OPC_EmitInteger, MVT::i32, 0, 
/*  1548*/        OPC_EmitInteger, MVT::i32, 0, 
/*  1551*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/*  1558*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_ADD_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_load_add:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_add_8>>) - Complexity = 16
                  // Dst: (ATOMIC_RMW8_U_ADD_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/*  1568*/       /*Scope*/ 26, /*->1595*/
/*  1569*/        OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/*  1571*/        OPC_EmitMergeInputChains1_0,
/*  1572*/        OPC_EmitInteger, MVT::i32, 0, 
/*  1575*/        OPC_EmitInteger, MVT::i64, 0, 
/*  1578*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/*  1585*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_ADD_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_load_add:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_add_8>>) - Complexity = 16
                  // Dst: (ATOMIC_RMW8_U_ADD_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/*  1595*/       0, /*End of Scope*/
/*  1596*/      /*Scope*/ 59, /*->1656*/
/*  1597*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_add_16
/*  1599*/       OPC_MoveParent,
/*  1600*/       OPC_Scope, 26, /*->1628*/ // 2 children in Scope
/*  1602*/        OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/*  1604*/        OPC_EmitMergeInputChains1_0,
/*  1605*/        OPC_EmitInteger, MVT::i32, 0, 
/*  1608*/        OPC_EmitInteger, MVT::i32, 0, 
/*  1611*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/*  1618*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_ADD_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_load_add:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_add_16>>) - Complexity = 16
                  // Dst: (ATOMIC_RMW16_U_ADD_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/*  1628*/       /*Scope*/ 26, /*->1655*/
/*  1629*/        OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/*  1631*/        OPC_EmitMergeInputChains1_0,
/*  1632*/        OPC_EmitInteger, MVT::i32, 0, 
/*  1635*/        OPC_EmitInteger, MVT::i64, 0, 
/*  1638*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/*  1645*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_ADD_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_load_add:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_add_16>>) - Complexity = 16
                  // Dst: (ATOMIC_RMW16_U_ADD_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/*  1655*/       0, /*End of Scope*/
/*  1656*/      /*Scope*/ 59, /*->1716*/
/*  1657*/       OPC_CheckPredicate, 4, // Predicate_atomic_load_add_32
/*  1659*/       OPC_MoveParent,
/*  1660*/       OPC_Scope, 26, /*->1688*/ // 2 children in Scope
/*  1662*/        OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/*  1664*/        OPC_EmitMergeInputChains1_0,
/*  1665*/        OPC_EmitInteger, MVT::i32, 0, 
/*  1668*/        OPC_EmitInteger, MVT::i32, 0, 
/*  1671*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/*  1678*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_ADD_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_load_add:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_add_32>>) - Complexity = 16
                  // Dst: (ATOMIC_RMW32_U_ADD_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/*  1688*/       /*Scope*/ 26, /*->1715*/
/*  1689*/        OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/*  1691*/        OPC_EmitMergeInputChains1_0,
/*  1692*/        OPC_EmitInteger, MVT::i32, 0, 
/*  1695*/        OPC_EmitInteger, MVT::i64, 0, 
/*  1698*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/*  1705*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_ADD_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_load_add:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_add_32>>) - Complexity = 16
                  // Dst: (ATOMIC_RMW32_U_ADD_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/*  1715*/       0, /*End of Scope*/
/*  1716*/      0, /*End of Scope*/
/*  1717*/     0, // EndSwitchOpcode
/*  1718*/    /*Scope*/ 114|128,2/*370*/, /*->2090*/
/*  1720*/     OPC_RecordChild1, // #1 = $off
/*  1721*/     OPC_Scope, 77|128,1/*205*/, /*->1929*/ // 3 children in Scope
/*  1724*/      OPC_MoveChild1,
/*  1725*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/*  1728*/      OPC_MoveParent,
/*  1729*/      OPC_MoveChild2,
/*  1730*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  1733*/      OPC_RecordChild0, // #2 = $val
/*  1734*/      OPC_MoveParent,
/*  1735*/      OPC_Scope, 63, /*->1800*/ // 3 children in Scope
/*  1737*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_add_8
/*  1739*/       OPC_MoveParent,
/*  1740*/       OPC_Scope, 28, /*->1770*/ // 2 children in Scope
/*  1742*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  1744*/        OPC_EmitMergeInputChains1_0,
/*  1745*/        OPC_EmitInteger, MVT::i32, 0, 
/*  1748*/        OPC_EmitConvertToTarget, 1,
/*  1750*/        OPC_EmitInteger, MVT::i32, 0, 
/*  1753*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/*  1760*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_ADD_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_load_add:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_add_8>>) - Complexity = 13
                  // Dst: (ATOMIC_RMW8_U_ADD_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/*  1770*/       /*Scope*/ 28, /*->1799*/
/*  1771*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  1773*/        OPC_EmitMergeInputChains1_0,
/*  1774*/        OPC_EmitInteger, MVT::i32, 0, 
/*  1777*/        OPC_EmitConvertToTarget, 1,
/*  1779*/        OPC_EmitInteger, MVT::i64, 0, 
/*  1782*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/*  1789*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_ADD_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_load_add:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_add_8>>) - Complexity = 13
                  // Dst: (ATOMIC_RMW8_U_ADD_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/*  1799*/       0, /*End of Scope*/
/*  1800*/      /*Scope*/ 63, /*->1864*/
/*  1801*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_add_16
/*  1803*/       OPC_MoveParent,
/*  1804*/       OPC_Scope, 28, /*->1834*/ // 2 children in Scope
/*  1806*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  1808*/        OPC_EmitMergeInputChains1_0,
/*  1809*/        OPC_EmitInteger, MVT::i32, 0, 
/*  1812*/        OPC_EmitConvertToTarget, 1,
/*  1814*/        OPC_EmitInteger, MVT::i32, 0, 
/*  1817*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/*  1824*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_ADD_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_load_add:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_add_16>>) - Complexity = 13
                  // Dst: (ATOMIC_RMW16_U_ADD_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/*  1834*/       /*Scope*/ 28, /*->1863*/
/*  1835*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  1837*/        OPC_EmitMergeInputChains1_0,
/*  1838*/        OPC_EmitInteger, MVT::i32, 0, 
/*  1841*/        OPC_EmitConvertToTarget, 1,
/*  1843*/        OPC_EmitInteger, MVT::i64, 0, 
/*  1846*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/*  1853*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_ADD_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_load_add:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_add_16>>) - Complexity = 13
                  // Dst: (ATOMIC_RMW16_U_ADD_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/*  1863*/       0, /*End of Scope*/
/*  1864*/      /*Scope*/ 63, /*->1928*/
/*  1865*/       OPC_CheckPredicate, 4, // Predicate_atomic_load_add_32
/*  1867*/       OPC_MoveParent,
/*  1868*/       OPC_Scope, 28, /*->1898*/ // 2 children in Scope
/*  1870*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  1872*/        OPC_EmitMergeInputChains1_0,
/*  1873*/        OPC_EmitInteger, MVT::i32, 0, 
/*  1876*/        OPC_EmitConvertToTarget, 1,
/*  1878*/        OPC_EmitInteger, MVT::i32, 0, 
/*  1881*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/*  1888*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_ADD_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_load_add:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_add_32>>) - Complexity = 13
                  // Dst: (ATOMIC_RMW32_U_ADD_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/*  1898*/       /*Scope*/ 28, /*->1927*/
/*  1899*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  1901*/        OPC_EmitMergeInputChains1_0,
/*  1902*/        OPC_EmitInteger, MVT::i32, 0, 
/*  1905*/        OPC_EmitConvertToTarget, 1,
/*  1907*/        OPC_EmitInteger, MVT::i64, 0, 
/*  1910*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/*  1917*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_ADD_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_load_add:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_add_32>>) - Complexity = 13
                  // Dst: (ATOMIC_RMW32_U_ADD_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/*  1927*/       0, /*End of Scope*/
/*  1928*/      0, /*End of Scope*/
/*  1929*/     /*Scope*/ 79, /*->2009*/
/*  1930*/      OPC_CheckChild1Type, MVT::i32,
/*  1932*/      OPC_MoveChild2,
/*  1933*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  1936*/      OPC_RecordChild0, // #2 = $val
/*  1937*/      OPC_MoveParent,
/*  1938*/      OPC_Scope, 22, /*->1962*/ // 3 children in Scope
/*  1940*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_add_8
/*  1942*/       OPC_MoveParent,
/*  1943*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  1945*/       OPC_EmitMergeInputChains1_0,
/*  1946*/       OPC_EmitInteger, MVT::i32, 0, 
/*  1949*/       OPC_EmitInteger, MVT::i32, 0, 
/*  1952*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_ADD_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
                 // Src: (zext:{ *:[i64] } (atomic_load_add:{ *:[i32] } I32:{ *:[i32] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_add_8>>) - Complexity = 10
                 // Dst: (ATOMIC_RMW8_U_ADD_I64_A32:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  1962*/      /*Scope*/ 22, /*->1985*/
/*  1963*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_add_16
/*  1965*/       OPC_MoveParent,
/*  1966*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  1968*/       OPC_EmitMergeInputChains1_0,
/*  1969*/       OPC_EmitInteger, MVT::i32, 0, 
/*  1972*/       OPC_EmitInteger, MVT::i32, 0, 
/*  1975*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_ADD_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
                 // Src: (zext:{ *:[i64] } (atomic_load_add:{ *:[i32] } I32:{ *:[i32] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_add_16>>) - Complexity = 10
                 // Dst: (ATOMIC_RMW16_U_ADD_I64_A32:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  1985*/      /*Scope*/ 22, /*->2008*/
/*  1986*/       OPC_CheckPredicate, 4, // Predicate_atomic_load_add_32
/*  1988*/       OPC_MoveParent,
/*  1989*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  1991*/       OPC_EmitMergeInputChains1_0,
/*  1992*/       OPC_EmitInteger, MVT::i32, 0, 
/*  1995*/       OPC_EmitInteger, MVT::i32, 0, 
/*  1998*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_ADD_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
                 // Src: (zext:{ *:[i64] } (atomic_load_add:{ *:[i32] } I32:{ *:[i32] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_add_32>>) - Complexity = 10
                 // Dst: (ATOMIC_RMW32_U_ADD_I64_A32:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  2008*/      0, /*End of Scope*/
/*  2009*/     /*Scope*/ 79, /*->2089*/
/*  2010*/      OPC_CheckChild1Type, MVT::i64,
/*  2012*/      OPC_MoveChild2,
/*  2013*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  2016*/      OPC_RecordChild0, // #2 = $val
/*  2017*/      OPC_MoveParent,
/*  2018*/      OPC_Scope, 22, /*->2042*/ // 3 children in Scope
/*  2020*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_add_8
/*  2022*/       OPC_MoveParent,
/*  2023*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  2025*/       OPC_EmitMergeInputChains1_0,
/*  2026*/       OPC_EmitInteger, MVT::i32, 0, 
/*  2029*/       OPC_EmitInteger, MVT::i64, 0, 
/*  2032*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_ADD_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
                 // Src: (zext:{ *:[i64] } (atomic_load_add:{ *:[i32] } I64:{ *:[i64] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_add_8>>) - Complexity = 10
                 // Dst: (ATOMIC_RMW8_U_ADD_I64_A64:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  2042*/      /*Scope*/ 22, /*->2065*/
/*  2043*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_add_16
/*  2045*/       OPC_MoveParent,
/*  2046*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  2048*/       OPC_EmitMergeInputChains1_0,
/*  2049*/       OPC_EmitInteger, MVT::i32, 0, 
/*  2052*/       OPC_EmitInteger, MVT::i64, 0, 
/*  2055*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_ADD_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
                 // Src: (zext:{ *:[i64] } (atomic_load_add:{ *:[i32] } I64:{ *:[i64] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_add_16>>) - Complexity = 10
                 // Dst: (ATOMIC_RMW16_U_ADD_I64_A64:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  2065*/      /*Scope*/ 22, /*->2088*/
/*  2066*/       OPC_CheckPredicate, 4, // Predicate_atomic_load_add_32
/*  2068*/       OPC_MoveParent,
/*  2069*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  2071*/       OPC_EmitMergeInputChains1_0,
/*  2072*/       OPC_EmitInteger, MVT::i32, 0, 
/*  2075*/       OPC_EmitInteger, MVT::i64, 0, 
/*  2078*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_ADD_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
                 // Src: (zext:{ *:[i64] } (atomic_load_add:{ *:[i32] } I64:{ *:[i64] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_add_32>>) - Complexity = 10
                 // Dst: (ATOMIC_RMW32_U_ADD_I64_A64:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  2088*/      0, /*End of Scope*/
/*  2089*/     0, /*End of Scope*/
/*  2090*/    0, /*End of Scope*/
/*  2091*/   /*SwitchOpcode*/ 22|128,7/*918*/, TARGET_VAL(ISD::ATOMIC_LOAD_SUB),// ->3013
/*  2095*/    OPC_RecordMemRef,
/*  2096*/    OPC_RecordNode, // #0 = 'atomic_load_sub' chained node
/*  2097*/    OPC_Scope, 28|128,4/*540*/, /*->2640*/ // 2 children in Scope
/*  2100*/     OPC_MoveChild1,
/*  2101*/     OPC_SwitchOpcode /*3 cases */, 37|128,1/*165*/, TARGET_VAL(ISD::ADD),// ->2271
/*  2106*/      OPC_RecordChild0, // #1 = $addr
/*  2107*/      OPC_RecordChild1, // #2 = $off
/*  2108*/      OPC_MoveChild1,
/*  2109*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/*  2112*/      OPC_MoveParent,
/*  2113*/      OPC_CheckPredicate, 0, // Predicate_regPlusImm
/*  2115*/      OPC_SwitchType /*2 cases */, 75, MVT::i32,// ->2193
/*  2118*/       OPC_MoveParent,
/*  2119*/       OPC_MoveChild2,
/*  2120*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  2123*/       OPC_RecordChild0, // #3 = $val
/*  2124*/       OPC_MoveParent,
/*  2125*/       OPC_Scope, 21, /*->2148*/ // 3 children in Scope
/*  2127*/        OPC_CheckPredicate, 1, // Predicate_atomic_load_sub_8
/*  2129*/        OPC_MoveParent,
/*  2130*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  2132*/        OPC_EmitMergeInputChains1_0,
/*  2133*/        OPC_EmitInteger, MVT::i32, 0, 
/*  2136*/        OPC_EmitConvertToTarget, 2,
/*  2138*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_SUB_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_load_sub:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_sub_8>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW8_U_SUB_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  2148*/       /*Scope*/ 21, /*->2170*/
/*  2149*/        OPC_CheckPredicate, 2, // Predicate_atomic_load_sub_16
/*  2151*/        OPC_MoveParent,
/*  2152*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  2154*/        OPC_EmitMergeInputChains1_0,
/*  2155*/        OPC_EmitInteger, MVT::i32, 0, 
/*  2158*/        OPC_EmitConvertToTarget, 2,
/*  2160*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_SUB_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_load_sub:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_sub_16>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW16_U_SUB_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  2170*/       /*Scope*/ 21, /*->2192*/
/*  2171*/        OPC_CheckPredicate, 4, // Predicate_atomic_load_sub_32
/*  2173*/        OPC_MoveParent,
/*  2174*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  2176*/        OPC_EmitMergeInputChains1_0,
/*  2177*/        OPC_EmitInteger, MVT::i32, 0, 
/*  2180*/        OPC_EmitConvertToTarget, 2,
/*  2182*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_SUB_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_load_sub:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_sub_32>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW32_U_SUB_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  2192*/       0, /*End of Scope*/
/*  2193*/      /*SwitchType*/ 75, MVT::i64,// ->2270
/*  2195*/       OPC_MoveParent,
/*  2196*/       OPC_MoveChild2,
/*  2197*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  2200*/       OPC_RecordChild0, // #3 = $val
/*  2201*/       OPC_MoveParent,
/*  2202*/       OPC_Scope, 21, /*->2225*/ // 3 children in Scope
/*  2204*/        OPC_CheckPredicate, 1, // Predicate_atomic_load_sub_8
/*  2206*/        OPC_MoveParent,
/*  2207*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  2209*/        OPC_EmitMergeInputChains1_0,
/*  2210*/        OPC_EmitInteger, MVT::i32, 0, 
/*  2213*/        OPC_EmitConvertToTarget, 2,
/*  2215*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_SUB_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_load_sub:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_sub_8>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW8_U_SUB_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  2225*/       /*Scope*/ 21, /*->2247*/
/*  2226*/        OPC_CheckPredicate, 2, // Predicate_atomic_load_sub_16
/*  2228*/        OPC_MoveParent,
/*  2229*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  2231*/        OPC_EmitMergeInputChains1_0,
/*  2232*/        OPC_EmitInteger, MVT::i32, 0, 
/*  2235*/        OPC_EmitConvertToTarget, 2,
/*  2237*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_SUB_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_load_sub:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_sub_16>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW16_U_SUB_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  2247*/       /*Scope*/ 21, /*->2269*/
/*  2248*/        OPC_CheckPredicate, 4, // Predicate_atomic_load_sub_32
/*  2250*/        OPC_MoveParent,
/*  2251*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  2253*/        OPC_EmitMergeInputChains1_0,
/*  2254*/        OPC_EmitInteger, MVT::i32, 0, 
/*  2257*/        OPC_EmitConvertToTarget, 2,
/*  2259*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_SUB_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_load_sub:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_sub_32>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW32_U_SUB_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  2269*/       0, /*End of Scope*/
/*  2270*/      0, // EndSwitchType
/*  2271*/     /*SwitchOpcode*/ 37|128,1/*165*/, TARGET_VAL(ISD::OR),// ->2440
/*  2275*/      OPC_RecordChild0, // #1 = $addr
/*  2276*/      OPC_RecordChild1, // #2 = $off
/*  2277*/      OPC_MoveChild1,
/*  2278*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/*  2281*/      OPC_MoveParent,
/*  2282*/      OPC_CheckPredicate, 3, // Predicate_or_is_add
/*  2284*/      OPC_SwitchType /*2 cases */, 75, MVT::i32,// ->2362
/*  2287*/       OPC_MoveParent,
/*  2288*/       OPC_MoveChild2,
/*  2289*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  2292*/       OPC_RecordChild0, // #3 = $val
/*  2293*/       OPC_MoveParent,
/*  2294*/       OPC_Scope, 21, /*->2317*/ // 3 children in Scope
/*  2296*/        OPC_CheckPredicate, 1, // Predicate_atomic_load_sub_8
/*  2298*/        OPC_MoveParent,
/*  2299*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  2301*/        OPC_EmitMergeInputChains1_0,
/*  2302*/        OPC_EmitInteger, MVT::i32, 0, 
/*  2305*/        OPC_EmitConvertToTarget, 2,
/*  2307*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_SUB_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_load_sub:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_sub_8>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW8_U_SUB_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  2317*/       /*Scope*/ 21, /*->2339*/
/*  2318*/        OPC_CheckPredicate, 2, // Predicate_atomic_load_sub_16
/*  2320*/        OPC_MoveParent,
/*  2321*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  2323*/        OPC_EmitMergeInputChains1_0,
/*  2324*/        OPC_EmitInteger, MVT::i32, 0, 
/*  2327*/        OPC_EmitConvertToTarget, 2,
/*  2329*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_SUB_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_load_sub:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_sub_16>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW16_U_SUB_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  2339*/       /*Scope*/ 21, /*->2361*/
/*  2340*/        OPC_CheckPredicate, 4, // Predicate_atomic_load_sub_32
/*  2342*/        OPC_MoveParent,
/*  2343*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  2345*/        OPC_EmitMergeInputChains1_0,
/*  2346*/        OPC_EmitInteger, MVT::i32, 0, 
/*  2349*/        OPC_EmitConvertToTarget, 2,
/*  2351*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_SUB_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_load_sub:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_sub_32>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW32_U_SUB_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  2361*/       0, /*End of Scope*/
/*  2362*/      /*SwitchType*/ 75, MVT::i64,// ->2439
/*  2364*/       OPC_MoveParent,
/*  2365*/       OPC_MoveChild2,
/*  2366*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  2369*/       OPC_RecordChild0, // #3 = $val
/*  2370*/       OPC_MoveParent,
/*  2371*/       OPC_Scope, 21, /*->2394*/ // 3 children in Scope
/*  2373*/        OPC_CheckPredicate, 1, // Predicate_atomic_load_sub_8
/*  2375*/        OPC_MoveParent,
/*  2376*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  2378*/        OPC_EmitMergeInputChains1_0,
/*  2379*/        OPC_EmitInteger, MVT::i32, 0, 
/*  2382*/        OPC_EmitConvertToTarget, 2,
/*  2384*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_SUB_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_load_sub:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_sub_8>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW8_U_SUB_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  2394*/       /*Scope*/ 21, /*->2416*/
/*  2395*/        OPC_CheckPredicate, 2, // Predicate_atomic_load_sub_16
/*  2397*/        OPC_MoveParent,
/*  2398*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  2400*/        OPC_EmitMergeInputChains1_0,
/*  2401*/        OPC_EmitInteger, MVT::i32, 0, 
/*  2404*/        OPC_EmitConvertToTarget, 2,
/*  2406*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_SUB_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_load_sub:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_sub_16>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW16_U_SUB_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  2416*/       /*Scope*/ 21, /*->2438*/
/*  2417*/        OPC_CheckPredicate, 4, // Predicate_atomic_load_sub_32
/*  2419*/        OPC_MoveParent,
/*  2420*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  2422*/        OPC_EmitMergeInputChains1_0,
/*  2423*/        OPC_EmitInteger, MVT::i32, 0, 
/*  2426*/        OPC_EmitConvertToTarget, 2,
/*  2428*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_SUB_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_load_sub:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_sub_32>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW32_U_SUB_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  2438*/       0, /*End of Scope*/
/*  2439*/      0, // EndSwitchType
/*  2440*/     /*SwitchOpcode*/ 67|128,1/*195*/, TARGET_VAL(WebAssemblyISD::Wrapper),// ->2639
/*  2444*/      OPC_RecordChild0, // #1 = $off
/*  2445*/      OPC_MoveChild0,
/*  2446*/      OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/*  2449*/      OPC_MoveParent,
/*  2450*/      OPC_MoveParent,
/*  2451*/      OPC_MoveChild2,
/*  2452*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  2455*/      OPC_RecordChild0, // #2 = $val
/*  2456*/      OPC_MoveParent,
/*  2457*/      OPC_Scope, 59, /*->2518*/ // 3 children in Scope
/*  2459*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_sub_8
/*  2461*/       OPC_MoveParent,
/*  2462*/       OPC_Scope, 26, /*->2490*/ // 2 children in Scope
/*  2464*/        OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/*  2466*/        OPC_EmitMergeInputChains1_0,
/*  2467*/        OPC_EmitInteger, MVT::i32, 0, 
/*  2470*/        OPC_EmitInteger, MVT::i32, 0, 
/*  2473*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/*  2480*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_SUB_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_load_sub:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_sub_8>>) - Complexity = 16
                  // Dst: (ATOMIC_RMW8_U_SUB_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/*  2490*/       /*Scope*/ 26, /*->2517*/
/*  2491*/        OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/*  2493*/        OPC_EmitMergeInputChains1_0,
/*  2494*/        OPC_EmitInteger, MVT::i32, 0, 
/*  2497*/        OPC_EmitInteger, MVT::i64, 0, 
/*  2500*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/*  2507*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_SUB_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_load_sub:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_sub_8>>) - Complexity = 16
                  // Dst: (ATOMIC_RMW8_U_SUB_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/*  2517*/       0, /*End of Scope*/
/*  2518*/      /*Scope*/ 59, /*->2578*/
/*  2519*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_sub_16
/*  2521*/       OPC_MoveParent,
/*  2522*/       OPC_Scope, 26, /*->2550*/ // 2 children in Scope
/*  2524*/        OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/*  2526*/        OPC_EmitMergeInputChains1_0,
/*  2527*/        OPC_EmitInteger, MVT::i32, 0, 
/*  2530*/        OPC_EmitInteger, MVT::i32, 0, 
/*  2533*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/*  2540*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_SUB_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_load_sub:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_sub_16>>) - Complexity = 16
                  // Dst: (ATOMIC_RMW16_U_SUB_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/*  2550*/       /*Scope*/ 26, /*->2577*/
/*  2551*/        OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/*  2553*/        OPC_EmitMergeInputChains1_0,
/*  2554*/        OPC_EmitInteger, MVT::i32, 0, 
/*  2557*/        OPC_EmitInteger, MVT::i64, 0, 
/*  2560*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/*  2567*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_SUB_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_load_sub:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_sub_16>>) - Complexity = 16
                  // Dst: (ATOMIC_RMW16_U_SUB_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/*  2577*/       0, /*End of Scope*/
/*  2578*/      /*Scope*/ 59, /*->2638*/
/*  2579*/       OPC_CheckPredicate, 4, // Predicate_atomic_load_sub_32
/*  2581*/       OPC_MoveParent,
/*  2582*/       OPC_Scope, 26, /*->2610*/ // 2 children in Scope
/*  2584*/        OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/*  2586*/        OPC_EmitMergeInputChains1_0,
/*  2587*/        OPC_EmitInteger, MVT::i32, 0, 
/*  2590*/        OPC_EmitInteger, MVT::i32, 0, 
/*  2593*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/*  2600*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_SUB_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_load_sub:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_sub_32>>) - Complexity = 16
                  // Dst: (ATOMIC_RMW32_U_SUB_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/*  2610*/       /*Scope*/ 26, /*->2637*/
/*  2611*/        OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/*  2613*/        OPC_EmitMergeInputChains1_0,
/*  2614*/        OPC_EmitInteger, MVT::i32, 0, 
/*  2617*/        OPC_EmitInteger, MVT::i64, 0, 
/*  2620*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/*  2627*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_SUB_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_load_sub:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_sub_32>>) - Complexity = 16
                  // Dst: (ATOMIC_RMW32_U_SUB_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/*  2637*/       0, /*End of Scope*/
/*  2638*/      0, /*End of Scope*/
/*  2639*/     0, // EndSwitchOpcode
/*  2640*/    /*Scope*/ 114|128,2/*370*/, /*->3012*/
/*  2642*/     OPC_RecordChild1, // #1 = $off
/*  2643*/     OPC_Scope, 77|128,1/*205*/, /*->2851*/ // 3 children in Scope
/*  2646*/      OPC_MoveChild1,
/*  2647*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/*  2650*/      OPC_MoveParent,
/*  2651*/      OPC_MoveChild2,
/*  2652*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  2655*/      OPC_RecordChild0, // #2 = $val
/*  2656*/      OPC_MoveParent,
/*  2657*/      OPC_Scope, 63, /*->2722*/ // 3 children in Scope
/*  2659*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_sub_8
/*  2661*/       OPC_MoveParent,
/*  2662*/       OPC_Scope, 28, /*->2692*/ // 2 children in Scope
/*  2664*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  2666*/        OPC_EmitMergeInputChains1_0,
/*  2667*/        OPC_EmitInteger, MVT::i32, 0, 
/*  2670*/        OPC_EmitConvertToTarget, 1,
/*  2672*/        OPC_EmitInteger, MVT::i32, 0, 
/*  2675*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/*  2682*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_SUB_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_load_sub:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_sub_8>>) - Complexity = 13
                  // Dst: (ATOMIC_RMW8_U_SUB_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/*  2692*/       /*Scope*/ 28, /*->2721*/
/*  2693*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  2695*/        OPC_EmitMergeInputChains1_0,
/*  2696*/        OPC_EmitInteger, MVT::i32, 0, 
/*  2699*/        OPC_EmitConvertToTarget, 1,
/*  2701*/        OPC_EmitInteger, MVT::i64, 0, 
/*  2704*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/*  2711*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_SUB_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_load_sub:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_sub_8>>) - Complexity = 13
                  // Dst: (ATOMIC_RMW8_U_SUB_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/*  2721*/       0, /*End of Scope*/
/*  2722*/      /*Scope*/ 63, /*->2786*/
/*  2723*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_sub_16
/*  2725*/       OPC_MoveParent,
/*  2726*/       OPC_Scope, 28, /*->2756*/ // 2 children in Scope
/*  2728*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  2730*/        OPC_EmitMergeInputChains1_0,
/*  2731*/        OPC_EmitInteger, MVT::i32, 0, 
/*  2734*/        OPC_EmitConvertToTarget, 1,
/*  2736*/        OPC_EmitInteger, MVT::i32, 0, 
/*  2739*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/*  2746*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_SUB_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_load_sub:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_sub_16>>) - Complexity = 13
                  // Dst: (ATOMIC_RMW16_U_SUB_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/*  2756*/       /*Scope*/ 28, /*->2785*/
/*  2757*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  2759*/        OPC_EmitMergeInputChains1_0,
/*  2760*/        OPC_EmitInteger, MVT::i32, 0, 
/*  2763*/        OPC_EmitConvertToTarget, 1,
/*  2765*/        OPC_EmitInteger, MVT::i64, 0, 
/*  2768*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/*  2775*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_SUB_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_load_sub:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_sub_16>>) - Complexity = 13
                  // Dst: (ATOMIC_RMW16_U_SUB_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/*  2785*/       0, /*End of Scope*/
/*  2786*/      /*Scope*/ 63, /*->2850*/
/*  2787*/       OPC_CheckPredicate, 4, // Predicate_atomic_load_sub_32
/*  2789*/       OPC_MoveParent,
/*  2790*/       OPC_Scope, 28, /*->2820*/ // 2 children in Scope
/*  2792*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  2794*/        OPC_EmitMergeInputChains1_0,
/*  2795*/        OPC_EmitInteger, MVT::i32, 0, 
/*  2798*/        OPC_EmitConvertToTarget, 1,
/*  2800*/        OPC_EmitInteger, MVT::i32, 0, 
/*  2803*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/*  2810*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_SUB_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_load_sub:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_sub_32>>) - Complexity = 13
                  // Dst: (ATOMIC_RMW32_U_SUB_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/*  2820*/       /*Scope*/ 28, /*->2849*/
/*  2821*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  2823*/        OPC_EmitMergeInputChains1_0,
/*  2824*/        OPC_EmitInteger, MVT::i32, 0, 
/*  2827*/        OPC_EmitConvertToTarget, 1,
/*  2829*/        OPC_EmitInteger, MVT::i64, 0, 
/*  2832*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/*  2839*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_SUB_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_load_sub:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_sub_32>>) - Complexity = 13
                  // Dst: (ATOMIC_RMW32_U_SUB_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/*  2849*/       0, /*End of Scope*/
/*  2850*/      0, /*End of Scope*/
/*  2851*/     /*Scope*/ 79, /*->2931*/
/*  2852*/      OPC_CheckChild1Type, MVT::i32,
/*  2854*/      OPC_MoveChild2,
/*  2855*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  2858*/      OPC_RecordChild0, // #2 = $val
/*  2859*/      OPC_MoveParent,
/*  2860*/      OPC_Scope, 22, /*->2884*/ // 3 children in Scope
/*  2862*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_sub_8
/*  2864*/       OPC_MoveParent,
/*  2865*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  2867*/       OPC_EmitMergeInputChains1_0,
/*  2868*/       OPC_EmitInteger, MVT::i32, 0, 
/*  2871*/       OPC_EmitInteger, MVT::i32, 0, 
/*  2874*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_SUB_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
                 // Src: (zext:{ *:[i64] } (atomic_load_sub:{ *:[i32] } I32:{ *:[i32] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_sub_8>>) - Complexity = 10
                 // Dst: (ATOMIC_RMW8_U_SUB_I64_A32:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  2884*/      /*Scope*/ 22, /*->2907*/
/*  2885*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_sub_16
/*  2887*/       OPC_MoveParent,
/*  2888*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  2890*/       OPC_EmitMergeInputChains1_0,
/*  2891*/       OPC_EmitInteger, MVT::i32, 0, 
/*  2894*/       OPC_EmitInteger, MVT::i32, 0, 
/*  2897*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_SUB_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
                 // Src: (zext:{ *:[i64] } (atomic_load_sub:{ *:[i32] } I32:{ *:[i32] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_sub_16>>) - Complexity = 10
                 // Dst: (ATOMIC_RMW16_U_SUB_I64_A32:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  2907*/      /*Scope*/ 22, /*->2930*/
/*  2908*/       OPC_CheckPredicate, 4, // Predicate_atomic_load_sub_32
/*  2910*/       OPC_MoveParent,
/*  2911*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  2913*/       OPC_EmitMergeInputChains1_0,
/*  2914*/       OPC_EmitInteger, MVT::i32, 0, 
/*  2917*/       OPC_EmitInteger, MVT::i32, 0, 
/*  2920*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_SUB_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
                 // Src: (zext:{ *:[i64] } (atomic_load_sub:{ *:[i32] } I32:{ *:[i32] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_sub_32>>) - Complexity = 10
                 // Dst: (ATOMIC_RMW32_U_SUB_I64_A32:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  2930*/      0, /*End of Scope*/
/*  2931*/     /*Scope*/ 79, /*->3011*/
/*  2932*/      OPC_CheckChild1Type, MVT::i64,
/*  2934*/      OPC_MoveChild2,
/*  2935*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  2938*/      OPC_RecordChild0, // #2 = $val
/*  2939*/      OPC_MoveParent,
/*  2940*/      OPC_Scope, 22, /*->2964*/ // 3 children in Scope
/*  2942*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_sub_8
/*  2944*/       OPC_MoveParent,
/*  2945*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  2947*/       OPC_EmitMergeInputChains1_0,
/*  2948*/       OPC_EmitInteger, MVT::i32, 0, 
/*  2951*/       OPC_EmitInteger, MVT::i64, 0, 
/*  2954*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_SUB_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
                 // Src: (zext:{ *:[i64] } (atomic_load_sub:{ *:[i32] } I64:{ *:[i64] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_sub_8>>) - Complexity = 10
                 // Dst: (ATOMIC_RMW8_U_SUB_I64_A64:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  2964*/      /*Scope*/ 22, /*->2987*/
/*  2965*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_sub_16
/*  2967*/       OPC_MoveParent,
/*  2968*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  2970*/       OPC_EmitMergeInputChains1_0,
/*  2971*/       OPC_EmitInteger, MVT::i32, 0, 
/*  2974*/       OPC_EmitInteger, MVT::i64, 0, 
/*  2977*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_SUB_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
                 // Src: (zext:{ *:[i64] } (atomic_load_sub:{ *:[i32] } I64:{ *:[i64] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_sub_16>>) - Complexity = 10
                 // Dst: (ATOMIC_RMW16_U_SUB_I64_A64:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  2987*/      /*Scope*/ 22, /*->3010*/
/*  2988*/       OPC_CheckPredicate, 4, // Predicate_atomic_load_sub_32
/*  2990*/       OPC_MoveParent,
/*  2991*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  2993*/       OPC_EmitMergeInputChains1_0,
/*  2994*/       OPC_EmitInteger, MVT::i32, 0, 
/*  2997*/       OPC_EmitInteger, MVT::i64, 0, 
/*  3000*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_SUB_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
                 // Src: (zext:{ *:[i64] } (atomic_load_sub:{ *:[i32] } I64:{ *:[i64] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_sub_32>>) - Complexity = 10
                 // Dst: (ATOMIC_RMW32_U_SUB_I64_A64:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  3010*/      0, /*End of Scope*/
/*  3011*/     0, /*End of Scope*/
/*  3012*/    0, /*End of Scope*/
/*  3013*/   /*SwitchOpcode*/ 22|128,7/*918*/, TARGET_VAL(ISD::ATOMIC_LOAD_AND),// ->3935
/*  3017*/    OPC_RecordMemRef,
/*  3018*/    OPC_RecordNode, // #0 = 'atomic_load_and' chained node
/*  3019*/    OPC_Scope, 28|128,4/*540*/, /*->3562*/ // 2 children in Scope
/*  3022*/     OPC_MoveChild1,
/*  3023*/     OPC_SwitchOpcode /*3 cases */, 37|128,1/*165*/, TARGET_VAL(ISD::ADD),// ->3193
/*  3028*/      OPC_RecordChild0, // #1 = $addr
/*  3029*/      OPC_RecordChild1, // #2 = $off
/*  3030*/      OPC_MoveChild1,
/*  3031*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/*  3034*/      OPC_MoveParent,
/*  3035*/      OPC_CheckPredicate, 0, // Predicate_regPlusImm
/*  3037*/      OPC_SwitchType /*2 cases */, 75, MVT::i32,// ->3115
/*  3040*/       OPC_MoveParent,
/*  3041*/       OPC_MoveChild2,
/*  3042*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  3045*/       OPC_RecordChild0, // #3 = $val
/*  3046*/       OPC_MoveParent,
/*  3047*/       OPC_Scope, 21, /*->3070*/ // 3 children in Scope
/*  3049*/        OPC_CheckPredicate, 1, // Predicate_atomic_load_and_8
/*  3051*/        OPC_MoveParent,
/*  3052*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  3054*/        OPC_EmitMergeInputChains1_0,
/*  3055*/        OPC_EmitInteger, MVT::i32, 0, 
/*  3058*/        OPC_EmitConvertToTarget, 2,
/*  3060*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_AND_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_load_and:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_and_8>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW8_U_AND_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  3070*/       /*Scope*/ 21, /*->3092*/
/*  3071*/        OPC_CheckPredicate, 2, // Predicate_atomic_load_and_16
/*  3073*/        OPC_MoveParent,
/*  3074*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  3076*/        OPC_EmitMergeInputChains1_0,
/*  3077*/        OPC_EmitInteger, MVT::i32, 0, 
/*  3080*/        OPC_EmitConvertToTarget, 2,
/*  3082*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_AND_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_load_and:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_and_16>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW16_U_AND_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  3092*/       /*Scope*/ 21, /*->3114*/
/*  3093*/        OPC_CheckPredicate, 4, // Predicate_atomic_load_and_32
/*  3095*/        OPC_MoveParent,
/*  3096*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  3098*/        OPC_EmitMergeInputChains1_0,
/*  3099*/        OPC_EmitInteger, MVT::i32, 0, 
/*  3102*/        OPC_EmitConvertToTarget, 2,
/*  3104*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_AND_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_load_and:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_and_32>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW32_U_AND_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  3114*/       0, /*End of Scope*/
/*  3115*/      /*SwitchType*/ 75, MVT::i64,// ->3192
/*  3117*/       OPC_MoveParent,
/*  3118*/       OPC_MoveChild2,
/*  3119*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  3122*/       OPC_RecordChild0, // #3 = $val
/*  3123*/       OPC_MoveParent,
/*  3124*/       OPC_Scope, 21, /*->3147*/ // 3 children in Scope
/*  3126*/        OPC_CheckPredicate, 1, // Predicate_atomic_load_and_8
/*  3128*/        OPC_MoveParent,
/*  3129*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  3131*/        OPC_EmitMergeInputChains1_0,
/*  3132*/        OPC_EmitInteger, MVT::i32, 0, 
/*  3135*/        OPC_EmitConvertToTarget, 2,
/*  3137*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_AND_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_load_and:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_and_8>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW8_U_AND_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  3147*/       /*Scope*/ 21, /*->3169*/
/*  3148*/        OPC_CheckPredicate, 2, // Predicate_atomic_load_and_16
/*  3150*/        OPC_MoveParent,
/*  3151*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  3153*/        OPC_EmitMergeInputChains1_0,
/*  3154*/        OPC_EmitInteger, MVT::i32, 0, 
/*  3157*/        OPC_EmitConvertToTarget, 2,
/*  3159*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_AND_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_load_and:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_and_16>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW16_U_AND_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  3169*/       /*Scope*/ 21, /*->3191*/
/*  3170*/        OPC_CheckPredicate, 4, // Predicate_atomic_load_and_32
/*  3172*/        OPC_MoveParent,
/*  3173*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  3175*/        OPC_EmitMergeInputChains1_0,
/*  3176*/        OPC_EmitInteger, MVT::i32, 0, 
/*  3179*/        OPC_EmitConvertToTarget, 2,
/*  3181*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_AND_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_load_and:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_and_32>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW32_U_AND_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  3191*/       0, /*End of Scope*/
/*  3192*/      0, // EndSwitchType
/*  3193*/     /*SwitchOpcode*/ 37|128,1/*165*/, TARGET_VAL(ISD::OR),// ->3362
/*  3197*/      OPC_RecordChild0, // #1 = $addr
/*  3198*/      OPC_RecordChild1, // #2 = $off
/*  3199*/      OPC_MoveChild1,
/*  3200*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/*  3203*/      OPC_MoveParent,
/*  3204*/      OPC_CheckPredicate, 3, // Predicate_or_is_add
/*  3206*/      OPC_SwitchType /*2 cases */, 75, MVT::i32,// ->3284
/*  3209*/       OPC_MoveParent,
/*  3210*/       OPC_MoveChild2,
/*  3211*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  3214*/       OPC_RecordChild0, // #3 = $val
/*  3215*/       OPC_MoveParent,
/*  3216*/       OPC_Scope, 21, /*->3239*/ // 3 children in Scope
/*  3218*/        OPC_CheckPredicate, 1, // Predicate_atomic_load_and_8
/*  3220*/        OPC_MoveParent,
/*  3221*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  3223*/        OPC_EmitMergeInputChains1_0,
/*  3224*/        OPC_EmitInteger, MVT::i32, 0, 
/*  3227*/        OPC_EmitConvertToTarget, 2,
/*  3229*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_AND_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_load_and:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_and_8>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW8_U_AND_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  3239*/       /*Scope*/ 21, /*->3261*/
/*  3240*/        OPC_CheckPredicate, 2, // Predicate_atomic_load_and_16
/*  3242*/        OPC_MoveParent,
/*  3243*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  3245*/        OPC_EmitMergeInputChains1_0,
/*  3246*/        OPC_EmitInteger, MVT::i32, 0, 
/*  3249*/        OPC_EmitConvertToTarget, 2,
/*  3251*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_AND_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_load_and:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_and_16>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW16_U_AND_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  3261*/       /*Scope*/ 21, /*->3283*/
/*  3262*/        OPC_CheckPredicate, 4, // Predicate_atomic_load_and_32
/*  3264*/        OPC_MoveParent,
/*  3265*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  3267*/        OPC_EmitMergeInputChains1_0,
/*  3268*/        OPC_EmitInteger, MVT::i32, 0, 
/*  3271*/        OPC_EmitConvertToTarget, 2,
/*  3273*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_AND_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_load_and:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_and_32>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW32_U_AND_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  3283*/       0, /*End of Scope*/
/*  3284*/      /*SwitchType*/ 75, MVT::i64,// ->3361
/*  3286*/       OPC_MoveParent,
/*  3287*/       OPC_MoveChild2,
/*  3288*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  3291*/       OPC_RecordChild0, // #3 = $val
/*  3292*/       OPC_MoveParent,
/*  3293*/       OPC_Scope, 21, /*->3316*/ // 3 children in Scope
/*  3295*/        OPC_CheckPredicate, 1, // Predicate_atomic_load_and_8
/*  3297*/        OPC_MoveParent,
/*  3298*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  3300*/        OPC_EmitMergeInputChains1_0,
/*  3301*/        OPC_EmitInteger, MVT::i32, 0, 
/*  3304*/        OPC_EmitConvertToTarget, 2,
/*  3306*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_AND_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_load_and:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_and_8>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW8_U_AND_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  3316*/       /*Scope*/ 21, /*->3338*/
/*  3317*/        OPC_CheckPredicate, 2, // Predicate_atomic_load_and_16
/*  3319*/        OPC_MoveParent,
/*  3320*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  3322*/        OPC_EmitMergeInputChains1_0,
/*  3323*/        OPC_EmitInteger, MVT::i32, 0, 
/*  3326*/        OPC_EmitConvertToTarget, 2,
/*  3328*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_AND_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_load_and:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_and_16>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW16_U_AND_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  3338*/       /*Scope*/ 21, /*->3360*/
/*  3339*/        OPC_CheckPredicate, 4, // Predicate_atomic_load_and_32
/*  3341*/        OPC_MoveParent,
/*  3342*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  3344*/        OPC_EmitMergeInputChains1_0,
/*  3345*/        OPC_EmitInteger, MVT::i32, 0, 
/*  3348*/        OPC_EmitConvertToTarget, 2,
/*  3350*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_AND_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_load_and:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_and_32>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW32_U_AND_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  3360*/       0, /*End of Scope*/
/*  3361*/      0, // EndSwitchType
/*  3362*/     /*SwitchOpcode*/ 67|128,1/*195*/, TARGET_VAL(WebAssemblyISD::Wrapper),// ->3561
/*  3366*/      OPC_RecordChild0, // #1 = $off
/*  3367*/      OPC_MoveChild0,
/*  3368*/      OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/*  3371*/      OPC_MoveParent,
/*  3372*/      OPC_MoveParent,
/*  3373*/      OPC_MoveChild2,
/*  3374*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  3377*/      OPC_RecordChild0, // #2 = $val
/*  3378*/      OPC_MoveParent,
/*  3379*/      OPC_Scope, 59, /*->3440*/ // 3 children in Scope
/*  3381*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_and_8
/*  3383*/       OPC_MoveParent,
/*  3384*/       OPC_Scope, 26, /*->3412*/ // 2 children in Scope
/*  3386*/        OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/*  3388*/        OPC_EmitMergeInputChains1_0,
/*  3389*/        OPC_EmitInteger, MVT::i32, 0, 
/*  3392*/        OPC_EmitInteger, MVT::i32, 0, 
/*  3395*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/*  3402*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_AND_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_load_and:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_and_8>>) - Complexity = 16
                  // Dst: (ATOMIC_RMW8_U_AND_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/*  3412*/       /*Scope*/ 26, /*->3439*/
/*  3413*/        OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/*  3415*/        OPC_EmitMergeInputChains1_0,
/*  3416*/        OPC_EmitInteger, MVT::i32, 0, 
/*  3419*/        OPC_EmitInteger, MVT::i64, 0, 
/*  3422*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/*  3429*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_AND_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_load_and:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_and_8>>) - Complexity = 16
                  // Dst: (ATOMIC_RMW8_U_AND_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/*  3439*/       0, /*End of Scope*/
/*  3440*/      /*Scope*/ 59, /*->3500*/
/*  3441*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_and_16
/*  3443*/       OPC_MoveParent,
/*  3444*/       OPC_Scope, 26, /*->3472*/ // 2 children in Scope
/*  3446*/        OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/*  3448*/        OPC_EmitMergeInputChains1_0,
/*  3449*/        OPC_EmitInteger, MVT::i32, 0, 
/*  3452*/        OPC_EmitInteger, MVT::i32, 0, 
/*  3455*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/*  3462*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_AND_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_load_and:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_and_16>>) - Complexity = 16
                  // Dst: (ATOMIC_RMW16_U_AND_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/*  3472*/       /*Scope*/ 26, /*->3499*/
/*  3473*/        OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/*  3475*/        OPC_EmitMergeInputChains1_0,
/*  3476*/        OPC_EmitInteger, MVT::i32, 0, 
/*  3479*/        OPC_EmitInteger, MVT::i64, 0, 
/*  3482*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/*  3489*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_AND_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_load_and:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_and_16>>) - Complexity = 16
                  // Dst: (ATOMIC_RMW16_U_AND_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/*  3499*/       0, /*End of Scope*/
/*  3500*/      /*Scope*/ 59, /*->3560*/
/*  3501*/       OPC_CheckPredicate, 4, // Predicate_atomic_load_and_32
/*  3503*/       OPC_MoveParent,
/*  3504*/       OPC_Scope, 26, /*->3532*/ // 2 children in Scope
/*  3506*/        OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/*  3508*/        OPC_EmitMergeInputChains1_0,
/*  3509*/        OPC_EmitInteger, MVT::i32, 0, 
/*  3512*/        OPC_EmitInteger, MVT::i32, 0, 
/*  3515*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/*  3522*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_AND_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_load_and:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_and_32>>) - Complexity = 16
                  // Dst: (ATOMIC_RMW32_U_AND_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/*  3532*/       /*Scope*/ 26, /*->3559*/
/*  3533*/        OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/*  3535*/        OPC_EmitMergeInputChains1_0,
/*  3536*/        OPC_EmitInteger, MVT::i32, 0, 
/*  3539*/        OPC_EmitInteger, MVT::i64, 0, 
/*  3542*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/*  3549*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_AND_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_load_and:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_and_32>>) - Complexity = 16
                  // Dst: (ATOMIC_RMW32_U_AND_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/*  3559*/       0, /*End of Scope*/
/*  3560*/      0, /*End of Scope*/
/*  3561*/     0, // EndSwitchOpcode
/*  3562*/    /*Scope*/ 114|128,2/*370*/, /*->3934*/
/*  3564*/     OPC_RecordChild1, // #1 = $off
/*  3565*/     OPC_Scope, 77|128,1/*205*/, /*->3773*/ // 3 children in Scope
/*  3568*/      OPC_MoveChild1,
/*  3569*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/*  3572*/      OPC_MoveParent,
/*  3573*/      OPC_MoveChild2,
/*  3574*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  3577*/      OPC_RecordChild0, // #2 = $val
/*  3578*/      OPC_MoveParent,
/*  3579*/      OPC_Scope, 63, /*->3644*/ // 3 children in Scope
/*  3581*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_and_8
/*  3583*/       OPC_MoveParent,
/*  3584*/       OPC_Scope, 28, /*->3614*/ // 2 children in Scope
/*  3586*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  3588*/        OPC_EmitMergeInputChains1_0,
/*  3589*/        OPC_EmitInteger, MVT::i32, 0, 
/*  3592*/        OPC_EmitConvertToTarget, 1,
/*  3594*/        OPC_EmitInteger, MVT::i32, 0, 
/*  3597*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/*  3604*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_AND_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_load_and:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_and_8>>) - Complexity = 13
                  // Dst: (ATOMIC_RMW8_U_AND_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/*  3614*/       /*Scope*/ 28, /*->3643*/
/*  3615*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  3617*/        OPC_EmitMergeInputChains1_0,
/*  3618*/        OPC_EmitInteger, MVT::i32, 0, 
/*  3621*/        OPC_EmitConvertToTarget, 1,
/*  3623*/        OPC_EmitInteger, MVT::i64, 0, 
/*  3626*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/*  3633*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_AND_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_load_and:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_and_8>>) - Complexity = 13
                  // Dst: (ATOMIC_RMW8_U_AND_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/*  3643*/       0, /*End of Scope*/
/*  3644*/      /*Scope*/ 63, /*->3708*/
/*  3645*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_and_16
/*  3647*/       OPC_MoveParent,
/*  3648*/       OPC_Scope, 28, /*->3678*/ // 2 children in Scope
/*  3650*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  3652*/        OPC_EmitMergeInputChains1_0,
/*  3653*/        OPC_EmitInteger, MVT::i32, 0, 
/*  3656*/        OPC_EmitConvertToTarget, 1,
/*  3658*/        OPC_EmitInteger, MVT::i32, 0, 
/*  3661*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/*  3668*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_AND_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_load_and:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_and_16>>) - Complexity = 13
                  // Dst: (ATOMIC_RMW16_U_AND_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/*  3678*/       /*Scope*/ 28, /*->3707*/
/*  3679*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  3681*/        OPC_EmitMergeInputChains1_0,
/*  3682*/        OPC_EmitInteger, MVT::i32, 0, 
/*  3685*/        OPC_EmitConvertToTarget, 1,
/*  3687*/        OPC_EmitInteger, MVT::i64, 0, 
/*  3690*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/*  3697*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_AND_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_load_and:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_and_16>>) - Complexity = 13
                  // Dst: (ATOMIC_RMW16_U_AND_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/*  3707*/       0, /*End of Scope*/
/*  3708*/      /*Scope*/ 63, /*->3772*/
/*  3709*/       OPC_CheckPredicate, 4, // Predicate_atomic_load_and_32
/*  3711*/       OPC_MoveParent,
/*  3712*/       OPC_Scope, 28, /*->3742*/ // 2 children in Scope
/*  3714*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  3716*/        OPC_EmitMergeInputChains1_0,
/*  3717*/        OPC_EmitInteger, MVT::i32, 0, 
/*  3720*/        OPC_EmitConvertToTarget, 1,
/*  3722*/        OPC_EmitInteger, MVT::i32, 0, 
/*  3725*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/*  3732*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_AND_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_load_and:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_and_32>>) - Complexity = 13
                  // Dst: (ATOMIC_RMW32_U_AND_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/*  3742*/       /*Scope*/ 28, /*->3771*/
/*  3743*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  3745*/        OPC_EmitMergeInputChains1_0,
/*  3746*/        OPC_EmitInteger, MVT::i32, 0, 
/*  3749*/        OPC_EmitConvertToTarget, 1,
/*  3751*/        OPC_EmitInteger, MVT::i64, 0, 
/*  3754*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/*  3761*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_AND_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_load_and:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_and_32>>) - Complexity = 13
                  // Dst: (ATOMIC_RMW32_U_AND_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/*  3771*/       0, /*End of Scope*/
/*  3772*/      0, /*End of Scope*/
/*  3773*/     /*Scope*/ 79, /*->3853*/
/*  3774*/      OPC_CheckChild1Type, MVT::i32,
/*  3776*/      OPC_MoveChild2,
/*  3777*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  3780*/      OPC_RecordChild0, // #2 = $val
/*  3781*/      OPC_MoveParent,
/*  3782*/      OPC_Scope, 22, /*->3806*/ // 3 children in Scope
/*  3784*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_and_8
/*  3786*/       OPC_MoveParent,
/*  3787*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  3789*/       OPC_EmitMergeInputChains1_0,
/*  3790*/       OPC_EmitInteger, MVT::i32, 0, 
/*  3793*/       OPC_EmitInteger, MVT::i32, 0, 
/*  3796*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_AND_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
                 // Src: (zext:{ *:[i64] } (atomic_load_and:{ *:[i32] } I32:{ *:[i32] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_and_8>>) - Complexity = 10
                 // Dst: (ATOMIC_RMW8_U_AND_I64_A32:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  3806*/      /*Scope*/ 22, /*->3829*/
/*  3807*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_and_16
/*  3809*/       OPC_MoveParent,
/*  3810*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  3812*/       OPC_EmitMergeInputChains1_0,
/*  3813*/       OPC_EmitInteger, MVT::i32, 0, 
/*  3816*/       OPC_EmitInteger, MVT::i32, 0, 
/*  3819*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_AND_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
                 // Src: (zext:{ *:[i64] } (atomic_load_and:{ *:[i32] } I32:{ *:[i32] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_and_16>>) - Complexity = 10
                 // Dst: (ATOMIC_RMW16_U_AND_I64_A32:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  3829*/      /*Scope*/ 22, /*->3852*/
/*  3830*/       OPC_CheckPredicate, 4, // Predicate_atomic_load_and_32
/*  3832*/       OPC_MoveParent,
/*  3833*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  3835*/       OPC_EmitMergeInputChains1_0,
/*  3836*/       OPC_EmitInteger, MVT::i32, 0, 
/*  3839*/       OPC_EmitInteger, MVT::i32, 0, 
/*  3842*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_AND_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
                 // Src: (zext:{ *:[i64] } (atomic_load_and:{ *:[i32] } I32:{ *:[i32] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_and_32>>) - Complexity = 10
                 // Dst: (ATOMIC_RMW32_U_AND_I64_A32:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  3852*/      0, /*End of Scope*/
/*  3853*/     /*Scope*/ 79, /*->3933*/
/*  3854*/      OPC_CheckChild1Type, MVT::i64,
/*  3856*/      OPC_MoveChild2,
/*  3857*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  3860*/      OPC_RecordChild0, // #2 = $val
/*  3861*/      OPC_MoveParent,
/*  3862*/      OPC_Scope, 22, /*->3886*/ // 3 children in Scope
/*  3864*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_and_8
/*  3866*/       OPC_MoveParent,
/*  3867*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  3869*/       OPC_EmitMergeInputChains1_0,
/*  3870*/       OPC_EmitInteger, MVT::i32, 0, 
/*  3873*/       OPC_EmitInteger, MVT::i64, 0, 
/*  3876*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_AND_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
                 // Src: (zext:{ *:[i64] } (atomic_load_and:{ *:[i32] } I64:{ *:[i64] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_and_8>>) - Complexity = 10
                 // Dst: (ATOMIC_RMW8_U_AND_I64_A64:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  3886*/      /*Scope*/ 22, /*->3909*/
/*  3887*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_and_16
/*  3889*/       OPC_MoveParent,
/*  3890*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  3892*/       OPC_EmitMergeInputChains1_0,
/*  3893*/       OPC_EmitInteger, MVT::i32, 0, 
/*  3896*/       OPC_EmitInteger, MVT::i64, 0, 
/*  3899*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_AND_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
                 // Src: (zext:{ *:[i64] } (atomic_load_and:{ *:[i32] } I64:{ *:[i64] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_and_16>>) - Complexity = 10
                 // Dst: (ATOMIC_RMW16_U_AND_I64_A64:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  3909*/      /*Scope*/ 22, /*->3932*/
/*  3910*/       OPC_CheckPredicate, 4, // Predicate_atomic_load_and_32
/*  3912*/       OPC_MoveParent,
/*  3913*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  3915*/       OPC_EmitMergeInputChains1_0,
/*  3916*/       OPC_EmitInteger, MVT::i32, 0, 
/*  3919*/       OPC_EmitInteger, MVT::i64, 0, 
/*  3922*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_AND_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
                 // Src: (zext:{ *:[i64] } (atomic_load_and:{ *:[i32] } I64:{ *:[i64] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_and_32>>) - Complexity = 10
                 // Dst: (ATOMIC_RMW32_U_AND_I64_A64:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  3932*/      0, /*End of Scope*/
/*  3933*/     0, /*End of Scope*/
/*  3934*/    0, /*End of Scope*/
/*  3935*/   /*SwitchOpcode*/ 22|128,7/*918*/, TARGET_VAL(ISD::ATOMIC_LOAD_OR),// ->4857
/*  3939*/    OPC_RecordMemRef,
/*  3940*/    OPC_RecordNode, // #0 = 'atomic_load_or' chained node
/*  3941*/    OPC_Scope, 28|128,4/*540*/, /*->4484*/ // 2 children in Scope
/*  3944*/     OPC_MoveChild1,
/*  3945*/     OPC_SwitchOpcode /*3 cases */, 37|128,1/*165*/, TARGET_VAL(ISD::ADD),// ->4115
/*  3950*/      OPC_RecordChild0, // #1 = $addr
/*  3951*/      OPC_RecordChild1, // #2 = $off
/*  3952*/      OPC_MoveChild1,
/*  3953*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/*  3956*/      OPC_MoveParent,
/*  3957*/      OPC_CheckPredicate, 0, // Predicate_regPlusImm
/*  3959*/      OPC_SwitchType /*2 cases */, 75, MVT::i32,// ->4037
/*  3962*/       OPC_MoveParent,
/*  3963*/       OPC_MoveChild2,
/*  3964*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  3967*/       OPC_RecordChild0, // #3 = $val
/*  3968*/       OPC_MoveParent,
/*  3969*/       OPC_Scope, 21, /*->3992*/ // 3 children in Scope
/*  3971*/        OPC_CheckPredicate, 1, // Predicate_atomic_load_or_8
/*  3973*/        OPC_MoveParent,
/*  3974*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  3976*/        OPC_EmitMergeInputChains1_0,
/*  3977*/        OPC_EmitInteger, MVT::i32, 0, 
/*  3980*/        OPC_EmitConvertToTarget, 2,
/*  3982*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_OR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_load_or:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_or_8>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW8_U_OR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  3992*/       /*Scope*/ 21, /*->4014*/
/*  3993*/        OPC_CheckPredicate, 2, // Predicate_atomic_load_or_16
/*  3995*/        OPC_MoveParent,
/*  3996*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  3998*/        OPC_EmitMergeInputChains1_0,
/*  3999*/        OPC_EmitInteger, MVT::i32, 0, 
/*  4002*/        OPC_EmitConvertToTarget, 2,
/*  4004*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_OR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_load_or:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_or_16>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW16_U_OR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  4014*/       /*Scope*/ 21, /*->4036*/
/*  4015*/        OPC_CheckPredicate, 4, // Predicate_atomic_load_or_32
/*  4017*/        OPC_MoveParent,
/*  4018*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  4020*/        OPC_EmitMergeInputChains1_0,
/*  4021*/        OPC_EmitInteger, MVT::i32, 0, 
/*  4024*/        OPC_EmitConvertToTarget, 2,
/*  4026*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_OR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_load_or:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_or_32>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW32_U_OR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  4036*/       0, /*End of Scope*/
/*  4037*/      /*SwitchType*/ 75, MVT::i64,// ->4114
/*  4039*/       OPC_MoveParent,
/*  4040*/       OPC_MoveChild2,
/*  4041*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  4044*/       OPC_RecordChild0, // #3 = $val
/*  4045*/       OPC_MoveParent,
/*  4046*/       OPC_Scope, 21, /*->4069*/ // 3 children in Scope
/*  4048*/        OPC_CheckPredicate, 1, // Predicate_atomic_load_or_8
/*  4050*/        OPC_MoveParent,
/*  4051*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  4053*/        OPC_EmitMergeInputChains1_0,
/*  4054*/        OPC_EmitInteger, MVT::i32, 0, 
/*  4057*/        OPC_EmitConvertToTarget, 2,
/*  4059*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_OR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_load_or:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_or_8>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW8_U_OR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  4069*/       /*Scope*/ 21, /*->4091*/
/*  4070*/        OPC_CheckPredicate, 2, // Predicate_atomic_load_or_16
/*  4072*/        OPC_MoveParent,
/*  4073*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  4075*/        OPC_EmitMergeInputChains1_0,
/*  4076*/        OPC_EmitInteger, MVT::i32, 0, 
/*  4079*/        OPC_EmitConvertToTarget, 2,
/*  4081*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_OR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_load_or:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_or_16>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW16_U_OR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  4091*/       /*Scope*/ 21, /*->4113*/
/*  4092*/        OPC_CheckPredicate, 4, // Predicate_atomic_load_or_32
/*  4094*/        OPC_MoveParent,
/*  4095*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  4097*/        OPC_EmitMergeInputChains1_0,
/*  4098*/        OPC_EmitInteger, MVT::i32, 0, 
/*  4101*/        OPC_EmitConvertToTarget, 2,
/*  4103*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_OR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_load_or:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_or_32>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW32_U_OR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  4113*/       0, /*End of Scope*/
/*  4114*/      0, // EndSwitchType
/*  4115*/     /*SwitchOpcode*/ 37|128,1/*165*/, TARGET_VAL(ISD::OR),// ->4284
/*  4119*/      OPC_RecordChild0, // #1 = $addr
/*  4120*/      OPC_RecordChild1, // #2 = $off
/*  4121*/      OPC_MoveChild1,
/*  4122*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/*  4125*/      OPC_MoveParent,
/*  4126*/      OPC_CheckPredicate, 3, // Predicate_or_is_add
/*  4128*/      OPC_SwitchType /*2 cases */, 75, MVT::i32,// ->4206
/*  4131*/       OPC_MoveParent,
/*  4132*/       OPC_MoveChild2,
/*  4133*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  4136*/       OPC_RecordChild0, // #3 = $val
/*  4137*/       OPC_MoveParent,
/*  4138*/       OPC_Scope, 21, /*->4161*/ // 3 children in Scope
/*  4140*/        OPC_CheckPredicate, 1, // Predicate_atomic_load_or_8
/*  4142*/        OPC_MoveParent,
/*  4143*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  4145*/        OPC_EmitMergeInputChains1_0,
/*  4146*/        OPC_EmitInteger, MVT::i32, 0, 
/*  4149*/        OPC_EmitConvertToTarget, 2,
/*  4151*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_OR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_load_or:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_or_8>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW8_U_OR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  4161*/       /*Scope*/ 21, /*->4183*/
/*  4162*/        OPC_CheckPredicate, 2, // Predicate_atomic_load_or_16
/*  4164*/        OPC_MoveParent,
/*  4165*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  4167*/        OPC_EmitMergeInputChains1_0,
/*  4168*/        OPC_EmitInteger, MVT::i32, 0, 
/*  4171*/        OPC_EmitConvertToTarget, 2,
/*  4173*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_OR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_load_or:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_or_16>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW16_U_OR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  4183*/       /*Scope*/ 21, /*->4205*/
/*  4184*/        OPC_CheckPredicate, 4, // Predicate_atomic_load_or_32
/*  4186*/        OPC_MoveParent,
/*  4187*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  4189*/        OPC_EmitMergeInputChains1_0,
/*  4190*/        OPC_EmitInteger, MVT::i32, 0, 
/*  4193*/        OPC_EmitConvertToTarget, 2,
/*  4195*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_OR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_load_or:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_or_32>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW32_U_OR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  4205*/       0, /*End of Scope*/
/*  4206*/      /*SwitchType*/ 75, MVT::i64,// ->4283
/*  4208*/       OPC_MoveParent,
/*  4209*/       OPC_MoveChild2,
/*  4210*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  4213*/       OPC_RecordChild0, // #3 = $val
/*  4214*/       OPC_MoveParent,
/*  4215*/       OPC_Scope, 21, /*->4238*/ // 3 children in Scope
/*  4217*/        OPC_CheckPredicate, 1, // Predicate_atomic_load_or_8
/*  4219*/        OPC_MoveParent,
/*  4220*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  4222*/        OPC_EmitMergeInputChains1_0,
/*  4223*/        OPC_EmitInteger, MVT::i32, 0, 
/*  4226*/        OPC_EmitConvertToTarget, 2,
/*  4228*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_OR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_load_or:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_or_8>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW8_U_OR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  4238*/       /*Scope*/ 21, /*->4260*/
/*  4239*/        OPC_CheckPredicate, 2, // Predicate_atomic_load_or_16
/*  4241*/        OPC_MoveParent,
/*  4242*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  4244*/        OPC_EmitMergeInputChains1_0,
/*  4245*/        OPC_EmitInteger, MVT::i32, 0, 
/*  4248*/        OPC_EmitConvertToTarget, 2,
/*  4250*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_OR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_load_or:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_or_16>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW16_U_OR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  4260*/       /*Scope*/ 21, /*->4282*/
/*  4261*/        OPC_CheckPredicate, 4, // Predicate_atomic_load_or_32
/*  4263*/        OPC_MoveParent,
/*  4264*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  4266*/        OPC_EmitMergeInputChains1_0,
/*  4267*/        OPC_EmitInteger, MVT::i32, 0, 
/*  4270*/        OPC_EmitConvertToTarget, 2,
/*  4272*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_OR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_load_or:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_or_32>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW32_U_OR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  4282*/       0, /*End of Scope*/
/*  4283*/      0, // EndSwitchType
/*  4284*/     /*SwitchOpcode*/ 67|128,1/*195*/, TARGET_VAL(WebAssemblyISD::Wrapper),// ->4483
/*  4288*/      OPC_RecordChild0, // #1 = $off
/*  4289*/      OPC_MoveChild0,
/*  4290*/      OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/*  4293*/      OPC_MoveParent,
/*  4294*/      OPC_MoveParent,
/*  4295*/      OPC_MoveChild2,
/*  4296*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  4299*/      OPC_RecordChild0, // #2 = $val
/*  4300*/      OPC_MoveParent,
/*  4301*/      OPC_Scope, 59, /*->4362*/ // 3 children in Scope
/*  4303*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_or_8
/*  4305*/       OPC_MoveParent,
/*  4306*/       OPC_Scope, 26, /*->4334*/ // 2 children in Scope
/*  4308*/        OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/*  4310*/        OPC_EmitMergeInputChains1_0,
/*  4311*/        OPC_EmitInteger, MVT::i32, 0, 
/*  4314*/        OPC_EmitInteger, MVT::i32, 0, 
/*  4317*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/*  4324*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_OR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_load_or:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_or_8>>) - Complexity = 16
                  // Dst: (ATOMIC_RMW8_U_OR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/*  4334*/       /*Scope*/ 26, /*->4361*/
/*  4335*/        OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/*  4337*/        OPC_EmitMergeInputChains1_0,
/*  4338*/        OPC_EmitInteger, MVT::i32, 0, 
/*  4341*/        OPC_EmitInteger, MVT::i64, 0, 
/*  4344*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/*  4351*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_OR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_load_or:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_or_8>>) - Complexity = 16
                  // Dst: (ATOMIC_RMW8_U_OR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/*  4361*/       0, /*End of Scope*/
/*  4362*/      /*Scope*/ 59, /*->4422*/
/*  4363*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_or_16
/*  4365*/       OPC_MoveParent,
/*  4366*/       OPC_Scope, 26, /*->4394*/ // 2 children in Scope
/*  4368*/        OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/*  4370*/        OPC_EmitMergeInputChains1_0,
/*  4371*/        OPC_EmitInteger, MVT::i32, 0, 
/*  4374*/        OPC_EmitInteger, MVT::i32, 0, 
/*  4377*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/*  4384*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_OR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_load_or:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_or_16>>) - Complexity = 16
                  // Dst: (ATOMIC_RMW16_U_OR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/*  4394*/       /*Scope*/ 26, /*->4421*/
/*  4395*/        OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/*  4397*/        OPC_EmitMergeInputChains1_0,
/*  4398*/        OPC_EmitInteger, MVT::i32, 0, 
/*  4401*/        OPC_EmitInteger, MVT::i64, 0, 
/*  4404*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/*  4411*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_OR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_load_or:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_or_16>>) - Complexity = 16
                  // Dst: (ATOMIC_RMW16_U_OR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/*  4421*/       0, /*End of Scope*/
/*  4422*/      /*Scope*/ 59, /*->4482*/
/*  4423*/       OPC_CheckPredicate, 4, // Predicate_atomic_load_or_32
/*  4425*/       OPC_MoveParent,
/*  4426*/       OPC_Scope, 26, /*->4454*/ // 2 children in Scope
/*  4428*/        OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/*  4430*/        OPC_EmitMergeInputChains1_0,
/*  4431*/        OPC_EmitInteger, MVT::i32, 0, 
/*  4434*/        OPC_EmitInteger, MVT::i32, 0, 
/*  4437*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/*  4444*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_OR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_load_or:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_or_32>>) - Complexity = 16
                  // Dst: (ATOMIC_RMW32_U_OR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/*  4454*/       /*Scope*/ 26, /*->4481*/
/*  4455*/        OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/*  4457*/        OPC_EmitMergeInputChains1_0,
/*  4458*/        OPC_EmitInteger, MVT::i32, 0, 
/*  4461*/        OPC_EmitInteger, MVT::i64, 0, 
/*  4464*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/*  4471*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_OR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_load_or:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_or_32>>) - Complexity = 16
                  // Dst: (ATOMIC_RMW32_U_OR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/*  4481*/       0, /*End of Scope*/
/*  4482*/      0, /*End of Scope*/
/*  4483*/     0, // EndSwitchOpcode
/*  4484*/    /*Scope*/ 114|128,2/*370*/, /*->4856*/
/*  4486*/     OPC_RecordChild1, // #1 = $off
/*  4487*/     OPC_Scope, 77|128,1/*205*/, /*->4695*/ // 3 children in Scope
/*  4490*/      OPC_MoveChild1,
/*  4491*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/*  4494*/      OPC_MoveParent,
/*  4495*/      OPC_MoveChild2,
/*  4496*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  4499*/      OPC_RecordChild0, // #2 = $val
/*  4500*/      OPC_MoveParent,
/*  4501*/      OPC_Scope, 63, /*->4566*/ // 3 children in Scope
/*  4503*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_or_8
/*  4505*/       OPC_MoveParent,
/*  4506*/       OPC_Scope, 28, /*->4536*/ // 2 children in Scope
/*  4508*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  4510*/        OPC_EmitMergeInputChains1_0,
/*  4511*/        OPC_EmitInteger, MVT::i32, 0, 
/*  4514*/        OPC_EmitConvertToTarget, 1,
/*  4516*/        OPC_EmitInteger, MVT::i32, 0, 
/*  4519*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/*  4526*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_OR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_load_or:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_or_8>>) - Complexity = 13
                  // Dst: (ATOMIC_RMW8_U_OR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/*  4536*/       /*Scope*/ 28, /*->4565*/
/*  4537*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  4539*/        OPC_EmitMergeInputChains1_0,
/*  4540*/        OPC_EmitInteger, MVT::i32, 0, 
/*  4543*/        OPC_EmitConvertToTarget, 1,
/*  4545*/        OPC_EmitInteger, MVT::i64, 0, 
/*  4548*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/*  4555*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_OR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_load_or:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_or_8>>) - Complexity = 13
                  // Dst: (ATOMIC_RMW8_U_OR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/*  4565*/       0, /*End of Scope*/
/*  4566*/      /*Scope*/ 63, /*->4630*/
/*  4567*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_or_16
/*  4569*/       OPC_MoveParent,
/*  4570*/       OPC_Scope, 28, /*->4600*/ // 2 children in Scope
/*  4572*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  4574*/        OPC_EmitMergeInputChains1_0,
/*  4575*/        OPC_EmitInteger, MVT::i32, 0, 
/*  4578*/        OPC_EmitConvertToTarget, 1,
/*  4580*/        OPC_EmitInteger, MVT::i32, 0, 
/*  4583*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/*  4590*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_OR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_load_or:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_or_16>>) - Complexity = 13
                  // Dst: (ATOMIC_RMW16_U_OR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/*  4600*/       /*Scope*/ 28, /*->4629*/
/*  4601*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  4603*/        OPC_EmitMergeInputChains1_0,
/*  4604*/        OPC_EmitInteger, MVT::i32, 0, 
/*  4607*/        OPC_EmitConvertToTarget, 1,
/*  4609*/        OPC_EmitInteger, MVT::i64, 0, 
/*  4612*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/*  4619*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_OR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_load_or:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_or_16>>) - Complexity = 13
                  // Dst: (ATOMIC_RMW16_U_OR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/*  4629*/       0, /*End of Scope*/
/*  4630*/      /*Scope*/ 63, /*->4694*/
/*  4631*/       OPC_CheckPredicate, 4, // Predicate_atomic_load_or_32
/*  4633*/       OPC_MoveParent,
/*  4634*/       OPC_Scope, 28, /*->4664*/ // 2 children in Scope
/*  4636*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  4638*/        OPC_EmitMergeInputChains1_0,
/*  4639*/        OPC_EmitInteger, MVT::i32, 0, 
/*  4642*/        OPC_EmitConvertToTarget, 1,
/*  4644*/        OPC_EmitInteger, MVT::i32, 0, 
/*  4647*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/*  4654*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_OR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_load_or:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_or_32>>) - Complexity = 13
                  // Dst: (ATOMIC_RMW32_U_OR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/*  4664*/       /*Scope*/ 28, /*->4693*/
/*  4665*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  4667*/        OPC_EmitMergeInputChains1_0,
/*  4668*/        OPC_EmitInteger, MVT::i32, 0, 
/*  4671*/        OPC_EmitConvertToTarget, 1,
/*  4673*/        OPC_EmitInteger, MVT::i64, 0, 
/*  4676*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/*  4683*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_OR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_load_or:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_or_32>>) - Complexity = 13
                  // Dst: (ATOMIC_RMW32_U_OR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/*  4693*/       0, /*End of Scope*/
/*  4694*/      0, /*End of Scope*/
/*  4695*/     /*Scope*/ 79, /*->4775*/
/*  4696*/      OPC_CheckChild1Type, MVT::i32,
/*  4698*/      OPC_MoveChild2,
/*  4699*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  4702*/      OPC_RecordChild0, // #2 = $val
/*  4703*/      OPC_MoveParent,
/*  4704*/      OPC_Scope, 22, /*->4728*/ // 3 children in Scope
/*  4706*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_or_8
/*  4708*/       OPC_MoveParent,
/*  4709*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  4711*/       OPC_EmitMergeInputChains1_0,
/*  4712*/       OPC_EmitInteger, MVT::i32, 0, 
/*  4715*/       OPC_EmitInteger, MVT::i32, 0, 
/*  4718*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_OR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
                 // Src: (zext:{ *:[i64] } (atomic_load_or:{ *:[i32] } I32:{ *:[i32] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_or_8>>) - Complexity = 10
                 // Dst: (ATOMIC_RMW8_U_OR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  4728*/      /*Scope*/ 22, /*->4751*/
/*  4729*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_or_16
/*  4731*/       OPC_MoveParent,
/*  4732*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  4734*/       OPC_EmitMergeInputChains1_0,
/*  4735*/       OPC_EmitInteger, MVT::i32, 0, 
/*  4738*/       OPC_EmitInteger, MVT::i32, 0, 
/*  4741*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_OR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
                 // Src: (zext:{ *:[i64] } (atomic_load_or:{ *:[i32] } I32:{ *:[i32] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_or_16>>) - Complexity = 10
                 // Dst: (ATOMIC_RMW16_U_OR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  4751*/      /*Scope*/ 22, /*->4774*/
/*  4752*/       OPC_CheckPredicate, 4, // Predicate_atomic_load_or_32
/*  4754*/       OPC_MoveParent,
/*  4755*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  4757*/       OPC_EmitMergeInputChains1_0,
/*  4758*/       OPC_EmitInteger, MVT::i32, 0, 
/*  4761*/       OPC_EmitInteger, MVT::i32, 0, 
/*  4764*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_OR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
                 // Src: (zext:{ *:[i64] } (atomic_load_or:{ *:[i32] } I32:{ *:[i32] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_or_32>>) - Complexity = 10
                 // Dst: (ATOMIC_RMW32_U_OR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  4774*/      0, /*End of Scope*/
/*  4775*/     /*Scope*/ 79, /*->4855*/
/*  4776*/      OPC_CheckChild1Type, MVT::i64,
/*  4778*/      OPC_MoveChild2,
/*  4779*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  4782*/      OPC_RecordChild0, // #2 = $val
/*  4783*/      OPC_MoveParent,
/*  4784*/      OPC_Scope, 22, /*->4808*/ // 3 children in Scope
/*  4786*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_or_8
/*  4788*/       OPC_MoveParent,
/*  4789*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  4791*/       OPC_EmitMergeInputChains1_0,
/*  4792*/       OPC_EmitInteger, MVT::i32, 0, 
/*  4795*/       OPC_EmitInteger, MVT::i64, 0, 
/*  4798*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_OR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
                 // Src: (zext:{ *:[i64] } (atomic_load_or:{ *:[i32] } I64:{ *:[i64] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_or_8>>) - Complexity = 10
                 // Dst: (ATOMIC_RMW8_U_OR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  4808*/      /*Scope*/ 22, /*->4831*/
/*  4809*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_or_16
/*  4811*/       OPC_MoveParent,
/*  4812*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  4814*/       OPC_EmitMergeInputChains1_0,
/*  4815*/       OPC_EmitInteger, MVT::i32, 0, 
/*  4818*/       OPC_EmitInteger, MVT::i64, 0, 
/*  4821*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_OR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
                 // Src: (zext:{ *:[i64] } (atomic_load_or:{ *:[i32] } I64:{ *:[i64] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_or_16>>) - Complexity = 10
                 // Dst: (ATOMIC_RMW16_U_OR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  4831*/      /*Scope*/ 22, /*->4854*/
/*  4832*/       OPC_CheckPredicate, 4, // Predicate_atomic_load_or_32
/*  4834*/       OPC_MoveParent,
/*  4835*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  4837*/       OPC_EmitMergeInputChains1_0,
/*  4838*/       OPC_EmitInteger, MVT::i32, 0, 
/*  4841*/       OPC_EmitInteger, MVT::i64, 0, 
/*  4844*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_OR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
                 // Src: (zext:{ *:[i64] } (atomic_load_or:{ *:[i32] } I64:{ *:[i64] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_or_32>>) - Complexity = 10
                 // Dst: (ATOMIC_RMW32_U_OR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  4854*/      0, /*End of Scope*/
/*  4855*/     0, /*End of Scope*/
/*  4856*/    0, /*End of Scope*/
/*  4857*/   /*SwitchOpcode*/ 22|128,7/*918*/, TARGET_VAL(ISD::ATOMIC_LOAD_XOR),// ->5779
/*  4861*/    OPC_RecordMemRef,
/*  4862*/    OPC_RecordNode, // #0 = 'atomic_load_xor' chained node
/*  4863*/    OPC_Scope, 28|128,4/*540*/, /*->5406*/ // 2 children in Scope
/*  4866*/     OPC_MoveChild1,
/*  4867*/     OPC_SwitchOpcode /*3 cases */, 37|128,1/*165*/, TARGET_VAL(ISD::ADD),// ->5037
/*  4872*/      OPC_RecordChild0, // #1 = $addr
/*  4873*/      OPC_RecordChild1, // #2 = $off
/*  4874*/      OPC_MoveChild1,
/*  4875*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/*  4878*/      OPC_MoveParent,
/*  4879*/      OPC_CheckPredicate, 0, // Predicate_regPlusImm
/*  4881*/      OPC_SwitchType /*2 cases */, 75, MVT::i32,// ->4959
/*  4884*/       OPC_MoveParent,
/*  4885*/       OPC_MoveChild2,
/*  4886*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  4889*/       OPC_RecordChild0, // #3 = $val
/*  4890*/       OPC_MoveParent,
/*  4891*/       OPC_Scope, 21, /*->4914*/ // 3 children in Scope
/*  4893*/        OPC_CheckPredicate, 1, // Predicate_atomic_load_xor_8
/*  4895*/        OPC_MoveParent,
/*  4896*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  4898*/        OPC_EmitMergeInputChains1_0,
/*  4899*/        OPC_EmitInteger, MVT::i32, 0, 
/*  4902*/        OPC_EmitConvertToTarget, 2,
/*  4904*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XOR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_load_xor:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_xor_8>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW8_U_XOR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  4914*/       /*Scope*/ 21, /*->4936*/
/*  4915*/        OPC_CheckPredicate, 2, // Predicate_atomic_load_xor_16
/*  4917*/        OPC_MoveParent,
/*  4918*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  4920*/        OPC_EmitMergeInputChains1_0,
/*  4921*/        OPC_EmitInteger, MVT::i32, 0, 
/*  4924*/        OPC_EmitConvertToTarget, 2,
/*  4926*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XOR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_load_xor:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_xor_16>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW16_U_XOR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  4936*/       /*Scope*/ 21, /*->4958*/
/*  4937*/        OPC_CheckPredicate, 4, // Predicate_atomic_load_xor_32
/*  4939*/        OPC_MoveParent,
/*  4940*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  4942*/        OPC_EmitMergeInputChains1_0,
/*  4943*/        OPC_EmitInteger, MVT::i32, 0, 
/*  4946*/        OPC_EmitConvertToTarget, 2,
/*  4948*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_XOR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_load_xor:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_xor_32>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW32_U_XOR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  4958*/       0, /*End of Scope*/
/*  4959*/      /*SwitchType*/ 75, MVT::i64,// ->5036
/*  4961*/       OPC_MoveParent,
/*  4962*/       OPC_MoveChild2,
/*  4963*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  4966*/       OPC_RecordChild0, // #3 = $val
/*  4967*/       OPC_MoveParent,
/*  4968*/       OPC_Scope, 21, /*->4991*/ // 3 children in Scope
/*  4970*/        OPC_CheckPredicate, 1, // Predicate_atomic_load_xor_8
/*  4972*/        OPC_MoveParent,
/*  4973*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  4975*/        OPC_EmitMergeInputChains1_0,
/*  4976*/        OPC_EmitInteger, MVT::i32, 0, 
/*  4979*/        OPC_EmitConvertToTarget, 2,
/*  4981*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XOR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_load_xor:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_xor_8>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW8_U_XOR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  4991*/       /*Scope*/ 21, /*->5013*/
/*  4992*/        OPC_CheckPredicate, 2, // Predicate_atomic_load_xor_16
/*  4994*/        OPC_MoveParent,
/*  4995*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  4997*/        OPC_EmitMergeInputChains1_0,
/*  4998*/        OPC_EmitInteger, MVT::i32, 0, 
/*  5001*/        OPC_EmitConvertToTarget, 2,
/*  5003*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XOR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_load_xor:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_xor_16>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW16_U_XOR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  5013*/       /*Scope*/ 21, /*->5035*/
/*  5014*/        OPC_CheckPredicate, 4, // Predicate_atomic_load_xor_32
/*  5016*/        OPC_MoveParent,
/*  5017*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  5019*/        OPC_EmitMergeInputChains1_0,
/*  5020*/        OPC_EmitInteger, MVT::i32, 0, 
/*  5023*/        OPC_EmitConvertToTarget, 2,
/*  5025*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_XOR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_load_xor:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_xor_32>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW32_U_XOR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  5035*/       0, /*End of Scope*/
/*  5036*/      0, // EndSwitchType
/*  5037*/     /*SwitchOpcode*/ 37|128,1/*165*/, TARGET_VAL(ISD::OR),// ->5206
/*  5041*/      OPC_RecordChild0, // #1 = $addr
/*  5042*/      OPC_RecordChild1, // #2 = $off
/*  5043*/      OPC_MoveChild1,
/*  5044*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/*  5047*/      OPC_MoveParent,
/*  5048*/      OPC_CheckPredicate, 3, // Predicate_or_is_add
/*  5050*/      OPC_SwitchType /*2 cases */, 75, MVT::i32,// ->5128
/*  5053*/       OPC_MoveParent,
/*  5054*/       OPC_MoveChild2,
/*  5055*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  5058*/       OPC_RecordChild0, // #3 = $val
/*  5059*/       OPC_MoveParent,
/*  5060*/       OPC_Scope, 21, /*->5083*/ // 3 children in Scope
/*  5062*/        OPC_CheckPredicate, 1, // Predicate_atomic_load_xor_8
/*  5064*/        OPC_MoveParent,
/*  5065*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  5067*/        OPC_EmitMergeInputChains1_0,
/*  5068*/        OPC_EmitInteger, MVT::i32, 0, 
/*  5071*/        OPC_EmitConvertToTarget, 2,
/*  5073*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XOR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_load_xor:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_xor_8>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW8_U_XOR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  5083*/       /*Scope*/ 21, /*->5105*/
/*  5084*/        OPC_CheckPredicate, 2, // Predicate_atomic_load_xor_16
/*  5086*/        OPC_MoveParent,
/*  5087*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  5089*/        OPC_EmitMergeInputChains1_0,
/*  5090*/        OPC_EmitInteger, MVT::i32, 0, 
/*  5093*/        OPC_EmitConvertToTarget, 2,
/*  5095*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XOR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_load_xor:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_xor_16>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW16_U_XOR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  5105*/       /*Scope*/ 21, /*->5127*/
/*  5106*/        OPC_CheckPredicate, 4, // Predicate_atomic_load_xor_32
/*  5108*/        OPC_MoveParent,
/*  5109*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  5111*/        OPC_EmitMergeInputChains1_0,
/*  5112*/        OPC_EmitInteger, MVT::i32, 0, 
/*  5115*/        OPC_EmitConvertToTarget, 2,
/*  5117*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_XOR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_load_xor:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_xor_32>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW32_U_XOR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  5127*/       0, /*End of Scope*/
/*  5128*/      /*SwitchType*/ 75, MVT::i64,// ->5205
/*  5130*/       OPC_MoveParent,
/*  5131*/       OPC_MoveChild2,
/*  5132*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  5135*/       OPC_RecordChild0, // #3 = $val
/*  5136*/       OPC_MoveParent,
/*  5137*/       OPC_Scope, 21, /*->5160*/ // 3 children in Scope
/*  5139*/        OPC_CheckPredicate, 1, // Predicate_atomic_load_xor_8
/*  5141*/        OPC_MoveParent,
/*  5142*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  5144*/        OPC_EmitMergeInputChains1_0,
/*  5145*/        OPC_EmitInteger, MVT::i32, 0, 
/*  5148*/        OPC_EmitConvertToTarget, 2,
/*  5150*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XOR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_load_xor:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_xor_8>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW8_U_XOR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  5160*/       /*Scope*/ 21, /*->5182*/
/*  5161*/        OPC_CheckPredicate, 2, // Predicate_atomic_load_xor_16
/*  5163*/        OPC_MoveParent,
/*  5164*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  5166*/        OPC_EmitMergeInputChains1_0,
/*  5167*/        OPC_EmitInteger, MVT::i32, 0, 
/*  5170*/        OPC_EmitConvertToTarget, 2,
/*  5172*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XOR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_load_xor:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_xor_16>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW16_U_XOR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  5182*/       /*Scope*/ 21, /*->5204*/
/*  5183*/        OPC_CheckPredicate, 4, // Predicate_atomic_load_xor_32
/*  5185*/        OPC_MoveParent,
/*  5186*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  5188*/        OPC_EmitMergeInputChains1_0,
/*  5189*/        OPC_EmitInteger, MVT::i32, 0, 
/*  5192*/        OPC_EmitConvertToTarget, 2,
/*  5194*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_XOR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_load_xor:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_xor_32>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW32_U_XOR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  5204*/       0, /*End of Scope*/
/*  5205*/      0, // EndSwitchType
/*  5206*/     /*SwitchOpcode*/ 67|128,1/*195*/, TARGET_VAL(WebAssemblyISD::Wrapper),// ->5405
/*  5210*/      OPC_RecordChild0, // #1 = $off
/*  5211*/      OPC_MoveChild0,
/*  5212*/      OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/*  5215*/      OPC_MoveParent,
/*  5216*/      OPC_MoveParent,
/*  5217*/      OPC_MoveChild2,
/*  5218*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  5221*/      OPC_RecordChild0, // #2 = $val
/*  5222*/      OPC_MoveParent,
/*  5223*/      OPC_Scope, 59, /*->5284*/ // 3 children in Scope
/*  5225*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_xor_8
/*  5227*/       OPC_MoveParent,
/*  5228*/       OPC_Scope, 26, /*->5256*/ // 2 children in Scope
/*  5230*/        OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/*  5232*/        OPC_EmitMergeInputChains1_0,
/*  5233*/        OPC_EmitInteger, MVT::i32, 0, 
/*  5236*/        OPC_EmitInteger, MVT::i32, 0, 
/*  5239*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/*  5246*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XOR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_load_xor:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_xor_8>>) - Complexity = 16
                  // Dst: (ATOMIC_RMW8_U_XOR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/*  5256*/       /*Scope*/ 26, /*->5283*/
/*  5257*/        OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/*  5259*/        OPC_EmitMergeInputChains1_0,
/*  5260*/        OPC_EmitInteger, MVT::i32, 0, 
/*  5263*/        OPC_EmitInteger, MVT::i64, 0, 
/*  5266*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/*  5273*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XOR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_load_xor:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_xor_8>>) - Complexity = 16
                  // Dst: (ATOMIC_RMW8_U_XOR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/*  5283*/       0, /*End of Scope*/
/*  5284*/      /*Scope*/ 59, /*->5344*/
/*  5285*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_xor_16
/*  5287*/       OPC_MoveParent,
/*  5288*/       OPC_Scope, 26, /*->5316*/ // 2 children in Scope
/*  5290*/        OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/*  5292*/        OPC_EmitMergeInputChains1_0,
/*  5293*/        OPC_EmitInteger, MVT::i32, 0, 
/*  5296*/        OPC_EmitInteger, MVT::i32, 0, 
/*  5299*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/*  5306*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XOR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_load_xor:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_xor_16>>) - Complexity = 16
                  // Dst: (ATOMIC_RMW16_U_XOR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/*  5316*/       /*Scope*/ 26, /*->5343*/
/*  5317*/        OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/*  5319*/        OPC_EmitMergeInputChains1_0,
/*  5320*/        OPC_EmitInteger, MVT::i32, 0, 
/*  5323*/        OPC_EmitInteger, MVT::i64, 0, 
/*  5326*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/*  5333*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XOR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_load_xor:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_xor_16>>) - Complexity = 16
                  // Dst: (ATOMIC_RMW16_U_XOR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/*  5343*/       0, /*End of Scope*/
/*  5344*/      /*Scope*/ 59, /*->5404*/
/*  5345*/       OPC_CheckPredicate, 4, // Predicate_atomic_load_xor_32
/*  5347*/       OPC_MoveParent,
/*  5348*/       OPC_Scope, 26, /*->5376*/ // 2 children in Scope
/*  5350*/        OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/*  5352*/        OPC_EmitMergeInputChains1_0,
/*  5353*/        OPC_EmitInteger, MVT::i32, 0, 
/*  5356*/        OPC_EmitInteger, MVT::i32, 0, 
/*  5359*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/*  5366*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_XOR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_load_xor:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_xor_32>>) - Complexity = 16
                  // Dst: (ATOMIC_RMW32_U_XOR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/*  5376*/       /*Scope*/ 26, /*->5403*/
/*  5377*/        OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/*  5379*/        OPC_EmitMergeInputChains1_0,
/*  5380*/        OPC_EmitInteger, MVT::i32, 0, 
/*  5383*/        OPC_EmitInteger, MVT::i64, 0, 
/*  5386*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/*  5393*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_XOR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_load_xor:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_xor_32>>) - Complexity = 16
                  // Dst: (ATOMIC_RMW32_U_XOR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/*  5403*/       0, /*End of Scope*/
/*  5404*/      0, /*End of Scope*/
/*  5405*/     0, // EndSwitchOpcode
/*  5406*/    /*Scope*/ 114|128,2/*370*/, /*->5778*/
/*  5408*/     OPC_RecordChild1, // #1 = $off
/*  5409*/     OPC_Scope, 77|128,1/*205*/, /*->5617*/ // 3 children in Scope
/*  5412*/      OPC_MoveChild1,
/*  5413*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/*  5416*/      OPC_MoveParent,
/*  5417*/      OPC_MoveChild2,
/*  5418*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  5421*/      OPC_RecordChild0, // #2 = $val
/*  5422*/      OPC_MoveParent,
/*  5423*/      OPC_Scope, 63, /*->5488*/ // 3 children in Scope
/*  5425*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_xor_8
/*  5427*/       OPC_MoveParent,
/*  5428*/       OPC_Scope, 28, /*->5458*/ // 2 children in Scope
/*  5430*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  5432*/        OPC_EmitMergeInputChains1_0,
/*  5433*/        OPC_EmitInteger, MVT::i32, 0, 
/*  5436*/        OPC_EmitConvertToTarget, 1,
/*  5438*/        OPC_EmitInteger, MVT::i32, 0, 
/*  5441*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/*  5448*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XOR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_load_xor:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_xor_8>>) - Complexity = 13
                  // Dst: (ATOMIC_RMW8_U_XOR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/*  5458*/       /*Scope*/ 28, /*->5487*/
/*  5459*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  5461*/        OPC_EmitMergeInputChains1_0,
/*  5462*/        OPC_EmitInteger, MVT::i32, 0, 
/*  5465*/        OPC_EmitConvertToTarget, 1,
/*  5467*/        OPC_EmitInteger, MVT::i64, 0, 
/*  5470*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/*  5477*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XOR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_load_xor:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_xor_8>>) - Complexity = 13
                  // Dst: (ATOMIC_RMW8_U_XOR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/*  5487*/       0, /*End of Scope*/
/*  5488*/      /*Scope*/ 63, /*->5552*/
/*  5489*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_xor_16
/*  5491*/       OPC_MoveParent,
/*  5492*/       OPC_Scope, 28, /*->5522*/ // 2 children in Scope
/*  5494*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  5496*/        OPC_EmitMergeInputChains1_0,
/*  5497*/        OPC_EmitInteger, MVT::i32, 0, 
/*  5500*/        OPC_EmitConvertToTarget, 1,
/*  5502*/        OPC_EmitInteger, MVT::i32, 0, 
/*  5505*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/*  5512*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XOR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_load_xor:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_xor_16>>) - Complexity = 13
                  // Dst: (ATOMIC_RMW16_U_XOR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/*  5522*/       /*Scope*/ 28, /*->5551*/
/*  5523*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  5525*/        OPC_EmitMergeInputChains1_0,
/*  5526*/        OPC_EmitInteger, MVT::i32, 0, 
/*  5529*/        OPC_EmitConvertToTarget, 1,
/*  5531*/        OPC_EmitInteger, MVT::i64, 0, 
/*  5534*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/*  5541*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XOR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_load_xor:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_xor_16>>) - Complexity = 13
                  // Dst: (ATOMIC_RMW16_U_XOR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/*  5551*/       0, /*End of Scope*/
/*  5552*/      /*Scope*/ 63, /*->5616*/
/*  5553*/       OPC_CheckPredicate, 4, // Predicate_atomic_load_xor_32
/*  5555*/       OPC_MoveParent,
/*  5556*/       OPC_Scope, 28, /*->5586*/ // 2 children in Scope
/*  5558*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  5560*/        OPC_EmitMergeInputChains1_0,
/*  5561*/        OPC_EmitInteger, MVT::i32, 0, 
/*  5564*/        OPC_EmitConvertToTarget, 1,
/*  5566*/        OPC_EmitInteger, MVT::i32, 0, 
/*  5569*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/*  5576*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_XOR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_load_xor:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_xor_32>>) - Complexity = 13
                  // Dst: (ATOMIC_RMW32_U_XOR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/*  5586*/       /*Scope*/ 28, /*->5615*/
/*  5587*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  5589*/        OPC_EmitMergeInputChains1_0,
/*  5590*/        OPC_EmitInteger, MVT::i32, 0, 
/*  5593*/        OPC_EmitConvertToTarget, 1,
/*  5595*/        OPC_EmitInteger, MVT::i64, 0, 
/*  5598*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/*  5605*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_XOR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_load_xor:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_xor_32>>) - Complexity = 13
                  // Dst: (ATOMIC_RMW32_U_XOR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/*  5615*/       0, /*End of Scope*/
/*  5616*/      0, /*End of Scope*/
/*  5617*/     /*Scope*/ 79, /*->5697*/
/*  5618*/      OPC_CheckChild1Type, MVT::i32,
/*  5620*/      OPC_MoveChild2,
/*  5621*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  5624*/      OPC_RecordChild0, // #2 = $val
/*  5625*/      OPC_MoveParent,
/*  5626*/      OPC_Scope, 22, /*->5650*/ // 3 children in Scope
/*  5628*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_xor_8
/*  5630*/       OPC_MoveParent,
/*  5631*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  5633*/       OPC_EmitMergeInputChains1_0,
/*  5634*/       OPC_EmitInteger, MVT::i32, 0, 
/*  5637*/       OPC_EmitInteger, MVT::i32, 0, 
/*  5640*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XOR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
                 // Src: (zext:{ *:[i64] } (atomic_load_xor:{ *:[i32] } I32:{ *:[i32] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_xor_8>>) - Complexity = 10
                 // Dst: (ATOMIC_RMW8_U_XOR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  5650*/      /*Scope*/ 22, /*->5673*/
/*  5651*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_xor_16
/*  5653*/       OPC_MoveParent,
/*  5654*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  5656*/       OPC_EmitMergeInputChains1_0,
/*  5657*/       OPC_EmitInteger, MVT::i32, 0, 
/*  5660*/       OPC_EmitInteger, MVT::i32, 0, 
/*  5663*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XOR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
                 // Src: (zext:{ *:[i64] } (atomic_load_xor:{ *:[i32] } I32:{ *:[i32] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_xor_16>>) - Complexity = 10
                 // Dst: (ATOMIC_RMW16_U_XOR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  5673*/      /*Scope*/ 22, /*->5696*/
/*  5674*/       OPC_CheckPredicate, 4, // Predicate_atomic_load_xor_32
/*  5676*/       OPC_MoveParent,
/*  5677*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  5679*/       OPC_EmitMergeInputChains1_0,
/*  5680*/       OPC_EmitInteger, MVT::i32, 0, 
/*  5683*/       OPC_EmitInteger, MVT::i32, 0, 
/*  5686*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_XOR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
                 // Src: (zext:{ *:[i64] } (atomic_load_xor:{ *:[i32] } I32:{ *:[i32] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_xor_32>>) - Complexity = 10
                 // Dst: (ATOMIC_RMW32_U_XOR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  5696*/      0, /*End of Scope*/
/*  5697*/     /*Scope*/ 79, /*->5777*/
/*  5698*/      OPC_CheckChild1Type, MVT::i64,
/*  5700*/      OPC_MoveChild2,
/*  5701*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  5704*/      OPC_RecordChild0, // #2 = $val
/*  5705*/      OPC_MoveParent,
/*  5706*/      OPC_Scope, 22, /*->5730*/ // 3 children in Scope
/*  5708*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_xor_8
/*  5710*/       OPC_MoveParent,
/*  5711*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  5713*/       OPC_EmitMergeInputChains1_0,
/*  5714*/       OPC_EmitInteger, MVT::i32, 0, 
/*  5717*/       OPC_EmitInteger, MVT::i64, 0, 
/*  5720*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XOR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
                 // Src: (zext:{ *:[i64] } (atomic_load_xor:{ *:[i32] } I64:{ *:[i64] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_xor_8>>) - Complexity = 10
                 // Dst: (ATOMIC_RMW8_U_XOR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  5730*/      /*Scope*/ 22, /*->5753*/
/*  5731*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_xor_16
/*  5733*/       OPC_MoveParent,
/*  5734*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  5736*/       OPC_EmitMergeInputChains1_0,
/*  5737*/       OPC_EmitInteger, MVT::i32, 0, 
/*  5740*/       OPC_EmitInteger, MVT::i64, 0, 
/*  5743*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XOR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
                 // Src: (zext:{ *:[i64] } (atomic_load_xor:{ *:[i32] } I64:{ *:[i64] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_xor_16>>) - Complexity = 10
                 // Dst: (ATOMIC_RMW16_U_XOR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  5753*/      /*Scope*/ 22, /*->5776*/
/*  5754*/       OPC_CheckPredicate, 4, // Predicate_atomic_load_xor_32
/*  5756*/       OPC_MoveParent,
/*  5757*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  5759*/       OPC_EmitMergeInputChains1_0,
/*  5760*/       OPC_EmitInteger, MVT::i32, 0, 
/*  5763*/       OPC_EmitInteger, MVT::i64, 0, 
/*  5766*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_XOR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
                 // Src: (zext:{ *:[i64] } (atomic_load_xor:{ *:[i32] } I64:{ *:[i64] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_xor_32>>) - Complexity = 10
                 // Dst: (ATOMIC_RMW32_U_XOR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  5776*/      0, /*End of Scope*/
/*  5777*/     0, /*End of Scope*/
/*  5778*/    0, /*End of Scope*/
/*  5779*/   /*SwitchOpcode*/ 22|128,7/*918*/, TARGET_VAL(ISD::ATOMIC_SWAP),// ->6701
/*  5783*/    OPC_RecordMemRef,
/*  5784*/    OPC_RecordNode, // #0 = 'atomic_swap' chained node
/*  5785*/    OPC_Scope, 28|128,4/*540*/, /*->6328*/ // 2 children in Scope
/*  5788*/     OPC_MoveChild1,
/*  5789*/     OPC_SwitchOpcode /*3 cases */, 37|128,1/*165*/, TARGET_VAL(ISD::ADD),// ->5959
/*  5794*/      OPC_RecordChild0, // #1 = $addr
/*  5795*/      OPC_RecordChild1, // #2 = $off
/*  5796*/      OPC_MoveChild1,
/*  5797*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/*  5800*/      OPC_MoveParent,
/*  5801*/      OPC_CheckPredicate, 0, // Predicate_regPlusImm
/*  5803*/      OPC_SwitchType /*2 cases */, 75, MVT::i32,// ->5881
/*  5806*/       OPC_MoveParent,
/*  5807*/       OPC_MoveChild2,
/*  5808*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  5811*/       OPC_RecordChild0, // #3 = $val
/*  5812*/       OPC_MoveParent,
/*  5813*/       OPC_Scope, 21, /*->5836*/ // 3 children in Scope
/*  5815*/        OPC_CheckPredicate, 1, // Predicate_atomic_swap_8
/*  5817*/        OPC_MoveParent,
/*  5818*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  5820*/        OPC_EmitMergeInputChains1_0,
/*  5821*/        OPC_EmitInteger, MVT::i32, 0, 
/*  5824*/        OPC_EmitConvertToTarget, 2,
/*  5826*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_swap:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_swap_8>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW8_U_XCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  5836*/       /*Scope*/ 21, /*->5858*/
/*  5837*/        OPC_CheckPredicate, 2, // Predicate_atomic_swap_16
/*  5839*/        OPC_MoveParent,
/*  5840*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  5842*/        OPC_EmitMergeInputChains1_0,
/*  5843*/        OPC_EmitInteger, MVT::i32, 0, 
/*  5846*/        OPC_EmitConvertToTarget, 2,
/*  5848*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_swap:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_swap_16>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW16_U_XCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  5858*/       /*Scope*/ 21, /*->5880*/
/*  5859*/        OPC_CheckPredicate, 4, // Predicate_atomic_swap_32
/*  5861*/        OPC_MoveParent,
/*  5862*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  5864*/        OPC_EmitMergeInputChains1_0,
/*  5865*/        OPC_EmitInteger, MVT::i32, 0, 
/*  5868*/        OPC_EmitConvertToTarget, 2,
/*  5870*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_XCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_swap:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_swap_32>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW32_U_XCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  5880*/       0, /*End of Scope*/
/*  5881*/      /*SwitchType*/ 75, MVT::i64,// ->5958
/*  5883*/       OPC_MoveParent,
/*  5884*/       OPC_MoveChild2,
/*  5885*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  5888*/       OPC_RecordChild0, // #3 = $val
/*  5889*/       OPC_MoveParent,
/*  5890*/       OPC_Scope, 21, /*->5913*/ // 3 children in Scope
/*  5892*/        OPC_CheckPredicate, 1, // Predicate_atomic_swap_8
/*  5894*/        OPC_MoveParent,
/*  5895*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  5897*/        OPC_EmitMergeInputChains1_0,
/*  5898*/        OPC_EmitInteger, MVT::i32, 0, 
/*  5901*/        OPC_EmitConvertToTarget, 2,
/*  5903*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_swap:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_swap_8>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW8_U_XCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  5913*/       /*Scope*/ 21, /*->5935*/
/*  5914*/        OPC_CheckPredicate, 2, // Predicate_atomic_swap_16
/*  5916*/        OPC_MoveParent,
/*  5917*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  5919*/        OPC_EmitMergeInputChains1_0,
/*  5920*/        OPC_EmitInteger, MVT::i32, 0, 
/*  5923*/        OPC_EmitConvertToTarget, 2,
/*  5925*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_swap:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_swap_16>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW16_U_XCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  5935*/       /*Scope*/ 21, /*->5957*/
/*  5936*/        OPC_CheckPredicate, 4, // Predicate_atomic_swap_32
/*  5938*/        OPC_MoveParent,
/*  5939*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  5941*/        OPC_EmitMergeInputChains1_0,
/*  5942*/        OPC_EmitInteger, MVT::i32, 0, 
/*  5945*/        OPC_EmitConvertToTarget, 2,
/*  5947*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_XCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_swap:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_swap_32>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW32_U_XCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  5957*/       0, /*End of Scope*/
/*  5958*/      0, // EndSwitchType
/*  5959*/     /*SwitchOpcode*/ 37|128,1/*165*/, TARGET_VAL(ISD::OR),// ->6128
/*  5963*/      OPC_RecordChild0, // #1 = $addr
/*  5964*/      OPC_RecordChild1, // #2 = $off
/*  5965*/      OPC_MoveChild1,
/*  5966*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/*  5969*/      OPC_MoveParent,
/*  5970*/      OPC_CheckPredicate, 3, // Predicate_or_is_add
/*  5972*/      OPC_SwitchType /*2 cases */, 75, MVT::i32,// ->6050
/*  5975*/       OPC_MoveParent,
/*  5976*/       OPC_MoveChild2,
/*  5977*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  5980*/       OPC_RecordChild0, // #3 = $val
/*  5981*/       OPC_MoveParent,
/*  5982*/       OPC_Scope, 21, /*->6005*/ // 3 children in Scope
/*  5984*/        OPC_CheckPredicate, 1, // Predicate_atomic_swap_8
/*  5986*/        OPC_MoveParent,
/*  5987*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  5989*/        OPC_EmitMergeInputChains1_0,
/*  5990*/        OPC_EmitInteger, MVT::i32, 0, 
/*  5993*/        OPC_EmitConvertToTarget, 2,
/*  5995*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_swap:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_swap_8>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW8_U_XCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  6005*/       /*Scope*/ 21, /*->6027*/
/*  6006*/        OPC_CheckPredicate, 2, // Predicate_atomic_swap_16
/*  6008*/        OPC_MoveParent,
/*  6009*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  6011*/        OPC_EmitMergeInputChains1_0,
/*  6012*/        OPC_EmitInteger, MVT::i32, 0, 
/*  6015*/        OPC_EmitConvertToTarget, 2,
/*  6017*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_swap:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_swap_16>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW16_U_XCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  6027*/       /*Scope*/ 21, /*->6049*/
/*  6028*/        OPC_CheckPredicate, 4, // Predicate_atomic_swap_32
/*  6030*/        OPC_MoveParent,
/*  6031*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  6033*/        OPC_EmitMergeInputChains1_0,
/*  6034*/        OPC_EmitInteger, MVT::i32, 0, 
/*  6037*/        OPC_EmitConvertToTarget, 2,
/*  6039*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_XCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_swap:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_swap_32>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW32_U_XCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  6049*/       0, /*End of Scope*/
/*  6050*/      /*SwitchType*/ 75, MVT::i64,// ->6127
/*  6052*/       OPC_MoveParent,
/*  6053*/       OPC_MoveChild2,
/*  6054*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  6057*/       OPC_RecordChild0, // #3 = $val
/*  6058*/       OPC_MoveParent,
/*  6059*/       OPC_Scope, 21, /*->6082*/ // 3 children in Scope
/*  6061*/        OPC_CheckPredicate, 1, // Predicate_atomic_swap_8
/*  6063*/        OPC_MoveParent,
/*  6064*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  6066*/        OPC_EmitMergeInputChains1_0,
/*  6067*/        OPC_EmitInteger, MVT::i32, 0, 
/*  6070*/        OPC_EmitConvertToTarget, 2,
/*  6072*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_swap:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_swap_8>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW8_U_XCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  6082*/       /*Scope*/ 21, /*->6104*/
/*  6083*/        OPC_CheckPredicate, 2, // Predicate_atomic_swap_16
/*  6085*/        OPC_MoveParent,
/*  6086*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  6088*/        OPC_EmitMergeInputChains1_0,
/*  6089*/        OPC_EmitInteger, MVT::i32, 0, 
/*  6092*/        OPC_EmitConvertToTarget, 2,
/*  6094*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_swap:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_swap_16>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW16_U_XCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  6104*/       /*Scope*/ 21, /*->6126*/
/*  6105*/        OPC_CheckPredicate, 4, // Predicate_atomic_swap_32
/*  6107*/        OPC_MoveParent,
/*  6108*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  6110*/        OPC_EmitMergeInputChains1_0,
/*  6111*/        OPC_EmitInteger, MVT::i32, 0, 
/*  6114*/        OPC_EmitConvertToTarget, 2,
/*  6116*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_XCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (zext:{ *:[i64] } (atomic_swap:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_swap_32>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW32_U_XCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  6126*/       0, /*End of Scope*/
/*  6127*/      0, // EndSwitchType
/*  6128*/     /*SwitchOpcode*/ 67|128,1/*195*/, TARGET_VAL(WebAssemblyISD::Wrapper),// ->6327
/*  6132*/      OPC_RecordChild0, // #1 = $off
/*  6133*/      OPC_MoveChild0,
/*  6134*/      OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/*  6137*/      OPC_MoveParent,
/*  6138*/      OPC_MoveParent,
/*  6139*/      OPC_MoveChild2,
/*  6140*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  6143*/      OPC_RecordChild0, // #2 = $val
/*  6144*/      OPC_MoveParent,
/*  6145*/      OPC_Scope, 59, /*->6206*/ // 3 children in Scope
/*  6147*/       OPC_CheckPredicate, 1, // Predicate_atomic_swap_8
/*  6149*/       OPC_MoveParent,
/*  6150*/       OPC_Scope, 26, /*->6178*/ // 2 children in Scope
/*  6152*/        OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/*  6154*/        OPC_EmitMergeInputChains1_0,
/*  6155*/        OPC_EmitInteger, MVT::i32, 0, 
/*  6158*/        OPC_EmitInteger, MVT::i32, 0, 
/*  6161*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/*  6168*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_swap:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_swap_8>>) - Complexity = 16
                  // Dst: (ATOMIC_RMW8_U_XCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/*  6178*/       /*Scope*/ 26, /*->6205*/
/*  6179*/        OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/*  6181*/        OPC_EmitMergeInputChains1_0,
/*  6182*/        OPC_EmitInteger, MVT::i32, 0, 
/*  6185*/        OPC_EmitInteger, MVT::i64, 0, 
/*  6188*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/*  6195*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_swap:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_swap_8>>) - Complexity = 16
                  // Dst: (ATOMIC_RMW8_U_XCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/*  6205*/       0, /*End of Scope*/
/*  6206*/      /*Scope*/ 59, /*->6266*/
/*  6207*/       OPC_CheckPredicate, 2, // Predicate_atomic_swap_16
/*  6209*/       OPC_MoveParent,
/*  6210*/       OPC_Scope, 26, /*->6238*/ // 2 children in Scope
/*  6212*/        OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/*  6214*/        OPC_EmitMergeInputChains1_0,
/*  6215*/        OPC_EmitInteger, MVT::i32, 0, 
/*  6218*/        OPC_EmitInteger, MVT::i32, 0, 
/*  6221*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/*  6228*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_swap:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_swap_16>>) - Complexity = 16
                  // Dst: (ATOMIC_RMW16_U_XCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/*  6238*/       /*Scope*/ 26, /*->6265*/
/*  6239*/        OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/*  6241*/        OPC_EmitMergeInputChains1_0,
/*  6242*/        OPC_EmitInteger, MVT::i32, 0, 
/*  6245*/        OPC_EmitInteger, MVT::i64, 0, 
/*  6248*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/*  6255*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_swap:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_swap_16>>) - Complexity = 16
                  // Dst: (ATOMIC_RMW16_U_XCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/*  6265*/       0, /*End of Scope*/
/*  6266*/      /*Scope*/ 59, /*->6326*/
/*  6267*/       OPC_CheckPredicate, 4, // Predicate_atomic_swap_32
/*  6269*/       OPC_MoveParent,
/*  6270*/       OPC_Scope, 26, /*->6298*/ // 2 children in Scope
/*  6272*/        OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/*  6274*/        OPC_EmitMergeInputChains1_0,
/*  6275*/        OPC_EmitInteger, MVT::i32, 0, 
/*  6278*/        OPC_EmitInteger, MVT::i32, 0, 
/*  6281*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/*  6288*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_XCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_swap:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_swap_32>>) - Complexity = 16
                  // Dst: (ATOMIC_RMW32_U_XCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/*  6298*/       /*Scope*/ 26, /*->6325*/
/*  6299*/        OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/*  6301*/        OPC_EmitMergeInputChains1_0,
/*  6302*/        OPC_EmitInteger, MVT::i32, 0, 
/*  6305*/        OPC_EmitInteger, MVT::i64, 0, 
/*  6308*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/*  6315*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_XCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_swap:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_swap_32>>) - Complexity = 16
                  // Dst: (ATOMIC_RMW32_U_XCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/*  6325*/       0, /*End of Scope*/
/*  6326*/      0, /*End of Scope*/
/*  6327*/     0, // EndSwitchOpcode
/*  6328*/    /*Scope*/ 114|128,2/*370*/, /*->6700*/
/*  6330*/     OPC_RecordChild1, // #1 = $off
/*  6331*/     OPC_Scope, 77|128,1/*205*/, /*->6539*/ // 3 children in Scope
/*  6334*/      OPC_MoveChild1,
/*  6335*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/*  6338*/      OPC_MoveParent,
/*  6339*/      OPC_MoveChild2,
/*  6340*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  6343*/      OPC_RecordChild0, // #2 = $val
/*  6344*/      OPC_MoveParent,
/*  6345*/      OPC_Scope, 63, /*->6410*/ // 3 children in Scope
/*  6347*/       OPC_CheckPredicate, 1, // Predicate_atomic_swap_8
/*  6349*/       OPC_MoveParent,
/*  6350*/       OPC_Scope, 28, /*->6380*/ // 2 children in Scope
/*  6352*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  6354*/        OPC_EmitMergeInputChains1_0,
/*  6355*/        OPC_EmitInteger, MVT::i32, 0, 
/*  6358*/        OPC_EmitConvertToTarget, 1,
/*  6360*/        OPC_EmitInteger, MVT::i32, 0, 
/*  6363*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/*  6370*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_swap:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_swap_8>>) - Complexity = 13
                  // Dst: (ATOMIC_RMW8_U_XCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/*  6380*/       /*Scope*/ 28, /*->6409*/
/*  6381*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  6383*/        OPC_EmitMergeInputChains1_0,
/*  6384*/        OPC_EmitInteger, MVT::i32, 0, 
/*  6387*/        OPC_EmitConvertToTarget, 1,
/*  6389*/        OPC_EmitInteger, MVT::i64, 0, 
/*  6392*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/*  6399*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_swap:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_swap_8>>) - Complexity = 13
                  // Dst: (ATOMIC_RMW8_U_XCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/*  6409*/       0, /*End of Scope*/
/*  6410*/      /*Scope*/ 63, /*->6474*/
/*  6411*/       OPC_CheckPredicate, 2, // Predicate_atomic_swap_16
/*  6413*/       OPC_MoveParent,
/*  6414*/       OPC_Scope, 28, /*->6444*/ // 2 children in Scope
/*  6416*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  6418*/        OPC_EmitMergeInputChains1_0,
/*  6419*/        OPC_EmitInteger, MVT::i32, 0, 
/*  6422*/        OPC_EmitConvertToTarget, 1,
/*  6424*/        OPC_EmitInteger, MVT::i32, 0, 
/*  6427*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/*  6434*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_swap:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_swap_16>>) - Complexity = 13
                  // Dst: (ATOMIC_RMW16_U_XCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/*  6444*/       /*Scope*/ 28, /*->6473*/
/*  6445*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  6447*/        OPC_EmitMergeInputChains1_0,
/*  6448*/        OPC_EmitInteger, MVT::i32, 0, 
/*  6451*/        OPC_EmitConvertToTarget, 1,
/*  6453*/        OPC_EmitInteger, MVT::i64, 0, 
/*  6456*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/*  6463*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_swap:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_swap_16>>) - Complexity = 13
                  // Dst: (ATOMIC_RMW16_U_XCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/*  6473*/       0, /*End of Scope*/
/*  6474*/      /*Scope*/ 63, /*->6538*/
/*  6475*/       OPC_CheckPredicate, 4, // Predicate_atomic_swap_32
/*  6477*/       OPC_MoveParent,
/*  6478*/       OPC_Scope, 28, /*->6508*/ // 2 children in Scope
/*  6480*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  6482*/        OPC_EmitMergeInputChains1_0,
/*  6483*/        OPC_EmitInteger, MVT::i32, 0, 
/*  6486*/        OPC_EmitConvertToTarget, 1,
/*  6488*/        OPC_EmitInteger, MVT::i32, 0, 
/*  6491*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/*  6498*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_XCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_swap:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_swap_32>>) - Complexity = 13
                  // Dst: (ATOMIC_RMW32_U_XCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/*  6508*/       /*Scope*/ 28, /*->6537*/
/*  6509*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  6511*/        OPC_EmitMergeInputChains1_0,
/*  6512*/        OPC_EmitInteger, MVT::i32, 0, 
/*  6515*/        OPC_EmitConvertToTarget, 1,
/*  6517*/        OPC_EmitInteger, MVT::i64, 0, 
/*  6520*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/*  6527*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_XCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                  // Src: (zext:{ *:[i64] } (atomic_swap:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_swap_32>>) - Complexity = 13
                  // Dst: (ATOMIC_RMW32_U_XCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/*  6537*/       0, /*End of Scope*/
/*  6538*/      0, /*End of Scope*/
/*  6539*/     /*Scope*/ 79, /*->6619*/
/*  6540*/      OPC_CheckChild1Type, MVT::i32,
/*  6542*/      OPC_MoveChild2,
/*  6543*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  6546*/      OPC_RecordChild0, // #2 = $val
/*  6547*/      OPC_MoveParent,
/*  6548*/      OPC_Scope, 22, /*->6572*/ // 3 children in Scope
/*  6550*/       OPC_CheckPredicate, 1, // Predicate_atomic_swap_8
/*  6552*/       OPC_MoveParent,
/*  6553*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  6555*/       OPC_EmitMergeInputChains1_0,
/*  6556*/       OPC_EmitInteger, MVT::i32, 0, 
/*  6559*/       OPC_EmitInteger, MVT::i32, 0, 
/*  6562*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
                 // Src: (zext:{ *:[i64] } (atomic_swap:{ *:[i32] } I32:{ *:[i32] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_swap_8>>) - Complexity = 10
                 // Dst: (ATOMIC_RMW8_U_XCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  6572*/      /*Scope*/ 22, /*->6595*/
/*  6573*/       OPC_CheckPredicate, 2, // Predicate_atomic_swap_16
/*  6575*/       OPC_MoveParent,
/*  6576*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  6578*/       OPC_EmitMergeInputChains1_0,
/*  6579*/       OPC_EmitInteger, MVT::i32, 0, 
/*  6582*/       OPC_EmitInteger, MVT::i32, 0, 
/*  6585*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
                 // Src: (zext:{ *:[i64] } (atomic_swap:{ *:[i32] } I32:{ *:[i32] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_swap_16>>) - Complexity = 10
                 // Dst: (ATOMIC_RMW16_U_XCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  6595*/      /*Scope*/ 22, /*->6618*/
/*  6596*/       OPC_CheckPredicate, 4, // Predicate_atomic_swap_32
/*  6598*/       OPC_MoveParent,
/*  6599*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  6601*/       OPC_EmitMergeInputChains1_0,
/*  6602*/       OPC_EmitInteger, MVT::i32, 0, 
/*  6605*/       OPC_EmitInteger, MVT::i32, 0, 
/*  6608*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_XCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
                 // Src: (zext:{ *:[i64] } (atomic_swap:{ *:[i32] } I32:{ *:[i32] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_swap_32>>) - Complexity = 10
                 // Dst: (ATOMIC_RMW32_U_XCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  6618*/      0, /*End of Scope*/
/*  6619*/     /*Scope*/ 79, /*->6699*/
/*  6620*/      OPC_CheckChild1Type, MVT::i64,
/*  6622*/      OPC_MoveChild2,
/*  6623*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  6626*/      OPC_RecordChild0, // #2 = $val
/*  6627*/      OPC_MoveParent,
/*  6628*/      OPC_Scope, 22, /*->6652*/ // 3 children in Scope
/*  6630*/       OPC_CheckPredicate, 1, // Predicate_atomic_swap_8
/*  6632*/       OPC_MoveParent,
/*  6633*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  6635*/       OPC_EmitMergeInputChains1_0,
/*  6636*/       OPC_EmitInteger, MVT::i32, 0, 
/*  6639*/       OPC_EmitInteger, MVT::i64, 0, 
/*  6642*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
                 // Src: (zext:{ *:[i64] } (atomic_swap:{ *:[i32] } I64:{ *:[i64] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_swap_8>>) - Complexity = 10
                 // Dst: (ATOMIC_RMW8_U_XCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  6652*/      /*Scope*/ 22, /*->6675*/
/*  6653*/       OPC_CheckPredicate, 2, // Predicate_atomic_swap_16
/*  6655*/       OPC_MoveParent,
/*  6656*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  6658*/       OPC_EmitMergeInputChains1_0,
/*  6659*/       OPC_EmitInteger, MVT::i32, 0, 
/*  6662*/       OPC_EmitInteger, MVT::i64, 0, 
/*  6665*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
                 // Src: (zext:{ *:[i64] } (atomic_swap:{ *:[i32] } I64:{ *:[i64] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_swap_16>>) - Complexity = 10
                 // Dst: (ATOMIC_RMW16_U_XCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  6675*/      /*Scope*/ 22, /*->6698*/
/*  6676*/       OPC_CheckPredicate, 4, // Predicate_atomic_swap_32
/*  6678*/       OPC_MoveParent,
/*  6679*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  6681*/       OPC_EmitMergeInputChains1_0,
/*  6682*/       OPC_EmitInteger, MVT::i32, 0, 
/*  6685*/       OPC_EmitInteger, MVT::i64, 0, 
/*  6688*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW32_U_XCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
                 // Src: (zext:{ *:[i64] } (atomic_swap:{ *:[i32] } I64:{ *:[i64] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_swap_32>>) - Complexity = 10
                 // Dst: (ATOMIC_RMW32_U_XCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  6698*/      0, /*End of Scope*/
/*  6699*/     0, /*End of Scope*/
/*  6700*/    0, /*End of Scope*/
/*  6701*/   /*SwitchOpcode*/ 72|128,6/*840*/, TARGET_VAL(ISD::ATOMIC_LOAD),// ->7545
/*  6705*/    OPC_RecordMemRef,
/*  6706*/    OPC_RecordNode, // #0 = 'atomic_load' chained node
/*  6707*/    OPC_Scope, 108|128,3/*492*/, /*->7202*/ // 2 children in Scope
/*  6710*/     OPC_MoveChild1,
/*  6711*/     OPC_SwitchOpcode /*3 cases */, 19|128,1/*147*/, TARGET_VAL(ISD::ADD),// ->6863
/*  6716*/      OPC_RecordChild0, // #1 = $addr
/*  6717*/      OPC_RecordChild1, // #2 = $off
/*  6718*/      OPC_MoveChild1,
/*  6719*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/*  6722*/      OPC_MoveParent,
/*  6723*/      OPC_CheckPredicate, 0, // Predicate_regPlusImm
/*  6725*/      OPC_SwitchType /*2 cases */, 66, MVT::i32,// ->6794
/*  6728*/       OPC_MoveParent,
/*  6729*/       OPC_Scope, 20, /*->6751*/ // 3 children in Scope
/*  6731*/        OPC_CheckPredicate, 1, // Predicate_atomic_load_8
/*  6733*/        OPC_MoveParent,
/*  6734*/        OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/*  6736*/        OPC_EmitMergeInputChains1_0,
/*  6737*/        OPC_EmitInteger, MVT::i32, 0, 
/*  6740*/        OPC_EmitConvertToTarget, 2,
/*  6742*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD8_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                  // Src: (zext:{ *:[i64] } (atomic_load:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_atomic_load_8>>) - Complexity = 14
                  // Dst: (ATOMIC_LOAD8_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/*  6751*/       /*Scope*/ 20, /*->6772*/
/*  6752*/        OPC_CheckPredicate, 2, // Predicate_atomic_load_16
/*  6754*/        OPC_MoveParent,
/*  6755*/        OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/*  6757*/        OPC_EmitMergeInputChains1_0,
/*  6758*/        OPC_EmitInteger, MVT::i32, 0, 
/*  6761*/        OPC_EmitConvertToTarget, 2,
/*  6763*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD16_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                  // Src: (zext:{ *:[i64] } (atomic_load:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_atomic_load_16>>) - Complexity = 14
                  // Dst: (ATOMIC_LOAD16_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/*  6772*/       /*Scope*/ 20, /*->6793*/
/*  6773*/        OPC_CheckPredicate, 4, // Predicate_atomic_load_32
/*  6775*/        OPC_MoveParent,
/*  6776*/        OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/*  6778*/        OPC_EmitMergeInputChains1_0,
/*  6779*/        OPC_EmitInteger, MVT::i32, 0, 
/*  6782*/        OPC_EmitConvertToTarget, 2,
/*  6784*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD32_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                  // Src: (zext:{ *:[i64] } (atomic_load:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_atomic_load_32>>) - Complexity = 14
                  // Dst: (ATOMIC_LOAD32_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/*  6793*/       0, /*End of Scope*/
/*  6794*/      /*SwitchType*/ 66, MVT::i64,// ->6862
/*  6796*/       OPC_MoveParent,
/*  6797*/       OPC_Scope, 20, /*->6819*/ // 3 children in Scope
/*  6799*/        OPC_CheckPredicate, 1, // Predicate_atomic_load_8
/*  6801*/        OPC_MoveParent,
/*  6802*/        OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/*  6804*/        OPC_EmitMergeInputChains1_0,
/*  6805*/        OPC_EmitInteger, MVT::i32, 0, 
/*  6808*/        OPC_EmitConvertToTarget, 2,
/*  6810*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD8_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                  // Src: (zext:{ *:[i64] } (atomic_load:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_atomic_load_8>>) - Complexity = 14
                  // Dst: (ATOMIC_LOAD8_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/*  6819*/       /*Scope*/ 20, /*->6840*/
/*  6820*/        OPC_CheckPredicate, 2, // Predicate_atomic_load_16
/*  6822*/        OPC_MoveParent,
/*  6823*/        OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/*  6825*/        OPC_EmitMergeInputChains1_0,
/*  6826*/        OPC_EmitInteger, MVT::i32, 0, 
/*  6829*/        OPC_EmitConvertToTarget, 2,
/*  6831*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD16_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                  // Src: (zext:{ *:[i64] } (atomic_load:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_atomic_load_16>>) - Complexity = 14
                  // Dst: (ATOMIC_LOAD16_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/*  6840*/       /*Scope*/ 20, /*->6861*/
/*  6841*/        OPC_CheckPredicate, 4, // Predicate_atomic_load_32
/*  6843*/        OPC_MoveParent,
/*  6844*/        OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/*  6846*/        OPC_EmitMergeInputChains1_0,
/*  6847*/        OPC_EmitInteger, MVT::i32, 0, 
/*  6850*/        OPC_EmitConvertToTarget, 2,
/*  6852*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD32_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                  // Src: (zext:{ *:[i64] } (atomic_load:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_atomic_load_32>>) - Complexity = 14
                  // Dst: (ATOMIC_LOAD32_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/*  6861*/       0, /*End of Scope*/
/*  6862*/      0, // EndSwitchType
/*  6863*/     /*SwitchOpcode*/ 19|128,1/*147*/, TARGET_VAL(ISD::OR),// ->7014
/*  6867*/      OPC_RecordChild0, // #1 = $addr
/*  6868*/      OPC_RecordChild1, // #2 = $off
/*  6869*/      OPC_MoveChild1,
/*  6870*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/*  6873*/      OPC_MoveParent,
/*  6874*/      OPC_CheckPredicate, 3, // Predicate_or_is_add
/*  6876*/      OPC_SwitchType /*2 cases */, 66, MVT::i32,// ->6945
/*  6879*/       OPC_MoveParent,
/*  6880*/       OPC_Scope, 20, /*->6902*/ // 3 children in Scope
/*  6882*/        OPC_CheckPredicate, 1, // Predicate_atomic_load_8
/*  6884*/        OPC_MoveParent,
/*  6885*/        OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/*  6887*/        OPC_EmitMergeInputChains1_0,
/*  6888*/        OPC_EmitInteger, MVT::i32, 0, 
/*  6891*/        OPC_EmitConvertToTarget, 2,
/*  6893*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD8_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                  // Src: (zext:{ *:[i64] } (atomic_load:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_atomic_load_8>>) - Complexity = 14
                  // Dst: (ATOMIC_LOAD8_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/*  6902*/       /*Scope*/ 20, /*->6923*/
/*  6903*/        OPC_CheckPredicate, 2, // Predicate_atomic_load_16
/*  6905*/        OPC_MoveParent,
/*  6906*/        OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/*  6908*/        OPC_EmitMergeInputChains1_0,
/*  6909*/        OPC_EmitInteger, MVT::i32, 0, 
/*  6912*/        OPC_EmitConvertToTarget, 2,
/*  6914*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD16_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                  // Src: (zext:{ *:[i64] } (atomic_load:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_atomic_load_16>>) - Complexity = 14
                  // Dst: (ATOMIC_LOAD16_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/*  6923*/       /*Scope*/ 20, /*->6944*/
/*  6924*/        OPC_CheckPredicate, 4, // Predicate_atomic_load_32
/*  6926*/        OPC_MoveParent,
/*  6927*/        OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/*  6929*/        OPC_EmitMergeInputChains1_0,
/*  6930*/        OPC_EmitInteger, MVT::i32, 0, 
/*  6933*/        OPC_EmitConvertToTarget, 2,
/*  6935*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD32_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                  // Src: (zext:{ *:[i64] } (atomic_load:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_atomic_load_32>>) - Complexity = 14
                  // Dst: (ATOMIC_LOAD32_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/*  6944*/       0, /*End of Scope*/
/*  6945*/      /*SwitchType*/ 66, MVT::i64,// ->7013
/*  6947*/       OPC_MoveParent,
/*  6948*/       OPC_Scope, 20, /*->6970*/ // 3 children in Scope
/*  6950*/        OPC_CheckPredicate, 1, // Predicate_atomic_load_8
/*  6952*/        OPC_MoveParent,
/*  6953*/        OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/*  6955*/        OPC_EmitMergeInputChains1_0,
/*  6956*/        OPC_EmitInteger, MVT::i32, 0, 
/*  6959*/        OPC_EmitConvertToTarget, 2,
/*  6961*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD8_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                  // Src: (zext:{ *:[i64] } (atomic_load:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_atomic_load_8>>) - Complexity = 14
                  // Dst: (ATOMIC_LOAD8_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/*  6970*/       /*Scope*/ 20, /*->6991*/
/*  6971*/        OPC_CheckPredicate, 2, // Predicate_atomic_load_16
/*  6973*/        OPC_MoveParent,
/*  6974*/        OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/*  6976*/        OPC_EmitMergeInputChains1_0,
/*  6977*/        OPC_EmitInteger, MVT::i32, 0, 
/*  6980*/        OPC_EmitConvertToTarget, 2,
/*  6982*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD16_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                  // Src: (zext:{ *:[i64] } (atomic_load:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_atomic_load_16>>) - Complexity = 14
                  // Dst: (ATOMIC_LOAD16_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/*  6991*/       /*Scope*/ 20, /*->7012*/
/*  6992*/        OPC_CheckPredicate, 4, // Predicate_atomic_load_32
/*  6994*/        OPC_MoveParent,
/*  6995*/        OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/*  6997*/        OPC_EmitMergeInputChains1_0,
/*  6998*/        OPC_EmitInteger, MVT::i32, 0, 
/*  7001*/        OPC_EmitConvertToTarget, 2,
/*  7003*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD32_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                  // Src: (zext:{ *:[i64] } (atomic_load:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_atomic_load_32>>) - Complexity = 14
                  // Dst: (ATOMIC_LOAD32_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/*  7012*/       0, /*End of Scope*/
/*  7013*/      0, // EndSwitchType
/*  7014*/     /*SwitchOpcode*/ 55|128,1/*183*/, TARGET_VAL(WebAssemblyISD::Wrapper),// ->7201
/*  7018*/      OPC_RecordChild0, // #1 = $off
/*  7019*/      OPC_MoveChild0,
/*  7020*/      OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/*  7023*/      OPC_MoveParent,
/*  7024*/      OPC_MoveParent,
/*  7025*/      OPC_Scope, 57, /*->7084*/ // 3 children in Scope
/*  7027*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_8
/*  7029*/       OPC_MoveParent,
/*  7030*/       OPC_Scope, 25, /*->7057*/ // 2 children in Scope
/*  7032*/        OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/*  7034*/        OPC_EmitMergeInputChains1_0,
/*  7035*/        OPC_EmitInteger, MVT::i32, 0, 
/*  7038*/        OPC_EmitInteger, MVT::i32, 0, 
/*  7041*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 3,  // Results = #4
/*  7048*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD8_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 2, 1, 4, 
                  // Src: (zext:{ *:[i64] } (atomic_load:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_atomic_load_8>>) - Complexity = 13
                  // Dst: (ATOMIC_LOAD8_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/*  7057*/       /*Scope*/ 25, /*->7083*/
/*  7058*/        OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/*  7060*/        OPC_EmitMergeInputChains1_0,
/*  7061*/        OPC_EmitInteger, MVT::i32, 0, 
/*  7064*/        OPC_EmitInteger, MVT::i64, 0, 
/*  7067*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 3,  // Results = #4
/*  7074*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD8_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 2, 1, 4, 
                  // Src: (zext:{ *:[i64] } (atomic_load:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_atomic_load_8>>) - Complexity = 13
                  // Dst: (ATOMIC_LOAD8_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/*  7083*/       0, /*End of Scope*/
/*  7084*/      /*Scope*/ 57, /*->7142*/
/*  7085*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_16
/*  7087*/       OPC_MoveParent,
/*  7088*/       OPC_Scope, 25, /*->7115*/ // 2 children in Scope
/*  7090*/        OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/*  7092*/        OPC_EmitMergeInputChains1_0,
/*  7093*/        OPC_EmitInteger, MVT::i32, 0, 
/*  7096*/        OPC_EmitInteger, MVT::i32, 0, 
/*  7099*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 3,  // Results = #4
/*  7106*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD16_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 2, 1, 4, 
                  // Src: (zext:{ *:[i64] } (atomic_load:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_atomic_load_16>>) - Complexity = 13
                  // Dst: (ATOMIC_LOAD16_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/*  7115*/       /*Scope*/ 25, /*->7141*/
/*  7116*/        OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/*  7118*/        OPC_EmitMergeInputChains1_0,
/*  7119*/        OPC_EmitInteger, MVT::i32, 0, 
/*  7122*/        OPC_EmitInteger, MVT::i64, 0, 
/*  7125*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 3,  // Results = #4
/*  7132*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD16_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 2, 1, 4, 
                  // Src: (zext:{ *:[i64] } (atomic_load:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_atomic_load_16>>) - Complexity = 13
                  // Dst: (ATOMIC_LOAD16_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/*  7141*/       0, /*End of Scope*/
/*  7142*/      /*Scope*/ 57, /*->7200*/
/*  7143*/       OPC_CheckPredicate, 4, // Predicate_atomic_load_32
/*  7145*/       OPC_MoveParent,
/*  7146*/       OPC_Scope, 25, /*->7173*/ // 2 children in Scope
/*  7148*/        OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/*  7150*/        OPC_EmitMergeInputChains1_0,
/*  7151*/        OPC_EmitInteger, MVT::i32, 0, 
/*  7154*/        OPC_EmitInteger, MVT::i32, 0, 
/*  7157*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 3,  // Results = #4
/*  7164*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD32_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 2, 1, 4, 
                  // Src: (zext:{ *:[i64] } (atomic_load:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_atomic_load_32>>) - Complexity = 13
                  // Dst: (ATOMIC_LOAD32_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/*  7173*/       /*Scope*/ 25, /*->7199*/
/*  7174*/        OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/*  7176*/        OPC_EmitMergeInputChains1_0,
/*  7177*/        OPC_EmitInteger, MVT::i32, 0, 
/*  7180*/        OPC_EmitInteger, MVT::i64, 0, 
/*  7183*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 3,  // Results = #4
/*  7190*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD32_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 2, 1, 4, 
                  // Src: (zext:{ *:[i64] } (atomic_load:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_atomic_load_32>>) - Complexity = 13
                  // Dst: (ATOMIC_LOAD32_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/*  7199*/       0, /*End of Scope*/
/*  7200*/      0, /*End of Scope*/
/*  7201*/     0, // EndSwitchOpcode
/*  7202*/    /*Scope*/ 84|128,2/*340*/, /*->7544*/
/*  7204*/     OPC_RecordChild1, // #1 = $off
/*  7205*/     OPC_Scope, 65|128,1/*193*/, /*->7401*/ // 3 children in Scope
/*  7208*/      OPC_MoveChild1,
/*  7209*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/*  7212*/      OPC_MoveParent,
/*  7213*/      OPC_Scope, 61, /*->7276*/ // 3 children in Scope
/*  7215*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_8
/*  7217*/       OPC_MoveParent,
/*  7218*/       OPC_Scope, 27, /*->7247*/ // 2 children in Scope
/*  7220*/        OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/*  7222*/        OPC_EmitMergeInputChains1_0,
/*  7223*/        OPC_EmitInteger, MVT::i32, 0, 
/*  7226*/        OPC_EmitConvertToTarget, 1,
/*  7228*/        OPC_EmitInteger, MVT::i32, 0, 
/*  7231*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/*  7238*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD8_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 2, 3, 5, 
                  // Src: (zext:{ *:[i64] } (atomic_load:{ *:[i32] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_atomic_load_8>>) - Complexity = 10
                  // Dst: (ATOMIC_LOAD8_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/*  7247*/       /*Scope*/ 27, /*->7275*/
/*  7248*/        OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/*  7250*/        OPC_EmitMergeInputChains1_0,
/*  7251*/        OPC_EmitInteger, MVT::i32, 0, 
/*  7254*/        OPC_EmitConvertToTarget, 1,
/*  7256*/        OPC_EmitInteger, MVT::i64, 0, 
/*  7259*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/*  7266*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD8_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 2, 3, 5, 
                  // Src: (zext:{ *:[i64] } (atomic_load:{ *:[i32] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_atomic_load_8>>) - Complexity = 10
                  // Dst: (ATOMIC_LOAD8_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/*  7275*/       0, /*End of Scope*/
/*  7276*/      /*Scope*/ 61, /*->7338*/
/*  7277*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_16
/*  7279*/       OPC_MoveParent,
/*  7280*/       OPC_Scope, 27, /*->7309*/ // 2 children in Scope
/*  7282*/        OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/*  7284*/        OPC_EmitMergeInputChains1_0,
/*  7285*/        OPC_EmitInteger, MVT::i32, 0, 
/*  7288*/        OPC_EmitConvertToTarget, 1,
/*  7290*/        OPC_EmitInteger, MVT::i32, 0, 
/*  7293*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/*  7300*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD16_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 2, 3, 5, 
                  // Src: (zext:{ *:[i64] } (atomic_load:{ *:[i32] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_atomic_load_16>>) - Complexity = 10
                  // Dst: (ATOMIC_LOAD16_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/*  7309*/       /*Scope*/ 27, /*->7337*/
/*  7310*/        OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/*  7312*/        OPC_EmitMergeInputChains1_0,
/*  7313*/        OPC_EmitInteger, MVT::i32, 0, 
/*  7316*/        OPC_EmitConvertToTarget, 1,
/*  7318*/        OPC_EmitInteger, MVT::i64, 0, 
/*  7321*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/*  7328*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD16_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 2, 3, 5, 
                  // Src: (zext:{ *:[i64] } (atomic_load:{ *:[i32] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_atomic_load_16>>) - Complexity = 10
                  // Dst: (ATOMIC_LOAD16_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/*  7337*/       0, /*End of Scope*/
/*  7338*/      /*Scope*/ 61, /*->7400*/
/*  7339*/       OPC_CheckPredicate, 4, // Predicate_atomic_load_32
/*  7341*/       OPC_MoveParent,
/*  7342*/       OPC_Scope, 27, /*->7371*/ // 2 children in Scope
/*  7344*/        OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/*  7346*/        OPC_EmitMergeInputChains1_0,
/*  7347*/        OPC_EmitInteger, MVT::i32, 0, 
/*  7350*/        OPC_EmitConvertToTarget, 1,
/*  7352*/        OPC_EmitInteger, MVT::i32, 0, 
/*  7355*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/*  7362*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD32_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 2, 3, 5, 
                  // Src: (zext:{ *:[i64] } (atomic_load:{ *:[i32] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_atomic_load_32>>) - Complexity = 10
                  // Dst: (ATOMIC_LOAD32_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/*  7371*/       /*Scope*/ 27, /*->7399*/
/*  7372*/        OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/*  7374*/        OPC_EmitMergeInputChains1_0,
/*  7375*/        OPC_EmitInteger, MVT::i32, 0, 
/*  7378*/        OPC_EmitConvertToTarget, 1,
/*  7380*/        OPC_EmitInteger, MVT::i64, 0, 
/*  7383*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/*  7390*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD32_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 2, 3, 5, 
                  // Src: (zext:{ *:[i64] } (atomic_load:{ *:[i32] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_atomic_load_32>>) - Complexity = 10
                  // Dst: (ATOMIC_LOAD32_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/*  7399*/       0, /*End of Scope*/
/*  7400*/      0, /*End of Scope*/
/*  7401*/     /*Scope*/ 70, /*->7472*/
/*  7402*/      OPC_CheckChild1Type, MVT::i32,
/*  7404*/      OPC_Scope, 21, /*->7427*/ // 3 children in Scope
/*  7406*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_8
/*  7408*/       OPC_MoveParent,
/*  7409*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/*  7411*/       OPC_EmitMergeInputChains1_0,
/*  7412*/       OPC_EmitInteger, MVT::i32, 0, 
/*  7415*/       OPC_EmitInteger, MVT::i32, 0, 
/*  7418*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD8_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 3/*#Ops*/, 2, 3, 1, 
                 // Src: (zext:{ *:[i64] } (atomic_load:{ *:[i32] } I32:{ *:[i32] }:$addr)<<P:Predicate_atomic_load_8>>) - Complexity = 7
                 // Dst: (ATOMIC_LOAD8_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr)
/*  7427*/      /*Scope*/ 21, /*->7449*/
/*  7428*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_16
/*  7430*/       OPC_MoveParent,
/*  7431*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/*  7433*/       OPC_EmitMergeInputChains1_0,
/*  7434*/       OPC_EmitInteger, MVT::i32, 0, 
/*  7437*/       OPC_EmitInteger, MVT::i32, 0, 
/*  7440*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD16_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 3/*#Ops*/, 2, 3, 1, 
                 // Src: (zext:{ *:[i64] } (atomic_load:{ *:[i32] } I32:{ *:[i32] }:$addr)<<P:Predicate_atomic_load_16>>) - Complexity = 7
                 // Dst: (ATOMIC_LOAD16_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr)
/*  7449*/      /*Scope*/ 21, /*->7471*/
/*  7450*/       OPC_CheckPredicate, 4, // Predicate_atomic_load_32
/*  7452*/       OPC_MoveParent,
/*  7453*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/*  7455*/       OPC_EmitMergeInputChains1_0,
/*  7456*/       OPC_EmitInteger, MVT::i32, 0, 
/*  7459*/       OPC_EmitInteger, MVT::i32, 0, 
/*  7462*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD32_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 3/*#Ops*/, 2, 3, 1, 
                 // Src: (zext:{ *:[i64] } (atomic_load:{ *:[i32] } I32:{ *:[i32] }:$addr)<<P:Predicate_atomic_load_32>>) - Complexity = 7
                 // Dst: (ATOMIC_LOAD32_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr)
/*  7471*/      0, /*End of Scope*/
/*  7472*/     /*Scope*/ 70, /*->7543*/
/*  7473*/      OPC_CheckChild1Type, MVT::i64,
/*  7475*/      OPC_Scope, 21, /*->7498*/ // 3 children in Scope
/*  7477*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_8
/*  7479*/       OPC_MoveParent,
/*  7480*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/*  7482*/       OPC_EmitMergeInputChains1_0,
/*  7483*/       OPC_EmitInteger, MVT::i32, 0, 
/*  7486*/       OPC_EmitInteger, MVT::i64, 0, 
/*  7489*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD8_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 3/*#Ops*/, 2, 3, 1, 
                 // Src: (zext:{ *:[i64] } (atomic_load:{ *:[i32] } I64:{ *:[i64] }:$addr)<<P:Predicate_atomic_load_8>>) - Complexity = 7
                 // Dst: (ATOMIC_LOAD8_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr)
/*  7498*/      /*Scope*/ 21, /*->7520*/
/*  7499*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_16
/*  7501*/       OPC_MoveParent,
/*  7502*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/*  7504*/       OPC_EmitMergeInputChains1_0,
/*  7505*/       OPC_EmitInteger, MVT::i32, 0, 
/*  7508*/       OPC_EmitInteger, MVT::i64, 0, 
/*  7511*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD16_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 3/*#Ops*/, 2, 3, 1, 
                 // Src: (zext:{ *:[i64] } (atomic_load:{ *:[i32] } I64:{ *:[i64] }:$addr)<<P:Predicate_atomic_load_16>>) - Complexity = 7
                 // Dst: (ATOMIC_LOAD16_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr)
/*  7520*/      /*Scope*/ 21, /*->7542*/
/*  7521*/       OPC_CheckPredicate, 4, // Predicate_atomic_load_32
/*  7523*/       OPC_MoveParent,
/*  7524*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/*  7526*/       OPC_EmitMergeInputChains1_0,
/*  7527*/       OPC_EmitInteger, MVT::i32, 0, 
/*  7530*/       OPC_EmitInteger, MVT::i64, 0, 
/*  7533*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD32_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 3/*#Ops*/, 2, 3, 1, 
                 // Src: (zext:{ *:[i64] } (atomic_load:{ *:[i32] } I64:{ *:[i64] }:$addr)<<P:Predicate_atomic_load_32>>) - Complexity = 7
                 // Dst: (ATOMIC_LOAD32_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr)
/*  7542*/      0, /*End of Scope*/
/*  7543*/     0, /*End of Scope*/
/*  7544*/    0, /*End of Scope*/
/*  7545*/   0, // EndSwitchOpcode
/*  7546*/  /*Scope*/ 8, /*->7555*/
/*  7547*/   OPC_RecordChild0, // #0 = $src
/*  7548*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::I64_EXTEND_U_I32), 0,
                 MVT::i64, 1/*#Ops*/, 0, 
             // Src: (zext:{ *:[i64] } I32:{ *:[i32] }:$src) - Complexity = 3
             // Dst: (I64_EXTEND_U_I32:{ *:[i64] } I32:{ *:[i32] }:$src)
/*  7555*/  0, /*End of Scope*/
/*  7556*/ /*SwitchOpcode*/ 66|128,41/*5314*/, TARGET_VAL(ISD::ANY_EXTEND),// ->12874
/*  7560*/  OPC_Scope, 53|128,41/*5301*/, /*->12864*/ // 2 children in Scope
/*  7563*/   OPC_MoveChild0,
/*  7564*/   OPC_SwitchOpcode /*8 cases */, 89|128,5/*729*/, TARGET_VAL(ISD::AssertZext),// ->8298
/*  7569*/    OPC_MoveChild0,
/*  7570*/    OPC_CheckOpcode, TARGET_VAL(ISD::ATOMIC_CMP_SWAP),
/*  7573*/    OPC_RecordMemRef,
/*  7574*/    OPC_RecordNode, // #0 = 'atomic_cmp_swap' chained node
/*  7575*/    OPC_CheckFoldableChainNode,
/*  7576*/    OPC_Scope, 60|128,3/*444*/, /*->8023*/ // 2 children in Scope
/*  7579*/     OPC_MoveChild1,
/*  7580*/     OPC_SwitchOpcode /*3 cases */, 13|128,1/*141*/, TARGET_VAL(ISD::ADD),// ->7726
/*  7585*/      OPC_RecordChild0, // #1 = $addr
/*  7586*/      OPC_RecordChild1, // #2 = $off
/*  7587*/      OPC_MoveChild1,
/*  7588*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/*  7591*/      OPC_MoveParent,
/*  7592*/      OPC_CheckPredicate, 0, // Predicate_regPlusImm
/*  7594*/      OPC_SwitchType /*2 cases */, 63, MVT::i32,// ->7660
/*  7597*/       OPC_MoveParent,
/*  7598*/       OPC_MoveChild2,
/*  7599*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  7602*/       OPC_RecordChild0, // #3 = $exp
/*  7603*/       OPC_MoveParent,
/*  7604*/       OPC_MoveChild3,
/*  7605*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  7608*/       OPC_RecordChild0, // #4 = $new
/*  7609*/       OPC_MoveParent,
/*  7610*/       OPC_Scope, 23, /*->7635*/ // 2 children in Scope
/*  7612*/        OPC_CheckPredicate, 1, // Predicate_atomic_cmp_swap_8
/*  7614*/        OPC_MoveParent,
/*  7615*/        OPC_MoveParent,
/*  7616*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  7618*/        OPC_EmitMergeInputChains1_0,
/*  7619*/        OPC_EmitInteger, MVT::i32, 0, 
/*  7622*/        OPC_EmitConvertToTarget, 2,
/*  7624*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_CMPXCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 5/*#Ops*/, 5, 6, 1, 3, 4, 
                  // Src: (anyext:{ *:[i64] } (assertzext:{ *:[i32] } (atomic_cmp_swap:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$exp), (trunc:{ *:[i32] } i64:{ *:[i64] }:$new))<<P:Predicate_atomic_cmp_swap_8>>)) - Complexity = 23
                  // Dst: (ATOMIC_RMW8_U_CMPXCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)
/*  7635*/       /*Scope*/ 23, /*->7659*/
/*  7636*/        OPC_CheckPredicate, 2, // Predicate_atomic_cmp_swap_16
/*  7638*/        OPC_MoveParent,
/*  7639*/        OPC_MoveParent,
/*  7640*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  7642*/        OPC_EmitMergeInputChains1_0,
/*  7643*/        OPC_EmitInteger, MVT::i32, 0, 
/*  7646*/        OPC_EmitConvertToTarget, 2,
/*  7648*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_CMPXCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 5/*#Ops*/, 5, 6, 1, 3, 4, 
                  // Src: (anyext:{ *:[i64] } (assertzext:{ *:[i32] } (atomic_cmp_swap:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$exp), (trunc:{ *:[i32] } i64:{ *:[i64] }:$new))<<P:Predicate_atomic_cmp_swap_16>>)) - Complexity = 23
                  // Dst: (ATOMIC_RMW16_U_CMPXCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)
/*  7659*/       0, /*End of Scope*/
/*  7660*/      /*SwitchType*/ 63, MVT::i64,// ->7725
/*  7662*/       OPC_MoveParent,
/*  7663*/       OPC_MoveChild2,
/*  7664*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  7667*/       OPC_RecordChild0, // #3 = $exp
/*  7668*/       OPC_MoveParent,
/*  7669*/       OPC_MoveChild3,
/*  7670*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  7673*/       OPC_RecordChild0, // #4 = $new
/*  7674*/       OPC_MoveParent,
/*  7675*/       OPC_Scope, 23, /*->7700*/ // 2 children in Scope
/*  7677*/        OPC_CheckPredicate, 1, // Predicate_atomic_cmp_swap_8
/*  7679*/        OPC_MoveParent,
/*  7680*/        OPC_MoveParent,
/*  7681*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  7683*/        OPC_EmitMergeInputChains1_0,
/*  7684*/        OPC_EmitInteger, MVT::i32, 0, 
/*  7687*/        OPC_EmitConvertToTarget, 2,
/*  7689*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_CMPXCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 5/*#Ops*/, 5, 6, 1, 3, 4, 
                  // Src: (anyext:{ *:[i64] } (assertzext:{ *:[i32] } (atomic_cmp_swap:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$exp), (trunc:{ *:[i32] } i64:{ *:[i64] }:$new))<<P:Predicate_atomic_cmp_swap_8>>)) - Complexity = 23
                  // Dst: (ATOMIC_RMW8_U_CMPXCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)
/*  7700*/       /*Scope*/ 23, /*->7724*/
/*  7701*/        OPC_CheckPredicate, 2, // Predicate_atomic_cmp_swap_16
/*  7703*/        OPC_MoveParent,
/*  7704*/        OPC_MoveParent,
/*  7705*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  7707*/        OPC_EmitMergeInputChains1_0,
/*  7708*/        OPC_EmitInteger, MVT::i32, 0, 
/*  7711*/        OPC_EmitConvertToTarget, 2,
/*  7713*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_CMPXCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 5/*#Ops*/, 5, 6, 1, 3, 4, 
                  // Src: (anyext:{ *:[i64] } (assertzext:{ *:[i32] } (atomic_cmp_swap:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$exp), (trunc:{ *:[i32] } i64:{ *:[i64] }:$new))<<P:Predicate_atomic_cmp_swap_16>>)) - Complexity = 23
                  // Dst: (ATOMIC_RMW16_U_CMPXCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)
/*  7724*/       0, /*End of Scope*/
/*  7725*/      0, // EndSwitchType
/*  7726*/     /*SwitchOpcode*/ 13|128,1/*141*/, TARGET_VAL(ISD::OR),// ->7871
/*  7730*/      OPC_RecordChild0, // #1 = $addr
/*  7731*/      OPC_RecordChild1, // #2 = $off
/*  7732*/      OPC_MoveChild1,
/*  7733*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/*  7736*/      OPC_MoveParent,
/*  7737*/      OPC_CheckPredicate, 3, // Predicate_or_is_add
/*  7739*/      OPC_SwitchType /*2 cases */, 63, MVT::i32,// ->7805
/*  7742*/       OPC_MoveParent,
/*  7743*/       OPC_MoveChild2,
/*  7744*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  7747*/       OPC_RecordChild0, // #3 = $exp
/*  7748*/       OPC_MoveParent,
/*  7749*/       OPC_MoveChild3,
/*  7750*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  7753*/       OPC_RecordChild0, // #4 = $new
/*  7754*/       OPC_MoveParent,
/*  7755*/       OPC_Scope, 23, /*->7780*/ // 2 children in Scope
/*  7757*/        OPC_CheckPredicate, 1, // Predicate_atomic_cmp_swap_8
/*  7759*/        OPC_MoveParent,
/*  7760*/        OPC_MoveParent,
/*  7761*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  7763*/        OPC_EmitMergeInputChains1_0,
/*  7764*/        OPC_EmitInteger, MVT::i32, 0, 
/*  7767*/        OPC_EmitConvertToTarget, 2,
/*  7769*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_CMPXCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 5/*#Ops*/, 5, 6, 1, 3, 4, 
                  // Src: (anyext:{ *:[i64] } (assertzext:{ *:[i32] } (atomic_cmp_swap:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$exp), (trunc:{ *:[i32] } i64:{ *:[i64] }:$new))<<P:Predicate_atomic_cmp_swap_8>>)) - Complexity = 23
                  // Dst: (ATOMIC_RMW8_U_CMPXCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)
/*  7780*/       /*Scope*/ 23, /*->7804*/
/*  7781*/        OPC_CheckPredicate, 2, // Predicate_atomic_cmp_swap_16
/*  7783*/        OPC_MoveParent,
/*  7784*/        OPC_MoveParent,
/*  7785*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  7787*/        OPC_EmitMergeInputChains1_0,
/*  7788*/        OPC_EmitInteger, MVT::i32, 0, 
/*  7791*/        OPC_EmitConvertToTarget, 2,
/*  7793*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_CMPXCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 5/*#Ops*/, 5, 6, 1, 3, 4, 
                  // Src: (anyext:{ *:[i64] } (assertzext:{ *:[i32] } (atomic_cmp_swap:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$exp), (trunc:{ *:[i32] } i64:{ *:[i64] }:$new))<<P:Predicate_atomic_cmp_swap_16>>)) - Complexity = 23
                  // Dst: (ATOMIC_RMW16_U_CMPXCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)
/*  7804*/       0, /*End of Scope*/
/*  7805*/      /*SwitchType*/ 63, MVT::i64,// ->7870
/*  7807*/       OPC_MoveParent,
/*  7808*/       OPC_MoveChild2,
/*  7809*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  7812*/       OPC_RecordChild0, // #3 = $exp
/*  7813*/       OPC_MoveParent,
/*  7814*/       OPC_MoveChild3,
/*  7815*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  7818*/       OPC_RecordChild0, // #4 = $new
/*  7819*/       OPC_MoveParent,
/*  7820*/       OPC_Scope, 23, /*->7845*/ // 2 children in Scope
/*  7822*/        OPC_CheckPredicate, 1, // Predicate_atomic_cmp_swap_8
/*  7824*/        OPC_MoveParent,
/*  7825*/        OPC_MoveParent,
/*  7826*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  7828*/        OPC_EmitMergeInputChains1_0,
/*  7829*/        OPC_EmitInteger, MVT::i32, 0, 
/*  7832*/        OPC_EmitConvertToTarget, 2,
/*  7834*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_CMPXCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 5/*#Ops*/, 5, 6, 1, 3, 4, 
                  // Src: (anyext:{ *:[i64] } (assertzext:{ *:[i32] } (atomic_cmp_swap:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$exp), (trunc:{ *:[i32] } i64:{ *:[i64] }:$new))<<P:Predicate_atomic_cmp_swap_8>>)) - Complexity = 23
                  // Dst: (ATOMIC_RMW8_U_CMPXCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)
/*  7845*/       /*Scope*/ 23, /*->7869*/
/*  7846*/        OPC_CheckPredicate, 2, // Predicate_atomic_cmp_swap_16
/*  7848*/        OPC_MoveParent,
/*  7849*/        OPC_MoveParent,
/*  7850*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  7852*/        OPC_EmitMergeInputChains1_0,
/*  7853*/        OPC_EmitInteger, MVT::i32, 0, 
/*  7856*/        OPC_EmitConvertToTarget, 2,
/*  7858*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_CMPXCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 5/*#Ops*/, 5, 6, 1, 3, 4, 
                  // Src: (anyext:{ *:[i64] } (assertzext:{ *:[i32] } (atomic_cmp_swap:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$exp), (trunc:{ *:[i32] } i64:{ *:[i64] }:$new))<<P:Predicate_atomic_cmp_swap_16>>)) - Complexity = 23
                  // Dst: (ATOMIC_RMW16_U_CMPXCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)
/*  7869*/       0, /*End of Scope*/
/*  7870*/      0, // EndSwitchType
/*  7871*/     /*SwitchOpcode*/ 19|128,1/*147*/, TARGET_VAL(WebAssemblyISD::Wrapper),// ->8022
/*  7875*/      OPC_RecordChild0, // #1 = $off
/*  7876*/      OPC_MoveChild0,
/*  7877*/      OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/*  7880*/      OPC_MoveParent,
/*  7881*/      OPC_MoveParent,
/*  7882*/      OPC_MoveChild2,
/*  7883*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  7886*/      OPC_RecordChild0, // #2 = $exp
/*  7887*/      OPC_MoveParent,
/*  7888*/      OPC_MoveChild3,
/*  7889*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  7892*/      OPC_RecordChild0, // #3 = $new
/*  7893*/      OPC_MoveParent,
/*  7894*/      OPC_Scope, 62, /*->7958*/ // 2 children in Scope
/*  7896*/       OPC_CheckPredicate, 1, // Predicate_atomic_cmp_swap_8
/*  7898*/       OPC_MoveParent,
/*  7899*/       OPC_MoveParent,
/*  7900*/       OPC_Scope, 27, /*->7929*/ // 2 children in Scope
/*  7902*/        OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/*  7904*/        OPC_EmitMergeInputChains1_0,
/*  7905*/        OPC_EmitInteger, MVT::i32, 0, 
/*  7908*/        OPC_EmitInteger, MVT::i32, 0, 
/*  7911*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/*  7918*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_CMPXCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 5/*#Ops*/, 4, 1, 6, 2, 3, 
                  // Src: (anyext:{ *:[i64] } (assertzext:{ *:[i32] } (atomic_cmp_swap:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$exp), (trunc:{ *:[i32] } i64:{ *:[i64] }:$new))<<P:Predicate_atomic_cmp_swap_8>>)) - Complexity = 22
                  // Dst: (ATOMIC_RMW8_U_CMPXCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)
/*  7929*/       /*Scope*/ 27, /*->7957*/
/*  7930*/        OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/*  7932*/        OPC_EmitMergeInputChains1_0,
/*  7933*/        OPC_EmitInteger, MVT::i32, 0, 
/*  7936*/        OPC_EmitInteger, MVT::i64, 0, 
/*  7939*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/*  7946*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_CMPXCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 5/*#Ops*/, 4, 1, 6, 2, 3, 
                  // Src: (anyext:{ *:[i64] } (assertzext:{ *:[i32] } (atomic_cmp_swap:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$exp), (trunc:{ *:[i32] } i64:{ *:[i64] }:$new))<<P:Predicate_atomic_cmp_swap_8>>)) - Complexity = 22
                  // Dst: (ATOMIC_RMW8_U_CMPXCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)
/*  7957*/       0, /*End of Scope*/
/*  7958*/      /*Scope*/ 62, /*->8021*/
/*  7959*/       OPC_CheckPredicate, 2, // Predicate_atomic_cmp_swap_16
/*  7961*/       OPC_MoveParent,
/*  7962*/       OPC_MoveParent,
/*  7963*/       OPC_Scope, 27, /*->7992*/ // 2 children in Scope
/*  7965*/        OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/*  7967*/        OPC_EmitMergeInputChains1_0,
/*  7968*/        OPC_EmitInteger, MVT::i32, 0, 
/*  7971*/        OPC_EmitInteger, MVT::i32, 0, 
/*  7974*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/*  7981*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_CMPXCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 5/*#Ops*/, 4, 1, 6, 2, 3, 
                  // Src: (anyext:{ *:[i64] } (assertzext:{ *:[i32] } (atomic_cmp_swap:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$exp), (trunc:{ *:[i32] } i64:{ *:[i64] }:$new))<<P:Predicate_atomic_cmp_swap_16>>)) - Complexity = 22
                  // Dst: (ATOMIC_RMW16_U_CMPXCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)
/*  7992*/       /*Scope*/ 27, /*->8020*/
/*  7993*/        OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/*  7995*/        OPC_EmitMergeInputChains1_0,
/*  7996*/        OPC_EmitInteger, MVT::i32, 0, 
/*  7999*/        OPC_EmitInteger, MVT::i64, 0, 
/*  8002*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/*  8009*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_CMPXCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 5/*#Ops*/, 4, 1, 6, 2, 3, 
                  // Src: (anyext:{ *:[i64] } (assertzext:{ *:[i32] } (atomic_cmp_swap:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$exp), (trunc:{ *:[i32] } i64:{ *:[i64] }:$new))<<P:Predicate_atomic_cmp_swap_16>>)) - Complexity = 22
                  // Dst: (ATOMIC_RMW16_U_CMPXCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)
/*  8020*/       0, /*End of Scope*/
/*  8021*/      0, /*End of Scope*/
/*  8022*/     0, // EndSwitchOpcode
/*  8023*/    /*Scope*/ 16|128,2/*272*/, /*->8297*/
/*  8025*/     OPC_RecordChild1, // #1 = $off
/*  8026*/     OPC_Scope, 5|128,1/*133*/, /*->8162*/ // 3 children in Scope
/*  8029*/      OPC_MoveChild1,
/*  8030*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/*  8033*/      OPC_MoveParent,
/*  8034*/      OPC_MoveChild2,
/*  8035*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  8038*/      OPC_RecordChild0, // #2 = $exp
/*  8039*/      OPC_MoveParent,
/*  8040*/      OPC_MoveChild3,
/*  8041*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  8044*/      OPC_RecordChild0, // #3 = $new
/*  8045*/      OPC_MoveParent,
/*  8046*/      OPC_Scope, 56, /*->8104*/ // 2 children in Scope
/*  8048*/       OPC_CheckPredicate, 1, // Predicate_atomic_cmp_swap_8
/*  8050*/       OPC_MoveParent,
/*  8051*/       OPC_MoveParent,
/*  8052*/       OPC_EmitMergeInputChains1_0,
/*  8053*/       OPC_EmitInteger, MVT::i32, 0, 
/*  8056*/       OPC_EmitConvertToTarget, 1,
/*  8058*/       OPC_Scope, 21, /*->8081*/ // 2 children in Scope
/*  8060*/        OPC_EmitInteger, MVT::i32, 0, 
/*  8063*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 6,  // Results = #7
/*  8070*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_CMPXCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 5/*#Ops*/, 4, 5, 7, 2, 3, 
                  // Src: (anyext:{ *:[i64] } (assertzext:{ *:[i32] } (atomic_cmp_swap:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$exp), (trunc:{ *:[i32] } i64:{ *:[i64] }:$new))<<P:Predicate_atomic_cmp_swap_8>>)) - Complexity = 19
                  // Dst: (ATOMIC_RMW8_U_CMPXCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)
/*  8081*/       /*Scope*/ 21, /*->8103*/
/*  8082*/        OPC_EmitInteger, MVT::i64, 0, 
/*  8085*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 6,  // Results = #7
/*  8092*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_CMPXCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 5/*#Ops*/, 4, 5, 7, 2, 3, 
                  // Src: (anyext:{ *:[i64] } (assertzext:{ *:[i32] } (atomic_cmp_swap:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$exp), (trunc:{ *:[i32] } i64:{ *:[i64] }:$new))<<P:Predicate_atomic_cmp_swap_8>>)) - Complexity = 19
                  // Dst: (ATOMIC_RMW8_U_CMPXCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)
/*  8103*/       0, /*End of Scope*/
/*  8104*/      /*Scope*/ 56, /*->8161*/
/*  8105*/       OPC_CheckPredicate, 2, // Predicate_atomic_cmp_swap_16
/*  8107*/       OPC_MoveParent,
/*  8108*/       OPC_MoveParent,
/*  8109*/       OPC_EmitMergeInputChains1_0,
/*  8110*/       OPC_EmitInteger, MVT::i32, 0, 
/*  8113*/       OPC_EmitConvertToTarget, 1,
/*  8115*/       OPC_Scope, 21, /*->8138*/ // 2 children in Scope
/*  8117*/        OPC_EmitInteger, MVT::i32, 0, 
/*  8120*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 6,  // Results = #7
/*  8127*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_CMPXCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 5/*#Ops*/, 4, 5, 7, 2, 3, 
                  // Src: (anyext:{ *:[i64] } (assertzext:{ *:[i32] } (atomic_cmp_swap:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$exp), (trunc:{ *:[i32] } i64:{ *:[i64] }:$new))<<P:Predicate_atomic_cmp_swap_16>>)) - Complexity = 19
                  // Dst: (ATOMIC_RMW16_U_CMPXCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)
/*  8138*/       /*Scope*/ 21, /*->8160*/
/*  8139*/        OPC_EmitInteger, MVT::i64, 0, 
/*  8142*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 6,  // Results = #7
/*  8149*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_CMPXCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 5/*#Ops*/, 4, 5, 7, 2, 3, 
                  // Src: (anyext:{ *:[i64] } (assertzext:{ *:[i32] } (atomic_cmp_swap:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$exp), (trunc:{ *:[i32] } i64:{ *:[i64] }:$new))<<P:Predicate_atomic_cmp_swap_16>>)) - Complexity = 19
                  // Dst: (ATOMIC_RMW16_U_CMPXCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)
/*  8160*/       0, /*End of Scope*/
/*  8161*/      0, /*End of Scope*/
/*  8162*/     /*Scope*/ 66, /*->8229*/
/*  8163*/      OPC_CheckChild1Type, MVT::i32,
/*  8165*/      OPC_MoveChild2,
/*  8166*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  8169*/      OPC_RecordChild0, // #2 = $exp
/*  8170*/      OPC_MoveParent,
/*  8171*/      OPC_MoveChild3,
/*  8172*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  8175*/      OPC_RecordChild0, // #3 = $new
/*  8176*/      OPC_MoveParent,
/*  8177*/      OPC_Scope, 24, /*->8203*/ // 2 children in Scope
/*  8179*/       OPC_CheckPredicate, 1, // Predicate_atomic_cmp_swap_8
/*  8181*/       OPC_MoveParent,
/*  8182*/       OPC_MoveParent,
/*  8183*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8185*/       OPC_EmitMergeInputChains1_0,
/*  8186*/       OPC_EmitInteger, MVT::i32, 0, 
/*  8189*/       OPC_EmitInteger, MVT::i32, 0, 
/*  8192*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_CMPXCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 5/*#Ops*/, 4, 5, 1, 2, 3, 
                 // Src: (anyext:{ *:[i64] } (assertzext:{ *:[i32] } (atomic_cmp_swap:{ *:[i32] } I32:{ *:[i32] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$exp), (trunc:{ *:[i32] } i64:{ *:[i64] }:$new))<<P:Predicate_atomic_cmp_swap_8>>)) - Complexity = 16
                 // Dst: (ATOMIC_RMW8_U_CMPXCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)
/*  8203*/      /*Scope*/ 24, /*->8228*/
/*  8204*/       OPC_CheckPredicate, 2, // Predicate_atomic_cmp_swap_16
/*  8206*/       OPC_MoveParent,
/*  8207*/       OPC_MoveParent,
/*  8208*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8210*/       OPC_EmitMergeInputChains1_0,
/*  8211*/       OPC_EmitInteger, MVT::i32, 0, 
/*  8214*/       OPC_EmitInteger, MVT::i32, 0, 
/*  8217*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_CMPXCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 5/*#Ops*/, 4, 5, 1, 2, 3, 
                 // Src: (anyext:{ *:[i64] } (assertzext:{ *:[i32] } (atomic_cmp_swap:{ *:[i32] } I32:{ *:[i32] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$exp), (trunc:{ *:[i32] } i64:{ *:[i64] }:$new))<<P:Predicate_atomic_cmp_swap_16>>)) - Complexity = 16
                 // Dst: (ATOMIC_RMW16_U_CMPXCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)
/*  8228*/      0, /*End of Scope*/
/*  8229*/     /*Scope*/ 66, /*->8296*/
/*  8230*/      OPC_CheckChild1Type, MVT::i64,
/*  8232*/      OPC_MoveChild2,
/*  8233*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  8236*/      OPC_RecordChild0, // #2 = $exp
/*  8237*/      OPC_MoveParent,
/*  8238*/      OPC_MoveChild3,
/*  8239*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  8242*/      OPC_RecordChild0, // #3 = $new
/*  8243*/      OPC_MoveParent,
/*  8244*/      OPC_Scope, 24, /*->8270*/ // 2 children in Scope
/*  8246*/       OPC_CheckPredicate, 1, // Predicate_atomic_cmp_swap_8
/*  8248*/       OPC_MoveParent,
/*  8249*/       OPC_MoveParent,
/*  8250*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8252*/       OPC_EmitMergeInputChains1_0,
/*  8253*/       OPC_EmitInteger, MVT::i32, 0, 
/*  8256*/       OPC_EmitInteger, MVT::i64, 0, 
/*  8259*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_CMPXCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 5/*#Ops*/, 4, 5, 1, 2, 3, 
                 // Src: (anyext:{ *:[i64] } (assertzext:{ *:[i32] } (atomic_cmp_swap:{ *:[i32] } I64:{ *:[i64] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$exp), (trunc:{ *:[i32] } i64:{ *:[i64] }:$new))<<P:Predicate_atomic_cmp_swap_8>>)) - Complexity = 16
                 // Dst: (ATOMIC_RMW8_U_CMPXCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)
/*  8270*/      /*Scope*/ 24, /*->8295*/
/*  8271*/       OPC_CheckPredicate, 2, // Predicate_atomic_cmp_swap_16
/*  8273*/       OPC_MoveParent,
/*  8274*/       OPC_MoveParent,
/*  8275*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8277*/       OPC_EmitMergeInputChains1_0,
/*  8278*/       OPC_EmitInteger, MVT::i32, 0, 
/*  8281*/       OPC_EmitInteger, MVT::i64, 0, 
/*  8284*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_CMPXCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 5/*#Ops*/, 4, 5, 1, 2, 3, 
                 // Src: (anyext:{ *:[i64] } (assertzext:{ *:[i32] } (atomic_cmp_swap:{ *:[i32] } I64:{ *:[i64] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$exp), (trunc:{ *:[i32] } i64:{ *:[i64] }:$new))<<P:Predicate_atomic_cmp_swap_16>>)) - Complexity = 16
                 // Dst: (ATOMIC_RMW16_U_CMPXCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)
/*  8295*/      0, /*End of Scope*/
/*  8296*/     0, /*End of Scope*/
/*  8297*/    0, /*End of Scope*/
/*  8298*/   /*SwitchOpcode*/ 18|128,5/*658*/, TARGET_VAL(ISD::ATOMIC_LOAD_ADD),// ->8960
/*  8302*/    OPC_RecordMemRef,
/*  8303*/    OPC_RecordNode, // #0 = 'atomic_load_add' chained node
/*  8304*/    OPC_Scope, 6|128,3/*390*/, /*->8697*/ // 2 children in Scope
/*  8307*/     OPC_MoveChild1,
/*  8308*/     OPC_SwitchOpcode /*3 cases */, 121, TARGET_VAL(ISD::ADD),// ->8433
/*  8312*/      OPC_RecordChild0, // #1 = $addr
/*  8313*/      OPC_RecordChild1, // #2 = $off
/*  8314*/      OPC_MoveChild1,
/*  8315*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/*  8318*/      OPC_MoveParent,
/*  8319*/      OPC_CheckPredicate, 0, // Predicate_regPlusImm
/*  8321*/      OPC_SwitchType /*2 cases */, 53, MVT::i32,// ->8377
/*  8324*/       OPC_MoveParent,
/*  8325*/       OPC_MoveChild2,
/*  8326*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  8329*/       OPC_RecordChild0, // #3 = $val
/*  8330*/       OPC_MoveParent,
/*  8331*/       OPC_Scope, 21, /*->8354*/ // 2 children in Scope
/*  8333*/        OPC_CheckPredicate, 1, // Predicate_atomic_load_add_8
/*  8335*/        OPC_MoveParent,
/*  8336*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8338*/        OPC_EmitMergeInputChains1_0,
/*  8339*/        OPC_EmitInteger, MVT::i32, 0, 
/*  8342*/        OPC_EmitConvertToTarget, 2,
/*  8344*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_ADD_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_add:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_add_8>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW8_U_ADD_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  8354*/       /*Scope*/ 21, /*->8376*/
/*  8355*/        OPC_CheckPredicate, 2, // Predicate_atomic_load_add_16
/*  8357*/        OPC_MoveParent,
/*  8358*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8360*/        OPC_EmitMergeInputChains1_0,
/*  8361*/        OPC_EmitInteger, MVT::i32, 0, 
/*  8364*/        OPC_EmitConvertToTarget, 2,
/*  8366*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_ADD_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_add:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_add_16>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW16_U_ADD_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  8376*/       0, /*End of Scope*/
/*  8377*/      /*SwitchType*/ 53, MVT::i64,// ->8432
/*  8379*/       OPC_MoveParent,
/*  8380*/       OPC_MoveChild2,
/*  8381*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  8384*/       OPC_RecordChild0, // #3 = $val
/*  8385*/       OPC_MoveParent,
/*  8386*/       OPC_Scope, 21, /*->8409*/ // 2 children in Scope
/*  8388*/        OPC_CheckPredicate, 1, // Predicate_atomic_load_add_8
/*  8390*/        OPC_MoveParent,
/*  8391*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8393*/        OPC_EmitMergeInputChains1_0,
/*  8394*/        OPC_EmitInteger, MVT::i32, 0, 
/*  8397*/        OPC_EmitConvertToTarget, 2,
/*  8399*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_ADD_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_add:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_add_8>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW8_U_ADD_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  8409*/       /*Scope*/ 21, /*->8431*/
/*  8410*/        OPC_CheckPredicate, 2, // Predicate_atomic_load_add_16
/*  8412*/        OPC_MoveParent,
/*  8413*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8415*/        OPC_EmitMergeInputChains1_0,
/*  8416*/        OPC_EmitInteger, MVT::i32, 0, 
/*  8419*/        OPC_EmitConvertToTarget, 2,
/*  8421*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_ADD_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_add:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_add_16>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW16_U_ADD_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  8431*/       0, /*End of Scope*/
/*  8432*/      0, // EndSwitchType
/*  8433*/     /*SwitchOpcode*/ 121, TARGET_VAL(ISD::OR),// ->8557
/*  8436*/      OPC_RecordChild0, // #1 = $addr
/*  8437*/      OPC_RecordChild1, // #2 = $off
/*  8438*/      OPC_MoveChild1,
/*  8439*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/*  8442*/      OPC_MoveParent,
/*  8443*/      OPC_CheckPredicate, 3, // Predicate_or_is_add
/*  8445*/      OPC_SwitchType /*2 cases */, 53, MVT::i32,// ->8501
/*  8448*/       OPC_MoveParent,
/*  8449*/       OPC_MoveChild2,
/*  8450*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  8453*/       OPC_RecordChild0, // #3 = $val
/*  8454*/       OPC_MoveParent,
/*  8455*/       OPC_Scope, 21, /*->8478*/ // 2 children in Scope
/*  8457*/        OPC_CheckPredicate, 1, // Predicate_atomic_load_add_8
/*  8459*/        OPC_MoveParent,
/*  8460*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8462*/        OPC_EmitMergeInputChains1_0,
/*  8463*/        OPC_EmitInteger, MVT::i32, 0, 
/*  8466*/        OPC_EmitConvertToTarget, 2,
/*  8468*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_ADD_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_add:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_add_8>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW8_U_ADD_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  8478*/       /*Scope*/ 21, /*->8500*/
/*  8479*/        OPC_CheckPredicate, 2, // Predicate_atomic_load_add_16
/*  8481*/        OPC_MoveParent,
/*  8482*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8484*/        OPC_EmitMergeInputChains1_0,
/*  8485*/        OPC_EmitInteger, MVT::i32, 0, 
/*  8488*/        OPC_EmitConvertToTarget, 2,
/*  8490*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_ADD_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_add:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_add_16>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW16_U_ADD_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  8500*/       0, /*End of Scope*/
/*  8501*/      /*SwitchType*/ 53, MVT::i64,// ->8556
/*  8503*/       OPC_MoveParent,
/*  8504*/       OPC_MoveChild2,
/*  8505*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  8508*/       OPC_RecordChild0, // #3 = $val
/*  8509*/       OPC_MoveParent,
/*  8510*/       OPC_Scope, 21, /*->8533*/ // 2 children in Scope
/*  8512*/        OPC_CheckPredicate, 1, // Predicate_atomic_load_add_8
/*  8514*/        OPC_MoveParent,
/*  8515*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8517*/        OPC_EmitMergeInputChains1_0,
/*  8518*/        OPC_EmitInteger, MVT::i32, 0, 
/*  8521*/        OPC_EmitConvertToTarget, 2,
/*  8523*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_ADD_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_add:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_add_8>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW8_U_ADD_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  8533*/       /*Scope*/ 21, /*->8555*/
/*  8534*/        OPC_CheckPredicate, 2, // Predicate_atomic_load_add_16
/*  8536*/        OPC_MoveParent,
/*  8537*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8539*/        OPC_EmitMergeInputChains1_0,
/*  8540*/        OPC_EmitInteger, MVT::i32, 0, 
/*  8543*/        OPC_EmitConvertToTarget, 2,
/*  8545*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_ADD_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_add:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_add_16>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW16_U_ADD_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  8555*/       0, /*End of Scope*/
/*  8556*/      0, // EndSwitchType
/*  8557*/     /*SwitchOpcode*/ 7|128,1/*135*/, TARGET_VAL(WebAssemblyISD::Wrapper),// ->8696
/*  8561*/      OPC_RecordChild0, // #1 = $off
/*  8562*/      OPC_MoveChild0,
/*  8563*/      OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/*  8566*/      OPC_MoveParent,
/*  8567*/      OPC_MoveParent,
/*  8568*/      OPC_MoveChild2,
/*  8569*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  8572*/      OPC_RecordChild0, // #2 = $val
/*  8573*/      OPC_MoveParent,
/*  8574*/      OPC_Scope, 59, /*->8635*/ // 2 children in Scope
/*  8576*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_add_8
/*  8578*/       OPC_MoveParent,
/*  8579*/       OPC_Scope, 26, /*->8607*/ // 2 children in Scope
/*  8581*/        OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/*  8583*/        OPC_EmitMergeInputChains1_0,
/*  8584*/        OPC_EmitInteger, MVT::i32, 0, 
/*  8587*/        OPC_EmitInteger, MVT::i32, 0, 
/*  8590*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/*  8597*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_ADD_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_add:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_add_8>>) - Complexity = 16
                  // Dst: (ATOMIC_RMW8_U_ADD_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/*  8607*/       /*Scope*/ 26, /*->8634*/
/*  8608*/        OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/*  8610*/        OPC_EmitMergeInputChains1_0,
/*  8611*/        OPC_EmitInteger, MVT::i32, 0, 
/*  8614*/        OPC_EmitInteger, MVT::i64, 0, 
/*  8617*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/*  8624*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_ADD_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_add:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_add_8>>) - Complexity = 16
                  // Dst: (ATOMIC_RMW8_U_ADD_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/*  8634*/       0, /*End of Scope*/
/*  8635*/      /*Scope*/ 59, /*->8695*/
/*  8636*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_add_16
/*  8638*/       OPC_MoveParent,
/*  8639*/       OPC_Scope, 26, /*->8667*/ // 2 children in Scope
/*  8641*/        OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/*  8643*/        OPC_EmitMergeInputChains1_0,
/*  8644*/        OPC_EmitInteger, MVT::i32, 0, 
/*  8647*/        OPC_EmitInteger, MVT::i32, 0, 
/*  8650*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/*  8657*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_ADD_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_add:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_add_16>>) - Complexity = 16
                  // Dst: (ATOMIC_RMW16_U_ADD_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/*  8667*/       /*Scope*/ 26, /*->8694*/
/*  8668*/        OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/*  8670*/        OPC_EmitMergeInputChains1_0,
/*  8671*/        OPC_EmitInteger, MVT::i32, 0, 
/*  8674*/        OPC_EmitInteger, MVT::i64, 0, 
/*  8677*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/*  8684*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_ADD_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_add:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_add_16>>) - Complexity = 16
                  // Dst: (ATOMIC_RMW16_U_ADD_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/*  8694*/       0, /*End of Scope*/
/*  8695*/      0, /*End of Scope*/
/*  8696*/     0, // EndSwitchOpcode
/*  8697*/    /*Scope*/ 4|128,2/*260*/, /*->8959*/
/*  8699*/     OPC_RecordChild1, // #1 = $off
/*  8700*/     OPC_Scope, 13|128,1/*141*/, /*->8844*/ // 3 children in Scope
/*  8703*/      OPC_MoveChild1,
/*  8704*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/*  8707*/      OPC_MoveParent,
/*  8708*/      OPC_MoveChild2,
/*  8709*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  8712*/      OPC_RecordChild0, // #2 = $val
/*  8713*/      OPC_MoveParent,
/*  8714*/      OPC_Scope, 63, /*->8779*/ // 2 children in Scope
/*  8716*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_add_8
/*  8718*/       OPC_MoveParent,
/*  8719*/       OPC_Scope, 28, /*->8749*/ // 2 children in Scope
/*  8721*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8723*/        OPC_EmitMergeInputChains1_0,
/*  8724*/        OPC_EmitInteger, MVT::i32, 0, 
/*  8727*/        OPC_EmitConvertToTarget, 1,
/*  8729*/        OPC_EmitInteger, MVT::i32, 0, 
/*  8732*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/*  8739*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_ADD_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_add:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_add_8>>) - Complexity = 13
                  // Dst: (ATOMIC_RMW8_U_ADD_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/*  8749*/       /*Scope*/ 28, /*->8778*/
/*  8750*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8752*/        OPC_EmitMergeInputChains1_0,
/*  8753*/        OPC_EmitInteger, MVT::i32, 0, 
/*  8756*/        OPC_EmitConvertToTarget, 1,
/*  8758*/        OPC_EmitInteger, MVT::i64, 0, 
/*  8761*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/*  8768*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_ADD_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_add:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_add_8>>) - Complexity = 13
                  // Dst: (ATOMIC_RMW8_U_ADD_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/*  8778*/       0, /*End of Scope*/
/*  8779*/      /*Scope*/ 63, /*->8843*/
/*  8780*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_add_16
/*  8782*/       OPC_MoveParent,
/*  8783*/       OPC_Scope, 28, /*->8813*/ // 2 children in Scope
/*  8785*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8787*/        OPC_EmitMergeInputChains1_0,
/*  8788*/        OPC_EmitInteger, MVT::i32, 0, 
/*  8791*/        OPC_EmitConvertToTarget, 1,
/*  8793*/        OPC_EmitInteger, MVT::i32, 0, 
/*  8796*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/*  8803*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_ADD_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_add:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_add_16>>) - Complexity = 13
                  // Dst: (ATOMIC_RMW16_U_ADD_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/*  8813*/       /*Scope*/ 28, /*->8842*/
/*  8814*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8816*/        OPC_EmitMergeInputChains1_0,
/*  8817*/        OPC_EmitInteger, MVT::i32, 0, 
/*  8820*/        OPC_EmitConvertToTarget, 1,
/*  8822*/        OPC_EmitInteger, MVT::i64, 0, 
/*  8825*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/*  8832*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_ADD_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_add:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_add_16>>) - Complexity = 13
                  // Dst: (ATOMIC_RMW16_U_ADD_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/*  8842*/       0, /*End of Scope*/
/*  8843*/      0, /*End of Scope*/
/*  8844*/     /*Scope*/ 56, /*->8901*/
/*  8845*/      OPC_CheckChild1Type, MVT::i32,
/*  8847*/      OPC_MoveChild2,
/*  8848*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  8851*/      OPC_RecordChild0, // #2 = $val
/*  8852*/      OPC_MoveParent,
/*  8853*/      OPC_Scope, 22, /*->8877*/ // 2 children in Scope
/*  8855*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_add_8
/*  8857*/       OPC_MoveParent,
/*  8858*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8860*/       OPC_EmitMergeInputChains1_0,
/*  8861*/       OPC_EmitInteger, MVT::i32, 0, 
/*  8864*/       OPC_EmitInteger, MVT::i32, 0, 
/*  8867*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_ADD_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
                 // Src: (anyext:{ *:[i64] } (atomic_load_add:{ *:[i32] } I32:{ *:[i32] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_add_8>>) - Complexity = 10
                 // Dst: (ATOMIC_RMW8_U_ADD_I64_A32:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  8877*/      /*Scope*/ 22, /*->8900*/
/*  8878*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_add_16
/*  8880*/       OPC_MoveParent,
/*  8881*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8883*/       OPC_EmitMergeInputChains1_0,
/*  8884*/       OPC_EmitInteger, MVT::i32, 0, 
/*  8887*/       OPC_EmitInteger, MVT::i32, 0, 
/*  8890*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_ADD_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
                 // Src: (anyext:{ *:[i64] } (atomic_load_add:{ *:[i32] } I32:{ *:[i32] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_add_16>>) - Complexity = 10
                 // Dst: (ATOMIC_RMW16_U_ADD_I64_A32:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  8900*/      0, /*End of Scope*/
/*  8901*/     /*Scope*/ 56, /*->8958*/
/*  8902*/      OPC_CheckChild1Type, MVT::i64,
/*  8904*/      OPC_MoveChild2,
/*  8905*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  8908*/      OPC_RecordChild0, // #2 = $val
/*  8909*/      OPC_MoveParent,
/*  8910*/      OPC_Scope, 22, /*->8934*/ // 2 children in Scope
/*  8912*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_add_8
/*  8914*/       OPC_MoveParent,
/*  8915*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8917*/       OPC_EmitMergeInputChains1_0,
/*  8918*/       OPC_EmitInteger, MVT::i32, 0, 
/*  8921*/       OPC_EmitInteger, MVT::i64, 0, 
/*  8924*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_ADD_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
                 // Src: (anyext:{ *:[i64] } (atomic_load_add:{ *:[i32] } I64:{ *:[i64] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_add_8>>) - Complexity = 10
                 // Dst: (ATOMIC_RMW8_U_ADD_I64_A64:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  8934*/      /*Scope*/ 22, /*->8957*/
/*  8935*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_add_16
/*  8937*/       OPC_MoveParent,
/*  8938*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  8940*/       OPC_EmitMergeInputChains1_0,
/*  8941*/       OPC_EmitInteger, MVT::i32, 0, 
/*  8944*/       OPC_EmitInteger, MVT::i64, 0, 
/*  8947*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_ADD_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
                 // Src: (anyext:{ *:[i64] } (atomic_load_add:{ *:[i32] } I64:{ *:[i64] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_add_16>>) - Complexity = 10
                 // Dst: (ATOMIC_RMW16_U_ADD_I64_A64:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  8957*/      0, /*End of Scope*/
/*  8958*/     0, /*End of Scope*/
/*  8959*/    0, /*End of Scope*/
/*  8960*/   /*SwitchOpcode*/ 18|128,5/*658*/, TARGET_VAL(ISD::ATOMIC_LOAD_SUB),// ->9622
/*  8964*/    OPC_RecordMemRef,
/*  8965*/    OPC_RecordNode, // #0 = 'atomic_load_sub' chained node
/*  8966*/    OPC_Scope, 6|128,3/*390*/, /*->9359*/ // 2 children in Scope
/*  8969*/     OPC_MoveChild1,
/*  8970*/     OPC_SwitchOpcode /*3 cases */, 121, TARGET_VAL(ISD::ADD),// ->9095
/*  8974*/      OPC_RecordChild0, // #1 = $addr
/*  8975*/      OPC_RecordChild1, // #2 = $off
/*  8976*/      OPC_MoveChild1,
/*  8977*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/*  8980*/      OPC_MoveParent,
/*  8981*/      OPC_CheckPredicate, 0, // Predicate_regPlusImm
/*  8983*/      OPC_SwitchType /*2 cases */, 53, MVT::i32,// ->9039
/*  8986*/       OPC_MoveParent,
/*  8987*/       OPC_MoveChild2,
/*  8988*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  8991*/       OPC_RecordChild0, // #3 = $val
/*  8992*/       OPC_MoveParent,
/*  8993*/       OPC_Scope, 21, /*->9016*/ // 2 children in Scope
/*  8995*/        OPC_CheckPredicate, 1, // Predicate_atomic_load_sub_8
/*  8997*/        OPC_MoveParent,
/*  8998*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  9000*/        OPC_EmitMergeInputChains1_0,
/*  9001*/        OPC_EmitInteger, MVT::i32, 0, 
/*  9004*/        OPC_EmitConvertToTarget, 2,
/*  9006*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_SUB_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_sub:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_sub_8>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW8_U_SUB_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  9016*/       /*Scope*/ 21, /*->9038*/
/*  9017*/        OPC_CheckPredicate, 2, // Predicate_atomic_load_sub_16
/*  9019*/        OPC_MoveParent,
/*  9020*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  9022*/        OPC_EmitMergeInputChains1_0,
/*  9023*/        OPC_EmitInteger, MVT::i32, 0, 
/*  9026*/        OPC_EmitConvertToTarget, 2,
/*  9028*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_SUB_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_sub:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_sub_16>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW16_U_SUB_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  9038*/       0, /*End of Scope*/
/*  9039*/      /*SwitchType*/ 53, MVT::i64,// ->9094
/*  9041*/       OPC_MoveParent,
/*  9042*/       OPC_MoveChild2,
/*  9043*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  9046*/       OPC_RecordChild0, // #3 = $val
/*  9047*/       OPC_MoveParent,
/*  9048*/       OPC_Scope, 21, /*->9071*/ // 2 children in Scope
/*  9050*/        OPC_CheckPredicate, 1, // Predicate_atomic_load_sub_8
/*  9052*/        OPC_MoveParent,
/*  9053*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  9055*/        OPC_EmitMergeInputChains1_0,
/*  9056*/        OPC_EmitInteger, MVT::i32, 0, 
/*  9059*/        OPC_EmitConvertToTarget, 2,
/*  9061*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_SUB_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_sub:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_sub_8>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW8_U_SUB_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  9071*/       /*Scope*/ 21, /*->9093*/
/*  9072*/        OPC_CheckPredicate, 2, // Predicate_atomic_load_sub_16
/*  9074*/        OPC_MoveParent,
/*  9075*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  9077*/        OPC_EmitMergeInputChains1_0,
/*  9078*/        OPC_EmitInteger, MVT::i32, 0, 
/*  9081*/        OPC_EmitConvertToTarget, 2,
/*  9083*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_SUB_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_sub:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_sub_16>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW16_U_SUB_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  9093*/       0, /*End of Scope*/
/*  9094*/      0, // EndSwitchType
/*  9095*/     /*SwitchOpcode*/ 121, TARGET_VAL(ISD::OR),// ->9219
/*  9098*/      OPC_RecordChild0, // #1 = $addr
/*  9099*/      OPC_RecordChild1, // #2 = $off
/*  9100*/      OPC_MoveChild1,
/*  9101*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/*  9104*/      OPC_MoveParent,
/*  9105*/      OPC_CheckPredicate, 3, // Predicate_or_is_add
/*  9107*/      OPC_SwitchType /*2 cases */, 53, MVT::i32,// ->9163
/*  9110*/       OPC_MoveParent,
/*  9111*/       OPC_MoveChild2,
/*  9112*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  9115*/       OPC_RecordChild0, // #3 = $val
/*  9116*/       OPC_MoveParent,
/*  9117*/       OPC_Scope, 21, /*->9140*/ // 2 children in Scope
/*  9119*/        OPC_CheckPredicate, 1, // Predicate_atomic_load_sub_8
/*  9121*/        OPC_MoveParent,
/*  9122*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  9124*/        OPC_EmitMergeInputChains1_0,
/*  9125*/        OPC_EmitInteger, MVT::i32, 0, 
/*  9128*/        OPC_EmitConvertToTarget, 2,
/*  9130*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_SUB_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_sub:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_sub_8>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW8_U_SUB_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  9140*/       /*Scope*/ 21, /*->9162*/
/*  9141*/        OPC_CheckPredicate, 2, // Predicate_atomic_load_sub_16
/*  9143*/        OPC_MoveParent,
/*  9144*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  9146*/        OPC_EmitMergeInputChains1_0,
/*  9147*/        OPC_EmitInteger, MVT::i32, 0, 
/*  9150*/        OPC_EmitConvertToTarget, 2,
/*  9152*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_SUB_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_sub:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_sub_16>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW16_U_SUB_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  9162*/       0, /*End of Scope*/
/*  9163*/      /*SwitchType*/ 53, MVT::i64,// ->9218
/*  9165*/       OPC_MoveParent,
/*  9166*/       OPC_MoveChild2,
/*  9167*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  9170*/       OPC_RecordChild0, // #3 = $val
/*  9171*/       OPC_MoveParent,
/*  9172*/       OPC_Scope, 21, /*->9195*/ // 2 children in Scope
/*  9174*/        OPC_CheckPredicate, 1, // Predicate_atomic_load_sub_8
/*  9176*/        OPC_MoveParent,
/*  9177*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  9179*/        OPC_EmitMergeInputChains1_0,
/*  9180*/        OPC_EmitInteger, MVT::i32, 0, 
/*  9183*/        OPC_EmitConvertToTarget, 2,
/*  9185*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_SUB_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_sub:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_sub_8>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW8_U_SUB_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  9195*/       /*Scope*/ 21, /*->9217*/
/*  9196*/        OPC_CheckPredicate, 2, // Predicate_atomic_load_sub_16
/*  9198*/        OPC_MoveParent,
/*  9199*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  9201*/        OPC_EmitMergeInputChains1_0,
/*  9202*/        OPC_EmitInteger, MVT::i32, 0, 
/*  9205*/        OPC_EmitConvertToTarget, 2,
/*  9207*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_SUB_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_sub:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_sub_16>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW16_U_SUB_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  9217*/       0, /*End of Scope*/
/*  9218*/      0, // EndSwitchType
/*  9219*/     /*SwitchOpcode*/ 7|128,1/*135*/, TARGET_VAL(WebAssemblyISD::Wrapper),// ->9358
/*  9223*/      OPC_RecordChild0, // #1 = $off
/*  9224*/      OPC_MoveChild0,
/*  9225*/      OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/*  9228*/      OPC_MoveParent,
/*  9229*/      OPC_MoveParent,
/*  9230*/      OPC_MoveChild2,
/*  9231*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  9234*/      OPC_RecordChild0, // #2 = $val
/*  9235*/      OPC_MoveParent,
/*  9236*/      OPC_Scope, 59, /*->9297*/ // 2 children in Scope
/*  9238*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_sub_8
/*  9240*/       OPC_MoveParent,
/*  9241*/       OPC_Scope, 26, /*->9269*/ // 2 children in Scope
/*  9243*/        OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/*  9245*/        OPC_EmitMergeInputChains1_0,
/*  9246*/        OPC_EmitInteger, MVT::i32, 0, 
/*  9249*/        OPC_EmitInteger, MVT::i32, 0, 
/*  9252*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/*  9259*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_SUB_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_sub:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_sub_8>>) - Complexity = 16
                  // Dst: (ATOMIC_RMW8_U_SUB_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/*  9269*/       /*Scope*/ 26, /*->9296*/
/*  9270*/        OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/*  9272*/        OPC_EmitMergeInputChains1_0,
/*  9273*/        OPC_EmitInteger, MVT::i32, 0, 
/*  9276*/        OPC_EmitInteger, MVT::i64, 0, 
/*  9279*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/*  9286*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_SUB_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_sub:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_sub_8>>) - Complexity = 16
                  // Dst: (ATOMIC_RMW8_U_SUB_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/*  9296*/       0, /*End of Scope*/
/*  9297*/      /*Scope*/ 59, /*->9357*/
/*  9298*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_sub_16
/*  9300*/       OPC_MoveParent,
/*  9301*/       OPC_Scope, 26, /*->9329*/ // 2 children in Scope
/*  9303*/        OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/*  9305*/        OPC_EmitMergeInputChains1_0,
/*  9306*/        OPC_EmitInteger, MVT::i32, 0, 
/*  9309*/        OPC_EmitInteger, MVT::i32, 0, 
/*  9312*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/*  9319*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_SUB_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_sub:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_sub_16>>) - Complexity = 16
                  // Dst: (ATOMIC_RMW16_U_SUB_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/*  9329*/       /*Scope*/ 26, /*->9356*/
/*  9330*/        OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/*  9332*/        OPC_EmitMergeInputChains1_0,
/*  9333*/        OPC_EmitInteger, MVT::i32, 0, 
/*  9336*/        OPC_EmitInteger, MVT::i64, 0, 
/*  9339*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/*  9346*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_SUB_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_sub:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_sub_16>>) - Complexity = 16
                  // Dst: (ATOMIC_RMW16_U_SUB_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/*  9356*/       0, /*End of Scope*/
/*  9357*/      0, /*End of Scope*/
/*  9358*/     0, // EndSwitchOpcode
/*  9359*/    /*Scope*/ 4|128,2/*260*/, /*->9621*/
/*  9361*/     OPC_RecordChild1, // #1 = $off
/*  9362*/     OPC_Scope, 13|128,1/*141*/, /*->9506*/ // 3 children in Scope
/*  9365*/      OPC_MoveChild1,
/*  9366*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/*  9369*/      OPC_MoveParent,
/*  9370*/      OPC_MoveChild2,
/*  9371*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  9374*/      OPC_RecordChild0, // #2 = $val
/*  9375*/      OPC_MoveParent,
/*  9376*/      OPC_Scope, 63, /*->9441*/ // 2 children in Scope
/*  9378*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_sub_8
/*  9380*/       OPC_MoveParent,
/*  9381*/       OPC_Scope, 28, /*->9411*/ // 2 children in Scope
/*  9383*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  9385*/        OPC_EmitMergeInputChains1_0,
/*  9386*/        OPC_EmitInteger, MVT::i32, 0, 
/*  9389*/        OPC_EmitConvertToTarget, 1,
/*  9391*/        OPC_EmitInteger, MVT::i32, 0, 
/*  9394*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/*  9401*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_SUB_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_sub:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_sub_8>>) - Complexity = 13
                  // Dst: (ATOMIC_RMW8_U_SUB_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/*  9411*/       /*Scope*/ 28, /*->9440*/
/*  9412*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  9414*/        OPC_EmitMergeInputChains1_0,
/*  9415*/        OPC_EmitInteger, MVT::i32, 0, 
/*  9418*/        OPC_EmitConvertToTarget, 1,
/*  9420*/        OPC_EmitInteger, MVT::i64, 0, 
/*  9423*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/*  9430*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_SUB_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_sub:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_sub_8>>) - Complexity = 13
                  // Dst: (ATOMIC_RMW8_U_SUB_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/*  9440*/       0, /*End of Scope*/
/*  9441*/      /*Scope*/ 63, /*->9505*/
/*  9442*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_sub_16
/*  9444*/       OPC_MoveParent,
/*  9445*/       OPC_Scope, 28, /*->9475*/ // 2 children in Scope
/*  9447*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  9449*/        OPC_EmitMergeInputChains1_0,
/*  9450*/        OPC_EmitInteger, MVT::i32, 0, 
/*  9453*/        OPC_EmitConvertToTarget, 1,
/*  9455*/        OPC_EmitInteger, MVT::i32, 0, 
/*  9458*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/*  9465*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_SUB_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_sub:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_sub_16>>) - Complexity = 13
                  // Dst: (ATOMIC_RMW16_U_SUB_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/*  9475*/       /*Scope*/ 28, /*->9504*/
/*  9476*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  9478*/        OPC_EmitMergeInputChains1_0,
/*  9479*/        OPC_EmitInteger, MVT::i32, 0, 
/*  9482*/        OPC_EmitConvertToTarget, 1,
/*  9484*/        OPC_EmitInteger, MVT::i64, 0, 
/*  9487*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/*  9494*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_SUB_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_sub:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_sub_16>>) - Complexity = 13
                  // Dst: (ATOMIC_RMW16_U_SUB_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/*  9504*/       0, /*End of Scope*/
/*  9505*/      0, /*End of Scope*/
/*  9506*/     /*Scope*/ 56, /*->9563*/
/*  9507*/      OPC_CheckChild1Type, MVT::i32,
/*  9509*/      OPC_MoveChild2,
/*  9510*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  9513*/      OPC_RecordChild0, // #2 = $val
/*  9514*/      OPC_MoveParent,
/*  9515*/      OPC_Scope, 22, /*->9539*/ // 2 children in Scope
/*  9517*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_sub_8
/*  9519*/       OPC_MoveParent,
/*  9520*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  9522*/       OPC_EmitMergeInputChains1_0,
/*  9523*/       OPC_EmitInteger, MVT::i32, 0, 
/*  9526*/       OPC_EmitInteger, MVT::i32, 0, 
/*  9529*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_SUB_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
                 // Src: (anyext:{ *:[i64] } (atomic_load_sub:{ *:[i32] } I32:{ *:[i32] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_sub_8>>) - Complexity = 10
                 // Dst: (ATOMIC_RMW8_U_SUB_I64_A32:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  9539*/      /*Scope*/ 22, /*->9562*/
/*  9540*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_sub_16
/*  9542*/       OPC_MoveParent,
/*  9543*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  9545*/       OPC_EmitMergeInputChains1_0,
/*  9546*/       OPC_EmitInteger, MVT::i32, 0, 
/*  9549*/       OPC_EmitInteger, MVT::i32, 0, 
/*  9552*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_SUB_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
                 // Src: (anyext:{ *:[i64] } (atomic_load_sub:{ *:[i32] } I32:{ *:[i32] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_sub_16>>) - Complexity = 10
                 // Dst: (ATOMIC_RMW16_U_SUB_I64_A32:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  9562*/      0, /*End of Scope*/
/*  9563*/     /*Scope*/ 56, /*->9620*/
/*  9564*/      OPC_CheckChild1Type, MVT::i64,
/*  9566*/      OPC_MoveChild2,
/*  9567*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  9570*/      OPC_RecordChild0, // #2 = $val
/*  9571*/      OPC_MoveParent,
/*  9572*/      OPC_Scope, 22, /*->9596*/ // 2 children in Scope
/*  9574*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_sub_8
/*  9576*/       OPC_MoveParent,
/*  9577*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  9579*/       OPC_EmitMergeInputChains1_0,
/*  9580*/       OPC_EmitInteger, MVT::i32, 0, 
/*  9583*/       OPC_EmitInteger, MVT::i64, 0, 
/*  9586*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_SUB_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
                 // Src: (anyext:{ *:[i64] } (atomic_load_sub:{ *:[i32] } I64:{ *:[i64] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_sub_8>>) - Complexity = 10
                 // Dst: (ATOMIC_RMW8_U_SUB_I64_A64:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  9596*/      /*Scope*/ 22, /*->9619*/
/*  9597*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_sub_16
/*  9599*/       OPC_MoveParent,
/*  9600*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  9602*/       OPC_EmitMergeInputChains1_0,
/*  9603*/       OPC_EmitInteger, MVT::i32, 0, 
/*  9606*/       OPC_EmitInteger, MVT::i64, 0, 
/*  9609*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_SUB_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
                 // Src: (anyext:{ *:[i64] } (atomic_load_sub:{ *:[i32] } I64:{ *:[i64] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_sub_16>>) - Complexity = 10
                 // Dst: (ATOMIC_RMW16_U_SUB_I64_A64:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  9619*/      0, /*End of Scope*/
/*  9620*/     0, /*End of Scope*/
/*  9621*/    0, /*End of Scope*/
/*  9622*/   /*SwitchOpcode*/ 18|128,5/*658*/, TARGET_VAL(ISD::ATOMIC_LOAD_AND),// ->10284
/*  9626*/    OPC_RecordMemRef,
/*  9627*/    OPC_RecordNode, // #0 = 'atomic_load_and' chained node
/*  9628*/    OPC_Scope, 6|128,3/*390*/, /*->10021*/ // 2 children in Scope
/*  9631*/     OPC_MoveChild1,
/*  9632*/     OPC_SwitchOpcode /*3 cases */, 121, TARGET_VAL(ISD::ADD),// ->9757
/*  9636*/      OPC_RecordChild0, // #1 = $addr
/*  9637*/      OPC_RecordChild1, // #2 = $off
/*  9638*/      OPC_MoveChild1,
/*  9639*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/*  9642*/      OPC_MoveParent,
/*  9643*/      OPC_CheckPredicate, 0, // Predicate_regPlusImm
/*  9645*/      OPC_SwitchType /*2 cases */, 53, MVT::i32,// ->9701
/*  9648*/       OPC_MoveParent,
/*  9649*/       OPC_MoveChild2,
/*  9650*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  9653*/       OPC_RecordChild0, // #3 = $val
/*  9654*/       OPC_MoveParent,
/*  9655*/       OPC_Scope, 21, /*->9678*/ // 2 children in Scope
/*  9657*/        OPC_CheckPredicate, 1, // Predicate_atomic_load_and_8
/*  9659*/        OPC_MoveParent,
/*  9660*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  9662*/        OPC_EmitMergeInputChains1_0,
/*  9663*/        OPC_EmitInteger, MVT::i32, 0, 
/*  9666*/        OPC_EmitConvertToTarget, 2,
/*  9668*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_AND_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_and:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_and_8>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW8_U_AND_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  9678*/       /*Scope*/ 21, /*->9700*/
/*  9679*/        OPC_CheckPredicate, 2, // Predicate_atomic_load_and_16
/*  9681*/        OPC_MoveParent,
/*  9682*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  9684*/        OPC_EmitMergeInputChains1_0,
/*  9685*/        OPC_EmitInteger, MVT::i32, 0, 
/*  9688*/        OPC_EmitConvertToTarget, 2,
/*  9690*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_AND_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_and:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_and_16>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW16_U_AND_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  9700*/       0, /*End of Scope*/
/*  9701*/      /*SwitchType*/ 53, MVT::i64,// ->9756
/*  9703*/       OPC_MoveParent,
/*  9704*/       OPC_MoveChild2,
/*  9705*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  9708*/       OPC_RecordChild0, // #3 = $val
/*  9709*/       OPC_MoveParent,
/*  9710*/       OPC_Scope, 21, /*->9733*/ // 2 children in Scope
/*  9712*/        OPC_CheckPredicate, 1, // Predicate_atomic_load_and_8
/*  9714*/        OPC_MoveParent,
/*  9715*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  9717*/        OPC_EmitMergeInputChains1_0,
/*  9718*/        OPC_EmitInteger, MVT::i32, 0, 
/*  9721*/        OPC_EmitConvertToTarget, 2,
/*  9723*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_AND_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_and:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_and_8>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW8_U_AND_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  9733*/       /*Scope*/ 21, /*->9755*/
/*  9734*/        OPC_CheckPredicate, 2, // Predicate_atomic_load_and_16
/*  9736*/        OPC_MoveParent,
/*  9737*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  9739*/        OPC_EmitMergeInputChains1_0,
/*  9740*/        OPC_EmitInteger, MVT::i32, 0, 
/*  9743*/        OPC_EmitConvertToTarget, 2,
/*  9745*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_AND_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_and:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_and_16>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW16_U_AND_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  9755*/       0, /*End of Scope*/
/*  9756*/      0, // EndSwitchType
/*  9757*/     /*SwitchOpcode*/ 121, TARGET_VAL(ISD::OR),// ->9881
/*  9760*/      OPC_RecordChild0, // #1 = $addr
/*  9761*/      OPC_RecordChild1, // #2 = $off
/*  9762*/      OPC_MoveChild1,
/*  9763*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/*  9766*/      OPC_MoveParent,
/*  9767*/      OPC_CheckPredicate, 3, // Predicate_or_is_add
/*  9769*/      OPC_SwitchType /*2 cases */, 53, MVT::i32,// ->9825
/*  9772*/       OPC_MoveParent,
/*  9773*/       OPC_MoveChild2,
/*  9774*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  9777*/       OPC_RecordChild0, // #3 = $val
/*  9778*/       OPC_MoveParent,
/*  9779*/       OPC_Scope, 21, /*->9802*/ // 2 children in Scope
/*  9781*/        OPC_CheckPredicate, 1, // Predicate_atomic_load_and_8
/*  9783*/        OPC_MoveParent,
/*  9784*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  9786*/        OPC_EmitMergeInputChains1_0,
/*  9787*/        OPC_EmitInteger, MVT::i32, 0, 
/*  9790*/        OPC_EmitConvertToTarget, 2,
/*  9792*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_AND_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_and:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_and_8>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW8_U_AND_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  9802*/       /*Scope*/ 21, /*->9824*/
/*  9803*/        OPC_CheckPredicate, 2, // Predicate_atomic_load_and_16
/*  9805*/        OPC_MoveParent,
/*  9806*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  9808*/        OPC_EmitMergeInputChains1_0,
/*  9809*/        OPC_EmitInteger, MVT::i32, 0, 
/*  9812*/        OPC_EmitConvertToTarget, 2,
/*  9814*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_AND_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_and:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_and_16>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW16_U_AND_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/*  9824*/       0, /*End of Scope*/
/*  9825*/      /*SwitchType*/ 53, MVT::i64,// ->9880
/*  9827*/       OPC_MoveParent,
/*  9828*/       OPC_MoveChild2,
/*  9829*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  9832*/       OPC_RecordChild0, // #3 = $val
/*  9833*/       OPC_MoveParent,
/*  9834*/       OPC_Scope, 21, /*->9857*/ // 2 children in Scope
/*  9836*/        OPC_CheckPredicate, 1, // Predicate_atomic_load_and_8
/*  9838*/        OPC_MoveParent,
/*  9839*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  9841*/        OPC_EmitMergeInputChains1_0,
/*  9842*/        OPC_EmitInteger, MVT::i32, 0, 
/*  9845*/        OPC_EmitConvertToTarget, 2,
/*  9847*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_AND_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_and:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_and_8>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW8_U_AND_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  9857*/       /*Scope*/ 21, /*->9879*/
/*  9858*/        OPC_CheckPredicate, 2, // Predicate_atomic_load_and_16
/*  9860*/        OPC_MoveParent,
/*  9861*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/*  9863*/        OPC_EmitMergeInputChains1_0,
/*  9864*/        OPC_EmitInteger, MVT::i32, 0, 
/*  9867*/        OPC_EmitConvertToTarget, 2,
/*  9869*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_AND_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_and:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_and_16>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW16_U_AND_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/*  9879*/       0, /*End of Scope*/
/*  9880*/      0, // EndSwitchType
/*  9881*/     /*SwitchOpcode*/ 7|128,1/*135*/, TARGET_VAL(WebAssemblyISD::Wrapper),// ->10020
/*  9885*/      OPC_RecordChild0, // #1 = $off
/*  9886*/      OPC_MoveChild0,
/*  9887*/      OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/*  9890*/      OPC_MoveParent,
/*  9891*/      OPC_MoveParent,
/*  9892*/      OPC_MoveChild2,
/*  9893*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/*  9896*/      OPC_RecordChild0, // #2 = $val
/*  9897*/      OPC_MoveParent,
/*  9898*/      OPC_Scope, 59, /*->9959*/ // 2 children in Scope
/*  9900*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_and_8
/*  9902*/       OPC_MoveParent,
/*  9903*/       OPC_Scope, 26, /*->9931*/ // 2 children in Scope
/*  9905*/        OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/*  9907*/        OPC_EmitMergeInputChains1_0,
/*  9908*/        OPC_EmitInteger, MVT::i32, 0, 
/*  9911*/        OPC_EmitInteger, MVT::i32, 0, 
/*  9914*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/*  9921*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_AND_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_and:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_and_8>>) - Complexity = 16
                  // Dst: (ATOMIC_RMW8_U_AND_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/*  9931*/       /*Scope*/ 26, /*->9958*/
/*  9932*/        OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/*  9934*/        OPC_EmitMergeInputChains1_0,
/*  9935*/        OPC_EmitInteger, MVT::i32, 0, 
/*  9938*/        OPC_EmitInteger, MVT::i64, 0, 
/*  9941*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/*  9948*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_AND_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_and:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_and_8>>) - Complexity = 16
                  // Dst: (ATOMIC_RMW8_U_AND_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/*  9958*/       0, /*End of Scope*/
/*  9959*/      /*Scope*/ 59, /*->10019*/
/*  9960*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_and_16
/*  9962*/       OPC_MoveParent,
/*  9963*/       OPC_Scope, 26, /*->9991*/ // 2 children in Scope
/*  9965*/        OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/*  9967*/        OPC_EmitMergeInputChains1_0,
/*  9968*/        OPC_EmitInteger, MVT::i32, 0, 
/*  9971*/        OPC_EmitInteger, MVT::i32, 0, 
/*  9974*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/*  9981*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_AND_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_and:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_and_16>>) - Complexity = 16
                  // Dst: (ATOMIC_RMW16_U_AND_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/*  9991*/       /*Scope*/ 26, /*->10018*/
/*  9992*/        OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/*  9994*/        OPC_EmitMergeInputChains1_0,
/*  9995*/        OPC_EmitInteger, MVT::i32, 0, 
/*  9998*/        OPC_EmitInteger, MVT::i64, 0, 
/* 10001*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 10008*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_AND_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_and:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_and_16>>) - Complexity = 16
                  // Dst: (ATOMIC_RMW16_U_AND_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/* 10018*/       0, /*End of Scope*/
/* 10019*/      0, /*End of Scope*/
/* 10020*/     0, // EndSwitchOpcode
/* 10021*/    /*Scope*/ 4|128,2/*260*/, /*->10283*/
/* 10023*/     OPC_RecordChild1, // #1 = $off
/* 10024*/     OPC_Scope, 13|128,1/*141*/, /*->10168*/ // 3 children in Scope
/* 10027*/      OPC_MoveChild1,
/* 10028*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 10031*/      OPC_MoveParent,
/* 10032*/      OPC_MoveChild2,
/* 10033*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/* 10036*/      OPC_RecordChild0, // #2 = $val
/* 10037*/      OPC_MoveParent,
/* 10038*/      OPC_Scope, 63, /*->10103*/ // 2 children in Scope
/* 10040*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_and_8
/* 10042*/       OPC_MoveParent,
/* 10043*/       OPC_Scope, 28, /*->10073*/ // 2 children in Scope
/* 10045*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 10047*/        OPC_EmitMergeInputChains1_0,
/* 10048*/        OPC_EmitInteger, MVT::i32, 0, 
/* 10051*/        OPC_EmitConvertToTarget, 1,
/* 10053*/        OPC_EmitInteger, MVT::i32, 0, 
/* 10056*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 10063*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_AND_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_and:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_and_8>>) - Complexity = 13
                  // Dst: (ATOMIC_RMW8_U_AND_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/* 10073*/       /*Scope*/ 28, /*->10102*/
/* 10074*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 10076*/        OPC_EmitMergeInputChains1_0,
/* 10077*/        OPC_EmitInteger, MVT::i32, 0, 
/* 10080*/        OPC_EmitConvertToTarget, 1,
/* 10082*/        OPC_EmitInteger, MVT::i64, 0, 
/* 10085*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 10092*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_AND_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_and:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_and_8>>) - Complexity = 13
                  // Dst: (ATOMIC_RMW8_U_AND_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/* 10102*/       0, /*End of Scope*/
/* 10103*/      /*Scope*/ 63, /*->10167*/
/* 10104*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_and_16
/* 10106*/       OPC_MoveParent,
/* 10107*/       OPC_Scope, 28, /*->10137*/ // 2 children in Scope
/* 10109*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 10111*/        OPC_EmitMergeInputChains1_0,
/* 10112*/        OPC_EmitInteger, MVT::i32, 0, 
/* 10115*/        OPC_EmitConvertToTarget, 1,
/* 10117*/        OPC_EmitInteger, MVT::i32, 0, 
/* 10120*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 10127*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_AND_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_and:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_and_16>>) - Complexity = 13
                  // Dst: (ATOMIC_RMW16_U_AND_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/* 10137*/       /*Scope*/ 28, /*->10166*/
/* 10138*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 10140*/        OPC_EmitMergeInputChains1_0,
/* 10141*/        OPC_EmitInteger, MVT::i32, 0, 
/* 10144*/        OPC_EmitConvertToTarget, 1,
/* 10146*/        OPC_EmitInteger, MVT::i64, 0, 
/* 10149*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 10156*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_AND_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_and:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_and_16>>) - Complexity = 13
                  // Dst: (ATOMIC_RMW16_U_AND_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/* 10166*/       0, /*End of Scope*/
/* 10167*/      0, /*End of Scope*/
/* 10168*/     /*Scope*/ 56, /*->10225*/
/* 10169*/      OPC_CheckChild1Type, MVT::i32,
/* 10171*/      OPC_MoveChild2,
/* 10172*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/* 10175*/      OPC_RecordChild0, // #2 = $val
/* 10176*/      OPC_MoveParent,
/* 10177*/      OPC_Scope, 22, /*->10201*/ // 2 children in Scope
/* 10179*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_and_8
/* 10181*/       OPC_MoveParent,
/* 10182*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 10184*/       OPC_EmitMergeInputChains1_0,
/* 10185*/       OPC_EmitInteger, MVT::i32, 0, 
/* 10188*/       OPC_EmitInteger, MVT::i32, 0, 
/* 10191*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_AND_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
                 // Src: (anyext:{ *:[i64] } (atomic_load_and:{ *:[i32] } I32:{ *:[i32] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_and_8>>) - Complexity = 10
                 // Dst: (ATOMIC_RMW8_U_AND_I64_A32:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 10201*/      /*Scope*/ 22, /*->10224*/
/* 10202*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_and_16
/* 10204*/       OPC_MoveParent,
/* 10205*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 10207*/       OPC_EmitMergeInputChains1_0,
/* 10208*/       OPC_EmitInteger, MVT::i32, 0, 
/* 10211*/       OPC_EmitInteger, MVT::i32, 0, 
/* 10214*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_AND_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
                 // Src: (anyext:{ *:[i64] } (atomic_load_and:{ *:[i32] } I32:{ *:[i32] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_and_16>>) - Complexity = 10
                 // Dst: (ATOMIC_RMW16_U_AND_I64_A32:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 10224*/      0, /*End of Scope*/
/* 10225*/     /*Scope*/ 56, /*->10282*/
/* 10226*/      OPC_CheckChild1Type, MVT::i64,
/* 10228*/      OPC_MoveChild2,
/* 10229*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/* 10232*/      OPC_RecordChild0, // #2 = $val
/* 10233*/      OPC_MoveParent,
/* 10234*/      OPC_Scope, 22, /*->10258*/ // 2 children in Scope
/* 10236*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_and_8
/* 10238*/       OPC_MoveParent,
/* 10239*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 10241*/       OPC_EmitMergeInputChains1_0,
/* 10242*/       OPC_EmitInteger, MVT::i32, 0, 
/* 10245*/       OPC_EmitInteger, MVT::i64, 0, 
/* 10248*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_AND_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
                 // Src: (anyext:{ *:[i64] } (atomic_load_and:{ *:[i32] } I64:{ *:[i64] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_and_8>>) - Complexity = 10
                 // Dst: (ATOMIC_RMW8_U_AND_I64_A64:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 10258*/      /*Scope*/ 22, /*->10281*/
/* 10259*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_and_16
/* 10261*/       OPC_MoveParent,
/* 10262*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 10264*/       OPC_EmitMergeInputChains1_0,
/* 10265*/       OPC_EmitInteger, MVT::i32, 0, 
/* 10268*/       OPC_EmitInteger, MVT::i64, 0, 
/* 10271*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_AND_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
                 // Src: (anyext:{ *:[i64] } (atomic_load_and:{ *:[i32] } I64:{ *:[i64] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_and_16>>) - Complexity = 10
                 // Dst: (ATOMIC_RMW16_U_AND_I64_A64:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 10281*/      0, /*End of Scope*/
/* 10282*/     0, /*End of Scope*/
/* 10283*/    0, /*End of Scope*/
/* 10284*/   /*SwitchOpcode*/ 18|128,5/*658*/, TARGET_VAL(ISD::ATOMIC_LOAD_OR),// ->10946
/* 10288*/    OPC_RecordMemRef,
/* 10289*/    OPC_RecordNode, // #0 = 'atomic_load_or' chained node
/* 10290*/    OPC_Scope, 6|128,3/*390*/, /*->10683*/ // 2 children in Scope
/* 10293*/     OPC_MoveChild1,
/* 10294*/     OPC_SwitchOpcode /*3 cases */, 121, TARGET_VAL(ISD::ADD),// ->10419
/* 10298*/      OPC_RecordChild0, // #1 = $addr
/* 10299*/      OPC_RecordChild1, // #2 = $off
/* 10300*/      OPC_MoveChild1,
/* 10301*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 10304*/      OPC_MoveParent,
/* 10305*/      OPC_CheckPredicate, 0, // Predicate_regPlusImm
/* 10307*/      OPC_SwitchType /*2 cases */, 53, MVT::i32,// ->10363
/* 10310*/       OPC_MoveParent,
/* 10311*/       OPC_MoveChild2,
/* 10312*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/* 10315*/       OPC_RecordChild0, // #3 = $val
/* 10316*/       OPC_MoveParent,
/* 10317*/       OPC_Scope, 21, /*->10340*/ // 2 children in Scope
/* 10319*/        OPC_CheckPredicate, 1, // Predicate_atomic_load_or_8
/* 10321*/        OPC_MoveParent,
/* 10322*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 10324*/        OPC_EmitMergeInputChains1_0,
/* 10325*/        OPC_EmitInteger, MVT::i32, 0, 
/* 10328*/        OPC_EmitConvertToTarget, 2,
/* 10330*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_OR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_or:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_or_8>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW8_U_OR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 10340*/       /*Scope*/ 21, /*->10362*/
/* 10341*/        OPC_CheckPredicate, 2, // Predicate_atomic_load_or_16
/* 10343*/        OPC_MoveParent,
/* 10344*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 10346*/        OPC_EmitMergeInputChains1_0,
/* 10347*/        OPC_EmitInteger, MVT::i32, 0, 
/* 10350*/        OPC_EmitConvertToTarget, 2,
/* 10352*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_OR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_or:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_or_16>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW16_U_OR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 10362*/       0, /*End of Scope*/
/* 10363*/      /*SwitchType*/ 53, MVT::i64,// ->10418
/* 10365*/       OPC_MoveParent,
/* 10366*/       OPC_MoveChild2,
/* 10367*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/* 10370*/       OPC_RecordChild0, // #3 = $val
/* 10371*/       OPC_MoveParent,
/* 10372*/       OPC_Scope, 21, /*->10395*/ // 2 children in Scope
/* 10374*/        OPC_CheckPredicate, 1, // Predicate_atomic_load_or_8
/* 10376*/        OPC_MoveParent,
/* 10377*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 10379*/        OPC_EmitMergeInputChains1_0,
/* 10380*/        OPC_EmitInteger, MVT::i32, 0, 
/* 10383*/        OPC_EmitConvertToTarget, 2,
/* 10385*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_OR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_or:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_or_8>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW8_U_OR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 10395*/       /*Scope*/ 21, /*->10417*/
/* 10396*/        OPC_CheckPredicate, 2, // Predicate_atomic_load_or_16
/* 10398*/        OPC_MoveParent,
/* 10399*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 10401*/        OPC_EmitMergeInputChains1_0,
/* 10402*/        OPC_EmitInteger, MVT::i32, 0, 
/* 10405*/        OPC_EmitConvertToTarget, 2,
/* 10407*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_OR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_or:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_or_16>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW16_U_OR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 10417*/       0, /*End of Scope*/
/* 10418*/      0, // EndSwitchType
/* 10419*/     /*SwitchOpcode*/ 121, TARGET_VAL(ISD::OR),// ->10543
/* 10422*/      OPC_RecordChild0, // #1 = $addr
/* 10423*/      OPC_RecordChild1, // #2 = $off
/* 10424*/      OPC_MoveChild1,
/* 10425*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 10428*/      OPC_MoveParent,
/* 10429*/      OPC_CheckPredicate, 3, // Predicate_or_is_add
/* 10431*/      OPC_SwitchType /*2 cases */, 53, MVT::i32,// ->10487
/* 10434*/       OPC_MoveParent,
/* 10435*/       OPC_MoveChild2,
/* 10436*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/* 10439*/       OPC_RecordChild0, // #3 = $val
/* 10440*/       OPC_MoveParent,
/* 10441*/       OPC_Scope, 21, /*->10464*/ // 2 children in Scope
/* 10443*/        OPC_CheckPredicate, 1, // Predicate_atomic_load_or_8
/* 10445*/        OPC_MoveParent,
/* 10446*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 10448*/        OPC_EmitMergeInputChains1_0,
/* 10449*/        OPC_EmitInteger, MVT::i32, 0, 
/* 10452*/        OPC_EmitConvertToTarget, 2,
/* 10454*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_OR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_or:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_or_8>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW8_U_OR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 10464*/       /*Scope*/ 21, /*->10486*/
/* 10465*/        OPC_CheckPredicate, 2, // Predicate_atomic_load_or_16
/* 10467*/        OPC_MoveParent,
/* 10468*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 10470*/        OPC_EmitMergeInputChains1_0,
/* 10471*/        OPC_EmitInteger, MVT::i32, 0, 
/* 10474*/        OPC_EmitConvertToTarget, 2,
/* 10476*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_OR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_or:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_or_16>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW16_U_OR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 10486*/       0, /*End of Scope*/
/* 10487*/      /*SwitchType*/ 53, MVT::i64,// ->10542
/* 10489*/       OPC_MoveParent,
/* 10490*/       OPC_MoveChild2,
/* 10491*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/* 10494*/       OPC_RecordChild0, // #3 = $val
/* 10495*/       OPC_MoveParent,
/* 10496*/       OPC_Scope, 21, /*->10519*/ // 2 children in Scope
/* 10498*/        OPC_CheckPredicate, 1, // Predicate_atomic_load_or_8
/* 10500*/        OPC_MoveParent,
/* 10501*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 10503*/        OPC_EmitMergeInputChains1_0,
/* 10504*/        OPC_EmitInteger, MVT::i32, 0, 
/* 10507*/        OPC_EmitConvertToTarget, 2,
/* 10509*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_OR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_or:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_or_8>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW8_U_OR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 10519*/       /*Scope*/ 21, /*->10541*/
/* 10520*/        OPC_CheckPredicate, 2, // Predicate_atomic_load_or_16
/* 10522*/        OPC_MoveParent,
/* 10523*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 10525*/        OPC_EmitMergeInputChains1_0,
/* 10526*/        OPC_EmitInteger, MVT::i32, 0, 
/* 10529*/        OPC_EmitConvertToTarget, 2,
/* 10531*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_OR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_or:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_or_16>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW16_U_OR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 10541*/       0, /*End of Scope*/
/* 10542*/      0, // EndSwitchType
/* 10543*/     /*SwitchOpcode*/ 7|128,1/*135*/, TARGET_VAL(WebAssemblyISD::Wrapper),// ->10682
/* 10547*/      OPC_RecordChild0, // #1 = $off
/* 10548*/      OPC_MoveChild0,
/* 10549*/      OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 10552*/      OPC_MoveParent,
/* 10553*/      OPC_MoveParent,
/* 10554*/      OPC_MoveChild2,
/* 10555*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/* 10558*/      OPC_RecordChild0, // #2 = $val
/* 10559*/      OPC_MoveParent,
/* 10560*/      OPC_Scope, 59, /*->10621*/ // 2 children in Scope
/* 10562*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_or_8
/* 10564*/       OPC_MoveParent,
/* 10565*/       OPC_Scope, 26, /*->10593*/ // 2 children in Scope
/* 10567*/        OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 10569*/        OPC_EmitMergeInputChains1_0,
/* 10570*/        OPC_EmitInteger, MVT::i32, 0, 
/* 10573*/        OPC_EmitInteger, MVT::i32, 0, 
/* 10576*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 10583*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_OR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_or:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_or_8>>) - Complexity = 16
                  // Dst: (ATOMIC_RMW8_U_OR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/* 10593*/       /*Scope*/ 26, /*->10620*/
/* 10594*/        OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 10596*/        OPC_EmitMergeInputChains1_0,
/* 10597*/        OPC_EmitInteger, MVT::i32, 0, 
/* 10600*/        OPC_EmitInteger, MVT::i64, 0, 
/* 10603*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 10610*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_OR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_or:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_or_8>>) - Complexity = 16
                  // Dst: (ATOMIC_RMW8_U_OR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/* 10620*/       0, /*End of Scope*/
/* 10621*/      /*Scope*/ 59, /*->10681*/
/* 10622*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_or_16
/* 10624*/       OPC_MoveParent,
/* 10625*/       OPC_Scope, 26, /*->10653*/ // 2 children in Scope
/* 10627*/        OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 10629*/        OPC_EmitMergeInputChains1_0,
/* 10630*/        OPC_EmitInteger, MVT::i32, 0, 
/* 10633*/        OPC_EmitInteger, MVT::i32, 0, 
/* 10636*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 10643*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_OR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_or:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_or_16>>) - Complexity = 16
                  // Dst: (ATOMIC_RMW16_U_OR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/* 10653*/       /*Scope*/ 26, /*->10680*/
/* 10654*/        OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 10656*/        OPC_EmitMergeInputChains1_0,
/* 10657*/        OPC_EmitInteger, MVT::i32, 0, 
/* 10660*/        OPC_EmitInteger, MVT::i64, 0, 
/* 10663*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 10670*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_OR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_or:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_or_16>>) - Complexity = 16
                  // Dst: (ATOMIC_RMW16_U_OR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/* 10680*/       0, /*End of Scope*/
/* 10681*/      0, /*End of Scope*/
/* 10682*/     0, // EndSwitchOpcode
/* 10683*/    /*Scope*/ 4|128,2/*260*/, /*->10945*/
/* 10685*/     OPC_RecordChild1, // #1 = $off
/* 10686*/     OPC_Scope, 13|128,1/*141*/, /*->10830*/ // 3 children in Scope
/* 10689*/      OPC_MoveChild1,
/* 10690*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 10693*/      OPC_MoveParent,
/* 10694*/      OPC_MoveChild2,
/* 10695*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/* 10698*/      OPC_RecordChild0, // #2 = $val
/* 10699*/      OPC_MoveParent,
/* 10700*/      OPC_Scope, 63, /*->10765*/ // 2 children in Scope
/* 10702*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_or_8
/* 10704*/       OPC_MoveParent,
/* 10705*/       OPC_Scope, 28, /*->10735*/ // 2 children in Scope
/* 10707*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 10709*/        OPC_EmitMergeInputChains1_0,
/* 10710*/        OPC_EmitInteger, MVT::i32, 0, 
/* 10713*/        OPC_EmitConvertToTarget, 1,
/* 10715*/        OPC_EmitInteger, MVT::i32, 0, 
/* 10718*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 10725*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_OR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_or:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_or_8>>) - Complexity = 13
                  // Dst: (ATOMIC_RMW8_U_OR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/* 10735*/       /*Scope*/ 28, /*->10764*/
/* 10736*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 10738*/        OPC_EmitMergeInputChains1_0,
/* 10739*/        OPC_EmitInteger, MVT::i32, 0, 
/* 10742*/        OPC_EmitConvertToTarget, 1,
/* 10744*/        OPC_EmitInteger, MVT::i64, 0, 
/* 10747*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 10754*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_OR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_or:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_or_8>>) - Complexity = 13
                  // Dst: (ATOMIC_RMW8_U_OR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/* 10764*/       0, /*End of Scope*/
/* 10765*/      /*Scope*/ 63, /*->10829*/
/* 10766*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_or_16
/* 10768*/       OPC_MoveParent,
/* 10769*/       OPC_Scope, 28, /*->10799*/ // 2 children in Scope
/* 10771*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 10773*/        OPC_EmitMergeInputChains1_0,
/* 10774*/        OPC_EmitInteger, MVT::i32, 0, 
/* 10777*/        OPC_EmitConvertToTarget, 1,
/* 10779*/        OPC_EmitInteger, MVT::i32, 0, 
/* 10782*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 10789*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_OR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_or:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_or_16>>) - Complexity = 13
                  // Dst: (ATOMIC_RMW16_U_OR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/* 10799*/       /*Scope*/ 28, /*->10828*/
/* 10800*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 10802*/        OPC_EmitMergeInputChains1_0,
/* 10803*/        OPC_EmitInteger, MVT::i32, 0, 
/* 10806*/        OPC_EmitConvertToTarget, 1,
/* 10808*/        OPC_EmitInteger, MVT::i64, 0, 
/* 10811*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 10818*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_OR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_or:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_or_16>>) - Complexity = 13
                  // Dst: (ATOMIC_RMW16_U_OR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/* 10828*/       0, /*End of Scope*/
/* 10829*/      0, /*End of Scope*/
/* 10830*/     /*Scope*/ 56, /*->10887*/
/* 10831*/      OPC_CheckChild1Type, MVT::i32,
/* 10833*/      OPC_MoveChild2,
/* 10834*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/* 10837*/      OPC_RecordChild0, // #2 = $val
/* 10838*/      OPC_MoveParent,
/* 10839*/      OPC_Scope, 22, /*->10863*/ // 2 children in Scope
/* 10841*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_or_8
/* 10843*/       OPC_MoveParent,
/* 10844*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 10846*/       OPC_EmitMergeInputChains1_0,
/* 10847*/       OPC_EmitInteger, MVT::i32, 0, 
/* 10850*/       OPC_EmitInteger, MVT::i32, 0, 
/* 10853*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_OR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
                 // Src: (anyext:{ *:[i64] } (atomic_load_or:{ *:[i32] } I32:{ *:[i32] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_or_8>>) - Complexity = 10
                 // Dst: (ATOMIC_RMW8_U_OR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 10863*/      /*Scope*/ 22, /*->10886*/
/* 10864*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_or_16
/* 10866*/       OPC_MoveParent,
/* 10867*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 10869*/       OPC_EmitMergeInputChains1_0,
/* 10870*/       OPC_EmitInteger, MVT::i32, 0, 
/* 10873*/       OPC_EmitInteger, MVT::i32, 0, 
/* 10876*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_OR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
                 // Src: (anyext:{ *:[i64] } (atomic_load_or:{ *:[i32] } I32:{ *:[i32] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_or_16>>) - Complexity = 10
                 // Dst: (ATOMIC_RMW16_U_OR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 10886*/      0, /*End of Scope*/
/* 10887*/     /*Scope*/ 56, /*->10944*/
/* 10888*/      OPC_CheckChild1Type, MVT::i64,
/* 10890*/      OPC_MoveChild2,
/* 10891*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/* 10894*/      OPC_RecordChild0, // #2 = $val
/* 10895*/      OPC_MoveParent,
/* 10896*/      OPC_Scope, 22, /*->10920*/ // 2 children in Scope
/* 10898*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_or_8
/* 10900*/       OPC_MoveParent,
/* 10901*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 10903*/       OPC_EmitMergeInputChains1_0,
/* 10904*/       OPC_EmitInteger, MVT::i32, 0, 
/* 10907*/       OPC_EmitInteger, MVT::i64, 0, 
/* 10910*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_OR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
                 // Src: (anyext:{ *:[i64] } (atomic_load_or:{ *:[i32] } I64:{ *:[i64] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_or_8>>) - Complexity = 10
                 // Dst: (ATOMIC_RMW8_U_OR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 10920*/      /*Scope*/ 22, /*->10943*/
/* 10921*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_or_16
/* 10923*/       OPC_MoveParent,
/* 10924*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 10926*/       OPC_EmitMergeInputChains1_0,
/* 10927*/       OPC_EmitInteger, MVT::i32, 0, 
/* 10930*/       OPC_EmitInteger, MVT::i64, 0, 
/* 10933*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_OR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
                 // Src: (anyext:{ *:[i64] } (atomic_load_or:{ *:[i32] } I64:{ *:[i64] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_or_16>>) - Complexity = 10
                 // Dst: (ATOMIC_RMW16_U_OR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 10943*/      0, /*End of Scope*/
/* 10944*/     0, /*End of Scope*/
/* 10945*/    0, /*End of Scope*/
/* 10946*/   /*SwitchOpcode*/ 18|128,5/*658*/, TARGET_VAL(ISD::ATOMIC_LOAD_XOR),// ->11608
/* 10950*/    OPC_RecordMemRef,
/* 10951*/    OPC_RecordNode, // #0 = 'atomic_load_xor' chained node
/* 10952*/    OPC_Scope, 6|128,3/*390*/, /*->11345*/ // 2 children in Scope
/* 10955*/     OPC_MoveChild1,
/* 10956*/     OPC_SwitchOpcode /*3 cases */, 121, TARGET_VAL(ISD::ADD),// ->11081
/* 10960*/      OPC_RecordChild0, // #1 = $addr
/* 10961*/      OPC_RecordChild1, // #2 = $off
/* 10962*/      OPC_MoveChild1,
/* 10963*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 10966*/      OPC_MoveParent,
/* 10967*/      OPC_CheckPredicate, 0, // Predicate_regPlusImm
/* 10969*/      OPC_SwitchType /*2 cases */, 53, MVT::i32,// ->11025
/* 10972*/       OPC_MoveParent,
/* 10973*/       OPC_MoveChild2,
/* 10974*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/* 10977*/       OPC_RecordChild0, // #3 = $val
/* 10978*/       OPC_MoveParent,
/* 10979*/       OPC_Scope, 21, /*->11002*/ // 2 children in Scope
/* 10981*/        OPC_CheckPredicate, 1, // Predicate_atomic_load_xor_8
/* 10983*/        OPC_MoveParent,
/* 10984*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 10986*/        OPC_EmitMergeInputChains1_0,
/* 10987*/        OPC_EmitInteger, MVT::i32, 0, 
/* 10990*/        OPC_EmitConvertToTarget, 2,
/* 10992*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XOR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_xor:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_xor_8>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW8_U_XOR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 11002*/       /*Scope*/ 21, /*->11024*/
/* 11003*/        OPC_CheckPredicate, 2, // Predicate_atomic_load_xor_16
/* 11005*/        OPC_MoveParent,
/* 11006*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 11008*/        OPC_EmitMergeInputChains1_0,
/* 11009*/        OPC_EmitInteger, MVT::i32, 0, 
/* 11012*/        OPC_EmitConvertToTarget, 2,
/* 11014*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XOR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_xor:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_xor_16>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW16_U_XOR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 11024*/       0, /*End of Scope*/
/* 11025*/      /*SwitchType*/ 53, MVT::i64,// ->11080
/* 11027*/       OPC_MoveParent,
/* 11028*/       OPC_MoveChild2,
/* 11029*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/* 11032*/       OPC_RecordChild0, // #3 = $val
/* 11033*/       OPC_MoveParent,
/* 11034*/       OPC_Scope, 21, /*->11057*/ // 2 children in Scope
/* 11036*/        OPC_CheckPredicate, 1, // Predicate_atomic_load_xor_8
/* 11038*/        OPC_MoveParent,
/* 11039*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 11041*/        OPC_EmitMergeInputChains1_0,
/* 11042*/        OPC_EmitInteger, MVT::i32, 0, 
/* 11045*/        OPC_EmitConvertToTarget, 2,
/* 11047*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XOR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_xor:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_xor_8>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW8_U_XOR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 11057*/       /*Scope*/ 21, /*->11079*/
/* 11058*/        OPC_CheckPredicate, 2, // Predicate_atomic_load_xor_16
/* 11060*/        OPC_MoveParent,
/* 11061*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 11063*/        OPC_EmitMergeInputChains1_0,
/* 11064*/        OPC_EmitInteger, MVT::i32, 0, 
/* 11067*/        OPC_EmitConvertToTarget, 2,
/* 11069*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XOR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_xor:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_xor_16>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW16_U_XOR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 11079*/       0, /*End of Scope*/
/* 11080*/      0, // EndSwitchType
/* 11081*/     /*SwitchOpcode*/ 121, TARGET_VAL(ISD::OR),// ->11205
/* 11084*/      OPC_RecordChild0, // #1 = $addr
/* 11085*/      OPC_RecordChild1, // #2 = $off
/* 11086*/      OPC_MoveChild1,
/* 11087*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 11090*/      OPC_MoveParent,
/* 11091*/      OPC_CheckPredicate, 3, // Predicate_or_is_add
/* 11093*/      OPC_SwitchType /*2 cases */, 53, MVT::i32,// ->11149
/* 11096*/       OPC_MoveParent,
/* 11097*/       OPC_MoveChild2,
/* 11098*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/* 11101*/       OPC_RecordChild0, // #3 = $val
/* 11102*/       OPC_MoveParent,
/* 11103*/       OPC_Scope, 21, /*->11126*/ // 2 children in Scope
/* 11105*/        OPC_CheckPredicate, 1, // Predicate_atomic_load_xor_8
/* 11107*/        OPC_MoveParent,
/* 11108*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 11110*/        OPC_EmitMergeInputChains1_0,
/* 11111*/        OPC_EmitInteger, MVT::i32, 0, 
/* 11114*/        OPC_EmitConvertToTarget, 2,
/* 11116*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XOR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_xor:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_xor_8>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW8_U_XOR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 11126*/       /*Scope*/ 21, /*->11148*/
/* 11127*/        OPC_CheckPredicate, 2, // Predicate_atomic_load_xor_16
/* 11129*/        OPC_MoveParent,
/* 11130*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 11132*/        OPC_EmitMergeInputChains1_0,
/* 11133*/        OPC_EmitInteger, MVT::i32, 0, 
/* 11136*/        OPC_EmitConvertToTarget, 2,
/* 11138*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XOR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_xor:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_xor_16>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW16_U_XOR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 11148*/       0, /*End of Scope*/
/* 11149*/      /*SwitchType*/ 53, MVT::i64,// ->11204
/* 11151*/       OPC_MoveParent,
/* 11152*/       OPC_MoveChild2,
/* 11153*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/* 11156*/       OPC_RecordChild0, // #3 = $val
/* 11157*/       OPC_MoveParent,
/* 11158*/       OPC_Scope, 21, /*->11181*/ // 2 children in Scope
/* 11160*/        OPC_CheckPredicate, 1, // Predicate_atomic_load_xor_8
/* 11162*/        OPC_MoveParent,
/* 11163*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 11165*/        OPC_EmitMergeInputChains1_0,
/* 11166*/        OPC_EmitInteger, MVT::i32, 0, 
/* 11169*/        OPC_EmitConvertToTarget, 2,
/* 11171*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XOR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_xor:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_xor_8>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW8_U_XOR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 11181*/       /*Scope*/ 21, /*->11203*/
/* 11182*/        OPC_CheckPredicate, 2, // Predicate_atomic_load_xor_16
/* 11184*/        OPC_MoveParent,
/* 11185*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 11187*/        OPC_EmitMergeInputChains1_0,
/* 11188*/        OPC_EmitInteger, MVT::i32, 0, 
/* 11191*/        OPC_EmitConvertToTarget, 2,
/* 11193*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XOR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_xor:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_xor_16>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW16_U_XOR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 11203*/       0, /*End of Scope*/
/* 11204*/      0, // EndSwitchType
/* 11205*/     /*SwitchOpcode*/ 7|128,1/*135*/, TARGET_VAL(WebAssemblyISD::Wrapper),// ->11344
/* 11209*/      OPC_RecordChild0, // #1 = $off
/* 11210*/      OPC_MoveChild0,
/* 11211*/      OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 11214*/      OPC_MoveParent,
/* 11215*/      OPC_MoveParent,
/* 11216*/      OPC_MoveChild2,
/* 11217*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/* 11220*/      OPC_RecordChild0, // #2 = $val
/* 11221*/      OPC_MoveParent,
/* 11222*/      OPC_Scope, 59, /*->11283*/ // 2 children in Scope
/* 11224*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_xor_8
/* 11226*/       OPC_MoveParent,
/* 11227*/       OPC_Scope, 26, /*->11255*/ // 2 children in Scope
/* 11229*/        OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 11231*/        OPC_EmitMergeInputChains1_0,
/* 11232*/        OPC_EmitInteger, MVT::i32, 0, 
/* 11235*/        OPC_EmitInteger, MVT::i32, 0, 
/* 11238*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 11245*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XOR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_xor:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_xor_8>>) - Complexity = 16
                  // Dst: (ATOMIC_RMW8_U_XOR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/* 11255*/       /*Scope*/ 26, /*->11282*/
/* 11256*/        OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 11258*/        OPC_EmitMergeInputChains1_0,
/* 11259*/        OPC_EmitInteger, MVT::i32, 0, 
/* 11262*/        OPC_EmitInteger, MVT::i64, 0, 
/* 11265*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 11272*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XOR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_xor:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_xor_8>>) - Complexity = 16
                  // Dst: (ATOMIC_RMW8_U_XOR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/* 11282*/       0, /*End of Scope*/
/* 11283*/      /*Scope*/ 59, /*->11343*/
/* 11284*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_xor_16
/* 11286*/       OPC_MoveParent,
/* 11287*/       OPC_Scope, 26, /*->11315*/ // 2 children in Scope
/* 11289*/        OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 11291*/        OPC_EmitMergeInputChains1_0,
/* 11292*/        OPC_EmitInteger, MVT::i32, 0, 
/* 11295*/        OPC_EmitInteger, MVT::i32, 0, 
/* 11298*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 11305*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XOR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_xor:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_xor_16>>) - Complexity = 16
                  // Dst: (ATOMIC_RMW16_U_XOR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/* 11315*/       /*Scope*/ 26, /*->11342*/
/* 11316*/        OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 11318*/        OPC_EmitMergeInputChains1_0,
/* 11319*/        OPC_EmitInteger, MVT::i32, 0, 
/* 11322*/        OPC_EmitInteger, MVT::i64, 0, 
/* 11325*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 11332*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XOR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_xor:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_xor_16>>) - Complexity = 16
                  // Dst: (ATOMIC_RMW16_U_XOR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/* 11342*/       0, /*End of Scope*/
/* 11343*/      0, /*End of Scope*/
/* 11344*/     0, // EndSwitchOpcode
/* 11345*/    /*Scope*/ 4|128,2/*260*/, /*->11607*/
/* 11347*/     OPC_RecordChild1, // #1 = $off
/* 11348*/     OPC_Scope, 13|128,1/*141*/, /*->11492*/ // 3 children in Scope
/* 11351*/      OPC_MoveChild1,
/* 11352*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 11355*/      OPC_MoveParent,
/* 11356*/      OPC_MoveChild2,
/* 11357*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/* 11360*/      OPC_RecordChild0, // #2 = $val
/* 11361*/      OPC_MoveParent,
/* 11362*/      OPC_Scope, 63, /*->11427*/ // 2 children in Scope
/* 11364*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_xor_8
/* 11366*/       OPC_MoveParent,
/* 11367*/       OPC_Scope, 28, /*->11397*/ // 2 children in Scope
/* 11369*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 11371*/        OPC_EmitMergeInputChains1_0,
/* 11372*/        OPC_EmitInteger, MVT::i32, 0, 
/* 11375*/        OPC_EmitConvertToTarget, 1,
/* 11377*/        OPC_EmitInteger, MVT::i32, 0, 
/* 11380*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 11387*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XOR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_xor:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_xor_8>>) - Complexity = 13
                  // Dst: (ATOMIC_RMW8_U_XOR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/* 11397*/       /*Scope*/ 28, /*->11426*/
/* 11398*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 11400*/        OPC_EmitMergeInputChains1_0,
/* 11401*/        OPC_EmitInteger, MVT::i32, 0, 
/* 11404*/        OPC_EmitConvertToTarget, 1,
/* 11406*/        OPC_EmitInteger, MVT::i64, 0, 
/* 11409*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 11416*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XOR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_xor:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_xor_8>>) - Complexity = 13
                  // Dst: (ATOMIC_RMW8_U_XOR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/* 11426*/       0, /*End of Scope*/
/* 11427*/      /*Scope*/ 63, /*->11491*/
/* 11428*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_xor_16
/* 11430*/       OPC_MoveParent,
/* 11431*/       OPC_Scope, 28, /*->11461*/ // 2 children in Scope
/* 11433*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 11435*/        OPC_EmitMergeInputChains1_0,
/* 11436*/        OPC_EmitInteger, MVT::i32, 0, 
/* 11439*/        OPC_EmitConvertToTarget, 1,
/* 11441*/        OPC_EmitInteger, MVT::i32, 0, 
/* 11444*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 11451*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XOR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_xor:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_xor_16>>) - Complexity = 13
                  // Dst: (ATOMIC_RMW16_U_XOR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/* 11461*/       /*Scope*/ 28, /*->11490*/
/* 11462*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 11464*/        OPC_EmitMergeInputChains1_0,
/* 11465*/        OPC_EmitInteger, MVT::i32, 0, 
/* 11468*/        OPC_EmitConvertToTarget, 1,
/* 11470*/        OPC_EmitInteger, MVT::i64, 0, 
/* 11473*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 11480*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XOR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                  // Src: (anyext:{ *:[i64] } (atomic_load_xor:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_xor_16>>) - Complexity = 13
                  // Dst: (ATOMIC_RMW16_U_XOR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/* 11490*/       0, /*End of Scope*/
/* 11491*/      0, /*End of Scope*/
/* 11492*/     /*Scope*/ 56, /*->11549*/
/* 11493*/      OPC_CheckChild1Type, MVT::i32,
/* 11495*/      OPC_MoveChild2,
/* 11496*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/* 11499*/      OPC_RecordChild0, // #2 = $val
/* 11500*/      OPC_MoveParent,
/* 11501*/      OPC_Scope, 22, /*->11525*/ // 2 children in Scope
/* 11503*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_xor_8
/* 11505*/       OPC_MoveParent,
/* 11506*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 11508*/       OPC_EmitMergeInputChains1_0,
/* 11509*/       OPC_EmitInteger, MVT::i32, 0, 
/* 11512*/       OPC_EmitInteger, MVT::i32, 0, 
/* 11515*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XOR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
                 // Src: (anyext:{ *:[i64] } (atomic_load_xor:{ *:[i32] } I32:{ *:[i32] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_xor_8>>) - Complexity = 10
                 // Dst: (ATOMIC_RMW8_U_XOR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 11525*/      /*Scope*/ 22, /*->11548*/
/* 11526*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_xor_16
/* 11528*/       OPC_MoveParent,
/* 11529*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 11531*/       OPC_EmitMergeInputChains1_0,
/* 11532*/       OPC_EmitInteger, MVT::i32, 0, 
/* 11535*/       OPC_EmitInteger, MVT::i32, 0, 
/* 11538*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XOR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
                 // Src: (anyext:{ *:[i64] } (atomic_load_xor:{ *:[i32] } I32:{ *:[i32] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_xor_16>>) - Complexity = 10
                 // Dst: (ATOMIC_RMW16_U_XOR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 11548*/      0, /*End of Scope*/
/* 11549*/     /*Scope*/ 56, /*->11606*/
/* 11550*/      OPC_CheckChild1Type, MVT::i64,
/* 11552*/      OPC_MoveChild2,
/* 11553*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/* 11556*/      OPC_RecordChild0, // #2 = $val
/* 11557*/      OPC_MoveParent,
/* 11558*/      OPC_Scope, 22, /*->11582*/ // 2 children in Scope
/* 11560*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_xor_8
/* 11562*/       OPC_MoveParent,
/* 11563*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 11565*/       OPC_EmitMergeInputChains1_0,
/* 11566*/       OPC_EmitInteger, MVT::i32, 0, 
/* 11569*/       OPC_EmitInteger, MVT::i64, 0, 
/* 11572*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XOR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
                 // Src: (anyext:{ *:[i64] } (atomic_load_xor:{ *:[i32] } I64:{ *:[i64] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_xor_8>>) - Complexity = 10
                 // Dst: (ATOMIC_RMW8_U_XOR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 11582*/      /*Scope*/ 22, /*->11605*/
/* 11583*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_xor_16
/* 11585*/       OPC_MoveParent,
/* 11586*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 11588*/       OPC_EmitMergeInputChains1_0,
/* 11589*/       OPC_EmitInteger, MVT::i32, 0, 
/* 11592*/       OPC_EmitInteger, MVT::i64, 0, 
/* 11595*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XOR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
                 // Src: (anyext:{ *:[i64] } (atomic_load_xor:{ *:[i32] } I64:{ *:[i64] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_load_xor_16>>) - Complexity = 10
                 // Dst: (ATOMIC_RMW16_U_XOR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 11605*/      0, /*End of Scope*/
/* 11606*/     0, /*End of Scope*/
/* 11607*/    0, /*End of Scope*/
/* 11608*/   /*SwitchOpcode*/ 18|128,5/*658*/, TARGET_VAL(ISD::ATOMIC_SWAP),// ->12270
/* 11612*/    OPC_RecordMemRef,
/* 11613*/    OPC_RecordNode, // #0 = 'atomic_swap' chained node
/* 11614*/    OPC_Scope, 6|128,3/*390*/, /*->12007*/ // 2 children in Scope
/* 11617*/     OPC_MoveChild1,
/* 11618*/     OPC_SwitchOpcode /*3 cases */, 121, TARGET_VAL(ISD::ADD),// ->11743
/* 11622*/      OPC_RecordChild0, // #1 = $addr
/* 11623*/      OPC_RecordChild1, // #2 = $off
/* 11624*/      OPC_MoveChild1,
/* 11625*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 11628*/      OPC_MoveParent,
/* 11629*/      OPC_CheckPredicate, 0, // Predicate_regPlusImm
/* 11631*/      OPC_SwitchType /*2 cases */, 53, MVT::i32,// ->11687
/* 11634*/       OPC_MoveParent,
/* 11635*/       OPC_MoveChild2,
/* 11636*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/* 11639*/       OPC_RecordChild0, // #3 = $val
/* 11640*/       OPC_MoveParent,
/* 11641*/       OPC_Scope, 21, /*->11664*/ // 2 children in Scope
/* 11643*/        OPC_CheckPredicate, 1, // Predicate_atomic_swap_8
/* 11645*/        OPC_MoveParent,
/* 11646*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 11648*/        OPC_EmitMergeInputChains1_0,
/* 11649*/        OPC_EmitInteger, MVT::i32, 0, 
/* 11652*/        OPC_EmitConvertToTarget, 2,
/* 11654*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (anyext:{ *:[i64] } (atomic_swap:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_swap_8>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW8_U_XCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 11664*/       /*Scope*/ 21, /*->11686*/
/* 11665*/        OPC_CheckPredicate, 2, // Predicate_atomic_swap_16
/* 11667*/        OPC_MoveParent,
/* 11668*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 11670*/        OPC_EmitMergeInputChains1_0,
/* 11671*/        OPC_EmitInteger, MVT::i32, 0, 
/* 11674*/        OPC_EmitConvertToTarget, 2,
/* 11676*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (anyext:{ *:[i64] } (atomic_swap:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_swap_16>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW16_U_XCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 11686*/       0, /*End of Scope*/
/* 11687*/      /*SwitchType*/ 53, MVT::i64,// ->11742
/* 11689*/       OPC_MoveParent,
/* 11690*/       OPC_MoveChild2,
/* 11691*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/* 11694*/       OPC_RecordChild0, // #3 = $val
/* 11695*/       OPC_MoveParent,
/* 11696*/       OPC_Scope, 21, /*->11719*/ // 2 children in Scope
/* 11698*/        OPC_CheckPredicate, 1, // Predicate_atomic_swap_8
/* 11700*/        OPC_MoveParent,
/* 11701*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 11703*/        OPC_EmitMergeInputChains1_0,
/* 11704*/        OPC_EmitInteger, MVT::i32, 0, 
/* 11707*/        OPC_EmitConvertToTarget, 2,
/* 11709*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (anyext:{ *:[i64] } (atomic_swap:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_swap_8>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW8_U_XCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 11719*/       /*Scope*/ 21, /*->11741*/
/* 11720*/        OPC_CheckPredicate, 2, // Predicate_atomic_swap_16
/* 11722*/        OPC_MoveParent,
/* 11723*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 11725*/        OPC_EmitMergeInputChains1_0,
/* 11726*/        OPC_EmitInteger, MVT::i32, 0, 
/* 11729*/        OPC_EmitConvertToTarget, 2,
/* 11731*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (anyext:{ *:[i64] } (atomic_swap:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_swap_16>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW16_U_XCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 11741*/       0, /*End of Scope*/
/* 11742*/      0, // EndSwitchType
/* 11743*/     /*SwitchOpcode*/ 121, TARGET_VAL(ISD::OR),// ->11867
/* 11746*/      OPC_RecordChild0, // #1 = $addr
/* 11747*/      OPC_RecordChild1, // #2 = $off
/* 11748*/      OPC_MoveChild1,
/* 11749*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 11752*/      OPC_MoveParent,
/* 11753*/      OPC_CheckPredicate, 3, // Predicate_or_is_add
/* 11755*/      OPC_SwitchType /*2 cases */, 53, MVT::i32,// ->11811
/* 11758*/       OPC_MoveParent,
/* 11759*/       OPC_MoveChild2,
/* 11760*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/* 11763*/       OPC_RecordChild0, // #3 = $val
/* 11764*/       OPC_MoveParent,
/* 11765*/       OPC_Scope, 21, /*->11788*/ // 2 children in Scope
/* 11767*/        OPC_CheckPredicate, 1, // Predicate_atomic_swap_8
/* 11769*/        OPC_MoveParent,
/* 11770*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 11772*/        OPC_EmitMergeInputChains1_0,
/* 11773*/        OPC_EmitInteger, MVT::i32, 0, 
/* 11776*/        OPC_EmitConvertToTarget, 2,
/* 11778*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (anyext:{ *:[i64] } (atomic_swap:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_swap_8>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW8_U_XCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 11788*/       /*Scope*/ 21, /*->11810*/
/* 11789*/        OPC_CheckPredicate, 2, // Predicate_atomic_swap_16
/* 11791*/        OPC_MoveParent,
/* 11792*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 11794*/        OPC_EmitMergeInputChains1_0,
/* 11795*/        OPC_EmitInteger, MVT::i32, 0, 
/* 11798*/        OPC_EmitConvertToTarget, 2,
/* 11800*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (anyext:{ *:[i64] } (atomic_swap:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_swap_16>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW16_U_XCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 11810*/       0, /*End of Scope*/
/* 11811*/      /*SwitchType*/ 53, MVT::i64,// ->11866
/* 11813*/       OPC_MoveParent,
/* 11814*/       OPC_MoveChild2,
/* 11815*/       OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/* 11818*/       OPC_RecordChild0, // #3 = $val
/* 11819*/       OPC_MoveParent,
/* 11820*/       OPC_Scope, 21, /*->11843*/ // 2 children in Scope
/* 11822*/        OPC_CheckPredicate, 1, // Predicate_atomic_swap_8
/* 11824*/        OPC_MoveParent,
/* 11825*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 11827*/        OPC_EmitMergeInputChains1_0,
/* 11828*/        OPC_EmitInteger, MVT::i32, 0, 
/* 11831*/        OPC_EmitConvertToTarget, 2,
/* 11833*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (anyext:{ *:[i64] } (atomic_swap:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_swap_8>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW8_U_XCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 11843*/       /*Scope*/ 21, /*->11865*/
/* 11844*/        OPC_CheckPredicate, 2, // Predicate_atomic_swap_16
/* 11846*/        OPC_MoveParent,
/* 11847*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 11849*/        OPC_EmitMergeInputChains1_0,
/* 11850*/        OPC_EmitInteger, MVT::i32, 0, 
/* 11853*/        OPC_EmitConvertToTarget, 2,
/* 11855*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (anyext:{ *:[i64] } (atomic_swap:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_swap_16>>) - Complexity = 17
                  // Dst: (ATOMIC_RMW16_U_XCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 11865*/       0, /*End of Scope*/
/* 11866*/      0, // EndSwitchType
/* 11867*/     /*SwitchOpcode*/ 7|128,1/*135*/, TARGET_VAL(WebAssemblyISD::Wrapper),// ->12006
/* 11871*/      OPC_RecordChild0, // #1 = $off
/* 11872*/      OPC_MoveChild0,
/* 11873*/      OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 11876*/      OPC_MoveParent,
/* 11877*/      OPC_MoveParent,
/* 11878*/      OPC_MoveChild2,
/* 11879*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/* 11882*/      OPC_RecordChild0, // #2 = $val
/* 11883*/      OPC_MoveParent,
/* 11884*/      OPC_Scope, 59, /*->11945*/ // 2 children in Scope
/* 11886*/       OPC_CheckPredicate, 1, // Predicate_atomic_swap_8
/* 11888*/       OPC_MoveParent,
/* 11889*/       OPC_Scope, 26, /*->11917*/ // 2 children in Scope
/* 11891*/        OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 11893*/        OPC_EmitMergeInputChains1_0,
/* 11894*/        OPC_EmitInteger, MVT::i32, 0, 
/* 11897*/        OPC_EmitInteger, MVT::i32, 0, 
/* 11900*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 11907*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                  // Src: (anyext:{ *:[i64] } (atomic_swap:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_swap_8>>) - Complexity = 16
                  // Dst: (ATOMIC_RMW8_U_XCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/* 11917*/       /*Scope*/ 26, /*->11944*/
/* 11918*/        OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 11920*/        OPC_EmitMergeInputChains1_0,
/* 11921*/        OPC_EmitInteger, MVT::i32, 0, 
/* 11924*/        OPC_EmitInteger, MVT::i64, 0, 
/* 11927*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 11934*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                  // Src: (anyext:{ *:[i64] } (atomic_swap:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_swap_8>>) - Complexity = 16
                  // Dst: (ATOMIC_RMW8_U_XCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/* 11944*/       0, /*End of Scope*/
/* 11945*/      /*Scope*/ 59, /*->12005*/
/* 11946*/       OPC_CheckPredicate, 2, // Predicate_atomic_swap_16
/* 11948*/       OPC_MoveParent,
/* 11949*/       OPC_Scope, 26, /*->11977*/ // 2 children in Scope
/* 11951*/        OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 11953*/        OPC_EmitMergeInputChains1_0,
/* 11954*/        OPC_EmitInteger, MVT::i32, 0, 
/* 11957*/        OPC_EmitInteger, MVT::i32, 0, 
/* 11960*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 11967*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                  // Src: (anyext:{ *:[i64] } (atomic_swap:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_swap_16>>) - Complexity = 16
                  // Dst: (ATOMIC_RMW16_U_XCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/* 11977*/       /*Scope*/ 26, /*->12004*/
/* 11978*/        OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 11980*/        OPC_EmitMergeInputChains1_0,
/* 11981*/        OPC_EmitInteger, MVT::i32, 0, 
/* 11984*/        OPC_EmitInteger, MVT::i64, 0, 
/* 11987*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 11994*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                  // Src: (anyext:{ *:[i64] } (atomic_swap:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_swap_16>>) - Complexity = 16
                  // Dst: (ATOMIC_RMW16_U_XCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/* 12004*/       0, /*End of Scope*/
/* 12005*/      0, /*End of Scope*/
/* 12006*/     0, // EndSwitchOpcode
/* 12007*/    /*Scope*/ 4|128,2/*260*/, /*->12269*/
/* 12009*/     OPC_RecordChild1, // #1 = $off
/* 12010*/     OPC_Scope, 13|128,1/*141*/, /*->12154*/ // 3 children in Scope
/* 12013*/      OPC_MoveChild1,
/* 12014*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 12017*/      OPC_MoveParent,
/* 12018*/      OPC_MoveChild2,
/* 12019*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/* 12022*/      OPC_RecordChild0, // #2 = $val
/* 12023*/      OPC_MoveParent,
/* 12024*/      OPC_Scope, 63, /*->12089*/ // 2 children in Scope
/* 12026*/       OPC_CheckPredicate, 1, // Predicate_atomic_swap_8
/* 12028*/       OPC_MoveParent,
/* 12029*/       OPC_Scope, 28, /*->12059*/ // 2 children in Scope
/* 12031*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 12033*/        OPC_EmitMergeInputChains1_0,
/* 12034*/        OPC_EmitInteger, MVT::i32, 0, 
/* 12037*/        OPC_EmitConvertToTarget, 1,
/* 12039*/        OPC_EmitInteger, MVT::i32, 0, 
/* 12042*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 12049*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                  // Src: (anyext:{ *:[i64] } (atomic_swap:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_swap_8>>) - Complexity = 13
                  // Dst: (ATOMIC_RMW8_U_XCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/* 12059*/       /*Scope*/ 28, /*->12088*/
/* 12060*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 12062*/        OPC_EmitMergeInputChains1_0,
/* 12063*/        OPC_EmitInteger, MVT::i32, 0, 
/* 12066*/        OPC_EmitConvertToTarget, 1,
/* 12068*/        OPC_EmitInteger, MVT::i64, 0, 
/* 12071*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 12078*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                  // Src: (anyext:{ *:[i64] } (atomic_swap:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_swap_8>>) - Complexity = 13
                  // Dst: (ATOMIC_RMW8_U_XCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/* 12088*/       0, /*End of Scope*/
/* 12089*/      /*Scope*/ 63, /*->12153*/
/* 12090*/       OPC_CheckPredicate, 2, // Predicate_atomic_swap_16
/* 12092*/       OPC_MoveParent,
/* 12093*/       OPC_Scope, 28, /*->12123*/ // 2 children in Scope
/* 12095*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 12097*/        OPC_EmitMergeInputChains1_0,
/* 12098*/        OPC_EmitInteger, MVT::i32, 0, 
/* 12101*/        OPC_EmitConvertToTarget, 1,
/* 12103*/        OPC_EmitInteger, MVT::i32, 0, 
/* 12106*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 12113*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                  // Src: (anyext:{ *:[i64] } (atomic_swap:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_swap_16>>) - Complexity = 13
                  // Dst: (ATOMIC_RMW16_U_XCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/* 12123*/       /*Scope*/ 28, /*->12152*/
/* 12124*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 12126*/        OPC_EmitMergeInputChains1_0,
/* 12127*/        OPC_EmitInteger, MVT::i32, 0, 
/* 12130*/        OPC_EmitConvertToTarget, 1,
/* 12132*/        OPC_EmitInteger, MVT::i64, 0, 
/* 12135*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 12142*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                  // Src: (anyext:{ *:[i64] } (atomic_swap:{ *:[i32] } (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_swap_16>>) - Complexity = 13
                  // Dst: (ATOMIC_RMW16_U_XCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/* 12152*/       0, /*End of Scope*/
/* 12153*/      0, /*End of Scope*/
/* 12154*/     /*Scope*/ 56, /*->12211*/
/* 12155*/      OPC_CheckChild1Type, MVT::i32,
/* 12157*/      OPC_MoveChild2,
/* 12158*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/* 12161*/      OPC_RecordChild0, // #2 = $val
/* 12162*/      OPC_MoveParent,
/* 12163*/      OPC_Scope, 22, /*->12187*/ // 2 children in Scope
/* 12165*/       OPC_CheckPredicate, 1, // Predicate_atomic_swap_8
/* 12167*/       OPC_MoveParent,
/* 12168*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 12170*/       OPC_EmitMergeInputChains1_0,
/* 12171*/       OPC_EmitInteger, MVT::i32, 0, 
/* 12174*/       OPC_EmitInteger, MVT::i32, 0, 
/* 12177*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
                 // Src: (anyext:{ *:[i64] } (atomic_swap:{ *:[i32] } I32:{ *:[i32] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_swap_8>>) - Complexity = 10
                 // Dst: (ATOMIC_RMW8_U_XCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 12187*/      /*Scope*/ 22, /*->12210*/
/* 12188*/       OPC_CheckPredicate, 2, // Predicate_atomic_swap_16
/* 12190*/       OPC_MoveParent,
/* 12191*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 12193*/       OPC_EmitMergeInputChains1_0,
/* 12194*/       OPC_EmitInteger, MVT::i32, 0, 
/* 12197*/       OPC_EmitInteger, MVT::i32, 0, 
/* 12200*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
                 // Src: (anyext:{ *:[i64] } (atomic_swap:{ *:[i32] } I32:{ *:[i32] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_swap_16>>) - Complexity = 10
                 // Dst: (ATOMIC_RMW16_U_XCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 12210*/      0, /*End of Scope*/
/* 12211*/     /*Scope*/ 56, /*->12268*/
/* 12212*/      OPC_CheckChild1Type, MVT::i64,
/* 12214*/      OPC_MoveChild2,
/* 12215*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/* 12218*/      OPC_RecordChild0, // #2 = $val
/* 12219*/      OPC_MoveParent,
/* 12220*/      OPC_Scope, 22, /*->12244*/ // 2 children in Scope
/* 12222*/       OPC_CheckPredicate, 1, // Predicate_atomic_swap_8
/* 12224*/       OPC_MoveParent,
/* 12225*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 12227*/       OPC_EmitMergeInputChains1_0,
/* 12228*/       OPC_EmitInteger, MVT::i32, 0, 
/* 12231*/       OPC_EmitInteger, MVT::i64, 0, 
/* 12234*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
                 // Src: (anyext:{ *:[i64] } (atomic_swap:{ *:[i32] } I64:{ *:[i64] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_swap_8>>) - Complexity = 10
                 // Dst: (ATOMIC_RMW8_U_XCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 12244*/      /*Scope*/ 22, /*->12267*/
/* 12245*/       OPC_CheckPredicate, 2, // Predicate_atomic_swap_16
/* 12247*/       OPC_MoveParent,
/* 12248*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 12250*/       OPC_EmitMergeInputChains1_0,
/* 12251*/       OPC_EmitInteger, MVT::i32, 0, 
/* 12254*/       OPC_EmitInteger, MVT::i64, 0, 
/* 12257*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
                 // Src: (anyext:{ *:[i64] } (atomic_swap:{ *:[i32] } I64:{ *:[i64] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_swap_16>>) - Complexity = 10
                 // Dst: (ATOMIC_RMW16_U_XCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 12267*/      0, /*End of Scope*/
/* 12268*/     0, /*End of Scope*/
/* 12269*/    0, /*End of Scope*/
/* 12270*/   /*SwitchOpcode*/ 77|128,4/*589*/, TARGET_VAL(ISD::ATOMIC_LOAD),// ->12863
/* 12274*/    OPC_RecordMemRef,
/* 12275*/    OPC_RecordNode, // #0 = 'atomic_load' chained node
/* 12276*/    OPC_Scope, 91|128,2/*347*/, /*->12626*/ // 2 children in Scope
/* 12279*/     OPC_MoveChild1,
/* 12280*/     OPC_SwitchOpcode /*3 cases */, 105, TARGET_VAL(ISD::ADD),// ->12389
/* 12284*/      OPC_RecordChild0, // #1 = $addr
/* 12285*/      OPC_RecordChild1, // #2 = $off
/* 12286*/      OPC_MoveChild1,
/* 12287*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 12290*/      OPC_MoveParent,
/* 12291*/      OPC_CheckPredicate, 0, // Predicate_regPlusImm
/* 12293*/      OPC_SwitchType /*2 cases */, 45, MVT::i32,// ->12341
/* 12296*/       OPC_MoveParent,
/* 12297*/       OPC_Scope, 20, /*->12319*/ // 2 children in Scope
/* 12299*/        OPC_CheckPredicate, 1, // Predicate_atomic_load_8
/* 12301*/        OPC_MoveParent,
/* 12302*/        OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 12304*/        OPC_EmitMergeInputChains1_0,
/* 12305*/        OPC_EmitInteger, MVT::i32, 0, 
/* 12308*/        OPC_EmitConvertToTarget, 2,
/* 12310*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD8_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                  // Src: (anyext:{ *:[i64] } (atomic_load:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_atomic_load_8>>) - Complexity = 14
                  // Dst: (ATOMIC_LOAD8_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 12319*/       /*Scope*/ 20, /*->12340*/
/* 12320*/        OPC_CheckPredicate, 2, // Predicate_atomic_load_16
/* 12322*/        OPC_MoveParent,
/* 12323*/        OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 12325*/        OPC_EmitMergeInputChains1_0,
/* 12326*/        OPC_EmitInteger, MVT::i32, 0, 
/* 12329*/        OPC_EmitConvertToTarget, 2,
/* 12331*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD16_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                  // Src: (anyext:{ *:[i64] } (atomic_load:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_atomic_load_16>>) - Complexity = 14
                  // Dst: (ATOMIC_LOAD16_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 12340*/       0, /*End of Scope*/
/* 12341*/      /*SwitchType*/ 45, MVT::i64,// ->12388
/* 12343*/       OPC_MoveParent,
/* 12344*/       OPC_Scope, 20, /*->12366*/ // 2 children in Scope
/* 12346*/        OPC_CheckPredicate, 1, // Predicate_atomic_load_8
/* 12348*/        OPC_MoveParent,
/* 12349*/        OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 12351*/        OPC_EmitMergeInputChains1_0,
/* 12352*/        OPC_EmitInteger, MVT::i32, 0, 
/* 12355*/        OPC_EmitConvertToTarget, 2,
/* 12357*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD8_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                  // Src: (anyext:{ *:[i64] } (atomic_load:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_atomic_load_8>>) - Complexity = 14
                  // Dst: (ATOMIC_LOAD8_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 12366*/       /*Scope*/ 20, /*->12387*/
/* 12367*/        OPC_CheckPredicate, 2, // Predicate_atomic_load_16
/* 12369*/        OPC_MoveParent,
/* 12370*/        OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 12372*/        OPC_EmitMergeInputChains1_0,
/* 12373*/        OPC_EmitInteger, MVT::i32, 0, 
/* 12376*/        OPC_EmitConvertToTarget, 2,
/* 12378*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD16_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                  // Src: (anyext:{ *:[i64] } (atomic_load:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_atomic_load_16>>) - Complexity = 14
                  // Dst: (ATOMIC_LOAD16_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 12387*/       0, /*End of Scope*/
/* 12388*/      0, // EndSwitchType
/* 12389*/     /*SwitchOpcode*/ 105, TARGET_VAL(ISD::OR),// ->12497
/* 12392*/      OPC_RecordChild0, // #1 = $addr
/* 12393*/      OPC_RecordChild1, // #2 = $off
/* 12394*/      OPC_MoveChild1,
/* 12395*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 12398*/      OPC_MoveParent,
/* 12399*/      OPC_CheckPredicate, 3, // Predicate_or_is_add
/* 12401*/      OPC_SwitchType /*2 cases */, 45, MVT::i32,// ->12449
/* 12404*/       OPC_MoveParent,
/* 12405*/       OPC_Scope, 20, /*->12427*/ // 2 children in Scope
/* 12407*/        OPC_CheckPredicate, 1, // Predicate_atomic_load_8
/* 12409*/        OPC_MoveParent,
/* 12410*/        OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 12412*/        OPC_EmitMergeInputChains1_0,
/* 12413*/        OPC_EmitInteger, MVT::i32, 0, 
/* 12416*/        OPC_EmitConvertToTarget, 2,
/* 12418*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD8_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                  // Src: (anyext:{ *:[i64] } (atomic_load:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_atomic_load_8>>) - Complexity = 14
                  // Dst: (ATOMIC_LOAD8_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 12427*/       /*Scope*/ 20, /*->12448*/
/* 12428*/        OPC_CheckPredicate, 2, // Predicate_atomic_load_16
/* 12430*/        OPC_MoveParent,
/* 12431*/        OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 12433*/        OPC_EmitMergeInputChains1_0,
/* 12434*/        OPC_EmitInteger, MVT::i32, 0, 
/* 12437*/        OPC_EmitConvertToTarget, 2,
/* 12439*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD16_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                  // Src: (anyext:{ *:[i64] } (atomic_load:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_atomic_load_16>>) - Complexity = 14
                  // Dst: (ATOMIC_LOAD16_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 12448*/       0, /*End of Scope*/
/* 12449*/      /*SwitchType*/ 45, MVT::i64,// ->12496
/* 12451*/       OPC_MoveParent,
/* 12452*/       OPC_Scope, 20, /*->12474*/ // 2 children in Scope
/* 12454*/        OPC_CheckPredicate, 1, // Predicate_atomic_load_8
/* 12456*/        OPC_MoveParent,
/* 12457*/        OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 12459*/        OPC_EmitMergeInputChains1_0,
/* 12460*/        OPC_EmitInteger, MVT::i32, 0, 
/* 12463*/        OPC_EmitConvertToTarget, 2,
/* 12465*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD8_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                  // Src: (anyext:{ *:[i64] } (atomic_load:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_atomic_load_8>>) - Complexity = 14
                  // Dst: (ATOMIC_LOAD8_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 12474*/       /*Scope*/ 20, /*->12495*/
/* 12475*/        OPC_CheckPredicate, 2, // Predicate_atomic_load_16
/* 12477*/        OPC_MoveParent,
/* 12478*/        OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 12480*/        OPC_EmitMergeInputChains1_0,
/* 12481*/        OPC_EmitInteger, MVT::i32, 0, 
/* 12484*/        OPC_EmitConvertToTarget, 2,
/* 12486*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD16_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                  // Src: (anyext:{ *:[i64] } (atomic_load:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_atomic_load_16>>) - Complexity = 14
                  // Dst: (ATOMIC_LOAD16_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 12495*/       0, /*End of Scope*/
/* 12496*/      0, // EndSwitchType
/* 12497*/     /*SwitchOpcode*/ 125, TARGET_VAL(WebAssemblyISD::Wrapper),// ->12625
/* 12500*/      OPC_RecordChild0, // #1 = $off
/* 12501*/      OPC_MoveChild0,
/* 12502*/      OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 12505*/      OPC_MoveParent,
/* 12506*/      OPC_MoveParent,
/* 12507*/      OPC_Scope, 57, /*->12566*/ // 2 children in Scope
/* 12509*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_8
/* 12511*/       OPC_MoveParent,
/* 12512*/       OPC_Scope, 25, /*->12539*/ // 2 children in Scope
/* 12514*/        OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 12516*/        OPC_EmitMergeInputChains1_0,
/* 12517*/        OPC_EmitInteger, MVT::i32, 0, 
/* 12520*/        OPC_EmitInteger, MVT::i32, 0, 
/* 12523*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 3,  // Results = #4
/* 12530*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD8_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 2, 1, 4, 
                  // Src: (anyext:{ *:[i64] } (atomic_load:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_atomic_load_8>>) - Complexity = 13
                  // Dst: (ATOMIC_LOAD8_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 12539*/       /*Scope*/ 25, /*->12565*/
/* 12540*/        OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 12542*/        OPC_EmitMergeInputChains1_0,
/* 12543*/        OPC_EmitInteger, MVT::i32, 0, 
/* 12546*/        OPC_EmitInteger, MVT::i64, 0, 
/* 12549*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 3,  // Results = #4
/* 12556*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD8_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 2, 1, 4, 
                  // Src: (anyext:{ *:[i64] } (atomic_load:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_atomic_load_8>>) - Complexity = 13
                  // Dst: (ATOMIC_LOAD8_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 12565*/       0, /*End of Scope*/
/* 12566*/      /*Scope*/ 57, /*->12624*/
/* 12567*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_16
/* 12569*/       OPC_MoveParent,
/* 12570*/       OPC_Scope, 25, /*->12597*/ // 2 children in Scope
/* 12572*/        OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 12574*/        OPC_EmitMergeInputChains1_0,
/* 12575*/        OPC_EmitInteger, MVT::i32, 0, 
/* 12578*/        OPC_EmitInteger, MVT::i32, 0, 
/* 12581*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 3,  // Results = #4
/* 12588*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD16_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 2, 1, 4, 
                  // Src: (anyext:{ *:[i64] } (atomic_load:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_atomic_load_16>>) - Complexity = 13
                  // Dst: (ATOMIC_LOAD16_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 12597*/       /*Scope*/ 25, /*->12623*/
/* 12598*/        OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 12600*/        OPC_EmitMergeInputChains1_0,
/* 12601*/        OPC_EmitInteger, MVT::i32, 0, 
/* 12604*/        OPC_EmitInteger, MVT::i64, 0, 
/* 12607*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 3,  // Results = #4
/* 12614*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD16_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 2, 1, 4, 
                  // Src: (anyext:{ *:[i64] } (atomic_load:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_atomic_load_16>>) - Complexity = 13
                  // Dst: (ATOMIC_LOAD16_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 12623*/       0, /*End of Scope*/
/* 12624*/      0, /*End of Scope*/
/* 12625*/     0, // EndSwitchOpcode
/* 12626*/    /*Scope*/ 106|128,1/*234*/, /*->12862*/
/* 12628*/     OPC_RecordChild1, // #1 = $off
/* 12629*/     OPC_Scope, 3|128,1/*131*/, /*->12763*/ // 3 children in Scope
/* 12632*/      OPC_MoveChild1,
/* 12633*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 12636*/      OPC_MoveParent,
/* 12637*/      OPC_Scope, 61, /*->12700*/ // 2 children in Scope
/* 12639*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_8
/* 12641*/       OPC_MoveParent,
/* 12642*/       OPC_Scope, 27, /*->12671*/ // 2 children in Scope
/* 12644*/        OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 12646*/        OPC_EmitMergeInputChains1_0,
/* 12647*/        OPC_EmitInteger, MVT::i32, 0, 
/* 12650*/        OPC_EmitConvertToTarget, 1,
/* 12652*/        OPC_EmitInteger, MVT::i32, 0, 
/* 12655*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 12662*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD8_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 2, 3, 5, 
                  // Src: (anyext:{ *:[i64] } (atomic_load:{ *:[i32] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_atomic_load_8>>) - Complexity = 10
                  // Dst: (ATOMIC_LOAD8_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 12671*/       /*Scope*/ 27, /*->12699*/
/* 12672*/        OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 12674*/        OPC_EmitMergeInputChains1_0,
/* 12675*/        OPC_EmitInteger, MVT::i32, 0, 
/* 12678*/        OPC_EmitConvertToTarget, 1,
/* 12680*/        OPC_EmitInteger, MVT::i64, 0, 
/* 12683*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 12690*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD8_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 2, 3, 5, 
                  // Src: (anyext:{ *:[i64] } (atomic_load:{ *:[i32] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_atomic_load_8>>) - Complexity = 10
                  // Dst: (ATOMIC_LOAD8_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 12699*/       0, /*End of Scope*/
/* 12700*/      /*Scope*/ 61, /*->12762*/
/* 12701*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_16
/* 12703*/       OPC_MoveParent,
/* 12704*/       OPC_Scope, 27, /*->12733*/ // 2 children in Scope
/* 12706*/        OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 12708*/        OPC_EmitMergeInputChains1_0,
/* 12709*/        OPC_EmitInteger, MVT::i32, 0, 
/* 12712*/        OPC_EmitConvertToTarget, 1,
/* 12714*/        OPC_EmitInteger, MVT::i32, 0, 
/* 12717*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 12724*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD16_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 2, 3, 5, 
                  // Src: (anyext:{ *:[i64] } (atomic_load:{ *:[i32] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_atomic_load_16>>) - Complexity = 10
                  // Dst: (ATOMIC_LOAD16_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 12733*/       /*Scope*/ 27, /*->12761*/
/* 12734*/        OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 12736*/        OPC_EmitMergeInputChains1_0,
/* 12737*/        OPC_EmitInteger, MVT::i32, 0, 
/* 12740*/        OPC_EmitConvertToTarget, 1,
/* 12742*/        OPC_EmitInteger, MVT::i64, 0, 
/* 12745*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 12752*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD16_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 2, 3, 5, 
                  // Src: (anyext:{ *:[i64] } (atomic_load:{ *:[i32] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_atomic_load_16>>) - Complexity = 10
                  // Dst: (ATOMIC_LOAD16_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 12761*/       0, /*End of Scope*/
/* 12762*/      0, /*End of Scope*/
/* 12763*/     /*Scope*/ 48, /*->12812*/
/* 12764*/      OPC_CheckChild1Type, MVT::i32,
/* 12766*/      OPC_Scope, 21, /*->12789*/ // 2 children in Scope
/* 12768*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_8
/* 12770*/       OPC_MoveParent,
/* 12771*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 12773*/       OPC_EmitMergeInputChains1_0,
/* 12774*/       OPC_EmitInteger, MVT::i32, 0, 
/* 12777*/       OPC_EmitInteger, MVT::i32, 0, 
/* 12780*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD8_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 3/*#Ops*/, 2, 3, 1, 
                 // Src: (anyext:{ *:[i64] } (atomic_load:{ *:[i32] } I32:{ *:[i32] }:$addr)<<P:Predicate_atomic_load_8>>) - Complexity = 7
                 // Dst: (ATOMIC_LOAD8_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr)
/* 12789*/      /*Scope*/ 21, /*->12811*/
/* 12790*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_16
/* 12792*/       OPC_MoveParent,
/* 12793*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 12795*/       OPC_EmitMergeInputChains1_0,
/* 12796*/       OPC_EmitInteger, MVT::i32, 0, 
/* 12799*/       OPC_EmitInteger, MVT::i32, 0, 
/* 12802*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD16_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 3/*#Ops*/, 2, 3, 1, 
                 // Src: (anyext:{ *:[i64] } (atomic_load:{ *:[i32] } I32:{ *:[i32] }:$addr)<<P:Predicate_atomic_load_16>>) - Complexity = 7
                 // Dst: (ATOMIC_LOAD16_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr)
/* 12811*/      0, /*End of Scope*/
/* 12812*/     /*Scope*/ 48, /*->12861*/
/* 12813*/      OPC_CheckChild1Type, MVT::i64,
/* 12815*/      OPC_Scope, 21, /*->12838*/ // 2 children in Scope
/* 12817*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_8
/* 12819*/       OPC_MoveParent,
/* 12820*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 12822*/       OPC_EmitMergeInputChains1_0,
/* 12823*/       OPC_EmitInteger, MVT::i32, 0, 
/* 12826*/       OPC_EmitInteger, MVT::i64, 0, 
/* 12829*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD8_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 3/*#Ops*/, 2, 3, 1, 
                 // Src: (anyext:{ *:[i64] } (atomic_load:{ *:[i32] } I64:{ *:[i64] }:$addr)<<P:Predicate_atomic_load_8>>) - Complexity = 7
                 // Dst: (ATOMIC_LOAD8_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr)
/* 12838*/      /*Scope*/ 21, /*->12860*/
/* 12839*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_16
/* 12841*/       OPC_MoveParent,
/* 12842*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 12844*/       OPC_EmitMergeInputChains1_0,
/* 12845*/       OPC_EmitInteger, MVT::i32, 0, 
/* 12848*/       OPC_EmitInteger, MVT::i64, 0, 
/* 12851*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD16_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 3/*#Ops*/, 2, 3, 1, 
                 // Src: (anyext:{ *:[i64] } (atomic_load:{ *:[i32] } I64:{ *:[i64] }:$addr)<<P:Predicate_atomic_load_16>>) - Complexity = 7
                 // Dst: (ATOMIC_LOAD16_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr)
/* 12860*/      0, /*End of Scope*/
/* 12861*/     0, /*End of Scope*/
/* 12862*/    0, /*End of Scope*/
/* 12863*/   0, // EndSwitchOpcode
/* 12864*/  /*Scope*/ 8, /*->12873*/
/* 12865*/   OPC_RecordChild0, // #0 = $src
/* 12866*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::I64_EXTEND_U_I32), 0,
                 MVT::i64, 1/*#Ops*/, 0, 
             // Src: (anyext:{ *:[i64] } I32:{ *:[i32] }:$src) - Complexity = 3
             // Dst: (I64_EXTEND_U_I32:{ *:[i64] } I32:{ *:[i32] }:$src)
/* 12873*/  0, /*End of Scope*/
/* 12874*/ /*SwitchOpcode*/ 120|128,2/*376*/, TARGET_VAL(ISD::AND),// ->13254
/* 12878*/  OPC_Scope, 126, /*->13006*/ // 6 children in Scope
/* 12880*/   OPC_MoveChild0,
/* 12881*/   OPC_CheckOpcode, TARGET_VAL(ISD::INTRINSIC_WO_CHAIN),
/* 12884*/   OPC_Scope, 59, /*->12945*/ // 2 children in Scope
/* 12886*/    OPC_CheckChild0Integer, 116|128,13|128,1/*18164*/, 
/* 12890*/    OPC_RecordChild1, // #0 = $x
/* 12891*/    OPC_Scope, 12, /*->12905*/ // 4 children in Scope
/* 12893*/     OPC_CheckChild1Type, MVT::v16i8,
/* 12895*/     OPC_MoveParent,
/* 12896*/     OPC_CheckChild1Integer, 2, 
/* 12898*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ANYTRUE), 0,
                   MVT::i32, 1/*#Ops*/, 0, 
               // Src: (and:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 9082:{ *:[iPTR] }, V128:{ *:[v16i8] }:$x), 1:{ *:[i32] }) - Complexity = 16
               // Dst: (ANYTRUE:{ *:[i32] } ?:{ *:[v16i8] }:$x)
/* 12905*/    /*Scope*/ 12, /*->12918*/
/* 12906*/     OPC_CheckChild1Type, MVT::v8i16,
/* 12908*/     OPC_MoveParent,
/* 12909*/     OPC_CheckChild1Integer, 2, 
/* 12911*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ANYTRUE), 0,
                   MVT::i32, 1/*#Ops*/, 0, 
               // Src: (and:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 9082:{ *:[iPTR] }, V128:{ *:[v8i16] }:$x), 1:{ *:[i32] }) - Complexity = 16
               // Dst: (ANYTRUE:{ *:[i32] } ?:{ *:[v8i16] }:$x)
/* 12918*/    /*Scope*/ 12, /*->12931*/
/* 12919*/     OPC_CheckChild1Type, MVT::v4i32,
/* 12921*/     OPC_MoveParent,
/* 12922*/     OPC_CheckChild1Integer, 2, 
/* 12924*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ANYTRUE), 0,
                   MVT::i32, 1/*#Ops*/, 0, 
               // Src: (and:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 9082:{ *:[iPTR] }, V128:{ *:[v4i32] }:$x), 1:{ *:[i32] }) - Complexity = 16
               // Dst: (ANYTRUE:{ *:[i32] } ?:{ *:[v4i32] }:$x)
/* 12931*/    /*Scope*/ 12, /*->12944*/
/* 12932*/     OPC_CheckChild1Type, MVT::v2i64,
/* 12934*/     OPC_MoveParent,
/* 12935*/     OPC_CheckChild1Integer, 2, 
/* 12937*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ANYTRUE), 0,
                   MVT::i32, 1/*#Ops*/, 0, 
               // Src: (and:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 9082:{ *:[iPTR] }, V128:{ *:[v2i64] }:$x), 1:{ *:[i32] }) - Complexity = 16
               // Dst: (ANYTRUE:{ *:[i32] } ?:{ *:[v2i64] }:$x)
/* 12944*/    0, /*End of Scope*/
/* 12945*/   /*Scope*/ 59, /*->13005*/
/* 12946*/    OPC_CheckChild0Integer, 114|128,13|128,1/*18162*/, 
/* 12950*/    OPC_RecordChild1, // #0 = $x
/* 12951*/    OPC_Scope, 12, /*->12965*/ // 4 children in Scope
/* 12953*/     OPC_CheckChild1Type, MVT::v16i8,
/* 12955*/     OPC_MoveParent,
/* 12956*/     OPC_CheckChild1Integer, 2, 
/* 12958*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ALLTRUE_I8x16), 0,
                   MVT::i32, 1/*#Ops*/, 0, 
               // Src: (and:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 9081:{ *:[iPTR] }, V128:{ *:[v16i8] }:$x), 1:{ *:[i32] }) - Complexity = 16
               // Dst: (ALLTRUE_I8x16:{ *:[i32] } ?:{ *:[v16i8] }:$x)
/* 12965*/    /*Scope*/ 12, /*->12978*/
/* 12966*/     OPC_CheckChild1Type, MVT::v8i16,
/* 12968*/     OPC_MoveParent,
/* 12969*/     OPC_CheckChild1Integer, 2, 
/* 12971*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ALLTRUE_I16x8), 0,
                   MVT::i32, 1/*#Ops*/, 0, 
               // Src: (and:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 9081:{ *:[iPTR] }, V128:{ *:[v8i16] }:$x), 1:{ *:[i32] }) - Complexity = 16
               // Dst: (ALLTRUE_I16x8:{ *:[i32] } ?:{ *:[v8i16] }:$x)
/* 12978*/    /*Scope*/ 12, /*->12991*/
/* 12979*/     OPC_CheckChild1Type, MVT::v4i32,
/* 12981*/     OPC_MoveParent,
/* 12982*/     OPC_CheckChild1Integer, 2, 
/* 12984*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ALLTRUE_I32x4), 0,
                   MVT::i32, 1/*#Ops*/, 0, 
               // Src: (and:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 9081:{ *:[iPTR] }, V128:{ *:[v4i32] }:$x), 1:{ *:[i32] }) - Complexity = 16
               // Dst: (ALLTRUE_I32x4:{ *:[i32] } ?:{ *:[v4i32] }:$x)
/* 12991*/    /*Scope*/ 12, /*->13004*/
/* 12992*/     OPC_CheckChild1Type, MVT::v2i64,
/* 12994*/     OPC_MoveParent,
/* 12995*/     OPC_CheckChild1Integer, 2, 
/* 12997*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ALLTRUE_I64x2), 0,
                   MVT::i32, 1/*#Ops*/, 0, 
               // Src: (and:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 9081:{ *:[iPTR] }, V128:{ *:[v2i64] }:$x), 1:{ *:[i32] }) - Complexity = 16
               // Dst: (ALLTRUE_I64x2:{ *:[i32] } ?:{ *:[v2i64] }:$x)
/* 13004*/    0, /*End of Scope*/
/* 13005*/   0, /*End of Scope*/
/* 13006*/  /*Scope*/ 33, /*->13040*/
/* 13007*/   OPC_CheckAndImm, 127|128,1/*255*/, 
/* 13010*/   OPC_MoveChild0,
/* 13011*/   OPC_CheckOpcode, TARGET_VAL(ISD::EXTRACT_VECTOR_ELT),
/* 13014*/   OPC_RecordChild0, // #0 = $vec
/* 13015*/   OPC_CheckChild0Type, MVT::v16i8,
/* 13017*/   OPC_RecordChild1, // #1 = $idx
/* 13018*/   OPC_MoveChild1,
/* 13019*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 13022*/   OPC_CheckPredicate, 5, // Predicate_LaneIdx16
/* 13024*/   OPC_CheckType, MVT::i32,
/* 13026*/   OPC_MoveParent,
/* 13027*/   OPC_MoveParent,
/* 13028*/   OPC_CheckType, MVT::i32,
/* 13030*/   OPC_EmitConvertToTarget, 1,
/* 13032*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::EXTRACT_LANE_I8x16_u), 0,
                 MVT::i32, 2/*#Ops*/, 0, 2, 
             // Src: (and:{ *:[i32] } (vector_extract:{ *:[i32] } V128:{ *:[v16i8] }:$vec, (imm:{ *:[i32] })<<P:Predicate_LaneIdx16>>:$idx), 255:{ *:[i32] }) - Complexity = 15
             // Dst: (EXTRACT_LANE_I8x16_u:{ *:[i32] } ?:{ *:[v16i8] }:$vec, (imm:{ *:[i32] }):$idx)
/* 13040*/  /*Scope*/ 34, /*->13075*/
/* 13041*/   OPC_CheckAndImm, 127|128,127|128,3/*65535*/, 
/* 13045*/   OPC_MoveChild0,
/* 13046*/   OPC_CheckOpcode, TARGET_VAL(ISD::EXTRACT_VECTOR_ELT),
/* 13049*/   OPC_RecordChild0, // #0 = $vec
/* 13050*/   OPC_CheckChild0Type, MVT::v8i16,
/* 13052*/   OPC_RecordChild1, // #1 = $idx
/* 13053*/   OPC_MoveChild1,
/* 13054*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 13057*/   OPC_CheckPredicate, 6, // Predicate_LaneIdx8
/* 13059*/   OPC_CheckType, MVT::i32,
/* 13061*/   OPC_MoveParent,
/* 13062*/   OPC_MoveParent,
/* 13063*/   OPC_CheckType, MVT::i32,
/* 13065*/   OPC_EmitConvertToTarget, 1,
/* 13067*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::EXTRACT_LANE_I16x8_u), 0,
                 MVT::i32, 2/*#Ops*/, 0, 2, 
             // Src: (and:{ *:[i32] } (vector_extract:{ *:[i32] } V128:{ *:[v8i16] }:$vec, (imm:{ *:[i32] })<<P:Predicate_LaneIdx8>>:$idx), 65535:{ *:[i32] }) - Complexity = 15
             // Dst: (EXTRACT_LANE_I16x8_u:{ *:[i32] } ?:{ *:[v8i16] }:$vec, (imm:{ *:[i32] }):$idx)
/* 13075*/  /*Scope*/ 79, /*->13155*/
/* 13076*/   OPC_RecordChild0, // #0 = $lhs
/* 13077*/   OPC_Scope, 23, /*->13102*/ // 2 children in Scope
/* 13079*/    OPC_RecordChild1, // #1 = $rhs
/* 13080*/    OPC_SwitchType /*2 cases */, 8, MVT::i32,// ->13091
/* 13083*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::AND_I32), 0,
                   MVT::i32, 2/*#Ops*/, 0, 1, 
               // Src: (and:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs) - Complexity = 3
               // Dst: (AND_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/* 13091*/    /*SwitchType*/ 8, MVT::i64,// ->13101
/* 13093*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::AND_I64), 0,
                   MVT::i64, 2/*#Ops*/, 0, 1, 
               // Src: (and:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs) - Complexity = 3
               // Dst: (AND_I64:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs)
/* 13101*/    0, // EndSwitchType
/* 13102*/   /*Scope*/ 51, /*->13154*/
/* 13103*/    OPC_MoveChild1,
/* 13104*/    OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 13107*/    OPC_RecordChild0, // #1 = $rhs
/* 13108*/    OPC_MoveChild1,
/* 13109*/    OPC_CheckImmAllOnesV,
/* 13110*/    OPC_MoveParent,
/* 13111*/    OPC_MoveParent,
/* 13112*/    OPC_SwitchType /*4 cases */, 8, MVT::v16i8,// ->13123
/* 13115*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ANDNOT), 0,
                   MVT::v16i8, 2/*#Ops*/, 0, 1, 
               // Src: (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$rhs, immAllOnesV:{ *:[v16i8] })) - Complexity = 10
               // Dst: (ANDNOT:{ *:[v16i8] } ?:{ *:[v16i8] }:$lhs, ?:{ *:[v16i8] }:$rhs)
/* 13123*/    /*SwitchType*/ 8, MVT::v8i16,// ->13133
/* 13125*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ANDNOT), 0,
                   MVT::v8i16, 2/*#Ops*/, 0, 1, 
               // Src: (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$rhs, immAllOnesV:{ *:[v8i16] })) - Complexity = 10
               // Dst: (ANDNOT:{ *:[v8i16] } ?:{ *:[v8i16] }:$lhs, ?:{ *:[v8i16] }:$rhs)
/* 13133*/    /*SwitchType*/ 8, MVT::v4i32,// ->13143
/* 13135*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ANDNOT), 0,
                   MVT::v4i32, 2/*#Ops*/, 0, 1, 
               // Src: (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$rhs, immAllOnesV:{ *:[v4i32] })) - Complexity = 10
               // Dst: (ANDNOT:{ *:[v4i32] } ?:{ *:[v4i32] }:$lhs, ?:{ *:[v4i32] }:$rhs)
/* 13143*/    /*SwitchType*/ 8, MVT::v2i64,// ->13153
/* 13145*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ANDNOT), 0,
                   MVT::v2i64, 2/*#Ops*/, 0, 1, 
               // Src: (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$rhs, immAllOnesV:{ *:[v2i64] })) - Complexity = 10
               // Dst: (ANDNOT:{ *:[v2i64] } ?:{ *:[v2i64] }:$lhs, ?:{ *:[v2i64] }:$rhs)
/* 13153*/    0, // EndSwitchType
/* 13154*/   0, /*End of Scope*/
/* 13155*/  /*Scope*/ 52, /*->13208*/
/* 13156*/   OPC_MoveChild0,
/* 13157*/   OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 13160*/   OPC_RecordChild0, // #0 = $rhs
/* 13161*/   OPC_MoveChild1,
/* 13162*/   OPC_CheckImmAllOnesV,
/* 13163*/   OPC_MoveParent,
/* 13164*/   OPC_MoveParent,
/* 13165*/   OPC_RecordChild1, // #1 = $lhs
/* 13166*/   OPC_SwitchType /*4 cases */, 8, MVT::v16i8,// ->13177
/* 13169*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ANDNOT), 0,
                  MVT::v16i8, 2/*#Ops*/, 1, 0, 
              // Src: (and:{ *:[v16i8] } (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$rhs, immAllOnesV:{ *:[v16i8] }), V128:{ *:[v16i8] }:$lhs) - Complexity = 10
              // Dst: (ANDNOT:{ *:[v16i8] } ?:{ *:[v16i8] }:$lhs, ?:{ *:[v16i8] }:$rhs)
/* 13177*/   /*SwitchType*/ 8, MVT::v8i16,// ->13187
/* 13179*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ANDNOT), 0,
                  MVT::v8i16, 2/*#Ops*/, 1, 0, 
              // Src: (and:{ *:[v8i16] } (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$rhs, immAllOnesV:{ *:[v8i16] }), V128:{ *:[v8i16] }:$lhs) - Complexity = 10
              // Dst: (ANDNOT:{ *:[v8i16] } ?:{ *:[v8i16] }:$lhs, ?:{ *:[v8i16] }:$rhs)
/* 13187*/   /*SwitchType*/ 8, MVT::v4i32,// ->13197
/* 13189*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ANDNOT), 0,
                  MVT::v4i32, 2/*#Ops*/, 1, 0, 
              // Src: (and:{ *:[v4i32] } (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$rhs, immAllOnesV:{ *:[v4i32] }), V128:{ *:[v4i32] }:$lhs) - Complexity = 10
              // Dst: (ANDNOT:{ *:[v4i32] } ?:{ *:[v4i32] }:$lhs, ?:{ *:[v4i32] }:$rhs)
/* 13197*/   /*SwitchType*/ 8, MVT::v2i64,// ->13207
/* 13199*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ANDNOT), 0,
                  MVT::v2i64, 2/*#Ops*/, 1, 0, 
              // Src: (and:{ *:[v2i64] } (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$rhs, immAllOnesV:{ *:[v2i64] }), V128:{ *:[v2i64] }:$lhs) - Complexity = 10
              // Dst: (ANDNOT:{ *:[v2i64] } ?:{ *:[v2i64] }:$lhs, ?:{ *:[v2i64] }:$rhs)
/* 13207*/   0, // EndSwitchType
/* 13208*/  /*Scope*/ 44, /*->13253*/
/* 13209*/   OPC_RecordChild0, // #0 = $lhs
/* 13210*/   OPC_RecordChild1, // #1 = $rhs
/* 13211*/   OPC_SwitchType /*4 cases */, 8, MVT::v16i8,// ->13222
/* 13214*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::AND), 0,
                  MVT::v16i8, 2/*#Ops*/, 0, 1, 
              // Src: (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs) - Complexity = 3
              // Dst: (AND:{ *:[v16i8] } ?:{ *:[v16i8] }:$lhs, ?:{ *:[v16i8] }:$rhs)
/* 13222*/   /*SwitchType*/ 8, MVT::v8i16,// ->13232
/* 13224*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::AND), 0,
                  MVT::v8i16, 2/*#Ops*/, 0, 1, 
              // Src: (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs) - Complexity = 3
              // Dst: (AND:{ *:[v8i16] } ?:{ *:[v8i16] }:$lhs, ?:{ *:[v8i16] }:$rhs)
/* 13232*/   /*SwitchType*/ 8, MVT::v4i32,// ->13242
/* 13234*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::AND), 0,
                  MVT::v4i32, 2/*#Ops*/, 0, 1, 
              // Src: (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs) - Complexity = 3
              // Dst: (AND:{ *:[v4i32] } ?:{ *:[v4i32] }:$lhs, ?:{ *:[v4i32] }:$rhs)
/* 13242*/   /*SwitchType*/ 8, MVT::v2i64,// ->13252
/* 13244*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::AND), 0,
                  MVT::v2i64, 2/*#Ops*/, 0, 1, 
              // Src: (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, V128:{ *:[v2i64] }:$rhs) - Complexity = 3
              // Dst: (AND:{ *:[v2i64] } ?:{ *:[v2i64] }:$lhs, ?:{ *:[v2i64] }:$rhs)
/* 13252*/   0, // EndSwitchType
/* 13253*/  0, /*End of Scope*/
/* 13254*/ /*SwitchOpcode*/ 109|128,12/*1645*/, TARGET_VAL(ISD::SETCC),// ->14903
/* 13258*/  OPC_Scope, 24|128,2/*280*/, /*->13541*/ // 2 children in Scope
/* 13261*/   OPC_MoveChild0,
/* 13262*/   OPC_CheckOpcode, TARGET_VAL(ISD::INTRINSIC_WO_CHAIN),
/* 13265*/   OPC_Scope, 7|128,1/*135*/, /*->13403*/ // 2 children in Scope
/* 13268*/    OPC_CheckChild0Integer, 116|128,13|128,1/*18164*/, 
/* 13272*/    OPC_RecordChild1, // #0 = $x
/* 13273*/    OPC_Scope, 31, /*->13306*/ // 4 children in Scope
/* 13275*/     OPC_CheckChild1Type, MVT::v16i8,
/* 13277*/     OPC_MoveParent,
/* 13278*/     OPC_CheckType, MVT::i32,
/* 13280*/     OPC_Scope, 11, /*->13293*/ // 2 children in Scope
/* 13282*/      OPC_CheckChild1Integer, 0, 
/* 13284*/      OPC_CheckChild2CondCode, ISD::SETNE,
/* 13286*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ANYTRUE), 0,
                    MVT::i32, 1/*#Ops*/, 0, 
                // Src: (setcc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 9082:{ *:[iPTR] }, V128:{ *:[v16i8] }:$x), 0:{ *:[i32] }, SETNE:{ *:[Other] }) - Complexity = 16
                // Dst: (ANYTRUE:{ *:[i32] } ?:{ *:[v16i8] }:$x)
/* 13293*/     /*Scope*/ 11, /*->13305*/
/* 13294*/      OPC_CheckChild1Integer, 2, 
/* 13296*/      OPC_CheckChild2CondCode, ISD::SETEQ,
/* 13298*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ANYTRUE), 0,
                    MVT::i32, 1/*#Ops*/, 0, 
                // Src: (setcc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 9082:{ *:[iPTR] }, V128:{ *:[v16i8] }:$x), 1:{ *:[i32] }, SETEQ:{ *:[Other] }) - Complexity = 16
                // Dst: (ANYTRUE:{ *:[i32] } ?:{ *:[v16i8] }:$x)
/* 13305*/     0, /*End of Scope*/
/* 13306*/    /*Scope*/ 31, /*->13338*/
/* 13307*/     OPC_CheckChild1Type, MVT::v8i16,
/* 13309*/     OPC_MoveParent,
/* 13310*/     OPC_CheckType, MVT::i32,
/* 13312*/     OPC_Scope, 11, /*->13325*/ // 2 children in Scope
/* 13314*/      OPC_CheckChild1Integer, 0, 
/* 13316*/      OPC_CheckChild2CondCode, ISD::SETNE,
/* 13318*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ANYTRUE), 0,
                    MVT::i32, 1/*#Ops*/, 0, 
                // Src: (setcc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 9082:{ *:[iPTR] }, V128:{ *:[v8i16] }:$x), 0:{ *:[i32] }, SETNE:{ *:[Other] }) - Complexity = 16
                // Dst: (ANYTRUE:{ *:[i32] } ?:{ *:[v8i16] }:$x)
/* 13325*/     /*Scope*/ 11, /*->13337*/
/* 13326*/      OPC_CheckChild1Integer, 2, 
/* 13328*/      OPC_CheckChild2CondCode, ISD::SETEQ,
/* 13330*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ANYTRUE), 0,
                    MVT::i32, 1/*#Ops*/, 0, 
                // Src: (setcc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 9082:{ *:[iPTR] }, V128:{ *:[v8i16] }:$x), 1:{ *:[i32] }, SETEQ:{ *:[Other] }) - Complexity = 16
                // Dst: (ANYTRUE:{ *:[i32] } ?:{ *:[v8i16] }:$x)
/* 13337*/     0, /*End of Scope*/
/* 13338*/    /*Scope*/ 31, /*->13370*/
/* 13339*/     OPC_CheckChild1Type, MVT::v4i32,
/* 13341*/     OPC_MoveParent,
/* 13342*/     OPC_CheckType, MVT::i32,
/* 13344*/     OPC_Scope, 11, /*->13357*/ // 2 children in Scope
/* 13346*/      OPC_CheckChild1Integer, 0, 
/* 13348*/      OPC_CheckChild2CondCode, ISD::SETNE,
/* 13350*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ANYTRUE), 0,
                    MVT::i32, 1/*#Ops*/, 0, 
                // Src: (setcc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 9082:{ *:[iPTR] }, V128:{ *:[v4i32] }:$x), 0:{ *:[i32] }, SETNE:{ *:[Other] }) - Complexity = 16
                // Dst: (ANYTRUE:{ *:[i32] } ?:{ *:[v4i32] }:$x)
/* 13357*/     /*Scope*/ 11, /*->13369*/
/* 13358*/      OPC_CheckChild1Integer, 2, 
/* 13360*/      OPC_CheckChild2CondCode, ISD::SETEQ,
/* 13362*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ANYTRUE), 0,
                    MVT::i32, 1/*#Ops*/, 0, 
                // Src: (setcc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 9082:{ *:[iPTR] }, V128:{ *:[v4i32] }:$x), 1:{ *:[i32] }, SETEQ:{ *:[Other] }) - Complexity = 16
                // Dst: (ANYTRUE:{ *:[i32] } ?:{ *:[v4i32] }:$x)
/* 13369*/     0, /*End of Scope*/
/* 13370*/    /*Scope*/ 31, /*->13402*/
/* 13371*/     OPC_CheckChild1Type, MVT::v2i64,
/* 13373*/     OPC_MoveParent,
/* 13374*/     OPC_CheckType, MVT::i32,
/* 13376*/     OPC_Scope, 11, /*->13389*/ // 2 children in Scope
/* 13378*/      OPC_CheckChild1Integer, 0, 
/* 13380*/      OPC_CheckChild2CondCode, ISD::SETNE,
/* 13382*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ANYTRUE), 0,
                    MVT::i32, 1/*#Ops*/, 0, 
                // Src: (setcc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 9082:{ *:[iPTR] }, V128:{ *:[v2i64] }:$x), 0:{ *:[i32] }, SETNE:{ *:[Other] }) - Complexity = 16
                // Dst: (ANYTRUE:{ *:[i32] } ?:{ *:[v2i64] }:$x)
/* 13389*/     /*Scope*/ 11, /*->13401*/
/* 13390*/      OPC_CheckChild1Integer, 2, 
/* 13392*/      OPC_CheckChild2CondCode, ISD::SETEQ,
/* 13394*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ANYTRUE), 0,
                    MVT::i32, 1/*#Ops*/, 0, 
                // Src: (setcc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 9082:{ *:[iPTR] }, V128:{ *:[v2i64] }:$x), 1:{ *:[i32] }, SETEQ:{ *:[Other] }) - Complexity = 16
                // Dst: (ANYTRUE:{ *:[i32] } ?:{ *:[v2i64] }:$x)
/* 13401*/     0, /*End of Scope*/
/* 13402*/    0, /*End of Scope*/
/* 13403*/   /*Scope*/ 7|128,1/*135*/, /*->13540*/
/* 13405*/    OPC_CheckChild0Integer, 114|128,13|128,1/*18162*/, 
/* 13409*/    OPC_RecordChild1, // #0 = $x
/* 13410*/    OPC_Scope, 31, /*->13443*/ // 4 children in Scope
/* 13412*/     OPC_CheckChild1Type, MVT::v16i8,
/* 13414*/     OPC_MoveParent,
/* 13415*/     OPC_CheckType, MVT::i32,
/* 13417*/     OPC_Scope, 11, /*->13430*/ // 2 children in Scope
/* 13419*/      OPC_CheckChild1Integer, 0, 
/* 13421*/      OPC_CheckChild2CondCode, ISD::SETNE,
/* 13423*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ALLTRUE_I8x16), 0,
                    MVT::i32, 1/*#Ops*/, 0, 
                // Src: (setcc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 9081:{ *:[iPTR] }, V128:{ *:[v16i8] }:$x), 0:{ *:[i32] }, SETNE:{ *:[Other] }) - Complexity = 16
                // Dst: (ALLTRUE_I8x16:{ *:[i32] } ?:{ *:[v16i8] }:$x)
/* 13430*/     /*Scope*/ 11, /*->13442*/
/* 13431*/      OPC_CheckChild1Integer, 2, 
/* 13433*/      OPC_CheckChild2CondCode, ISD::SETEQ,
/* 13435*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ALLTRUE_I8x16), 0,
                    MVT::i32, 1/*#Ops*/, 0, 
                // Src: (setcc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 9081:{ *:[iPTR] }, V128:{ *:[v16i8] }:$x), 1:{ *:[i32] }, SETEQ:{ *:[Other] }) - Complexity = 16
                // Dst: (ALLTRUE_I8x16:{ *:[i32] } ?:{ *:[v16i8] }:$x)
/* 13442*/     0, /*End of Scope*/
/* 13443*/    /*Scope*/ 31, /*->13475*/
/* 13444*/     OPC_CheckChild1Type, MVT::v8i16,
/* 13446*/     OPC_MoveParent,
/* 13447*/     OPC_CheckType, MVT::i32,
/* 13449*/     OPC_Scope, 11, /*->13462*/ // 2 children in Scope
/* 13451*/      OPC_CheckChild1Integer, 0, 
/* 13453*/      OPC_CheckChild2CondCode, ISD::SETNE,
/* 13455*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ALLTRUE_I16x8), 0,
                    MVT::i32, 1/*#Ops*/, 0, 
                // Src: (setcc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 9081:{ *:[iPTR] }, V128:{ *:[v8i16] }:$x), 0:{ *:[i32] }, SETNE:{ *:[Other] }) - Complexity = 16
                // Dst: (ALLTRUE_I16x8:{ *:[i32] } ?:{ *:[v8i16] }:$x)
/* 13462*/     /*Scope*/ 11, /*->13474*/
/* 13463*/      OPC_CheckChild1Integer, 2, 
/* 13465*/      OPC_CheckChild2CondCode, ISD::SETEQ,
/* 13467*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ALLTRUE_I16x8), 0,
                    MVT::i32, 1/*#Ops*/, 0, 
                // Src: (setcc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 9081:{ *:[iPTR] }, V128:{ *:[v8i16] }:$x), 1:{ *:[i32] }, SETEQ:{ *:[Other] }) - Complexity = 16
                // Dst: (ALLTRUE_I16x8:{ *:[i32] } ?:{ *:[v8i16] }:$x)
/* 13474*/     0, /*End of Scope*/
/* 13475*/    /*Scope*/ 31, /*->13507*/
/* 13476*/     OPC_CheckChild1Type, MVT::v4i32,
/* 13478*/     OPC_MoveParent,
/* 13479*/     OPC_CheckType, MVT::i32,
/* 13481*/     OPC_Scope, 11, /*->13494*/ // 2 children in Scope
/* 13483*/      OPC_CheckChild1Integer, 0, 
/* 13485*/      OPC_CheckChild2CondCode, ISD::SETNE,
/* 13487*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ALLTRUE_I32x4), 0,
                    MVT::i32, 1/*#Ops*/, 0, 
                // Src: (setcc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 9081:{ *:[iPTR] }, V128:{ *:[v4i32] }:$x), 0:{ *:[i32] }, SETNE:{ *:[Other] }) - Complexity = 16
                // Dst: (ALLTRUE_I32x4:{ *:[i32] } ?:{ *:[v4i32] }:$x)
/* 13494*/     /*Scope*/ 11, /*->13506*/
/* 13495*/      OPC_CheckChild1Integer, 2, 
/* 13497*/      OPC_CheckChild2CondCode, ISD::SETEQ,
/* 13499*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ALLTRUE_I32x4), 0,
                    MVT::i32, 1/*#Ops*/, 0, 
                // Src: (setcc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 9081:{ *:[iPTR] }, V128:{ *:[v4i32] }:$x), 1:{ *:[i32] }, SETEQ:{ *:[Other] }) - Complexity = 16
                // Dst: (ALLTRUE_I32x4:{ *:[i32] } ?:{ *:[v4i32] }:$x)
/* 13506*/     0, /*End of Scope*/
/* 13507*/    /*Scope*/ 31, /*->13539*/
/* 13508*/     OPC_CheckChild1Type, MVT::v2i64,
/* 13510*/     OPC_MoveParent,
/* 13511*/     OPC_CheckType, MVT::i32,
/* 13513*/     OPC_Scope, 11, /*->13526*/ // 2 children in Scope
/* 13515*/      OPC_CheckChild1Integer, 0, 
/* 13517*/      OPC_CheckChild2CondCode, ISD::SETNE,
/* 13519*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ALLTRUE_I64x2), 0,
                    MVT::i32, 1/*#Ops*/, 0, 
                // Src: (setcc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 9081:{ *:[iPTR] }, V128:{ *:[v2i64] }:$x), 0:{ *:[i32] }, SETNE:{ *:[Other] }) - Complexity = 16
                // Dst: (ALLTRUE_I64x2:{ *:[i32] } ?:{ *:[v2i64] }:$x)
/* 13526*/     /*Scope*/ 11, /*->13538*/
/* 13527*/      OPC_CheckChild1Integer, 2, 
/* 13529*/      OPC_CheckChild2CondCode, ISD::SETEQ,
/* 13531*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ALLTRUE_I64x2), 0,
                    MVT::i32, 1/*#Ops*/, 0, 
                // Src: (setcc:{ *:[i32] } (intrinsic_wo_chain:{ *:[i32] } 9081:{ *:[iPTR] }, V128:{ *:[v2i64] }:$x), 1:{ *:[i32] }, SETEQ:{ *:[Other] }) - Complexity = 16
                // Dst: (ALLTRUE_I64x2:{ *:[i32] } ?:{ *:[v2i64] }:$x)
/* 13538*/     0, /*End of Scope*/
/* 13539*/    0, /*End of Scope*/
/* 13540*/   0, /*End of Scope*/
/* 13541*/  /*Scope*/ 79|128,10/*1359*/, /*->14902*/
/* 13543*/   OPC_RecordChild0, // #0 = $src
/* 13544*/   OPC_SwitchType /*5 cases */, 32|128,4/*544*/, MVT::i32,// ->14092
/* 13548*/    OPC_Scope, 2|128,1/*130*/, /*->13681*/ // 4 children in Scope
/* 13551*/     OPC_CheckChild0Type, MVT::i32,
/* 13553*/     OPC_Scope, 11, /*->13566*/ // 2 children in Scope
/* 13555*/      OPC_CheckChild1Integer, 0, 
/* 13557*/      OPC_CheckChild2CondCode, ISD::SETEQ,
/* 13559*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::EQZ_I32), 0,
                    MVT::i32, 1/*#Ops*/, 0, 
                // Src: (setcc:{ *:[i32] } I32:{ *:[i32] }:$src, 0:{ *:[i32] }, SETEQ:{ *:[Other] }) - Complexity = 8
                // Dst: (EQZ_I32:{ *:[i32] } I32:{ *:[i32] }:$src)
/* 13566*/     /*Scope*/ 113, /*->13680*/
/* 13567*/      OPC_RecordChild1, // #1 = $rhs
/* 13568*/      OPC_Scope, 10, /*->13580*/ // 10 children in Scope
/* 13570*/       OPC_CheckChild2CondCode, ISD::SETEQ,
/* 13572*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::EQ_I32), 0,
                     MVT::i32, 2/*#Ops*/, 0, 1, 
                 // Src: (setcc:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs, SETEQ:{ *:[Other] }) - Complexity = 3
                 // Dst: (EQ_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/* 13580*/      /*Scope*/ 10, /*->13591*/
/* 13581*/       OPC_CheckChild2CondCode, ISD::SETNE,
/* 13583*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::NE_I32), 0,
                     MVT::i32, 2/*#Ops*/, 0, 1, 
                 // Src: (setcc:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs, SETNE:{ *:[Other] }) - Complexity = 3
                 // Dst: (NE_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/* 13591*/      /*Scope*/ 10, /*->13602*/
/* 13592*/       OPC_CheckChild2CondCode, ISD::SETLT,
/* 13594*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LT_S_I32), 0,
                     MVT::i32, 2/*#Ops*/, 0, 1, 
                 // Src: (setcc:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs, SETLT:{ *:[Other] }) - Complexity = 3
                 // Dst: (LT_S_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/* 13602*/      /*Scope*/ 10, /*->13613*/
/* 13603*/       OPC_CheckChild2CondCode, ISD::SETULT,
/* 13605*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LT_U_I32), 0,
                     MVT::i32, 2/*#Ops*/, 0, 1, 
                 // Src: (setcc:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs, SETULT:{ *:[Other] }) - Complexity = 3
                 // Dst: (LT_U_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/* 13613*/      /*Scope*/ 10, /*->13624*/
/* 13614*/       OPC_CheckChild2CondCode, ISD::SETGT,
/* 13616*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GT_S_I32), 0,
                     MVT::i32, 2/*#Ops*/, 0, 1, 
                 // Src: (setcc:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs, SETGT:{ *:[Other] }) - Complexity = 3
                 // Dst: (GT_S_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/* 13624*/      /*Scope*/ 10, /*->13635*/
/* 13625*/       OPC_CheckChild2CondCode, ISD::SETUGT,
/* 13627*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GT_U_I32), 0,
                     MVT::i32, 2/*#Ops*/, 0, 1, 
                 // Src: (setcc:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs, SETUGT:{ *:[Other] }) - Complexity = 3
                 // Dst: (GT_U_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/* 13635*/      /*Scope*/ 10, /*->13646*/
/* 13636*/       OPC_CheckChild2CondCode, ISD::SETLE,
/* 13638*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LE_S_I32), 0,
                     MVT::i32, 2/*#Ops*/, 0, 1, 
                 // Src: (setcc:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs, SETLE:{ *:[Other] }) - Complexity = 3
                 // Dst: (LE_S_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/* 13646*/      /*Scope*/ 10, /*->13657*/
/* 13647*/       OPC_CheckChild2CondCode, ISD::SETULE,
/* 13649*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LE_U_I32), 0,
                     MVT::i32, 2/*#Ops*/, 0, 1, 
                 // Src: (setcc:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs, SETULE:{ *:[Other] }) - Complexity = 3
                 // Dst: (LE_U_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/* 13657*/      /*Scope*/ 10, /*->13668*/
/* 13658*/       OPC_CheckChild2CondCode, ISD::SETGE,
/* 13660*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GE_S_I32), 0,
                     MVT::i32, 2/*#Ops*/, 0, 1, 
                 // Src: (setcc:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs, SETGE:{ *:[Other] }) - Complexity = 3
                 // Dst: (GE_S_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/* 13668*/      /*Scope*/ 10, /*->13679*/
/* 13669*/       OPC_CheckChild2CondCode, ISD::SETUGE,
/* 13671*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GE_U_I32), 0,
                     MVT::i32, 2/*#Ops*/, 0, 1, 
                 // Src: (setcc:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs, SETUGE:{ *:[Other] }) - Complexity = 3
                 // Dst: (GE_U_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/* 13679*/      0, /*End of Scope*/
/* 13680*/     0, /*End of Scope*/
/* 13681*/    /*Scope*/ 2|128,1/*130*/, /*->13813*/
/* 13683*/     OPC_CheckChild0Type, MVT::i64,
/* 13685*/     OPC_Scope, 11, /*->13698*/ // 2 children in Scope
/* 13687*/      OPC_CheckChild1Integer, 0, 
/* 13689*/      OPC_CheckChild2CondCode, ISD::SETEQ,
/* 13691*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::EQZ_I64), 0,
                    MVT::i32, 1/*#Ops*/, 0, 
                // Src: (setcc:{ *:[i32] } I64:{ *:[i64] }:$src, 0:{ *:[i64] }, SETEQ:{ *:[Other] }) - Complexity = 8
                // Dst: (EQZ_I64:{ *:[i32] } I64:{ *:[i64] }:$src)
/* 13698*/     /*Scope*/ 113, /*->13812*/
/* 13699*/      OPC_RecordChild1, // #1 = $rhs
/* 13700*/      OPC_Scope, 10, /*->13712*/ // 10 children in Scope
/* 13702*/       OPC_CheckChild2CondCode, ISD::SETEQ,
/* 13704*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::EQ_I64), 0,
                     MVT::i32, 2/*#Ops*/, 0, 1, 
                 // Src: (setcc:{ *:[i32] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs, SETEQ:{ *:[Other] }) - Complexity = 3
                 // Dst: (EQ_I64:{ *:[i32] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs)
/* 13712*/      /*Scope*/ 10, /*->13723*/
/* 13713*/       OPC_CheckChild2CondCode, ISD::SETNE,
/* 13715*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::NE_I64), 0,
                     MVT::i32, 2/*#Ops*/, 0, 1, 
                 // Src: (setcc:{ *:[i32] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs, SETNE:{ *:[Other] }) - Complexity = 3
                 // Dst: (NE_I64:{ *:[i32] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs)
/* 13723*/      /*Scope*/ 10, /*->13734*/
/* 13724*/       OPC_CheckChild2CondCode, ISD::SETLT,
/* 13726*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LT_S_I64), 0,
                     MVT::i32, 2/*#Ops*/, 0, 1, 
                 // Src: (setcc:{ *:[i32] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs, SETLT:{ *:[Other] }) - Complexity = 3
                 // Dst: (LT_S_I64:{ *:[i32] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs)
/* 13734*/      /*Scope*/ 10, /*->13745*/
/* 13735*/       OPC_CheckChild2CondCode, ISD::SETULT,
/* 13737*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LT_U_I64), 0,
                     MVT::i32, 2/*#Ops*/, 0, 1, 
                 // Src: (setcc:{ *:[i32] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs, SETULT:{ *:[Other] }) - Complexity = 3
                 // Dst: (LT_U_I64:{ *:[i32] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs)
/* 13745*/      /*Scope*/ 10, /*->13756*/
/* 13746*/       OPC_CheckChild2CondCode, ISD::SETGT,
/* 13748*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GT_S_I64), 0,
                     MVT::i32, 2/*#Ops*/, 0, 1, 
                 // Src: (setcc:{ *:[i32] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs, SETGT:{ *:[Other] }) - Complexity = 3
                 // Dst: (GT_S_I64:{ *:[i32] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs)
/* 13756*/      /*Scope*/ 10, /*->13767*/
/* 13757*/       OPC_CheckChild2CondCode, ISD::SETUGT,
/* 13759*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GT_U_I64), 0,
                     MVT::i32, 2/*#Ops*/, 0, 1, 
                 // Src: (setcc:{ *:[i32] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs, SETUGT:{ *:[Other] }) - Complexity = 3
                 // Dst: (GT_U_I64:{ *:[i32] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs)
/* 13767*/      /*Scope*/ 10, /*->13778*/
/* 13768*/       OPC_CheckChild2CondCode, ISD::SETLE,
/* 13770*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LE_S_I64), 0,
                     MVT::i32, 2/*#Ops*/, 0, 1, 
                 // Src: (setcc:{ *:[i32] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs, SETLE:{ *:[Other] }) - Complexity = 3
                 // Dst: (LE_S_I64:{ *:[i32] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs)
/* 13778*/      /*Scope*/ 10, /*->13789*/
/* 13779*/       OPC_CheckChild2CondCode, ISD::SETULE,
/* 13781*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LE_U_I64), 0,
                     MVT::i32, 2/*#Ops*/, 0, 1, 
                 // Src: (setcc:{ *:[i32] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs, SETULE:{ *:[Other] }) - Complexity = 3
                 // Dst: (LE_U_I64:{ *:[i32] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs)
/* 13789*/      /*Scope*/ 10, /*->13800*/
/* 13790*/       OPC_CheckChild2CondCode, ISD::SETGE,
/* 13792*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GE_S_I64), 0,
                     MVT::i32, 2/*#Ops*/, 0, 1, 
                 // Src: (setcc:{ *:[i32] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs, SETGE:{ *:[Other] }) - Complexity = 3
                 // Dst: (GE_S_I64:{ *:[i32] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs)
/* 13800*/      /*Scope*/ 10, /*->13811*/
/* 13801*/       OPC_CheckChild2CondCode, ISD::SETUGE,
/* 13803*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GE_U_I64), 0,
                     MVT::i32, 2/*#Ops*/, 0, 1, 
                 // Src: (setcc:{ *:[i32] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs, SETUGE:{ *:[Other] }) - Complexity = 3
                 // Dst: (GE_U_I64:{ *:[i32] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs)
/* 13811*/      0, /*End of Scope*/
/* 13812*/     0, /*End of Scope*/
/* 13813*/    /*Scope*/ 9|128,1/*137*/, /*->13952*/
/* 13815*/     OPC_CheckChild0Type, MVT::f32,
/* 13817*/     OPC_RecordChild1, // #1 = $rhs
/* 13818*/     OPC_Scope, 10, /*->13830*/ // 12 children in Scope
/* 13820*/      OPC_CheckChild2CondCode, ISD::SETOEQ,
/* 13822*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::EQ_F32), 0,
                    MVT::i32, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[i32] } F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs, SETOEQ:{ *:[Other] }) - Complexity = 3
                // Dst: (EQ_F32:{ *:[i32] } F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs)
/* 13830*/     /*Scope*/ 10, /*->13841*/
/* 13831*/      OPC_CheckChild2CondCode, ISD::SETUNE,
/* 13833*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::NE_F32), 0,
                    MVT::i32, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[i32] } F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs, SETUNE:{ *:[Other] }) - Complexity = 3
                // Dst: (NE_F32:{ *:[i32] } F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs)
/* 13841*/     /*Scope*/ 10, /*->13852*/
/* 13842*/      OPC_CheckChild2CondCode, ISD::SETOLT,
/* 13844*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LT_F32), 0,
                    MVT::i32, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[i32] } F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs, SETOLT:{ *:[Other] }) - Complexity = 3
                // Dst: (LT_F32:{ *:[i32] } F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs)
/* 13852*/     /*Scope*/ 10, /*->13863*/
/* 13853*/      OPC_CheckChild2CondCode, ISD::SETOLE,
/* 13855*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LE_F32), 0,
                    MVT::i32, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[i32] } F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs, SETOLE:{ *:[Other] }) - Complexity = 3
                // Dst: (LE_F32:{ *:[i32] } F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs)
/* 13863*/     /*Scope*/ 10, /*->13874*/
/* 13864*/      OPC_CheckChild2CondCode, ISD::SETOGT,
/* 13866*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GT_F32), 0,
                    MVT::i32, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[i32] } F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs, SETOGT:{ *:[Other] }) - Complexity = 3
                // Dst: (GT_F32:{ *:[i32] } F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs)
/* 13874*/     /*Scope*/ 10, /*->13885*/
/* 13875*/      OPC_CheckChild2CondCode, ISD::SETOGE,
/* 13877*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GE_F32), 0,
                    MVT::i32, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[i32] } F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs, SETOGE:{ *:[Other] }) - Complexity = 3
                // Dst: (GE_F32:{ *:[i32] } F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs)
/* 13885*/     /*Scope*/ 10, /*->13896*/
/* 13886*/      OPC_CheckChild2CondCode, ISD::SETEQ,
/* 13888*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::EQ_F32), 0,
                    MVT::i32, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[i32] } f32:{ *:[f32] }:$lhs, f32:{ *:[f32] }:$rhs, SETEQ:{ *:[Other] }) - Complexity = 3
                // Dst: (EQ_F32:{ *:[i32] } f32:{ *:[f32] }:$lhs, f32:{ *:[f32] }:$rhs)
/* 13896*/     /*Scope*/ 10, /*->13907*/
/* 13897*/      OPC_CheckChild2CondCode, ISD::SETNE,
/* 13899*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::NE_F32), 0,
                    MVT::i32, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[i32] } f32:{ *:[f32] }:$lhs, f32:{ *:[f32] }:$rhs, SETNE:{ *:[Other] }) - Complexity = 3
                // Dst: (NE_F32:{ *:[i32] } f32:{ *:[f32] }:$lhs, f32:{ *:[f32] }:$rhs)
/* 13907*/     /*Scope*/ 10, /*->13918*/
/* 13908*/      OPC_CheckChild2CondCode, ISD::SETLT,
/* 13910*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LT_F32), 0,
                    MVT::i32, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[i32] } f32:{ *:[f32] }:$lhs, f32:{ *:[f32] }:$rhs, SETLT:{ *:[Other] }) - Complexity = 3
                // Dst: (LT_F32:{ *:[i32] } f32:{ *:[f32] }:$lhs, f32:{ *:[f32] }:$rhs)
/* 13918*/     /*Scope*/ 10, /*->13929*/
/* 13919*/      OPC_CheckChild2CondCode, ISD::SETLE,
/* 13921*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LE_F32), 0,
                    MVT::i32, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[i32] } f32:{ *:[f32] }:$lhs, f32:{ *:[f32] }:$rhs, SETLE:{ *:[Other] }) - Complexity = 3
                // Dst: (LE_F32:{ *:[i32] } f32:{ *:[f32] }:$lhs, f32:{ *:[f32] }:$rhs)
/* 13929*/     /*Scope*/ 10, /*->13940*/
/* 13930*/      OPC_CheckChild2CondCode, ISD::SETGT,
/* 13932*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GT_F32), 0,
                    MVT::i32, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[i32] } f32:{ *:[f32] }:$lhs, f32:{ *:[f32] }:$rhs, SETGT:{ *:[Other] }) - Complexity = 3
                // Dst: (GT_F32:{ *:[i32] } f32:{ *:[f32] }:$lhs, f32:{ *:[f32] }:$rhs)
/* 13940*/     /*Scope*/ 10, /*->13951*/
/* 13941*/      OPC_CheckChild2CondCode, ISD::SETGE,
/* 13943*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GE_F32), 0,
                    MVT::i32, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[i32] } f32:{ *:[f32] }:$lhs, f32:{ *:[f32] }:$rhs, SETGE:{ *:[Other] }) - Complexity = 3
                // Dst: (GE_F32:{ *:[i32] } f32:{ *:[f32] }:$lhs, f32:{ *:[f32] }:$rhs)
/* 13951*/     0, /*End of Scope*/
/* 13952*/    /*Scope*/ 9|128,1/*137*/, /*->14091*/
/* 13954*/     OPC_CheckChild0Type, MVT::f64,
/* 13956*/     OPC_RecordChild1, // #1 = $rhs
/* 13957*/     OPC_Scope, 10, /*->13969*/ // 12 children in Scope
/* 13959*/      OPC_CheckChild2CondCode, ISD::SETOEQ,
/* 13961*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::EQ_F64), 0,
                    MVT::i32, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[i32] } F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs, SETOEQ:{ *:[Other] }) - Complexity = 3
                // Dst: (EQ_F64:{ *:[i32] } F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs)
/* 13969*/     /*Scope*/ 10, /*->13980*/
/* 13970*/      OPC_CheckChild2CondCode, ISD::SETUNE,
/* 13972*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::NE_F64), 0,
                    MVT::i32, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[i32] } F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs, SETUNE:{ *:[Other] }) - Complexity = 3
                // Dst: (NE_F64:{ *:[i32] } F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs)
/* 13980*/     /*Scope*/ 10, /*->13991*/
/* 13981*/      OPC_CheckChild2CondCode, ISD::SETOLT,
/* 13983*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LT_F64), 0,
                    MVT::i32, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[i32] } F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs, SETOLT:{ *:[Other] }) - Complexity = 3
                // Dst: (LT_F64:{ *:[i32] } F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs)
/* 13991*/     /*Scope*/ 10, /*->14002*/
/* 13992*/      OPC_CheckChild2CondCode, ISD::SETOLE,
/* 13994*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LE_F64), 0,
                    MVT::i32, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[i32] } F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs, SETOLE:{ *:[Other] }) - Complexity = 3
                // Dst: (LE_F64:{ *:[i32] } F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs)
/* 14002*/     /*Scope*/ 10, /*->14013*/
/* 14003*/      OPC_CheckChild2CondCode, ISD::SETOGT,
/* 14005*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GT_F64), 0,
                    MVT::i32, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[i32] } F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs, SETOGT:{ *:[Other] }) - Complexity = 3
                // Dst: (GT_F64:{ *:[i32] } F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs)
/* 14013*/     /*Scope*/ 10, /*->14024*/
/* 14014*/      OPC_CheckChild2CondCode, ISD::SETOGE,
/* 14016*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GE_F64), 0,
                    MVT::i32, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[i32] } F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs, SETOGE:{ *:[Other] }) - Complexity = 3
                // Dst: (GE_F64:{ *:[i32] } F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs)
/* 14024*/     /*Scope*/ 10, /*->14035*/
/* 14025*/      OPC_CheckChild2CondCode, ISD::SETEQ,
/* 14027*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::EQ_F64), 0,
                    MVT::i32, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[i32] } f64:{ *:[f64] }:$lhs, f64:{ *:[f64] }:$rhs, SETEQ:{ *:[Other] }) - Complexity = 3
                // Dst: (EQ_F64:{ *:[i32] } f64:{ *:[f64] }:$lhs, f64:{ *:[f64] }:$rhs)
/* 14035*/     /*Scope*/ 10, /*->14046*/
/* 14036*/      OPC_CheckChild2CondCode, ISD::SETNE,
/* 14038*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::NE_F64), 0,
                    MVT::i32, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[i32] } f64:{ *:[f64] }:$lhs, f64:{ *:[f64] }:$rhs, SETNE:{ *:[Other] }) - Complexity = 3
                // Dst: (NE_F64:{ *:[i32] } f64:{ *:[f64] }:$lhs, f64:{ *:[f64] }:$rhs)
/* 14046*/     /*Scope*/ 10, /*->14057*/
/* 14047*/      OPC_CheckChild2CondCode, ISD::SETLT,
/* 14049*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LT_F64), 0,
                    MVT::i32, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[i32] } f64:{ *:[f64] }:$lhs, f64:{ *:[f64] }:$rhs, SETLT:{ *:[Other] }) - Complexity = 3
                // Dst: (LT_F64:{ *:[i32] } f64:{ *:[f64] }:$lhs, f64:{ *:[f64] }:$rhs)
/* 14057*/     /*Scope*/ 10, /*->14068*/
/* 14058*/      OPC_CheckChild2CondCode, ISD::SETLE,
/* 14060*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LE_F64), 0,
                    MVT::i32, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[i32] } f64:{ *:[f64] }:$lhs, f64:{ *:[f64] }:$rhs, SETLE:{ *:[Other] }) - Complexity = 3
                // Dst: (LE_F64:{ *:[i32] } f64:{ *:[f64] }:$lhs, f64:{ *:[f64] }:$rhs)
/* 14068*/     /*Scope*/ 10, /*->14079*/
/* 14069*/      OPC_CheckChild2CondCode, ISD::SETGT,
/* 14071*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GT_F64), 0,
                    MVT::i32, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[i32] } f64:{ *:[f64] }:$lhs, f64:{ *:[f64] }:$rhs, SETGT:{ *:[Other] }) - Complexity = 3
                // Dst: (GT_F64:{ *:[i32] } f64:{ *:[f64] }:$lhs, f64:{ *:[f64] }:$rhs)
/* 14079*/     /*Scope*/ 10, /*->14090*/
/* 14080*/      OPC_CheckChild2CondCode, ISD::SETGE,
/* 14082*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GE_F64), 0,
                    MVT::i32, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[i32] } f64:{ *:[f64] }:$lhs, f64:{ *:[f64] }:$rhs, SETGE:{ *:[Other] }) - Complexity = 3
                // Dst: (GE_F64:{ *:[i32] } f64:{ *:[f64] }:$lhs, f64:{ *:[f64] }:$rhs)
/* 14090*/     0, /*End of Scope*/
/* 14091*/    0, /*End of Scope*/
/* 14092*/   /*SwitchType*/ 7|128,1/*135*/, MVT::v16i8,// ->14230
/* 14095*/    OPC_CheckChild0Type, MVT::v16i8,
/* 14097*/    OPC_RecordChild1, // #1 = $rhs
/* 14098*/    OPC_Scope, 12, /*->14112*/ // 10 children in Scope
/* 14100*/     OPC_CheckChild2CondCode, ISD::SETEQ,
/* 14102*/     OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 14104*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::EQ_I8x16), 0,
                   MVT::v16i8, 2/*#Ops*/, 0, 1, 
               // Src: (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs, SETEQ:{ *:[Other] }) - Complexity = 3
               // Dst: (EQ_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs)
/* 14112*/    /*Scope*/ 12, /*->14125*/
/* 14113*/     OPC_CheckChild2CondCode, ISD::SETNE,
/* 14115*/     OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 14117*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::NE_I8x16), 0,
                   MVT::v16i8, 2/*#Ops*/, 0, 1, 
               // Src: (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs, SETNE:{ *:[Other] }) - Complexity = 3
               // Dst: (NE_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs)
/* 14125*/    /*Scope*/ 12, /*->14138*/
/* 14126*/     OPC_CheckChild2CondCode, ISD::SETLT,
/* 14128*/     OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 14130*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LT_S_I8x16), 0,
                   MVT::v16i8, 2/*#Ops*/, 0, 1, 
               // Src: (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs, SETLT:{ *:[Other] }) - Complexity = 3
               // Dst: (LT_S_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs)
/* 14138*/    /*Scope*/ 12, /*->14151*/
/* 14139*/     OPC_CheckChild2CondCode, ISD::SETULT,
/* 14141*/     OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 14143*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LT_U_I8x16), 0,
                   MVT::v16i8, 2/*#Ops*/, 0, 1, 
               // Src: (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs, SETULT:{ *:[Other] }) - Complexity = 3
               // Dst: (LT_U_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs)
/* 14151*/    /*Scope*/ 12, /*->14164*/
/* 14152*/     OPC_CheckChild2CondCode, ISD::SETGT,
/* 14154*/     OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 14156*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GT_S_I8x16), 0,
                   MVT::v16i8, 2/*#Ops*/, 0, 1, 
               // Src: (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs, SETGT:{ *:[Other] }) - Complexity = 3
               // Dst: (GT_S_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs)
/* 14164*/    /*Scope*/ 12, /*->14177*/
/* 14165*/     OPC_CheckChild2CondCode, ISD::SETUGT,
/* 14167*/     OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 14169*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GT_U_I8x16), 0,
                   MVT::v16i8, 2/*#Ops*/, 0, 1, 
               // Src: (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs, SETUGT:{ *:[Other] }) - Complexity = 3
               // Dst: (GT_U_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs)
/* 14177*/    /*Scope*/ 12, /*->14190*/
/* 14178*/     OPC_CheckChild2CondCode, ISD::SETLE,
/* 14180*/     OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 14182*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LE_S_I8x16), 0,
                   MVT::v16i8, 2/*#Ops*/, 0, 1, 
               // Src: (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs, SETLE:{ *:[Other] }) - Complexity = 3
               // Dst: (LE_S_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs)
/* 14190*/    /*Scope*/ 12, /*->14203*/
/* 14191*/     OPC_CheckChild2CondCode, ISD::SETULE,
/* 14193*/     OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 14195*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LE_U_I8x16), 0,
                   MVT::v16i8, 2/*#Ops*/, 0, 1, 
               // Src: (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs, SETULE:{ *:[Other] }) - Complexity = 3
               // Dst: (LE_U_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs)
/* 14203*/    /*Scope*/ 12, /*->14216*/
/* 14204*/     OPC_CheckChild2CondCode, ISD::SETGE,
/* 14206*/     OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 14208*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GE_S_I8x16), 0,
                   MVT::v16i8, 2/*#Ops*/, 0, 1, 
               // Src: (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs, SETGE:{ *:[Other] }) - Complexity = 3
               // Dst: (GE_S_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs)
/* 14216*/    /*Scope*/ 12, /*->14229*/
/* 14217*/     OPC_CheckChild2CondCode, ISD::SETUGE,
/* 14219*/     OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 14221*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GE_U_I8x16), 0,
                   MVT::v16i8, 2/*#Ops*/, 0, 1, 
               // Src: (setcc:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs, SETUGE:{ *:[Other] }) - Complexity = 3
               // Dst: (GE_U_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs)
/* 14229*/    0, /*End of Scope*/
/* 14230*/   /*SwitchType*/ 7|128,1/*135*/, MVT::v8i16,// ->14368
/* 14233*/    OPC_CheckChild0Type, MVT::v8i16,
/* 14235*/    OPC_RecordChild1, // #1 = $rhs
/* 14236*/    OPC_Scope, 12, /*->14250*/ // 10 children in Scope
/* 14238*/     OPC_CheckChild2CondCode, ISD::SETEQ,
/* 14240*/     OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 14242*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::EQ_I16x8), 0,
                   MVT::v8i16, 2/*#Ops*/, 0, 1, 
               // Src: (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs, SETEQ:{ *:[Other] }) - Complexity = 3
               // Dst: (EQ_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)
/* 14250*/    /*Scope*/ 12, /*->14263*/
/* 14251*/     OPC_CheckChild2CondCode, ISD::SETNE,
/* 14253*/     OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 14255*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::NE_I16x8), 0,
                   MVT::v8i16, 2/*#Ops*/, 0, 1, 
               // Src: (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs, SETNE:{ *:[Other] }) - Complexity = 3
               // Dst: (NE_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)
/* 14263*/    /*Scope*/ 12, /*->14276*/
/* 14264*/     OPC_CheckChild2CondCode, ISD::SETLT,
/* 14266*/     OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 14268*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LT_S_I16x8), 0,
                   MVT::v8i16, 2/*#Ops*/, 0, 1, 
               // Src: (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs, SETLT:{ *:[Other] }) - Complexity = 3
               // Dst: (LT_S_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)
/* 14276*/    /*Scope*/ 12, /*->14289*/
/* 14277*/     OPC_CheckChild2CondCode, ISD::SETULT,
/* 14279*/     OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 14281*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LT_U_I16x8), 0,
                   MVT::v8i16, 2/*#Ops*/, 0, 1, 
               // Src: (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs, SETULT:{ *:[Other] }) - Complexity = 3
               // Dst: (LT_U_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)
/* 14289*/    /*Scope*/ 12, /*->14302*/
/* 14290*/     OPC_CheckChild2CondCode, ISD::SETGT,
/* 14292*/     OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 14294*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GT_S_I16x8), 0,
                   MVT::v8i16, 2/*#Ops*/, 0, 1, 
               // Src: (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs, SETGT:{ *:[Other] }) - Complexity = 3
               // Dst: (GT_S_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)
/* 14302*/    /*Scope*/ 12, /*->14315*/
/* 14303*/     OPC_CheckChild2CondCode, ISD::SETUGT,
/* 14305*/     OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 14307*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GT_U_I16x8), 0,
                   MVT::v8i16, 2/*#Ops*/, 0, 1, 
               // Src: (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs, SETUGT:{ *:[Other] }) - Complexity = 3
               // Dst: (GT_U_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)
/* 14315*/    /*Scope*/ 12, /*->14328*/
/* 14316*/     OPC_CheckChild2CondCode, ISD::SETLE,
/* 14318*/     OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 14320*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LE_S_I16x8), 0,
                   MVT::v8i16, 2/*#Ops*/, 0, 1, 
               // Src: (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs, SETLE:{ *:[Other] }) - Complexity = 3
               // Dst: (LE_S_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)
/* 14328*/    /*Scope*/ 12, /*->14341*/
/* 14329*/     OPC_CheckChild2CondCode, ISD::SETULE,
/* 14331*/     OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 14333*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LE_U_I16x8), 0,
                   MVT::v8i16, 2/*#Ops*/, 0, 1, 
               // Src: (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs, SETULE:{ *:[Other] }) - Complexity = 3
               // Dst: (LE_U_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)
/* 14341*/    /*Scope*/ 12, /*->14354*/
/* 14342*/     OPC_CheckChild2CondCode, ISD::SETGE,
/* 14344*/     OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 14346*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GE_S_I16x8), 0,
                   MVT::v8i16, 2/*#Ops*/, 0, 1, 
               // Src: (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs, SETGE:{ *:[Other] }) - Complexity = 3
               // Dst: (GE_S_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)
/* 14354*/    /*Scope*/ 12, /*->14367*/
/* 14355*/     OPC_CheckChild2CondCode, ISD::SETUGE,
/* 14357*/     OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 14359*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GE_U_I16x8), 0,
                   MVT::v8i16, 2/*#Ops*/, 0, 1, 
               // Src: (setcc:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs, SETUGE:{ *:[Other] }) - Complexity = 3
               // Dst: (GE_U_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)
/* 14367*/    0, /*End of Scope*/
/* 14368*/   /*SwitchType*/ 34|128,2/*290*/, MVT::v4i32,// ->14661
/* 14371*/    OPC_Scope, 7|128,1/*135*/, /*->14509*/ // 2 children in Scope
/* 14374*/     OPC_CheckChild0Type, MVT::v4i32,
/* 14376*/     OPC_RecordChild1, // #1 = $rhs
/* 14377*/     OPC_Scope, 12, /*->14391*/ // 10 children in Scope
/* 14379*/      OPC_CheckChild2CondCode, ISD::SETEQ,
/* 14381*/      OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 14383*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::EQ_I32x4), 0,
                    MVT::v4i32, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs, SETEQ:{ *:[Other] }) - Complexity = 3
                // Dst: (EQ_I32x4:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs)
/* 14391*/     /*Scope*/ 12, /*->14404*/
/* 14392*/      OPC_CheckChild2CondCode, ISD::SETNE,
/* 14394*/      OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 14396*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::NE_I32x4), 0,
                    MVT::v4i32, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs, SETNE:{ *:[Other] }) - Complexity = 3
                // Dst: (NE_I32x4:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs)
/* 14404*/     /*Scope*/ 12, /*->14417*/
/* 14405*/      OPC_CheckChild2CondCode, ISD::SETLT,
/* 14407*/      OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 14409*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LT_S_I32x4), 0,
                    MVT::v4i32, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs, SETLT:{ *:[Other] }) - Complexity = 3
                // Dst: (LT_S_I32x4:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs)
/* 14417*/     /*Scope*/ 12, /*->14430*/
/* 14418*/      OPC_CheckChild2CondCode, ISD::SETULT,
/* 14420*/      OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 14422*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LT_U_I32x4), 0,
                    MVT::v4i32, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs, SETULT:{ *:[Other] }) - Complexity = 3
                // Dst: (LT_U_I32x4:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs)
/* 14430*/     /*Scope*/ 12, /*->14443*/
/* 14431*/      OPC_CheckChild2CondCode, ISD::SETGT,
/* 14433*/      OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 14435*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GT_S_I32x4), 0,
                    MVT::v4i32, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs, SETGT:{ *:[Other] }) - Complexity = 3
                // Dst: (GT_S_I32x4:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs)
/* 14443*/     /*Scope*/ 12, /*->14456*/
/* 14444*/      OPC_CheckChild2CondCode, ISD::SETUGT,
/* 14446*/      OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 14448*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GT_U_I32x4), 0,
                    MVT::v4i32, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs, SETUGT:{ *:[Other] }) - Complexity = 3
                // Dst: (GT_U_I32x4:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs)
/* 14456*/     /*Scope*/ 12, /*->14469*/
/* 14457*/      OPC_CheckChild2CondCode, ISD::SETLE,
/* 14459*/      OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 14461*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LE_S_I32x4), 0,
                    MVT::v4i32, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs, SETLE:{ *:[Other] }) - Complexity = 3
                // Dst: (LE_S_I32x4:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs)
/* 14469*/     /*Scope*/ 12, /*->14482*/
/* 14470*/      OPC_CheckChild2CondCode, ISD::SETULE,
/* 14472*/      OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 14474*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LE_U_I32x4), 0,
                    MVT::v4i32, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs, SETULE:{ *:[Other] }) - Complexity = 3
                // Dst: (LE_U_I32x4:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs)
/* 14482*/     /*Scope*/ 12, /*->14495*/
/* 14483*/      OPC_CheckChild2CondCode, ISD::SETGE,
/* 14485*/      OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 14487*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GE_S_I32x4), 0,
                    MVT::v4i32, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs, SETGE:{ *:[Other] }) - Complexity = 3
                // Dst: (GE_S_I32x4:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs)
/* 14495*/     /*Scope*/ 12, /*->14508*/
/* 14496*/      OPC_CheckChild2CondCode, ISD::SETUGE,
/* 14498*/      OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 14500*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GE_U_I32x4), 0,
                    MVT::v4i32, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs, SETUGE:{ *:[Other] }) - Complexity = 3
                // Dst: (GE_U_I32x4:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs)
/* 14508*/     0, /*End of Scope*/
/* 14509*/    /*Scope*/ 21|128,1/*149*/, /*->14660*/
/* 14511*/     OPC_CheckChild0Type, MVT::v4f32,
/* 14513*/     OPC_RecordChild1, // #1 = $rhs
/* 14514*/     OPC_Scope, 12, /*->14528*/ // 12 children in Scope
/* 14516*/      OPC_CheckChild2CondCode, ISD::SETOEQ,
/* 14518*/      OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 14520*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::EQ_F32x4), 0,
                    MVT::v4i32, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v4i32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs, SETOEQ:{ *:[Other] }) - Complexity = 3
                // Dst: (EQ_F32x4:{ *:[v4i32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs)
/* 14528*/     /*Scope*/ 12, /*->14541*/
/* 14529*/      OPC_CheckChild2CondCode, ISD::SETUNE,
/* 14531*/      OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 14533*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::NE_F32x4), 0,
                    MVT::v4i32, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v4i32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs, SETUNE:{ *:[Other] }) - Complexity = 3
                // Dst: (NE_F32x4:{ *:[v4i32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs)
/* 14541*/     /*Scope*/ 12, /*->14554*/
/* 14542*/      OPC_CheckChild2CondCode, ISD::SETOLT,
/* 14544*/      OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 14546*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LT_F32x4), 0,
                    MVT::v4i32, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v4i32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs, SETOLT:{ *:[Other] }) - Complexity = 3
                // Dst: (LT_F32x4:{ *:[v4i32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs)
/* 14554*/     /*Scope*/ 12, /*->14567*/
/* 14555*/      OPC_CheckChild2CondCode, ISD::SETOGT,
/* 14557*/      OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 14559*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GT_F32x4), 0,
                    MVT::v4i32, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v4i32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs, SETOGT:{ *:[Other] }) - Complexity = 3
                // Dst: (GT_F32x4:{ *:[v4i32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs)
/* 14567*/     /*Scope*/ 12, /*->14580*/
/* 14568*/      OPC_CheckChild2CondCode, ISD::SETOLE,
/* 14570*/      OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 14572*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LE_F32x4), 0,
                    MVT::v4i32, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v4i32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs, SETOLE:{ *:[Other] }) - Complexity = 3
                // Dst: (LE_F32x4:{ *:[v4i32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs)
/* 14580*/     /*Scope*/ 12, /*->14593*/
/* 14581*/      OPC_CheckChild2CondCode, ISD::SETOGE,
/* 14583*/      OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 14585*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GE_F32x4), 0,
                    MVT::v4i32, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v4i32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs, SETOGE:{ *:[Other] }) - Complexity = 3
                // Dst: (GE_F32x4:{ *:[v4i32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs)
/* 14593*/     /*Scope*/ 10, /*->14604*/
/* 14594*/      OPC_CheckChild2CondCode, ISD::SETEQ,
/* 14596*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::EQ_F32x4), 0,
                    MVT::v4i32, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v4i32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs, SETEQ:{ *:[Other] }) - Complexity = 3
                // Dst: (EQ_F32x4:{ *:[v4i32] } ?:{ *:[v4f32] }:$lhs, ?:{ *:[v4f32] }:$rhs)
/* 14604*/     /*Scope*/ 10, /*->14615*/
/* 14605*/      OPC_CheckChild2CondCode, ISD::SETNE,
/* 14607*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::NE_F32x4), 0,
                    MVT::v4i32, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v4i32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs, SETNE:{ *:[Other] }) - Complexity = 3
                // Dst: (NE_F32x4:{ *:[v4i32] } ?:{ *:[v4f32] }:$lhs, ?:{ *:[v4f32] }:$rhs)
/* 14615*/     /*Scope*/ 10, /*->14626*/
/* 14616*/      OPC_CheckChild2CondCode, ISD::SETLT,
/* 14618*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LT_F32x4), 0,
                    MVT::v4i32, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v4i32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs, SETLT:{ *:[Other] }) - Complexity = 3
                // Dst: (LT_F32x4:{ *:[v4i32] } ?:{ *:[v4f32] }:$lhs, ?:{ *:[v4f32] }:$rhs)
/* 14626*/     /*Scope*/ 10, /*->14637*/
/* 14627*/      OPC_CheckChild2CondCode, ISD::SETGT,
/* 14629*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GT_F32x4), 0,
                    MVT::v4i32, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v4i32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs, SETGT:{ *:[Other] }) - Complexity = 3
                // Dst: (GT_F32x4:{ *:[v4i32] } ?:{ *:[v4f32] }:$lhs, ?:{ *:[v4f32] }:$rhs)
/* 14637*/     /*Scope*/ 10, /*->14648*/
/* 14638*/      OPC_CheckChild2CondCode, ISD::SETLE,
/* 14640*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LE_F32x4), 0,
                    MVT::v4i32, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v4i32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs, SETLE:{ *:[Other] }) - Complexity = 3
                // Dst: (LE_F32x4:{ *:[v4i32] } ?:{ *:[v4f32] }:$lhs, ?:{ *:[v4f32] }:$rhs)
/* 14648*/     /*Scope*/ 10, /*->14659*/
/* 14649*/      OPC_CheckChild2CondCode, ISD::SETGE,
/* 14651*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GE_F32x4), 0,
                    MVT::v4i32, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v4i32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs, SETGE:{ *:[Other] }) - Complexity = 3
                // Dst: (GE_F32x4:{ *:[v4i32] } ?:{ *:[v4f32] }:$lhs, ?:{ *:[v4f32] }:$rhs)
/* 14659*/     0, /*End of Scope*/
/* 14660*/    0, /*End of Scope*/
/* 14661*/   /*SwitchType*/ 109|128,1/*237*/, MVT::v2i64,// ->14901
/* 14664*/    OPC_Scope, 83, /*->14749*/ // 2 children in Scope
/* 14666*/     OPC_CheckChild0Type, MVT::v2i64,
/* 14668*/     OPC_RecordChild1, // #1 = $rhs
/* 14669*/     OPC_Scope, 12, /*->14683*/ // 6 children in Scope
/* 14671*/      OPC_CheckChild2CondCode, ISD::SETEQ,
/* 14673*/      OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 14675*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::EQ_I64x2), 0,
                    MVT::v2i64, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, V128:{ *:[v2i64] }:$rhs, SETEQ:{ *:[Other] }) - Complexity = 3
                // Dst: (EQ_I64x2:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, V128:{ *:[v2i64] }:$rhs)
/* 14683*/     /*Scope*/ 12, /*->14696*/
/* 14684*/      OPC_CheckChild2CondCode, ISD::SETNE,
/* 14686*/      OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 14688*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::NE_I64x2), 0,
                    MVT::v2i64, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, V128:{ *:[v2i64] }:$rhs, SETNE:{ *:[Other] }) - Complexity = 3
                // Dst: (NE_I64x2:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, V128:{ *:[v2i64] }:$rhs)
/* 14696*/     /*Scope*/ 12, /*->14709*/
/* 14697*/      OPC_CheckChild2CondCode, ISD::SETLT,
/* 14699*/      OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 14701*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LT_S_I64x2), 0,
                    MVT::v2i64, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, V128:{ *:[v2i64] }:$rhs, SETLT:{ *:[Other] }) - Complexity = 3
                // Dst: (LT_S_I64x2:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, V128:{ *:[v2i64] }:$rhs)
/* 14709*/     /*Scope*/ 12, /*->14722*/
/* 14710*/      OPC_CheckChild2CondCode, ISD::SETGT,
/* 14712*/      OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 14714*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GT_S_I64x2), 0,
                    MVT::v2i64, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, V128:{ *:[v2i64] }:$rhs, SETGT:{ *:[Other] }) - Complexity = 3
                // Dst: (GT_S_I64x2:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, V128:{ *:[v2i64] }:$rhs)
/* 14722*/     /*Scope*/ 12, /*->14735*/
/* 14723*/      OPC_CheckChild2CondCode, ISD::SETLE,
/* 14725*/      OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 14727*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LE_S_I64x2), 0,
                    MVT::v2i64, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, V128:{ *:[v2i64] }:$rhs, SETLE:{ *:[Other] }) - Complexity = 3
                // Dst: (LE_S_I64x2:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, V128:{ *:[v2i64] }:$rhs)
/* 14735*/     /*Scope*/ 12, /*->14748*/
/* 14736*/      OPC_CheckChild2CondCode, ISD::SETGE,
/* 14738*/      OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 14740*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GE_S_I64x2), 0,
                    MVT::v2i64, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, V128:{ *:[v2i64] }:$rhs, SETGE:{ *:[Other] }) - Complexity = 3
                // Dst: (GE_S_I64x2:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, V128:{ *:[v2i64] }:$rhs)
/* 14748*/     0, /*End of Scope*/
/* 14749*/    /*Scope*/ 21|128,1/*149*/, /*->14900*/
/* 14751*/     OPC_CheckChild0Type, MVT::v2f64,
/* 14753*/     OPC_RecordChild1, // #1 = $rhs
/* 14754*/     OPC_Scope, 12, /*->14768*/ // 12 children in Scope
/* 14756*/      OPC_CheckChild2CondCode, ISD::SETOEQ,
/* 14758*/      OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 14760*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::EQ_F64x2), 0,
                    MVT::v2i64, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v2i64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs, SETOEQ:{ *:[Other] }) - Complexity = 3
                // Dst: (EQ_F64x2:{ *:[v2i64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs)
/* 14768*/     /*Scope*/ 12, /*->14781*/
/* 14769*/      OPC_CheckChild2CondCode, ISD::SETUNE,
/* 14771*/      OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 14773*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::NE_F64x2), 0,
                    MVT::v2i64, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v2i64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs, SETUNE:{ *:[Other] }) - Complexity = 3
                // Dst: (NE_F64x2:{ *:[v2i64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs)
/* 14781*/     /*Scope*/ 12, /*->14794*/
/* 14782*/      OPC_CheckChild2CondCode, ISD::SETOLT,
/* 14784*/      OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 14786*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LT_F64x2), 0,
                    MVT::v2i64, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v2i64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs, SETOLT:{ *:[Other] }) - Complexity = 3
                // Dst: (LT_F64x2:{ *:[v2i64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs)
/* 14794*/     /*Scope*/ 12, /*->14807*/
/* 14795*/      OPC_CheckChild2CondCode, ISD::SETOGT,
/* 14797*/      OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 14799*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GT_F64x2), 0,
                    MVT::v2i64, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v2i64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs, SETOGT:{ *:[Other] }) - Complexity = 3
                // Dst: (GT_F64x2:{ *:[v2i64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs)
/* 14807*/     /*Scope*/ 12, /*->14820*/
/* 14808*/      OPC_CheckChild2CondCode, ISD::SETOLE,
/* 14810*/      OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 14812*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LE_F64x2), 0,
                    MVT::v2i64, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v2i64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs, SETOLE:{ *:[Other] }) - Complexity = 3
                // Dst: (LE_F64x2:{ *:[v2i64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs)
/* 14820*/     /*Scope*/ 12, /*->14833*/
/* 14821*/      OPC_CheckChild2CondCode, ISD::SETOGE,
/* 14823*/      OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 14825*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GE_F64x2), 0,
                    MVT::v2i64, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v2i64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs, SETOGE:{ *:[Other] }) - Complexity = 3
                // Dst: (GE_F64x2:{ *:[v2i64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs)
/* 14833*/     /*Scope*/ 10, /*->14844*/
/* 14834*/      OPC_CheckChild2CondCode, ISD::SETEQ,
/* 14836*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::EQ_F64x2), 0,
                    MVT::v2i64, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v2i64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs, SETEQ:{ *:[Other] }) - Complexity = 3
                // Dst: (EQ_F64x2:{ *:[v2i64] } ?:{ *:[v2f64] }:$lhs, ?:{ *:[v2f64] }:$rhs)
/* 14844*/     /*Scope*/ 10, /*->14855*/
/* 14845*/      OPC_CheckChild2CondCode, ISD::SETNE,
/* 14847*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::NE_F64x2), 0,
                    MVT::v2i64, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v2i64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs, SETNE:{ *:[Other] }) - Complexity = 3
                // Dst: (NE_F64x2:{ *:[v2i64] } ?:{ *:[v2f64] }:$lhs, ?:{ *:[v2f64] }:$rhs)
/* 14855*/     /*Scope*/ 10, /*->14866*/
/* 14856*/      OPC_CheckChild2CondCode, ISD::SETLT,
/* 14858*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LT_F64x2), 0,
                    MVT::v2i64, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v2i64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs, SETLT:{ *:[Other] }) - Complexity = 3
                // Dst: (LT_F64x2:{ *:[v2i64] } ?:{ *:[v2f64] }:$lhs, ?:{ *:[v2f64] }:$rhs)
/* 14866*/     /*Scope*/ 10, /*->14877*/
/* 14867*/      OPC_CheckChild2CondCode, ISD::SETGT,
/* 14869*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GT_F64x2), 0,
                    MVT::v2i64, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v2i64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs, SETGT:{ *:[Other] }) - Complexity = 3
                // Dst: (GT_F64x2:{ *:[v2i64] } ?:{ *:[v2f64] }:$lhs, ?:{ *:[v2f64] }:$rhs)
/* 14877*/     /*Scope*/ 10, /*->14888*/
/* 14878*/      OPC_CheckChild2CondCode, ISD::SETLE,
/* 14880*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LE_F64x2), 0,
                    MVT::v2i64, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v2i64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs, SETLE:{ *:[Other] }) - Complexity = 3
                // Dst: (LE_F64x2:{ *:[v2i64] } ?:{ *:[v2f64] }:$lhs, ?:{ *:[v2f64] }:$rhs)
/* 14888*/     /*Scope*/ 10, /*->14899*/
/* 14889*/      OPC_CheckChild2CondCode, ISD::SETGE,
/* 14891*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GE_F64x2), 0,
                    MVT::v2i64, 2/*#Ops*/, 0, 1, 
                // Src: (setcc:{ *:[v2i64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs, SETGE:{ *:[Other] }) - Complexity = 3
                // Dst: (GE_F64x2:{ *:[v2i64] } ?:{ *:[v2f64] }:$lhs, ?:{ *:[v2f64] }:$rhs)
/* 14899*/     0, /*End of Scope*/
/* 14900*/    0, /*End of Scope*/
/* 14901*/   0, // EndSwitchType
/* 14902*/  0, /*End of Scope*/
/* 14903*/ /*SwitchOpcode*/ 50|128,8/*1074*/, TARGET_VAL(ISD::INTRINSIC_W_CHAIN),// ->15981
/* 14907*/  OPC_Scope, 90|128,4/*602*/, /*->15512*/ // 3 children in Scope
/* 14910*/   OPC_RecordMemRef,
/* 14911*/   OPC_RecordNode, // #0 = 'intrinsic_w_chain' chained node
/* 14912*/   OPC_Scope, 62|128,1/*190*/, /*->15105*/ // 3 children in Scope
/* 14915*/    OPC_CheckChild1Integer, 18|128,14|128,1/*18194*/, 
/* 14919*/    OPC_MoveChild2,
/* 14920*/    OPC_SwitchOpcode /*3 cases */, 55, TARGET_VAL(ISD::ADD),// ->14979
/* 14924*/     OPC_RecordChild0, // #1 = $addr
/* 14925*/     OPC_RecordChild1, // #2 = $off
/* 14926*/     OPC_MoveChild1,
/* 14927*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 14930*/     OPC_MoveParent,
/* 14931*/     OPC_CheckPredicate, 0, // Predicate_regPlusImm
/* 14933*/     OPC_SwitchType /*2 cases */, 20, MVT::i32,// ->14956
/* 14936*/      OPC_MoveParent,
/* 14937*/      OPC_RecordChild3, // #3 = $count
/* 14938*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 14940*/      OPC_EmitMergeInputChains1_0,
/* 14941*/      OPC_EmitInteger, MVT::i32, 0, 
/* 14944*/      OPC_EmitConvertToTarget, 2,
/* 14946*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MEMORY_ATOMIC_NOTIFY_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                // Src: (intrinsic_w_chain:{ *:[i32] } 9097:{ *:[iPTR] }, (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, I32:{ *:[i32] }:$count) - Complexity = 15
                // Dst: (MEMORY_ATOMIC_NOTIFY_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, I32:{ *:[i32] }:$count)
/* 14956*/     /*SwitchType*/ 20, MVT::i64,// ->14978
/* 14958*/      OPC_MoveParent,
/* 14959*/      OPC_RecordChild3, // #3 = $count
/* 14960*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 14962*/      OPC_EmitMergeInputChains1_0,
/* 14963*/      OPC_EmitInteger, MVT::i32, 0, 
/* 14966*/      OPC_EmitConvertToTarget, 2,
/* 14968*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MEMORY_ATOMIC_NOTIFY_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                // Src: (intrinsic_w_chain:{ *:[i32] } 9097:{ *:[iPTR] }, (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, I32:{ *:[i32] }:$count) - Complexity = 15
                // Dst: (MEMORY_ATOMIC_NOTIFY_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, I32:{ *:[i32] }:$count)
/* 14978*/     0, // EndSwitchType
/* 14979*/    /*SwitchOpcode*/ 55, TARGET_VAL(ISD::OR),// ->15037
/* 14982*/     OPC_RecordChild0, // #1 = $addr
/* 14983*/     OPC_RecordChild1, // #2 = $off
/* 14984*/     OPC_MoveChild1,
/* 14985*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 14988*/     OPC_MoveParent,
/* 14989*/     OPC_CheckPredicate, 3, // Predicate_or_is_add
/* 14991*/     OPC_SwitchType /*2 cases */, 20, MVT::i32,// ->15014
/* 14994*/      OPC_MoveParent,
/* 14995*/      OPC_RecordChild3, // #3 = $count
/* 14996*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 14998*/      OPC_EmitMergeInputChains1_0,
/* 14999*/      OPC_EmitInteger, MVT::i32, 0, 
/* 15002*/      OPC_EmitConvertToTarget, 2,
/* 15004*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MEMORY_ATOMIC_NOTIFY_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                // Src: (intrinsic_w_chain:{ *:[i32] } 9097:{ *:[iPTR] }, (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, I32:{ *:[i32] }:$count) - Complexity = 15
                // Dst: (MEMORY_ATOMIC_NOTIFY_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, I32:{ *:[i32] }:$count)
/* 15014*/     /*SwitchType*/ 20, MVT::i64,// ->15036
/* 15016*/      OPC_MoveParent,
/* 15017*/      OPC_RecordChild3, // #3 = $count
/* 15018*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 15020*/      OPC_EmitMergeInputChains1_0,
/* 15021*/      OPC_EmitInteger, MVT::i32, 0, 
/* 15024*/      OPC_EmitConvertToTarget, 2,
/* 15026*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MEMORY_ATOMIC_NOTIFY_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                // Src: (intrinsic_w_chain:{ *:[i32] } 9097:{ *:[iPTR] }, (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, I32:{ *:[i32] }:$count) - Complexity = 15
                // Dst: (MEMORY_ATOMIC_NOTIFY_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, I32:{ *:[i32] }:$count)
/* 15036*/     0, // EndSwitchType
/* 15037*/    /*SwitchOpcode*/ 64, TARGET_VAL(WebAssemblyISD::Wrapper),// ->15104
/* 15040*/     OPC_RecordChild0, // #1 = $off
/* 15041*/     OPC_MoveChild0,
/* 15042*/     OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 15045*/     OPC_MoveParent,
/* 15046*/     OPC_MoveParent,
/* 15047*/     OPC_RecordChild3, // #2 = $count
/* 15048*/     OPC_Scope, 26, /*->15076*/ // 2 children in Scope
/* 15050*/      OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 15052*/      OPC_EmitMergeInputChains1_0,
/* 15053*/      OPC_EmitInteger, MVT::i32, 0, 
/* 15056*/      OPC_EmitInteger, MVT::i32, 0, 
/* 15059*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 15066*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MEMORY_ATOMIC_NOTIFY_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                // Src: (intrinsic_w_chain:{ *:[i32] } 9097:{ *:[iPTR] }, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), I32:{ *:[i32] }:$count) - Complexity = 14
                // Dst: (MEMORY_ATOMIC_NOTIFY_A32:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), I32:{ *:[i32] }:$count)
/* 15076*/     /*Scope*/ 26, /*->15103*/
/* 15077*/      OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 15079*/      OPC_EmitMergeInputChains1_0,
/* 15080*/      OPC_EmitInteger, MVT::i32, 0, 
/* 15083*/      OPC_EmitInteger, MVT::i64, 0, 
/* 15086*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 15093*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MEMORY_ATOMIC_NOTIFY_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                // Src: (intrinsic_w_chain:{ *:[i32] } 9097:{ *:[iPTR] }, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), I32:{ *:[i32] }:$count) - Complexity = 14
                // Dst: (MEMORY_ATOMIC_NOTIFY_A64:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), I32:{ *:[i32] }:$count)
/* 15103*/     0, /*End of Scope*/
/* 15104*/    0, // EndSwitchOpcode
/* 15105*/   /*Scope*/ 73|128,1/*201*/, /*->15308*/
/* 15107*/    OPC_CheckChild1Integer, 20|128,14|128,1/*18196*/, 
/* 15111*/    OPC_MoveChild2,
/* 15112*/    OPC_SwitchOpcode /*3 cases */, 59, TARGET_VAL(ISD::ADD),// ->15175
/* 15116*/     OPC_RecordChild0, // #1 = $addr
/* 15117*/     OPC_RecordChild1, // #2 = $off
/* 15118*/     OPC_MoveChild1,
/* 15119*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 15122*/     OPC_MoveParent,
/* 15123*/     OPC_CheckPredicate, 0, // Predicate_regPlusImm
/* 15125*/     OPC_SwitchType /*2 cases */, 22, MVT::i32,// ->15150
/* 15128*/      OPC_MoveParent,
/* 15129*/      OPC_RecordChild3, // #3 = $exp
/* 15130*/      OPC_RecordChild4, // #4 = $timeout
/* 15131*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 15133*/      OPC_EmitMergeInputChains1_0,
/* 15134*/      OPC_EmitInteger, MVT::i32, 0, 
/* 15137*/      OPC_EmitConvertToTarget, 2,
/* 15139*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MEMORY_ATOMIC_WAIT32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 5/*#Ops*/, 5, 6, 1, 3, 4, 
                // Src: (intrinsic_w_chain:{ *:[i32] } 9098:{ *:[iPTR] }, (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$exp, I64:{ *:[i64] }:$timeout) - Complexity = 15
                // Dst: (MEMORY_ATOMIC_WAIT32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$exp, I64:{ *:[i64] }:$timeout)
/* 15150*/     /*SwitchType*/ 22, MVT::i64,// ->15174
/* 15152*/      OPC_MoveParent,
/* 15153*/      OPC_RecordChild3, // #3 = $exp
/* 15154*/      OPC_RecordChild4, // #4 = $timeout
/* 15155*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 15157*/      OPC_EmitMergeInputChains1_0,
/* 15158*/      OPC_EmitInteger, MVT::i32, 0, 
/* 15161*/      OPC_EmitConvertToTarget, 2,
/* 15163*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MEMORY_ATOMIC_WAIT32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 5/*#Ops*/, 5, 6, 1, 3, 4, 
                // Src: (intrinsic_w_chain:{ *:[i32] } 9098:{ *:[iPTR] }, (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$exp, I64:{ *:[i64] }:$timeout) - Complexity = 15
                // Dst: (MEMORY_ATOMIC_WAIT32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$exp, I64:{ *:[i64] }:$timeout)
/* 15174*/     0, // EndSwitchType
/* 15175*/    /*SwitchOpcode*/ 59, TARGET_VAL(ISD::OR),// ->15237
/* 15178*/     OPC_RecordChild0, // #1 = $addr
/* 15179*/     OPC_RecordChild1, // #2 = $off
/* 15180*/     OPC_MoveChild1,
/* 15181*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 15184*/     OPC_MoveParent,
/* 15185*/     OPC_CheckPredicate, 3, // Predicate_or_is_add
/* 15187*/     OPC_SwitchType /*2 cases */, 22, MVT::i32,// ->15212
/* 15190*/      OPC_MoveParent,
/* 15191*/      OPC_RecordChild3, // #3 = $exp
/* 15192*/      OPC_RecordChild4, // #4 = $timeout
/* 15193*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 15195*/      OPC_EmitMergeInputChains1_0,
/* 15196*/      OPC_EmitInteger, MVT::i32, 0, 
/* 15199*/      OPC_EmitConvertToTarget, 2,
/* 15201*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MEMORY_ATOMIC_WAIT32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 5/*#Ops*/, 5, 6, 1, 3, 4, 
                // Src: (intrinsic_w_chain:{ *:[i32] } 9098:{ *:[iPTR] }, (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$exp, I64:{ *:[i64] }:$timeout) - Complexity = 15
                // Dst: (MEMORY_ATOMIC_WAIT32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$exp, I64:{ *:[i64] }:$timeout)
/* 15212*/     /*SwitchType*/ 22, MVT::i64,// ->15236
/* 15214*/      OPC_MoveParent,
/* 15215*/      OPC_RecordChild3, // #3 = $exp
/* 15216*/      OPC_RecordChild4, // #4 = $timeout
/* 15217*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 15219*/      OPC_EmitMergeInputChains1_0,
/* 15220*/      OPC_EmitInteger, MVT::i32, 0, 
/* 15223*/      OPC_EmitConvertToTarget, 2,
/* 15225*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MEMORY_ATOMIC_WAIT32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 5/*#Ops*/, 5, 6, 1, 3, 4, 
                // Src: (intrinsic_w_chain:{ *:[i32] } 9098:{ *:[iPTR] }, (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$exp, I64:{ *:[i64] }:$timeout) - Complexity = 15
                // Dst: (MEMORY_ATOMIC_WAIT32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$exp, I64:{ *:[i64] }:$timeout)
/* 15236*/     0, // EndSwitchType
/* 15237*/    /*SwitchOpcode*/ 67, TARGET_VAL(WebAssemblyISD::Wrapper),// ->15307
/* 15240*/     OPC_RecordChild0, // #1 = $off
/* 15241*/     OPC_MoveChild0,
/* 15242*/     OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 15245*/     OPC_MoveParent,
/* 15246*/     OPC_MoveParent,
/* 15247*/     OPC_RecordChild3, // #2 = $exp
/* 15248*/     OPC_RecordChild4, // #3 = $timeout
/* 15249*/     OPC_Scope, 27, /*->15278*/ // 2 children in Scope
/* 15251*/      OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 15253*/      OPC_EmitMergeInputChains1_0,
/* 15254*/      OPC_EmitInteger, MVT::i32, 0, 
/* 15257*/      OPC_EmitInteger, MVT::i32, 0, 
/* 15260*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 15267*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MEMORY_ATOMIC_WAIT32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 5/*#Ops*/, 4, 1, 6, 2, 3, 
                // Src: (intrinsic_w_chain:{ *:[i32] } 9098:{ *:[iPTR] }, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$exp, I64:{ *:[i64] }:$timeout) - Complexity = 14
                // Dst: (MEMORY_ATOMIC_WAIT32_A32:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$exp, I64:{ *:[i64] }:$timeout)
/* 15278*/     /*Scope*/ 27, /*->15306*/
/* 15279*/      OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 15281*/      OPC_EmitMergeInputChains1_0,
/* 15282*/      OPC_EmitInteger, MVT::i32, 0, 
/* 15285*/      OPC_EmitInteger, MVT::i64, 0, 
/* 15288*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 15295*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MEMORY_ATOMIC_WAIT32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 5/*#Ops*/, 4, 1, 6, 2, 3, 
                // Src: (intrinsic_w_chain:{ *:[i32] } 9098:{ *:[iPTR] }, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$exp, I64:{ *:[i64] }:$timeout) - Complexity = 14
                // Dst: (MEMORY_ATOMIC_WAIT32_A64:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$exp, I64:{ *:[i64] }:$timeout)
/* 15306*/     0, /*End of Scope*/
/* 15307*/    0, // EndSwitchOpcode
/* 15308*/   /*Scope*/ 73|128,1/*201*/, /*->15511*/
/* 15310*/    OPC_CheckChild1Integer, 22|128,14|128,1/*18198*/, 
/* 15314*/    OPC_MoveChild2,
/* 15315*/    OPC_SwitchOpcode /*3 cases */, 59, TARGET_VAL(ISD::ADD),// ->15378
/* 15319*/     OPC_RecordChild0, // #1 = $addr
/* 15320*/     OPC_RecordChild1, // #2 = $off
/* 15321*/     OPC_MoveChild1,
/* 15322*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 15325*/     OPC_MoveParent,
/* 15326*/     OPC_CheckPredicate, 0, // Predicate_regPlusImm
/* 15328*/     OPC_SwitchType /*2 cases */, 22, MVT::i32,// ->15353
/* 15331*/      OPC_MoveParent,
/* 15332*/      OPC_RecordChild3, // #3 = $exp
/* 15333*/      OPC_RecordChild4, // #4 = $timeout
/* 15334*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 15336*/      OPC_EmitMergeInputChains1_0,
/* 15337*/      OPC_EmitInteger, MVT::i32, 0, 
/* 15340*/      OPC_EmitConvertToTarget, 2,
/* 15342*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MEMORY_ATOMIC_WAIT64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 5/*#Ops*/, 5, 6, 1, 3, 4, 
                // Src: (intrinsic_w_chain:{ *:[i32] } 9099:{ *:[iPTR] }, (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, i64:{ *:[i64] }:$exp, I64:{ *:[i64] }:$timeout) - Complexity = 15
                // Dst: (MEMORY_ATOMIC_WAIT64_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$exp, I64:{ *:[i64] }:$timeout)
/* 15353*/     /*SwitchType*/ 22, MVT::i64,// ->15377
/* 15355*/      OPC_MoveParent,
/* 15356*/      OPC_RecordChild3, // #3 = $exp
/* 15357*/      OPC_RecordChild4, // #4 = $timeout
/* 15358*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 15360*/      OPC_EmitMergeInputChains1_0,
/* 15361*/      OPC_EmitInteger, MVT::i32, 0, 
/* 15364*/      OPC_EmitConvertToTarget, 2,
/* 15366*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MEMORY_ATOMIC_WAIT64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 5/*#Ops*/, 5, 6, 1, 3, 4, 
                // Src: (intrinsic_w_chain:{ *:[i32] } 9099:{ *:[iPTR] }, (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, i64:{ *:[i64] }:$exp, I64:{ *:[i64] }:$timeout) - Complexity = 15
                // Dst: (MEMORY_ATOMIC_WAIT64_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$exp, I64:{ *:[i64] }:$timeout)
/* 15377*/     0, // EndSwitchType
/* 15378*/    /*SwitchOpcode*/ 59, TARGET_VAL(ISD::OR),// ->15440
/* 15381*/     OPC_RecordChild0, // #1 = $addr
/* 15382*/     OPC_RecordChild1, // #2 = $off
/* 15383*/     OPC_MoveChild1,
/* 15384*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 15387*/     OPC_MoveParent,
/* 15388*/     OPC_CheckPredicate, 3, // Predicate_or_is_add
/* 15390*/     OPC_SwitchType /*2 cases */, 22, MVT::i32,// ->15415
/* 15393*/      OPC_MoveParent,
/* 15394*/      OPC_RecordChild3, // #3 = $exp
/* 15395*/      OPC_RecordChild4, // #4 = $timeout
/* 15396*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 15398*/      OPC_EmitMergeInputChains1_0,
/* 15399*/      OPC_EmitInteger, MVT::i32, 0, 
/* 15402*/      OPC_EmitConvertToTarget, 2,
/* 15404*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MEMORY_ATOMIC_WAIT64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 5/*#Ops*/, 5, 6, 1, 3, 4, 
                // Src: (intrinsic_w_chain:{ *:[i32] } 9099:{ *:[iPTR] }, (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, i64:{ *:[i64] }:$exp, I64:{ *:[i64] }:$timeout) - Complexity = 15
                // Dst: (MEMORY_ATOMIC_WAIT64_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$exp, I64:{ *:[i64] }:$timeout)
/* 15415*/     /*SwitchType*/ 22, MVT::i64,// ->15439
/* 15417*/      OPC_MoveParent,
/* 15418*/      OPC_RecordChild3, // #3 = $exp
/* 15419*/      OPC_RecordChild4, // #4 = $timeout
/* 15420*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 15422*/      OPC_EmitMergeInputChains1_0,
/* 15423*/      OPC_EmitInteger, MVT::i32, 0, 
/* 15426*/      OPC_EmitConvertToTarget, 2,
/* 15428*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MEMORY_ATOMIC_WAIT64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 5/*#Ops*/, 5, 6, 1, 3, 4, 
                // Src: (intrinsic_w_chain:{ *:[i32] } 9099:{ *:[iPTR] }, (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, i64:{ *:[i64] }:$exp, I64:{ *:[i64] }:$timeout) - Complexity = 15
                // Dst: (MEMORY_ATOMIC_WAIT64_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$exp, I64:{ *:[i64] }:$timeout)
/* 15439*/     0, // EndSwitchType
/* 15440*/    /*SwitchOpcode*/ 67, TARGET_VAL(WebAssemblyISD::Wrapper),// ->15510
/* 15443*/     OPC_RecordChild0, // #1 = $off
/* 15444*/     OPC_MoveChild0,
/* 15445*/     OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 15448*/     OPC_MoveParent,
/* 15449*/     OPC_MoveParent,
/* 15450*/     OPC_RecordChild3, // #2 = $exp
/* 15451*/     OPC_RecordChild4, // #3 = $timeout
/* 15452*/     OPC_Scope, 27, /*->15481*/ // 2 children in Scope
/* 15454*/      OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 15456*/      OPC_EmitMergeInputChains1_0,
/* 15457*/      OPC_EmitInteger, MVT::i32, 0, 
/* 15460*/      OPC_EmitInteger, MVT::i32, 0, 
/* 15463*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 15470*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MEMORY_ATOMIC_WAIT64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 5/*#Ops*/, 4, 1, 6, 2, 3, 
                // Src: (intrinsic_w_chain:{ *:[i32] } 9099:{ *:[iPTR] }, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i64:{ *:[i64] }:$exp, I64:{ *:[i64] }:$timeout) - Complexity = 14
                // Dst: (MEMORY_ATOMIC_WAIT64_A32:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$exp, I64:{ *:[i64] }:$timeout)
/* 15481*/     /*Scope*/ 27, /*->15509*/
/* 15482*/      OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 15484*/      OPC_EmitMergeInputChains1_0,
/* 15485*/      OPC_EmitInteger, MVT::i32, 0, 
/* 15488*/      OPC_EmitInteger, MVT::i64, 0, 
/* 15491*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 15498*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MEMORY_ATOMIC_WAIT64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 5/*#Ops*/, 4, 1, 6, 2, 3, 
                // Src: (intrinsic_w_chain:{ *:[i32] } 9099:{ *:[iPTR] }, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i64:{ *:[i64] }:$exp, I64:{ *:[i64] }:$timeout) - Complexity = 14
                // Dst: (MEMORY_ATOMIC_WAIT64_A64:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$exp, I64:{ *:[i64] }:$timeout)
/* 15509*/     0, /*End of Scope*/
/* 15510*/    0, // EndSwitchOpcode
/* 15511*/   0, /*End of Scope*/
/* 15512*/  /*Scope*/ 84, /*->15597*/
/* 15513*/   OPC_RecordNode, // #0 = 'intrinsic_w_chain' chained node
/* 15514*/   OPC_Scope, 36, /*->15552*/ // 2 children in Scope
/* 15516*/    OPC_CheckChild1Integer, 26|128,14|128,1/*18202*/, 
/* 15520*/    OPC_RecordChild2, // #1 = $flags
/* 15521*/    OPC_MoveChild2,
/* 15522*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 15525*/    OPC_MoveParent,
/* 15526*/    OPC_SwitchType /*2 cases */, 10, MVT::i32,// ->15539
/* 15529*/     OPC_EmitMergeInputChains1_0,
/* 15530*/     OPC_EmitConvertToTarget, 1,
/* 15532*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::anonymous_4374MEMORY_SIZE_A32), 0|OPFL_Chain,
                   MVT::i32, 1/*#Ops*/, 2, 
               // Src: (intrinsic_w_chain:{ *:[i32] } 9101:{ *:[iPTR] }, (imm:{ *:[i32] }):$flags) - Complexity = 11
               // Dst: (anonymous_4374MEMORY_SIZE_A32:{ *:[i32] } (imm:{ *:[i32] }):$flags)
/* 15539*/    /*SwitchType*/ 10, MVT::i64,// ->15551
/* 15541*/     OPC_EmitMergeInputChains1_0,
/* 15542*/     OPC_EmitConvertToTarget, 1,
/* 15544*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::anonymous_4375MEMORY_SIZE_A64), 0|OPFL_Chain,
                   MVT::i64, 1/*#Ops*/, 2, 
               // Src: (intrinsic_w_chain:{ *:[i64] } 9101:{ *:[iPTR] }, (imm:{ *:[i32] }):$flags) - Complexity = 11
               // Dst: (anonymous_4375MEMORY_SIZE_A64:{ *:[i64] } (imm:{ *:[i32] }):$flags)
/* 15551*/    0, // EndSwitchType
/* 15552*/   /*Scope*/ 43, /*->15596*/
/* 15553*/    OPC_CheckChild1Integer, 24|128,14|128,1/*18200*/, 
/* 15557*/    OPC_RecordChild2, // #1 = $flags
/* 15558*/    OPC_MoveChild2,
/* 15559*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 15562*/    OPC_MoveParent,
/* 15563*/    OPC_RecordChild3, // #2 = $delta
/* 15564*/    OPC_SwitchType /*2 cases */, 13, MVT::i32,// ->15580
/* 15567*/     OPC_CheckChild3Type, MVT::i32,
/* 15569*/     OPC_EmitMergeInputChains1_0,
/* 15570*/     OPC_EmitConvertToTarget, 1,
/* 15572*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::anonymous_4374MEMORY_GROW_A32), 0|OPFL_Chain,
                   MVT::i32, 2/*#Ops*/, 3, 2, 
               // Src: (intrinsic_w_chain:{ *:[i32] } 9100:{ *:[iPTR] }, (imm:{ *:[i32] }):$flags, I32:{ *:[i32] }:$delta) - Complexity = 11
               // Dst: (anonymous_4374MEMORY_GROW_A32:{ *:[i32] } (imm:{ *:[i32] }):$flags, I32:{ *:[i32] }:$delta)
/* 15580*/    /*SwitchType*/ 13, MVT::i64,// ->15595
/* 15582*/     OPC_CheckChild3Type, MVT::i64,
/* 15584*/     OPC_EmitMergeInputChains1_0,
/* 15585*/     OPC_EmitConvertToTarget, 1,
/* 15587*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::anonymous_4375MEMORY_GROW_A64), 0|OPFL_Chain,
                   MVT::i64, 2/*#Ops*/, 3, 2, 
               // Src: (intrinsic_w_chain:{ *:[i64] } 9100:{ *:[iPTR] }, (imm:{ *:[i32] }):$flags, I64:{ *:[i64] }:$delta) - Complexity = 11
               // Dst: (anonymous_4375MEMORY_GROW_A64:{ *:[i64] } (imm:{ *:[i32] }):$flags, I64:{ *:[i64] }:$delta)
/* 15595*/    0, // EndSwitchType
/* 15596*/   0, /*End of Scope*/
/* 15597*/  /*Scope*/ 125|128,2/*381*/, /*->15980*/
/* 15599*/   OPC_RecordMemRef,
/* 15600*/   OPC_RecordNode, // #0 = 'intrinsic_w_chain' chained node
/* 15601*/   OPC_Scope, 120, /*->15723*/ // 3 children in Scope
/* 15603*/    OPC_CheckChild1Integer, 18|128,14|128,1/*18194*/, 
/* 15607*/    OPC_RecordChild2, // #1 = $off
/* 15608*/    OPC_Scope, 66, /*->15676*/ // 3 children in Scope
/* 15610*/     OPC_MoveChild2,
/* 15611*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 15614*/     OPC_MoveParent,
/* 15615*/     OPC_RecordChild3, // #2 = $count
/* 15616*/     OPC_Scope, 28, /*->15646*/ // 2 children in Scope
/* 15618*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 15620*/      OPC_EmitMergeInputChains1_0,
/* 15621*/      OPC_EmitInteger, MVT::i32, 0, 
/* 15624*/      OPC_EmitConvertToTarget, 1,
/* 15626*/      OPC_EmitInteger, MVT::i32, 0, 
/* 15629*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 15636*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MEMORY_ATOMIC_NOTIFY_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                // Src: (intrinsic_w_chain:{ *:[i32] } 9097:{ *:[iPTR] }, (imm:{ *:[iPTR] }):$off, I32:{ *:[i32] }:$count) - Complexity = 11
                // Dst: (MEMORY_ATOMIC_NOTIFY_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), I32:{ *:[i32] }:$count)
/* 15646*/     /*Scope*/ 28, /*->15675*/
/* 15647*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 15649*/      OPC_EmitMergeInputChains1_0,
/* 15650*/      OPC_EmitInteger, MVT::i32, 0, 
/* 15653*/      OPC_EmitConvertToTarget, 1,
/* 15655*/      OPC_EmitInteger, MVT::i64, 0, 
/* 15658*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 15665*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MEMORY_ATOMIC_NOTIFY_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                // Src: (intrinsic_w_chain:{ *:[i32] } 9097:{ *:[iPTR] }, (imm:{ *:[iPTR] }):$off, I32:{ *:[i32] }:$count) - Complexity = 11
                // Dst: (MEMORY_ATOMIC_NOTIFY_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), I32:{ *:[i32] }:$count)
/* 15675*/     0, /*End of Scope*/
/* 15676*/    /*Scope*/ 22, /*->15699*/
/* 15677*/     OPC_CheckChild2Type, MVT::i32,
/* 15679*/     OPC_RecordChild3, // #2 = $count
/* 15680*/     OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 15682*/     OPC_EmitMergeInputChains1_0,
/* 15683*/     OPC_EmitInteger, MVT::i32, 0, 
/* 15686*/     OPC_EmitInteger, MVT::i32, 0, 
/* 15689*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MEMORY_ATOMIC_NOTIFY_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
               // Src: (intrinsic_w_chain:{ *:[i32] } 9097:{ *:[iPTR] }, I32:{ *:[i32] }:$addr, I32:{ *:[i32] }:$count) - Complexity = 8
               // Dst: (MEMORY_ATOMIC_NOTIFY_A32:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, I32:{ *:[i32] }:$count)
/* 15699*/    /*Scope*/ 22, /*->15722*/
/* 15700*/     OPC_CheckChild2Type, MVT::i64,
/* 15702*/     OPC_RecordChild3, // #2 = $count
/* 15703*/     OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 15705*/     OPC_EmitMergeInputChains1_0,
/* 15706*/     OPC_EmitInteger, MVT::i32, 0, 
/* 15709*/     OPC_EmitInteger, MVT::i64, 0, 
/* 15712*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MEMORY_ATOMIC_NOTIFY_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
               // Src: (intrinsic_w_chain:{ *:[i32] } 9097:{ *:[iPTR] }, I64:{ *:[i64] }:$addr, I32:{ *:[i32] }:$count) - Complexity = 8
               // Dst: (MEMORY_ATOMIC_NOTIFY_A64:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, I32:{ *:[i32] }:$count)
/* 15722*/    0, /*End of Scope*/
/* 15723*/   /*Scope*/ 127, /*->15851*/
/* 15724*/    OPC_CheckChild1Integer, 20|128,14|128,1/*18196*/, 
/* 15728*/    OPC_RecordChild2, // #1 = $off
/* 15729*/    OPC_Scope, 69, /*->15800*/ // 3 children in Scope
/* 15731*/     OPC_MoveChild2,
/* 15732*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 15735*/     OPC_MoveParent,
/* 15736*/     OPC_RecordChild3, // #2 = $exp
/* 15737*/     OPC_RecordChild4, // #3 = $timeout
/* 15738*/     OPC_Scope, 29, /*->15769*/ // 2 children in Scope
/* 15740*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 15742*/      OPC_EmitMergeInputChains1_0,
/* 15743*/      OPC_EmitInteger, MVT::i32, 0, 
/* 15746*/      OPC_EmitConvertToTarget, 1,
/* 15748*/      OPC_EmitInteger, MVT::i32, 0, 
/* 15751*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 6,  // Results = #7
/* 15758*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MEMORY_ATOMIC_WAIT32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 5/*#Ops*/, 4, 5, 7, 2, 3, 
                // Src: (intrinsic_w_chain:{ *:[i32] } 9098:{ *:[iPTR] }, (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$exp, I64:{ *:[i64] }:$timeout) - Complexity = 11
                // Dst: (MEMORY_ATOMIC_WAIT32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$exp, I64:{ *:[i64] }:$timeout)
/* 15769*/     /*Scope*/ 29, /*->15799*/
/* 15770*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 15772*/      OPC_EmitMergeInputChains1_0,
/* 15773*/      OPC_EmitInteger, MVT::i32, 0, 
/* 15776*/      OPC_EmitConvertToTarget, 1,
/* 15778*/      OPC_EmitInteger, MVT::i64, 0, 
/* 15781*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 6,  // Results = #7
/* 15788*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MEMORY_ATOMIC_WAIT32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 5/*#Ops*/, 4, 5, 7, 2, 3, 
                // Src: (intrinsic_w_chain:{ *:[i32] } 9098:{ *:[iPTR] }, (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$exp, I64:{ *:[i64] }:$timeout) - Complexity = 11
                // Dst: (MEMORY_ATOMIC_WAIT32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$exp, I64:{ *:[i64] }:$timeout)
/* 15799*/     0, /*End of Scope*/
/* 15800*/    /*Scope*/ 24, /*->15825*/
/* 15801*/     OPC_CheckChild2Type, MVT::i32,
/* 15803*/     OPC_RecordChild3, // #2 = $exp
/* 15804*/     OPC_RecordChild4, // #3 = $timeout
/* 15805*/     OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 15807*/     OPC_EmitMergeInputChains1_0,
/* 15808*/     OPC_EmitInteger, MVT::i32, 0, 
/* 15811*/     OPC_EmitInteger, MVT::i32, 0, 
/* 15814*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MEMORY_ATOMIC_WAIT32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::i32, 5/*#Ops*/, 4, 5, 1, 2, 3, 
               // Src: (intrinsic_w_chain:{ *:[i32] } 9098:{ *:[iPTR] }, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$exp, I64:{ *:[i64] }:$timeout) - Complexity = 8
               // Dst: (MEMORY_ATOMIC_WAIT32_A32:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$exp, I64:{ *:[i64] }:$timeout)
/* 15825*/    /*Scope*/ 24, /*->15850*/
/* 15826*/     OPC_CheckChild2Type, MVT::i64,
/* 15828*/     OPC_RecordChild3, // #2 = $exp
/* 15829*/     OPC_RecordChild4, // #3 = $timeout
/* 15830*/     OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 15832*/     OPC_EmitMergeInputChains1_0,
/* 15833*/     OPC_EmitInteger, MVT::i32, 0, 
/* 15836*/     OPC_EmitInteger, MVT::i64, 0, 
/* 15839*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MEMORY_ATOMIC_WAIT32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::i32, 5/*#Ops*/, 4, 5, 1, 2, 3, 
               // Src: (intrinsic_w_chain:{ *:[i32] } 9098:{ *:[iPTR] }, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$exp, I64:{ *:[i64] }:$timeout) - Complexity = 8
               // Dst: (MEMORY_ATOMIC_WAIT32_A64:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$exp, I64:{ *:[i64] }:$timeout)
/* 15850*/    0, /*End of Scope*/
/* 15851*/   /*Scope*/ 127, /*->15979*/
/* 15852*/    OPC_CheckChild1Integer, 22|128,14|128,1/*18198*/, 
/* 15856*/    OPC_RecordChild2, // #1 = $off
/* 15857*/    OPC_Scope, 69, /*->15928*/ // 3 children in Scope
/* 15859*/     OPC_MoveChild2,
/* 15860*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 15863*/     OPC_MoveParent,
/* 15864*/     OPC_RecordChild3, // #2 = $exp
/* 15865*/     OPC_RecordChild4, // #3 = $timeout
/* 15866*/     OPC_Scope, 29, /*->15897*/ // 2 children in Scope
/* 15868*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 15870*/      OPC_EmitMergeInputChains1_0,
/* 15871*/      OPC_EmitInteger, MVT::i32, 0, 
/* 15874*/      OPC_EmitConvertToTarget, 1,
/* 15876*/      OPC_EmitInteger, MVT::i32, 0, 
/* 15879*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 6,  // Results = #7
/* 15886*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MEMORY_ATOMIC_WAIT64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 5/*#Ops*/, 4, 5, 7, 2, 3, 
                // Src: (intrinsic_w_chain:{ *:[i32] } 9099:{ *:[iPTR] }, (imm:{ *:[iPTR] }):$off, i64:{ *:[i64] }:$exp, I64:{ *:[i64] }:$timeout) - Complexity = 11
                // Dst: (MEMORY_ATOMIC_WAIT64_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$exp, I64:{ *:[i64] }:$timeout)
/* 15897*/     /*Scope*/ 29, /*->15927*/
/* 15898*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 15900*/      OPC_EmitMergeInputChains1_0,
/* 15901*/      OPC_EmitInteger, MVT::i32, 0, 
/* 15904*/      OPC_EmitConvertToTarget, 1,
/* 15906*/      OPC_EmitInteger, MVT::i64, 0, 
/* 15909*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 6,  // Results = #7
/* 15916*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MEMORY_ATOMIC_WAIT64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 5/*#Ops*/, 4, 5, 7, 2, 3, 
                // Src: (intrinsic_w_chain:{ *:[i32] } 9099:{ *:[iPTR] }, (imm:{ *:[iPTR] }):$off, i64:{ *:[i64] }:$exp, I64:{ *:[i64] }:$timeout) - Complexity = 11
                // Dst: (MEMORY_ATOMIC_WAIT64_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$exp, I64:{ *:[i64] }:$timeout)
/* 15927*/     0, /*End of Scope*/
/* 15928*/    /*Scope*/ 24, /*->15953*/
/* 15929*/     OPC_CheckChild2Type, MVT::i32,
/* 15931*/     OPC_RecordChild3, // #2 = $exp
/* 15932*/     OPC_RecordChild4, // #3 = $timeout
/* 15933*/     OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 15935*/     OPC_EmitMergeInputChains1_0,
/* 15936*/     OPC_EmitInteger, MVT::i32, 0, 
/* 15939*/     OPC_EmitInteger, MVT::i32, 0, 
/* 15942*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MEMORY_ATOMIC_WAIT64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::i32, 5/*#Ops*/, 4, 5, 1, 2, 3, 
               // Src: (intrinsic_w_chain:{ *:[i32] } 9099:{ *:[iPTR] }, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$exp, I64:{ *:[i64] }:$timeout) - Complexity = 8
               // Dst: (MEMORY_ATOMIC_WAIT64_A32:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$exp, I64:{ *:[i64] }:$timeout)
/* 15953*/    /*Scope*/ 24, /*->15978*/
/* 15954*/     OPC_CheckChild2Type, MVT::i64,
/* 15956*/     OPC_RecordChild3, // #2 = $exp
/* 15957*/     OPC_RecordChild4, // #3 = $timeout
/* 15958*/     OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 15960*/     OPC_EmitMergeInputChains1_0,
/* 15961*/     OPC_EmitInteger, MVT::i32, 0, 
/* 15964*/     OPC_EmitInteger, MVT::i64, 0, 
/* 15967*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MEMORY_ATOMIC_WAIT64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::i32, 5/*#Ops*/, 4, 5, 1, 2, 3, 
               // Src: (intrinsic_w_chain:{ *:[i32] } 9099:{ *:[iPTR] }, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$exp, I64:{ *:[i64] }:$timeout) - Complexity = 8
               // Dst: (MEMORY_ATOMIC_WAIT64_A64:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$exp, I64:{ *:[i64] }:$timeout)
/* 15978*/    0, /*End of Scope*/
/* 15979*/   0, /*End of Scope*/
/* 15980*/  0, /*End of Scope*/
/* 15981*/ /*SwitchOpcode*/ 75|128,14/*1867*/, TARGET_VAL(ISD::ATOMIC_STORE),// ->17852
/* 15985*/  OPC_RecordMemRef,
/* 15986*/  OPC_RecordNode, // #0 = 'atomic_store' chained node
/* 15987*/  OPC_Scope, 25|128,7/*921*/, /*->16911*/ // 4 children in Scope
/* 15990*/   OPC_MoveChild1,
/* 15991*/   OPC_SwitchOpcode /*3 cases */, 87|128,2/*343*/, TARGET_VAL(ISD::ADD),// ->16339
/* 15996*/    OPC_RecordChild0, // #1 = $addr
/* 15997*/    OPC_RecordChild1, // #2 = $off
/* 15998*/    OPC_MoveChild1,
/* 15999*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 16002*/    OPC_MoveParent,
/* 16003*/    OPC_CheckPredicate, 0, // Predicate_regPlusImm
/* 16005*/    OPC_SwitchType /*2 cases */, 35|128,1/*163*/, MVT::i32,// ->16172
/* 16009*/     OPC_MoveParent,
/* 16010*/     OPC_Scope, 68, /*->16080*/ // 2 children in Scope
/* 16012*/      OPC_MoveChild2,
/* 16013*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/* 16016*/      OPC_RecordChild0, // #3 = $val
/* 16017*/      OPC_MoveParent,
/* 16018*/      OPC_Scope, 19, /*->16039*/ // 3 children in Scope
/* 16020*/       OPC_CheckPredicate, 1, // Predicate_atomic_store_8
/* 16022*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 16024*/       OPC_EmitMergeInputChains1_0,
/* 16025*/       OPC_EmitInteger, MVT::i32, 0, 
/* 16028*/       OPC_EmitConvertToTarget, 2,
/* 16030*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE8_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_store (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_store_8>> - Complexity = 14
                 // Dst: (ATOMIC_STORE8_I64_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 16039*/      /*Scope*/ 19, /*->16059*/
/* 16040*/       OPC_CheckPredicate, 2, // Predicate_atomic_store_16
/* 16042*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 16044*/       OPC_EmitMergeInputChains1_0,
/* 16045*/       OPC_EmitInteger, MVT::i32, 0, 
/* 16048*/       OPC_EmitConvertToTarget, 2,
/* 16050*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE16_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_store (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_store_16>> - Complexity = 14
                 // Dst: (ATOMIC_STORE16_I64_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 16059*/      /*Scope*/ 19, /*->16079*/
/* 16060*/       OPC_CheckPredicate, 4, // Predicate_atomic_store_32
/* 16062*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 16064*/       OPC_EmitMergeInputChains1_0,
/* 16065*/       OPC_EmitInteger, MVT::i32, 0, 
/* 16068*/       OPC_EmitConvertToTarget, 2,
/* 16070*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE32_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_store (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_store_32>> - Complexity = 14
                 // Dst: (ATOMIC_STORE32_I64_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 16079*/      0, /*End of Scope*/
/* 16080*/     /*Scope*/ 90, /*->16171*/
/* 16081*/      OPC_RecordChild2, // #3 = $val
/* 16082*/      OPC_Scope, 64, /*->16148*/ // 2 children in Scope
/* 16084*/       OPC_CheckChild2Type, MVT::i32,
/* 16086*/       OPC_Scope, 19, /*->16107*/ // 3 children in Scope
/* 16088*/        OPC_CheckPredicate, 4, // Predicate_atomic_store_32
/* 16090*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 16092*/        OPC_EmitMergeInputChains1_0,
/* 16093*/        OPC_EmitInteger, MVT::i32, 0, 
/* 16096*/        OPC_EmitConvertToTarget, 2,
/* 16098*/        OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (atomic_store (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_store_32>> - Complexity = 11
                  // Dst: (ATOMIC_STORE_I32_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 16107*/       /*Scope*/ 19, /*->16127*/
/* 16108*/        OPC_CheckPredicate, 1, // Predicate_atomic_store_8
/* 16110*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 16112*/        OPC_EmitMergeInputChains1_0,
/* 16113*/        OPC_EmitInteger, MVT::i32, 0, 
/* 16116*/        OPC_EmitConvertToTarget, 2,
/* 16118*/        OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE8_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (atomic_store (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_store_8>> - Complexity = 11
                  // Dst: (ATOMIC_STORE8_I32_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 16127*/       /*Scope*/ 19, /*->16147*/
/* 16128*/        OPC_CheckPredicate, 2, // Predicate_atomic_store_16
/* 16130*/        OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 16132*/        OPC_EmitMergeInputChains1_0,
/* 16133*/        OPC_EmitInteger, MVT::i32, 0, 
/* 16136*/        OPC_EmitConvertToTarget, 2,
/* 16138*/        OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE16_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (atomic_store (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_store_16>> - Complexity = 11
                  // Dst: (ATOMIC_STORE16_I32_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 16147*/       0, /*End of Scope*/
/* 16148*/      /*Scope*/ 21, /*->16170*/
/* 16149*/       OPC_CheckChild2Type, MVT::i64,
/* 16151*/       OPC_CheckPredicate, 7, // Predicate_atomic_store_64
/* 16153*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 16155*/       OPC_EmitMergeInputChains1_0,
/* 16156*/       OPC_EmitInteger, MVT::i32, 0, 
/* 16159*/       OPC_EmitConvertToTarget, 2,
/* 16161*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_store (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, i64:{ *:[i64] }:$val)<<P:Predicate_atomic_store_64>> - Complexity = 11
                 // Dst: (ATOMIC_STORE_I64_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 16170*/      0, /*End of Scope*/
/* 16171*/     0, /*End of Scope*/
/* 16172*/    /*SwitchType*/ 35|128,1/*163*/, MVT::i64,// ->16338
/* 16175*/     OPC_MoveParent,
/* 16176*/     OPC_Scope, 68, /*->16246*/ // 2 children in Scope
/* 16178*/      OPC_MoveChild2,
/* 16179*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/* 16182*/      OPC_RecordChild0, // #3 = $val
/* 16183*/      OPC_MoveParent,
/* 16184*/      OPC_Scope, 19, /*->16205*/ // 3 children in Scope
/* 16186*/       OPC_CheckPredicate, 1, // Predicate_atomic_store_8
/* 16188*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 16190*/       OPC_EmitMergeInputChains1_0,
/* 16191*/       OPC_EmitInteger, MVT::i32, 0, 
/* 16194*/       OPC_EmitConvertToTarget, 2,
/* 16196*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE8_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_store (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_store_8>> - Complexity = 14
                 // Dst: (ATOMIC_STORE8_I64_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 16205*/      /*Scope*/ 19, /*->16225*/
/* 16206*/       OPC_CheckPredicate, 2, // Predicate_atomic_store_16
/* 16208*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 16210*/       OPC_EmitMergeInputChains1_0,
/* 16211*/       OPC_EmitInteger, MVT::i32, 0, 
/* 16214*/       OPC_EmitConvertToTarget, 2,
/* 16216*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE16_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_store (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_store_16>> - Complexity = 14
                 // Dst: (ATOMIC_STORE16_I64_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 16225*/      /*Scope*/ 19, /*->16245*/
/* 16226*/       OPC_CheckPredicate, 4, // Predicate_atomic_store_32
/* 16228*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 16230*/       OPC_EmitMergeInputChains1_0,
/* 16231*/       OPC_EmitInteger, MVT::i32, 0, 
/* 16234*/       OPC_EmitConvertToTarget, 2,
/* 16236*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE32_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_store (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_store_32>> - Complexity = 14
                 // Dst: (ATOMIC_STORE32_I64_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 16245*/      0, /*End of Scope*/
/* 16246*/     /*Scope*/ 90, /*->16337*/
/* 16247*/      OPC_RecordChild2, // #3 = $val
/* 16248*/      OPC_Scope, 64, /*->16314*/ // 2 children in Scope
/* 16250*/       OPC_CheckChild2Type, MVT::i32,
/* 16252*/       OPC_Scope, 19, /*->16273*/ // 3 children in Scope
/* 16254*/        OPC_CheckPredicate, 4, // Predicate_atomic_store_32
/* 16256*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 16258*/        OPC_EmitMergeInputChains1_0,
/* 16259*/        OPC_EmitInteger, MVT::i32, 0, 
/* 16262*/        OPC_EmitConvertToTarget, 2,
/* 16264*/        OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (atomic_store (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_store_32>> - Complexity = 11
                  // Dst: (ATOMIC_STORE_I32_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 16273*/       /*Scope*/ 19, /*->16293*/
/* 16274*/        OPC_CheckPredicate, 1, // Predicate_atomic_store_8
/* 16276*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 16278*/        OPC_EmitMergeInputChains1_0,
/* 16279*/        OPC_EmitInteger, MVT::i32, 0, 
/* 16282*/        OPC_EmitConvertToTarget, 2,
/* 16284*/        OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE8_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (atomic_store (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_store_8>> - Complexity = 11
                  // Dst: (ATOMIC_STORE8_I32_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 16293*/       /*Scope*/ 19, /*->16313*/
/* 16294*/        OPC_CheckPredicate, 2, // Predicate_atomic_store_16
/* 16296*/        OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 16298*/        OPC_EmitMergeInputChains1_0,
/* 16299*/        OPC_EmitInteger, MVT::i32, 0, 
/* 16302*/        OPC_EmitConvertToTarget, 2,
/* 16304*/        OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE16_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      4/*#Ops*/, 4, 5, 1, 3, 
                  // Src: (atomic_store (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_store_16>> - Complexity = 11
                  // Dst: (ATOMIC_STORE16_I32_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 16313*/       0, /*End of Scope*/
/* 16314*/      /*Scope*/ 21, /*->16336*/
/* 16315*/       OPC_CheckChild2Type, MVT::i64,
/* 16317*/       OPC_CheckPredicate, 7, // Predicate_atomic_store_64
/* 16319*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 16321*/       OPC_EmitMergeInputChains1_0,
/* 16322*/       OPC_EmitInteger, MVT::i32, 0, 
/* 16325*/       OPC_EmitConvertToTarget, 2,
/* 16327*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_store (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, i64:{ *:[i64] }:$val)<<P:Predicate_atomic_store_64>> - Complexity = 11
                 // Dst: (ATOMIC_STORE_I64_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 16336*/      0, /*End of Scope*/
/* 16337*/     0, /*End of Scope*/
/* 16338*/    0, // EndSwitchType
/* 16339*/   /*SwitchOpcode*/ 123|128,1/*251*/, TARGET_VAL(ISD::OR),// ->16594
/* 16343*/    OPC_RecordChild0, // #1 = $addr
/* 16344*/    OPC_RecordChild1, // #2 = $off
/* 16345*/    OPC_MoveChild1,
/* 16346*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 16349*/    OPC_MoveParent,
/* 16350*/    OPC_CheckPredicate, 3, // Predicate_or_is_add
/* 16352*/    OPC_SwitchType /*2 cases */, 118, MVT::i32,// ->16473
/* 16355*/     OPC_MoveParent,
/* 16356*/     OPC_Scope, 68, /*->16426*/ // 2 children in Scope
/* 16358*/      OPC_MoveChild2,
/* 16359*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/* 16362*/      OPC_RecordChild0, // #3 = $val
/* 16363*/      OPC_MoveParent,
/* 16364*/      OPC_Scope, 19, /*->16385*/ // 3 children in Scope
/* 16366*/       OPC_CheckPredicate, 1, // Predicate_atomic_store_8
/* 16368*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 16370*/       OPC_EmitMergeInputChains1_0,
/* 16371*/       OPC_EmitInteger, MVT::i32, 0, 
/* 16374*/       OPC_EmitConvertToTarget, 2,
/* 16376*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE8_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_store (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_store_8>> - Complexity = 14
                 // Dst: (ATOMIC_STORE8_I64_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 16385*/      /*Scope*/ 19, /*->16405*/
/* 16386*/       OPC_CheckPredicate, 2, // Predicate_atomic_store_16
/* 16388*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 16390*/       OPC_EmitMergeInputChains1_0,
/* 16391*/       OPC_EmitInteger, MVT::i32, 0, 
/* 16394*/       OPC_EmitConvertToTarget, 2,
/* 16396*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE16_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_store (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_store_16>> - Complexity = 14
                 // Dst: (ATOMIC_STORE16_I64_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 16405*/      /*Scope*/ 19, /*->16425*/
/* 16406*/       OPC_CheckPredicate, 4, // Predicate_atomic_store_32
/* 16408*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 16410*/       OPC_EmitMergeInputChains1_0,
/* 16411*/       OPC_EmitInteger, MVT::i32, 0, 
/* 16414*/       OPC_EmitConvertToTarget, 2,
/* 16416*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE32_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_store (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_store_32>> - Complexity = 14
                 // Dst: (ATOMIC_STORE32_I64_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 16425*/      0, /*End of Scope*/
/* 16426*/     /*Scope*/ 45, /*->16472*/
/* 16427*/      OPC_RecordChild2, // #3 = $val
/* 16428*/      OPC_CheckChild2Type, MVT::i32,
/* 16430*/      OPC_Scope, 19, /*->16451*/ // 2 children in Scope
/* 16432*/       OPC_CheckPredicate, 1, // Predicate_atomic_store_8
/* 16434*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 16436*/       OPC_EmitMergeInputChains1_0,
/* 16437*/       OPC_EmitInteger, MVT::i32, 0, 
/* 16440*/       OPC_EmitConvertToTarget, 2,
/* 16442*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE8_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_store (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_store_8>> - Complexity = 11
                 // Dst: (ATOMIC_STORE8_I32_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 16451*/      /*Scope*/ 19, /*->16471*/
/* 16452*/       OPC_CheckPredicate, 2, // Predicate_atomic_store_16
/* 16454*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 16456*/       OPC_EmitMergeInputChains1_0,
/* 16457*/       OPC_EmitInteger, MVT::i32, 0, 
/* 16460*/       OPC_EmitConvertToTarget, 2,
/* 16462*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE16_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_store (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_store_16>> - Complexity = 11
                 // Dst: (ATOMIC_STORE16_I32_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 16471*/      0, /*End of Scope*/
/* 16472*/     0, /*End of Scope*/
/* 16473*/    /*SwitchType*/ 118, MVT::i64,// ->16593
/* 16475*/     OPC_MoveParent,
/* 16476*/     OPC_Scope, 68, /*->16546*/ // 2 children in Scope
/* 16478*/      OPC_MoveChild2,
/* 16479*/      OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/* 16482*/      OPC_RecordChild0, // #3 = $val
/* 16483*/      OPC_MoveParent,
/* 16484*/      OPC_Scope, 19, /*->16505*/ // 3 children in Scope
/* 16486*/       OPC_CheckPredicate, 1, // Predicate_atomic_store_8
/* 16488*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 16490*/       OPC_EmitMergeInputChains1_0,
/* 16491*/       OPC_EmitInteger, MVT::i32, 0, 
/* 16494*/       OPC_EmitConvertToTarget, 2,
/* 16496*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE8_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_store (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_store_8>> - Complexity = 14
                 // Dst: (ATOMIC_STORE8_I64_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 16505*/      /*Scope*/ 19, /*->16525*/
/* 16506*/       OPC_CheckPredicate, 2, // Predicate_atomic_store_16
/* 16508*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 16510*/       OPC_EmitMergeInputChains1_0,
/* 16511*/       OPC_EmitInteger, MVT::i32, 0, 
/* 16514*/       OPC_EmitConvertToTarget, 2,
/* 16516*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE16_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_store (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_store_16>> - Complexity = 14
                 // Dst: (ATOMIC_STORE16_I64_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 16525*/      /*Scope*/ 19, /*->16545*/
/* 16526*/       OPC_CheckPredicate, 4, // Predicate_atomic_store_32
/* 16528*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 16530*/       OPC_EmitMergeInputChains1_0,
/* 16531*/       OPC_EmitInteger, MVT::i32, 0, 
/* 16534*/       OPC_EmitConvertToTarget, 2,
/* 16536*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE32_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_store (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_store_32>> - Complexity = 14
                 // Dst: (ATOMIC_STORE32_I64_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 16545*/      0, /*End of Scope*/
/* 16546*/     /*Scope*/ 45, /*->16592*/
/* 16547*/      OPC_RecordChild2, // #3 = $val
/* 16548*/      OPC_CheckChild2Type, MVT::i32,
/* 16550*/      OPC_Scope, 19, /*->16571*/ // 2 children in Scope
/* 16552*/       OPC_CheckPredicate, 1, // Predicate_atomic_store_8
/* 16554*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 16556*/       OPC_EmitMergeInputChains1_0,
/* 16557*/       OPC_EmitInteger, MVT::i32, 0, 
/* 16560*/       OPC_EmitConvertToTarget, 2,
/* 16562*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE8_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_store (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_store_8>> - Complexity = 11
                 // Dst: (ATOMIC_STORE8_I32_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 16571*/      /*Scope*/ 19, /*->16591*/
/* 16572*/       OPC_CheckPredicate, 2, // Predicate_atomic_store_16
/* 16574*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 16576*/       OPC_EmitMergeInputChains1_0,
/* 16577*/       OPC_EmitInteger, MVT::i32, 0, 
/* 16580*/       OPC_EmitConvertToTarget, 2,
/* 16582*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE16_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_store (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_store_16>> - Complexity = 11
                 // Dst: (ATOMIC_STORE16_I32_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 16591*/      0, /*End of Scope*/
/* 16592*/     0, /*End of Scope*/
/* 16593*/    0, // EndSwitchType
/* 16594*/   /*SwitchOpcode*/ 56|128,2/*312*/, TARGET_VAL(WebAssemblyISD::Wrapper),// ->16910
/* 16598*/    OPC_RecordChild0, // #1 = $off
/* 16599*/    OPC_MoveChild0,
/* 16600*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 16603*/    OPC_MoveParent,
/* 16604*/    OPC_MoveParent,
/* 16605*/    OPC_Scope, 51|128,1/*179*/, /*->16787*/ // 2 children in Scope
/* 16608*/     OPC_MoveChild2,
/* 16609*/     OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/* 16612*/     OPC_RecordChild0, // #2 = $val
/* 16613*/     OPC_MoveParent,
/* 16614*/     OPC_Scope, 56, /*->16672*/ // 3 children in Scope
/* 16616*/      OPC_CheckPredicate, 1, // Predicate_atomic_store_8
/* 16618*/      OPC_Scope, 25, /*->16645*/ // 2 children in Scope
/* 16620*/       OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 16622*/       OPC_EmitMergeInputChains1_0,
/* 16623*/       OPC_EmitInteger, MVT::i32, 0, 
/* 16626*/       OPC_EmitInteger, MVT::i32, 0, 
/* 16629*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 16636*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE8_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_store (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_store_8>> - Complexity = 13
                 // Dst: (ATOMIC_STORE8_I64_A32 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/* 16645*/      /*Scope*/ 25, /*->16671*/
/* 16646*/       OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 16648*/       OPC_EmitMergeInputChains1_0,
/* 16649*/       OPC_EmitInteger, MVT::i32, 0, 
/* 16652*/       OPC_EmitInteger, MVT::i64, 0, 
/* 16655*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 16662*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE8_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_store (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_store_8>> - Complexity = 13
                 // Dst: (ATOMIC_STORE8_I64_A64 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/* 16671*/      0, /*End of Scope*/
/* 16672*/     /*Scope*/ 56, /*->16729*/
/* 16673*/      OPC_CheckPredicate, 2, // Predicate_atomic_store_16
/* 16675*/      OPC_Scope, 25, /*->16702*/ // 2 children in Scope
/* 16677*/       OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 16679*/       OPC_EmitMergeInputChains1_0,
/* 16680*/       OPC_EmitInteger, MVT::i32, 0, 
/* 16683*/       OPC_EmitInteger, MVT::i32, 0, 
/* 16686*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 16693*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE16_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_store (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_store_16>> - Complexity = 13
                 // Dst: (ATOMIC_STORE16_I64_A32 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/* 16702*/      /*Scope*/ 25, /*->16728*/
/* 16703*/       OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 16705*/       OPC_EmitMergeInputChains1_0,
/* 16706*/       OPC_EmitInteger, MVT::i32, 0, 
/* 16709*/       OPC_EmitInteger, MVT::i64, 0, 
/* 16712*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 16719*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE16_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_store (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_store_16>> - Complexity = 13
                 // Dst: (ATOMIC_STORE16_I64_A64 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/* 16728*/      0, /*End of Scope*/
/* 16729*/     /*Scope*/ 56, /*->16786*/
/* 16730*/      OPC_CheckPredicate, 4, // Predicate_atomic_store_32
/* 16732*/      OPC_Scope, 25, /*->16759*/ // 2 children in Scope
/* 16734*/       OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 16736*/       OPC_EmitMergeInputChains1_0,
/* 16737*/       OPC_EmitInteger, MVT::i32, 0, 
/* 16740*/       OPC_EmitInteger, MVT::i32, 0, 
/* 16743*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 16750*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE32_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_store (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_store_32>> - Complexity = 13
                 // Dst: (ATOMIC_STORE32_I64_A32 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/* 16759*/      /*Scope*/ 25, /*->16785*/
/* 16760*/       OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 16762*/       OPC_EmitMergeInputChains1_0,
/* 16763*/       OPC_EmitInteger, MVT::i32, 0, 
/* 16766*/       OPC_EmitInteger, MVT::i64, 0, 
/* 16769*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 16776*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE32_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_store (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_store_32>> - Complexity = 13
                 // Dst: (ATOMIC_STORE32_I64_A64 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/* 16785*/      0, /*End of Scope*/
/* 16786*/     0, /*End of Scope*/
/* 16787*/    /*Scope*/ 121, /*->16909*/
/* 16788*/     OPC_RecordChild2, // #2 = $val
/* 16789*/     OPC_Scope, 58, /*->16849*/ // 2 children in Scope
/* 16791*/      OPC_CheckChild2Type, MVT::i32,
/* 16793*/      OPC_CheckPredicate, 4, // Predicate_atomic_store_32
/* 16795*/      OPC_Scope, 25, /*->16822*/ // 2 children in Scope
/* 16797*/       OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 16799*/       OPC_EmitMergeInputChains1_0,
/* 16800*/       OPC_EmitInteger, MVT::i32, 0, 
/* 16803*/       OPC_EmitInteger, MVT::i32, 0, 
/* 16806*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 16813*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_store (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_store_32>> - Complexity = 10
                 // Dst: (ATOMIC_STORE_I32_A32 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 16822*/      /*Scope*/ 25, /*->16848*/
/* 16823*/       OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 16825*/       OPC_EmitMergeInputChains1_0,
/* 16826*/       OPC_EmitInteger, MVT::i32, 0, 
/* 16829*/       OPC_EmitInteger, MVT::i64, 0, 
/* 16832*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 16839*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_store (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_store_32>> - Complexity = 10
                 // Dst: (ATOMIC_STORE_I32_A64 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 16848*/      0, /*End of Scope*/
/* 16849*/     /*Scope*/ 58, /*->16908*/
/* 16850*/      OPC_CheckChild2Type, MVT::i64,
/* 16852*/      OPC_CheckPredicate, 7, // Predicate_atomic_store_64
/* 16854*/      OPC_Scope, 25, /*->16881*/ // 2 children in Scope
/* 16856*/       OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 16858*/       OPC_EmitMergeInputChains1_0,
/* 16859*/       OPC_EmitInteger, MVT::i32, 0, 
/* 16862*/       OPC_EmitInteger, MVT::i32, 0, 
/* 16865*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 16872*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_store (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i64:{ *:[i64] }:$val)<<P:Predicate_atomic_store_64>> - Complexity = 10
                 // Dst: (ATOMIC_STORE_I64_A32 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/* 16881*/      /*Scope*/ 25, /*->16907*/
/* 16882*/       OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 16884*/       OPC_EmitMergeInputChains1_0,
/* 16885*/       OPC_EmitInteger, MVT::i32, 0, 
/* 16888*/       OPC_EmitInteger, MVT::i64, 0, 
/* 16891*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 16898*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_store (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i64:{ *:[i64] }:$val)<<P:Predicate_atomic_store_64>> - Complexity = 10
                 // Dst: (ATOMIC_STORE_I64_A64 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/* 16907*/      0, /*End of Scope*/
/* 16908*/     0, /*End of Scope*/
/* 16909*/    0, /*End of Scope*/
/* 16910*/   0, // EndSwitchOpcode
/* 16911*/  /*Scope*/ 69|128,1/*197*/, /*->17110*/
/* 16913*/   OPC_RecordChild1, // #1 = $off
/* 16914*/   OPC_MoveChild1,
/* 16915*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 16918*/   OPC_MoveParent,
/* 16919*/   OPC_MoveChild2,
/* 16920*/   OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/* 16923*/   OPC_RecordChild0, // #2 = $val
/* 16924*/   OPC_MoveParent,
/* 16925*/   OPC_Scope, 60, /*->16987*/ // 3 children in Scope
/* 16927*/    OPC_CheckPredicate, 1, // Predicate_atomic_store_8
/* 16929*/    OPC_Scope, 27, /*->16958*/ // 2 children in Scope
/* 16931*/     OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 16933*/     OPC_EmitMergeInputChains1_0,
/* 16934*/     OPC_EmitInteger, MVT::i32, 0, 
/* 16937*/     OPC_EmitConvertToTarget, 1,
/* 16939*/     OPC_EmitInteger, MVT::i32, 0, 
/* 16942*/     OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                   MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 16949*/     OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE8_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   4/*#Ops*/, 3, 4, 6, 2, 
               // Src: (atomic_store (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_store_8>> - Complexity = 10
               // Dst: (ATOMIC_STORE8_I64_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/* 16958*/    /*Scope*/ 27, /*->16986*/
/* 16959*/     OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 16961*/     OPC_EmitMergeInputChains1_0,
/* 16962*/     OPC_EmitInteger, MVT::i32, 0, 
/* 16965*/     OPC_EmitConvertToTarget, 1,
/* 16967*/     OPC_EmitInteger, MVT::i64, 0, 
/* 16970*/     OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                   MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 16977*/     OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE8_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   4/*#Ops*/, 3, 4, 6, 2, 
               // Src: (atomic_store (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_store_8>> - Complexity = 10
               // Dst: (ATOMIC_STORE8_I64_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/* 16986*/    0, /*End of Scope*/
/* 16987*/   /*Scope*/ 60, /*->17048*/
/* 16988*/    OPC_CheckPredicate, 2, // Predicate_atomic_store_16
/* 16990*/    OPC_Scope, 27, /*->17019*/ // 2 children in Scope
/* 16992*/     OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 16994*/     OPC_EmitMergeInputChains1_0,
/* 16995*/     OPC_EmitInteger, MVT::i32, 0, 
/* 16998*/     OPC_EmitConvertToTarget, 1,
/* 17000*/     OPC_EmitInteger, MVT::i32, 0, 
/* 17003*/     OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                   MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 17010*/     OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE16_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   4/*#Ops*/, 3, 4, 6, 2, 
               // Src: (atomic_store (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_store_16>> - Complexity = 10
               // Dst: (ATOMIC_STORE16_I64_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/* 17019*/    /*Scope*/ 27, /*->17047*/
/* 17020*/     OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 17022*/     OPC_EmitMergeInputChains1_0,
/* 17023*/     OPC_EmitInteger, MVT::i32, 0, 
/* 17026*/     OPC_EmitConvertToTarget, 1,
/* 17028*/     OPC_EmitInteger, MVT::i64, 0, 
/* 17031*/     OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                   MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 17038*/     OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE16_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   4/*#Ops*/, 3, 4, 6, 2, 
               // Src: (atomic_store (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_store_16>> - Complexity = 10
               // Dst: (ATOMIC_STORE16_I64_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/* 17047*/    0, /*End of Scope*/
/* 17048*/   /*Scope*/ 60, /*->17109*/
/* 17049*/    OPC_CheckPredicate, 4, // Predicate_atomic_store_32
/* 17051*/    OPC_Scope, 27, /*->17080*/ // 2 children in Scope
/* 17053*/     OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 17055*/     OPC_EmitMergeInputChains1_0,
/* 17056*/     OPC_EmitInteger, MVT::i32, 0, 
/* 17059*/     OPC_EmitConvertToTarget, 1,
/* 17061*/     OPC_EmitInteger, MVT::i32, 0, 
/* 17064*/     OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                   MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 17071*/     OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE32_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   4/*#Ops*/, 3, 4, 6, 2, 
               // Src: (atomic_store (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_store_32>> - Complexity = 10
               // Dst: (ATOMIC_STORE32_I64_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/* 17080*/    /*Scope*/ 27, /*->17108*/
/* 17081*/     OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 17083*/     OPC_EmitMergeInputChains1_0,
/* 17084*/     OPC_EmitInteger, MVT::i32, 0, 
/* 17087*/     OPC_EmitConvertToTarget, 1,
/* 17089*/     OPC_EmitInteger, MVT::i64, 0, 
/* 17092*/     OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                   MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 17099*/     OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE32_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   4/*#Ops*/, 3, 4, 6, 2, 
               // Src: (atomic_store (imm:{ *:[iPTR] }):$off, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_store_32>> - Complexity = 10
               // Dst: (ATOMIC_STORE32_I64_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/* 17108*/    0, /*End of Scope*/
/* 17109*/   0, /*End of Scope*/
/* 17110*/  /*Scope*/ 2|128,1/*130*/, /*->17242*/
/* 17112*/   OPC_MoveChild1,
/* 17113*/   OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::Wrapper),
/* 17116*/   OPC_RecordChild0, // #1 = $off
/* 17117*/   OPC_MoveChild0,
/* 17118*/   OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 17121*/   OPC_MoveParent,
/* 17122*/   OPC_MoveParent,
/* 17123*/   OPC_RecordChild2, // #2 = $val
/* 17124*/   OPC_CheckChild2Type, MVT::i32,
/* 17126*/   OPC_Scope, 56, /*->17184*/ // 2 children in Scope
/* 17128*/    OPC_CheckPredicate, 1, // Predicate_atomic_store_8
/* 17130*/    OPC_Scope, 25, /*->17157*/ // 2 children in Scope
/* 17132*/     OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 17134*/     OPC_EmitMergeInputChains1_0,
/* 17135*/     OPC_EmitInteger, MVT::i32, 0, 
/* 17138*/     OPC_EmitInteger, MVT::i32, 0, 
/* 17141*/     OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                   MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 17148*/     OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE8_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   4/*#Ops*/, 3, 1, 5, 2, 
               // Src: (atomic_store (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_store_8>> - Complexity = 10
               // Dst: (ATOMIC_STORE8_I32_A32 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 17157*/    /*Scope*/ 25, /*->17183*/
/* 17158*/     OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 17160*/     OPC_EmitMergeInputChains1_0,
/* 17161*/     OPC_EmitInteger, MVT::i32, 0, 
/* 17164*/     OPC_EmitInteger, MVT::i64, 0, 
/* 17167*/     OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                   MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 17174*/     OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE8_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   4/*#Ops*/, 3, 1, 5, 2, 
               // Src: (atomic_store (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_store_8>> - Complexity = 10
               // Dst: (ATOMIC_STORE8_I32_A64 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 17183*/    0, /*End of Scope*/
/* 17184*/   /*Scope*/ 56, /*->17241*/
/* 17185*/    OPC_CheckPredicate, 2, // Predicate_atomic_store_16
/* 17187*/    OPC_Scope, 25, /*->17214*/ // 2 children in Scope
/* 17189*/     OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 17191*/     OPC_EmitMergeInputChains1_0,
/* 17192*/     OPC_EmitInteger, MVT::i32, 0, 
/* 17195*/     OPC_EmitInteger, MVT::i32, 0, 
/* 17198*/     OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                   MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 17205*/     OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE16_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   4/*#Ops*/, 3, 1, 5, 2, 
               // Src: (atomic_store (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_store_16>> - Complexity = 10
               // Dst: (ATOMIC_STORE16_I32_A32 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 17214*/    /*Scope*/ 25, /*->17240*/
/* 17215*/     OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 17217*/     OPC_EmitMergeInputChains1_0,
/* 17218*/     OPC_EmitInteger, MVT::i32, 0, 
/* 17221*/     OPC_EmitInteger, MVT::i64, 0, 
/* 17224*/     OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                   MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 17231*/     OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE16_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   4/*#Ops*/, 3, 1, 5, 2, 
               // Src: (atomic_store (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_store_16>> - Complexity = 10
               // Dst: (ATOMIC_STORE16_I32_A64 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 17240*/    0, /*End of Scope*/
/* 17241*/   0, /*End of Scope*/
/* 17242*/  /*Scope*/ 95|128,4/*607*/, /*->17851*/
/* 17244*/   OPC_RecordChild1, // #1 = $addr
/* 17245*/   OPC_Scope, 73, /*->17320*/ // 5 children in Scope
/* 17247*/    OPC_CheckChild1Type, MVT::i32,
/* 17249*/    OPC_MoveChild2,
/* 17250*/    OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/* 17253*/    OPC_RecordChild0, // #2 = $val
/* 17254*/    OPC_MoveParent,
/* 17255*/    OPC_Scope, 20, /*->17277*/ // 3 children in Scope
/* 17257*/     OPC_CheckPredicate, 1, // Predicate_atomic_store_8
/* 17259*/     OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 17261*/     OPC_EmitMergeInputChains1_0,
/* 17262*/     OPC_EmitInteger, MVT::i32, 0, 
/* 17265*/     OPC_EmitInteger, MVT::i32, 0, 
/* 17268*/     OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE8_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   4/*#Ops*/, 3, 4, 1, 2, 
               // Src: (atomic_store I32:{ *:[i32] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_store_8>> - Complexity = 7
               // Dst: (ATOMIC_STORE8_I64_A32 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 17277*/    /*Scope*/ 20, /*->17298*/
/* 17278*/     OPC_CheckPredicate, 2, // Predicate_atomic_store_16
/* 17280*/     OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 17282*/     OPC_EmitMergeInputChains1_0,
/* 17283*/     OPC_EmitInteger, MVT::i32, 0, 
/* 17286*/     OPC_EmitInteger, MVT::i32, 0, 
/* 17289*/     OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE16_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   4/*#Ops*/, 3, 4, 1, 2, 
               // Src: (atomic_store I32:{ *:[i32] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_store_16>> - Complexity = 7
               // Dst: (ATOMIC_STORE16_I64_A32 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 17298*/    /*Scope*/ 20, /*->17319*/
/* 17299*/     OPC_CheckPredicate, 4, // Predicate_atomic_store_32
/* 17301*/     OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 17303*/     OPC_EmitMergeInputChains1_0,
/* 17304*/     OPC_EmitInteger, MVT::i32, 0, 
/* 17307*/     OPC_EmitInteger, MVT::i32, 0, 
/* 17310*/     OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE32_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   4/*#Ops*/, 3, 4, 1, 2, 
               // Src: (atomic_store I32:{ *:[i32] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_store_32>> - Complexity = 7
               // Dst: (ATOMIC_STORE32_I64_A32 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 17319*/    0, /*End of Scope*/
/* 17320*/   /*Scope*/ 73, /*->17394*/
/* 17321*/    OPC_CheckChild1Type, MVT::i64,
/* 17323*/    OPC_MoveChild2,
/* 17324*/    OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/* 17327*/    OPC_RecordChild0, // #2 = $val
/* 17328*/    OPC_MoveParent,
/* 17329*/    OPC_Scope, 20, /*->17351*/ // 3 children in Scope
/* 17331*/     OPC_CheckPredicate, 1, // Predicate_atomic_store_8
/* 17333*/     OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 17335*/     OPC_EmitMergeInputChains1_0,
/* 17336*/     OPC_EmitInteger, MVT::i32, 0, 
/* 17339*/     OPC_EmitInteger, MVT::i64, 0, 
/* 17342*/     OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE8_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   4/*#Ops*/, 3, 4, 1, 2, 
               // Src: (atomic_store I64:{ *:[i64] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_store_8>> - Complexity = 7
               // Dst: (ATOMIC_STORE8_I64_A64 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 17351*/    /*Scope*/ 20, /*->17372*/
/* 17352*/     OPC_CheckPredicate, 2, // Predicate_atomic_store_16
/* 17354*/     OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 17356*/     OPC_EmitMergeInputChains1_0,
/* 17357*/     OPC_EmitInteger, MVT::i32, 0, 
/* 17360*/     OPC_EmitInteger, MVT::i64, 0, 
/* 17363*/     OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE16_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   4/*#Ops*/, 3, 4, 1, 2, 
               // Src: (atomic_store I64:{ *:[i64] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_store_16>> - Complexity = 7
               // Dst: (ATOMIC_STORE16_I64_A64 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 17372*/    /*Scope*/ 20, /*->17393*/
/* 17373*/     OPC_CheckPredicate, 4, // Predicate_atomic_store_32
/* 17375*/     OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 17377*/     OPC_EmitMergeInputChains1_0,
/* 17378*/     OPC_EmitInteger, MVT::i32, 0, 
/* 17381*/     OPC_EmitInteger, MVT::i64, 0, 
/* 17384*/     OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE32_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   4/*#Ops*/, 3, 4, 1, 2, 
               // Src: (atomic_store I64:{ *:[i64] }:$addr, (trunc:{ *:[i32] } i64:{ *:[i64] }:$val))<<P:Predicate_atomic_store_32>> - Complexity = 7
               // Dst: (ATOMIC_STORE32_I64_A64 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 17393*/    0, /*End of Scope*/
/* 17394*/   /*Scope*/ 4|128,2/*260*/, /*->17656*/
/* 17396*/    OPC_MoveChild1,
/* 17397*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 17400*/    OPC_MoveParent,
/* 17401*/    OPC_RecordChild2, // #2 = $val
/* 17402*/    OPC_Scope, 59|128,1/*187*/, /*->17592*/ // 2 children in Scope
/* 17405*/     OPC_CheckChild2Type, MVT::i32,
/* 17407*/     OPC_Scope, 60, /*->17469*/ // 3 children in Scope
/* 17409*/      OPC_CheckPredicate, 4, // Predicate_atomic_store_32
/* 17411*/      OPC_Scope, 27, /*->17440*/ // 2 children in Scope
/* 17413*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 17415*/       OPC_EmitMergeInputChains1_0,
/* 17416*/       OPC_EmitInteger, MVT::i32, 0, 
/* 17419*/       OPC_EmitConvertToTarget, 1,
/* 17421*/       OPC_EmitInteger, MVT::i32, 0, 
/* 17424*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 17431*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_store (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_store_32>> - Complexity = 7
                 // Dst: (ATOMIC_STORE_I32_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 17440*/      /*Scope*/ 27, /*->17468*/
/* 17441*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 17443*/       OPC_EmitMergeInputChains1_0,
/* 17444*/       OPC_EmitInteger, MVT::i32, 0, 
/* 17447*/       OPC_EmitConvertToTarget, 1,
/* 17449*/       OPC_EmitInteger, MVT::i64, 0, 
/* 17452*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 17459*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_store (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_store_32>> - Complexity = 7
                 // Dst: (ATOMIC_STORE_I32_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 17468*/      0, /*End of Scope*/
/* 17469*/     /*Scope*/ 60, /*->17530*/
/* 17470*/      OPC_CheckPredicate, 1, // Predicate_atomic_store_8
/* 17472*/      OPC_Scope, 27, /*->17501*/ // 2 children in Scope
/* 17474*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 17476*/       OPC_EmitMergeInputChains1_0,
/* 17477*/       OPC_EmitInteger, MVT::i32, 0, 
/* 17480*/       OPC_EmitConvertToTarget, 1,
/* 17482*/       OPC_EmitInteger, MVT::i32, 0, 
/* 17485*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 17492*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE8_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_store (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_store_8>> - Complexity = 7
                 // Dst: (ATOMIC_STORE8_I32_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 17501*/      /*Scope*/ 27, /*->17529*/
/* 17502*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 17504*/       OPC_EmitMergeInputChains1_0,
/* 17505*/       OPC_EmitInteger, MVT::i32, 0, 
/* 17508*/       OPC_EmitConvertToTarget, 1,
/* 17510*/       OPC_EmitInteger, MVT::i64, 0, 
/* 17513*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 17520*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE8_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_store (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_store_8>> - Complexity = 7
                 // Dst: (ATOMIC_STORE8_I32_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 17529*/      0, /*End of Scope*/
/* 17530*/     /*Scope*/ 60, /*->17591*/
/* 17531*/      OPC_CheckPredicate, 2, // Predicate_atomic_store_16
/* 17533*/      OPC_Scope, 27, /*->17562*/ // 2 children in Scope
/* 17535*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 17537*/       OPC_EmitMergeInputChains1_0,
/* 17538*/       OPC_EmitInteger, MVT::i32, 0, 
/* 17541*/       OPC_EmitConvertToTarget, 1,
/* 17543*/       OPC_EmitInteger, MVT::i32, 0, 
/* 17546*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 17553*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE16_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_store (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_store_16>> - Complexity = 7
                 // Dst: (ATOMIC_STORE16_I32_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 17562*/      /*Scope*/ 27, /*->17590*/
/* 17563*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 17565*/       OPC_EmitMergeInputChains1_0,
/* 17566*/       OPC_EmitInteger, MVT::i32, 0, 
/* 17569*/       OPC_EmitConvertToTarget, 1,
/* 17571*/       OPC_EmitInteger, MVT::i64, 0, 
/* 17574*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 17581*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE16_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_store (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_store_16>> - Complexity = 7
                 // Dst: (ATOMIC_STORE16_I32_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 17590*/      0, /*End of Scope*/
/* 17591*/     0, /*End of Scope*/
/* 17592*/    /*Scope*/ 62, /*->17655*/
/* 17593*/     OPC_CheckChild2Type, MVT::i64,
/* 17595*/     OPC_CheckPredicate, 7, // Predicate_atomic_store_64
/* 17597*/     OPC_Scope, 27, /*->17626*/ // 2 children in Scope
/* 17599*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 17601*/      OPC_EmitMergeInputChains1_0,
/* 17602*/      OPC_EmitInteger, MVT::i32, 0, 
/* 17605*/      OPC_EmitConvertToTarget, 1,
/* 17607*/      OPC_EmitInteger, MVT::i32, 0, 
/* 17610*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 17617*/      OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    4/*#Ops*/, 3, 4, 6, 2, 
                // Src: (atomic_store (imm:{ *:[iPTR] }):$off, i64:{ *:[i64] }:$val)<<P:Predicate_atomic_store_64>> - Complexity = 7
                // Dst: (ATOMIC_STORE_I64_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/* 17626*/     /*Scope*/ 27, /*->17654*/
/* 17627*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 17629*/      OPC_EmitMergeInputChains1_0,
/* 17630*/      OPC_EmitInteger, MVT::i32, 0, 
/* 17633*/      OPC_EmitConvertToTarget, 1,
/* 17635*/      OPC_EmitInteger, MVT::i64, 0, 
/* 17638*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 17645*/      OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    4/*#Ops*/, 3, 4, 6, 2, 
                // Src: (atomic_store (imm:{ *:[iPTR] }):$off, i64:{ *:[i64] }:$val)<<P:Predicate_atomic_store_64>> - Complexity = 7
                // Dst: (ATOMIC_STORE_I64_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/* 17654*/     0, /*End of Scope*/
/* 17655*/    0, /*End of Scope*/
/* 17656*/   /*Scope*/ 96, /*->17753*/
/* 17657*/    OPC_CheckChild1Type, MVT::i32,
/* 17659*/    OPC_RecordChild2, // #2 = $val
/* 17660*/    OPC_Scope, 67, /*->17729*/ // 2 children in Scope
/* 17662*/     OPC_CheckChild2Type, MVT::i32,
/* 17664*/     OPC_Scope, 20, /*->17686*/ // 3 children in Scope
/* 17666*/      OPC_CheckPredicate, 4, // Predicate_atomic_store_32
/* 17668*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 17670*/      OPC_EmitMergeInputChains1_0,
/* 17671*/      OPC_EmitInteger, MVT::i32, 0, 
/* 17674*/      OPC_EmitInteger, MVT::i32, 0, 
/* 17677*/      OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_store I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_store_32>> - Complexity = 4
                // Dst: (ATOMIC_STORE_I32_A32 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 17686*/     /*Scope*/ 20, /*->17707*/
/* 17687*/      OPC_CheckPredicate, 1, // Predicate_atomic_store_8
/* 17689*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 17691*/      OPC_EmitMergeInputChains1_0,
/* 17692*/      OPC_EmitInteger, MVT::i32, 0, 
/* 17695*/      OPC_EmitInteger, MVT::i32, 0, 
/* 17698*/      OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE8_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_store I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_store_8>> - Complexity = 4
                // Dst: (ATOMIC_STORE8_I32_A32 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 17707*/     /*Scope*/ 20, /*->17728*/
/* 17708*/      OPC_CheckPredicate, 2, // Predicate_atomic_store_16
/* 17710*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 17712*/      OPC_EmitMergeInputChains1_0,
/* 17713*/      OPC_EmitInteger, MVT::i32, 0, 
/* 17716*/      OPC_EmitInteger, MVT::i32, 0, 
/* 17719*/      OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE16_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_store I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_store_16>> - Complexity = 4
                // Dst: (ATOMIC_STORE16_I32_A32 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 17728*/     0, /*End of Scope*/
/* 17729*/    /*Scope*/ 22, /*->17752*/
/* 17730*/     OPC_CheckChild2Type, MVT::i64,
/* 17732*/     OPC_CheckPredicate, 7, // Predicate_atomic_store_64
/* 17734*/     OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 17736*/     OPC_EmitMergeInputChains1_0,
/* 17737*/     OPC_EmitInteger, MVT::i32, 0, 
/* 17740*/     OPC_EmitInteger, MVT::i32, 0, 
/* 17743*/     OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   4/*#Ops*/, 3, 4, 1, 2, 
               // Src: (atomic_store I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)<<P:Predicate_atomic_store_64>> - Complexity = 4
               // Dst: (ATOMIC_STORE_I64_A32 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 17752*/    0, /*End of Scope*/
/* 17753*/   /*Scope*/ 96, /*->17850*/
/* 17754*/    OPC_CheckChild1Type, MVT::i64,
/* 17756*/    OPC_RecordChild2, // #2 = $val
/* 17757*/    OPC_Scope, 67, /*->17826*/ // 2 children in Scope
/* 17759*/     OPC_CheckChild2Type, MVT::i32,
/* 17761*/     OPC_Scope, 20, /*->17783*/ // 3 children in Scope
/* 17763*/      OPC_CheckPredicate, 4, // Predicate_atomic_store_32
/* 17765*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 17767*/      OPC_EmitMergeInputChains1_0,
/* 17768*/      OPC_EmitInteger, MVT::i32, 0, 
/* 17771*/      OPC_EmitInteger, MVT::i64, 0, 
/* 17774*/      OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_store I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_store_32>> - Complexity = 4
                // Dst: (ATOMIC_STORE_I32_A64 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 17783*/     /*Scope*/ 20, /*->17804*/
/* 17784*/      OPC_CheckPredicate, 1, // Predicate_atomic_store_8
/* 17786*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 17788*/      OPC_EmitMergeInputChains1_0,
/* 17789*/      OPC_EmitInteger, MVT::i32, 0, 
/* 17792*/      OPC_EmitInteger, MVT::i64, 0, 
/* 17795*/      OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE8_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_store I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_store_8>> - Complexity = 4
                // Dst: (ATOMIC_STORE8_I32_A64 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 17804*/     /*Scope*/ 20, /*->17825*/
/* 17805*/      OPC_CheckPredicate, 2, // Predicate_atomic_store_16
/* 17807*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 17809*/      OPC_EmitMergeInputChains1_0,
/* 17810*/      OPC_EmitInteger, MVT::i32, 0, 
/* 17813*/      OPC_EmitInteger, MVT::i64, 0, 
/* 17816*/      OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE16_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_store I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_store_16>> - Complexity = 4
                // Dst: (ATOMIC_STORE16_I32_A64 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 17825*/     0, /*End of Scope*/
/* 17826*/    /*Scope*/ 22, /*->17849*/
/* 17827*/     OPC_CheckChild2Type, MVT::i64,
/* 17829*/     OPC_CheckPredicate, 7, // Predicate_atomic_store_64
/* 17831*/     OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 17833*/     OPC_EmitMergeInputChains1_0,
/* 17834*/     OPC_EmitInteger, MVT::i32, 0, 
/* 17837*/     OPC_EmitInteger, MVT::i64, 0, 
/* 17840*/     OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::ATOMIC_STORE_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   4/*#Ops*/, 3, 4, 1, 2, 
               // Src: (atomic_store I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)<<P:Predicate_atomic_store_64>> - Complexity = 4
               // Dst: (ATOMIC_STORE_I64_A64 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 17849*/    0, /*End of Scope*/
/* 17850*/   0, /*End of Scope*/
/* 17851*/  0, /*End of Scope*/
/* 17852*/ /*SwitchOpcode*/ 100, TARGET_VAL(ISD::BRCOND),// ->17955
/* 17855*/  OPC_RecordNode, // #0 = 'brcond' chained node
/* 17856*/  OPC_Scope, 78, /*->17936*/ // 2 children in Scope
/* 17858*/   OPC_MoveChild1,
/* 17859*/   OPC_SwitchOpcode /*2 cases */, 24, TARGET_VAL(ISD::XOR),// ->17887
/* 17863*/    OPC_RecordChild0, // #1 = $cond
/* 17864*/    OPC_MoveChild0,
/* 17865*/    OPC_CheckPredicate, 8, // Predicate_bool_node
/* 17867*/    OPC_MoveParent,
/* 17868*/    OPC_CheckChild1Integer, 2, 
/* 17870*/    OPC_CheckType, MVT::i32,
/* 17872*/    OPC_MoveParent,
/* 17873*/    OPC_RecordChild2, // #2 = $dst
/* 17874*/    OPC_MoveChild2,
/* 17875*/    OPC_CheckOpcode, TARGET_VAL(ISD::BasicBlock),
/* 17878*/    OPC_MoveParent,
/* 17879*/    OPC_EmitMergeInputChains1_0,
/* 17880*/    OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::BR_UNLESS), 0|OPFL_Chain,
                  2/*#Ops*/, 2, 1, 
              // Src: (brcond (xor:{ *:[i32] } I32:{ *:[i32] }<<P:Predicate_bool_node>>:$cond, 1:{ *:[i32] }), (bb:{ *:[Other] }):$dst) - Complexity = 12
              // Dst: (BR_UNLESS bb_op:{ *:[Other] }:$dst, I32:{ *:[i32] }:$cond)
/* 17887*/   /*SwitchOpcode*/ 45, TARGET_VAL(ISD::SETCC),// ->17935
/* 17890*/    OPC_RecordChild0, // #1 = $cond
/* 17891*/    OPC_CheckChild0Type, MVT::i32,
/* 17893*/    OPC_CheckChild1Integer, 0, 
/* 17895*/    OPC_CheckType, MVT::i32,
/* 17897*/    OPC_Scope, 17, /*->17916*/ // 2 children in Scope
/* 17899*/     OPC_CheckChild2CondCode, ISD::SETNE,
/* 17901*/     OPC_MoveParent,
/* 17902*/     OPC_RecordChild2, // #2 = $dst
/* 17903*/     OPC_MoveChild2,
/* 17904*/     OPC_CheckOpcode, TARGET_VAL(ISD::BasicBlock),
/* 17907*/     OPC_MoveParent,
/* 17908*/     OPC_EmitMergeInputChains1_0,
/* 17909*/     OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::BR_IF), 0|OPFL_Chain,
                   2/*#Ops*/, 2, 1, 
               // Src: (brcond (setcc:{ *:[i32] } I32:{ *:[i32] }:$cond, 0:{ *:[i32] }, SETNE:{ *:[Other] }), (bb:{ *:[Other] }):$dst) - Complexity = 11
               // Dst: (BR_IF bb_op:{ *:[Other] }:$dst, I32:{ *:[i32] }:$cond)
/* 17916*/    /*Scope*/ 17, /*->17934*/
/* 17917*/     OPC_CheckChild2CondCode, ISD::SETEQ,
/* 17919*/     OPC_MoveParent,
/* 17920*/     OPC_RecordChild2, // #2 = $dst
/* 17921*/     OPC_MoveChild2,
/* 17922*/     OPC_CheckOpcode, TARGET_VAL(ISD::BasicBlock),
/* 17925*/     OPC_MoveParent,
/* 17926*/     OPC_EmitMergeInputChains1_0,
/* 17927*/     OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::BR_UNLESS), 0|OPFL_Chain,
                   2/*#Ops*/, 2, 1, 
               // Src: (brcond (setcc:{ *:[i32] } I32:{ *:[i32] }:$cond, 0:{ *:[i32] }, SETEQ:{ *:[Other] }), (bb:{ *:[Other] }):$dst) - Complexity = 11
               // Dst: (BR_UNLESS bb_op:{ *:[Other] }:$dst, I32:{ *:[i32] }:$cond)
/* 17934*/    0, /*End of Scope*/
/* 17935*/   0, // EndSwitchOpcode
/* 17936*/  /*Scope*/ 17, /*->17954*/
/* 17937*/   OPC_RecordChild1, // #1 = $cond
/* 17938*/   OPC_CheckChild1Type, MVT::i32,
/* 17940*/   OPC_RecordChild2, // #2 = $dst
/* 17941*/   OPC_MoveChild2,
/* 17942*/   OPC_CheckOpcode, TARGET_VAL(ISD::BasicBlock),
/* 17945*/   OPC_MoveParent,
/* 17946*/   OPC_EmitMergeInputChains1_0,
/* 17947*/   OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::BR_IF), 0|OPFL_Chain,
                 2/*#Ops*/, 2, 1, 
             // Src: (brcond I32:{ *:[i32] }:$cond, (bb:{ *:[Other] }):$dst) - Complexity = 3
             // Dst: (BR_IF (bb:{ *:[Other] }):$dst, I32:{ *:[i32] }:$cond)
/* 17954*/  0, /*End of Scope*/
/* 17955*/ /*SwitchOpcode*/ 56|128,38/*4920*/, TARGET_VAL(ISD::STORE),// ->22879
/* 17959*/  OPC_RecordMemRef,
/* 17960*/  OPC_RecordNode, // #0 = 'st' chained node
/* 17961*/  OPC_Scope, 63|128,2/*319*/, /*->18283*/ // 2 children in Scope
/* 17964*/   OPC_MoveChild1,
/* 17965*/   OPC_CheckOpcode, TARGET_VAL(ISD::EXTRACT_VECTOR_ELT),
/* 17968*/   OPC_RecordChild0, // #1 = $vec
/* 17969*/   OPC_Scope, 79, /*->18050*/ // 4 children in Scope
/* 17971*/    OPC_CheckChild0Type, MVT::v16i8,
/* 17973*/    OPC_RecordChild1, // #2 = $idx
/* 17974*/    OPC_MoveChild1,
/* 17975*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 17978*/    OPC_CheckPredicate, 5, // Predicate_LaneIdx16
/* 17980*/    OPC_CheckType, MVT::i32,
/* 17982*/    OPC_MoveParent,
/* 17983*/    OPC_CheckType, MVT::i32,
/* 17985*/    OPC_MoveParent,
/* 17986*/    OPC_RecordChild2, // #3 = $addr
/* 17987*/    OPC_Scope, 29, /*->18018*/ // 2 children in Scope
/* 17989*/     OPC_CheckChild2Type, MVT::i32,
/* 17991*/     OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 17993*/     OPC_CheckPredicate, 10, // Predicate_truncstore
/* 17995*/     OPC_CheckPredicate, 11, // Predicate_truncstorei8
/* 17997*/     OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 17999*/     OPC_EmitMergeInputChains1_0,
/* 18000*/     OPC_EmitInteger, MVT::i32, 0, 
/* 18003*/     OPC_EmitInteger, MVT::i32, 0, 
/* 18006*/     OPC_EmitConvertToTarget, 2,
/* 18008*/     OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_LANE_I8x16_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   5/*#Ops*/, 4, 5, 6, 3, 1, 
               // Src: (st (vector_extract:{ *:[i32] } V128:{ *:[v16i8] }:$vec, (imm:{ *:[i32] })<<P:Predicate_LaneIdx16>>:$idx), I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>> - Complexity = 12
               // Dst: (STORE_LANE_I8x16_A32 0:{ *:[i32] }, 0:{ *:[i32] }, (imm:{ *:[i32] }):$idx, ?:{ *:[i32] }:$addr, ?:{ *:[v16i8] }:$vec)
/* 18018*/    /*Scope*/ 30, /*->18049*/
/* 18019*/     OPC_CheckChild2Type, MVT::i64,
/* 18021*/     OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 18023*/     OPC_CheckPredicate, 10, // Predicate_truncstore
/* 18025*/     OPC_CheckPredicate, 11, // Predicate_truncstorei8
/* 18027*/     OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 18029*/     OPC_EmitMergeInputChains1_0,
/* 18030*/     OPC_EmitInteger, MVT::i32, 0, 
/* 18033*/     OPC_EmitInteger, MVT::i64, 0, 
/* 18036*/     OPC_EmitConvertToTarget, 2,
/* 18038*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::STORE_LANE_I8x16_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::v16i8, 5/*#Ops*/, 4, 5, 6, 3, 1, 
               // Src: (st (vector_extract:{ *:[i32] } V128:{ *:[v16i8] }:$vec, (imm:{ *:[i32] })<<P:Predicate_LaneIdx16>>:$idx), I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>> - Complexity = 12
               // Dst: (STORE_LANE_I8x16_A64:{ *:[v16i8] } 0:{ *:[i32] }, 0:{ *:[i64] }, (imm:{ *:[i32] }):$idx, ?:{ *:[i64] }:$addr, ?:{ *:[v16i8] }:$vec)
/* 18049*/    0, /*End of Scope*/
/* 18050*/   /*Scope*/ 79, /*->18130*/
/* 18051*/    OPC_CheckChild0Type, MVT::v8i16,
/* 18053*/    OPC_RecordChild1, // #2 = $idx
/* 18054*/    OPC_MoveChild1,
/* 18055*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 18058*/    OPC_CheckPredicate, 6, // Predicate_LaneIdx8
/* 18060*/    OPC_CheckType, MVT::i32,
/* 18062*/    OPC_MoveParent,
/* 18063*/    OPC_CheckType, MVT::i32,
/* 18065*/    OPC_MoveParent,
/* 18066*/    OPC_RecordChild2, // #3 = $addr
/* 18067*/    OPC_Scope, 29, /*->18098*/ // 2 children in Scope
/* 18069*/     OPC_CheckChild2Type, MVT::i32,
/* 18071*/     OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 18073*/     OPC_CheckPredicate, 10, // Predicate_truncstore
/* 18075*/     OPC_CheckPredicate, 12, // Predicate_truncstorei16
/* 18077*/     OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 18079*/     OPC_EmitMergeInputChains1_0,
/* 18080*/     OPC_EmitInteger, MVT::i32, 0, 
/* 18083*/     OPC_EmitInteger, MVT::i32, 0, 
/* 18086*/     OPC_EmitConvertToTarget, 2,
/* 18088*/     OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_LANE_I16x8_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   5/*#Ops*/, 4, 5, 6, 3, 1, 
               // Src: (st (vector_extract:{ *:[i32] } V128:{ *:[v8i16] }:$vec, (imm:{ *:[i32] })<<P:Predicate_LaneIdx8>>:$idx), I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>> - Complexity = 12
               // Dst: (STORE_LANE_I16x8_A32 0:{ *:[i32] }, 0:{ *:[i32] }, (imm:{ *:[i32] }):$idx, ?:{ *:[i32] }:$addr, ?:{ *:[v8i16] }:$vec)
/* 18098*/    /*Scope*/ 30, /*->18129*/
/* 18099*/     OPC_CheckChild2Type, MVT::i64,
/* 18101*/     OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 18103*/     OPC_CheckPredicate, 10, // Predicate_truncstore
/* 18105*/     OPC_CheckPredicate, 12, // Predicate_truncstorei16
/* 18107*/     OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 18109*/     OPC_EmitMergeInputChains1_0,
/* 18110*/     OPC_EmitInteger, MVT::i32, 0, 
/* 18113*/     OPC_EmitInteger, MVT::i64, 0, 
/* 18116*/     OPC_EmitConvertToTarget, 2,
/* 18118*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::STORE_LANE_I16x8_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::v16i8, 5/*#Ops*/, 4, 5, 6, 3, 1, 
               // Src: (st (vector_extract:{ *:[i32] } V128:{ *:[v8i16] }:$vec, (imm:{ *:[i32] })<<P:Predicate_LaneIdx8>>:$idx), I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>> - Complexity = 12
               // Dst: (STORE_LANE_I16x8_A64:{ *:[v16i8] } 0:{ *:[i32] }, 0:{ *:[i64] }, (imm:{ *:[i32] }):$idx, ?:{ *:[i64] }:$addr, ?:{ *:[v8i16] }:$vec)
/* 18129*/    0, /*End of Scope*/
/* 18130*/   /*Scope*/ 75, /*->18206*/
/* 18131*/    OPC_CheckChild0Type, MVT::v4i32,
/* 18133*/    OPC_RecordChild1, // #2 = $idx
/* 18134*/    OPC_MoveChild1,
/* 18135*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 18138*/    OPC_CheckPredicate, 13, // Predicate_LaneIdx4
/* 18140*/    OPC_CheckType, MVT::i32,
/* 18142*/    OPC_MoveParent,
/* 18143*/    OPC_CheckType, MVT::i32,
/* 18145*/    OPC_MoveParent,
/* 18146*/    OPC_RecordChild2, // #3 = $addr
/* 18147*/    OPC_Scope, 27, /*->18176*/ // 2 children in Scope
/* 18149*/     OPC_CheckChild2Type, MVT::i32,
/* 18151*/     OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 18153*/     OPC_CheckPredicate, 14, // Predicate_store
/* 18155*/     OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 18157*/     OPC_EmitMergeInputChains1_0,
/* 18158*/     OPC_EmitInteger, MVT::i32, 0, 
/* 18161*/     OPC_EmitInteger, MVT::i32, 0, 
/* 18164*/     OPC_EmitConvertToTarget, 2,
/* 18166*/     OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_LANE_I32x4_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   5/*#Ops*/, 4, 5, 6, 3, 1, 
               // Src: (st (vector_extract:{ *:[i32] } V128:{ *:[v4i32] }:$vec, (imm:{ *:[i32] })<<P:Predicate_LaneIdx4>>:$idx), I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 12
               // Dst: (STORE_LANE_I32x4_A32 0:{ *:[i32] }, 0:{ *:[i32] }, (imm:{ *:[i32] }):$idx, ?:{ *:[i32] }:$addr, ?:{ *:[v4i32] }:$vec)
/* 18176*/    /*Scope*/ 28, /*->18205*/
/* 18177*/     OPC_CheckChild2Type, MVT::i64,
/* 18179*/     OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 18181*/     OPC_CheckPredicate, 14, // Predicate_store
/* 18183*/     OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 18185*/     OPC_EmitMergeInputChains1_0,
/* 18186*/     OPC_EmitInteger, MVT::i32, 0, 
/* 18189*/     OPC_EmitInteger, MVT::i64, 0, 
/* 18192*/     OPC_EmitConvertToTarget, 2,
/* 18194*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::STORE_LANE_I32x4_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::v16i8, 5/*#Ops*/, 4, 5, 6, 3, 1, 
               // Src: (st (vector_extract:{ *:[i32] } V128:{ *:[v4i32] }:$vec, (imm:{ *:[i32] })<<P:Predicate_LaneIdx4>>:$idx), I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 12
               // Dst: (STORE_LANE_I32x4_A64:{ *:[v16i8] } 0:{ *:[i32] }, 0:{ *:[i64] }, (imm:{ *:[i32] }):$idx, ?:{ *:[i64] }:$addr, ?:{ *:[v4i32] }:$vec)
/* 18205*/    0, /*End of Scope*/
/* 18206*/   /*Scope*/ 75, /*->18282*/
/* 18207*/    OPC_CheckChild0Type, MVT::v2i64,
/* 18209*/    OPC_RecordChild1, // #2 = $idx
/* 18210*/    OPC_MoveChild1,
/* 18211*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 18214*/    OPC_CheckPredicate, 15, // Predicate_LaneIdx2
/* 18216*/    OPC_CheckType, MVT::i32,
/* 18218*/    OPC_MoveParent,
/* 18219*/    OPC_CheckType, MVT::i64,
/* 18221*/    OPC_MoveParent,
/* 18222*/    OPC_RecordChild2, // #3 = $addr
/* 18223*/    OPC_Scope, 27, /*->18252*/ // 2 children in Scope
/* 18225*/     OPC_CheckChild2Type, MVT::i32,
/* 18227*/     OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 18229*/     OPC_CheckPredicate, 14, // Predicate_store
/* 18231*/     OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 18233*/     OPC_EmitMergeInputChains1_0,
/* 18234*/     OPC_EmitInteger, MVT::i32, 0, 
/* 18237*/     OPC_EmitInteger, MVT::i32, 0, 
/* 18240*/     OPC_EmitConvertToTarget, 2,
/* 18242*/     OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_LANE_I64x2_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   5/*#Ops*/, 4, 5, 6, 3, 1, 
               // Src: (st (vector_extract:{ *:[i64] } V128:{ *:[v2i64] }:$vec, (imm:{ *:[i32] })<<P:Predicate_LaneIdx2>>:$idx), I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 12
               // Dst: (STORE_LANE_I64x2_A32 0:{ *:[i32] }, 0:{ *:[i32] }, (imm:{ *:[i32] }):$idx, ?:{ *:[i32] }:$addr, ?:{ *:[v2i64] }:$vec)
/* 18252*/    /*Scope*/ 28, /*->18281*/
/* 18253*/     OPC_CheckChild2Type, MVT::i64,
/* 18255*/     OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 18257*/     OPC_CheckPredicate, 14, // Predicate_store
/* 18259*/     OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 18261*/     OPC_EmitMergeInputChains1_0,
/* 18262*/     OPC_EmitInteger, MVT::i32, 0, 
/* 18265*/     OPC_EmitInteger, MVT::i64, 0, 
/* 18268*/     OPC_EmitConvertToTarget, 2,
/* 18270*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::STORE_LANE_I64x2_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::v16i8, 5/*#Ops*/, 4, 5, 6, 3, 1, 
               // Src: (st (vector_extract:{ *:[i64] } V128:{ *:[v2i64] }:$vec, (imm:{ *:[i32] })<<P:Predicate_LaneIdx2>>:$idx), I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 12
               // Dst: (STORE_LANE_I64x2_A64:{ *:[v16i8] } 0:{ *:[i32] }, 0:{ *:[i64] }, (imm:{ *:[i32] }):$idx, ?:{ *:[i64] }:$addr, ?:{ *:[v2i64] }:$vec)
/* 18281*/    0, /*End of Scope*/
/* 18282*/   0, /*End of Scope*/
/* 18283*/  /*Scope*/ 113|128,35/*4593*/, /*->22878*/
/* 18285*/   OPC_RecordChild1, // #1 = $val
/* 18286*/   OPC_Scope, 104|128,6/*872*/, /*->19161*/ // 10 children in Scope
/* 18289*/    OPC_CheckChild1Type, MVT::i32,
/* 18291*/    OPC_Scope, 0|128,4/*512*/, /*->18806*/ // 2 children in Scope
/* 18294*/     OPC_MoveChild2,
/* 18295*/     OPC_SwitchOpcode /*3 cases */, 27|128,1/*155*/, TARGET_VAL(ISD::ADD),// ->18455
/* 18300*/      OPC_RecordChild0, // #2 = $addr
/* 18301*/      OPC_RecordChild1, // #3 = $off
/* 18302*/      OPC_MoveChild1,
/* 18303*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 18306*/      OPC_MoveParent,
/* 18307*/      OPC_CheckPredicate, 0, // Predicate_regPlusImm
/* 18309*/      OPC_SwitchType /*2 cases */, 70, MVT::i32,// ->18382
/* 18312*/       OPC_MoveParent,
/* 18313*/       OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 18315*/       OPC_Scope, 19, /*->18336*/ // 2 children in Scope
/* 18317*/        OPC_CheckPredicate, 14, // Predicate_store
/* 18319*/        OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 18321*/        OPC_EmitMergeInputChains1_0,
/* 18322*/        OPC_EmitInteger, MVT::i32, 0, 
/* 18325*/        OPC_EmitConvertToTarget, 3,
/* 18327*/        OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      4/*#Ops*/, 4, 5, 2, 1, 
                  // Src: (st i32:{ *:[i32] }:$val, (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 11
                  // Dst: (STORE_I32_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 18336*/       /*Scope*/ 44, /*->18381*/
/* 18337*/        OPC_CheckPredicate, 10, // Predicate_truncstore
/* 18339*/        OPC_Scope, 19, /*->18360*/ // 2 children in Scope
/* 18341*/         OPC_CheckPredicate, 11, // Predicate_truncstorei8
/* 18343*/         OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 18345*/         OPC_EmitMergeInputChains1_0,
/* 18346*/         OPC_EmitInteger, MVT::i32, 0, 
/* 18349*/         OPC_EmitConvertToTarget, 3,
/* 18351*/         OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE8_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                       4/*#Ops*/, 4, 5, 2, 1, 
                   // Src: (st i32:{ *:[i32] }:$val, (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>> - Complexity = 11
                   // Dst: (STORE8_I32_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 18360*/        /*Scope*/ 19, /*->18380*/
/* 18361*/         OPC_CheckPredicate, 12, // Predicate_truncstorei16
/* 18363*/         OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 18365*/         OPC_EmitMergeInputChains1_0,
/* 18366*/         OPC_EmitInteger, MVT::i32, 0, 
/* 18369*/         OPC_EmitConvertToTarget, 3,
/* 18371*/         OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE16_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                       4/*#Ops*/, 4, 5, 2, 1, 
                   // Src: (st i32:{ *:[i32] }:$val, (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>> - Complexity = 11
                   // Dst: (STORE16_I32_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 18380*/        0, /*End of Scope*/
/* 18381*/       0, /*End of Scope*/
/* 18382*/      /*SwitchType*/ 70, MVT::i64,// ->18454
/* 18384*/       OPC_MoveParent,
/* 18385*/       OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 18387*/       OPC_Scope, 19, /*->18408*/ // 2 children in Scope
/* 18389*/        OPC_CheckPredicate, 14, // Predicate_store
/* 18391*/        OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 18393*/        OPC_EmitMergeInputChains1_0,
/* 18394*/        OPC_EmitInteger, MVT::i32, 0, 
/* 18397*/        OPC_EmitConvertToTarget, 3,
/* 18399*/        OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      4/*#Ops*/, 4, 5, 2, 1, 
                  // Src: (st i32:{ *:[i32] }:$val, (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 11
                  // Dst: (STORE_I32_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 18408*/       /*Scope*/ 44, /*->18453*/
/* 18409*/        OPC_CheckPredicate, 10, // Predicate_truncstore
/* 18411*/        OPC_Scope, 19, /*->18432*/ // 2 children in Scope
/* 18413*/         OPC_CheckPredicate, 11, // Predicate_truncstorei8
/* 18415*/         OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 18417*/         OPC_EmitMergeInputChains1_0,
/* 18418*/         OPC_EmitInteger, MVT::i32, 0, 
/* 18421*/         OPC_EmitConvertToTarget, 3,
/* 18423*/         OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE8_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                       4/*#Ops*/, 4, 5, 2, 1, 
                   // Src: (st i32:{ *:[i32] }:$val, (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>> - Complexity = 11
                   // Dst: (STORE8_I32_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 18432*/        /*Scope*/ 19, /*->18452*/
/* 18433*/         OPC_CheckPredicate, 12, // Predicate_truncstorei16
/* 18435*/         OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 18437*/         OPC_EmitMergeInputChains1_0,
/* 18438*/         OPC_EmitInteger, MVT::i32, 0, 
/* 18441*/         OPC_EmitConvertToTarget, 3,
/* 18443*/         OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE16_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                       4/*#Ops*/, 4, 5, 2, 1, 
                   // Src: (st i32:{ *:[i32] }:$val, (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>> - Complexity = 11
                   // Dst: (STORE16_I32_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 18452*/        0, /*End of Scope*/
/* 18453*/       0, /*End of Scope*/
/* 18454*/      0, // EndSwitchType
/* 18455*/     /*SwitchOpcode*/ 27|128,1/*155*/, TARGET_VAL(ISD::OR),// ->18614
/* 18459*/      OPC_RecordChild0, // #2 = $addr
/* 18460*/      OPC_RecordChild1, // #3 = $off
/* 18461*/      OPC_MoveChild1,
/* 18462*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 18465*/      OPC_MoveParent,
/* 18466*/      OPC_CheckPredicate, 3, // Predicate_or_is_add
/* 18468*/      OPC_SwitchType /*2 cases */, 70, MVT::i32,// ->18541
/* 18471*/       OPC_MoveParent,
/* 18472*/       OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 18474*/       OPC_Scope, 19, /*->18495*/ // 2 children in Scope
/* 18476*/        OPC_CheckPredicate, 14, // Predicate_store
/* 18478*/        OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 18480*/        OPC_EmitMergeInputChains1_0,
/* 18481*/        OPC_EmitInteger, MVT::i32, 0, 
/* 18484*/        OPC_EmitConvertToTarget, 3,
/* 18486*/        OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      4/*#Ops*/, 4, 5, 2, 1, 
                  // Src: (st i32:{ *:[i32] }:$val, (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 11
                  // Dst: (STORE_I32_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 18495*/       /*Scope*/ 44, /*->18540*/
/* 18496*/        OPC_CheckPredicate, 10, // Predicate_truncstore
/* 18498*/        OPC_Scope, 19, /*->18519*/ // 2 children in Scope
/* 18500*/         OPC_CheckPredicate, 11, // Predicate_truncstorei8
/* 18502*/         OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 18504*/         OPC_EmitMergeInputChains1_0,
/* 18505*/         OPC_EmitInteger, MVT::i32, 0, 
/* 18508*/         OPC_EmitConvertToTarget, 3,
/* 18510*/         OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE8_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                       4/*#Ops*/, 4, 5, 2, 1, 
                   // Src: (st i32:{ *:[i32] }:$val, (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>> - Complexity = 11
                   // Dst: (STORE8_I32_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 18519*/        /*Scope*/ 19, /*->18539*/
/* 18520*/         OPC_CheckPredicate, 12, // Predicate_truncstorei16
/* 18522*/         OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 18524*/         OPC_EmitMergeInputChains1_0,
/* 18525*/         OPC_EmitInteger, MVT::i32, 0, 
/* 18528*/         OPC_EmitConvertToTarget, 3,
/* 18530*/         OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE16_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                       4/*#Ops*/, 4, 5, 2, 1, 
                   // Src: (st i32:{ *:[i32] }:$val, (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>> - Complexity = 11
                   // Dst: (STORE16_I32_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 18539*/        0, /*End of Scope*/
/* 18540*/       0, /*End of Scope*/
/* 18541*/      /*SwitchType*/ 70, MVT::i64,// ->18613
/* 18543*/       OPC_MoveParent,
/* 18544*/       OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 18546*/       OPC_Scope, 19, /*->18567*/ // 2 children in Scope
/* 18548*/        OPC_CheckPredicate, 14, // Predicate_store
/* 18550*/        OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 18552*/        OPC_EmitMergeInputChains1_0,
/* 18553*/        OPC_EmitInteger, MVT::i32, 0, 
/* 18556*/        OPC_EmitConvertToTarget, 3,
/* 18558*/        OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      4/*#Ops*/, 4, 5, 2, 1, 
                  // Src: (st i32:{ *:[i32] }:$val, (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 11
                  // Dst: (STORE_I32_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 18567*/       /*Scope*/ 44, /*->18612*/
/* 18568*/        OPC_CheckPredicate, 10, // Predicate_truncstore
/* 18570*/        OPC_Scope, 19, /*->18591*/ // 2 children in Scope
/* 18572*/         OPC_CheckPredicate, 11, // Predicate_truncstorei8
/* 18574*/         OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 18576*/         OPC_EmitMergeInputChains1_0,
/* 18577*/         OPC_EmitInteger, MVT::i32, 0, 
/* 18580*/         OPC_EmitConvertToTarget, 3,
/* 18582*/         OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE8_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                       4/*#Ops*/, 4, 5, 2, 1, 
                   // Src: (st i32:{ *:[i32] }:$val, (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>> - Complexity = 11
                   // Dst: (STORE8_I32_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 18591*/        /*Scope*/ 19, /*->18611*/
/* 18592*/         OPC_CheckPredicate, 12, // Predicate_truncstorei16
/* 18594*/         OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 18596*/         OPC_EmitMergeInputChains1_0,
/* 18597*/         OPC_EmitInteger, MVT::i32, 0, 
/* 18600*/         OPC_EmitConvertToTarget, 3,
/* 18602*/         OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE16_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                       4/*#Ops*/, 4, 5, 2, 1, 
                   // Src: (st i32:{ *:[i32] }:$val, (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>> - Complexity = 11
                   // Dst: (STORE16_I32_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 18611*/        0, /*End of Scope*/
/* 18612*/       0, /*End of Scope*/
/* 18613*/      0, // EndSwitchType
/* 18614*/     /*SwitchOpcode*/ 59|128,1/*187*/, TARGET_VAL(WebAssemblyISD::Wrapper),// ->18805
/* 18618*/      OPC_RecordChild0, // #2 = $off
/* 18619*/      OPC_MoveChild0,
/* 18620*/      OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 18623*/      OPC_MoveParent,
/* 18624*/      OPC_MoveParent,
/* 18625*/      OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 18627*/      OPC_Scope, 56, /*->18685*/ // 2 children in Scope
/* 18629*/       OPC_CheckPredicate, 14, // Predicate_store
/* 18631*/       OPC_Scope, 25, /*->18658*/ // 2 children in Scope
/* 18633*/        OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 18635*/        OPC_EmitMergeInputChains1_0,
/* 18636*/        OPC_EmitInteger, MVT::i32, 0, 
/* 18639*/        OPC_EmitInteger, MVT::i32, 0, 
/* 18642*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 18649*/        OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      4/*#Ops*/, 3, 2, 5, 1, 
                  // Src: (st i32:{ *:[i32] }:$val, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 10
                  // Dst: (STORE_I32_A32 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 18658*/       /*Scope*/ 25, /*->18684*/
/* 18659*/        OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 18661*/        OPC_EmitMergeInputChains1_0,
/* 18662*/        OPC_EmitInteger, MVT::i32, 0, 
/* 18665*/        OPC_EmitInteger, MVT::i64, 0, 
/* 18668*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 18675*/        OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      4/*#Ops*/, 3, 2, 5, 1, 
                  // Src: (st i32:{ *:[i32] }:$val, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 10
                  // Dst: (STORE_I32_A64 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 18684*/       0, /*End of Scope*/
/* 18685*/      /*Scope*/ 118, /*->18804*/
/* 18686*/       OPC_CheckPredicate, 10, // Predicate_truncstore
/* 18688*/       OPC_Scope, 56, /*->18746*/ // 2 children in Scope
/* 18690*/        OPC_CheckPredicate, 11, // Predicate_truncstorei8
/* 18692*/        OPC_Scope, 25, /*->18719*/ // 2 children in Scope
/* 18694*/         OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 18696*/         OPC_EmitMergeInputChains1_0,
/* 18697*/         OPC_EmitInteger, MVT::i32, 0, 
/* 18700*/         OPC_EmitInteger, MVT::i32, 0, 
/* 18703*/         OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                       MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 18710*/         OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE8_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                       4/*#Ops*/, 3, 2, 5, 1, 
                   // Src: (st i32:{ *:[i32] }:$val, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>> - Complexity = 10
                   // Dst: (STORE8_I32_A32 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 18719*/        /*Scope*/ 25, /*->18745*/
/* 18720*/         OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 18722*/         OPC_EmitMergeInputChains1_0,
/* 18723*/         OPC_EmitInteger, MVT::i32, 0, 
/* 18726*/         OPC_EmitInteger, MVT::i64, 0, 
/* 18729*/         OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                       MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 18736*/         OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE8_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                       4/*#Ops*/, 3, 2, 5, 1, 
                   // Src: (st i32:{ *:[i32] }:$val, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>> - Complexity = 10
                   // Dst: (STORE8_I32_A64 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 18745*/        0, /*End of Scope*/
/* 18746*/       /*Scope*/ 56, /*->18803*/
/* 18747*/        OPC_CheckPredicate, 12, // Predicate_truncstorei16
/* 18749*/        OPC_Scope, 25, /*->18776*/ // 2 children in Scope
/* 18751*/         OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 18753*/         OPC_EmitMergeInputChains1_0,
/* 18754*/         OPC_EmitInteger, MVT::i32, 0, 
/* 18757*/         OPC_EmitInteger, MVT::i32, 0, 
/* 18760*/         OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                       MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 18767*/         OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE16_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                       4/*#Ops*/, 3, 2, 5, 1, 
                   // Src: (st i32:{ *:[i32] }:$val, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>> - Complexity = 10
                   // Dst: (STORE16_I32_A32 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 18776*/        /*Scope*/ 25, /*->18802*/
/* 18777*/         OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 18779*/         OPC_EmitMergeInputChains1_0,
/* 18780*/         OPC_EmitInteger, MVT::i32, 0, 
/* 18783*/         OPC_EmitInteger, MVT::i64, 0, 
/* 18786*/         OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                       MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 18793*/         OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE16_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                       4/*#Ops*/, 3, 2, 5, 1, 
                   // Src: (st i32:{ *:[i32] }:$val, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>> - Complexity = 10
                   // Dst: (STORE16_I32_A64 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 18802*/        0, /*End of Scope*/
/* 18803*/       0, /*End of Scope*/
/* 18804*/      0, /*End of Scope*/
/* 18805*/     0, // EndSwitchOpcode
/* 18806*/    /*Scope*/ 96|128,2/*352*/, /*->19160*/
/* 18808*/     OPC_RecordChild2, // #2 = $off
/* 18809*/     OPC_Scope, 69|128,1/*197*/, /*->19009*/ // 3 children in Scope
/* 18812*/      OPC_MoveChild2,
/* 18813*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 18816*/      OPC_MoveParent,
/* 18817*/      OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 18819*/      OPC_Scope, 60, /*->18881*/ // 2 children in Scope
/* 18821*/       OPC_CheckPredicate, 14, // Predicate_store
/* 18823*/       OPC_Scope, 27, /*->18852*/ // 2 children in Scope
/* 18825*/        OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 18827*/        OPC_EmitMergeInputChains1_0,
/* 18828*/        OPC_EmitInteger, MVT::i32, 0, 
/* 18831*/        OPC_EmitConvertToTarget, 2,
/* 18833*/        OPC_EmitInteger, MVT::i32, 0, 
/* 18836*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 18843*/        OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      4/*#Ops*/, 3, 4, 6, 1, 
                  // Src: (st i32:{ *:[i32] }:$val, (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 7
                  // Dst: (STORE_I32_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 18852*/       /*Scope*/ 27, /*->18880*/
/* 18853*/        OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 18855*/        OPC_EmitMergeInputChains1_0,
/* 18856*/        OPC_EmitInteger, MVT::i32, 0, 
/* 18859*/        OPC_EmitConvertToTarget, 2,
/* 18861*/        OPC_EmitInteger, MVT::i64, 0, 
/* 18864*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 18871*/        OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      4/*#Ops*/, 3, 4, 6, 1, 
                  // Src: (st i32:{ *:[i32] }:$val, (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 7
                  // Dst: (STORE_I32_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 18880*/       0, /*End of Scope*/
/* 18881*/      /*Scope*/ 126, /*->19008*/
/* 18882*/       OPC_CheckPredicate, 10, // Predicate_truncstore
/* 18884*/       OPC_Scope, 60, /*->18946*/ // 2 children in Scope
/* 18886*/        OPC_CheckPredicate, 11, // Predicate_truncstorei8
/* 18888*/        OPC_Scope, 27, /*->18917*/ // 2 children in Scope
/* 18890*/         OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 18892*/         OPC_EmitMergeInputChains1_0,
/* 18893*/         OPC_EmitInteger, MVT::i32, 0, 
/* 18896*/         OPC_EmitConvertToTarget, 2,
/* 18898*/         OPC_EmitInteger, MVT::i32, 0, 
/* 18901*/         OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                       MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 18908*/         OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE8_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                       4/*#Ops*/, 3, 4, 6, 1, 
                   // Src: (st i32:{ *:[i32] }:$val, (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>> - Complexity = 7
                   // Dst: (STORE8_I32_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 18917*/        /*Scope*/ 27, /*->18945*/
/* 18918*/         OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 18920*/         OPC_EmitMergeInputChains1_0,
/* 18921*/         OPC_EmitInteger, MVT::i32, 0, 
/* 18924*/         OPC_EmitConvertToTarget, 2,
/* 18926*/         OPC_EmitInteger, MVT::i64, 0, 
/* 18929*/         OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                       MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 18936*/         OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE8_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                       4/*#Ops*/, 3, 4, 6, 1, 
                   // Src: (st i32:{ *:[i32] }:$val, (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>> - Complexity = 7
                   // Dst: (STORE8_I32_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 18945*/        0, /*End of Scope*/
/* 18946*/       /*Scope*/ 60, /*->19007*/
/* 18947*/        OPC_CheckPredicate, 12, // Predicate_truncstorei16
/* 18949*/        OPC_Scope, 27, /*->18978*/ // 2 children in Scope
/* 18951*/         OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 18953*/         OPC_EmitMergeInputChains1_0,
/* 18954*/         OPC_EmitInteger, MVT::i32, 0, 
/* 18957*/         OPC_EmitConvertToTarget, 2,
/* 18959*/         OPC_EmitInteger, MVT::i32, 0, 
/* 18962*/         OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                       MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 18969*/         OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE16_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                       4/*#Ops*/, 3, 4, 6, 1, 
                   // Src: (st i32:{ *:[i32] }:$val, (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>> - Complexity = 7
                   // Dst: (STORE16_I32_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 18978*/        /*Scope*/ 27, /*->19006*/
/* 18979*/         OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 18981*/         OPC_EmitMergeInputChains1_0,
/* 18982*/         OPC_EmitInteger, MVT::i32, 0, 
/* 18985*/         OPC_EmitConvertToTarget, 2,
/* 18987*/         OPC_EmitInteger, MVT::i64, 0, 
/* 18990*/         OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                       MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 18997*/         OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE16_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                       4/*#Ops*/, 3, 4, 6, 1, 
                   // Src: (st i32:{ *:[i32] }:$val, (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>> - Complexity = 7
                   // Dst: (STORE16_I32_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 19006*/        0, /*End of Scope*/
/* 19007*/       0, /*End of Scope*/
/* 19008*/      0, /*End of Scope*/
/* 19009*/     /*Scope*/ 74, /*->19084*/
/* 19010*/      OPC_CheckChild2Type, MVT::i32,
/* 19012*/      OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 19014*/      OPC_Scope, 20, /*->19036*/ // 2 children in Scope
/* 19016*/       OPC_CheckPredicate, 14, // Predicate_store
/* 19018*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 19020*/       OPC_EmitMergeInputChains1_0,
/* 19021*/       OPC_EmitInteger, MVT::i32, 0, 
/* 19024*/       OPC_EmitInteger, MVT::i32, 0, 
/* 19027*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 3, 4, 2, 1, 
                 // Src: (st i32:{ *:[i32] }:$val, I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 4
                 // Dst: (STORE_I32_A32 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 19036*/      /*Scope*/ 46, /*->19083*/
/* 19037*/       OPC_CheckPredicate, 10, // Predicate_truncstore
/* 19039*/       OPC_Scope, 20, /*->19061*/ // 2 children in Scope
/* 19041*/        OPC_CheckPredicate, 11, // Predicate_truncstorei8
/* 19043*/        OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 19045*/        OPC_EmitMergeInputChains1_0,
/* 19046*/        OPC_EmitInteger, MVT::i32, 0, 
/* 19049*/        OPC_EmitInteger, MVT::i32, 0, 
/* 19052*/        OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE8_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      4/*#Ops*/, 3, 4, 2, 1, 
                  // Src: (st i32:{ *:[i32] }:$val, I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>> - Complexity = 4
                  // Dst: (STORE8_I32_A32 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 19061*/       /*Scope*/ 20, /*->19082*/
/* 19062*/        OPC_CheckPredicate, 12, // Predicate_truncstorei16
/* 19064*/        OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 19066*/        OPC_EmitMergeInputChains1_0,
/* 19067*/        OPC_EmitInteger, MVT::i32, 0, 
/* 19070*/        OPC_EmitInteger, MVT::i32, 0, 
/* 19073*/        OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE16_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      4/*#Ops*/, 3, 4, 2, 1, 
                  // Src: (st i32:{ *:[i32] }:$val, I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>> - Complexity = 4
                  // Dst: (STORE16_I32_A32 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 19082*/       0, /*End of Scope*/
/* 19083*/      0, /*End of Scope*/
/* 19084*/     /*Scope*/ 74, /*->19159*/
/* 19085*/      OPC_CheckChild2Type, MVT::i64,
/* 19087*/      OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 19089*/      OPC_Scope, 20, /*->19111*/ // 2 children in Scope
/* 19091*/       OPC_CheckPredicate, 14, // Predicate_store
/* 19093*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 19095*/       OPC_EmitMergeInputChains1_0,
/* 19096*/       OPC_EmitInteger, MVT::i32, 0, 
/* 19099*/       OPC_EmitInteger, MVT::i64, 0, 
/* 19102*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 3, 4, 2, 1, 
                 // Src: (st i32:{ *:[i32] }:$val, I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 4
                 // Dst: (STORE_I32_A64 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 19111*/      /*Scope*/ 46, /*->19158*/
/* 19112*/       OPC_CheckPredicate, 10, // Predicate_truncstore
/* 19114*/       OPC_Scope, 20, /*->19136*/ // 2 children in Scope
/* 19116*/        OPC_CheckPredicate, 11, // Predicate_truncstorei8
/* 19118*/        OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 19120*/        OPC_EmitMergeInputChains1_0,
/* 19121*/        OPC_EmitInteger, MVT::i32, 0, 
/* 19124*/        OPC_EmitInteger, MVT::i64, 0, 
/* 19127*/        OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE8_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      4/*#Ops*/, 3, 4, 2, 1, 
                  // Src: (st i32:{ *:[i32] }:$val, I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>> - Complexity = 4
                  // Dst: (STORE8_I32_A64 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 19136*/       /*Scope*/ 20, /*->19157*/
/* 19137*/        OPC_CheckPredicate, 12, // Predicate_truncstorei16
/* 19139*/        OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 19141*/        OPC_EmitMergeInputChains1_0,
/* 19142*/        OPC_EmitInteger, MVT::i32, 0, 
/* 19145*/        OPC_EmitInteger, MVT::i64, 0, 
/* 19148*/        OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE16_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      4/*#Ops*/, 3, 4, 2, 1, 
                  // Src: (st i32:{ *:[i32] }:$val, I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>> - Complexity = 4
                  // Dst: (STORE16_I32_A64 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 19157*/       0, /*End of Scope*/
/* 19158*/      0, /*End of Scope*/
/* 19159*/     0, /*End of Scope*/
/* 19160*/    0, /*End of Scope*/
/* 19161*/   /*Scope*/ 90|128,8/*1114*/, /*->20277*/
/* 19163*/    OPC_CheckChild1Type, MVT::i64,
/* 19165*/    OPC_Scope, 10|128,5/*650*/, /*->19818*/ // 2 children in Scope
/* 19168*/     OPC_MoveChild2,
/* 19169*/     OPC_SwitchOpcode /*3 cases */, 67|128,1/*195*/, TARGET_VAL(ISD::ADD),// ->19369
/* 19174*/      OPC_RecordChild0, // #2 = $addr
/* 19175*/      OPC_RecordChild1, // #3 = $off
/* 19176*/      OPC_MoveChild1,
/* 19177*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 19180*/      OPC_MoveParent,
/* 19181*/      OPC_CheckPredicate, 0, // Predicate_regPlusImm
/* 19183*/      OPC_SwitchType /*2 cases */, 90, MVT::i32,// ->19276
/* 19186*/       OPC_MoveParent,
/* 19187*/       OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 19189*/       OPC_Scope, 19, /*->19210*/ // 2 children in Scope
/* 19191*/        OPC_CheckPredicate, 14, // Predicate_store
/* 19193*/        OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 19195*/        OPC_EmitMergeInputChains1_0,
/* 19196*/        OPC_EmitInteger, MVT::i32, 0, 
/* 19199*/        OPC_EmitConvertToTarget, 3,
/* 19201*/        OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      4/*#Ops*/, 4, 5, 2, 1, 
                  // Src: (st i64:{ *:[i64] }:$val, (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 11
                  // Dst: (STORE_I64_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 19210*/       /*Scope*/ 64, /*->19275*/
/* 19211*/        OPC_CheckPredicate, 10, // Predicate_truncstore
/* 19213*/        OPC_Scope, 19, /*->19234*/ // 3 children in Scope
/* 19215*/         OPC_CheckPredicate, 11, // Predicate_truncstorei8
/* 19217*/         OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 19219*/         OPC_EmitMergeInputChains1_0,
/* 19220*/         OPC_EmitInteger, MVT::i32, 0, 
/* 19223*/         OPC_EmitConvertToTarget, 3,
/* 19225*/         OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE8_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                       4/*#Ops*/, 4, 5, 2, 1, 
                   // Src: (st i64:{ *:[i64] }:$val, (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>> - Complexity = 11
                   // Dst: (STORE8_I64_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 19234*/        /*Scope*/ 19, /*->19254*/
/* 19235*/         OPC_CheckPredicate, 12, // Predicate_truncstorei16
/* 19237*/         OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 19239*/         OPC_EmitMergeInputChains1_0,
/* 19240*/         OPC_EmitInteger, MVT::i32, 0, 
/* 19243*/         OPC_EmitConvertToTarget, 3,
/* 19245*/         OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE16_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                       4/*#Ops*/, 4, 5, 2, 1, 
                   // Src: (st i64:{ *:[i64] }:$val, (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>> - Complexity = 11
                   // Dst: (STORE16_I64_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 19254*/        /*Scope*/ 19, /*->19274*/
/* 19255*/         OPC_CheckPredicate, 16, // Predicate_truncstorei32
/* 19257*/         OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 19259*/         OPC_EmitMergeInputChains1_0,
/* 19260*/         OPC_EmitInteger, MVT::i32, 0, 
/* 19263*/         OPC_EmitConvertToTarget, 3,
/* 19265*/         OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE32_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                       4/*#Ops*/, 4, 5, 2, 1, 
                   // Src: (st i64:{ *:[i64] }:$val, (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei32>> - Complexity = 11
                   // Dst: (STORE32_I64_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 19274*/        0, /*End of Scope*/
/* 19275*/       0, /*End of Scope*/
/* 19276*/      /*SwitchType*/ 90, MVT::i64,// ->19368
/* 19278*/       OPC_MoveParent,
/* 19279*/       OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 19281*/       OPC_Scope, 19, /*->19302*/ // 2 children in Scope
/* 19283*/        OPC_CheckPredicate, 14, // Predicate_store
/* 19285*/        OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 19287*/        OPC_EmitMergeInputChains1_0,
/* 19288*/        OPC_EmitInteger, MVT::i32, 0, 
/* 19291*/        OPC_EmitConvertToTarget, 3,
/* 19293*/        OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      4/*#Ops*/, 4, 5, 2, 1, 
                  // Src: (st i64:{ *:[i64] }:$val, (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 11
                  // Dst: (STORE_I64_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 19302*/       /*Scope*/ 64, /*->19367*/
/* 19303*/        OPC_CheckPredicate, 10, // Predicate_truncstore
/* 19305*/        OPC_Scope, 19, /*->19326*/ // 3 children in Scope
/* 19307*/         OPC_CheckPredicate, 11, // Predicate_truncstorei8
/* 19309*/         OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 19311*/         OPC_EmitMergeInputChains1_0,
/* 19312*/         OPC_EmitInteger, MVT::i32, 0, 
/* 19315*/         OPC_EmitConvertToTarget, 3,
/* 19317*/         OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE8_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                       4/*#Ops*/, 4, 5, 2, 1, 
                   // Src: (st i64:{ *:[i64] }:$val, (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>> - Complexity = 11
                   // Dst: (STORE8_I64_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 19326*/        /*Scope*/ 19, /*->19346*/
/* 19327*/         OPC_CheckPredicate, 12, // Predicate_truncstorei16
/* 19329*/         OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 19331*/         OPC_EmitMergeInputChains1_0,
/* 19332*/         OPC_EmitInteger, MVT::i32, 0, 
/* 19335*/         OPC_EmitConvertToTarget, 3,
/* 19337*/         OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE16_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                       4/*#Ops*/, 4, 5, 2, 1, 
                   // Src: (st i64:{ *:[i64] }:$val, (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>> - Complexity = 11
                   // Dst: (STORE16_I64_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 19346*/        /*Scope*/ 19, /*->19366*/
/* 19347*/         OPC_CheckPredicate, 16, // Predicate_truncstorei32
/* 19349*/         OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 19351*/         OPC_EmitMergeInputChains1_0,
/* 19352*/         OPC_EmitInteger, MVT::i32, 0, 
/* 19355*/         OPC_EmitConvertToTarget, 3,
/* 19357*/         OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE32_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                       4/*#Ops*/, 4, 5, 2, 1, 
                   // Src: (st i64:{ *:[i64] }:$val, (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei32>> - Complexity = 11
                   // Dst: (STORE32_I64_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 19366*/        0, /*End of Scope*/
/* 19367*/       0, /*End of Scope*/
/* 19368*/      0, // EndSwitchType
/* 19369*/     /*SwitchOpcode*/ 67|128,1/*195*/, TARGET_VAL(ISD::OR),// ->19568
/* 19373*/      OPC_RecordChild0, // #2 = $addr
/* 19374*/      OPC_RecordChild1, // #3 = $off
/* 19375*/      OPC_MoveChild1,
/* 19376*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 19379*/      OPC_MoveParent,
/* 19380*/      OPC_CheckPredicate, 3, // Predicate_or_is_add
/* 19382*/      OPC_SwitchType /*2 cases */, 90, MVT::i32,// ->19475
/* 19385*/       OPC_MoveParent,
/* 19386*/       OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 19388*/       OPC_Scope, 19, /*->19409*/ // 2 children in Scope
/* 19390*/        OPC_CheckPredicate, 14, // Predicate_store
/* 19392*/        OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 19394*/        OPC_EmitMergeInputChains1_0,
/* 19395*/        OPC_EmitInteger, MVT::i32, 0, 
/* 19398*/        OPC_EmitConvertToTarget, 3,
/* 19400*/        OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      4/*#Ops*/, 4, 5, 2, 1, 
                  // Src: (st i64:{ *:[i64] }:$val, (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 11
                  // Dst: (STORE_I64_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 19409*/       /*Scope*/ 64, /*->19474*/
/* 19410*/        OPC_CheckPredicate, 10, // Predicate_truncstore
/* 19412*/        OPC_Scope, 19, /*->19433*/ // 3 children in Scope
/* 19414*/         OPC_CheckPredicate, 11, // Predicate_truncstorei8
/* 19416*/         OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 19418*/         OPC_EmitMergeInputChains1_0,
/* 19419*/         OPC_EmitInteger, MVT::i32, 0, 
/* 19422*/         OPC_EmitConvertToTarget, 3,
/* 19424*/         OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE8_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                       4/*#Ops*/, 4, 5, 2, 1, 
                   // Src: (st i64:{ *:[i64] }:$val, (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>> - Complexity = 11
                   // Dst: (STORE8_I64_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 19433*/        /*Scope*/ 19, /*->19453*/
/* 19434*/         OPC_CheckPredicate, 12, // Predicate_truncstorei16
/* 19436*/         OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 19438*/         OPC_EmitMergeInputChains1_0,
/* 19439*/         OPC_EmitInteger, MVT::i32, 0, 
/* 19442*/         OPC_EmitConvertToTarget, 3,
/* 19444*/         OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE16_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                       4/*#Ops*/, 4, 5, 2, 1, 
                   // Src: (st i64:{ *:[i64] }:$val, (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>> - Complexity = 11
                   // Dst: (STORE16_I64_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 19453*/        /*Scope*/ 19, /*->19473*/
/* 19454*/         OPC_CheckPredicate, 16, // Predicate_truncstorei32
/* 19456*/         OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 19458*/         OPC_EmitMergeInputChains1_0,
/* 19459*/         OPC_EmitInteger, MVT::i32, 0, 
/* 19462*/         OPC_EmitConvertToTarget, 3,
/* 19464*/         OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE32_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                       4/*#Ops*/, 4, 5, 2, 1, 
                   // Src: (st i64:{ *:[i64] }:$val, (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei32>> - Complexity = 11
                   // Dst: (STORE32_I64_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 19473*/        0, /*End of Scope*/
/* 19474*/       0, /*End of Scope*/
/* 19475*/      /*SwitchType*/ 90, MVT::i64,// ->19567
/* 19477*/       OPC_MoveParent,
/* 19478*/       OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 19480*/       OPC_Scope, 19, /*->19501*/ // 2 children in Scope
/* 19482*/        OPC_CheckPredicate, 14, // Predicate_store
/* 19484*/        OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 19486*/        OPC_EmitMergeInputChains1_0,
/* 19487*/        OPC_EmitInteger, MVT::i32, 0, 
/* 19490*/        OPC_EmitConvertToTarget, 3,
/* 19492*/        OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      4/*#Ops*/, 4, 5, 2, 1, 
                  // Src: (st i64:{ *:[i64] }:$val, (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 11
                  // Dst: (STORE_I64_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 19501*/       /*Scope*/ 64, /*->19566*/
/* 19502*/        OPC_CheckPredicate, 10, // Predicate_truncstore
/* 19504*/        OPC_Scope, 19, /*->19525*/ // 3 children in Scope
/* 19506*/         OPC_CheckPredicate, 11, // Predicate_truncstorei8
/* 19508*/         OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 19510*/         OPC_EmitMergeInputChains1_0,
/* 19511*/         OPC_EmitInteger, MVT::i32, 0, 
/* 19514*/         OPC_EmitConvertToTarget, 3,
/* 19516*/         OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE8_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                       4/*#Ops*/, 4, 5, 2, 1, 
                   // Src: (st i64:{ *:[i64] }:$val, (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>> - Complexity = 11
                   // Dst: (STORE8_I64_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 19525*/        /*Scope*/ 19, /*->19545*/
/* 19526*/         OPC_CheckPredicate, 12, // Predicate_truncstorei16
/* 19528*/         OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 19530*/         OPC_EmitMergeInputChains1_0,
/* 19531*/         OPC_EmitInteger, MVT::i32, 0, 
/* 19534*/         OPC_EmitConvertToTarget, 3,
/* 19536*/         OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE16_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                       4/*#Ops*/, 4, 5, 2, 1, 
                   // Src: (st i64:{ *:[i64] }:$val, (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>> - Complexity = 11
                   // Dst: (STORE16_I64_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 19545*/        /*Scope*/ 19, /*->19565*/
/* 19546*/         OPC_CheckPredicate, 16, // Predicate_truncstorei32
/* 19548*/         OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 19550*/         OPC_EmitMergeInputChains1_0,
/* 19551*/         OPC_EmitInteger, MVT::i32, 0, 
/* 19554*/         OPC_EmitConvertToTarget, 3,
/* 19556*/         OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE32_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                       4/*#Ops*/, 4, 5, 2, 1, 
                   // Src: (st i64:{ *:[i64] }:$val, (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei32>> - Complexity = 11
                   // Dst: (STORE32_I64_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 19565*/        0, /*End of Scope*/
/* 19566*/       0, /*End of Scope*/
/* 19567*/      0, // EndSwitchType
/* 19568*/     /*SwitchOpcode*/ 117|128,1/*245*/, TARGET_VAL(WebAssemblyISD::Wrapper),// ->19817
/* 19572*/      OPC_RecordChild0, // #2 = $off
/* 19573*/      OPC_MoveChild0,
/* 19574*/      OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 19577*/      OPC_MoveParent,
/* 19578*/      OPC_MoveParent,
/* 19579*/      OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 19581*/      OPC_Scope, 56, /*->19639*/ // 2 children in Scope
/* 19583*/       OPC_CheckPredicate, 14, // Predicate_store
/* 19585*/       OPC_Scope, 25, /*->19612*/ // 2 children in Scope
/* 19587*/        OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 19589*/        OPC_EmitMergeInputChains1_0,
/* 19590*/        OPC_EmitInteger, MVT::i32, 0, 
/* 19593*/        OPC_EmitInteger, MVT::i32, 0, 
/* 19596*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 19603*/        OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      4/*#Ops*/, 3, 2, 5, 1, 
                  // Src: (st i64:{ *:[i64] }:$val, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 10
                  // Dst: (STORE_I64_A32 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/* 19612*/       /*Scope*/ 25, /*->19638*/
/* 19613*/        OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 19615*/        OPC_EmitMergeInputChains1_0,
/* 19616*/        OPC_EmitInteger, MVT::i32, 0, 
/* 19619*/        OPC_EmitInteger, MVT::i64, 0, 
/* 19622*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 19629*/        OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      4/*#Ops*/, 3, 2, 5, 1, 
                  // Src: (st i64:{ *:[i64] }:$val, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 10
                  // Dst: (STORE_I64_A64 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/* 19638*/       0, /*End of Scope*/
/* 19639*/      /*Scope*/ 47|128,1/*175*/, /*->19816*/
/* 19641*/       OPC_CheckPredicate, 10, // Predicate_truncstore
/* 19643*/       OPC_Scope, 56, /*->19701*/ // 3 children in Scope
/* 19645*/        OPC_CheckPredicate, 11, // Predicate_truncstorei8
/* 19647*/        OPC_Scope, 25, /*->19674*/ // 2 children in Scope
/* 19649*/         OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 19651*/         OPC_EmitMergeInputChains1_0,
/* 19652*/         OPC_EmitInteger, MVT::i32, 0, 
/* 19655*/         OPC_EmitInteger, MVT::i32, 0, 
/* 19658*/         OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                       MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 19665*/         OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE8_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                       4/*#Ops*/, 3, 2, 5, 1, 
                   // Src: (st i64:{ *:[i64] }:$val, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>> - Complexity = 10
                   // Dst: (STORE8_I64_A32 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/* 19674*/        /*Scope*/ 25, /*->19700*/
/* 19675*/         OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 19677*/         OPC_EmitMergeInputChains1_0,
/* 19678*/         OPC_EmitInteger, MVT::i32, 0, 
/* 19681*/         OPC_EmitInteger, MVT::i64, 0, 
/* 19684*/         OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                       MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 19691*/         OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE8_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                       4/*#Ops*/, 3, 2, 5, 1, 
                   // Src: (st i64:{ *:[i64] }:$val, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>> - Complexity = 10
                   // Dst: (STORE8_I64_A64 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/* 19700*/        0, /*End of Scope*/
/* 19701*/       /*Scope*/ 56, /*->19758*/
/* 19702*/        OPC_CheckPredicate, 12, // Predicate_truncstorei16
/* 19704*/        OPC_Scope, 25, /*->19731*/ // 2 children in Scope
/* 19706*/         OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 19708*/         OPC_EmitMergeInputChains1_0,
/* 19709*/         OPC_EmitInteger, MVT::i32, 0, 
/* 19712*/         OPC_EmitInteger, MVT::i32, 0, 
/* 19715*/         OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                       MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 19722*/         OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE16_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                       4/*#Ops*/, 3, 2, 5, 1, 
                   // Src: (st i64:{ *:[i64] }:$val, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>> - Complexity = 10
                   // Dst: (STORE16_I64_A32 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/* 19731*/        /*Scope*/ 25, /*->19757*/
/* 19732*/         OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 19734*/         OPC_EmitMergeInputChains1_0,
/* 19735*/         OPC_EmitInteger, MVT::i32, 0, 
/* 19738*/         OPC_EmitInteger, MVT::i64, 0, 
/* 19741*/         OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                       MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 19748*/         OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE16_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                       4/*#Ops*/, 3, 2, 5, 1, 
                   // Src: (st i64:{ *:[i64] }:$val, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>> - Complexity = 10
                   // Dst: (STORE16_I64_A64 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/* 19757*/        0, /*End of Scope*/
/* 19758*/       /*Scope*/ 56, /*->19815*/
/* 19759*/        OPC_CheckPredicate, 16, // Predicate_truncstorei32
/* 19761*/        OPC_Scope, 25, /*->19788*/ // 2 children in Scope
/* 19763*/         OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 19765*/         OPC_EmitMergeInputChains1_0,
/* 19766*/         OPC_EmitInteger, MVT::i32, 0, 
/* 19769*/         OPC_EmitInteger, MVT::i32, 0, 
/* 19772*/         OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                       MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 19779*/         OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE32_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                       4/*#Ops*/, 3, 2, 5, 1, 
                   // Src: (st i64:{ *:[i64] }:$val, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei32>> - Complexity = 10
                   // Dst: (STORE32_I64_A32 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/* 19788*/        /*Scope*/ 25, /*->19814*/
/* 19789*/         OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 19791*/         OPC_EmitMergeInputChains1_0,
/* 19792*/         OPC_EmitInteger, MVT::i32, 0, 
/* 19795*/         OPC_EmitInteger, MVT::i64, 0, 
/* 19798*/         OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                       MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 19805*/         OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE32_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                       4/*#Ops*/, 3, 2, 5, 1, 
                   // Src: (st i64:{ *:[i64] }:$val, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei32>> - Complexity = 10
                   // Dst: (STORE32_I64_A64 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/* 19814*/        0, /*End of Scope*/
/* 19815*/       0, /*End of Scope*/
/* 19816*/      0, /*End of Scope*/
/* 19817*/     0, // EndSwitchOpcode
/* 19818*/    /*Scope*/ 72|128,3/*456*/, /*->20276*/
/* 19820*/     OPC_RecordChild2, // #2 = $off
/* 19821*/     OPC_Scope, 3|128,2/*259*/, /*->20083*/ // 3 children in Scope
/* 19824*/      OPC_MoveChild2,
/* 19825*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 19828*/      OPC_MoveParent,
/* 19829*/      OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 19831*/      OPC_Scope, 60, /*->19893*/ // 2 children in Scope
/* 19833*/       OPC_CheckPredicate, 14, // Predicate_store
/* 19835*/       OPC_Scope, 27, /*->19864*/ // 2 children in Scope
/* 19837*/        OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 19839*/        OPC_EmitMergeInputChains1_0,
/* 19840*/        OPC_EmitInteger, MVT::i32, 0, 
/* 19843*/        OPC_EmitConvertToTarget, 2,
/* 19845*/        OPC_EmitInteger, MVT::i32, 0, 
/* 19848*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 19855*/        OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      4/*#Ops*/, 3, 4, 6, 1, 
                  // Src: (st i64:{ *:[i64] }:$val, (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 7
                  // Dst: (STORE_I64_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/* 19864*/       /*Scope*/ 27, /*->19892*/
/* 19865*/        OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 19867*/        OPC_EmitMergeInputChains1_0,
/* 19868*/        OPC_EmitInteger, MVT::i32, 0, 
/* 19871*/        OPC_EmitConvertToTarget, 2,
/* 19873*/        OPC_EmitInteger, MVT::i64, 0, 
/* 19876*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 19883*/        OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      4/*#Ops*/, 3, 4, 6, 1, 
                  // Src: (st i64:{ *:[i64] }:$val, (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 7
                  // Dst: (STORE_I64_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/* 19892*/       0, /*End of Scope*/
/* 19893*/      /*Scope*/ 59|128,1/*187*/, /*->20082*/
/* 19895*/       OPC_CheckPredicate, 10, // Predicate_truncstore
/* 19897*/       OPC_Scope, 60, /*->19959*/ // 3 children in Scope
/* 19899*/        OPC_CheckPredicate, 11, // Predicate_truncstorei8
/* 19901*/        OPC_Scope, 27, /*->19930*/ // 2 children in Scope
/* 19903*/         OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 19905*/         OPC_EmitMergeInputChains1_0,
/* 19906*/         OPC_EmitInteger, MVT::i32, 0, 
/* 19909*/         OPC_EmitConvertToTarget, 2,
/* 19911*/         OPC_EmitInteger, MVT::i32, 0, 
/* 19914*/         OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                       MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 19921*/         OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE8_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                       4/*#Ops*/, 3, 4, 6, 1, 
                   // Src: (st i64:{ *:[i64] }:$val, (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>> - Complexity = 7
                   // Dst: (STORE8_I64_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/* 19930*/        /*Scope*/ 27, /*->19958*/
/* 19931*/         OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 19933*/         OPC_EmitMergeInputChains1_0,
/* 19934*/         OPC_EmitInteger, MVT::i32, 0, 
/* 19937*/         OPC_EmitConvertToTarget, 2,
/* 19939*/         OPC_EmitInteger, MVT::i64, 0, 
/* 19942*/         OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                       MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 19949*/         OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE8_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                       4/*#Ops*/, 3, 4, 6, 1, 
                   // Src: (st i64:{ *:[i64] }:$val, (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>> - Complexity = 7
                   // Dst: (STORE8_I64_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/* 19958*/        0, /*End of Scope*/
/* 19959*/       /*Scope*/ 60, /*->20020*/
/* 19960*/        OPC_CheckPredicate, 12, // Predicate_truncstorei16
/* 19962*/        OPC_Scope, 27, /*->19991*/ // 2 children in Scope
/* 19964*/         OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 19966*/         OPC_EmitMergeInputChains1_0,
/* 19967*/         OPC_EmitInteger, MVT::i32, 0, 
/* 19970*/         OPC_EmitConvertToTarget, 2,
/* 19972*/         OPC_EmitInteger, MVT::i32, 0, 
/* 19975*/         OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                       MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 19982*/         OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE16_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                       4/*#Ops*/, 3, 4, 6, 1, 
                   // Src: (st i64:{ *:[i64] }:$val, (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>> - Complexity = 7
                   // Dst: (STORE16_I64_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/* 19991*/        /*Scope*/ 27, /*->20019*/
/* 19992*/         OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 19994*/         OPC_EmitMergeInputChains1_0,
/* 19995*/         OPC_EmitInteger, MVT::i32, 0, 
/* 19998*/         OPC_EmitConvertToTarget, 2,
/* 20000*/         OPC_EmitInteger, MVT::i64, 0, 
/* 20003*/         OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                       MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 20010*/         OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE16_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                       4/*#Ops*/, 3, 4, 6, 1, 
                   // Src: (st i64:{ *:[i64] }:$val, (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>> - Complexity = 7
                   // Dst: (STORE16_I64_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/* 20019*/        0, /*End of Scope*/
/* 20020*/       /*Scope*/ 60, /*->20081*/
/* 20021*/        OPC_CheckPredicate, 16, // Predicate_truncstorei32
/* 20023*/        OPC_Scope, 27, /*->20052*/ // 2 children in Scope
/* 20025*/         OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 20027*/         OPC_EmitMergeInputChains1_0,
/* 20028*/         OPC_EmitInteger, MVT::i32, 0, 
/* 20031*/         OPC_EmitConvertToTarget, 2,
/* 20033*/         OPC_EmitInteger, MVT::i32, 0, 
/* 20036*/         OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                       MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 20043*/         OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE32_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                       4/*#Ops*/, 3, 4, 6, 1, 
                   // Src: (st i64:{ *:[i64] }:$val, (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei32>> - Complexity = 7
                   // Dst: (STORE32_I64_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/* 20052*/        /*Scope*/ 27, /*->20080*/
/* 20053*/         OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 20055*/         OPC_EmitMergeInputChains1_0,
/* 20056*/         OPC_EmitInteger, MVT::i32, 0, 
/* 20059*/         OPC_EmitConvertToTarget, 2,
/* 20061*/         OPC_EmitInteger, MVT::i64, 0, 
/* 20064*/         OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                       MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 20071*/         OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE32_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                       4/*#Ops*/, 3, 4, 6, 1, 
                   // Src: (st i64:{ *:[i64] }:$val, (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei32>> - Complexity = 7
                   // Dst: (STORE32_I64_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/* 20080*/        0, /*End of Scope*/
/* 20081*/       0, /*End of Scope*/
/* 20082*/      0, /*End of Scope*/
/* 20083*/     /*Scope*/ 95, /*->20179*/
/* 20084*/      OPC_CheckChild2Type, MVT::i32,
/* 20086*/      OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 20088*/      OPC_Scope, 20, /*->20110*/ // 2 children in Scope
/* 20090*/       OPC_CheckPredicate, 14, // Predicate_store
/* 20092*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 20094*/       OPC_EmitMergeInputChains1_0,
/* 20095*/       OPC_EmitInteger, MVT::i32, 0, 
/* 20098*/       OPC_EmitInteger, MVT::i32, 0, 
/* 20101*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 3, 4, 2, 1, 
                 // Src: (st i64:{ *:[i64] }:$val, I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 4
                 // Dst: (STORE_I64_A32 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 20110*/      /*Scope*/ 67, /*->20178*/
/* 20111*/       OPC_CheckPredicate, 10, // Predicate_truncstore
/* 20113*/       OPC_Scope, 20, /*->20135*/ // 3 children in Scope
/* 20115*/        OPC_CheckPredicate, 11, // Predicate_truncstorei8
/* 20117*/        OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 20119*/        OPC_EmitMergeInputChains1_0,
/* 20120*/        OPC_EmitInteger, MVT::i32, 0, 
/* 20123*/        OPC_EmitInteger, MVT::i32, 0, 
/* 20126*/        OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE8_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      4/*#Ops*/, 3, 4, 2, 1, 
                  // Src: (st i64:{ *:[i64] }:$val, I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>> - Complexity = 4
                  // Dst: (STORE8_I64_A32 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 20135*/       /*Scope*/ 20, /*->20156*/
/* 20136*/        OPC_CheckPredicate, 12, // Predicate_truncstorei16
/* 20138*/        OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 20140*/        OPC_EmitMergeInputChains1_0,
/* 20141*/        OPC_EmitInteger, MVT::i32, 0, 
/* 20144*/        OPC_EmitInteger, MVT::i32, 0, 
/* 20147*/        OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE16_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      4/*#Ops*/, 3, 4, 2, 1, 
                  // Src: (st i64:{ *:[i64] }:$val, I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>> - Complexity = 4
                  // Dst: (STORE16_I64_A32 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 20156*/       /*Scope*/ 20, /*->20177*/
/* 20157*/        OPC_CheckPredicate, 16, // Predicate_truncstorei32
/* 20159*/        OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 20161*/        OPC_EmitMergeInputChains1_0,
/* 20162*/        OPC_EmitInteger, MVT::i32, 0, 
/* 20165*/        OPC_EmitInteger, MVT::i32, 0, 
/* 20168*/        OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE32_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      4/*#Ops*/, 3, 4, 2, 1, 
                  // Src: (st i64:{ *:[i64] }:$val, I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei32>> - Complexity = 4
                  // Dst: (STORE32_I64_A32 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 20177*/       0, /*End of Scope*/
/* 20178*/      0, /*End of Scope*/
/* 20179*/     /*Scope*/ 95, /*->20275*/
/* 20180*/      OPC_CheckChild2Type, MVT::i64,
/* 20182*/      OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 20184*/      OPC_Scope, 20, /*->20206*/ // 2 children in Scope
/* 20186*/       OPC_CheckPredicate, 14, // Predicate_store
/* 20188*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 20190*/       OPC_EmitMergeInputChains1_0,
/* 20191*/       OPC_EmitInteger, MVT::i32, 0, 
/* 20194*/       OPC_EmitInteger, MVT::i64, 0, 
/* 20197*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 3, 4, 2, 1, 
                 // Src: (st i64:{ *:[i64] }:$val, I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 4
                 // Dst: (STORE_I64_A64 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 20206*/      /*Scope*/ 67, /*->20274*/
/* 20207*/       OPC_CheckPredicate, 10, // Predicate_truncstore
/* 20209*/       OPC_Scope, 20, /*->20231*/ // 3 children in Scope
/* 20211*/        OPC_CheckPredicate, 11, // Predicate_truncstorei8
/* 20213*/        OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 20215*/        OPC_EmitMergeInputChains1_0,
/* 20216*/        OPC_EmitInteger, MVT::i32, 0, 
/* 20219*/        OPC_EmitInteger, MVT::i64, 0, 
/* 20222*/        OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE8_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      4/*#Ops*/, 3, 4, 2, 1, 
                  // Src: (st i64:{ *:[i64] }:$val, I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>> - Complexity = 4
                  // Dst: (STORE8_I64_A64 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 20231*/       /*Scope*/ 20, /*->20252*/
/* 20232*/        OPC_CheckPredicate, 12, // Predicate_truncstorei16
/* 20234*/        OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 20236*/        OPC_EmitMergeInputChains1_0,
/* 20237*/        OPC_EmitInteger, MVT::i32, 0, 
/* 20240*/        OPC_EmitInteger, MVT::i64, 0, 
/* 20243*/        OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE16_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      4/*#Ops*/, 3, 4, 2, 1, 
                  // Src: (st i64:{ *:[i64] }:$val, I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>> - Complexity = 4
                  // Dst: (STORE16_I64_A64 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 20252*/       /*Scope*/ 20, /*->20273*/
/* 20253*/        OPC_CheckPredicate, 16, // Predicate_truncstorei32
/* 20255*/        OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 20257*/        OPC_EmitMergeInputChains1_0,
/* 20258*/        OPC_EmitInteger, MVT::i32, 0, 
/* 20261*/        OPC_EmitInteger, MVT::i64, 0, 
/* 20264*/        OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE32_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      4/*#Ops*/, 3, 4, 2, 1, 
                  // Src: (st i64:{ *:[i64] }:$val, I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei32>> - Complexity = 4
                  // Dst: (STORE32_I64_A64 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 20273*/       0, /*End of Scope*/
/* 20274*/      0, /*End of Scope*/
/* 20275*/     0, /*End of Scope*/
/* 20276*/    0, /*End of Scope*/
/* 20277*/   /*Scope*/ 67|128,2/*323*/, /*->20602*/
/* 20279*/    OPC_CheckChild1Type, MVT::f32,
/* 20281*/    OPC_Scope, 67|128,1/*195*/, /*->20479*/ // 2 children in Scope
/* 20284*/     OPC_MoveChild2,
/* 20285*/     OPC_SwitchOpcode /*3 cases */, 59, TARGET_VAL(ISD::ADD),// ->20348
/* 20289*/      OPC_RecordChild0, // #2 = $addr
/* 20290*/      OPC_RecordChild1, // #3 = $off
/* 20291*/      OPC_MoveChild1,
/* 20292*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 20295*/      OPC_MoveParent,
/* 20296*/      OPC_CheckPredicate, 0, // Predicate_regPlusImm
/* 20298*/      OPC_SwitchType /*2 cases */, 22, MVT::i32,// ->20323
/* 20301*/       OPC_MoveParent,
/* 20302*/       OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 20304*/       OPC_CheckPredicate, 14, // Predicate_store
/* 20306*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 20308*/       OPC_EmitMergeInputChains1_0,
/* 20309*/       OPC_EmitInteger, MVT::i32, 0, 
/* 20312*/       OPC_EmitConvertToTarget, 3,
/* 20314*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_F32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 4, 5, 2, 1, 
                 // Src: (st f32:{ *:[f32] }:$val, (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 11
                 // Dst: (STORE_F32_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, f32:{ *:[f32] }:$val)
/* 20323*/      /*SwitchType*/ 22, MVT::i64,// ->20347
/* 20325*/       OPC_MoveParent,
/* 20326*/       OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 20328*/       OPC_CheckPredicate, 14, // Predicate_store
/* 20330*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 20332*/       OPC_EmitMergeInputChains1_0,
/* 20333*/       OPC_EmitInteger, MVT::i32, 0, 
/* 20336*/       OPC_EmitConvertToTarget, 3,
/* 20338*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_F32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 4, 5, 2, 1, 
                 // Src: (st f32:{ *:[f32] }:$val, (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 11
                 // Dst: (STORE_F32_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, f32:{ *:[f32] }:$val)
/* 20347*/      0, // EndSwitchType
/* 20348*/     /*SwitchOpcode*/ 59, TARGET_VAL(ISD::OR),// ->20410
/* 20351*/      OPC_RecordChild0, // #2 = $addr
/* 20352*/      OPC_RecordChild1, // #3 = $off
/* 20353*/      OPC_MoveChild1,
/* 20354*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 20357*/      OPC_MoveParent,
/* 20358*/      OPC_CheckPredicate, 3, // Predicate_or_is_add
/* 20360*/      OPC_SwitchType /*2 cases */, 22, MVT::i32,// ->20385
/* 20363*/       OPC_MoveParent,
/* 20364*/       OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 20366*/       OPC_CheckPredicate, 14, // Predicate_store
/* 20368*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 20370*/       OPC_EmitMergeInputChains1_0,
/* 20371*/       OPC_EmitInteger, MVT::i32, 0, 
/* 20374*/       OPC_EmitConvertToTarget, 3,
/* 20376*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_F32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 4, 5, 2, 1, 
                 // Src: (st f32:{ *:[f32] }:$val, (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 11
                 // Dst: (STORE_F32_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, f32:{ *:[f32] }:$val)
/* 20385*/      /*SwitchType*/ 22, MVT::i64,// ->20409
/* 20387*/       OPC_MoveParent,
/* 20388*/       OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 20390*/       OPC_CheckPredicate, 14, // Predicate_store
/* 20392*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 20394*/       OPC_EmitMergeInputChains1_0,
/* 20395*/       OPC_EmitInteger, MVT::i32, 0, 
/* 20398*/       OPC_EmitConvertToTarget, 3,
/* 20400*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_F32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 4, 5, 2, 1, 
                 // Src: (st f32:{ *:[f32] }:$val, (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 11
                 // Dst: (STORE_F32_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, f32:{ *:[f32] }:$val)
/* 20409*/      0, // EndSwitchType
/* 20410*/     /*SwitchOpcode*/ 65, TARGET_VAL(WebAssemblyISD::Wrapper),// ->20478
/* 20413*/      OPC_RecordChild0, // #2 = $off
/* 20414*/      OPC_MoveChild0,
/* 20415*/      OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 20418*/      OPC_MoveParent,
/* 20419*/      OPC_MoveParent,
/* 20420*/      OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 20422*/      OPC_CheckPredicate, 14, // Predicate_store
/* 20424*/      OPC_Scope, 25, /*->20451*/ // 2 children in Scope
/* 20426*/       OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 20428*/       OPC_EmitMergeInputChains1_0,
/* 20429*/       OPC_EmitInteger, MVT::i32, 0, 
/* 20432*/       OPC_EmitInteger, MVT::i32, 0, 
/* 20435*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 20442*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_F32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 3, 2, 5, 1, 
                 // Src: (st f32:{ *:[f32] }:$val, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 10
                 // Dst: (STORE_F32_A32 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), f32:{ *:[f32] }:$val)
/* 20451*/      /*Scope*/ 25, /*->20477*/
/* 20452*/       OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 20454*/       OPC_EmitMergeInputChains1_0,
/* 20455*/       OPC_EmitInteger, MVT::i32, 0, 
/* 20458*/       OPC_EmitInteger, MVT::i64, 0, 
/* 20461*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 20468*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_F32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 3, 2, 5, 1, 
                 // Src: (st f32:{ *:[f32] }:$val, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 10
                 // Dst: (STORE_F32_A64 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), f32:{ *:[f32] }:$val)
/* 20477*/      0, /*End of Scope*/
/* 20478*/     0, // EndSwitchOpcode
/* 20479*/    /*Scope*/ 121, /*->20601*/
/* 20480*/     OPC_RecordChild2, // #2 = $off
/* 20481*/     OPC_Scope, 67, /*->20550*/ // 3 children in Scope
/* 20483*/      OPC_MoveChild2,
/* 20484*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 20487*/      OPC_MoveParent,
/* 20488*/      OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 20490*/      OPC_CheckPredicate, 14, // Predicate_store
/* 20492*/      OPC_Scope, 27, /*->20521*/ // 2 children in Scope
/* 20494*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 20496*/       OPC_EmitMergeInputChains1_0,
/* 20497*/       OPC_EmitInteger, MVT::i32, 0, 
/* 20500*/       OPC_EmitConvertToTarget, 2,
/* 20502*/       OPC_EmitInteger, MVT::i32, 0, 
/* 20505*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 20512*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_F32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 3, 4, 6, 1, 
                 // Src: (st f32:{ *:[f32] }:$val, (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 7
                 // Dst: (STORE_F32_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), f32:{ *:[f32] }:$val)
/* 20521*/      /*Scope*/ 27, /*->20549*/
/* 20522*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 20524*/       OPC_EmitMergeInputChains1_0,
/* 20525*/       OPC_EmitInteger, MVT::i32, 0, 
/* 20528*/       OPC_EmitConvertToTarget, 2,
/* 20530*/       OPC_EmitInteger, MVT::i64, 0, 
/* 20533*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 20540*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_F32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 3, 4, 6, 1, 
                 // Src: (st f32:{ *:[f32] }:$val, (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 7
                 // Dst: (STORE_F32_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), f32:{ *:[f32] }:$val)
/* 20549*/      0, /*End of Scope*/
/* 20550*/     /*Scope*/ 24, /*->20575*/
/* 20551*/      OPC_CheckChild2Type, MVT::i32,
/* 20553*/      OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 20555*/      OPC_CheckPredicate, 14, // Predicate_store
/* 20557*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 20559*/      OPC_EmitMergeInputChains1_0,
/* 20560*/      OPC_EmitInteger, MVT::i32, 0, 
/* 20563*/      OPC_EmitInteger, MVT::i32, 0, 
/* 20566*/      OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_F32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    4/*#Ops*/, 3, 4, 2, 1, 
                // Src: (st f32:{ *:[f32] }:$val, I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 4
                // Dst: (STORE_F32_A32 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, f32:{ *:[f32] }:$val)
/* 20575*/     /*Scope*/ 24, /*->20600*/
/* 20576*/      OPC_CheckChild2Type, MVT::i64,
/* 20578*/      OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 20580*/      OPC_CheckPredicate, 14, // Predicate_store
/* 20582*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 20584*/      OPC_EmitMergeInputChains1_0,
/* 20585*/      OPC_EmitInteger, MVT::i32, 0, 
/* 20588*/      OPC_EmitInteger, MVT::i64, 0, 
/* 20591*/      OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_F32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    4/*#Ops*/, 3, 4, 2, 1, 
                // Src: (st f32:{ *:[f32] }:$val, I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 4
                // Dst: (STORE_F32_A64 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, f32:{ *:[f32] }:$val)
/* 20600*/     0, /*End of Scope*/
/* 20601*/    0, /*End of Scope*/
/* 20602*/   /*Scope*/ 67|128,2/*323*/, /*->20927*/
/* 20604*/    OPC_CheckChild1Type, MVT::f64,
/* 20606*/    OPC_Scope, 67|128,1/*195*/, /*->20804*/ // 2 children in Scope
/* 20609*/     OPC_MoveChild2,
/* 20610*/     OPC_SwitchOpcode /*3 cases */, 59, TARGET_VAL(ISD::ADD),// ->20673
/* 20614*/      OPC_RecordChild0, // #2 = $addr
/* 20615*/      OPC_RecordChild1, // #3 = $off
/* 20616*/      OPC_MoveChild1,
/* 20617*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 20620*/      OPC_MoveParent,
/* 20621*/      OPC_CheckPredicate, 0, // Predicate_regPlusImm
/* 20623*/      OPC_SwitchType /*2 cases */, 22, MVT::i32,// ->20648
/* 20626*/       OPC_MoveParent,
/* 20627*/       OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 20629*/       OPC_CheckPredicate, 14, // Predicate_store
/* 20631*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 20633*/       OPC_EmitMergeInputChains1_0,
/* 20634*/       OPC_EmitInteger, MVT::i32, 0, 
/* 20637*/       OPC_EmitConvertToTarget, 3,
/* 20639*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_F64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 4, 5, 2, 1, 
                 // Src: (st f64:{ *:[f64] }:$val, (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 11
                 // Dst: (STORE_F64_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, f64:{ *:[f64] }:$val)
/* 20648*/      /*SwitchType*/ 22, MVT::i64,// ->20672
/* 20650*/       OPC_MoveParent,
/* 20651*/       OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 20653*/       OPC_CheckPredicate, 14, // Predicate_store
/* 20655*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 20657*/       OPC_EmitMergeInputChains1_0,
/* 20658*/       OPC_EmitInteger, MVT::i32, 0, 
/* 20661*/       OPC_EmitConvertToTarget, 3,
/* 20663*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_F64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 4, 5, 2, 1, 
                 // Src: (st f64:{ *:[f64] }:$val, (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 11
                 // Dst: (STORE_F64_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, f64:{ *:[f64] }:$val)
/* 20672*/      0, // EndSwitchType
/* 20673*/     /*SwitchOpcode*/ 59, TARGET_VAL(ISD::OR),// ->20735
/* 20676*/      OPC_RecordChild0, // #2 = $addr
/* 20677*/      OPC_RecordChild1, // #3 = $off
/* 20678*/      OPC_MoveChild1,
/* 20679*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 20682*/      OPC_MoveParent,
/* 20683*/      OPC_CheckPredicate, 3, // Predicate_or_is_add
/* 20685*/      OPC_SwitchType /*2 cases */, 22, MVT::i32,// ->20710
/* 20688*/       OPC_MoveParent,
/* 20689*/       OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 20691*/       OPC_CheckPredicate, 14, // Predicate_store
/* 20693*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 20695*/       OPC_EmitMergeInputChains1_0,
/* 20696*/       OPC_EmitInteger, MVT::i32, 0, 
/* 20699*/       OPC_EmitConvertToTarget, 3,
/* 20701*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_F64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 4, 5, 2, 1, 
                 // Src: (st f64:{ *:[f64] }:$val, (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 11
                 // Dst: (STORE_F64_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, f64:{ *:[f64] }:$val)
/* 20710*/      /*SwitchType*/ 22, MVT::i64,// ->20734
/* 20712*/       OPC_MoveParent,
/* 20713*/       OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 20715*/       OPC_CheckPredicate, 14, // Predicate_store
/* 20717*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 20719*/       OPC_EmitMergeInputChains1_0,
/* 20720*/       OPC_EmitInteger, MVT::i32, 0, 
/* 20723*/       OPC_EmitConvertToTarget, 3,
/* 20725*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_F64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 4, 5, 2, 1, 
                 // Src: (st f64:{ *:[f64] }:$val, (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 11
                 // Dst: (STORE_F64_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, f64:{ *:[f64] }:$val)
/* 20734*/      0, // EndSwitchType
/* 20735*/     /*SwitchOpcode*/ 65, TARGET_VAL(WebAssemblyISD::Wrapper),// ->20803
/* 20738*/      OPC_RecordChild0, // #2 = $off
/* 20739*/      OPC_MoveChild0,
/* 20740*/      OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 20743*/      OPC_MoveParent,
/* 20744*/      OPC_MoveParent,
/* 20745*/      OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 20747*/      OPC_CheckPredicate, 14, // Predicate_store
/* 20749*/      OPC_Scope, 25, /*->20776*/ // 2 children in Scope
/* 20751*/       OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 20753*/       OPC_EmitMergeInputChains1_0,
/* 20754*/       OPC_EmitInteger, MVT::i32, 0, 
/* 20757*/       OPC_EmitInteger, MVT::i32, 0, 
/* 20760*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 20767*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_F64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 3, 2, 5, 1, 
                 // Src: (st f64:{ *:[f64] }:$val, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 10
                 // Dst: (STORE_F64_A32 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), f64:{ *:[f64] }:$val)
/* 20776*/      /*Scope*/ 25, /*->20802*/
/* 20777*/       OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 20779*/       OPC_EmitMergeInputChains1_0,
/* 20780*/       OPC_EmitInteger, MVT::i32, 0, 
/* 20783*/       OPC_EmitInteger, MVT::i64, 0, 
/* 20786*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 20793*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_F64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 3, 2, 5, 1, 
                 // Src: (st f64:{ *:[f64] }:$val, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 10
                 // Dst: (STORE_F64_A64 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), f64:{ *:[f64] }:$val)
/* 20802*/      0, /*End of Scope*/
/* 20803*/     0, // EndSwitchOpcode
/* 20804*/    /*Scope*/ 121, /*->20926*/
/* 20805*/     OPC_RecordChild2, // #2 = $off
/* 20806*/     OPC_Scope, 67, /*->20875*/ // 3 children in Scope
/* 20808*/      OPC_MoveChild2,
/* 20809*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 20812*/      OPC_MoveParent,
/* 20813*/      OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 20815*/      OPC_CheckPredicate, 14, // Predicate_store
/* 20817*/      OPC_Scope, 27, /*->20846*/ // 2 children in Scope
/* 20819*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 20821*/       OPC_EmitMergeInputChains1_0,
/* 20822*/       OPC_EmitInteger, MVT::i32, 0, 
/* 20825*/       OPC_EmitConvertToTarget, 2,
/* 20827*/       OPC_EmitInteger, MVT::i32, 0, 
/* 20830*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 20837*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_F64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 3, 4, 6, 1, 
                 // Src: (st f64:{ *:[f64] }:$val, (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 7
                 // Dst: (STORE_F64_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), f64:{ *:[f64] }:$val)
/* 20846*/      /*Scope*/ 27, /*->20874*/
/* 20847*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 20849*/       OPC_EmitMergeInputChains1_0,
/* 20850*/       OPC_EmitInteger, MVT::i32, 0, 
/* 20853*/       OPC_EmitConvertToTarget, 2,
/* 20855*/       OPC_EmitInteger, MVT::i64, 0, 
/* 20858*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 20865*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_F64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 3, 4, 6, 1, 
                 // Src: (st f64:{ *:[f64] }:$val, (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 7
                 // Dst: (STORE_F64_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), f64:{ *:[f64] }:$val)
/* 20874*/      0, /*End of Scope*/
/* 20875*/     /*Scope*/ 24, /*->20900*/
/* 20876*/      OPC_CheckChild2Type, MVT::i32,
/* 20878*/      OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 20880*/      OPC_CheckPredicate, 14, // Predicate_store
/* 20882*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 20884*/      OPC_EmitMergeInputChains1_0,
/* 20885*/      OPC_EmitInteger, MVT::i32, 0, 
/* 20888*/      OPC_EmitInteger, MVT::i32, 0, 
/* 20891*/      OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_F64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    4/*#Ops*/, 3, 4, 2, 1, 
                // Src: (st f64:{ *:[f64] }:$val, I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 4
                // Dst: (STORE_F64_A32 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, f64:{ *:[f64] }:$val)
/* 20900*/     /*Scope*/ 24, /*->20925*/
/* 20901*/      OPC_CheckChild2Type, MVT::i64,
/* 20903*/      OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 20905*/      OPC_CheckPredicate, 14, // Predicate_store
/* 20907*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 20909*/      OPC_EmitMergeInputChains1_0,
/* 20910*/      OPC_EmitInteger, MVT::i32, 0, 
/* 20913*/      OPC_EmitInteger, MVT::i64, 0, 
/* 20916*/      OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_F64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    4/*#Ops*/, 3, 4, 2, 1, 
                // Src: (st f64:{ *:[f64] }:$val, I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 4
                // Dst: (STORE_F64_A64 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, f64:{ *:[f64] }:$val)
/* 20925*/     0, /*End of Scope*/
/* 20926*/    0, /*End of Scope*/
/* 20927*/   /*Scope*/ 67|128,2/*323*/, /*->21252*/
/* 20929*/    OPC_CheckChild1Type, MVT::v16i8,
/* 20931*/    OPC_Scope, 67|128,1/*195*/, /*->21129*/ // 2 children in Scope
/* 20934*/     OPC_MoveChild2,
/* 20935*/     OPC_SwitchOpcode /*3 cases */, 59, TARGET_VAL(ISD::ADD),// ->20998
/* 20939*/      OPC_RecordChild0, // #2 = $addr
/* 20940*/      OPC_RecordChild1, // #3 = $off
/* 20941*/      OPC_MoveChild1,
/* 20942*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 20945*/      OPC_MoveParent,
/* 20946*/      OPC_CheckPredicate, 0, // Predicate_regPlusImm
/* 20948*/      OPC_SwitchType /*2 cases */, 22, MVT::i32,// ->20973
/* 20951*/       OPC_MoveParent,
/* 20952*/       OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 20954*/       OPC_CheckPredicate, 14, // Predicate_store
/* 20956*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 20958*/       OPC_EmitMergeInputChains1_0,
/* 20959*/       OPC_EmitInteger, MVT::i32, 0, 
/* 20962*/       OPC_EmitConvertToTarget, 3,
/* 20964*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 4, 5, 2, 1, 
                 // Src: (st v16i8:{ *:[v16i8] }:$val, (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 11
                 // Dst: (STORE_V128_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, v16i8:{ *:[v16i8] }:$val)
/* 20973*/      /*SwitchType*/ 22, MVT::i64,// ->20997
/* 20975*/       OPC_MoveParent,
/* 20976*/       OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 20978*/       OPC_CheckPredicate, 14, // Predicate_store
/* 20980*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 20982*/       OPC_EmitMergeInputChains1_0,
/* 20983*/       OPC_EmitInteger, MVT::i32, 0, 
/* 20986*/       OPC_EmitConvertToTarget, 3,
/* 20988*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 4, 5, 2, 1, 
                 // Src: (st v16i8:{ *:[v16i8] }:$val, (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 11
                 // Dst: (STORE_V128_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, v16i8:{ *:[v16i8] }:$val)
/* 20997*/      0, // EndSwitchType
/* 20998*/     /*SwitchOpcode*/ 59, TARGET_VAL(ISD::OR),// ->21060
/* 21001*/      OPC_RecordChild0, // #2 = $addr
/* 21002*/      OPC_RecordChild1, // #3 = $off
/* 21003*/      OPC_MoveChild1,
/* 21004*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 21007*/      OPC_MoveParent,
/* 21008*/      OPC_CheckPredicate, 3, // Predicate_or_is_add
/* 21010*/      OPC_SwitchType /*2 cases */, 22, MVT::i32,// ->21035
/* 21013*/       OPC_MoveParent,
/* 21014*/       OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 21016*/       OPC_CheckPredicate, 14, // Predicate_store
/* 21018*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 21020*/       OPC_EmitMergeInputChains1_0,
/* 21021*/       OPC_EmitInteger, MVT::i32, 0, 
/* 21024*/       OPC_EmitConvertToTarget, 3,
/* 21026*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 4, 5, 2, 1, 
                 // Src: (st v16i8:{ *:[v16i8] }:$val, (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 11
                 // Dst: (STORE_V128_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, v16i8:{ *:[v16i8] }:$val)
/* 21035*/      /*SwitchType*/ 22, MVT::i64,// ->21059
/* 21037*/       OPC_MoveParent,
/* 21038*/       OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 21040*/       OPC_CheckPredicate, 14, // Predicate_store
/* 21042*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 21044*/       OPC_EmitMergeInputChains1_0,
/* 21045*/       OPC_EmitInteger, MVT::i32, 0, 
/* 21048*/       OPC_EmitConvertToTarget, 3,
/* 21050*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 4, 5, 2, 1, 
                 // Src: (st v16i8:{ *:[v16i8] }:$val, (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 11
                 // Dst: (STORE_V128_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, v16i8:{ *:[v16i8] }:$val)
/* 21059*/      0, // EndSwitchType
/* 21060*/     /*SwitchOpcode*/ 65, TARGET_VAL(WebAssemblyISD::Wrapper),// ->21128
/* 21063*/      OPC_RecordChild0, // #2 = $off
/* 21064*/      OPC_MoveChild0,
/* 21065*/      OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 21068*/      OPC_MoveParent,
/* 21069*/      OPC_MoveParent,
/* 21070*/      OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 21072*/      OPC_CheckPredicate, 14, // Predicate_store
/* 21074*/      OPC_Scope, 25, /*->21101*/ // 2 children in Scope
/* 21076*/       OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 21078*/       OPC_EmitMergeInputChains1_0,
/* 21079*/       OPC_EmitInteger, MVT::i32, 0, 
/* 21082*/       OPC_EmitInteger, MVT::i32, 0, 
/* 21085*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 21092*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 3, 2, 5, 1, 
                 // Src: (st v16i8:{ *:[v16i8] }:$val, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 10
                 // Dst: (STORE_V128_A32 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), v16i8:{ *:[v16i8] }:$val)
/* 21101*/      /*Scope*/ 25, /*->21127*/
/* 21102*/       OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 21104*/       OPC_EmitMergeInputChains1_0,
/* 21105*/       OPC_EmitInteger, MVT::i32, 0, 
/* 21108*/       OPC_EmitInteger, MVT::i64, 0, 
/* 21111*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 21118*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 3, 2, 5, 1, 
                 // Src: (st v16i8:{ *:[v16i8] }:$val, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 10
                 // Dst: (STORE_V128_A64 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), v16i8:{ *:[v16i8] }:$val)
/* 21127*/      0, /*End of Scope*/
/* 21128*/     0, // EndSwitchOpcode
/* 21129*/    /*Scope*/ 121, /*->21251*/
/* 21130*/     OPC_RecordChild2, // #2 = $off
/* 21131*/     OPC_Scope, 67, /*->21200*/ // 3 children in Scope
/* 21133*/      OPC_MoveChild2,
/* 21134*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 21137*/      OPC_MoveParent,
/* 21138*/      OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 21140*/      OPC_CheckPredicate, 14, // Predicate_store
/* 21142*/      OPC_Scope, 27, /*->21171*/ // 2 children in Scope
/* 21144*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 21146*/       OPC_EmitMergeInputChains1_0,
/* 21147*/       OPC_EmitInteger, MVT::i32, 0, 
/* 21150*/       OPC_EmitConvertToTarget, 2,
/* 21152*/       OPC_EmitInteger, MVT::i32, 0, 
/* 21155*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 21162*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 3, 4, 6, 1, 
                 // Src: (st v16i8:{ *:[v16i8] }:$val, (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 7
                 // Dst: (STORE_V128_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), v16i8:{ *:[v16i8] }:$val)
/* 21171*/      /*Scope*/ 27, /*->21199*/
/* 21172*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 21174*/       OPC_EmitMergeInputChains1_0,
/* 21175*/       OPC_EmitInteger, MVT::i32, 0, 
/* 21178*/       OPC_EmitConvertToTarget, 2,
/* 21180*/       OPC_EmitInteger, MVT::i64, 0, 
/* 21183*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 21190*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 3, 4, 6, 1, 
                 // Src: (st v16i8:{ *:[v16i8] }:$val, (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 7
                 // Dst: (STORE_V128_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), v16i8:{ *:[v16i8] }:$val)
/* 21199*/      0, /*End of Scope*/
/* 21200*/     /*Scope*/ 24, /*->21225*/
/* 21201*/      OPC_CheckChild2Type, MVT::i32,
/* 21203*/      OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 21205*/      OPC_CheckPredicate, 14, // Predicate_store
/* 21207*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 21209*/      OPC_EmitMergeInputChains1_0,
/* 21210*/      OPC_EmitInteger, MVT::i32, 0, 
/* 21213*/      OPC_EmitInteger, MVT::i32, 0, 
/* 21216*/      OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    4/*#Ops*/, 3, 4, 2, 1, 
                // Src: (st v16i8:{ *:[v16i8] }:$val, I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 4
                // Dst: (STORE_V128_A32 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, v16i8:{ *:[v16i8] }:$val)
/* 21225*/     /*Scope*/ 24, /*->21250*/
/* 21226*/      OPC_CheckChild2Type, MVT::i64,
/* 21228*/      OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 21230*/      OPC_CheckPredicate, 14, // Predicate_store
/* 21232*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 21234*/      OPC_EmitMergeInputChains1_0,
/* 21235*/      OPC_EmitInteger, MVT::i32, 0, 
/* 21238*/      OPC_EmitInteger, MVT::i64, 0, 
/* 21241*/      OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    4/*#Ops*/, 3, 4, 2, 1, 
                // Src: (st v16i8:{ *:[v16i8] }:$val, I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 4
                // Dst: (STORE_V128_A64 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, v16i8:{ *:[v16i8] }:$val)
/* 21250*/     0, /*End of Scope*/
/* 21251*/    0, /*End of Scope*/
/* 21252*/   /*Scope*/ 67|128,2/*323*/, /*->21577*/
/* 21254*/    OPC_CheckChild1Type, MVT::v8i16,
/* 21256*/    OPC_Scope, 67|128,1/*195*/, /*->21454*/ // 2 children in Scope
/* 21259*/     OPC_MoveChild2,
/* 21260*/     OPC_SwitchOpcode /*3 cases */, 59, TARGET_VAL(ISD::ADD),// ->21323
/* 21264*/      OPC_RecordChild0, // #2 = $addr
/* 21265*/      OPC_RecordChild1, // #3 = $off
/* 21266*/      OPC_MoveChild1,
/* 21267*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 21270*/      OPC_MoveParent,
/* 21271*/      OPC_CheckPredicate, 0, // Predicate_regPlusImm
/* 21273*/      OPC_SwitchType /*2 cases */, 22, MVT::i32,// ->21298
/* 21276*/       OPC_MoveParent,
/* 21277*/       OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 21279*/       OPC_CheckPredicate, 14, // Predicate_store
/* 21281*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 21283*/       OPC_EmitMergeInputChains1_0,
/* 21284*/       OPC_EmitInteger, MVT::i32, 0, 
/* 21287*/       OPC_EmitConvertToTarget, 3,
/* 21289*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 4, 5, 2, 1, 
                 // Src: (st v8i16:{ *:[v8i16] }:$val, (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 11
                 // Dst: (STORE_V128_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, v8i16:{ *:[v8i16] }:$val)
/* 21298*/      /*SwitchType*/ 22, MVT::i64,// ->21322
/* 21300*/       OPC_MoveParent,
/* 21301*/       OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 21303*/       OPC_CheckPredicate, 14, // Predicate_store
/* 21305*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 21307*/       OPC_EmitMergeInputChains1_0,
/* 21308*/       OPC_EmitInteger, MVT::i32, 0, 
/* 21311*/       OPC_EmitConvertToTarget, 3,
/* 21313*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 4, 5, 2, 1, 
                 // Src: (st v8i16:{ *:[v8i16] }:$val, (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 11
                 // Dst: (STORE_V128_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, v8i16:{ *:[v8i16] }:$val)
/* 21322*/      0, // EndSwitchType
/* 21323*/     /*SwitchOpcode*/ 59, TARGET_VAL(ISD::OR),// ->21385
/* 21326*/      OPC_RecordChild0, // #2 = $addr
/* 21327*/      OPC_RecordChild1, // #3 = $off
/* 21328*/      OPC_MoveChild1,
/* 21329*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 21332*/      OPC_MoveParent,
/* 21333*/      OPC_CheckPredicate, 3, // Predicate_or_is_add
/* 21335*/      OPC_SwitchType /*2 cases */, 22, MVT::i32,// ->21360
/* 21338*/       OPC_MoveParent,
/* 21339*/       OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 21341*/       OPC_CheckPredicate, 14, // Predicate_store
/* 21343*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 21345*/       OPC_EmitMergeInputChains1_0,
/* 21346*/       OPC_EmitInteger, MVT::i32, 0, 
/* 21349*/       OPC_EmitConvertToTarget, 3,
/* 21351*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 4, 5, 2, 1, 
                 // Src: (st v8i16:{ *:[v8i16] }:$val, (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 11
                 // Dst: (STORE_V128_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, v8i16:{ *:[v8i16] }:$val)
/* 21360*/      /*SwitchType*/ 22, MVT::i64,// ->21384
/* 21362*/       OPC_MoveParent,
/* 21363*/       OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 21365*/       OPC_CheckPredicate, 14, // Predicate_store
/* 21367*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 21369*/       OPC_EmitMergeInputChains1_0,
/* 21370*/       OPC_EmitInteger, MVT::i32, 0, 
/* 21373*/       OPC_EmitConvertToTarget, 3,
/* 21375*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 4, 5, 2, 1, 
                 // Src: (st v8i16:{ *:[v8i16] }:$val, (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 11
                 // Dst: (STORE_V128_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, v8i16:{ *:[v8i16] }:$val)
/* 21384*/      0, // EndSwitchType
/* 21385*/     /*SwitchOpcode*/ 65, TARGET_VAL(WebAssemblyISD::Wrapper),// ->21453
/* 21388*/      OPC_RecordChild0, // #2 = $off
/* 21389*/      OPC_MoveChild0,
/* 21390*/      OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 21393*/      OPC_MoveParent,
/* 21394*/      OPC_MoveParent,
/* 21395*/      OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 21397*/      OPC_CheckPredicate, 14, // Predicate_store
/* 21399*/      OPC_Scope, 25, /*->21426*/ // 2 children in Scope
/* 21401*/       OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 21403*/       OPC_EmitMergeInputChains1_0,
/* 21404*/       OPC_EmitInteger, MVT::i32, 0, 
/* 21407*/       OPC_EmitInteger, MVT::i32, 0, 
/* 21410*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 21417*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 3, 2, 5, 1, 
                 // Src: (st v8i16:{ *:[v8i16] }:$val, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 10
                 // Dst: (STORE_V128_A32 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), v8i16:{ *:[v8i16] }:$val)
/* 21426*/      /*Scope*/ 25, /*->21452*/
/* 21427*/       OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 21429*/       OPC_EmitMergeInputChains1_0,
/* 21430*/       OPC_EmitInteger, MVT::i32, 0, 
/* 21433*/       OPC_EmitInteger, MVT::i64, 0, 
/* 21436*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 21443*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 3, 2, 5, 1, 
                 // Src: (st v8i16:{ *:[v8i16] }:$val, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 10
                 // Dst: (STORE_V128_A64 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), v8i16:{ *:[v8i16] }:$val)
/* 21452*/      0, /*End of Scope*/
/* 21453*/     0, // EndSwitchOpcode
/* 21454*/    /*Scope*/ 121, /*->21576*/
/* 21455*/     OPC_RecordChild2, // #2 = $off
/* 21456*/     OPC_Scope, 67, /*->21525*/ // 3 children in Scope
/* 21458*/      OPC_MoveChild2,
/* 21459*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 21462*/      OPC_MoveParent,
/* 21463*/      OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 21465*/      OPC_CheckPredicate, 14, // Predicate_store
/* 21467*/      OPC_Scope, 27, /*->21496*/ // 2 children in Scope
/* 21469*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 21471*/       OPC_EmitMergeInputChains1_0,
/* 21472*/       OPC_EmitInteger, MVT::i32, 0, 
/* 21475*/       OPC_EmitConvertToTarget, 2,
/* 21477*/       OPC_EmitInteger, MVT::i32, 0, 
/* 21480*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 21487*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 3, 4, 6, 1, 
                 // Src: (st v8i16:{ *:[v8i16] }:$val, (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 7
                 // Dst: (STORE_V128_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), v8i16:{ *:[v8i16] }:$val)
/* 21496*/      /*Scope*/ 27, /*->21524*/
/* 21497*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 21499*/       OPC_EmitMergeInputChains1_0,
/* 21500*/       OPC_EmitInteger, MVT::i32, 0, 
/* 21503*/       OPC_EmitConvertToTarget, 2,
/* 21505*/       OPC_EmitInteger, MVT::i64, 0, 
/* 21508*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 21515*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 3, 4, 6, 1, 
                 // Src: (st v8i16:{ *:[v8i16] }:$val, (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 7
                 // Dst: (STORE_V128_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), v8i16:{ *:[v8i16] }:$val)
/* 21524*/      0, /*End of Scope*/
/* 21525*/     /*Scope*/ 24, /*->21550*/
/* 21526*/      OPC_CheckChild2Type, MVT::i32,
/* 21528*/      OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 21530*/      OPC_CheckPredicate, 14, // Predicate_store
/* 21532*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 21534*/      OPC_EmitMergeInputChains1_0,
/* 21535*/      OPC_EmitInteger, MVT::i32, 0, 
/* 21538*/      OPC_EmitInteger, MVT::i32, 0, 
/* 21541*/      OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    4/*#Ops*/, 3, 4, 2, 1, 
                // Src: (st v8i16:{ *:[v8i16] }:$val, I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 4
                // Dst: (STORE_V128_A32 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, v8i16:{ *:[v8i16] }:$val)
/* 21550*/     /*Scope*/ 24, /*->21575*/
/* 21551*/      OPC_CheckChild2Type, MVT::i64,
/* 21553*/      OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 21555*/      OPC_CheckPredicate, 14, // Predicate_store
/* 21557*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 21559*/      OPC_EmitMergeInputChains1_0,
/* 21560*/      OPC_EmitInteger, MVT::i32, 0, 
/* 21563*/      OPC_EmitInteger, MVT::i64, 0, 
/* 21566*/      OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    4/*#Ops*/, 3, 4, 2, 1, 
                // Src: (st v8i16:{ *:[v8i16] }:$val, I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 4
                // Dst: (STORE_V128_A64 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, v8i16:{ *:[v8i16] }:$val)
/* 21575*/     0, /*End of Scope*/
/* 21576*/    0, /*End of Scope*/
/* 21577*/   /*Scope*/ 67|128,2/*323*/, /*->21902*/
/* 21579*/    OPC_CheckChild1Type, MVT::v4i32,
/* 21581*/    OPC_Scope, 67|128,1/*195*/, /*->21779*/ // 2 children in Scope
/* 21584*/     OPC_MoveChild2,
/* 21585*/     OPC_SwitchOpcode /*3 cases */, 59, TARGET_VAL(ISD::ADD),// ->21648
/* 21589*/      OPC_RecordChild0, // #2 = $addr
/* 21590*/      OPC_RecordChild1, // #3 = $off
/* 21591*/      OPC_MoveChild1,
/* 21592*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 21595*/      OPC_MoveParent,
/* 21596*/      OPC_CheckPredicate, 0, // Predicate_regPlusImm
/* 21598*/      OPC_SwitchType /*2 cases */, 22, MVT::i32,// ->21623
/* 21601*/       OPC_MoveParent,
/* 21602*/       OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 21604*/       OPC_CheckPredicate, 14, // Predicate_store
/* 21606*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 21608*/       OPC_EmitMergeInputChains1_0,
/* 21609*/       OPC_EmitInteger, MVT::i32, 0, 
/* 21612*/       OPC_EmitConvertToTarget, 3,
/* 21614*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 4, 5, 2, 1, 
                 // Src: (st v4i32:{ *:[v4i32] }:$val, (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 11
                 // Dst: (STORE_V128_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, v4i32:{ *:[v4i32] }:$val)
/* 21623*/      /*SwitchType*/ 22, MVT::i64,// ->21647
/* 21625*/       OPC_MoveParent,
/* 21626*/       OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 21628*/       OPC_CheckPredicate, 14, // Predicate_store
/* 21630*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 21632*/       OPC_EmitMergeInputChains1_0,
/* 21633*/       OPC_EmitInteger, MVT::i32, 0, 
/* 21636*/       OPC_EmitConvertToTarget, 3,
/* 21638*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 4, 5, 2, 1, 
                 // Src: (st v4i32:{ *:[v4i32] }:$val, (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 11
                 // Dst: (STORE_V128_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, v4i32:{ *:[v4i32] }:$val)
/* 21647*/      0, // EndSwitchType
/* 21648*/     /*SwitchOpcode*/ 59, TARGET_VAL(ISD::OR),// ->21710
/* 21651*/      OPC_RecordChild0, // #2 = $addr
/* 21652*/      OPC_RecordChild1, // #3 = $off
/* 21653*/      OPC_MoveChild1,
/* 21654*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 21657*/      OPC_MoveParent,
/* 21658*/      OPC_CheckPredicate, 3, // Predicate_or_is_add
/* 21660*/      OPC_SwitchType /*2 cases */, 22, MVT::i32,// ->21685
/* 21663*/       OPC_MoveParent,
/* 21664*/       OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 21666*/       OPC_CheckPredicate, 14, // Predicate_store
/* 21668*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 21670*/       OPC_EmitMergeInputChains1_0,
/* 21671*/       OPC_EmitInteger, MVT::i32, 0, 
/* 21674*/       OPC_EmitConvertToTarget, 3,
/* 21676*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 4, 5, 2, 1, 
                 // Src: (st v4i32:{ *:[v4i32] }:$val, (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 11
                 // Dst: (STORE_V128_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, v4i32:{ *:[v4i32] }:$val)
/* 21685*/      /*SwitchType*/ 22, MVT::i64,// ->21709
/* 21687*/       OPC_MoveParent,
/* 21688*/       OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 21690*/       OPC_CheckPredicate, 14, // Predicate_store
/* 21692*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 21694*/       OPC_EmitMergeInputChains1_0,
/* 21695*/       OPC_EmitInteger, MVT::i32, 0, 
/* 21698*/       OPC_EmitConvertToTarget, 3,
/* 21700*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 4, 5, 2, 1, 
                 // Src: (st v4i32:{ *:[v4i32] }:$val, (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 11
                 // Dst: (STORE_V128_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, v4i32:{ *:[v4i32] }:$val)
/* 21709*/      0, // EndSwitchType
/* 21710*/     /*SwitchOpcode*/ 65, TARGET_VAL(WebAssemblyISD::Wrapper),// ->21778
/* 21713*/      OPC_RecordChild0, // #2 = $off
/* 21714*/      OPC_MoveChild0,
/* 21715*/      OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 21718*/      OPC_MoveParent,
/* 21719*/      OPC_MoveParent,
/* 21720*/      OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 21722*/      OPC_CheckPredicate, 14, // Predicate_store
/* 21724*/      OPC_Scope, 25, /*->21751*/ // 2 children in Scope
/* 21726*/       OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 21728*/       OPC_EmitMergeInputChains1_0,
/* 21729*/       OPC_EmitInteger, MVT::i32, 0, 
/* 21732*/       OPC_EmitInteger, MVT::i32, 0, 
/* 21735*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 21742*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 3, 2, 5, 1, 
                 // Src: (st v4i32:{ *:[v4i32] }:$val, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 10
                 // Dst: (STORE_V128_A32 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), v4i32:{ *:[v4i32] }:$val)
/* 21751*/      /*Scope*/ 25, /*->21777*/
/* 21752*/       OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 21754*/       OPC_EmitMergeInputChains1_0,
/* 21755*/       OPC_EmitInteger, MVT::i32, 0, 
/* 21758*/       OPC_EmitInteger, MVT::i64, 0, 
/* 21761*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 21768*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 3, 2, 5, 1, 
                 // Src: (st v4i32:{ *:[v4i32] }:$val, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 10
                 // Dst: (STORE_V128_A64 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), v4i32:{ *:[v4i32] }:$val)
/* 21777*/      0, /*End of Scope*/
/* 21778*/     0, // EndSwitchOpcode
/* 21779*/    /*Scope*/ 121, /*->21901*/
/* 21780*/     OPC_RecordChild2, // #2 = $off
/* 21781*/     OPC_Scope, 67, /*->21850*/ // 3 children in Scope
/* 21783*/      OPC_MoveChild2,
/* 21784*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 21787*/      OPC_MoveParent,
/* 21788*/      OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 21790*/      OPC_CheckPredicate, 14, // Predicate_store
/* 21792*/      OPC_Scope, 27, /*->21821*/ // 2 children in Scope
/* 21794*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 21796*/       OPC_EmitMergeInputChains1_0,
/* 21797*/       OPC_EmitInteger, MVT::i32, 0, 
/* 21800*/       OPC_EmitConvertToTarget, 2,
/* 21802*/       OPC_EmitInteger, MVT::i32, 0, 
/* 21805*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 21812*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 3, 4, 6, 1, 
                 // Src: (st v4i32:{ *:[v4i32] }:$val, (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 7
                 // Dst: (STORE_V128_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), v4i32:{ *:[v4i32] }:$val)
/* 21821*/      /*Scope*/ 27, /*->21849*/
/* 21822*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 21824*/       OPC_EmitMergeInputChains1_0,
/* 21825*/       OPC_EmitInteger, MVT::i32, 0, 
/* 21828*/       OPC_EmitConvertToTarget, 2,
/* 21830*/       OPC_EmitInteger, MVT::i64, 0, 
/* 21833*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 21840*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 3, 4, 6, 1, 
                 // Src: (st v4i32:{ *:[v4i32] }:$val, (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 7
                 // Dst: (STORE_V128_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), v4i32:{ *:[v4i32] }:$val)
/* 21849*/      0, /*End of Scope*/
/* 21850*/     /*Scope*/ 24, /*->21875*/
/* 21851*/      OPC_CheckChild2Type, MVT::i32,
/* 21853*/      OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 21855*/      OPC_CheckPredicate, 14, // Predicate_store
/* 21857*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 21859*/      OPC_EmitMergeInputChains1_0,
/* 21860*/      OPC_EmitInteger, MVT::i32, 0, 
/* 21863*/      OPC_EmitInteger, MVT::i32, 0, 
/* 21866*/      OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    4/*#Ops*/, 3, 4, 2, 1, 
                // Src: (st v4i32:{ *:[v4i32] }:$val, I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 4
                // Dst: (STORE_V128_A32 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, v4i32:{ *:[v4i32] }:$val)
/* 21875*/     /*Scope*/ 24, /*->21900*/
/* 21876*/      OPC_CheckChild2Type, MVT::i64,
/* 21878*/      OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 21880*/      OPC_CheckPredicate, 14, // Predicate_store
/* 21882*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 21884*/      OPC_EmitMergeInputChains1_0,
/* 21885*/      OPC_EmitInteger, MVT::i32, 0, 
/* 21888*/      OPC_EmitInteger, MVT::i64, 0, 
/* 21891*/      OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    4/*#Ops*/, 3, 4, 2, 1, 
                // Src: (st v4i32:{ *:[v4i32] }:$val, I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 4
                // Dst: (STORE_V128_A64 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, v4i32:{ *:[v4i32] }:$val)
/* 21900*/     0, /*End of Scope*/
/* 21901*/    0, /*End of Scope*/
/* 21902*/   /*Scope*/ 67|128,2/*323*/, /*->22227*/
/* 21904*/    OPC_CheckChild1Type, MVT::v2i64,
/* 21906*/    OPC_Scope, 67|128,1/*195*/, /*->22104*/ // 2 children in Scope
/* 21909*/     OPC_MoveChild2,
/* 21910*/     OPC_SwitchOpcode /*3 cases */, 59, TARGET_VAL(ISD::ADD),// ->21973
/* 21914*/      OPC_RecordChild0, // #2 = $addr
/* 21915*/      OPC_RecordChild1, // #3 = $off
/* 21916*/      OPC_MoveChild1,
/* 21917*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 21920*/      OPC_MoveParent,
/* 21921*/      OPC_CheckPredicate, 0, // Predicate_regPlusImm
/* 21923*/      OPC_SwitchType /*2 cases */, 22, MVT::i32,// ->21948
/* 21926*/       OPC_MoveParent,
/* 21927*/       OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 21929*/       OPC_CheckPredicate, 14, // Predicate_store
/* 21931*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 21933*/       OPC_EmitMergeInputChains1_0,
/* 21934*/       OPC_EmitInteger, MVT::i32, 0, 
/* 21937*/       OPC_EmitConvertToTarget, 3,
/* 21939*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 4, 5, 2, 1, 
                 // Src: (st v2i64:{ *:[v2i64] }:$val, (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 11
                 // Dst: (STORE_V128_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, v2i64:{ *:[v2i64] }:$val)
/* 21948*/      /*SwitchType*/ 22, MVT::i64,// ->21972
/* 21950*/       OPC_MoveParent,
/* 21951*/       OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 21953*/       OPC_CheckPredicate, 14, // Predicate_store
/* 21955*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 21957*/       OPC_EmitMergeInputChains1_0,
/* 21958*/       OPC_EmitInteger, MVT::i32, 0, 
/* 21961*/       OPC_EmitConvertToTarget, 3,
/* 21963*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 4, 5, 2, 1, 
                 // Src: (st v2i64:{ *:[v2i64] }:$val, (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 11
                 // Dst: (STORE_V128_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, v2i64:{ *:[v2i64] }:$val)
/* 21972*/      0, // EndSwitchType
/* 21973*/     /*SwitchOpcode*/ 59, TARGET_VAL(ISD::OR),// ->22035
/* 21976*/      OPC_RecordChild0, // #2 = $addr
/* 21977*/      OPC_RecordChild1, // #3 = $off
/* 21978*/      OPC_MoveChild1,
/* 21979*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 21982*/      OPC_MoveParent,
/* 21983*/      OPC_CheckPredicate, 3, // Predicate_or_is_add
/* 21985*/      OPC_SwitchType /*2 cases */, 22, MVT::i32,// ->22010
/* 21988*/       OPC_MoveParent,
/* 21989*/       OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 21991*/       OPC_CheckPredicate, 14, // Predicate_store
/* 21993*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 21995*/       OPC_EmitMergeInputChains1_0,
/* 21996*/       OPC_EmitInteger, MVT::i32, 0, 
/* 21999*/       OPC_EmitConvertToTarget, 3,
/* 22001*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 4, 5, 2, 1, 
                 // Src: (st v2i64:{ *:[v2i64] }:$val, (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 11
                 // Dst: (STORE_V128_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, v2i64:{ *:[v2i64] }:$val)
/* 22010*/      /*SwitchType*/ 22, MVT::i64,// ->22034
/* 22012*/       OPC_MoveParent,
/* 22013*/       OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 22015*/       OPC_CheckPredicate, 14, // Predicate_store
/* 22017*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 22019*/       OPC_EmitMergeInputChains1_0,
/* 22020*/       OPC_EmitInteger, MVT::i32, 0, 
/* 22023*/       OPC_EmitConvertToTarget, 3,
/* 22025*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 4, 5, 2, 1, 
                 // Src: (st v2i64:{ *:[v2i64] }:$val, (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 11
                 // Dst: (STORE_V128_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, v2i64:{ *:[v2i64] }:$val)
/* 22034*/      0, // EndSwitchType
/* 22035*/     /*SwitchOpcode*/ 65, TARGET_VAL(WebAssemblyISD::Wrapper),// ->22103
/* 22038*/      OPC_RecordChild0, // #2 = $off
/* 22039*/      OPC_MoveChild0,
/* 22040*/      OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 22043*/      OPC_MoveParent,
/* 22044*/      OPC_MoveParent,
/* 22045*/      OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 22047*/      OPC_CheckPredicate, 14, // Predicate_store
/* 22049*/      OPC_Scope, 25, /*->22076*/ // 2 children in Scope
/* 22051*/       OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 22053*/       OPC_EmitMergeInputChains1_0,
/* 22054*/       OPC_EmitInteger, MVT::i32, 0, 
/* 22057*/       OPC_EmitInteger, MVT::i32, 0, 
/* 22060*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 22067*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 3, 2, 5, 1, 
                 // Src: (st v2i64:{ *:[v2i64] }:$val, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 10
                 // Dst: (STORE_V128_A32 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), v2i64:{ *:[v2i64] }:$val)
/* 22076*/      /*Scope*/ 25, /*->22102*/
/* 22077*/       OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 22079*/       OPC_EmitMergeInputChains1_0,
/* 22080*/       OPC_EmitInteger, MVT::i32, 0, 
/* 22083*/       OPC_EmitInteger, MVT::i64, 0, 
/* 22086*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 22093*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 3, 2, 5, 1, 
                 // Src: (st v2i64:{ *:[v2i64] }:$val, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 10
                 // Dst: (STORE_V128_A64 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), v2i64:{ *:[v2i64] }:$val)
/* 22102*/      0, /*End of Scope*/
/* 22103*/     0, // EndSwitchOpcode
/* 22104*/    /*Scope*/ 121, /*->22226*/
/* 22105*/     OPC_RecordChild2, // #2 = $off
/* 22106*/     OPC_Scope, 67, /*->22175*/ // 3 children in Scope
/* 22108*/      OPC_MoveChild2,
/* 22109*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 22112*/      OPC_MoveParent,
/* 22113*/      OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 22115*/      OPC_CheckPredicate, 14, // Predicate_store
/* 22117*/      OPC_Scope, 27, /*->22146*/ // 2 children in Scope
/* 22119*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 22121*/       OPC_EmitMergeInputChains1_0,
/* 22122*/       OPC_EmitInteger, MVT::i32, 0, 
/* 22125*/       OPC_EmitConvertToTarget, 2,
/* 22127*/       OPC_EmitInteger, MVT::i32, 0, 
/* 22130*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 22137*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 3, 4, 6, 1, 
                 // Src: (st v2i64:{ *:[v2i64] }:$val, (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 7
                 // Dst: (STORE_V128_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), v2i64:{ *:[v2i64] }:$val)
/* 22146*/      /*Scope*/ 27, /*->22174*/
/* 22147*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 22149*/       OPC_EmitMergeInputChains1_0,
/* 22150*/       OPC_EmitInteger, MVT::i32, 0, 
/* 22153*/       OPC_EmitConvertToTarget, 2,
/* 22155*/       OPC_EmitInteger, MVT::i64, 0, 
/* 22158*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 22165*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 3, 4, 6, 1, 
                 // Src: (st v2i64:{ *:[v2i64] }:$val, (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 7
                 // Dst: (STORE_V128_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), v2i64:{ *:[v2i64] }:$val)
/* 22174*/      0, /*End of Scope*/
/* 22175*/     /*Scope*/ 24, /*->22200*/
/* 22176*/      OPC_CheckChild2Type, MVT::i32,
/* 22178*/      OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 22180*/      OPC_CheckPredicate, 14, // Predicate_store
/* 22182*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 22184*/      OPC_EmitMergeInputChains1_0,
/* 22185*/      OPC_EmitInteger, MVT::i32, 0, 
/* 22188*/      OPC_EmitInteger, MVT::i32, 0, 
/* 22191*/      OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    4/*#Ops*/, 3, 4, 2, 1, 
                // Src: (st v2i64:{ *:[v2i64] }:$val, I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 4
                // Dst: (STORE_V128_A32 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, v2i64:{ *:[v2i64] }:$val)
/* 22200*/     /*Scope*/ 24, /*->22225*/
/* 22201*/      OPC_CheckChild2Type, MVT::i64,
/* 22203*/      OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 22205*/      OPC_CheckPredicate, 14, // Predicate_store
/* 22207*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 22209*/      OPC_EmitMergeInputChains1_0,
/* 22210*/      OPC_EmitInteger, MVT::i32, 0, 
/* 22213*/      OPC_EmitInteger, MVT::i64, 0, 
/* 22216*/      OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    4/*#Ops*/, 3, 4, 2, 1, 
                // Src: (st v2i64:{ *:[v2i64] }:$val, I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 4
                // Dst: (STORE_V128_A64 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, v2i64:{ *:[v2i64] }:$val)
/* 22225*/     0, /*End of Scope*/
/* 22226*/    0, /*End of Scope*/
/* 22227*/   /*Scope*/ 67|128,2/*323*/, /*->22552*/
/* 22229*/    OPC_CheckChild1Type, MVT::v4f32,
/* 22231*/    OPC_Scope, 67|128,1/*195*/, /*->22429*/ // 2 children in Scope
/* 22234*/     OPC_MoveChild2,
/* 22235*/     OPC_SwitchOpcode /*3 cases */, 59, TARGET_VAL(ISD::ADD),// ->22298
/* 22239*/      OPC_RecordChild0, // #2 = $addr
/* 22240*/      OPC_RecordChild1, // #3 = $off
/* 22241*/      OPC_MoveChild1,
/* 22242*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 22245*/      OPC_MoveParent,
/* 22246*/      OPC_CheckPredicate, 0, // Predicate_regPlusImm
/* 22248*/      OPC_SwitchType /*2 cases */, 22, MVT::i32,// ->22273
/* 22251*/       OPC_MoveParent,
/* 22252*/       OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 22254*/       OPC_CheckPredicate, 14, // Predicate_store
/* 22256*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 22258*/       OPC_EmitMergeInputChains1_0,
/* 22259*/       OPC_EmitInteger, MVT::i32, 0, 
/* 22262*/       OPC_EmitConvertToTarget, 3,
/* 22264*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 4, 5, 2, 1, 
                 // Src: (st v4f32:{ *:[v4f32] }:$val, (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 11
                 // Dst: (STORE_V128_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, v4f32:{ *:[v4f32] }:$val)
/* 22273*/      /*SwitchType*/ 22, MVT::i64,// ->22297
/* 22275*/       OPC_MoveParent,
/* 22276*/       OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 22278*/       OPC_CheckPredicate, 14, // Predicate_store
/* 22280*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 22282*/       OPC_EmitMergeInputChains1_0,
/* 22283*/       OPC_EmitInteger, MVT::i32, 0, 
/* 22286*/       OPC_EmitConvertToTarget, 3,
/* 22288*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 4, 5, 2, 1, 
                 // Src: (st v4f32:{ *:[v4f32] }:$val, (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 11
                 // Dst: (STORE_V128_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, v4f32:{ *:[v4f32] }:$val)
/* 22297*/      0, // EndSwitchType
/* 22298*/     /*SwitchOpcode*/ 59, TARGET_VAL(ISD::OR),// ->22360
/* 22301*/      OPC_RecordChild0, // #2 = $addr
/* 22302*/      OPC_RecordChild1, // #3 = $off
/* 22303*/      OPC_MoveChild1,
/* 22304*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 22307*/      OPC_MoveParent,
/* 22308*/      OPC_CheckPredicate, 3, // Predicate_or_is_add
/* 22310*/      OPC_SwitchType /*2 cases */, 22, MVT::i32,// ->22335
/* 22313*/       OPC_MoveParent,
/* 22314*/       OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 22316*/       OPC_CheckPredicate, 14, // Predicate_store
/* 22318*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 22320*/       OPC_EmitMergeInputChains1_0,
/* 22321*/       OPC_EmitInteger, MVT::i32, 0, 
/* 22324*/       OPC_EmitConvertToTarget, 3,
/* 22326*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 4, 5, 2, 1, 
                 // Src: (st v4f32:{ *:[v4f32] }:$val, (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 11
                 // Dst: (STORE_V128_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, v4f32:{ *:[v4f32] }:$val)
/* 22335*/      /*SwitchType*/ 22, MVT::i64,// ->22359
/* 22337*/       OPC_MoveParent,
/* 22338*/       OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 22340*/       OPC_CheckPredicate, 14, // Predicate_store
/* 22342*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 22344*/       OPC_EmitMergeInputChains1_0,
/* 22345*/       OPC_EmitInteger, MVT::i32, 0, 
/* 22348*/       OPC_EmitConvertToTarget, 3,
/* 22350*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 4, 5, 2, 1, 
                 // Src: (st v4f32:{ *:[v4f32] }:$val, (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 11
                 // Dst: (STORE_V128_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, v4f32:{ *:[v4f32] }:$val)
/* 22359*/      0, // EndSwitchType
/* 22360*/     /*SwitchOpcode*/ 65, TARGET_VAL(WebAssemblyISD::Wrapper),// ->22428
/* 22363*/      OPC_RecordChild0, // #2 = $off
/* 22364*/      OPC_MoveChild0,
/* 22365*/      OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 22368*/      OPC_MoveParent,
/* 22369*/      OPC_MoveParent,
/* 22370*/      OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 22372*/      OPC_CheckPredicate, 14, // Predicate_store
/* 22374*/      OPC_Scope, 25, /*->22401*/ // 2 children in Scope
/* 22376*/       OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 22378*/       OPC_EmitMergeInputChains1_0,
/* 22379*/       OPC_EmitInteger, MVT::i32, 0, 
/* 22382*/       OPC_EmitInteger, MVT::i32, 0, 
/* 22385*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 22392*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 3, 2, 5, 1, 
                 // Src: (st v4f32:{ *:[v4f32] }:$val, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 10
                 // Dst: (STORE_V128_A32 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), v4f32:{ *:[v4f32] }:$val)
/* 22401*/      /*Scope*/ 25, /*->22427*/
/* 22402*/       OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 22404*/       OPC_EmitMergeInputChains1_0,
/* 22405*/       OPC_EmitInteger, MVT::i32, 0, 
/* 22408*/       OPC_EmitInteger, MVT::i64, 0, 
/* 22411*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 22418*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 3, 2, 5, 1, 
                 // Src: (st v4f32:{ *:[v4f32] }:$val, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 10
                 // Dst: (STORE_V128_A64 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), v4f32:{ *:[v4f32] }:$val)
/* 22427*/      0, /*End of Scope*/
/* 22428*/     0, // EndSwitchOpcode
/* 22429*/    /*Scope*/ 121, /*->22551*/
/* 22430*/     OPC_RecordChild2, // #2 = $off
/* 22431*/     OPC_Scope, 67, /*->22500*/ // 3 children in Scope
/* 22433*/      OPC_MoveChild2,
/* 22434*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 22437*/      OPC_MoveParent,
/* 22438*/      OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 22440*/      OPC_CheckPredicate, 14, // Predicate_store
/* 22442*/      OPC_Scope, 27, /*->22471*/ // 2 children in Scope
/* 22444*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 22446*/       OPC_EmitMergeInputChains1_0,
/* 22447*/       OPC_EmitInteger, MVT::i32, 0, 
/* 22450*/       OPC_EmitConvertToTarget, 2,
/* 22452*/       OPC_EmitInteger, MVT::i32, 0, 
/* 22455*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 22462*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 3, 4, 6, 1, 
                 // Src: (st v4f32:{ *:[v4f32] }:$val, (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 7
                 // Dst: (STORE_V128_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), v4f32:{ *:[v4f32] }:$val)
/* 22471*/      /*Scope*/ 27, /*->22499*/
/* 22472*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 22474*/       OPC_EmitMergeInputChains1_0,
/* 22475*/       OPC_EmitInteger, MVT::i32, 0, 
/* 22478*/       OPC_EmitConvertToTarget, 2,
/* 22480*/       OPC_EmitInteger, MVT::i64, 0, 
/* 22483*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 22490*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 3, 4, 6, 1, 
                 // Src: (st v4f32:{ *:[v4f32] }:$val, (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 7
                 // Dst: (STORE_V128_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), v4f32:{ *:[v4f32] }:$val)
/* 22499*/      0, /*End of Scope*/
/* 22500*/     /*Scope*/ 24, /*->22525*/
/* 22501*/      OPC_CheckChild2Type, MVT::i32,
/* 22503*/      OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 22505*/      OPC_CheckPredicate, 14, // Predicate_store
/* 22507*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 22509*/      OPC_EmitMergeInputChains1_0,
/* 22510*/      OPC_EmitInteger, MVT::i32, 0, 
/* 22513*/      OPC_EmitInteger, MVT::i32, 0, 
/* 22516*/      OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    4/*#Ops*/, 3, 4, 2, 1, 
                // Src: (st v4f32:{ *:[v4f32] }:$val, I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 4
                // Dst: (STORE_V128_A32 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, v4f32:{ *:[v4f32] }:$val)
/* 22525*/     /*Scope*/ 24, /*->22550*/
/* 22526*/      OPC_CheckChild2Type, MVT::i64,
/* 22528*/      OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 22530*/      OPC_CheckPredicate, 14, // Predicate_store
/* 22532*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 22534*/      OPC_EmitMergeInputChains1_0,
/* 22535*/      OPC_EmitInteger, MVT::i32, 0, 
/* 22538*/      OPC_EmitInteger, MVT::i64, 0, 
/* 22541*/      OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    4/*#Ops*/, 3, 4, 2, 1, 
                // Src: (st v4f32:{ *:[v4f32] }:$val, I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 4
                // Dst: (STORE_V128_A64 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, v4f32:{ *:[v4f32] }:$val)
/* 22550*/     0, /*End of Scope*/
/* 22551*/    0, /*End of Scope*/
/* 22552*/   /*Scope*/ 67|128,2/*323*/, /*->22877*/
/* 22554*/    OPC_CheckChild1Type, MVT::v2f64,
/* 22556*/    OPC_Scope, 67|128,1/*195*/, /*->22754*/ // 2 children in Scope
/* 22559*/     OPC_MoveChild2,
/* 22560*/     OPC_SwitchOpcode /*3 cases */, 59, TARGET_VAL(ISD::ADD),// ->22623
/* 22564*/      OPC_RecordChild0, // #2 = $addr
/* 22565*/      OPC_RecordChild1, // #3 = $off
/* 22566*/      OPC_MoveChild1,
/* 22567*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 22570*/      OPC_MoveParent,
/* 22571*/      OPC_CheckPredicate, 0, // Predicate_regPlusImm
/* 22573*/      OPC_SwitchType /*2 cases */, 22, MVT::i32,// ->22598
/* 22576*/       OPC_MoveParent,
/* 22577*/       OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 22579*/       OPC_CheckPredicate, 14, // Predicate_store
/* 22581*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 22583*/       OPC_EmitMergeInputChains1_0,
/* 22584*/       OPC_EmitInteger, MVT::i32, 0, 
/* 22587*/       OPC_EmitConvertToTarget, 3,
/* 22589*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 4, 5, 2, 1, 
                 // Src: (st v2f64:{ *:[v2f64] }:$val, (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 11
                 // Dst: (STORE_V128_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, v2f64:{ *:[v2f64] }:$val)
/* 22598*/      /*SwitchType*/ 22, MVT::i64,// ->22622
/* 22600*/       OPC_MoveParent,
/* 22601*/       OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 22603*/       OPC_CheckPredicate, 14, // Predicate_store
/* 22605*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 22607*/       OPC_EmitMergeInputChains1_0,
/* 22608*/       OPC_EmitInteger, MVT::i32, 0, 
/* 22611*/       OPC_EmitConvertToTarget, 3,
/* 22613*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 4, 5, 2, 1, 
                 // Src: (st v2f64:{ *:[v2f64] }:$val, (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 11
                 // Dst: (STORE_V128_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, v2f64:{ *:[v2f64] }:$val)
/* 22622*/      0, // EndSwitchType
/* 22623*/     /*SwitchOpcode*/ 59, TARGET_VAL(ISD::OR),// ->22685
/* 22626*/      OPC_RecordChild0, // #2 = $addr
/* 22627*/      OPC_RecordChild1, // #3 = $off
/* 22628*/      OPC_MoveChild1,
/* 22629*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 22632*/      OPC_MoveParent,
/* 22633*/      OPC_CheckPredicate, 3, // Predicate_or_is_add
/* 22635*/      OPC_SwitchType /*2 cases */, 22, MVT::i32,// ->22660
/* 22638*/       OPC_MoveParent,
/* 22639*/       OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 22641*/       OPC_CheckPredicate, 14, // Predicate_store
/* 22643*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 22645*/       OPC_EmitMergeInputChains1_0,
/* 22646*/       OPC_EmitInteger, MVT::i32, 0, 
/* 22649*/       OPC_EmitConvertToTarget, 3,
/* 22651*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 4, 5, 2, 1, 
                 // Src: (st v2f64:{ *:[v2f64] }:$val, (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 11
                 // Dst: (STORE_V128_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, v2f64:{ *:[v2f64] }:$val)
/* 22660*/      /*SwitchType*/ 22, MVT::i64,// ->22684
/* 22662*/       OPC_MoveParent,
/* 22663*/       OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 22665*/       OPC_CheckPredicate, 14, // Predicate_store
/* 22667*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 22669*/       OPC_EmitMergeInputChains1_0,
/* 22670*/       OPC_EmitInteger, MVT::i32, 0, 
/* 22673*/       OPC_EmitConvertToTarget, 3,
/* 22675*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 4, 5, 2, 1, 
                 // Src: (st v2f64:{ *:[v2f64] }:$val, (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 11
                 // Dst: (STORE_V128_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, v2f64:{ *:[v2f64] }:$val)
/* 22684*/      0, // EndSwitchType
/* 22685*/     /*SwitchOpcode*/ 65, TARGET_VAL(WebAssemblyISD::Wrapper),// ->22753
/* 22688*/      OPC_RecordChild0, // #2 = $off
/* 22689*/      OPC_MoveChild0,
/* 22690*/      OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 22693*/      OPC_MoveParent,
/* 22694*/      OPC_MoveParent,
/* 22695*/      OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 22697*/      OPC_CheckPredicate, 14, // Predicate_store
/* 22699*/      OPC_Scope, 25, /*->22726*/ // 2 children in Scope
/* 22701*/       OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 22703*/       OPC_EmitMergeInputChains1_0,
/* 22704*/       OPC_EmitInteger, MVT::i32, 0, 
/* 22707*/       OPC_EmitInteger, MVT::i32, 0, 
/* 22710*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 22717*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 3, 2, 5, 1, 
                 // Src: (st v2f64:{ *:[v2f64] }:$val, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 10
                 // Dst: (STORE_V128_A32 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), v2f64:{ *:[v2f64] }:$val)
/* 22726*/      /*Scope*/ 25, /*->22752*/
/* 22727*/       OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 22729*/       OPC_EmitMergeInputChains1_0,
/* 22730*/       OPC_EmitInteger, MVT::i32, 0, 
/* 22733*/       OPC_EmitInteger, MVT::i64, 0, 
/* 22736*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 22743*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 3, 2, 5, 1, 
                 // Src: (st v2f64:{ *:[v2f64] }:$val, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 10
                 // Dst: (STORE_V128_A64 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), v2f64:{ *:[v2f64] }:$val)
/* 22752*/      0, /*End of Scope*/
/* 22753*/     0, // EndSwitchOpcode
/* 22754*/    /*Scope*/ 121, /*->22876*/
/* 22755*/     OPC_RecordChild2, // #2 = $off
/* 22756*/     OPC_Scope, 67, /*->22825*/ // 3 children in Scope
/* 22758*/      OPC_MoveChild2,
/* 22759*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 22762*/      OPC_MoveParent,
/* 22763*/      OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 22765*/      OPC_CheckPredicate, 14, // Predicate_store
/* 22767*/      OPC_Scope, 27, /*->22796*/ // 2 children in Scope
/* 22769*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 22771*/       OPC_EmitMergeInputChains1_0,
/* 22772*/       OPC_EmitInteger, MVT::i32, 0, 
/* 22775*/       OPC_EmitConvertToTarget, 2,
/* 22777*/       OPC_EmitInteger, MVT::i32, 0, 
/* 22780*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 22787*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 3, 4, 6, 1, 
                 // Src: (st v2f64:{ *:[v2f64] }:$val, (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 7
                 // Dst: (STORE_V128_A32 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), v2f64:{ *:[v2f64] }:$val)
/* 22796*/      /*Scope*/ 27, /*->22824*/
/* 22797*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 22799*/       OPC_EmitMergeInputChains1_0,
/* 22800*/       OPC_EmitInteger, MVT::i32, 0, 
/* 22803*/       OPC_EmitConvertToTarget, 2,
/* 22805*/       OPC_EmitInteger, MVT::i64, 0, 
/* 22808*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 22815*/       OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     4/*#Ops*/, 3, 4, 6, 1, 
                 // Src: (st v2f64:{ *:[v2f64] }:$val, (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 7
                 // Dst: (STORE_V128_A64 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), v2f64:{ *:[v2f64] }:$val)
/* 22824*/      0, /*End of Scope*/
/* 22825*/     /*Scope*/ 24, /*->22850*/
/* 22826*/      OPC_CheckChild2Type, MVT::i32,
/* 22828*/      OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 22830*/      OPC_CheckPredicate, 14, // Predicate_store
/* 22832*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 22834*/      OPC_EmitMergeInputChains1_0,
/* 22835*/      OPC_EmitInteger, MVT::i32, 0, 
/* 22838*/      OPC_EmitInteger, MVT::i32, 0, 
/* 22841*/      OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    4/*#Ops*/, 3, 4, 2, 1, 
                // Src: (st v2f64:{ *:[v2f64] }:$val, I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 4
                // Dst: (STORE_V128_A32 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, v2f64:{ *:[v2f64] }:$val)
/* 22850*/     /*Scope*/ 24, /*->22875*/
/* 22851*/      OPC_CheckChild2Type, MVT::i64,
/* 22853*/      OPC_CheckPredicate, 9, // Predicate_unindexedstore
/* 22855*/      OPC_CheckPredicate, 14, // Predicate_store
/* 22857*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 22859*/      OPC_EmitMergeInputChains1_0,
/* 22860*/      OPC_EmitInteger, MVT::i32, 0, 
/* 22863*/      OPC_EmitInteger, MVT::i64, 0, 
/* 22866*/      OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::STORE_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    4/*#Ops*/, 3, 4, 2, 1, 
                // Src: (st v2f64:{ *:[v2f64] }:$val, I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedstore>><<P:Predicate_store>> - Complexity = 4
                // Dst: (STORE_V128_A64 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, v2f64:{ *:[v2f64] }:$val)
/* 22875*/     0, /*End of Scope*/
/* 22876*/    0, /*End of Scope*/
/* 22877*/   0, /*End of Scope*/
/* 22878*/  0, /*End of Scope*/
/* 22879*/ /*SwitchOpcode*/ 80|128,73/*9424*/, TARGET_VAL(ISD::LOAD),// ->32307
/* 22883*/  OPC_RecordMemRef,
/* 22884*/  OPC_RecordNode, // #0 = 'ld' chained node
/* 22885*/  OPC_Scope, 3|128,21/*2691*/, /*->25579*/ // 8 children in Scope
/* 22888*/   OPC_MoveChild1,
/* 22889*/   OPC_SwitchOpcode /*3 cases */, 51|128,6/*819*/, TARGET_VAL(ISD::ADD),// ->23713
/* 22894*/    OPC_RecordChild0, // #1 = $addr
/* 22895*/    OPC_RecordChild1, // #2 = $off
/* 22896*/    OPC_MoveChild1,
/* 22897*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 22900*/    OPC_MoveParent,
/* 22901*/    OPC_CheckPredicate, 0, // Predicate_regPlusImm
/* 22903*/    OPC_SwitchType /*2 cases */, 17|128,3/*401*/, MVT::i32,// ->23308
/* 22907*/     OPC_MoveParent,
/* 22908*/     OPC_CheckPredicate, 17, // Predicate_unindexedload
/* 22910*/     OPC_Scope, 42, /*->22954*/ // 12 children in Scope
/* 22912*/      OPC_CheckPredicate, 18, // Predicate_load
/* 22914*/      OPC_SwitchType /*2 cases */, 17, MVT::i32,// ->22934
/* 22917*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 22919*/       OPC_EmitMergeInputChains1_0,
/* 22920*/       OPC_EmitInteger, MVT::i32, 0, 
/* 22923*/       OPC_EmitConvertToTarget, 2,
/* 22925*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 3/*#Ops*/, 3, 4, 1, 
                 // Src: (ld:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 11
                 // Dst: (LOAD_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 22934*/      /*SwitchType*/ 17, MVT::i64,// ->22953
/* 22936*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 22938*/       OPC_EmitMergeInputChains1_0,
/* 22939*/       OPC_EmitInteger, MVT::i32, 0, 
/* 22942*/       OPC_EmitConvertToTarget, 2,
/* 22944*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                 // Src: (ld:{ *:[i64] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 11
                 // Dst: (LOAD_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 22953*/      0, // EndSwitchType
/* 22954*/     /*Scope*/ 23, /*->22978*/
/* 22955*/      OPC_CheckPredicate, 19, // Predicate_sextload
/* 22957*/      OPC_CheckPredicate, 1, // Predicate_sextloadi8
/* 22959*/      OPC_CheckType, MVT::i32,
/* 22961*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 22963*/      OPC_EmitMergeInputChains1_0,
/* 22964*/      OPC_EmitInteger, MVT::i32, 0, 
/* 22967*/      OPC_EmitConvertToTarget, 2,
/* 22969*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_S_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>> - Complexity = 11
                // Dst: (LOAD8_S_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 22978*/     /*Scope*/ 23, /*->23002*/
/* 22979*/      OPC_CheckPredicate, 20, // Predicate_zextload
/* 22981*/      OPC_CheckPredicate, 1, // Predicate_zextloadi8
/* 22983*/      OPC_CheckType, MVT::i32,
/* 22985*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 22987*/      OPC_EmitMergeInputChains1_0,
/* 22988*/      OPC_EmitInteger, MVT::i32, 0, 
/* 22991*/      OPC_EmitConvertToTarget, 2,
/* 22993*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_U_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>> - Complexity = 11
                // Dst: (LOAD8_U_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 23002*/     /*Scope*/ 23, /*->23026*/
/* 23003*/      OPC_CheckPredicate, 19, // Predicate_sextload
/* 23005*/      OPC_CheckPredicate, 2, // Predicate_sextloadi16
/* 23007*/      OPC_CheckType, MVT::i32,
/* 23009*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 23011*/      OPC_EmitMergeInputChains1_0,
/* 23012*/      OPC_EmitInteger, MVT::i32, 0, 
/* 23015*/      OPC_EmitConvertToTarget, 2,
/* 23017*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_S_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>> - Complexity = 11
                // Dst: (LOAD16_S_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 23026*/     /*Scope*/ 23, /*->23050*/
/* 23027*/      OPC_CheckPredicate, 20, // Predicate_zextload
/* 23029*/      OPC_CheckPredicate, 2, // Predicate_zextloadi16
/* 23031*/      OPC_CheckType, MVT::i32,
/* 23033*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 23035*/      OPC_EmitMergeInputChains1_0,
/* 23036*/      OPC_EmitInteger, MVT::i32, 0, 
/* 23039*/      OPC_EmitConvertToTarget, 2,
/* 23041*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_U_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>> - Complexity = 11
                // Dst: (LOAD16_U_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 23050*/     /*Scope*/ 23, /*->23074*/
/* 23051*/      OPC_CheckPredicate, 19, // Predicate_sextload
/* 23053*/      OPC_CheckPredicate, 1, // Predicate_sextloadi8
/* 23055*/      OPC_CheckType, MVT::i64,
/* 23057*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 23059*/      OPC_EmitMergeInputChains1_0,
/* 23060*/      OPC_EmitInteger, MVT::i32, 0, 
/* 23063*/      OPC_EmitConvertToTarget, 2,
/* 23065*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_S_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[i64] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>> - Complexity = 11
                // Dst: (LOAD8_S_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 23074*/     /*Scope*/ 23, /*->23098*/
/* 23075*/      OPC_CheckPredicate, 20, // Predicate_zextload
/* 23077*/      OPC_CheckPredicate, 1, // Predicate_zextloadi8
/* 23079*/      OPC_CheckType, MVT::i64,
/* 23081*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 23083*/      OPC_EmitMergeInputChains1_0,
/* 23084*/      OPC_EmitInteger, MVT::i32, 0, 
/* 23087*/      OPC_EmitConvertToTarget, 2,
/* 23089*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[i64] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>> - Complexity = 11
                // Dst: (LOAD8_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 23098*/     /*Scope*/ 23, /*->23122*/
/* 23099*/      OPC_CheckPredicate, 19, // Predicate_sextload
/* 23101*/      OPC_CheckPredicate, 2, // Predicate_sextloadi16
/* 23103*/      OPC_CheckType, MVT::i64,
/* 23105*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 23107*/      OPC_EmitMergeInputChains1_0,
/* 23108*/      OPC_EmitInteger, MVT::i32, 0, 
/* 23111*/      OPC_EmitConvertToTarget, 2,
/* 23113*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_S_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[i64] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>> - Complexity = 11
                // Dst: (LOAD16_S_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 23122*/     /*Scope*/ 23, /*->23146*/
/* 23123*/      OPC_CheckPredicate, 20, // Predicate_zextload
/* 23125*/      OPC_CheckPredicate, 2, // Predicate_zextloadi16
/* 23127*/      OPC_CheckType, MVT::i64,
/* 23129*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 23131*/      OPC_EmitMergeInputChains1_0,
/* 23132*/      OPC_EmitInteger, MVT::i32, 0, 
/* 23135*/      OPC_EmitConvertToTarget, 2,
/* 23137*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[i64] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>> - Complexity = 11
                // Dst: (LOAD16_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 23146*/     /*Scope*/ 23, /*->23170*/
/* 23147*/      OPC_CheckPredicate, 19, // Predicate_sextload
/* 23149*/      OPC_CheckPredicate, 4, // Predicate_sextloadi32
/* 23151*/      OPC_CheckType, MVT::i64,
/* 23153*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 23155*/      OPC_EmitMergeInputChains1_0,
/* 23156*/      OPC_EmitInteger, MVT::i32, 0, 
/* 23159*/      OPC_EmitConvertToTarget, 2,
/* 23161*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD32_S_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[i64] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi32>> - Complexity = 11
                // Dst: (LOAD32_S_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 23170*/     /*Scope*/ 23, /*->23194*/
/* 23171*/      OPC_CheckPredicate, 20, // Predicate_zextload
/* 23173*/      OPC_CheckPredicate, 4, // Predicate_zextloadi32
/* 23175*/      OPC_CheckType, MVT::i64,
/* 23177*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 23179*/      OPC_EmitMergeInputChains1_0,
/* 23180*/      OPC_EmitInteger, MVT::i32, 0, 
/* 23183*/      OPC_EmitConvertToTarget, 2,
/* 23185*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD32_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[i64] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi32>> - Complexity = 11
                // Dst: (LOAD32_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 23194*/     /*Scope*/ 112, /*->23307*/
/* 23195*/      OPC_CheckPredicate, 21, // Predicate_extload
/* 23197*/      OPC_SwitchType /*2 cases */, 42, MVT::i32,// ->23242
/* 23200*/       OPC_Scope, 19, /*->23221*/ // 2 children in Scope
/* 23202*/        OPC_CheckPredicate, 1, // Predicate_extloadi8
/* 23204*/        OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 23206*/        OPC_EmitMergeInputChains1_0,
/* 23207*/        OPC_EmitInteger, MVT::i32, 0, 
/* 23210*/        OPC_EmitConvertToTarget, 2,
/* 23212*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_U_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i32, 3/*#Ops*/, 3, 4, 1, 
                  // Src: (ld:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>> - Complexity = 11
                  // Dst: (LOAD8_U_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 23221*/       /*Scope*/ 19, /*->23241*/
/* 23222*/        OPC_CheckPredicate, 2, // Predicate_extloadi16
/* 23224*/        OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 23226*/        OPC_EmitMergeInputChains1_0,
/* 23227*/        OPC_EmitInteger, MVT::i32, 0, 
/* 23230*/        OPC_EmitConvertToTarget, 2,
/* 23232*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_U_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i32, 3/*#Ops*/, 3, 4, 1, 
                  // Src: (ld:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>> - Complexity = 11
                  // Dst: (LOAD16_U_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 23241*/       0, /*End of Scope*/
/* 23242*/      /*SwitchType*/ 62, MVT::i64,// ->23306
/* 23244*/       OPC_Scope, 19, /*->23265*/ // 3 children in Scope
/* 23246*/        OPC_CheckPredicate, 1, // Predicate_extloadi8
/* 23248*/        OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 23250*/        OPC_EmitMergeInputChains1_0,
/* 23251*/        OPC_EmitInteger, MVT::i32, 0, 
/* 23254*/        OPC_EmitConvertToTarget, 2,
/* 23256*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                  // Src: (ld:{ *:[i64] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>> - Complexity = 11
                  // Dst: (LOAD8_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 23265*/       /*Scope*/ 19, /*->23285*/
/* 23266*/        OPC_CheckPredicate, 2, // Predicate_extloadi16
/* 23268*/        OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 23270*/        OPC_EmitMergeInputChains1_0,
/* 23271*/        OPC_EmitInteger, MVT::i32, 0, 
/* 23274*/        OPC_EmitConvertToTarget, 2,
/* 23276*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                  // Src: (ld:{ *:[i64] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>> - Complexity = 11
                  // Dst: (LOAD16_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 23285*/       /*Scope*/ 19, /*->23305*/
/* 23286*/        OPC_CheckPredicate, 4, // Predicate_extloadi32
/* 23288*/        OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 23290*/        OPC_EmitMergeInputChains1_0,
/* 23291*/        OPC_EmitInteger, MVT::i32, 0, 
/* 23294*/        OPC_EmitConvertToTarget, 2,
/* 23296*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD32_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                  // Src: (ld:{ *:[i64] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi32>> - Complexity = 11
                  // Dst: (LOAD32_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 23305*/       0, /*End of Scope*/
/* 23306*/      0, // EndSwitchType
/* 23307*/     0, /*End of Scope*/
/* 23308*/    /*SwitchType*/ 17|128,3/*401*/, MVT::i64,// ->23712
/* 23311*/     OPC_MoveParent,
/* 23312*/     OPC_CheckPredicate, 17, // Predicate_unindexedload
/* 23314*/     OPC_Scope, 42, /*->23358*/ // 12 children in Scope
/* 23316*/      OPC_CheckPredicate, 18, // Predicate_load
/* 23318*/      OPC_SwitchType /*2 cases */, 17, MVT::i32,// ->23338
/* 23321*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 23323*/       OPC_EmitMergeInputChains1_0,
/* 23324*/       OPC_EmitInteger, MVT::i32, 0, 
/* 23327*/       OPC_EmitConvertToTarget, 2,
/* 23329*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 3/*#Ops*/, 3, 4, 1, 
                 // Src: (ld:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 11
                 // Dst: (LOAD_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 23338*/      /*SwitchType*/ 17, MVT::i64,// ->23357
/* 23340*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 23342*/       OPC_EmitMergeInputChains1_0,
/* 23343*/       OPC_EmitInteger, MVT::i32, 0, 
/* 23346*/       OPC_EmitConvertToTarget, 2,
/* 23348*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                 // Src: (ld:{ *:[i64] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 11
                 // Dst: (LOAD_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 23357*/      0, // EndSwitchType
/* 23358*/     /*Scope*/ 23, /*->23382*/
/* 23359*/      OPC_CheckPredicate, 19, // Predicate_sextload
/* 23361*/      OPC_CheckPredicate, 1, // Predicate_sextloadi8
/* 23363*/      OPC_CheckType, MVT::i32,
/* 23365*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 23367*/      OPC_EmitMergeInputChains1_0,
/* 23368*/      OPC_EmitInteger, MVT::i32, 0, 
/* 23371*/      OPC_EmitConvertToTarget, 2,
/* 23373*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_S_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>> - Complexity = 11
                // Dst: (LOAD8_S_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 23382*/     /*Scope*/ 23, /*->23406*/
/* 23383*/      OPC_CheckPredicate, 20, // Predicate_zextload
/* 23385*/      OPC_CheckPredicate, 1, // Predicate_zextloadi8
/* 23387*/      OPC_CheckType, MVT::i32,
/* 23389*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 23391*/      OPC_EmitMergeInputChains1_0,
/* 23392*/      OPC_EmitInteger, MVT::i32, 0, 
/* 23395*/      OPC_EmitConvertToTarget, 2,
/* 23397*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_U_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>> - Complexity = 11
                // Dst: (LOAD8_U_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 23406*/     /*Scope*/ 23, /*->23430*/
/* 23407*/      OPC_CheckPredicate, 19, // Predicate_sextload
/* 23409*/      OPC_CheckPredicate, 2, // Predicate_sextloadi16
/* 23411*/      OPC_CheckType, MVT::i32,
/* 23413*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 23415*/      OPC_EmitMergeInputChains1_0,
/* 23416*/      OPC_EmitInteger, MVT::i32, 0, 
/* 23419*/      OPC_EmitConvertToTarget, 2,
/* 23421*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_S_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>> - Complexity = 11
                // Dst: (LOAD16_S_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 23430*/     /*Scope*/ 23, /*->23454*/
/* 23431*/      OPC_CheckPredicate, 20, // Predicate_zextload
/* 23433*/      OPC_CheckPredicate, 2, // Predicate_zextloadi16
/* 23435*/      OPC_CheckType, MVT::i32,
/* 23437*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 23439*/      OPC_EmitMergeInputChains1_0,
/* 23440*/      OPC_EmitInteger, MVT::i32, 0, 
/* 23443*/      OPC_EmitConvertToTarget, 2,
/* 23445*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_U_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>> - Complexity = 11
                // Dst: (LOAD16_U_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 23454*/     /*Scope*/ 23, /*->23478*/
/* 23455*/      OPC_CheckPredicate, 19, // Predicate_sextload
/* 23457*/      OPC_CheckPredicate, 1, // Predicate_sextloadi8
/* 23459*/      OPC_CheckType, MVT::i64,
/* 23461*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 23463*/      OPC_EmitMergeInputChains1_0,
/* 23464*/      OPC_EmitInteger, MVT::i32, 0, 
/* 23467*/      OPC_EmitConvertToTarget, 2,
/* 23469*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_S_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[i64] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>> - Complexity = 11
                // Dst: (LOAD8_S_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 23478*/     /*Scope*/ 23, /*->23502*/
/* 23479*/      OPC_CheckPredicate, 20, // Predicate_zextload
/* 23481*/      OPC_CheckPredicate, 1, // Predicate_zextloadi8
/* 23483*/      OPC_CheckType, MVT::i64,
/* 23485*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 23487*/      OPC_EmitMergeInputChains1_0,
/* 23488*/      OPC_EmitInteger, MVT::i32, 0, 
/* 23491*/      OPC_EmitConvertToTarget, 2,
/* 23493*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[i64] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>> - Complexity = 11
                // Dst: (LOAD8_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 23502*/     /*Scope*/ 23, /*->23526*/
/* 23503*/      OPC_CheckPredicate, 19, // Predicate_sextload
/* 23505*/      OPC_CheckPredicate, 2, // Predicate_sextloadi16
/* 23507*/      OPC_CheckType, MVT::i64,
/* 23509*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 23511*/      OPC_EmitMergeInputChains1_0,
/* 23512*/      OPC_EmitInteger, MVT::i32, 0, 
/* 23515*/      OPC_EmitConvertToTarget, 2,
/* 23517*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_S_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[i64] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>> - Complexity = 11
                // Dst: (LOAD16_S_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 23526*/     /*Scope*/ 23, /*->23550*/
/* 23527*/      OPC_CheckPredicate, 20, // Predicate_zextload
/* 23529*/      OPC_CheckPredicate, 2, // Predicate_zextloadi16
/* 23531*/      OPC_CheckType, MVT::i64,
/* 23533*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 23535*/      OPC_EmitMergeInputChains1_0,
/* 23536*/      OPC_EmitInteger, MVT::i32, 0, 
/* 23539*/      OPC_EmitConvertToTarget, 2,
/* 23541*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[i64] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>> - Complexity = 11
                // Dst: (LOAD16_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 23550*/     /*Scope*/ 23, /*->23574*/
/* 23551*/      OPC_CheckPredicate, 19, // Predicate_sextload
/* 23553*/      OPC_CheckPredicate, 4, // Predicate_sextloadi32
/* 23555*/      OPC_CheckType, MVT::i64,
/* 23557*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 23559*/      OPC_EmitMergeInputChains1_0,
/* 23560*/      OPC_EmitInteger, MVT::i32, 0, 
/* 23563*/      OPC_EmitConvertToTarget, 2,
/* 23565*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD32_S_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[i64] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi32>> - Complexity = 11
                // Dst: (LOAD32_S_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 23574*/     /*Scope*/ 23, /*->23598*/
/* 23575*/      OPC_CheckPredicate, 20, // Predicate_zextload
/* 23577*/      OPC_CheckPredicate, 4, // Predicate_zextloadi32
/* 23579*/      OPC_CheckType, MVT::i64,
/* 23581*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 23583*/      OPC_EmitMergeInputChains1_0,
/* 23584*/      OPC_EmitInteger, MVT::i32, 0, 
/* 23587*/      OPC_EmitConvertToTarget, 2,
/* 23589*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD32_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[i64] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi32>> - Complexity = 11
                // Dst: (LOAD32_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 23598*/     /*Scope*/ 112, /*->23711*/
/* 23599*/      OPC_CheckPredicate, 21, // Predicate_extload
/* 23601*/      OPC_SwitchType /*2 cases */, 42, MVT::i32,// ->23646
/* 23604*/       OPC_Scope, 19, /*->23625*/ // 2 children in Scope
/* 23606*/        OPC_CheckPredicate, 1, // Predicate_extloadi8
/* 23608*/        OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 23610*/        OPC_EmitMergeInputChains1_0,
/* 23611*/        OPC_EmitInteger, MVT::i32, 0, 
/* 23614*/        OPC_EmitConvertToTarget, 2,
/* 23616*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_U_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i32, 3/*#Ops*/, 3, 4, 1, 
                  // Src: (ld:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>> - Complexity = 11
                  // Dst: (LOAD8_U_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 23625*/       /*Scope*/ 19, /*->23645*/
/* 23626*/        OPC_CheckPredicate, 2, // Predicate_extloadi16
/* 23628*/        OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 23630*/        OPC_EmitMergeInputChains1_0,
/* 23631*/        OPC_EmitInteger, MVT::i32, 0, 
/* 23634*/        OPC_EmitConvertToTarget, 2,
/* 23636*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_U_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i32, 3/*#Ops*/, 3, 4, 1, 
                  // Src: (ld:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>> - Complexity = 11
                  // Dst: (LOAD16_U_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 23645*/       0, /*End of Scope*/
/* 23646*/      /*SwitchType*/ 62, MVT::i64,// ->23710
/* 23648*/       OPC_Scope, 19, /*->23669*/ // 3 children in Scope
/* 23650*/        OPC_CheckPredicate, 1, // Predicate_extloadi8
/* 23652*/        OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 23654*/        OPC_EmitMergeInputChains1_0,
/* 23655*/        OPC_EmitInteger, MVT::i32, 0, 
/* 23658*/        OPC_EmitConvertToTarget, 2,
/* 23660*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                  // Src: (ld:{ *:[i64] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>> - Complexity = 11
                  // Dst: (LOAD8_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 23669*/       /*Scope*/ 19, /*->23689*/
/* 23670*/        OPC_CheckPredicate, 2, // Predicate_extloadi16
/* 23672*/        OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 23674*/        OPC_EmitMergeInputChains1_0,
/* 23675*/        OPC_EmitInteger, MVT::i32, 0, 
/* 23678*/        OPC_EmitConvertToTarget, 2,
/* 23680*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                  // Src: (ld:{ *:[i64] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>> - Complexity = 11
                  // Dst: (LOAD16_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 23689*/       /*Scope*/ 19, /*->23709*/
/* 23690*/        OPC_CheckPredicate, 4, // Predicate_extloadi32
/* 23692*/        OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 23694*/        OPC_EmitMergeInputChains1_0,
/* 23695*/        OPC_EmitInteger, MVT::i32, 0, 
/* 23698*/        OPC_EmitConvertToTarget, 2,
/* 23700*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD32_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                  // Src: (ld:{ *:[i64] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi32>> - Complexity = 11
                  // Dst: (LOAD32_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 23709*/       0, /*End of Scope*/
/* 23710*/      0, // EndSwitchType
/* 23711*/     0, /*End of Scope*/
/* 23712*/    0, // EndSwitchType
/* 23713*/   /*SwitchOpcode*/ 51|128,6/*819*/, TARGET_VAL(ISD::OR),// ->24536
/* 23717*/    OPC_RecordChild0, // #1 = $addr
/* 23718*/    OPC_RecordChild1, // #2 = $off
/* 23719*/    OPC_MoveChild1,
/* 23720*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 23723*/    OPC_MoveParent,
/* 23724*/    OPC_CheckPredicate, 3, // Predicate_or_is_add
/* 23726*/    OPC_SwitchType /*2 cases */, 17|128,3/*401*/, MVT::i32,// ->24131
/* 23730*/     OPC_MoveParent,
/* 23731*/     OPC_CheckPredicate, 17, // Predicate_unindexedload
/* 23733*/     OPC_Scope, 42, /*->23777*/ // 12 children in Scope
/* 23735*/      OPC_CheckPredicate, 18, // Predicate_load
/* 23737*/      OPC_SwitchType /*2 cases */, 17, MVT::i32,// ->23757
/* 23740*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 23742*/       OPC_EmitMergeInputChains1_0,
/* 23743*/       OPC_EmitInteger, MVT::i32, 0, 
/* 23746*/       OPC_EmitConvertToTarget, 2,
/* 23748*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 3/*#Ops*/, 3, 4, 1, 
                 // Src: (ld:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 11
                 // Dst: (LOAD_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 23757*/      /*SwitchType*/ 17, MVT::i64,// ->23776
/* 23759*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 23761*/       OPC_EmitMergeInputChains1_0,
/* 23762*/       OPC_EmitInteger, MVT::i32, 0, 
/* 23765*/       OPC_EmitConvertToTarget, 2,
/* 23767*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                 // Src: (ld:{ *:[i64] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 11
                 // Dst: (LOAD_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 23776*/      0, // EndSwitchType
/* 23777*/     /*Scope*/ 23, /*->23801*/
/* 23778*/      OPC_CheckPredicate, 19, // Predicate_sextload
/* 23780*/      OPC_CheckPredicate, 1, // Predicate_sextloadi8
/* 23782*/      OPC_CheckType, MVT::i32,
/* 23784*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 23786*/      OPC_EmitMergeInputChains1_0,
/* 23787*/      OPC_EmitInteger, MVT::i32, 0, 
/* 23790*/      OPC_EmitConvertToTarget, 2,
/* 23792*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_S_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>> - Complexity = 11
                // Dst: (LOAD8_S_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 23801*/     /*Scope*/ 23, /*->23825*/
/* 23802*/      OPC_CheckPredicate, 20, // Predicate_zextload
/* 23804*/      OPC_CheckPredicate, 1, // Predicate_zextloadi8
/* 23806*/      OPC_CheckType, MVT::i32,
/* 23808*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 23810*/      OPC_EmitMergeInputChains1_0,
/* 23811*/      OPC_EmitInteger, MVT::i32, 0, 
/* 23814*/      OPC_EmitConvertToTarget, 2,
/* 23816*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_U_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>> - Complexity = 11
                // Dst: (LOAD8_U_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 23825*/     /*Scope*/ 23, /*->23849*/
/* 23826*/      OPC_CheckPredicate, 19, // Predicate_sextload
/* 23828*/      OPC_CheckPredicate, 2, // Predicate_sextloadi16
/* 23830*/      OPC_CheckType, MVT::i32,
/* 23832*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 23834*/      OPC_EmitMergeInputChains1_0,
/* 23835*/      OPC_EmitInteger, MVT::i32, 0, 
/* 23838*/      OPC_EmitConvertToTarget, 2,
/* 23840*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_S_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>> - Complexity = 11
                // Dst: (LOAD16_S_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 23849*/     /*Scope*/ 23, /*->23873*/
/* 23850*/      OPC_CheckPredicate, 20, // Predicate_zextload
/* 23852*/      OPC_CheckPredicate, 2, // Predicate_zextloadi16
/* 23854*/      OPC_CheckType, MVT::i32,
/* 23856*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 23858*/      OPC_EmitMergeInputChains1_0,
/* 23859*/      OPC_EmitInteger, MVT::i32, 0, 
/* 23862*/      OPC_EmitConvertToTarget, 2,
/* 23864*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_U_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>> - Complexity = 11
                // Dst: (LOAD16_U_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 23873*/     /*Scope*/ 23, /*->23897*/
/* 23874*/      OPC_CheckPredicate, 19, // Predicate_sextload
/* 23876*/      OPC_CheckPredicate, 1, // Predicate_sextloadi8
/* 23878*/      OPC_CheckType, MVT::i64,
/* 23880*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 23882*/      OPC_EmitMergeInputChains1_0,
/* 23883*/      OPC_EmitInteger, MVT::i32, 0, 
/* 23886*/      OPC_EmitConvertToTarget, 2,
/* 23888*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_S_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[i64] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>> - Complexity = 11
                // Dst: (LOAD8_S_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 23897*/     /*Scope*/ 23, /*->23921*/
/* 23898*/      OPC_CheckPredicate, 20, // Predicate_zextload
/* 23900*/      OPC_CheckPredicate, 1, // Predicate_zextloadi8
/* 23902*/      OPC_CheckType, MVT::i64,
/* 23904*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 23906*/      OPC_EmitMergeInputChains1_0,
/* 23907*/      OPC_EmitInteger, MVT::i32, 0, 
/* 23910*/      OPC_EmitConvertToTarget, 2,
/* 23912*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[i64] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>> - Complexity = 11
                // Dst: (LOAD8_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 23921*/     /*Scope*/ 23, /*->23945*/
/* 23922*/      OPC_CheckPredicate, 19, // Predicate_sextload
/* 23924*/      OPC_CheckPredicate, 2, // Predicate_sextloadi16
/* 23926*/      OPC_CheckType, MVT::i64,
/* 23928*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 23930*/      OPC_EmitMergeInputChains1_0,
/* 23931*/      OPC_EmitInteger, MVT::i32, 0, 
/* 23934*/      OPC_EmitConvertToTarget, 2,
/* 23936*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_S_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[i64] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>> - Complexity = 11
                // Dst: (LOAD16_S_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 23945*/     /*Scope*/ 23, /*->23969*/
/* 23946*/      OPC_CheckPredicate, 20, // Predicate_zextload
/* 23948*/      OPC_CheckPredicate, 2, // Predicate_zextloadi16
/* 23950*/      OPC_CheckType, MVT::i64,
/* 23952*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 23954*/      OPC_EmitMergeInputChains1_0,
/* 23955*/      OPC_EmitInteger, MVT::i32, 0, 
/* 23958*/      OPC_EmitConvertToTarget, 2,
/* 23960*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[i64] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>> - Complexity = 11
                // Dst: (LOAD16_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 23969*/     /*Scope*/ 23, /*->23993*/
/* 23970*/      OPC_CheckPredicate, 19, // Predicate_sextload
/* 23972*/      OPC_CheckPredicate, 4, // Predicate_sextloadi32
/* 23974*/      OPC_CheckType, MVT::i64,
/* 23976*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 23978*/      OPC_EmitMergeInputChains1_0,
/* 23979*/      OPC_EmitInteger, MVT::i32, 0, 
/* 23982*/      OPC_EmitConvertToTarget, 2,
/* 23984*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD32_S_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[i64] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi32>> - Complexity = 11
                // Dst: (LOAD32_S_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 23993*/     /*Scope*/ 23, /*->24017*/
/* 23994*/      OPC_CheckPredicate, 20, // Predicate_zextload
/* 23996*/      OPC_CheckPredicate, 4, // Predicate_zextloadi32
/* 23998*/      OPC_CheckType, MVT::i64,
/* 24000*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 24002*/      OPC_EmitMergeInputChains1_0,
/* 24003*/      OPC_EmitInteger, MVT::i32, 0, 
/* 24006*/      OPC_EmitConvertToTarget, 2,
/* 24008*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD32_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[i64] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi32>> - Complexity = 11
                // Dst: (LOAD32_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 24017*/     /*Scope*/ 112, /*->24130*/
/* 24018*/      OPC_CheckPredicate, 21, // Predicate_extload
/* 24020*/      OPC_SwitchType /*2 cases */, 42, MVT::i32,// ->24065
/* 24023*/       OPC_Scope, 19, /*->24044*/ // 2 children in Scope
/* 24025*/        OPC_CheckPredicate, 1, // Predicate_extloadi8
/* 24027*/        OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 24029*/        OPC_EmitMergeInputChains1_0,
/* 24030*/        OPC_EmitInteger, MVT::i32, 0, 
/* 24033*/        OPC_EmitConvertToTarget, 2,
/* 24035*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_U_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i32, 3/*#Ops*/, 3, 4, 1, 
                  // Src: (ld:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>> - Complexity = 11
                  // Dst: (LOAD8_U_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 24044*/       /*Scope*/ 19, /*->24064*/
/* 24045*/        OPC_CheckPredicate, 2, // Predicate_extloadi16
/* 24047*/        OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 24049*/        OPC_EmitMergeInputChains1_0,
/* 24050*/        OPC_EmitInteger, MVT::i32, 0, 
/* 24053*/        OPC_EmitConvertToTarget, 2,
/* 24055*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_U_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i32, 3/*#Ops*/, 3, 4, 1, 
                  // Src: (ld:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>> - Complexity = 11
                  // Dst: (LOAD16_U_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 24064*/       0, /*End of Scope*/
/* 24065*/      /*SwitchType*/ 62, MVT::i64,// ->24129
/* 24067*/       OPC_Scope, 19, /*->24088*/ // 3 children in Scope
/* 24069*/        OPC_CheckPredicate, 1, // Predicate_extloadi8
/* 24071*/        OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 24073*/        OPC_EmitMergeInputChains1_0,
/* 24074*/        OPC_EmitInteger, MVT::i32, 0, 
/* 24077*/        OPC_EmitConvertToTarget, 2,
/* 24079*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                  // Src: (ld:{ *:[i64] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>> - Complexity = 11
                  // Dst: (LOAD8_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 24088*/       /*Scope*/ 19, /*->24108*/
/* 24089*/        OPC_CheckPredicate, 2, // Predicate_extloadi16
/* 24091*/        OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 24093*/        OPC_EmitMergeInputChains1_0,
/* 24094*/        OPC_EmitInteger, MVT::i32, 0, 
/* 24097*/        OPC_EmitConvertToTarget, 2,
/* 24099*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                  // Src: (ld:{ *:[i64] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>> - Complexity = 11
                  // Dst: (LOAD16_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 24108*/       /*Scope*/ 19, /*->24128*/
/* 24109*/        OPC_CheckPredicate, 4, // Predicate_extloadi32
/* 24111*/        OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 24113*/        OPC_EmitMergeInputChains1_0,
/* 24114*/        OPC_EmitInteger, MVT::i32, 0, 
/* 24117*/        OPC_EmitConvertToTarget, 2,
/* 24119*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD32_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                  // Src: (ld:{ *:[i64] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi32>> - Complexity = 11
                  // Dst: (LOAD32_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 24128*/       0, /*End of Scope*/
/* 24129*/      0, // EndSwitchType
/* 24130*/     0, /*End of Scope*/
/* 24131*/    /*SwitchType*/ 17|128,3/*401*/, MVT::i64,// ->24535
/* 24134*/     OPC_MoveParent,
/* 24135*/     OPC_CheckPredicate, 17, // Predicate_unindexedload
/* 24137*/     OPC_Scope, 42, /*->24181*/ // 12 children in Scope
/* 24139*/      OPC_CheckPredicate, 18, // Predicate_load
/* 24141*/      OPC_SwitchType /*2 cases */, 17, MVT::i32,// ->24161
/* 24144*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 24146*/       OPC_EmitMergeInputChains1_0,
/* 24147*/       OPC_EmitInteger, MVT::i32, 0, 
/* 24150*/       OPC_EmitConvertToTarget, 2,
/* 24152*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 3/*#Ops*/, 3, 4, 1, 
                 // Src: (ld:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 11
                 // Dst: (LOAD_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 24161*/      /*SwitchType*/ 17, MVT::i64,// ->24180
/* 24163*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 24165*/       OPC_EmitMergeInputChains1_0,
/* 24166*/       OPC_EmitInteger, MVT::i32, 0, 
/* 24169*/       OPC_EmitConvertToTarget, 2,
/* 24171*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                 // Src: (ld:{ *:[i64] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 11
                 // Dst: (LOAD_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 24180*/      0, // EndSwitchType
/* 24181*/     /*Scope*/ 23, /*->24205*/
/* 24182*/      OPC_CheckPredicate, 19, // Predicate_sextload
/* 24184*/      OPC_CheckPredicate, 1, // Predicate_sextloadi8
/* 24186*/      OPC_CheckType, MVT::i32,
/* 24188*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 24190*/      OPC_EmitMergeInputChains1_0,
/* 24191*/      OPC_EmitInteger, MVT::i32, 0, 
/* 24194*/      OPC_EmitConvertToTarget, 2,
/* 24196*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_S_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>> - Complexity = 11
                // Dst: (LOAD8_S_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 24205*/     /*Scope*/ 23, /*->24229*/
/* 24206*/      OPC_CheckPredicate, 20, // Predicate_zextload
/* 24208*/      OPC_CheckPredicate, 1, // Predicate_zextloadi8
/* 24210*/      OPC_CheckType, MVT::i32,
/* 24212*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 24214*/      OPC_EmitMergeInputChains1_0,
/* 24215*/      OPC_EmitInteger, MVT::i32, 0, 
/* 24218*/      OPC_EmitConvertToTarget, 2,
/* 24220*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_U_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>> - Complexity = 11
                // Dst: (LOAD8_U_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 24229*/     /*Scope*/ 23, /*->24253*/
/* 24230*/      OPC_CheckPredicate, 19, // Predicate_sextload
/* 24232*/      OPC_CheckPredicate, 2, // Predicate_sextloadi16
/* 24234*/      OPC_CheckType, MVT::i32,
/* 24236*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 24238*/      OPC_EmitMergeInputChains1_0,
/* 24239*/      OPC_EmitInteger, MVT::i32, 0, 
/* 24242*/      OPC_EmitConvertToTarget, 2,
/* 24244*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_S_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>> - Complexity = 11
                // Dst: (LOAD16_S_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 24253*/     /*Scope*/ 23, /*->24277*/
/* 24254*/      OPC_CheckPredicate, 20, // Predicate_zextload
/* 24256*/      OPC_CheckPredicate, 2, // Predicate_zextloadi16
/* 24258*/      OPC_CheckType, MVT::i32,
/* 24260*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 24262*/      OPC_EmitMergeInputChains1_0,
/* 24263*/      OPC_EmitInteger, MVT::i32, 0, 
/* 24266*/      OPC_EmitConvertToTarget, 2,
/* 24268*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_U_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>> - Complexity = 11
                // Dst: (LOAD16_U_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 24277*/     /*Scope*/ 23, /*->24301*/
/* 24278*/      OPC_CheckPredicate, 19, // Predicate_sextload
/* 24280*/      OPC_CheckPredicate, 1, // Predicate_sextloadi8
/* 24282*/      OPC_CheckType, MVT::i64,
/* 24284*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 24286*/      OPC_EmitMergeInputChains1_0,
/* 24287*/      OPC_EmitInteger, MVT::i32, 0, 
/* 24290*/      OPC_EmitConvertToTarget, 2,
/* 24292*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_S_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[i64] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>> - Complexity = 11
                // Dst: (LOAD8_S_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 24301*/     /*Scope*/ 23, /*->24325*/
/* 24302*/      OPC_CheckPredicate, 20, // Predicate_zextload
/* 24304*/      OPC_CheckPredicate, 1, // Predicate_zextloadi8
/* 24306*/      OPC_CheckType, MVT::i64,
/* 24308*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 24310*/      OPC_EmitMergeInputChains1_0,
/* 24311*/      OPC_EmitInteger, MVT::i32, 0, 
/* 24314*/      OPC_EmitConvertToTarget, 2,
/* 24316*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[i64] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>> - Complexity = 11
                // Dst: (LOAD8_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 24325*/     /*Scope*/ 23, /*->24349*/
/* 24326*/      OPC_CheckPredicate, 19, // Predicate_sextload
/* 24328*/      OPC_CheckPredicate, 2, // Predicate_sextloadi16
/* 24330*/      OPC_CheckType, MVT::i64,
/* 24332*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 24334*/      OPC_EmitMergeInputChains1_0,
/* 24335*/      OPC_EmitInteger, MVT::i32, 0, 
/* 24338*/      OPC_EmitConvertToTarget, 2,
/* 24340*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_S_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[i64] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>> - Complexity = 11
                // Dst: (LOAD16_S_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 24349*/     /*Scope*/ 23, /*->24373*/
/* 24350*/      OPC_CheckPredicate, 20, // Predicate_zextload
/* 24352*/      OPC_CheckPredicate, 2, // Predicate_zextloadi16
/* 24354*/      OPC_CheckType, MVT::i64,
/* 24356*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 24358*/      OPC_EmitMergeInputChains1_0,
/* 24359*/      OPC_EmitInteger, MVT::i32, 0, 
/* 24362*/      OPC_EmitConvertToTarget, 2,
/* 24364*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[i64] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>> - Complexity = 11
                // Dst: (LOAD16_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 24373*/     /*Scope*/ 23, /*->24397*/
/* 24374*/      OPC_CheckPredicate, 19, // Predicate_sextload
/* 24376*/      OPC_CheckPredicate, 4, // Predicate_sextloadi32
/* 24378*/      OPC_CheckType, MVT::i64,
/* 24380*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 24382*/      OPC_EmitMergeInputChains1_0,
/* 24383*/      OPC_EmitInteger, MVT::i32, 0, 
/* 24386*/      OPC_EmitConvertToTarget, 2,
/* 24388*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD32_S_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[i64] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi32>> - Complexity = 11
                // Dst: (LOAD32_S_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 24397*/     /*Scope*/ 23, /*->24421*/
/* 24398*/      OPC_CheckPredicate, 20, // Predicate_zextload
/* 24400*/      OPC_CheckPredicate, 4, // Predicate_zextloadi32
/* 24402*/      OPC_CheckType, MVT::i64,
/* 24404*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 24406*/      OPC_EmitMergeInputChains1_0,
/* 24407*/      OPC_EmitInteger, MVT::i32, 0, 
/* 24410*/      OPC_EmitConvertToTarget, 2,
/* 24412*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD32_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[i64] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi32>> - Complexity = 11
                // Dst: (LOAD32_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 24421*/     /*Scope*/ 112, /*->24534*/
/* 24422*/      OPC_CheckPredicate, 21, // Predicate_extload
/* 24424*/      OPC_SwitchType /*2 cases */, 42, MVT::i32,// ->24469
/* 24427*/       OPC_Scope, 19, /*->24448*/ // 2 children in Scope
/* 24429*/        OPC_CheckPredicate, 1, // Predicate_extloadi8
/* 24431*/        OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 24433*/        OPC_EmitMergeInputChains1_0,
/* 24434*/        OPC_EmitInteger, MVT::i32, 0, 
/* 24437*/        OPC_EmitConvertToTarget, 2,
/* 24439*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_U_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i32, 3/*#Ops*/, 3, 4, 1, 
                  // Src: (ld:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>> - Complexity = 11
                  // Dst: (LOAD8_U_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 24448*/       /*Scope*/ 19, /*->24468*/
/* 24449*/        OPC_CheckPredicate, 2, // Predicate_extloadi16
/* 24451*/        OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 24453*/        OPC_EmitMergeInputChains1_0,
/* 24454*/        OPC_EmitInteger, MVT::i32, 0, 
/* 24457*/        OPC_EmitConvertToTarget, 2,
/* 24459*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_U_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i32, 3/*#Ops*/, 3, 4, 1, 
                  // Src: (ld:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>> - Complexity = 11
                  // Dst: (LOAD16_U_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 24468*/       0, /*End of Scope*/
/* 24469*/      /*SwitchType*/ 62, MVT::i64,// ->24533
/* 24471*/       OPC_Scope, 19, /*->24492*/ // 3 children in Scope
/* 24473*/        OPC_CheckPredicate, 1, // Predicate_extloadi8
/* 24475*/        OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 24477*/        OPC_EmitMergeInputChains1_0,
/* 24478*/        OPC_EmitInteger, MVT::i32, 0, 
/* 24481*/        OPC_EmitConvertToTarget, 2,
/* 24483*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                  // Src: (ld:{ *:[i64] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>> - Complexity = 11
                  // Dst: (LOAD8_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 24492*/       /*Scope*/ 19, /*->24512*/
/* 24493*/        OPC_CheckPredicate, 2, // Predicate_extloadi16
/* 24495*/        OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 24497*/        OPC_EmitMergeInputChains1_0,
/* 24498*/        OPC_EmitInteger, MVT::i32, 0, 
/* 24501*/        OPC_EmitConvertToTarget, 2,
/* 24503*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                  // Src: (ld:{ *:[i64] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>> - Complexity = 11
                  // Dst: (LOAD16_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 24512*/       /*Scope*/ 19, /*->24532*/
/* 24513*/        OPC_CheckPredicate, 4, // Predicate_extloadi32
/* 24515*/        OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 24517*/        OPC_EmitMergeInputChains1_0,
/* 24518*/        OPC_EmitInteger, MVT::i32, 0, 
/* 24521*/        OPC_EmitConvertToTarget, 2,
/* 24523*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD32_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                  // Src: (ld:{ *:[i64] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi32>> - Complexity = 11
                  // Dst: (LOAD32_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 24532*/       0, /*End of Scope*/
/* 24533*/      0, // EndSwitchType
/* 24534*/     0, /*End of Scope*/
/* 24535*/    0, // EndSwitchType
/* 24536*/   /*SwitchOpcode*/ 14|128,8/*1038*/, TARGET_VAL(WebAssemblyISD::Wrapper),// ->25578
/* 24540*/    OPC_RecordChild0, // #1 = $off
/* 24541*/    OPC_MoveChild0,
/* 24542*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 24545*/    OPC_MoveParent,
/* 24546*/    OPC_MoveParent,
/* 24547*/    OPC_CheckPredicate, 17, // Predicate_unindexedload
/* 24549*/    OPC_Scope, 116, /*->24667*/ // 12 children in Scope
/* 24551*/     OPC_CheckPredicate, 18, // Predicate_load
/* 24553*/     OPC_SwitchType /*2 cases */, 54, MVT::i32,// ->24610
/* 24556*/      OPC_Scope, 25, /*->24583*/ // 2 children in Scope
/* 24558*/       OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 24560*/       OPC_EmitMergeInputChains1_0,
/* 24561*/       OPC_EmitInteger, MVT::i32, 0, 
/* 24564*/       OPC_EmitInteger, MVT::i32, 0, 
/* 24567*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 3,  // Results = #4
/* 24574*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 3/*#Ops*/, 2, 1, 4, 
                 // Src: (ld:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 10
                 // Dst: (LOAD_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 24583*/      /*Scope*/ 25, /*->24609*/
/* 24584*/       OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 24586*/       OPC_EmitMergeInputChains1_0,
/* 24587*/       OPC_EmitInteger, MVT::i32, 0, 
/* 24590*/       OPC_EmitInteger, MVT::i64, 0, 
/* 24593*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 3,  // Results = #4
/* 24600*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 3/*#Ops*/, 2, 1, 4, 
                 // Src: (ld:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 10
                 // Dst: (LOAD_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 24609*/      0, /*End of Scope*/
/* 24610*/     /*SwitchType*/ 54, MVT::i64,// ->24666
/* 24612*/      OPC_Scope, 25, /*->24639*/ // 2 children in Scope
/* 24614*/       OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 24616*/       OPC_EmitMergeInputChains1_0,
/* 24617*/       OPC_EmitInteger, MVT::i32, 0, 
/* 24620*/       OPC_EmitInteger, MVT::i32, 0, 
/* 24623*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 3,  // Results = #4
/* 24630*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 3/*#Ops*/, 2, 1, 4, 
                 // Src: (ld:{ *:[i64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 10
                 // Dst: (LOAD_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 24639*/      /*Scope*/ 25, /*->24665*/
/* 24640*/       OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 24642*/       OPC_EmitMergeInputChains1_0,
/* 24643*/       OPC_EmitInteger, MVT::i32, 0, 
/* 24646*/       OPC_EmitInteger, MVT::i64, 0, 
/* 24649*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 3,  // Results = #4
/* 24656*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 3/*#Ops*/, 2, 1, 4, 
                 // Src: (ld:{ *:[i64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 10
                 // Dst: (LOAD_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 24665*/      0, /*End of Scope*/
/* 24666*/     0, // EndSwitchType
/* 24667*/    /*Scope*/ 60, /*->24728*/
/* 24668*/     OPC_CheckPredicate, 19, // Predicate_sextload
/* 24670*/     OPC_CheckPredicate, 1, // Predicate_sextloadi8
/* 24672*/     OPC_CheckType, MVT::i32,
/* 24674*/     OPC_Scope, 25, /*->24701*/ // 2 children in Scope
/* 24676*/      OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 24678*/      OPC_EmitMergeInputChains1_0,
/* 24679*/      OPC_EmitInteger, MVT::i32, 0, 
/* 24682*/      OPC_EmitInteger, MVT::i32, 0, 
/* 24685*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 3,  // Results = #4
/* 24692*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_S_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 3/*#Ops*/, 2, 1, 4, 
                // Src: (ld:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>> - Complexity = 10
                // Dst: (LOAD8_S_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 24701*/     /*Scope*/ 25, /*->24727*/
/* 24702*/      OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 24704*/      OPC_EmitMergeInputChains1_0,
/* 24705*/      OPC_EmitInteger, MVT::i32, 0, 
/* 24708*/      OPC_EmitInteger, MVT::i64, 0, 
/* 24711*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 3,  // Results = #4
/* 24718*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_S_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 3/*#Ops*/, 2, 1, 4, 
                // Src: (ld:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>> - Complexity = 10
                // Dst: (LOAD8_S_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 24727*/     0, /*End of Scope*/
/* 24728*/    /*Scope*/ 60, /*->24789*/
/* 24729*/     OPC_CheckPredicate, 20, // Predicate_zextload
/* 24731*/     OPC_CheckPredicate, 1, // Predicate_zextloadi8
/* 24733*/     OPC_CheckType, MVT::i32,
/* 24735*/     OPC_Scope, 25, /*->24762*/ // 2 children in Scope
/* 24737*/      OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 24739*/      OPC_EmitMergeInputChains1_0,
/* 24740*/      OPC_EmitInteger, MVT::i32, 0, 
/* 24743*/      OPC_EmitInteger, MVT::i32, 0, 
/* 24746*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 3,  // Results = #4
/* 24753*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_U_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 3/*#Ops*/, 2, 1, 4, 
                // Src: (ld:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>> - Complexity = 10
                // Dst: (LOAD8_U_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 24762*/     /*Scope*/ 25, /*->24788*/
/* 24763*/      OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 24765*/      OPC_EmitMergeInputChains1_0,
/* 24766*/      OPC_EmitInteger, MVT::i32, 0, 
/* 24769*/      OPC_EmitInteger, MVT::i64, 0, 
/* 24772*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 3,  // Results = #4
/* 24779*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_U_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 3/*#Ops*/, 2, 1, 4, 
                // Src: (ld:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>> - Complexity = 10
                // Dst: (LOAD8_U_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 24788*/     0, /*End of Scope*/
/* 24789*/    /*Scope*/ 60, /*->24850*/
/* 24790*/     OPC_CheckPredicate, 19, // Predicate_sextload
/* 24792*/     OPC_CheckPredicate, 2, // Predicate_sextloadi16
/* 24794*/     OPC_CheckType, MVT::i32,
/* 24796*/     OPC_Scope, 25, /*->24823*/ // 2 children in Scope
/* 24798*/      OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 24800*/      OPC_EmitMergeInputChains1_0,
/* 24801*/      OPC_EmitInteger, MVT::i32, 0, 
/* 24804*/      OPC_EmitInteger, MVT::i32, 0, 
/* 24807*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 3,  // Results = #4
/* 24814*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_S_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 3/*#Ops*/, 2, 1, 4, 
                // Src: (ld:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>> - Complexity = 10
                // Dst: (LOAD16_S_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 24823*/     /*Scope*/ 25, /*->24849*/
/* 24824*/      OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 24826*/      OPC_EmitMergeInputChains1_0,
/* 24827*/      OPC_EmitInteger, MVT::i32, 0, 
/* 24830*/      OPC_EmitInteger, MVT::i64, 0, 
/* 24833*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 3,  // Results = #4
/* 24840*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_S_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 3/*#Ops*/, 2, 1, 4, 
                // Src: (ld:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>> - Complexity = 10
                // Dst: (LOAD16_S_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 24849*/     0, /*End of Scope*/
/* 24850*/    /*Scope*/ 60, /*->24911*/
/* 24851*/     OPC_CheckPredicate, 20, // Predicate_zextload
/* 24853*/     OPC_CheckPredicate, 2, // Predicate_zextloadi16
/* 24855*/     OPC_CheckType, MVT::i32,
/* 24857*/     OPC_Scope, 25, /*->24884*/ // 2 children in Scope
/* 24859*/      OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 24861*/      OPC_EmitMergeInputChains1_0,
/* 24862*/      OPC_EmitInteger, MVT::i32, 0, 
/* 24865*/      OPC_EmitInteger, MVT::i32, 0, 
/* 24868*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 3,  // Results = #4
/* 24875*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_U_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 3/*#Ops*/, 2, 1, 4, 
                // Src: (ld:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>> - Complexity = 10
                // Dst: (LOAD16_U_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 24884*/     /*Scope*/ 25, /*->24910*/
/* 24885*/      OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 24887*/      OPC_EmitMergeInputChains1_0,
/* 24888*/      OPC_EmitInteger, MVT::i32, 0, 
/* 24891*/      OPC_EmitInteger, MVT::i64, 0, 
/* 24894*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 3,  // Results = #4
/* 24901*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_U_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 3/*#Ops*/, 2, 1, 4, 
                // Src: (ld:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>> - Complexity = 10
                // Dst: (LOAD16_U_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 24910*/     0, /*End of Scope*/
/* 24911*/    /*Scope*/ 60, /*->24972*/
/* 24912*/     OPC_CheckPredicate, 19, // Predicate_sextload
/* 24914*/     OPC_CheckPredicate, 1, // Predicate_sextloadi8
/* 24916*/     OPC_CheckType, MVT::i64,
/* 24918*/     OPC_Scope, 25, /*->24945*/ // 2 children in Scope
/* 24920*/      OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 24922*/      OPC_EmitMergeInputChains1_0,
/* 24923*/      OPC_EmitInteger, MVT::i32, 0, 
/* 24926*/      OPC_EmitInteger, MVT::i32, 0, 
/* 24929*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 3,  // Results = #4
/* 24936*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_S_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 3/*#Ops*/, 2, 1, 4, 
                // Src: (ld:{ *:[i64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>> - Complexity = 10
                // Dst: (LOAD8_S_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 24945*/     /*Scope*/ 25, /*->24971*/
/* 24946*/      OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 24948*/      OPC_EmitMergeInputChains1_0,
/* 24949*/      OPC_EmitInteger, MVT::i32, 0, 
/* 24952*/      OPC_EmitInteger, MVT::i64, 0, 
/* 24955*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 3,  // Results = #4
/* 24962*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_S_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 3/*#Ops*/, 2, 1, 4, 
                // Src: (ld:{ *:[i64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>> - Complexity = 10
                // Dst: (LOAD8_S_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 24971*/     0, /*End of Scope*/
/* 24972*/    /*Scope*/ 60, /*->25033*/
/* 24973*/     OPC_CheckPredicate, 20, // Predicate_zextload
/* 24975*/     OPC_CheckPredicate, 1, // Predicate_zextloadi8
/* 24977*/     OPC_CheckType, MVT::i64,
/* 24979*/     OPC_Scope, 25, /*->25006*/ // 2 children in Scope
/* 24981*/      OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 24983*/      OPC_EmitMergeInputChains1_0,
/* 24984*/      OPC_EmitInteger, MVT::i32, 0, 
/* 24987*/      OPC_EmitInteger, MVT::i32, 0, 
/* 24990*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 3,  // Results = #4
/* 24997*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 3/*#Ops*/, 2, 1, 4, 
                // Src: (ld:{ *:[i64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>> - Complexity = 10
                // Dst: (LOAD8_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 25006*/     /*Scope*/ 25, /*->25032*/
/* 25007*/      OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 25009*/      OPC_EmitMergeInputChains1_0,
/* 25010*/      OPC_EmitInteger, MVT::i32, 0, 
/* 25013*/      OPC_EmitInteger, MVT::i64, 0, 
/* 25016*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 3,  // Results = #4
/* 25023*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 3/*#Ops*/, 2, 1, 4, 
                // Src: (ld:{ *:[i64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>> - Complexity = 10
                // Dst: (LOAD8_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 25032*/     0, /*End of Scope*/
/* 25033*/    /*Scope*/ 60, /*->25094*/
/* 25034*/     OPC_CheckPredicate, 19, // Predicate_sextload
/* 25036*/     OPC_CheckPredicate, 2, // Predicate_sextloadi16
/* 25038*/     OPC_CheckType, MVT::i64,
/* 25040*/     OPC_Scope, 25, /*->25067*/ // 2 children in Scope
/* 25042*/      OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 25044*/      OPC_EmitMergeInputChains1_0,
/* 25045*/      OPC_EmitInteger, MVT::i32, 0, 
/* 25048*/      OPC_EmitInteger, MVT::i32, 0, 
/* 25051*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 3,  // Results = #4
/* 25058*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_S_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 3/*#Ops*/, 2, 1, 4, 
                // Src: (ld:{ *:[i64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>> - Complexity = 10
                // Dst: (LOAD16_S_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 25067*/     /*Scope*/ 25, /*->25093*/
/* 25068*/      OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 25070*/      OPC_EmitMergeInputChains1_0,
/* 25071*/      OPC_EmitInteger, MVT::i32, 0, 
/* 25074*/      OPC_EmitInteger, MVT::i64, 0, 
/* 25077*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 3,  // Results = #4
/* 25084*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_S_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 3/*#Ops*/, 2, 1, 4, 
                // Src: (ld:{ *:[i64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>> - Complexity = 10
                // Dst: (LOAD16_S_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 25093*/     0, /*End of Scope*/
/* 25094*/    /*Scope*/ 60, /*->25155*/
/* 25095*/     OPC_CheckPredicate, 20, // Predicate_zextload
/* 25097*/     OPC_CheckPredicate, 2, // Predicate_zextloadi16
/* 25099*/     OPC_CheckType, MVT::i64,
/* 25101*/     OPC_Scope, 25, /*->25128*/ // 2 children in Scope
/* 25103*/      OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 25105*/      OPC_EmitMergeInputChains1_0,
/* 25106*/      OPC_EmitInteger, MVT::i32, 0, 
/* 25109*/      OPC_EmitInteger, MVT::i32, 0, 
/* 25112*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 3,  // Results = #4
/* 25119*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 3/*#Ops*/, 2, 1, 4, 
                // Src: (ld:{ *:[i64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>> - Complexity = 10
                // Dst: (LOAD16_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 25128*/     /*Scope*/ 25, /*->25154*/
/* 25129*/      OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 25131*/      OPC_EmitMergeInputChains1_0,
/* 25132*/      OPC_EmitInteger, MVT::i32, 0, 
/* 25135*/      OPC_EmitInteger, MVT::i64, 0, 
/* 25138*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 3,  // Results = #4
/* 25145*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 3/*#Ops*/, 2, 1, 4, 
                // Src: (ld:{ *:[i64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>> - Complexity = 10
                // Dst: (LOAD16_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 25154*/     0, /*End of Scope*/
/* 25155*/    /*Scope*/ 60, /*->25216*/
/* 25156*/     OPC_CheckPredicate, 19, // Predicate_sextload
/* 25158*/     OPC_CheckPredicate, 4, // Predicate_sextloadi32
/* 25160*/     OPC_CheckType, MVT::i64,
/* 25162*/     OPC_Scope, 25, /*->25189*/ // 2 children in Scope
/* 25164*/      OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 25166*/      OPC_EmitMergeInputChains1_0,
/* 25167*/      OPC_EmitInteger, MVT::i32, 0, 
/* 25170*/      OPC_EmitInteger, MVT::i32, 0, 
/* 25173*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 3,  // Results = #4
/* 25180*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD32_S_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 3/*#Ops*/, 2, 1, 4, 
                // Src: (ld:{ *:[i64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi32>> - Complexity = 10
                // Dst: (LOAD32_S_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 25189*/     /*Scope*/ 25, /*->25215*/
/* 25190*/      OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 25192*/      OPC_EmitMergeInputChains1_0,
/* 25193*/      OPC_EmitInteger, MVT::i32, 0, 
/* 25196*/      OPC_EmitInteger, MVT::i64, 0, 
/* 25199*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 3,  // Results = #4
/* 25206*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD32_S_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 3/*#Ops*/, 2, 1, 4, 
                // Src: (ld:{ *:[i64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi32>> - Complexity = 10
                // Dst: (LOAD32_S_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 25215*/     0, /*End of Scope*/
/* 25216*/    /*Scope*/ 60, /*->25277*/
/* 25217*/     OPC_CheckPredicate, 20, // Predicate_zextload
/* 25219*/     OPC_CheckPredicate, 4, // Predicate_zextloadi32
/* 25221*/     OPC_CheckType, MVT::i64,
/* 25223*/     OPC_Scope, 25, /*->25250*/ // 2 children in Scope
/* 25225*/      OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 25227*/      OPC_EmitMergeInputChains1_0,
/* 25228*/      OPC_EmitInteger, MVT::i32, 0, 
/* 25231*/      OPC_EmitInteger, MVT::i32, 0, 
/* 25234*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 3,  // Results = #4
/* 25241*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD32_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 3/*#Ops*/, 2, 1, 4, 
                // Src: (ld:{ *:[i64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi32>> - Complexity = 10
                // Dst: (LOAD32_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 25250*/     /*Scope*/ 25, /*->25276*/
/* 25251*/      OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 25253*/      OPC_EmitMergeInputChains1_0,
/* 25254*/      OPC_EmitInteger, MVT::i32, 0, 
/* 25257*/      OPC_EmitInteger, MVT::i64, 0, 
/* 25260*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 3,  // Results = #4
/* 25267*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD32_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 3/*#Ops*/, 2, 1, 4, 
                // Src: (ld:{ *:[i64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi32>> - Complexity = 10
                // Dst: (LOAD32_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 25276*/     0, /*End of Scope*/
/* 25277*/    /*Scope*/ 42|128,2/*298*/, /*->25577*/
/* 25279*/     OPC_CheckPredicate, 21, // Predicate_extload
/* 25281*/     OPC_SwitchType /*2 cases */, 116, MVT::i32,// ->25400
/* 25284*/      OPC_Scope, 56, /*->25342*/ // 2 children in Scope
/* 25286*/       OPC_CheckPredicate, 1, // Predicate_extloadi8
/* 25288*/       OPC_Scope, 25, /*->25315*/ // 2 children in Scope
/* 25290*/        OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 25292*/        OPC_EmitMergeInputChains1_0,
/* 25293*/        OPC_EmitInteger, MVT::i32, 0, 
/* 25296*/        OPC_EmitInteger, MVT::i32, 0, 
/* 25299*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 3,  // Results = #4
/* 25306*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_U_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i32, 3/*#Ops*/, 2, 1, 4, 
                  // Src: (ld:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>> - Complexity = 10
                  // Dst: (LOAD8_U_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 25315*/       /*Scope*/ 25, /*->25341*/
/* 25316*/        OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 25318*/        OPC_EmitMergeInputChains1_0,
/* 25319*/        OPC_EmitInteger, MVT::i32, 0, 
/* 25322*/        OPC_EmitInteger, MVT::i64, 0, 
/* 25325*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 3,  // Results = #4
/* 25332*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_U_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i32, 3/*#Ops*/, 2, 1, 4, 
                  // Src: (ld:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>> - Complexity = 10
                  // Dst: (LOAD8_U_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 25341*/       0, /*End of Scope*/
/* 25342*/      /*Scope*/ 56, /*->25399*/
/* 25343*/       OPC_CheckPredicate, 2, // Predicate_extloadi16
/* 25345*/       OPC_Scope, 25, /*->25372*/ // 2 children in Scope
/* 25347*/        OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 25349*/        OPC_EmitMergeInputChains1_0,
/* 25350*/        OPC_EmitInteger, MVT::i32, 0, 
/* 25353*/        OPC_EmitInteger, MVT::i32, 0, 
/* 25356*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 3,  // Results = #4
/* 25363*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_U_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i32, 3/*#Ops*/, 2, 1, 4, 
                  // Src: (ld:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>> - Complexity = 10
                  // Dst: (LOAD16_U_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 25372*/       /*Scope*/ 25, /*->25398*/
/* 25373*/        OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 25375*/        OPC_EmitMergeInputChains1_0,
/* 25376*/        OPC_EmitInteger, MVT::i32, 0, 
/* 25379*/        OPC_EmitInteger, MVT::i64, 0, 
/* 25382*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 3,  // Results = #4
/* 25389*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_U_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i32, 3/*#Ops*/, 2, 1, 4, 
                  // Src: (ld:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>> - Complexity = 10
                  // Dst: (LOAD16_U_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 25398*/       0, /*End of Scope*/
/* 25399*/      0, /*End of Scope*/
/* 25400*/     /*SwitchType*/ 45|128,1/*173*/, MVT::i64,// ->25576
/* 25403*/      OPC_Scope, 56, /*->25461*/ // 3 children in Scope
/* 25405*/       OPC_CheckPredicate, 1, // Predicate_extloadi8
/* 25407*/       OPC_Scope, 25, /*->25434*/ // 2 children in Scope
/* 25409*/        OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 25411*/        OPC_EmitMergeInputChains1_0,
/* 25412*/        OPC_EmitInteger, MVT::i32, 0, 
/* 25415*/        OPC_EmitInteger, MVT::i32, 0, 
/* 25418*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 3,  // Results = #4
/* 25425*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 2, 1, 4, 
                  // Src: (ld:{ *:[i64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>> - Complexity = 10
                  // Dst: (LOAD8_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 25434*/       /*Scope*/ 25, /*->25460*/
/* 25435*/        OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 25437*/        OPC_EmitMergeInputChains1_0,
/* 25438*/        OPC_EmitInteger, MVT::i32, 0, 
/* 25441*/        OPC_EmitInteger, MVT::i64, 0, 
/* 25444*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 3,  // Results = #4
/* 25451*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 2, 1, 4, 
                  // Src: (ld:{ *:[i64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>> - Complexity = 10
                  // Dst: (LOAD8_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 25460*/       0, /*End of Scope*/
/* 25461*/      /*Scope*/ 56, /*->25518*/
/* 25462*/       OPC_CheckPredicate, 2, // Predicate_extloadi16
/* 25464*/       OPC_Scope, 25, /*->25491*/ // 2 children in Scope
/* 25466*/        OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 25468*/        OPC_EmitMergeInputChains1_0,
/* 25469*/        OPC_EmitInteger, MVT::i32, 0, 
/* 25472*/        OPC_EmitInteger, MVT::i32, 0, 
/* 25475*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 3,  // Results = #4
/* 25482*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 2, 1, 4, 
                  // Src: (ld:{ *:[i64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>> - Complexity = 10
                  // Dst: (LOAD16_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 25491*/       /*Scope*/ 25, /*->25517*/
/* 25492*/        OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 25494*/        OPC_EmitMergeInputChains1_0,
/* 25495*/        OPC_EmitInteger, MVT::i32, 0, 
/* 25498*/        OPC_EmitInteger, MVT::i64, 0, 
/* 25501*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 3,  // Results = #4
/* 25508*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 2, 1, 4, 
                  // Src: (ld:{ *:[i64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>> - Complexity = 10
                  // Dst: (LOAD16_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 25517*/       0, /*End of Scope*/
/* 25518*/      /*Scope*/ 56, /*->25575*/
/* 25519*/       OPC_CheckPredicate, 4, // Predicate_extloadi32
/* 25521*/       OPC_Scope, 25, /*->25548*/ // 2 children in Scope
/* 25523*/        OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 25525*/        OPC_EmitMergeInputChains1_0,
/* 25526*/        OPC_EmitInteger, MVT::i32, 0, 
/* 25529*/        OPC_EmitInteger, MVT::i32, 0, 
/* 25532*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 3,  // Results = #4
/* 25539*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD32_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 2, 1, 4, 
                  // Src: (ld:{ *:[i64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi32>> - Complexity = 10
                  // Dst: (LOAD32_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 25548*/       /*Scope*/ 25, /*->25574*/
/* 25549*/        OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 25551*/        OPC_EmitMergeInputChains1_0,
/* 25552*/        OPC_EmitInteger, MVT::i32, 0, 
/* 25555*/        OPC_EmitInteger, MVT::i64, 0, 
/* 25558*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 3,  // Results = #4
/* 25565*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD32_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 2, 1, 4, 
                  // Src: (ld:{ *:[i64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi32>> - Complexity = 10
                  // Dst: (LOAD32_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 25574*/       0, /*End of Scope*/
/* 25575*/      0, /*End of Scope*/
/* 25576*/     0, // EndSwitchType
/* 25577*/    0, /*End of Scope*/
/* 25578*/   0, // EndSwitchOpcode
/* 25579*/  /*Scope*/ 31|128,15/*1951*/, /*->27532*/
/* 25581*/   OPC_RecordChild1, // #1 = $off
/* 25582*/   OPC_Scope, 80|128,8/*1104*/, /*->26689*/ // 3 children in Scope
/* 25585*/    OPC_MoveChild1,
/* 25586*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 25589*/    OPC_MoveParent,
/* 25590*/    OPC_CheckPredicate, 17, // Predicate_unindexedload
/* 25592*/    OPC_Scope, 124, /*->25718*/ // 12 children in Scope
/* 25594*/     OPC_CheckPredicate, 18, // Predicate_load
/* 25596*/     OPC_SwitchType /*2 cases */, 58, MVT::i32,// ->25657
/* 25599*/      OPC_Scope, 27, /*->25628*/ // 2 children in Scope
/* 25601*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 25603*/       OPC_EmitMergeInputChains1_0,
/* 25604*/       OPC_EmitInteger, MVT::i32, 0, 
/* 25607*/       OPC_EmitConvertToTarget, 1,
/* 25609*/       OPC_EmitInteger, MVT::i32, 0, 
/* 25612*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 25619*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 3/*#Ops*/, 2, 3, 5, 
                 // Src: (ld:{ *:[i32] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 7
                 // Dst: (LOAD_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 25628*/      /*Scope*/ 27, /*->25656*/
/* 25629*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 25631*/       OPC_EmitMergeInputChains1_0,
/* 25632*/       OPC_EmitInteger, MVT::i32, 0, 
/* 25635*/       OPC_EmitConvertToTarget, 1,
/* 25637*/       OPC_EmitInteger, MVT::i64, 0, 
/* 25640*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 25647*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 3/*#Ops*/, 2, 3, 5, 
                 // Src: (ld:{ *:[i32] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 7
                 // Dst: (LOAD_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 25656*/      0, /*End of Scope*/
/* 25657*/     /*SwitchType*/ 58, MVT::i64,// ->25717
/* 25659*/      OPC_Scope, 27, /*->25688*/ // 2 children in Scope
/* 25661*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 25663*/       OPC_EmitMergeInputChains1_0,
/* 25664*/       OPC_EmitInteger, MVT::i32, 0, 
/* 25667*/       OPC_EmitConvertToTarget, 1,
/* 25669*/       OPC_EmitInteger, MVT::i32, 0, 
/* 25672*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 25679*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 3/*#Ops*/, 2, 3, 5, 
                 // Src: (ld:{ *:[i64] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 7
                 // Dst: (LOAD_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 25688*/      /*Scope*/ 27, /*->25716*/
/* 25689*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 25691*/       OPC_EmitMergeInputChains1_0,
/* 25692*/       OPC_EmitInteger, MVT::i32, 0, 
/* 25695*/       OPC_EmitConvertToTarget, 1,
/* 25697*/       OPC_EmitInteger, MVT::i64, 0, 
/* 25700*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 25707*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 3/*#Ops*/, 2, 3, 5, 
                 // Src: (ld:{ *:[i64] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 7
                 // Dst: (LOAD_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 25716*/      0, /*End of Scope*/
/* 25717*/     0, // EndSwitchType
/* 25718*/    /*Scope*/ 64, /*->25783*/
/* 25719*/     OPC_CheckPredicate, 19, // Predicate_sextload
/* 25721*/     OPC_CheckPredicate, 1, // Predicate_sextloadi8
/* 25723*/     OPC_CheckType, MVT::i32,
/* 25725*/     OPC_Scope, 27, /*->25754*/ // 2 children in Scope
/* 25727*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 25729*/      OPC_EmitMergeInputChains1_0,
/* 25730*/      OPC_EmitInteger, MVT::i32, 0, 
/* 25733*/      OPC_EmitConvertToTarget, 1,
/* 25735*/      OPC_EmitInteger, MVT::i32, 0, 
/* 25738*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 25745*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_S_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 3/*#Ops*/, 2, 3, 5, 
                // Src: (ld:{ *:[i32] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>> - Complexity = 7
                // Dst: (LOAD8_S_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 25754*/     /*Scope*/ 27, /*->25782*/
/* 25755*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 25757*/      OPC_EmitMergeInputChains1_0,
/* 25758*/      OPC_EmitInteger, MVT::i32, 0, 
/* 25761*/      OPC_EmitConvertToTarget, 1,
/* 25763*/      OPC_EmitInteger, MVT::i64, 0, 
/* 25766*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 25773*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_S_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 3/*#Ops*/, 2, 3, 5, 
                // Src: (ld:{ *:[i32] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>> - Complexity = 7
                // Dst: (LOAD8_S_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 25782*/     0, /*End of Scope*/
/* 25783*/    /*Scope*/ 64, /*->25848*/
/* 25784*/     OPC_CheckPredicate, 20, // Predicate_zextload
/* 25786*/     OPC_CheckPredicate, 1, // Predicate_zextloadi8
/* 25788*/     OPC_CheckType, MVT::i32,
/* 25790*/     OPC_Scope, 27, /*->25819*/ // 2 children in Scope
/* 25792*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 25794*/      OPC_EmitMergeInputChains1_0,
/* 25795*/      OPC_EmitInteger, MVT::i32, 0, 
/* 25798*/      OPC_EmitConvertToTarget, 1,
/* 25800*/      OPC_EmitInteger, MVT::i32, 0, 
/* 25803*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 25810*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_U_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 3/*#Ops*/, 2, 3, 5, 
                // Src: (ld:{ *:[i32] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>> - Complexity = 7
                // Dst: (LOAD8_U_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 25819*/     /*Scope*/ 27, /*->25847*/
/* 25820*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 25822*/      OPC_EmitMergeInputChains1_0,
/* 25823*/      OPC_EmitInteger, MVT::i32, 0, 
/* 25826*/      OPC_EmitConvertToTarget, 1,
/* 25828*/      OPC_EmitInteger, MVT::i64, 0, 
/* 25831*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 25838*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_U_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 3/*#Ops*/, 2, 3, 5, 
                // Src: (ld:{ *:[i32] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>> - Complexity = 7
                // Dst: (LOAD8_U_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 25847*/     0, /*End of Scope*/
/* 25848*/    /*Scope*/ 64, /*->25913*/
/* 25849*/     OPC_CheckPredicate, 19, // Predicate_sextload
/* 25851*/     OPC_CheckPredicate, 2, // Predicate_sextloadi16
/* 25853*/     OPC_CheckType, MVT::i32,
/* 25855*/     OPC_Scope, 27, /*->25884*/ // 2 children in Scope
/* 25857*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 25859*/      OPC_EmitMergeInputChains1_0,
/* 25860*/      OPC_EmitInteger, MVT::i32, 0, 
/* 25863*/      OPC_EmitConvertToTarget, 1,
/* 25865*/      OPC_EmitInteger, MVT::i32, 0, 
/* 25868*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 25875*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_S_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 3/*#Ops*/, 2, 3, 5, 
                // Src: (ld:{ *:[i32] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>> - Complexity = 7
                // Dst: (LOAD16_S_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 25884*/     /*Scope*/ 27, /*->25912*/
/* 25885*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 25887*/      OPC_EmitMergeInputChains1_0,
/* 25888*/      OPC_EmitInteger, MVT::i32, 0, 
/* 25891*/      OPC_EmitConvertToTarget, 1,
/* 25893*/      OPC_EmitInteger, MVT::i64, 0, 
/* 25896*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 25903*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_S_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 3/*#Ops*/, 2, 3, 5, 
                // Src: (ld:{ *:[i32] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>> - Complexity = 7
                // Dst: (LOAD16_S_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 25912*/     0, /*End of Scope*/
/* 25913*/    /*Scope*/ 64, /*->25978*/
/* 25914*/     OPC_CheckPredicate, 20, // Predicate_zextload
/* 25916*/     OPC_CheckPredicate, 2, // Predicate_zextloadi16
/* 25918*/     OPC_CheckType, MVT::i32,
/* 25920*/     OPC_Scope, 27, /*->25949*/ // 2 children in Scope
/* 25922*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 25924*/      OPC_EmitMergeInputChains1_0,
/* 25925*/      OPC_EmitInteger, MVT::i32, 0, 
/* 25928*/      OPC_EmitConvertToTarget, 1,
/* 25930*/      OPC_EmitInteger, MVT::i32, 0, 
/* 25933*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 25940*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_U_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 3/*#Ops*/, 2, 3, 5, 
                // Src: (ld:{ *:[i32] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>> - Complexity = 7
                // Dst: (LOAD16_U_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 25949*/     /*Scope*/ 27, /*->25977*/
/* 25950*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 25952*/      OPC_EmitMergeInputChains1_0,
/* 25953*/      OPC_EmitInteger, MVT::i32, 0, 
/* 25956*/      OPC_EmitConvertToTarget, 1,
/* 25958*/      OPC_EmitInteger, MVT::i64, 0, 
/* 25961*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 25968*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_U_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 3/*#Ops*/, 2, 3, 5, 
                // Src: (ld:{ *:[i32] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>> - Complexity = 7
                // Dst: (LOAD16_U_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 25977*/     0, /*End of Scope*/
/* 25978*/    /*Scope*/ 64, /*->26043*/
/* 25979*/     OPC_CheckPredicate, 19, // Predicate_sextload
/* 25981*/     OPC_CheckPredicate, 1, // Predicate_sextloadi8
/* 25983*/     OPC_CheckType, MVT::i64,
/* 25985*/     OPC_Scope, 27, /*->26014*/ // 2 children in Scope
/* 25987*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 25989*/      OPC_EmitMergeInputChains1_0,
/* 25990*/      OPC_EmitInteger, MVT::i32, 0, 
/* 25993*/      OPC_EmitConvertToTarget, 1,
/* 25995*/      OPC_EmitInteger, MVT::i32, 0, 
/* 25998*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 26005*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_S_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 3/*#Ops*/, 2, 3, 5, 
                // Src: (ld:{ *:[i64] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>> - Complexity = 7
                // Dst: (LOAD8_S_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 26014*/     /*Scope*/ 27, /*->26042*/
/* 26015*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 26017*/      OPC_EmitMergeInputChains1_0,
/* 26018*/      OPC_EmitInteger, MVT::i32, 0, 
/* 26021*/      OPC_EmitConvertToTarget, 1,
/* 26023*/      OPC_EmitInteger, MVT::i64, 0, 
/* 26026*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 26033*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_S_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 3/*#Ops*/, 2, 3, 5, 
                // Src: (ld:{ *:[i64] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>> - Complexity = 7
                // Dst: (LOAD8_S_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 26042*/     0, /*End of Scope*/
/* 26043*/    /*Scope*/ 64, /*->26108*/
/* 26044*/     OPC_CheckPredicate, 20, // Predicate_zextload
/* 26046*/     OPC_CheckPredicate, 1, // Predicate_zextloadi8
/* 26048*/     OPC_CheckType, MVT::i64,
/* 26050*/     OPC_Scope, 27, /*->26079*/ // 2 children in Scope
/* 26052*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 26054*/      OPC_EmitMergeInputChains1_0,
/* 26055*/      OPC_EmitInteger, MVT::i32, 0, 
/* 26058*/      OPC_EmitConvertToTarget, 1,
/* 26060*/      OPC_EmitInteger, MVT::i32, 0, 
/* 26063*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 26070*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 3/*#Ops*/, 2, 3, 5, 
                // Src: (ld:{ *:[i64] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>> - Complexity = 7
                // Dst: (LOAD8_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 26079*/     /*Scope*/ 27, /*->26107*/
/* 26080*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 26082*/      OPC_EmitMergeInputChains1_0,
/* 26083*/      OPC_EmitInteger, MVT::i32, 0, 
/* 26086*/      OPC_EmitConvertToTarget, 1,
/* 26088*/      OPC_EmitInteger, MVT::i64, 0, 
/* 26091*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 26098*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 3/*#Ops*/, 2, 3, 5, 
                // Src: (ld:{ *:[i64] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>> - Complexity = 7
                // Dst: (LOAD8_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 26107*/     0, /*End of Scope*/
/* 26108*/    /*Scope*/ 64, /*->26173*/
/* 26109*/     OPC_CheckPredicate, 19, // Predicate_sextload
/* 26111*/     OPC_CheckPredicate, 2, // Predicate_sextloadi16
/* 26113*/     OPC_CheckType, MVT::i64,
/* 26115*/     OPC_Scope, 27, /*->26144*/ // 2 children in Scope
/* 26117*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 26119*/      OPC_EmitMergeInputChains1_0,
/* 26120*/      OPC_EmitInteger, MVT::i32, 0, 
/* 26123*/      OPC_EmitConvertToTarget, 1,
/* 26125*/      OPC_EmitInteger, MVT::i32, 0, 
/* 26128*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 26135*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_S_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 3/*#Ops*/, 2, 3, 5, 
                // Src: (ld:{ *:[i64] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>> - Complexity = 7
                // Dst: (LOAD16_S_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 26144*/     /*Scope*/ 27, /*->26172*/
/* 26145*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 26147*/      OPC_EmitMergeInputChains1_0,
/* 26148*/      OPC_EmitInteger, MVT::i32, 0, 
/* 26151*/      OPC_EmitConvertToTarget, 1,
/* 26153*/      OPC_EmitInteger, MVT::i64, 0, 
/* 26156*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 26163*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_S_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 3/*#Ops*/, 2, 3, 5, 
                // Src: (ld:{ *:[i64] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>> - Complexity = 7
                // Dst: (LOAD16_S_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 26172*/     0, /*End of Scope*/
/* 26173*/    /*Scope*/ 64, /*->26238*/
/* 26174*/     OPC_CheckPredicate, 20, // Predicate_zextload
/* 26176*/     OPC_CheckPredicate, 2, // Predicate_zextloadi16
/* 26178*/     OPC_CheckType, MVT::i64,
/* 26180*/     OPC_Scope, 27, /*->26209*/ // 2 children in Scope
/* 26182*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 26184*/      OPC_EmitMergeInputChains1_0,
/* 26185*/      OPC_EmitInteger, MVT::i32, 0, 
/* 26188*/      OPC_EmitConvertToTarget, 1,
/* 26190*/      OPC_EmitInteger, MVT::i32, 0, 
/* 26193*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 26200*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 3/*#Ops*/, 2, 3, 5, 
                // Src: (ld:{ *:[i64] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>> - Complexity = 7
                // Dst: (LOAD16_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 26209*/     /*Scope*/ 27, /*->26237*/
/* 26210*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 26212*/      OPC_EmitMergeInputChains1_0,
/* 26213*/      OPC_EmitInteger, MVT::i32, 0, 
/* 26216*/      OPC_EmitConvertToTarget, 1,
/* 26218*/      OPC_EmitInteger, MVT::i64, 0, 
/* 26221*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 26228*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 3/*#Ops*/, 2, 3, 5, 
                // Src: (ld:{ *:[i64] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>> - Complexity = 7
                // Dst: (LOAD16_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 26237*/     0, /*End of Scope*/
/* 26238*/    /*Scope*/ 64, /*->26303*/
/* 26239*/     OPC_CheckPredicate, 19, // Predicate_sextload
/* 26241*/     OPC_CheckPredicate, 4, // Predicate_sextloadi32
/* 26243*/     OPC_CheckType, MVT::i64,
/* 26245*/     OPC_Scope, 27, /*->26274*/ // 2 children in Scope
/* 26247*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 26249*/      OPC_EmitMergeInputChains1_0,
/* 26250*/      OPC_EmitInteger, MVT::i32, 0, 
/* 26253*/      OPC_EmitConvertToTarget, 1,
/* 26255*/      OPC_EmitInteger, MVT::i32, 0, 
/* 26258*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 26265*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD32_S_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 3/*#Ops*/, 2, 3, 5, 
                // Src: (ld:{ *:[i64] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi32>> - Complexity = 7
                // Dst: (LOAD32_S_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 26274*/     /*Scope*/ 27, /*->26302*/
/* 26275*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 26277*/      OPC_EmitMergeInputChains1_0,
/* 26278*/      OPC_EmitInteger, MVT::i32, 0, 
/* 26281*/      OPC_EmitConvertToTarget, 1,
/* 26283*/      OPC_EmitInteger, MVT::i64, 0, 
/* 26286*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 26293*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD32_S_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 3/*#Ops*/, 2, 3, 5, 
                // Src: (ld:{ *:[i64] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi32>> - Complexity = 7
                // Dst: (LOAD32_S_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 26302*/     0, /*End of Scope*/
/* 26303*/    /*Scope*/ 64, /*->26368*/
/* 26304*/     OPC_CheckPredicate, 20, // Predicate_zextload
/* 26306*/     OPC_CheckPredicate, 4, // Predicate_zextloadi32
/* 26308*/     OPC_CheckType, MVT::i64,
/* 26310*/     OPC_Scope, 27, /*->26339*/ // 2 children in Scope
/* 26312*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 26314*/      OPC_EmitMergeInputChains1_0,
/* 26315*/      OPC_EmitInteger, MVT::i32, 0, 
/* 26318*/      OPC_EmitConvertToTarget, 1,
/* 26320*/      OPC_EmitInteger, MVT::i32, 0, 
/* 26323*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 26330*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD32_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 3/*#Ops*/, 2, 3, 5, 
                // Src: (ld:{ *:[i64] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi32>> - Complexity = 7
                // Dst: (LOAD32_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 26339*/     /*Scope*/ 27, /*->26367*/
/* 26340*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 26342*/      OPC_EmitMergeInputChains1_0,
/* 26343*/      OPC_EmitInteger, MVT::i32, 0, 
/* 26346*/      OPC_EmitConvertToTarget, 1,
/* 26348*/      OPC_EmitInteger, MVT::i64, 0, 
/* 26351*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 26358*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD32_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 3/*#Ops*/, 2, 3, 5, 
                // Src: (ld:{ *:[i64] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi32>> - Complexity = 7
                // Dst: (LOAD32_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 26367*/     0, /*End of Scope*/
/* 26368*/    /*Scope*/ 62|128,2/*318*/, /*->26688*/
/* 26370*/     OPC_CheckPredicate, 21, // Predicate_extload
/* 26372*/     OPC_SwitchType /*2 cases */, 124, MVT::i32,// ->26499
/* 26375*/      OPC_Scope, 60, /*->26437*/ // 2 children in Scope
/* 26377*/       OPC_CheckPredicate, 1, // Predicate_extloadi8
/* 26379*/       OPC_Scope, 27, /*->26408*/ // 2 children in Scope
/* 26381*/        OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 26383*/        OPC_EmitMergeInputChains1_0,
/* 26384*/        OPC_EmitInteger, MVT::i32, 0, 
/* 26387*/        OPC_EmitConvertToTarget, 1,
/* 26389*/        OPC_EmitInteger, MVT::i32, 0, 
/* 26392*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 26399*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_U_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i32, 3/*#Ops*/, 2, 3, 5, 
                  // Src: (ld:{ *:[i32] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>> - Complexity = 7
                  // Dst: (LOAD8_U_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 26408*/       /*Scope*/ 27, /*->26436*/
/* 26409*/        OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 26411*/        OPC_EmitMergeInputChains1_0,
/* 26412*/        OPC_EmitInteger, MVT::i32, 0, 
/* 26415*/        OPC_EmitConvertToTarget, 1,
/* 26417*/        OPC_EmitInteger, MVT::i64, 0, 
/* 26420*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 26427*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_U_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i32, 3/*#Ops*/, 2, 3, 5, 
                  // Src: (ld:{ *:[i32] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>> - Complexity = 7
                  // Dst: (LOAD8_U_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 26436*/       0, /*End of Scope*/
/* 26437*/      /*Scope*/ 60, /*->26498*/
/* 26438*/       OPC_CheckPredicate, 2, // Predicate_extloadi16
/* 26440*/       OPC_Scope, 27, /*->26469*/ // 2 children in Scope
/* 26442*/        OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 26444*/        OPC_EmitMergeInputChains1_0,
/* 26445*/        OPC_EmitInteger, MVT::i32, 0, 
/* 26448*/        OPC_EmitConvertToTarget, 1,
/* 26450*/        OPC_EmitInteger, MVT::i32, 0, 
/* 26453*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 26460*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_U_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i32, 3/*#Ops*/, 2, 3, 5, 
                  // Src: (ld:{ *:[i32] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>> - Complexity = 7
                  // Dst: (LOAD16_U_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 26469*/       /*Scope*/ 27, /*->26497*/
/* 26470*/        OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 26472*/        OPC_EmitMergeInputChains1_0,
/* 26473*/        OPC_EmitInteger, MVT::i32, 0, 
/* 26476*/        OPC_EmitConvertToTarget, 1,
/* 26478*/        OPC_EmitInteger, MVT::i64, 0, 
/* 26481*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 26488*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_U_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i32, 3/*#Ops*/, 2, 3, 5, 
                  // Src: (ld:{ *:[i32] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>> - Complexity = 7
                  // Dst: (LOAD16_U_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 26497*/       0, /*End of Scope*/
/* 26498*/      0, /*End of Scope*/
/* 26499*/     /*SwitchType*/ 57|128,1/*185*/, MVT::i64,// ->26687
/* 26502*/      OPC_Scope, 60, /*->26564*/ // 3 children in Scope
/* 26504*/       OPC_CheckPredicate, 1, // Predicate_extloadi8
/* 26506*/       OPC_Scope, 27, /*->26535*/ // 2 children in Scope
/* 26508*/        OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 26510*/        OPC_EmitMergeInputChains1_0,
/* 26511*/        OPC_EmitInteger, MVT::i32, 0, 
/* 26514*/        OPC_EmitConvertToTarget, 1,
/* 26516*/        OPC_EmitInteger, MVT::i32, 0, 
/* 26519*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 26526*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 2, 3, 5, 
                  // Src: (ld:{ *:[i64] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>> - Complexity = 7
                  // Dst: (LOAD8_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 26535*/       /*Scope*/ 27, /*->26563*/
/* 26536*/        OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 26538*/        OPC_EmitMergeInputChains1_0,
/* 26539*/        OPC_EmitInteger, MVT::i32, 0, 
/* 26542*/        OPC_EmitConvertToTarget, 1,
/* 26544*/        OPC_EmitInteger, MVT::i64, 0, 
/* 26547*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 26554*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 2, 3, 5, 
                  // Src: (ld:{ *:[i64] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>> - Complexity = 7
                  // Dst: (LOAD8_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 26563*/       0, /*End of Scope*/
/* 26564*/      /*Scope*/ 60, /*->26625*/
/* 26565*/       OPC_CheckPredicate, 2, // Predicate_extloadi16
/* 26567*/       OPC_Scope, 27, /*->26596*/ // 2 children in Scope
/* 26569*/        OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 26571*/        OPC_EmitMergeInputChains1_0,
/* 26572*/        OPC_EmitInteger, MVT::i32, 0, 
/* 26575*/        OPC_EmitConvertToTarget, 1,
/* 26577*/        OPC_EmitInteger, MVT::i32, 0, 
/* 26580*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 26587*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 2, 3, 5, 
                  // Src: (ld:{ *:[i64] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>> - Complexity = 7
                  // Dst: (LOAD16_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 26596*/       /*Scope*/ 27, /*->26624*/
/* 26597*/        OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 26599*/        OPC_EmitMergeInputChains1_0,
/* 26600*/        OPC_EmitInteger, MVT::i32, 0, 
/* 26603*/        OPC_EmitConvertToTarget, 1,
/* 26605*/        OPC_EmitInteger, MVT::i64, 0, 
/* 26608*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 26615*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 2, 3, 5, 
                  // Src: (ld:{ *:[i64] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>> - Complexity = 7
                  // Dst: (LOAD16_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 26624*/       0, /*End of Scope*/
/* 26625*/      /*Scope*/ 60, /*->26686*/
/* 26626*/       OPC_CheckPredicate, 4, // Predicate_extloadi32
/* 26628*/       OPC_Scope, 27, /*->26657*/ // 2 children in Scope
/* 26630*/        OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 26632*/        OPC_EmitMergeInputChains1_0,
/* 26633*/        OPC_EmitInteger, MVT::i32, 0, 
/* 26636*/        OPC_EmitConvertToTarget, 1,
/* 26638*/        OPC_EmitInteger, MVT::i32, 0, 
/* 26641*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                      MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 26648*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD32_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 2, 3, 5, 
                  // Src: (ld:{ *:[i64] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi32>> - Complexity = 7
                  // Dst: (LOAD32_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 26657*/       /*Scope*/ 27, /*->26685*/
/* 26658*/        OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 26660*/        OPC_EmitMergeInputChains1_0,
/* 26661*/        OPC_EmitInteger, MVT::i32, 0, 
/* 26664*/        OPC_EmitConvertToTarget, 1,
/* 26666*/        OPC_EmitInteger, MVT::i64, 0, 
/* 26669*/        OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                      MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 26676*/        OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD32_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                      MVT::i64, 3/*#Ops*/, 2, 3, 5, 
                  // Src: (ld:{ *:[i64] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi32>> - Complexity = 7
                  // Dst: (LOAD32_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 26685*/       0, /*End of Scope*/
/* 26686*/      0, /*End of Scope*/
/* 26687*/     0, // EndSwitchType
/* 26688*/    0, /*End of Scope*/
/* 26689*/   /*Scope*/ 35|128,3/*419*/, /*->27110*/
/* 26691*/    OPC_CheckChild1Type, MVT::i32,
/* 26693*/    OPC_CheckPredicate, 17, // Predicate_unindexedload
/* 26695*/    OPC_Scope, 44, /*->26741*/ // 12 children in Scope
/* 26697*/     OPC_CheckPredicate, 18, // Predicate_load
/* 26699*/     OPC_SwitchType /*2 cases */, 18, MVT::i32,// ->26720
/* 26702*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 26704*/      OPC_EmitMergeInputChains1_0,
/* 26705*/      OPC_EmitInteger, MVT::i32, 0, 
/* 26708*/      OPC_EmitInteger, MVT::i32, 0, 
/* 26711*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 3/*#Ops*/, 2, 3, 1, 
                // Src: (ld:{ *:[i32] } I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 4
                // Dst: (LOAD_I32_A32:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr)
/* 26720*/     /*SwitchType*/ 18, MVT::i64,// ->26740
/* 26722*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 26724*/      OPC_EmitMergeInputChains1_0,
/* 26725*/      OPC_EmitInteger, MVT::i32, 0, 
/* 26728*/      OPC_EmitInteger, MVT::i32, 0, 
/* 26731*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 3/*#Ops*/, 2, 3, 1, 
                // Src: (ld:{ *:[i64] } I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 4
                // Dst: (LOAD_I64_A32:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr)
/* 26740*/     0, // EndSwitchType
/* 26741*/    /*Scope*/ 24, /*->26766*/
/* 26742*/     OPC_CheckPredicate, 19, // Predicate_sextload
/* 26744*/     OPC_CheckPredicate, 1, // Predicate_sextloadi8
/* 26746*/     OPC_CheckType, MVT::i32,
/* 26748*/     OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 26750*/     OPC_EmitMergeInputChains1_0,
/* 26751*/     OPC_EmitInteger, MVT::i32, 0, 
/* 26754*/     OPC_EmitInteger, MVT::i32, 0, 
/* 26757*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_S_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::i32, 3/*#Ops*/, 2, 3, 1, 
               // Src: (ld:{ *:[i32] } I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>> - Complexity = 4
               // Dst: (LOAD8_S_I32_A32:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr)
/* 26766*/    /*Scope*/ 24, /*->26791*/
/* 26767*/     OPC_CheckPredicate, 20, // Predicate_zextload
/* 26769*/     OPC_CheckPredicate, 1, // Predicate_zextloadi8
/* 26771*/     OPC_CheckType, MVT::i32,
/* 26773*/     OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 26775*/     OPC_EmitMergeInputChains1_0,
/* 26776*/     OPC_EmitInteger, MVT::i32, 0, 
/* 26779*/     OPC_EmitInteger, MVT::i32, 0, 
/* 26782*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_U_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::i32, 3/*#Ops*/, 2, 3, 1, 
               // Src: (ld:{ *:[i32] } I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>> - Complexity = 4
               // Dst: (LOAD8_U_I32_A32:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr)
/* 26791*/    /*Scope*/ 24, /*->26816*/
/* 26792*/     OPC_CheckPredicate, 19, // Predicate_sextload
/* 26794*/     OPC_CheckPredicate, 2, // Predicate_sextloadi16
/* 26796*/     OPC_CheckType, MVT::i32,
/* 26798*/     OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 26800*/     OPC_EmitMergeInputChains1_0,
/* 26801*/     OPC_EmitInteger, MVT::i32, 0, 
/* 26804*/     OPC_EmitInteger, MVT::i32, 0, 
/* 26807*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_S_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::i32, 3/*#Ops*/, 2, 3, 1, 
               // Src: (ld:{ *:[i32] } I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>> - Complexity = 4
               // Dst: (LOAD16_S_I32_A32:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr)
/* 26816*/    /*Scope*/ 24, /*->26841*/
/* 26817*/     OPC_CheckPredicate, 20, // Predicate_zextload
/* 26819*/     OPC_CheckPredicate, 2, // Predicate_zextloadi16
/* 26821*/     OPC_CheckType, MVT::i32,
/* 26823*/     OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 26825*/     OPC_EmitMergeInputChains1_0,
/* 26826*/     OPC_EmitInteger, MVT::i32, 0, 
/* 26829*/     OPC_EmitInteger, MVT::i32, 0, 
/* 26832*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_U_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::i32, 3/*#Ops*/, 2, 3, 1, 
               // Src: (ld:{ *:[i32] } I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>> - Complexity = 4
               // Dst: (LOAD16_U_I32_A32:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr)
/* 26841*/    /*Scope*/ 24, /*->26866*/
/* 26842*/     OPC_CheckPredicate, 19, // Predicate_sextload
/* 26844*/     OPC_CheckPredicate, 1, // Predicate_sextloadi8
/* 26846*/     OPC_CheckType, MVT::i64,
/* 26848*/     OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 26850*/     OPC_EmitMergeInputChains1_0,
/* 26851*/     OPC_EmitInteger, MVT::i32, 0, 
/* 26854*/     OPC_EmitInteger, MVT::i32, 0, 
/* 26857*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_S_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::i64, 3/*#Ops*/, 2, 3, 1, 
               // Src: (ld:{ *:[i64] } I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>> - Complexity = 4
               // Dst: (LOAD8_S_I64_A32:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr)
/* 26866*/    /*Scope*/ 24, /*->26891*/
/* 26867*/     OPC_CheckPredicate, 20, // Predicate_zextload
/* 26869*/     OPC_CheckPredicate, 1, // Predicate_zextloadi8
/* 26871*/     OPC_CheckType, MVT::i64,
/* 26873*/     OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 26875*/     OPC_EmitMergeInputChains1_0,
/* 26876*/     OPC_EmitInteger, MVT::i32, 0, 
/* 26879*/     OPC_EmitInteger, MVT::i32, 0, 
/* 26882*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::i64, 3/*#Ops*/, 2, 3, 1, 
               // Src: (ld:{ *:[i64] } I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>> - Complexity = 4
               // Dst: (LOAD8_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr)
/* 26891*/    /*Scope*/ 24, /*->26916*/
/* 26892*/     OPC_CheckPredicate, 19, // Predicate_sextload
/* 26894*/     OPC_CheckPredicate, 2, // Predicate_sextloadi16
/* 26896*/     OPC_CheckType, MVT::i64,
/* 26898*/     OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 26900*/     OPC_EmitMergeInputChains1_0,
/* 26901*/     OPC_EmitInteger, MVT::i32, 0, 
/* 26904*/     OPC_EmitInteger, MVT::i32, 0, 
/* 26907*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_S_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::i64, 3/*#Ops*/, 2, 3, 1, 
               // Src: (ld:{ *:[i64] } I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>> - Complexity = 4
               // Dst: (LOAD16_S_I64_A32:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr)
/* 26916*/    /*Scope*/ 24, /*->26941*/
/* 26917*/     OPC_CheckPredicate, 20, // Predicate_zextload
/* 26919*/     OPC_CheckPredicate, 2, // Predicate_zextloadi16
/* 26921*/     OPC_CheckType, MVT::i64,
/* 26923*/     OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 26925*/     OPC_EmitMergeInputChains1_0,
/* 26926*/     OPC_EmitInteger, MVT::i32, 0, 
/* 26929*/     OPC_EmitInteger, MVT::i32, 0, 
/* 26932*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::i64, 3/*#Ops*/, 2, 3, 1, 
               // Src: (ld:{ *:[i64] } I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>> - Complexity = 4
               // Dst: (LOAD16_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr)
/* 26941*/    /*Scope*/ 24, /*->26966*/
/* 26942*/     OPC_CheckPredicate, 19, // Predicate_sextload
/* 26944*/     OPC_CheckPredicate, 4, // Predicate_sextloadi32
/* 26946*/     OPC_CheckType, MVT::i64,
/* 26948*/     OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 26950*/     OPC_EmitMergeInputChains1_0,
/* 26951*/     OPC_EmitInteger, MVT::i32, 0, 
/* 26954*/     OPC_EmitInteger, MVT::i32, 0, 
/* 26957*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD32_S_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::i64, 3/*#Ops*/, 2, 3, 1, 
               // Src: (ld:{ *:[i64] } I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi32>> - Complexity = 4
               // Dst: (LOAD32_S_I64_A32:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr)
/* 26966*/    /*Scope*/ 24, /*->26991*/
/* 26967*/     OPC_CheckPredicate, 20, // Predicate_zextload
/* 26969*/     OPC_CheckPredicate, 4, // Predicate_zextloadi32
/* 26971*/     OPC_CheckType, MVT::i64,
/* 26973*/     OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 26975*/     OPC_EmitMergeInputChains1_0,
/* 26976*/     OPC_EmitInteger, MVT::i32, 0, 
/* 26979*/     OPC_EmitInteger, MVT::i32, 0, 
/* 26982*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD32_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::i64, 3/*#Ops*/, 2, 3, 1, 
               // Src: (ld:{ *:[i64] } I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi32>> - Complexity = 4
               // Dst: (LOAD32_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr)
/* 26991*/    /*Scope*/ 117, /*->27109*/
/* 26992*/     OPC_CheckPredicate, 21, // Predicate_extload
/* 26994*/     OPC_SwitchType /*2 cases */, 44, MVT::i32,// ->27041
/* 26997*/      OPC_Scope, 20, /*->27019*/ // 2 children in Scope
/* 26999*/       OPC_CheckPredicate, 1, // Predicate_extloadi8
/* 27001*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 27003*/       OPC_EmitMergeInputChains1_0,
/* 27004*/       OPC_EmitInteger, MVT::i32, 0, 
/* 27007*/       OPC_EmitInteger, MVT::i32, 0, 
/* 27010*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_U_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 3/*#Ops*/, 2, 3, 1, 
                 // Src: (ld:{ *:[i32] } I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>> - Complexity = 4
                 // Dst: (LOAD8_U_I32_A32:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr)
/* 27019*/      /*Scope*/ 20, /*->27040*/
/* 27020*/       OPC_CheckPredicate, 2, // Predicate_extloadi16
/* 27022*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 27024*/       OPC_EmitMergeInputChains1_0,
/* 27025*/       OPC_EmitInteger, MVT::i32, 0, 
/* 27028*/       OPC_EmitInteger, MVT::i32, 0, 
/* 27031*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_U_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 3/*#Ops*/, 2, 3, 1, 
                 // Src: (ld:{ *:[i32] } I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>> - Complexity = 4
                 // Dst: (LOAD16_U_I32_A32:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr)
/* 27040*/      0, /*End of Scope*/
/* 27041*/     /*SwitchType*/ 65, MVT::i64,// ->27108
/* 27043*/      OPC_Scope, 20, /*->27065*/ // 3 children in Scope
/* 27045*/       OPC_CheckPredicate, 1, // Predicate_extloadi8
/* 27047*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 27049*/       OPC_EmitMergeInputChains1_0,
/* 27050*/       OPC_EmitInteger, MVT::i32, 0, 
/* 27053*/       OPC_EmitInteger, MVT::i32, 0, 
/* 27056*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 3/*#Ops*/, 2, 3, 1, 
                 // Src: (ld:{ *:[i64] } I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>> - Complexity = 4
                 // Dst: (LOAD8_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr)
/* 27065*/      /*Scope*/ 20, /*->27086*/
/* 27066*/       OPC_CheckPredicate, 2, // Predicate_extloadi16
/* 27068*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 27070*/       OPC_EmitMergeInputChains1_0,
/* 27071*/       OPC_EmitInteger, MVT::i32, 0, 
/* 27074*/       OPC_EmitInteger, MVT::i32, 0, 
/* 27077*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 3/*#Ops*/, 2, 3, 1, 
                 // Src: (ld:{ *:[i64] } I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>> - Complexity = 4
                 // Dst: (LOAD16_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr)
/* 27086*/      /*Scope*/ 20, /*->27107*/
/* 27087*/       OPC_CheckPredicate, 4, // Predicate_extloadi32
/* 27089*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 27091*/       OPC_EmitMergeInputChains1_0,
/* 27092*/       OPC_EmitInteger, MVT::i32, 0, 
/* 27095*/       OPC_EmitInteger, MVT::i32, 0, 
/* 27098*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD32_U_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 3/*#Ops*/, 2, 3, 1, 
                 // Src: (ld:{ *:[i64] } I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi32>> - Complexity = 4
                 // Dst: (LOAD32_U_I64_A32:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr)
/* 27107*/      0, /*End of Scope*/
/* 27108*/     0, // EndSwitchType
/* 27109*/    0, /*End of Scope*/
/* 27110*/   /*Scope*/ 35|128,3/*419*/, /*->27531*/
/* 27112*/    OPC_CheckChild1Type, MVT::i64,
/* 27114*/    OPC_CheckPredicate, 17, // Predicate_unindexedload
/* 27116*/    OPC_Scope, 44, /*->27162*/ // 12 children in Scope
/* 27118*/     OPC_CheckPredicate, 18, // Predicate_load
/* 27120*/     OPC_SwitchType /*2 cases */, 18, MVT::i32,// ->27141
/* 27123*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 27125*/      OPC_EmitMergeInputChains1_0,
/* 27126*/      OPC_EmitInteger, MVT::i32, 0, 
/* 27129*/      OPC_EmitInteger, MVT::i64, 0, 
/* 27132*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 3/*#Ops*/, 2, 3, 1, 
                // Src: (ld:{ *:[i32] } I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 4
                // Dst: (LOAD_I32_A64:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr)
/* 27141*/     /*SwitchType*/ 18, MVT::i64,// ->27161
/* 27143*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 27145*/      OPC_EmitMergeInputChains1_0,
/* 27146*/      OPC_EmitInteger, MVT::i32, 0, 
/* 27149*/      OPC_EmitInteger, MVT::i64, 0, 
/* 27152*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 3/*#Ops*/, 2, 3, 1, 
                // Src: (ld:{ *:[i64] } I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 4
                // Dst: (LOAD_I64_A64:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr)
/* 27161*/     0, // EndSwitchType
/* 27162*/    /*Scope*/ 24, /*->27187*/
/* 27163*/     OPC_CheckPredicate, 19, // Predicate_sextload
/* 27165*/     OPC_CheckPredicate, 1, // Predicate_sextloadi8
/* 27167*/     OPC_CheckType, MVT::i32,
/* 27169*/     OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 27171*/     OPC_EmitMergeInputChains1_0,
/* 27172*/     OPC_EmitInteger, MVT::i32, 0, 
/* 27175*/     OPC_EmitInteger, MVT::i64, 0, 
/* 27178*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_S_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::i32, 3/*#Ops*/, 2, 3, 1, 
               // Src: (ld:{ *:[i32] } I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>> - Complexity = 4
               // Dst: (LOAD8_S_I32_A64:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr)
/* 27187*/    /*Scope*/ 24, /*->27212*/
/* 27188*/     OPC_CheckPredicate, 20, // Predicate_zextload
/* 27190*/     OPC_CheckPredicate, 1, // Predicate_zextloadi8
/* 27192*/     OPC_CheckType, MVT::i32,
/* 27194*/     OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 27196*/     OPC_EmitMergeInputChains1_0,
/* 27197*/     OPC_EmitInteger, MVT::i32, 0, 
/* 27200*/     OPC_EmitInteger, MVT::i64, 0, 
/* 27203*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_U_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::i32, 3/*#Ops*/, 2, 3, 1, 
               // Src: (ld:{ *:[i32] } I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>> - Complexity = 4
               // Dst: (LOAD8_U_I32_A64:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr)
/* 27212*/    /*Scope*/ 24, /*->27237*/
/* 27213*/     OPC_CheckPredicate, 19, // Predicate_sextload
/* 27215*/     OPC_CheckPredicate, 2, // Predicate_sextloadi16
/* 27217*/     OPC_CheckType, MVT::i32,
/* 27219*/     OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 27221*/     OPC_EmitMergeInputChains1_0,
/* 27222*/     OPC_EmitInteger, MVT::i32, 0, 
/* 27225*/     OPC_EmitInteger, MVT::i64, 0, 
/* 27228*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_S_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::i32, 3/*#Ops*/, 2, 3, 1, 
               // Src: (ld:{ *:[i32] } I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>> - Complexity = 4
               // Dst: (LOAD16_S_I32_A64:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr)
/* 27237*/    /*Scope*/ 24, /*->27262*/
/* 27238*/     OPC_CheckPredicate, 20, // Predicate_zextload
/* 27240*/     OPC_CheckPredicate, 2, // Predicate_zextloadi16
/* 27242*/     OPC_CheckType, MVT::i32,
/* 27244*/     OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 27246*/     OPC_EmitMergeInputChains1_0,
/* 27247*/     OPC_EmitInteger, MVT::i32, 0, 
/* 27250*/     OPC_EmitInteger, MVT::i64, 0, 
/* 27253*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_U_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::i32, 3/*#Ops*/, 2, 3, 1, 
               // Src: (ld:{ *:[i32] } I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>> - Complexity = 4
               // Dst: (LOAD16_U_I32_A64:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr)
/* 27262*/    /*Scope*/ 24, /*->27287*/
/* 27263*/     OPC_CheckPredicate, 19, // Predicate_sextload
/* 27265*/     OPC_CheckPredicate, 1, // Predicate_sextloadi8
/* 27267*/     OPC_CheckType, MVT::i64,
/* 27269*/     OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 27271*/     OPC_EmitMergeInputChains1_0,
/* 27272*/     OPC_EmitInteger, MVT::i32, 0, 
/* 27275*/     OPC_EmitInteger, MVT::i64, 0, 
/* 27278*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_S_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::i64, 3/*#Ops*/, 2, 3, 1, 
               // Src: (ld:{ *:[i64] } I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>> - Complexity = 4
               // Dst: (LOAD8_S_I64_A64:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr)
/* 27287*/    /*Scope*/ 24, /*->27312*/
/* 27288*/     OPC_CheckPredicate, 20, // Predicate_zextload
/* 27290*/     OPC_CheckPredicate, 1, // Predicate_zextloadi8
/* 27292*/     OPC_CheckType, MVT::i64,
/* 27294*/     OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 27296*/     OPC_EmitMergeInputChains1_0,
/* 27297*/     OPC_EmitInteger, MVT::i32, 0, 
/* 27300*/     OPC_EmitInteger, MVT::i64, 0, 
/* 27303*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::i64, 3/*#Ops*/, 2, 3, 1, 
               // Src: (ld:{ *:[i64] } I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>> - Complexity = 4
               // Dst: (LOAD8_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr)
/* 27312*/    /*Scope*/ 24, /*->27337*/
/* 27313*/     OPC_CheckPredicate, 19, // Predicate_sextload
/* 27315*/     OPC_CheckPredicate, 2, // Predicate_sextloadi16
/* 27317*/     OPC_CheckType, MVT::i64,
/* 27319*/     OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 27321*/     OPC_EmitMergeInputChains1_0,
/* 27322*/     OPC_EmitInteger, MVT::i32, 0, 
/* 27325*/     OPC_EmitInteger, MVT::i64, 0, 
/* 27328*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_S_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::i64, 3/*#Ops*/, 2, 3, 1, 
               // Src: (ld:{ *:[i64] } I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>> - Complexity = 4
               // Dst: (LOAD16_S_I64_A64:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr)
/* 27337*/    /*Scope*/ 24, /*->27362*/
/* 27338*/     OPC_CheckPredicate, 20, // Predicate_zextload
/* 27340*/     OPC_CheckPredicate, 2, // Predicate_zextloadi16
/* 27342*/     OPC_CheckType, MVT::i64,
/* 27344*/     OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 27346*/     OPC_EmitMergeInputChains1_0,
/* 27347*/     OPC_EmitInteger, MVT::i32, 0, 
/* 27350*/     OPC_EmitInteger, MVT::i64, 0, 
/* 27353*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::i64, 3/*#Ops*/, 2, 3, 1, 
               // Src: (ld:{ *:[i64] } I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>> - Complexity = 4
               // Dst: (LOAD16_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr)
/* 27362*/    /*Scope*/ 24, /*->27387*/
/* 27363*/     OPC_CheckPredicate, 19, // Predicate_sextload
/* 27365*/     OPC_CheckPredicate, 4, // Predicate_sextloadi32
/* 27367*/     OPC_CheckType, MVT::i64,
/* 27369*/     OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 27371*/     OPC_EmitMergeInputChains1_0,
/* 27372*/     OPC_EmitInteger, MVT::i32, 0, 
/* 27375*/     OPC_EmitInteger, MVT::i64, 0, 
/* 27378*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD32_S_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::i64, 3/*#Ops*/, 2, 3, 1, 
               // Src: (ld:{ *:[i64] } I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi32>> - Complexity = 4
               // Dst: (LOAD32_S_I64_A64:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr)
/* 27387*/    /*Scope*/ 24, /*->27412*/
/* 27388*/     OPC_CheckPredicate, 20, // Predicate_zextload
/* 27390*/     OPC_CheckPredicate, 4, // Predicate_zextloadi32
/* 27392*/     OPC_CheckType, MVT::i64,
/* 27394*/     OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 27396*/     OPC_EmitMergeInputChains1_0,
/* 27397*/     OPC_EmitInteger, MVT::i32, 0, 
/* 27400*/     OPC_EmitInteger, MVT::i64, 0, 
/* 27403*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD32_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::i64, 3/*#Ops*/, 2, 3, 1, 
               // Src: (ld:{ *:[i64] } I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi32>> - Complexity = 4
               // Dst: (LOAD32_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr)
/* 27412*/    /*Scope*/ 117, /*->27530*/
/* 27413*/     OPC_CheckPredicate, 21, // Predicate_extload
/* 27415*/     OPC_SwitchType /*2 cases */, 44, MVT::i32,// ->27462
/* 27418*/      OPC_Scope, 20, /*->27440*/ // 2 children in Scope
/* 27420*/       OPC_CheckPredicate, 1, // Predicate_extloadi8
/* 27422*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 27424*/       OPC_EmitMergeInputChains1_0,
/* 27425*/       OPC_EmitInteger, MVT::i32, 0, 
/* 27428*/       OPC_EmitInteger, MVT::i64, 0, 
/* 27431*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_U_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 3/*#Ops*/, 2, 3, 1, 
                 // Src: (ld:{ *:[i32] } I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>> - Complexity = 4
                 // Dst: (LOAD8_U_I32_A64:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr)
/* 27440*/      /*Scope*/ 20, /*->27461*/
/* 27441*/       OPC_CheckPredicate, 2, // Predicate_extloadi16
/* 27443*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 27445*/       OPC_EmitMergeInputChains1_0,
/* 27446*/       OPC_EmitInteger, MVT::i32, 0, 
/* 27449*/       OPC_EmitInteger, MVT::i64, 0, 
/* 27452*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_U_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 3/*#Ops*/, 2, 3, 1, 
                 // Src: (ld:{ *:[i32] } I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>> - Complexity = 4
                 // Dst: (LOAD16_U_I32_A64:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr)
/* 27461*/      0, /*End of Scope*/
/* 27462*/     /*SwitchType*/ 65, MVT::i64,// ->27529
/* 27464*/      OPC_Scope, 20, /*->27486*/ // 3 children in Scope
/* 27466*/       OPC_CheckPredicate, 1, // Predicate_extloadi8
/* 27468*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 27470*/       OPC_EmitMergeInputChains1_0,
/* 27471*/       OPC_EmitInteger, MVT::i32, 0, 
/* 27474*/       OPC_EmitInteger, MVT::i64, 0, 
/* 27477*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 3/*#Ops*/, 2, 3, 1, 
                 // Src: (ld:{ *:[i64] } I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>> - Complexity = 4
                 // Dst: (LOAD8_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr)
/* 27486*/      /*Scope*/ 20, /*->27507*/
/* 27487*/       OPC_CheckPredicate, 2, // Predicate_extloadi16
/* 27489*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 27491*/       OPC_EmitMergeInputChains1_0,
/* 27492*/       OPC_EmitInteger, MVT::i32, 0, 
/* 27495*/       OPC_EmitInteger, MVT::i64, 0, 
/* 27498*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 3/*#Ops*/, 2, 3, 1, 
                 // Src: (ld:{ *:[i64] } I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>> - Complexity = 4
                 // Dst: (LOAD16_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr)
/* 27507*/      /*Scope*/ 20, /*->27528*/
/* 27508*/       OPC_CheckPredicate, 4, // Predicate_extloadi32
/* 27510*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 27512*/       OPC_EmitMergeInputChains1_0,
/* 27513*/       OPC_EmitInteger, MVT::i32, 0, 
/* 27516*/       OPC_EmitInteger, MVT::i64, 0, 
/* 27519*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD32_U_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i64, 3/*#Ops*/, 2, 3, 1, 
                 // Src: (ld:{ *:[i64] } I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi32>> - Complexity = 4
                 // Dst: (LOAD32_U_I64_A64:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr)
/* 27528*/      0, /*End of Scope*/
/* 27529*/     0, // EndSwitchType
/* 27530*/    0, /*End of Scope*/
/* 27531*/   0, /*End of Scope*/
/* 27532*/  /*Scope*/ 91|128,2/*347*/, /*->27881*/
/* 27534*/   OPC_MoveChild1,
/* 27535*/   OPC_SwitchOpcode /*3 cases */, 105, TARGET_VAL(ISD::ADD),// ->27644
/* 27539*/    OPC_RecordChild0, // #1 = $addr
/* 27540*/    OPC_RecordChild1, // #2 = $off
/* 27541*/    OPC_MoveChild1,
/* 27542*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 27545*/    OPC_MoveParent,
/* 27546*/    OPC_CheckPredicate, 0, // Predicate_regPlusImm
/* 27548*/    OPC_SwitchType /*2 cases */, 45, MVT::i32,// ->27596
/* 27551*/     OPC_MoveParent,
/* 27552*/     OPC_CheckPredicate, 17, // Predicate_unindexedload
/* 27554*/     OPC_CheckPredicate, 18, // Predicate_load
/* 27556*/     OPC_SwitchType /*2 cases */, 17, MVT::f32,// ->27576
/* 27559*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 27561*/      OPC_EmitMergeInputChains1_0,
/* 27562*/      OPC_EmitInteger, MVT::i32, 0, 
/* 27565*/      OPC_EmitConvertToTarget, 2,
/* 27567*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_F32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::f32, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[f32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 11
                // Dst: (LOAD_F32_A32:{ *:[f32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 27576*/     /*SwitchType*/ 17, MVT::f64,// ->27595
/* 27578*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 27580*/      OPC_EmitMergeInputChains1_0,
/* 27581*/      OPC_EmitInteger, MVT::i32, 0, 
/* 27584*/      OPC_EmitConvertToTarget, 2,
/* 27586*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_F64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::f64, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[f64] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 11
                // Dst: (LOAD_F64_A32:{ *:[f64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 27595*/     0, // EndSwitchType
/* 27596*/    /*SwitchType*/ 45, MVT::i64,// ->27643
/* 27598*/     OPC_MoveParent,
/* 27599*/     OPC_CheckPredicate, 17, // Predicate_unindexedload
/* 27601*/     OPC_CheckPredicate, 18, // Predicate_load
/* 27603*/     OPC_SwitchType /*2 cases */, 17, MVT::f32,// ->27623
/* 27606*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 27608*/      OPC_EmitMergeInputChains1_0,
/* 27609*/      OPC_EmitInteger, MVT::i32, 0, 
/* 27612*/      OPC_EmitConvertToTarget, 2,
/* 27614*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_F32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::f32, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[f32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 11
                // Dst: (LOAD_F32_A64:{ *:[f32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 27623*/     /*SwitchType*/ 17, MVT::f64,// ->27642
/* 27625*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 27627*/      OPC_EmitMergeInputChains1_0,
/* 27628*/      OPC_EmitInteger, MVT::i32, 0, 
/* 27631*/      OPC_EmitConvertToTarget, 2,
/* 27633*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_F64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::f64, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[f64] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 11
                // Dst: (LOAD_F64_A64:{ *:[f64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 27642*/     0, // EndSwitchType
/* 27643*/    0, // EndSwitchType
/* 27644*/   /*SwitchOpcode*/ 105, TARGET_VAL(ISD::OR),// ->27752
/* 27647*/    OPC_RecordChild0, // #1 = $addr
/* 27648*/    OPC_RecordChild1, // #2 = $off
/* 27649*/    OPC_MoveChild1,
/* 27650*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 27653*/    OPC_MoveParent,
/* 27654*/    OPC_CheckPredicate, 3, // Predicate_or_is_add
/* 27656*/    OPC_SwitchType /*2 cases */, 45, MVT::i32,// ->27704
/* 27659*/     OPC_MoveParent,
/* 27660*/     OPC_CheckPredicate, 17, // Predicate_unindexedload
/* 27662*/     OPC_CheckPredicate, 18, // Predicate_load
/* 27664*/     OPC_SwitchType /*2 cases */, 17, MVT::f32,// ->27684
/* 27667*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 27669*/      OPC_EmitMergeInputChains1_0,
/* 27670*/      OPC_EmitInteger, MVT::i32, 0, 
/* 27673*/      OPC_EmitConvertToTarget, 2,
/* 27675*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_F32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::f32, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[f32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 11
                // Dst: (LOAD_F32_A32:{ *:[f32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 27684*/     /*SwitchType*/ 17, MVT::f64,// ->27703
/* 27686*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 27688*/      OPC_EmitMergeInputChains1_0,
/* 27689*/      OPC_EmitInteger, MVT::i32, 0, 
/* 27692*/      OPC_EmitConvertToTarget, 2,
/* 27694*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_F64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::f64, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[f64] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 11
                // Dst: (LOAD_F64_A32:{ *:[f64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 27703*/     0, // EndSwitchType
/* 27704*/    /*SwitchType*/ 45, MVT::i64,// ->27751
/* 27706*/     OPC_MoveParent,
/* 27707*/     OPC_CheckPredicate, 17, // Predicate_unindexedload
/* 27709*/     OPC_CheckPredicate, 18, // Predicate_load
/* 27711*/     OPC_SwitchType /*2 cases */, 17, MVT::f32,// ->27731
/* 27714*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 27716*/      OPC_EmitMergeInputChains1_0,
/* 27717*/      OPC_EmitInteger, MVT::i32, 0, 
/* 27720*/      OPC_EmitConvertToTarget, 2,
/* 27722*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_F32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::f32, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[f32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 11
                // Dst: (LOAD_F32_A64:{ *:[f32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 27731*/     /*SwitchType*/ 17, MVT::f64,// ->27750
/* 27733*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 27735*/      OPC_EmitMergeInputChains1_0,
/* 27736*/      OPC_EmitInteger, MVT::i32, 0, 
/* 27739*/      OPC_EmitConvertToTarget, 2,
/* 27741*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_F64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::f64, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[f64] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 11
                // Dst: (LOAD_F64_A64:{ *:[f64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 27750*/     0, // EndSwitchType
/* 27751*/    0, // EndSwitchType
/* 27752*/   /*SwitchOpcode*/ 125, TARGET_VAL(WebAssemblyISD::Wrapper),// ->27880
/* 27755*/    OPC_RecordChild0, // #1 = $off
/* 27756*/    OPC_MoveChild0,
/* 27757*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 27760*/    OPC_MoveParent,
/* 27761*/    OPC_MoveParent,
/* 27762*/    OPC_CheckPredicate, 17, // Predicate_unindexedload
/* 27764*/    OPC_CheckPredicate, 18, // Predicate_load
/* 27766*/    OPC_SwitchType /*2 cases */, 54, MVT::f32,// ->27823
/* 27769*/     OPC_Scope, 25, /*->27796*/ // 2 children in Scope
/* 27771*/      OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 27773*/      OPC_EmitMergeInputChains1_0,
/* 27774*/      OPC_EmitInteger, MVT::i32, 0, 
/* 27777*/      OPC_EmitInteger, MVT::i32, 0, 
/* 27780*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 3,  // Results = #4
/* 27787*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_F32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::f32, 3/*#Ops*/, 2, 1, 4, 
                // Src: (ld:{ *:[f32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 10
                // Dst: (LOAD_F32_A32:{ *:[f32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 27796*/     /*Scope*/ 25, /*->27822*/
/* 27797*/      OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 27799*/      OPC_EmitMergeInputChains1_0,
/* 27800*/      OPC_EmitInteger, MVT::i32, 0, 
/* 27803*/      OPC_EmitInteger, MVT::i64, 0, 
/* 27806*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 3,  // Results = #4
/* 27813*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_F32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::f32, 3/*#Ops*/, 2, 1, 4, 
                // Src: (ld:{ *:[f32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 10
                // Dst: (LOAD_F32_A64:{ *:[f32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 27822*/     0, /*End of Scope*/
/* 27823*/    /*SwitchType*/ 54, MVT::f64,// ->27879
/* 27825*/     OPC_Scope, 25, /*->27852*/ // 2 children in Scope
/* 27827*/      OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 27829*/      OPC_EmitMergeInputChains1_0,
/* 27830*/      OPC_EmitInteger, MVT::i32, 0, 
/* 27833*/      OPC_EmitInteger, MVT::i32, 0, 
/* 27836*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 3,  // Results = #4
/* 27843*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_F64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::f64, 3/*#Ops*/, 2, 1, 4, 
                // Src: (ld:{ *:[f64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 10
                // Dst: (LOAD_F64_A32:{ *:[f64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 27852*/     /*Scope*/ 25, /*->27878*/
/* 27853*/      OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 27855*/      OPC_EmitMergeInputChains1_0,
/* 27856*/      OPC_EmitInteger, MVT::i32, 0, 
/* 27859*/      OPC_EmitInteger, MVT::i64, 0, 
/* 27862*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 3,  // Results = #4
/* 27869*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_F64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::f64, 3/*#Ops*/, 2, 1, 4, 
                // Src: (ld:{ *:[f64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 10
                // Dst: (LOAD_F64_A64:{ *:[f64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 27878*/     0, /*End of Scope*/
/* 27879*/    0, // EndSwitchType
/* 27880*/   0, // EndSwitchOpcode
/* 27881*/  /*Scope*/ 106|128,1/*234*/, /*->28117*/
/* 27883*/   OPC_RecordChild1, // #1 = $off
/* 27884*/   OPC_Scope, 3|128,1/*131*/, /*->28018*/ // 3 children in Scope
/* 27887*/    OPC_MoveChild1,
/* 27888*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 27891*/    OPC_MoveParent,
/* 27892*/    OPC_CheckPredicate, 17, // Predicate_unindexedload
/* 27894*/    OPC_CheckPredicate, 18, // Predicate_load
/* 27896*/    OPC_SwitchType /*2 cases */, 58, MVT::f32,// ->27957
/* 27899*/     OPC_Scope, 27, /*->27928*/ // 2 children in Scope
/* 27901*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 27903*/      OPC_EmitMergeInputChains1_0,
/* 27904*/      OPC_EmitInteger, MVT::i32, 0, 
/* 27907*/      OPC_EmitConvertToTarget, 1,
/* 27909*/      OPC_EmitInteger, MVT::i32, 0, 
/* 27912*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 27919*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_F32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::f32, 3/*#Ops*/, 2, 3, 5, 
                // Src: (ld:{ *:[f32] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 7
                // Dst: (LOAD_F32_A32:{ *:[f32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 27928*/     /*Scope*/ 27, /*->27956*/
/* 27929*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 27931*/      OPC_EmitMergeInputChains1_0,
/* 27932*/      OPC_EmitInteger, MVT::i32, 0, 
/* 27935*/      OPC_EmitConvertToTarget, 1,
/* 27937*/      OPC_EmitInteger, MVT::i64, 0, 
/* 27940*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 27947*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_F32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::f32, 3/*#Ops*/, 2, 3, 5, 
                // Src: (ld:{ *:[f32] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 7
                // Dst: (LOAD_F32_A64:{ *:[f32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 27956*/     0, /*End of Scope*/
/* 27957*/    /*SwitchType*/ 58, MVT::f64,// ->28017
/* 27959*/     OPC_Scope, 27, /*->27988*/ // 2 children in Scope
/* 27961*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 27963*/      OPC_EmitMergeInputChains1_0,
/* 27964*/      OPC_EmitInteger, MVT::i32, 0, 
/* 27967*/      OPC_EmitConvertToTarget, 1,
/* 27969*/      OPC_EmitInteger, MVT::i32, 0, 
/* 27972*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 27979*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_F64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::f64, 3/*#Ops*/, 2, 3, 5, 
                // Src: (ld:{ *:[f64] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 7
                // Dst: (LOAD_F64_A32:{ *:[f64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 27988*/     /*Scope*/ 27, /*->28016*/
/* 27989*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 27991*/      OPC_EmitMergeInputChains1_0,
/* 27992*/      OPC_EmitInteger, MVT::i32, 0, 
/* 27995*/      OPC_EmitConvertToTarget, 1,
/* 27997*/      OPC_EmitInteger, MVT::i64, 0, 
/* 28000*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 28007*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_F64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::f64, 3/*#Ops*/, 2, 3, 5, 
                // Src: (ld:{ *:[f64] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 7
                // Dst: (LOAD_F64_A64:{ *:[f64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 28016*/     0, /*End of Scope*/
/* 28017*/    0, // EndSwitchType
/* 28018*/   /*Scope*/ 48, /*->28067*/
/* 28019*/    OPC_CheckChild1Type, MVT::i32,
/* 28021*/    OPC_CheckPredicate, 17, // Predicate_unindexedload
/* 28023*/    OPC_CheckPredicate, 18, // Predicate_load
/* 28025*/    OPC_SwitchType /*2 cases */, 18, MVT::f32,// ->28046
/* 28028*/     OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 28030*/     OPC_EmitMergeInputChains1_0,
/* 28031*/     OPC_EmitInteger, MVT::i32, 0, 
/* 28034*/     OPC_EmitInteger, MVT::i32, 0, 
/* 28037*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_F32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::f32, 3/*#Ops*/, 2, 3, 1, 
               // Src: (ld:{ *:[f32] } I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 4
               // Dst: (LOAD_F32_A32:{ *:[f32] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr)
/* 28046*/    /*SwitchType*/ 18, MVT::f64,// ->28066
/* 28048*/     OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 28050*/     OPC_EmitMergeInputChains1_0,
/* 28051*/     OPC_EmitInteger, MVT::i32, 0, 
/* 28054*/     OPC_EmitInteger, MVT::i32, 0, 
/* 28057*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_F64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::f64, 3/*#Ops*/, 2, 3, 1, 
               // Src: (ld:{ *:[f64] } I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 4
               // Dst: (LOAD_F64_A32:{ *:[f64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr)
/* 28066*/    0, // EndSwitchType
/* 28067*/   /*Scope*/ 48, /*->28116*/
/* 28068*/    OPC_CheckChild1Type, MVT::i64,
/* 28070*/    OPC_CheckPredicate, 17, // Predicate_unindexedload
/* 28072*/    OPC_CheckPredicate, 18, // Predicate_load
/* 28074*/    OPC_SwitchType /*2 cases */, 18, MVT::f32,// ->28095
/* 28077*/     OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 28079*/     OPC_EmitMergeInputChains1_0,
/* 28080*/     OPC_EmitInteger, MVT::i32, 0, 
/* 28083*/     OPC_EmitInteger, MVT::i64, 0, 
/* 28086*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_F32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::f32, 3/*#Ops*/, 2, 3, 1, 
               // Src: (ld:{ *:[f32] } I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 4
               // Dst: (LOAD_F32_A64:{ *:[f32] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr)
/* 28095*/    /*SwitchType*/ 18, MVT::f64,// ->28115
/* 28097*/     OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 28099*/     OPC_EmitMergeInputChains1_0,
/* 28100*/     OPC_EmitInteger, MVT::i32, 0, 
/* 28103*/     OPC_EmitInteger, MVT::i64, 0, 
/* 28106*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_F64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::f64, 3/*#Ops*/, 2, 3, 1, 
               // Src: (ld:{ *:[f64] } I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 4
               // Dst: (LOAD_F64_A64:{ *:[f64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr)
/* 28115*/    0, // EndSwitchType
/* 28116*/   0, /*End of Scope*/
/* 28117*/  /*Scope*/ 127|128,15/*2047*/, /*->30166*/
/* 28119*/   OPC_MoveChild1,
/* 28120*/   OPC_SwitchOpcode /*3 cases */, 109|128,4/*621*/, TARGET_VAL(ISD::ADD),// ->28746
/* 28125*/    OPC_RecordChild0, // #1 = $addr
/* 28126*/    OPC_RecordChild1, // #2 = $off
/* 28127*/    OPC_MoveChild1,
/* 28128*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 28131*/    OPC_MoveParent,
/* 28132*/    OPC_CheckPredicate, 0, // Predicate_regPlusImm
/* 28134*/    OPC_SwitchType /*2 cases */, 46|128,2/*302*/, MVT::i32,// ->28440
/* 28138*/     OPC_MoveParent,
/* 28139*/     OPC_CheckPredicate, 17, // Predicate_unindexedload
/* 28141*/     OPC_Scope, 80, /*->28223*/ // 10 children in Scope
/* 28143*/      OPC_CheckPredicate, 18, // Predicate_load
/* 28145*/      OPC_SwitchType /*4 cases */, 17, MVT::v16i8,// ->28165
/* 28148*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 28150*/       OPC_EmitMergeInputChains1_0,
/* 28151*/       OPC_EmitInteger, MVT::i32, 0, 
/* 28154*/       OPC_EmitConvertToTarget, 2,
/* 28156*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::v16i8, 3/*#Ops*/, 3, 4, 1, 
                 // Src: (ld:{ *:[v16i8] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 11
                 // Dst: (LOAD_V128_A32:{ *:[v16i8] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 28165*/      /*SwitchType*/ 17, MVT::v8i16,// ->28184
/* 28167*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 28169*/       OPC_EmitMergeInputChains1_0,
/* 28170*/       OPC_EmitInteger, MVT::i32, 0, 
/* 28173*/       OPC_EmitConvertToTarget, 2,
/* 28175*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::v8i16, 3/*#Ops*/, 3, 4, 1, 
                 // Src: (ld:{ *:[v8i16] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 11
                 // Dst: (LOAD_V128_A32:{ *:[v8i16] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 28184*/      /*SwitchType*/ 17, MVT::v4i32,// ->28203
/* 28186*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 28188*/       OPC_EmitMergeInputChains1_0,
/* 28189*/       OPC_EmitInteger, MVT::i32, 0, 
/* 28192*/       OPC_EmitConvertToTarget, 2,
/* 28194*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::v4i32, 3/*#Ops*/, 3, 4, 1, 
                 // Src: (ld:{ *:[v4i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 11
                 // Dst: (LOAD_V128_A32:{ *:[v4i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 28203*/      /*SwitchType*/ 17, MVT::v2i64,// ->28222
/* 28205*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 28207*/       OPC_EmitMergeInputChains1_0,
/* 28208*/       OPC_EmitInteger, MVT::i32, 0, 
/* 28211*/       OPC_EmitConvertToTarget, 2,
/* 28213*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::v2i64, 3/*#Ops*/, 3, 4, 1, 
                 // Src: (ld:{ *:[v2i64] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 11
                 // Dst: (LOAD_V128_A32:{ *:[v2i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 28222*/      0, // EndSwitchType
/* 28223*/     /*Scope*/ 23, /*->28247*/
/* 28224*/      OPC_CheckPredicate, 19, // Predicate_sextload
/* 28226*/      OPC_CheckPredicate, 22, // Predicate_sextloadvi8
/* 28228*/      OPC_CheckType, MVT::v8i16,
/* 28230*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 28232*/      OPC_EmitMergeInputChains1_0,
/* 28233*/      OPC_EmitInteger, MVT::i32, 0, 
/* 28236*/      OPC_EmitConvertToTarget, 2,
/* 28238*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_S_I16x8_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v8i16, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[v8i16] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadvi8>> - Complexity = 11
                // Dst: (LOAD_EXTEND_S_I16x8_A32:{ *:[v8i16] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 28247*/     /*Scope*/ 23, /*->28271*/
/* 28248*/      OPC_CheckPredicate, 20, // Predicate_zextload
/* 28250*/      OPC_CheckPredicate, 22, // Predicate_zextloadvi8
/* 28252*/      OPC_CheckType, MVT::v8i16,
/* 28254*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 28256*/      OPC_EmitMergeInputChains1_0,
/* 28257*/      OPC_EmitInteger, MVT::i32, 0, 
/* 28260*/      OPC_EmitConvertToTarget, 2,
/* 28262*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I16x8_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v8i16, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[v8i16] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadvi8>> - Complexity = 11
                // Dst: (LOAD_EXTEND_U_I16x8_A32:{ *:[v8i16] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 28271*/     /*Scope*/ 23, /*->28295*/
/* 28272*/      OPC_CheckPredicate, 21, // Predicate_extload
/* 28274*/      OPC_CheckPredicate, 22, // Predicate_extloadvi8
/* 28276*/      OPC_CheckType, MVT::v8i16,
/* 28278*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 28280*/      OPC_EmitMergeInputChains1_0,
/* 28281*/      OPC_EmitInteger, MVT::i32, 0, 
/* 28284*/      OPC_EmitConvertToTarget, 2,
/* 28286*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I16x8_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v8i16, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[v8i16] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadvi8>> - Complexity = 11
                // Dst: (LOAD_EXTEND_U_I16x8_A32:{ *:[v8i16] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 28295*/     /*Scope*/ 23, /*->28319*/
/* 28296*/      OPC_CheckPredicate, 19, // Predicate_sextload
/* 28298*/      OPC_CheckPredicate, 23, // Predicate_sextloadvi16
/* 28300*/      OPC_CheckType, MVT::v4i32,
/* 28302*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 28304*/      OPC_EmitMergeInputChains1_0,
/* 28305*/      OPC_EmitInteger, MVT::i32, 0, 
/* 28308*/      OPC_EmitConvertToTarget, 2,
/* 28310*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_S_I32x4_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v4i32, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[v4i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadvi16>> - Complexity = 11
                // Dst: (LOAD_EXTEND_S_I32x4_A32:{ *:[v4i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 28319*/     /*Scope*/ 23, /*->28343*/
/* 28320*/      OPC_CheckPredicate, 20, // Predicate_zextload
/* 28322*/      OPC_CheckPredicate, 23, // Predicate_zextloadvi16
/* 28324*/      OPC_CheckType, MVT::v4i32,
/* 28326*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 28328*/      OPC_EmitMergeInputChains1_0,
/* 28329*/      OPC_EmitInteger, MVT::i32, 0, 
/* 28332*/      OPC_EmitConvertToTarget, 2,
/* 28334*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I32x4_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v4i32, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[v4i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadvi16>> - Complexity = 11
                // Dst: (LOAD_EXTEND_U_I32x4_A32:{ *:[v4i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 28343*/     /*Scope*/ 23, /*->28367*/
/* 28344*/      OPC_CheckPredicate, 21, // Predicate_extload
/* 28346*/      OPC_CheckPredicate, 23, // Predicate_extloadvi16
/* 28348*/      OPC_CheckType, MVT::v4i32,
/* 28350*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 28352*/      OPC_EmitMergeInputChains1_0,
/* 28353*/      OPC_EmitInteger, MVT::i32, 0, 
/* 28356*/      OPC_EmitConvertToTarget, 2,
/* 28358*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I32x4_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v4i32, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[v4i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadvi16>> - Complexity = 11
                // Dst: (LOAD_EXTEND_U_I32x4_A32:{ *:[v4i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 28367*/     /*Scope*/ 23, /*->28391*/
/* 28368*/      OPC_CheckPredicate, 19, // Predicate_sextload
/* 28370*/      OPC_CheckPredicate, 24, // Predicate_sextloadvi32
/* 28372*/      OPC_CheckType, MVT::v2i64,
/* 28374*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 28376*/      OPC_EmitMergeInputChains1_0,
/* 28377*/      OPC_EmitInteger, MVT::i32, 0, 
/* 28380*/      OPC_EmitConvertToTarget, 2,
/* 28382*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_S_I64x2_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2i64, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[v2i64] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadvi32>> - Complexity = 11
                // Dst: (LOAD_EXTEND_S_I64x2_A32:{ *:[v2i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 28391*/     /*Scope*/ 23, /*->28415*/
/* 28392*/      OPC_CheckPredicate, 20, // Predicate_zextload
/* 28394*/      OPC_CheckPredicate, 24, // Predicate_zextloadvi32
/* 28396*/      OPC_CheckType, MVT::v2i64,
/* 28398*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 28400*/      OPC_EmitMergeInputChains1_0,
/* 28401*/      OPC_EmitInteger, MVT::i32, 0, 
/* 28404*/      OPC_EmitConvertToTarget, 2,
/* 28406*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I64x2_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2i64, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[v2i64] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadvi32>> - Complexity = 11
                // Dst: (LOAD_EXTEND_U_I64x2_A32:{ *:[v2i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 28415*/     /*Scope*/ 23, /*->28439*/
/* 28416*/      OPC_CheckPredicate, 21, // Predicate_extload
/* 28418*/      OPC_CheckPredicate, 24, // Predicate_extloadvi32
/* 28420*/      OPC_CheckType, MVT::v2i64,
/* 28422*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 28424*/      OPC_EmitMergeInputChains1_0,
/* 28425*/      OPC_EmitInteger, MVT::i32, 0, 
/* 28428*/      OPC_EmitConvertToTarget, 2,
/* 28430*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I64x2_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2i64, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[v2i64] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadvi32>> - Complexity = 11
                // Dst: (LOAD_EXTEND_U_I64x2_A32:{ *:[v2i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 28439*/     0, /*End of Scope*/
/* 28440*/    /*SwitchType*/ 46|128,2/*302*/, MVT::i64,// ->28745
/* 28443*/     OPC_MoveParent,
/* 28444*/     OPC_CheckPredicate, 17, // Predicate_unindexedload
/* 28446*/     OPC_Scope, 80, /*->28528*/ // 10 children in Scope
/* 28448*/      OPC_CheckPredicate, 18, // Predicate_load
/* 28450*/      OPC_SwitchType /*4 cases */, 17, MVT::v16i8,// ->28470
/* 28453*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 28455*/       OPC_EmitMergeInputChains1_0,
/* 28456*/       OPC_EmitInteger, MVT::i32, 0, 
/* 28459*/       OPC_EmitConvertToTarget, 2,
/* 28461*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::v16i8, 3/*#Ops*/, 3, 4, 1, 
                 // Src: (ld:{ *:[v16i8] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 11
                 // Dst: (LOAD_V128_A64:{ *:[v16i8] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 28470*/      /*SwitchType*/ 17, MVT::v8i16,// ->28489
/* 28472*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 28474*/       OPC_EmitMergeInputChains1_0,
/* 28475*/       OPC_EmitInteger, MVT::i32, 0, 
/* 28478*/       OPC_EmitConvertToTarget, 2,
/* 28480*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::v8i16, 3/*#Ops*/, 3, 4, 1, 
                 // Src: (ld:{ *:[v8i16] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 11
                 // Dst: (LOAD_V128_A64:{ *:[v8i16] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 28489*/      /*SwitchType*/ 17, MVT::v4i32,// ->28508
/* 28491*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 28493*/       OPC_EmitMergeInputChains1_0,
/* 28494*/       OPC_EmitInteger, MVT::i32, 0, 
/* 28497*/       OPC_EmitConvertToTarget, 2,
/* 28499*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::v4i32, 3/*#Ops*/, 3, 4, 1, 
                 // Src: (ld:{ *:[v4i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 11
                 // Dst: (LOAD_V128_A64:{ *:[v4i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 28508*/      /*SwitchType*/ 17, MVT::v2i64,// ->28527
/* 28510*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 28512*/       OPC_EmitMergeInputChains1_0,
/* 28513*/       OPC_EmitInteger, MVT::i32, 0, 
/* 28516*/       OPC_EmitConvertToTarget, 2,
/* 28518*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::v2i64, 3/*#Ops*/, 3, 4, 1, 
                 // Src: (ld:{ *:[v2i64] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 11
                 // Dst: (LOAD_V128_A64:{ *:[v2i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 28527*/      0, // EndSwitchType
/* 28528*/     /*Scope*/ 23, /*->28552*/
/* 28529*/      OPC_CheckPredicate, 19, // Predicate_sextload
/* 28531*/      OPC_CheckPredicate, 22, // Predicate_sextloadvi8
/* 28533*/      OPC_CheckType, MVT::v8i16,
/* 28535*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 28537*/      OPC_EmitMergeInputChains1_0,
/* 28538*/      OPC_EmitInteger, MVT::i32, 0, 
/* 28541*/      OPC_EmitConvertToTarget, 2,
/* 28543*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_S_I16x8_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v8i16, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[v8i16] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadvi8>> - Complexity = 11
                // Dst: (LOAD_EXTEND_S_I16x8_A64:{ *:[v8i16] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 28552*/     /*Scope*/ 23, /*->28576*/
/* 28553*/      OPC_CheckPredicate, 20, // Predicate_zextload
/* 28555*/      OPC_CheckPredicate, 22, // Predicate_zextloadvi8
/* 28557*/      OPC_CheckType, MVT::v8i16,
/* 28559*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 28561*/      OPC_EmitMergeInputChains1_0,
/* 28562*/      OPC_EmitInteger, MVT::i32, 0, 
/* 28565*/      OPC_EmitConvertToTarget, 2,
/* 28567*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I16x8_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v8i16, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[v8i16] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadvi8>> - Complexity = 11
                // Dst: (LOAD_EXTEND_U_I16x8_A64:{ *:[v8i16] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 28576*/     /*Scope*/ 23, /*->28600*/
/* 28577*/      OPC_CheckPredicate, 21, // Predicate_extload
/* 28579*/      OPC_CheckPredicate, 22, // Predicate_extloadvi8
/* 28581*/      OPC_CheckType, MVT::v8i16,
/* 28583*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 28585*/      OPC_EmitMergeInputChains1_0,
/* 28586*/      OPC_EmitInteger, MVT::i32, 0, 
/* 28589*/      OPC_EmitConvertToTarget, 2,
/* 28591*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I16x8_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v8i16, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[v8i16] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadvi8>> - Complexity = 11
                // Dst: (LOAD_EXTEND_U_I16x8_A64:{ *:[v8i16] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 28600*/     /*Scope*/ 23, /*->28624*/
/* 28601*/      OPC_CheckPredicate, 19, // Predicate_sextload
/* 28603*/      OPC_CheckPredicate, 23, // Predicate_sextloadvi16
/* 28605*/      OPC_CheckType, MVT::v4i32,
/* 28607*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 28609*/      OPC_EmitMergeInputChains1_0,
/* 28610*/      OPC_EmitInteger, MVT::i32, 0, 
/* 28613*/      OPC_EmitConvertToTarget, 2,
/* 28615*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_S_I32x4_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v4i32, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[v4i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadvi16>> - Complexity = 11
                // Dst: (LOAD_EXTEND_S_I32x4_A64:{ *:[v4i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 28624*/     /*Scope*/ 23, /*->28648*/
/* 28625*/      OPC_CheckPredicate, 20, // Predicate_zextload
/* 28627*/      OPC_CheckPredicate, 23, // Predicate_zextloadvi16
/* 28629*/      OPC_CheckType, MVT::v4i32,
/* 28631*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 28633*/      OPC_EmitMergeInputChains1_0,
/* 28634*/      OPC_EmitInteger, MVT::i32, 0, 
/* 28637*/      OPC_EmitConvertToTarget, 2,
/* 28639*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I32x4_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v4i32, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[v4i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadvi16>> - Complexity = 11
                // Dst: (LOAD_EXTEND_U_I32x4_A64:{ *:[v4i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 28648*/     /*Scope*/ 23, /*->28672*/
/* 28649*/      OPC_CheckPredicate, 21, // Predicate_extload
/* 28651*/      OPC_CheckPredicate, 23, // Predicate_extloadvi16
/* 28653*/      OPC_CheckType, MVT::v4i32,
/* 28655*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 28657*/      OPC_EmitMergeInputChains1_0,
/* 28658*/      OPC_EmitInteger, MVT::i32, 0, 
/* 28661*/      OPC_EmitConvertToTarget, 2,
/* 28663*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I32x4_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v4i32, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[v4i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadvi16>> - Complexity = 11
                // Dst: (LOAD_EXTEND_U_I32x4_A64:{ *:[v4i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 28672*/     /*Scope*/ 23, /*->28696*/
/* 28673*/      OPC_CheckPredicate, 19, // Predicate_sextload
/* 28675*/      OPC_CheckPredicate, 24, // Predicate_sextloadvi32
/* 28677*/      OPC_CheckType, MVT::v2i64,
/* 28679*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 28681*/      OPC_EmitMergeInputChains1_0,
/* 28682*/      OPC_EmitInteger, MVT::i32, 0, 
/* 28685*/      OPC_EmitConvertToTarget, 2,
/* 28687*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_S_I64x2_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2i64, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[v2i64] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadvi32>> - Complexity = 11
                // Dst: (LOAD_EXTEND_S_I64x2_A64:{ *:[v2i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 28696*/     /*Scope*/ 23, /*->28720*/
/* 28697*/      OPC_CheckPredicate, 20, // Predicate_zextload
/* 28699*/      OPC_CheckPredicate, 24, // Predicate_zextloadvi32
/* 28701*/      OPC_CheckType, MVT::v2i64,
/* 28703*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 28705*/      OPC_EmitMergeInputChains1_0,
/* 28706*/      OPC_EmitInteger, MVT::i32, 0, 
/* 28709*/      OPC_EmitConvertToTarget, 2,
/* 28711*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I64x2_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2i64, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[v2i64] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadvi32>> - Complexity = 11
                // Dst: (LOAD_EXTEND_U_I64x2_A64:{ *:[v2i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 28720*/     /*Scope*/ 23, /*->28744*/
/* 28721*/      OPC_CheckPredicate, 21, // Predicate_extload
/* 28723*/      OPC_CheckPredicate, 24, // Predicate_extloadvi32
/* 28725*/      OPC_CheckType, MVT::v2i64,
/* 28727*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 28729*/      OPC_EmitMergeInputChains1_0,
/* 28730*/      OPC_EmitInteger, MVT::i32, 0, 
/* 28733*/      OPC_EmitConvertToTarget, 2,
/* 28735*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I64x2_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2i64, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[v2i64] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadvi32>> - Complexity = 11
                // Dst: (LOAD_EXTEND_U_I64x2_A64:{ *:[v2i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 28744*/     0, /*End of Scope*/
/* 28745*/    0, // EndSwitchType
/* 28746*/   /*SwitchOpcode*/ 109|128,4/*621*/, TARGET_VAL(ISD::OR),// ->29371
/* 28750*/    OPC_RecordChild0, // #1 = $addr
/* 28751*/    OPC_RecordChild1, // #2 = $off
/* 28752*/    OPC_MoveChild1,
/* 28753*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 28756*/    OPC_MoveParent,
/* 28757*/    OPC_CheckPredicate, 3, // Predicate_or_is_add
/* 28759*/    OPC_SwitchType /*2 cases */, 46|128,2/*302*/, MVT::i32,// ->29065
/* 28763*/     OPC_MoveParent,
/* 28764*/     OPC_CheckPredicate, 17, // Predicate_unindexedload
/* 28766*/     OPC_Scope, 80, /*->28848*/ // 10 children in Scope
/* 28768*/      OPC_CheckPredicate, 18, // Predicate_load
/* 28770*/      OPC_SwitchType /*4 cases */, 17, MVT::v16i8,// ->28790
/* 28773*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 28775*/       OPC_EmitMergeInputChains1_0,
/* 28776*/       OPC_EmitInteger, MVT::i32, 0, 
/* 28779*/       OPC_EmitConvertToTarget, 2,
/* 28781*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::v16i8, 3/*#Ops*/, 3, 4, 1, 
                 // Src: (ld:{ *:[v16i8] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 11
                 // Dst: (LOAD_V128_A32:{ *:[v16i8] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 28790*/      /*SwitchType*/ 17, MVT::v8i16,// ->28809
/* 28792*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 28794*/       OPC_EmitMergeInputChains1_0,
/* 28795*/       OPC_EmitInteger, MVT::i32, 0, 
/* 28798*/       OPC_EmitConvertToTarget, 2,
/* 28800*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::v8i16, 3/*#Ops*/, 3, 4, 1, 
                 // Src: (ld:{ *:[v8i16] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 11
                 // Dst: (LOAD_V128_A32:{ *:[v8i16] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 28809*/      /*SwitchType*/ 17, MVT::v4i32,// ->28828
/* 28811*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 28813*/       OPC_EmitMergeInputChains1_0,
/* 28814*/       OPC_EmitInteger, MVT::i32, 0, 
/* 28817*/       OPC_EmitConvertToTarget, 2,
/* 28819*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::v4i32, 3/*#Ops*/, 3, 4, 1, 
                 // Src: (ld:{ *:[v4i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 11
                 // Dst: (LOAD_V128_A32:{ *:[v4i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 28828*/      /*SwitchType*/ 17, MVT::v2i64,// ->28847
/* 28830*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 28832*/       OPC_EmitMergeInputChains1_0,
/* 28833*/       OPC_EmitInteger, MVT::i32, 0, 
/* 28836*/       OPC_EmitConvertToTarget, 2,
/* 28838*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::v2i64, 3/*#Ops*/, 3, 4, 1, 
                 // Src: (ld:{ *:[v2i64] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 11
                 // Dst: (LOAD_V128_A32:{ *:[v2i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 28847*/      0, // EndSwitchType
/* 28848*/     /*Scope*/ 23, /*->28872*/
/* 28849*/      OPC_CheckPredicate, 19, // Predicate_sextload
/* 28851*/      OPC_CheckPredicate, 22, // Predicate_sextloadvi8
/* 28853*/      OPC_CheckType, MVT::v8i16,
/* 28855*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 28857*/      OPC_EmitMergeInputChains1_0,
/* 28858*/      OPC_EmitInteger, MVT::i32, 0, 
/* 28861*/      OPC_EmitConvertToTarget, 2,
/* 28863*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_S_I16x8_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v8i16, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[v8i16] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadvi8>> - Complexity = 11
                // Dst: (LOAD_EXTEND_S_I16x8_A32:{ *:[v8i16] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 28872*/     /*Scope*/ 23, /*->28896*/
/* 28873*/      OPC_CheckPredicate, 20, // Predicate_zextload
/* 28875*/      OPC_CheckPredicate, 22, // Predicate_zextloadvi8
/* 28877*/      OPC_CheckType, MVT::v8i16,
/* 28879*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 28881*/      OPC_EmitMergeInputChains1_0,
/* 28882*/      OPC_EmitInteger, MVT::i32, 0, 
/* 28885*/      OPC_EmitConvertToTarget, 2,
/* 28887*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I16x8_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v8i16, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[v8i16] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadvi8>> - Complexity = 11
                // Dst: (LOAD_EXTEND_U_I16x8_A32:{ *:[v8i16] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 28896*/     /*Scope*/ 23, /*->28920*/
/* 28897*/      OPC_CheckPredicate, 21, // Predicate_extload
/* 28899*/      OPC_CheckPredicate, 22, // Predicate_extloadvi8
/* 28901*/      OPC_CheckType, MVT::v8i16,
/* 28903*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 28905*/      OPC_EmitMergeInputChains1_0,
/* 28906*/      OPC_EmitInteger, MVT::i32, 0, 
/* 28909*/      OPC_EmitConvertToTarget, 2,
/* 28911*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I16x8_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v8i16, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[v8i16] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadvi8>> - Complexity = 11
                // Dst: (LOAD_EXTEND_U_I16x8_A32:{ *:[v8i16] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 28920*/     /*Scope*/ 23, /*->28944*/
/* 28921*/      OPC_CheckPredicate, 19, // Predicate_sextload
/* 28923*/      OPC_CheckPredicate, 23, // Predicate_sextloadvi16
/* 28925*/      OPC_CheckType, MVT::v4i32,
/* 28927*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 28929*/      OPC_EmitMergeInputChains1_0,
/* 28930*/      OPC_EmitInteger, MVT::i32, 0, 
/* 28933*/      OPC_EmitConvertToTarget, 2,
/* 28935*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_S_I32x4_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v4i32, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[v4i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadvi16>> - Complexity = 11
                // Dst: (LOAD_EXTEND_S_I32x4_A32:{ *:[v4i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 28944*/     /*Scope*/ 23, /*->28968*/
/* 28945*/      OPC_CheckPredicate, 20, // Predicate_zextload
/* 28947*/      OPC_CheckPredicate, 23, // Predicate_zextloadvi16
/* 28949*/      OPC_CheckType, MVT::v4i32,
/* 28951*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 28953*/      OPC_EmitMergeInputChains1_0,
/* 28954*/      OPC_EmitInteger, MVT::i32, 0, 
/* 28957*/      OPC_EmitConvertToTarget, 2,
/* 28959*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I32x4_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v4i32, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[v4i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadvi16>> - Complexity = 11
                // Dst: (LOAD_EXTEND_U_I32x4_A32:{ *:[v4i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 28968*/     /*Scope*/ 23, /*->28992*/
/* 28969*/      OPC_CheckPredicate, 21, // Predicate_extload
/* 28971*/      OPC_CheckPredicate, 23, // Predicate_extloadvi16
/* 28973*/      OPC_CheckType, MVT::v4i32,
/* 28975*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 28977*/      OPC_EmitMergeInputChains1_0,
/* 28978*/      OPC_EmitInteger, MVT::i32, 0, 
/* 28981*/      OPC_EmitConvertToTarget, 2,
/* 28983*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I32x4_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v4i32, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[v4i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadvi16>> - Complexity = 11
                // Dst: (LOAD_EXTEND_U_I32x4_A32:{ *:[v4i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 28992*/     /*Scope*/ 23, /*->29016*/
/* 28993*/      OPC_CheckPredicate, 19, // Predicate_sextload
/* 28995*/      OPC_CheckPredicate, 24, // Predicate_sextloadvi32
/* 28997*/      OPC_CheckType, MVT::v2i64,
/* 28999*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 29001*/      OPC_EmitMergeInputChains1_0,
/* 29002*/      OPC_EmitInteger, MVT::i32, 0, 
/* 29005*/      OPC_EmitConvertToTarget, 2,
/* 29007*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_S_I64x2_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2i64, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[v2i64] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadvi32>> - Complexity = 11
                // Dst: (LOAD_EXTEND_S_I64x2_A32:{ *:[v2i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 29016*/     /*Scope*/ 23, /*->29040*/
/* 29017*/      OPC_CheckPredicate, 20, // Predicate_zextload
/* 29019*/      OPC_CheckPredicate, 24, // Predicate_zextloadvi32
/* 29021*/      OPC_CheckType, MVT::v2i64,
/* 29023*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 29025*/      OPC_EmitMergeInputChains1_0,
/* 29026*/      OPC_EmitInteger, MVT::i32, 0, 
/* 29029*/      OPC_EmitConvertToTarget, 2,
/* 29031*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I64x2_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2i64, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[v2i64] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadvi32>> - Complexity = 11
                // Dst: (LOAD_EXTEND_U_I64x2_A32:{ *:[v2i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 29040*/     /*Scope*/ 23, /*->29064*/
/* 29041*/      OPC_CheckPredicate, 21, // Predicate_extload
/* 29043*/      OPC_CheckPredicate, 24, // Predicate_extloadvi32
/* 29045*/      OPC_CheckType, MVT::v2i64,
/* 29047*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 29049*/      OPC_EmitMergeInputChains1_0,
/* 29050*/      OPC_EmitInteger, MVT::i32, 0, 
/* 29053*/      OPC_EmitConvertToTarget, 2,
/* 29055*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I64x2_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2i64, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[v2i64] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadvi32>> - Complexity = 11
                // Dst: (LOAD_EXTEND_U_I64x2_A32:{ *:[v2i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 29064*/     0, /*End of Scope*/
/* 29065*/    /*SwitchType*/ 46|128,2/*302*/, MVT::i64,// ->29370
/* 29068*/     OPC_MoveParent,
/* 29069*/     OPC_CheckPredicate, 17, // Predicate_unindexedload
/* 29071*/     OPC_Scope, 80, /*->29153*/ // 10 children in Scope
/* 29073*/      OPC_CheckPredicate, 18, // Predicate_load
/* 29075*/      OPC_SwitchType /*4 cases */, 17, MVT::v16i8,// ->29095
/* 29078*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 29080*/       OPC_EmitMergeInputChains1_0,
/* 29081*/       OPC_EmitInteger, MVT::i32, 0, 
/* 29084*/       OPC_EmitConvertToTarget, 2,
/* 29086*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::v16i8, 3/*#Ops*/, 3, 4, 1, 
                 // Src: (ld:{ *:[v16i8] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 11
                 // Dst: (LOAD_V128_A64:{ *:[v16i8] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 29095*/      /*SwitchType*/ 17, MVT::v8i16,// ->29114
/* 29097*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 29099*/       OPC_EmitMergeInputChains1_0,
/* 29100*/       OPC_EmitInteger, MVT::i32, 0, 
/* 29103*/       OPC_EmitConvertToTarget, 2,
/* 29105*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::v8i16, 3/*#Ops*/, 3, 4, 1, 
                 // Src: (ld:{ *:[v8i16] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 11
                 // Dst: (LOAD_V128_A64:{ *:[v8i16] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 29114*/      /*SwitchType*/ 17, MVT::v4i32,// ->29133
/* 29116*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 29118*/       OPC_EmitMergeInputChains1_0,
/* 29119*/       OPC_EmitInteger, MVT::i32, 0, 
/* 29122*/       OPC_EmitConvertToTarget, 2,
/* 29124*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::v4i32, 3/*#Ops*/, 3, 4, 1, 
                 // Src: (ld:{ *:[v4i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 11
                 // Dst: (LOAD_V128_A64:{ *:[v4i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 29133*/      /*SwitchType*/ 17, MVT::v2i64,// ->29152
/* 29135*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 29137*/       OPC_EmitMergeInputChains1_0,
/* 29138*/       OPC_EmitInteger, MVT::i32, 0, 
/* 29141*/       OPC_EmitConvertToTarget, 2,
/* 29143*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::v2i64, 3/*#Ops*/, 3, 4, 1, 
                 // Src: (ld:{ *:[v2i64] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 11
                 // Dst: (LOAD_V128_A64:{ *:[v2i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 29152*/      0, // EndSwitchType
/* 29153*/     /*Scope*/ 23, /*->29177*/
/* 29154*/      OPC_CheckPredicate, 19, // Predicate_sextload
/* 29156*/      OPC_CheckPredicate, 22, // Predicate_sextloadvi8
/* 29158*/      OPC_CheckType, MVT::v8i16,
/* 29160*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 29162*/      OPC_EmitMergeInputChains1_0,
/* 29163*/      OPC_EmitInteger, MVT::i32, 0, 
/* 29166*/      OPC_EmitConvertToTarget, 2,
/* 29168*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_S_I16x8_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v8i16, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[v8i16] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadvi8>> - Complexity = 11
                // Dst: (LOAD_EXTEND_S_I16x8_A64:{ *:[v8i16] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 29177*/     /*Scope*/ 23, /*->29201*/
/* 29178*/      OPC_CheckPredicate, 20, // Predicate_zextload
/* 29180*/      OPC_CheckPredicate, 22, // Predicate_zextloadvi8
/* 29182*/      OPC_CheckType, MVT::v8i16,
/* 29184*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 29186*/      OPC_EmitMergeInputChains1_0,
/* 29187*/      OPC_EmitInteger, MVT::i32, 0, 
/* 29190*/      OPC_EmitConvertToTarget, 2,
/* 29192*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I16x8_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v8i16, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[v8i16] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadvi8>> - Complexity = 11
                // Dst: (LOAD_EXTEND_U_I16x8_A64:{ *:[v8i16] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 29201*/     /*Scope*/ 23, /*->29225*/
/* 29202*/      OPC_CheckPredicate, 21, // Predicate_extload
/* 29204*/      OPC_CheckPredicate, 22, // Predicate_extloadvi8
/* 29206*/      OPC_CheckType, MVT::v8i16,
/* 29208*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 29210*/      OPC_EmitMergeInputChains1_0,
/* 29211*/      OPC_EmitInteger, MVT::i32, 0, 
/* 29214*/      OPC_EmitConvertToTarget, 2,
/* 29216*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I16x8_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v8i16, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[v8i16] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadvi8>> - Complexity = 11
                // Dst: (LOAD_EXTEND_U_I16x8_A64:{ *:[v8i16] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 29225*/     /*Scope*/ 23, /*->29249*/
/* 29226*/      OPC_CheckPredicate, 19, // Predicate_sextload
/* 29228*/      OPC_CheckPredicate, 23, // Predicate_sextloadvi16
/* 29230*/      OPC_CheckType, MVT::v4i32,
/* 29232*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 29234*/      OPC_EmitMergeInputChains1_0,
/* 29235*/      OPC_EmitInteger, MVT::i32, 0, 
/* 29238*/      OPC_EmitConvertToTarget, 2,
/* 29240*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_S_I32x4_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v4i32, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[v4i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadvi16>> - Complexity = 11
                // Dst: (LOAD_EXTEND_S_I32x4_A64:{ *:[v4i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 29249*/     /*Scope*/ 23, /*->29273*/
/* 29250*/      OPC_CheckPredicate, 20, // Predicate_zextload
/* 29252*/      OPC_CheckPredicate, 23, // Predicate_zextloadvi16
/* 29254*/      OPC_CheckType, MVT::v4i32,
/* 29256*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 29258*/      OPC_EmitMergeInputChains1_0,
/* 29259*/      OPC_EmitInteger, MVT::i32, 0, 
/* 29262*/      OPC_EmitConvertToTarget, 2,
/* 29264*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I32x4_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v4i32, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[v4i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadvi16>> - Complexity = 11
                // Dst: (LOAD_EXTEND_U_I32x4_A64:{ *:[v4i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 29273*/     /*Scope*/ 23, /*->29297*/
/* 29274*/      OPC_CheckPredicate, 21, // Predicate_extload
/* 29276*/      OPC_CheckPredicate, 23, // Predicate_extloadvi16
/* 29278*/      OPC_CheckType, MVT::v4i32,
/* 29280*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 29282*/      OPC_EmitMergeInputChains1_0,
/* 29283*/      OPC_EmitInteger, MVT::i32, 0, 
/* 29286*/      OPC_EmitConvertToTarget, 2,
/* 29288*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I32x4_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v4i32, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[v4i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadvi16>> - Complexity = 11
                // Dst: (LOAD_EXTEND_U_I32x4_A64:{ *:[v4i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 29297*/     /*Scope*/ 23, /*->29321*/
/* 29298*/      OPC_CheckPredicate, 19, // Predicate_sextload
/* 29300*/      OPC_CheckPredicate, 24, // Predicate_sextloadvi32
/* 29302*/      OPC_CheckType, MVT::v2i64,
/* 29304*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 29306*/      OPC_EmitMergeInputChains1_0,
/* 29307*/      OPC_EmitInteger, MVT::i32, 0, 
/* 29310*/      OPC_EmitConvertToTarget, 2,
/* 29312*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_S_I64x2_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2i64, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[v2i64] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadvi32>> - Complexity = 11
                // Dst: (LOAD_EXTEND_S_I64x2_A64:{ *:[v2i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 29321*/     /*Scope*/ 23, /*->29345*/
/* 29322*/      OPC_CheckPredicate, 20, // Predicate_zextload
/* 29324*/      OPC_CheckPredicate, 24, // Predicate_zextloadvi32
/* 29326*/      OPC_CheckType, MVT::v2i64,
/* 29328*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 29330*/      OPC_EmitMergeInputChains1_0,
/* 29331*/      OPC_EmitInteger, MVT::i32, 0, 
/* 29334*/      OPC_EmitConvertToTarget, 2,
/* 29336*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I64x2_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2i64, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[v2i64] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadvi32>> - Complexity = 11
                // Dst: (LOAD_EXTEND_U_I64x2_A64:{ *:[v2i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 29345*/     /*Scope*/ 23, /*->29369*/
/* 29346*/      OPC_CheckPredicate, 21, // Predicate_extload
/* 29348*/      OPC_CheckPredicate, 24, // Predicate_extloadvi32
/* 29350*/      OPC_CheckType, MVT::v2i64,
/* 29352*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 29354*/      OPC_EmitMergeInputChains1_0,
/* 29355*/      OPC_EmitInteger, MVT::i32, 0, 
/* 29358*/      OPC_EmitConvertToTarget, 2,
/* 29360*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I64x2_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2i64, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[v2i64] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadvi32>> - Complexity = 11
                // Dst: (LOAD_EXTEND_U_I64x2_A64:{ *:[v2i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 29369*/     0, /*End of Scope*/
/* 29370*/    0, // EndSwitchType
/* 29371*/   /*SwitchOpcode*/ 22|128,6/*790*/, TARGET_VAL(WebAssemblyISD::Wrapper),// ->30165
/* 29375*/    OPC_RecordChild0, // #1 = $off
/* 29376*/    OPC_MoveChild0,
/* 29377*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 29380*/    OPC_MoveParent,
/* 29381*/    OPC_MoveParent,
/* 29382*/    OPC_CheckPredicate, 17, // Predicate_unindexedload
/* 29384*/    OPC_Scope, 100|128,1/*228*/, /*->29615*/ // 10 children in Scope
/* 29387*/     OPC_CheckPredicate, 18, // Predicate_load
/* 29389*/     OPC_SwitchType /*4 cases */, 54, MVT::v16i8,// ->29446
/* 29392*/      OPC_Scope, 25, /*->29419*/ // 2 children in Scope
/* 29394*/       OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 29396*/       OPC_EmitMergeInputChains1_0,
/* 29397*/       OPC_EmitInteger, MVT::i32, 0, 
/* 29400*/       OPC_EmitInteger, MVT::i32, 0, 
/* 29403*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 3,  // Results = #4
/* 29410*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::v16i8, 3/*#Ops*/, 2, 1, 4, 
                 // Src: (ld:{ *:[v16i8] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 10
                 // Dst: (LOAD_V128_A32:{ *:[v16i8] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 29419*/      /*Scope*/ 25, /*->29445*/
/* 29420*/       OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 29422*/       OPC_EmitMergeInputChains1_0,
/* 29423*/       OPC_EmitInteger, MVT::i32, 0, 
/* 29426*/       OPC_EmitInteger, MVT::i64, 0, 
/* 29429*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 3,  // Results = #4
/* 29436*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::v16i8, 3/*#Ops*/, 2, 1, 4, 
                 // Src: (ld:{ *:[v16i8] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 10
                 // Dst: (LOAD_V128_A64:{ *:[v16i8] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 29445*/      0, /*End of Scope*/
/* 29446*/     /*SwitchType*/ 54, MVT::v8i16,// ->29502
/* 29448*/      OPC_Scope, 25, /*->29475*/ // 2 children in Scope
/* 29450*/       OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 29452*/       OPC_EmitMergeInputChains1_0,
/* 29453*/       OPC_EmitInteger, MVT::i32, 0, 
/* 29456*/       OPC_EmitInteger, MVT::i32, 0, 
/* 29459*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 3,  // Results = #4
/* 29466*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::v8i16, 3/*#Ops*/, 2, 1, 4, 
                 // Src: (ld:{ *:[v8i16] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 10
                 // Dst: (LOAD_V128_A32:{ *:[v8i16] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 29475*/      /*Scope*/ 25, /*->29501*/
/* 29476*/       OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 29478*/       OPC_EmitMergeInputChains1_0,
/* 29479*/       OPC_EmitInteger, MVT::i32, 0, 
/* 29482*/       OPC_EmitInteger, MVT::i64, 0, 
/* 29485*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 3,  // Results = #4
/* 29492*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::v8i16, 3/*#Ops*/, 2, 1, 4, 
                 // Src: (ld:{ *:[v8i16] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 10
                 // Dst: (LOAD_V128_A64:{ *:[v8i16] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 29501*/      0, /*End of Scope*/
/* 29502*/     /*SwitchType*/ 54, MVT::v4i32,// ->29558
/* 29504*/      OPC_Scope, 25, /*->29531*/ // 2 children in Scope
/* 29506*/       OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 29508*/       OPC_EmitMergeInputChains1_0,
/* 29509*/       OPC_EmitInteger, MVT::i32, 0, 
/* 29512*/       OPC_EmitInteger, MVT::i32, 0, 
/* 29515*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 3,  // Results = #4
/* 29522*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::v4i32, 3/*#Ops*/, 2, 1, 4, 
                 // Src: (ld:{ *:[v4i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 10
                 // Dst: (LOAD_V128_A32:{ *:[v4i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 29531*/      /*Scope*/ 25, /*->29557*/
/* 29532*/       OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 29534*/       OPC_EmitMergeInputChains1_0,
/* 29535*/       OPC_EmitInteger, MVT::i32, 0, 
/* 29538*/       OPC_EmitInteger, MVT::i64, 0, 
/* 29541*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 3,  // Results = #4
/* 29548*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::v4i32, 3/*#Ops*/, 2, 1, 4, 
                 // Src: (ld:{ *:[v4i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 10
                 // Dst: (LOAD_V128_A64:{ *:[v4i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 29557*/      0, /*End of Scope*/
/* 29558*/     /*SwitchType*/ 54, MVT::v2i64,// ->29614
/* 29560*/      OPC_Scope, 25, /*->29587*/ // 2 children in Scope
/* 29562*/       OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 29564*/       OPC_EmitMergeInputChains1_0,
/* 29565*/       OPC_EmitInteger, MVT::i32, 0, 
/* 29568*/       OPC_EmitInteger, MVT::i32, 0, 
/* 29571*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 3,  // Results = #4
/* 29578*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::v2i64, 3/*#Ops*/, 2, 1, 4, 
                 // Src: (ld:{ *:[v2i64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 10
                 // Dst: (LOAD_V128_A32:{ *:[v2i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 29587*/      /*Scope*/ 25, /*->29613*/
/* 29588*/       OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 29590*/       OPC_EmitMergeInputChains1_0,
/* 29591*/       OPC_EmitInteger, MVT::i32, 0, 
/* 29594*/       OPC_EmitInteger, MVT::i64, 0, 
/* 29597*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 3,  // Results = #4
/* 29604*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::v2i64, 3/*#Ops*/, 2, 1, 4, 
                 // Src: (ld:{ *:[v2i64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 10
                 // Dst: (LOAD_V128_A64:{ *:[v2i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 29613*/      0, /*End of Scope*/
/* 29614*/     0, // EndSwitchType
/* 29615*/    /*Scope*/ 60, /*->29676*/
/* 29616*/     OPC_CheckPredicate, 19, // Predicate_sextload
/* 29618*/     OPC_CheckPredicate, 22, // Predicate_sextloadvi8
/* 29620*/     OPC_CheckType, MVT::v8i16,
/* 29622*/     OPC_Scope, 25, /*->29649*/ // 2 children in Scope
/* 29624*/      OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 29626*/      OPC_EmitMergeInputChains1_0,
/* 29627*/      OPC_EmitInteger, MVT::i32, 0, 
/* 29630*/      OPC_EmitInteger, MVT::i32, 0, 
/* 29633*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 3,  // Results = #4
/* 29640*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_S_I16x8_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v8i16, 3/*#Ops*/, 2, 1, 4, 
                // Src: (ld:{ *:[v8i16] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadvi8>> - Complexity = 10
                // Dst: (LOAD_EXTEND_S_I16x8_A32:{ *:[v8i16] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 29649*/     /*Scope*/ 25, /*->29675*/
/* 29650*/      OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 29652*/      OPC_EmitMergeInputChains1_0,
/* 29653*/      OPC_EmitInteger, MVT::i32, 0, 
/* 29656*/      OPC_EmitInteger, MVT::i64, 0, 
/* 29659*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 3,  // Results = #4
/* 29666*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_S_I16x8_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v8i16, 3/*#Ops*/, 2, 1, 4, 
                // Src: (ld:{ *:[v8i16] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadvi8>> - Complexity = 10
                // Dst: (LOAD_EXTEND_S_I16x8_A64:{ *:[v8i16] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 29675*/     0, /*End of Scope*/
/* 29676*/    /*Scope*/ 60, /*->29737*/
/* 29677*/     OPC_CheckPredicate, 20, // Predicate_zextload
/* 29679*/     OPC_CheckPredicate, 22, // Predicate_zextloadvi8
/* 29681*/     OPC_CheckType, MVT::v8i16,
/* 29683*/     OPC_Scope, 25, /*->29710*/ // 2 children in Scope
/* 29685*/      OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 29687*/      OPC_EmitMergeInputChains1_0,
/* 29688*/      OPC_EmitInteger, MVT::i32, 0, 
/* 29691*/      OPC_EmitInteger, MVT::i32, 0, 
/* 29694*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 3,  // Results = #4
/* 29701*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I16x8_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v8i16, 3/*#Ops*/, 2, 1, 4, 
                // Src: (ld:{ *:[v8i16] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadvi8>> - Complexity = 10
                // Dst: (LOAD_EXTEND_U_I16x8_A32:{ *:[v8i16] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 29710*/     /*Scope*/ 25, /*->29736*/
/* 29711*/      OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 29713*/      OPC_EmitMergeInputChains1_0,
/* 29714*/      OPC_EmitInteger, MVT::i32, 0, 
/* 29717*/      OPC_EmitInteger, MVT::i64, 0, 
/* 29720*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 3,  // Results = #4
/* 29727*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I16x8_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v8i16, 3/*#Ops*/, 2, 1, 4, 
                // Src: (ld:{ *:[v8i16] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadvi8>> - Complexity = 10
                // Dst: (LOAD_EXTEND_U_I16x8_A64:{ *:[v8i16] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 29736*/     0, /*End of Scope*/
/* 29737*/    /*Scope*/ 60, /*->29798*/
/* 29738*/     OPC_CheckPredicate, 21, // Predicate_extload
/* 29740*/     OPC_CheckPredicate, 22, // Predicate_extloadvi8
/* 29742*/     OPC_CheckType, MVT::v8i16,
/* 29744*/     OPC_Scope, 25, /*->29771*/ // 2 children in Scope
/* 29746*/      OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 29748*/      OPC_EmitMergeInputChains1_0,
/* 29749*/      OPC_EmitInteger, MVT::i32, 0, 
/* 29752*/      OPC_EmitInteger, MVT::i32, 0, 
/* 29755*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 3,  // Results = #4
/* 29762*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I16x8_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v8i16, 3/*#Ops*/, 2, 1, 4, 
                // Src: (ld:{ *:[v8i16] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadvi8>> - Complexity = 10
                // Dst: (LOAD_EXTEND_U_I16x8_A32:{ *:[v8i16] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 29771*/     /*Scope*/ 25, /*->29797*/
/* 29772*/      OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 29774*/      OPC_EmitMergeInputChains1_0,
/* 29775*/      OPC_EmitInteger, MVT::i32, 0, 
/* 29778*/      OPC_EmitInteger, MVT::i64, 0, 
/* 29781*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 3,  // Results = #4
/* 29788*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I16x8_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v8i16, 3/*#Ops*/, 2, 1, 4, 
                // Src: (ld:{ *:[v8i16] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadvi8>> - Complexity = 10
                // Dst: (LOAD_EXTEND_U_I16x8_A64:{ *:[v8i16] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 29797*/     0, /*End of Scope*/
/* 29798*/    /*Scope*/ 60, /*->29859*/
/* 29799*/     OPC_CheckPredicate, 19, // Predicate_sextload
/* 29801*/     OPC_CheckPredicate, 23, // Predicate_sextloadvi16
/* 29803*/     OPC_CheckType, MVT::v4i32,
/* 29805*/     OPC_Scope, 25, /*->29832*/ // 2 children in Scope
/* 29807*/      OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 29809*/      OPC_EmitMergeInputChains1_0,
/* 29810*/      OPC_EmitInteger, MVT::i32, 0, 
/* 29813*/      OPC_EmitInteger, MVT::i32, 0, 
/* 29816*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 3,  // Results = #4
/* 29823*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_S_I32x4_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v4i32, 3/*#Ops*/, 2, 1, 4, 
                // Src: (ld:{ *:[v4i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadvi16>> - Complexity = 10
                // Dst: (LOAD_EXTEND_S_I32x4_A32:{ *:[v4i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 29832*/     /*Scope*/ 25, /*->29858*/
/* 29833*/      OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 29835*/      OPC_EmitMergeInputChains1_0,
/* 29836*/      OPC_EmitInteger, MVT::i32, 0, 
/* 29839*/      OPC_EmitInteger, MVT::i64, 0, 
/* 29842*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 3,  // Results = #4
/* 29849*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_S_I32x4_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v4i32, 3/*#Ops*/, 2, 1, 4, 
                // Src: (ld:{ *:[v4i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadvi16>> - Complexity = 10
                // Dst: (LOAD_EXTEND_S_I32x4_A64:{ *:[v4i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 29858*/     0, /*End of Scope*/
/* 29859*/    /*Scope*/ 60, /*->29920*/
/* 29860*/     OPC_CheckPredicate, 20, // Predicate_zextload
/* 29862*/     OPC_CheckPredicate, 23, // Predicate_zextloadvi16
/* 29864*/     OPC_CheckType, MVT::v4i32,
/* 29866*/     OPC_Scope, 25, /*->29893*/ // 2 children in Scope
/* 29868*/      OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 29870*/      OPC_EmitMergeInputChains1_0,
/* 29871*/      OPC_EmitInteger, MVT::i32, 0, 
/* 29874*/      OPC_EmitInteger, MVT::i32, 0, 
/* 29877*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 3,  // Results = #4
/* 29884*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I32x4_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v4i32, 3/*#Ops*/, 2, 1, 4, 
                // Src: (ld:{ *:[v4i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadvi16>> - Complexity = 10
                // Dst: (LOAD_EXTEND_U_I32x4_A32:{ *:[v4i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 29893*/     /*Scope*/ 25, /*->29919*/
/* 29894*/      OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 29896*/      OPC_EmitMergeInputChains1_0,
/* 29897*/      OPC_EmitInteger, MVT::i32, 0, 
/* 29900*/      OPC_EmitInteger, MVT::i64, 0, 
/* 29903*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 3,  // Results = #4
/* 29910*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I32x4_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v4i32, 3/*#Ops*/, 2, 1, 4, 
                // Src: (ld:{ *:[v4i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadvi16>> - Complexity = 10
                // Dst: (LOAD_EXTEND_U_I32x4_A64:{ *:[v4i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 29919*/     0, /*End of Scope*/
/* 29920*/    /*Scope*/ 60, /*->29981*/
/* 29921*/     OPC_CheckPredicate, 21, // Predicate_extload
/* 29923*/     OPC_CheckPredicate, 23, // Predicate_extloadvi16
/* 29925*/     OPC_CheckType, MVT::v4i32,
/* 29927*/     OPC_Scope, 25, /*->29954*/ // 2 children in Scope
/* 29929*/      OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 29931*/      OPC_EmitMergeInputChains1_0,
/* 29932*/      OPC_EmitInteger, MVT::i32, 0, 
/* 29935*/      OPC_EmitInteger, MVT::i32, 0, 
/* 29938*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 3,  // Results = #4
/* 29945*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I32x4_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v4i32, 3/*#Ops*/, 2, 1, 4, 
                // Src: (ld:{ *:[v4i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadvi16>> - Complexity = 10
                // Dst: (LOAD_EXTEND_U_I32x4_A32:{ *:[v4i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 29954*/     /*Scope*/ 25, /*->29980*/
/* 29955*/      OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 29957*/      OPC_EmitMergeInputChains1_0,
/* 29958*/      OPC_EmitInteger, MVT::i32, 0, 
/* 29961*/      OPC_EmitInteger, MVT::i64, 0, 
/* 29964*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 3,  // Results = #4
/* 29971*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I32x4_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v4i32, 3/*#Ops*/, 2, 1, 4, 
                // Src: (ld:{ *:[v4i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadvi16>> - Complexity = 10
                // Dst: (LOAD_EXTEND_U_I32x4_A64:{ *:[v4i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 29980*/     0, /*End of Scope*/
/* 29981*/    /*Scope*/ 60, /*->30042*/
/* 29982*/     OPC_CheckPredicate, 19, // Predicate_sextload
/* 29984*/     OPC_CheckPredicate, 24, // Predicate_sextloadvi32
/* 29986*/     OPC_CheckType, MVT::v2i64,
/* 29988*/     OPC_Scope, 25, /*->30015*/ // 2 children in Scope
/* 29990*/      OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 29992*/      OPC_EmitMergeInputChains1_0,
/* 29993*/      OPC_EmitInteger, MVT::i32, 0, 
/* 29996*/      OPC_EmitInteger, MVT::i32, 0, 
/* 29999*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 3,  // Results = #4
/* 30006*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_S_I64x2_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2i64, 3/*#Ops*/, 2, 1, 4, 
                // Src: (ld:{ *:[v2i64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadvi32>> - Complexity = 10
                // Dst: (LOAD_EXTEND_S_I64x2_A32:{ *:[v2i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 30015*/     /*Scope*/ 25, /*->30041*/
/* 30016*/      OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 30018*/      OPC_EmitMergeInputChains1_0,
/* 30019*/      OPC_EmitInteger, MVT::i32, 0, 
/* 30022*/      OPC_EmitInteger, MVT::i64, 0, 
/* 30025*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 3,  // Results = #4
/* 30032*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_S_I64x2_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2i64, 3/*#Ops*/, 2, 1, 4, 
                // Src: (ld:{ *:[v2i64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadvi32>> - Complexity = 10
                // Dst: (LOAD_EXTEND_S_I64x2_A64:{ *:[v2i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 30041*/     0, /*End of Scope*/
/* 30042*/    /*Scope*/ 60, /*->30103*/
/* 30043*/     OPC_CheckPredicate, 20, // Predicate_zextload
/* 30045*/     OPC_CheckPredicate, 24, // Predicate_zextloadvi32
/* 30047*/     OPC_CheckType, MVT::v2i64,
/* 30049*/     OPC_Scope, 25, /*->30076*/ // 2 children in Scope
/* 30051*/      OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 30053*/      OPC_EmitMergeInputChains1_0,
/* 30054*/      OPC_EmitInteger, MVT::i32, 0, 
/* 30057*/      OPC_EmitInteger, MVT::i32, 0, 
/* 30060*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 3,  // Results = #4
/* 30067*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I64x2_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2i64, 3/*#Ops*/, 2, 1, 4, 
                // Src: (ld:{ *:[v2i64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadvi32>> - Complexity = 10
                // Dst: (LOAD_EXTEND_U_I64x2_A32:{ *:[v2i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 30076*/     /*Scope*/ 25, /*->30102*/
/* 30077*/      OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 30079*/      OPC_EmitMergeInputChains1_0,
/* 30080*/      OPC_EmitInteger, MVT::i32, 0, 
/* 30083*/      OPC_EmitInteger, MVT::i64, 0, 
/* 30086*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 3,  // Results = #4
/* 30093*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I64x2_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2i64, 3/*#Ops*/, 2, 1, 4, 
                // Src: (ld:{ *:[v2i64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadvi32>> - Complexity = 10
                // Dst: (LOAD_EXTEND_U_I64x2_A64:{ *:[v2i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 30102*/     0, /*End of Scope*/
/* 30103*/    /*Scope*/ 60, /*->30164*/
/* 30104*/     OPC_CheckPredicate, 21, // Predicate_extload
/* 30106*/     OPC_CheckPredicate, 24, // Predicate_extloadvi32
/* 30108*/     OPC_CheckType, MVT::v2i64,
/* 30110*/     OPC_Scope, 25, /*->30137*/ // 2 children in Scope
/* 30112*/      OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 30114*/      OPC_EmitMergeInputChains1_0,
/* 30115*/      OPC_EmitInteger, MVT::i32, 0, 
/* 30118*/      OPC_EmitInteger, MVT::i32, 0, 
/* 30121*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 3,  // Results = #4
/* 30128*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I64x2_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2i64, 3/*#Ops*/, 2, 1, 4, 
                // Src: (ld:{ *:[v2i64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadvi32>> - Complexity = 10
                // Dst: (LOAD_EXTEND_U_I64x2_A32:{ *:[v2i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 30137*/     /*Scope*/ 25, /*->30163*/
/* 30138*/      OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 30140*/      OPC_EmitMergeInputChains1_0,
/* 30141*/      OPC_EmitInteger, MVT::i32, 0, 
/* 30144*/      OPC_EmitInteger, MVT::i64, 0, 
/* 30147*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 3,  // Results = #4
/* 30154*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I64x2_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2i64, 3/*#Ops*/, 2, 1, 4, 
                // Src: (ld:{ *:[v2i64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadvi32>> - Complexity = 10
                // Dst: (LOAD_EXTEND_U_I64x2_A64:{ *:[v2i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 30163*/     0, /*End of Scope*/
/* 30164*/    0, /*End of Scope*/
/* 30165*/   0, // EndSwitchOpcode
/* 30166*/  /*Scope*/ 73|128,11/*1481*/, /*->31649*/
/* 30168*/   OPC_RecordChild1, // #1 = $off
/* 30169*/   OPC_Scope, 72|128,6/*840*/, /*->31012*/ // 3 children in Scope
/* 30172*/    OPC_MoveChild1,
/* 30173*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 30176*/    OPC_MoveParent,
/* 30177*/    OPC_CheckPredicate, 17, // Predicate_unindexedload
/* 30179*/    OPC_Scope, 116|128,1/*244*/, /*->30426*/ // 10 children in Scope
/* 30182*/     OPC_CheckPredicate, 18, // Predicate_load
/* 30184*/     OPC_SwitchType /*4 cases */, 58, MVT::v16i8,// ->30245
/* 30187*/      OPC_Scope, 27, /*->30216*/ // 2 children in Scope
/* 30189*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 30191*/       OPC_EmitMergeInputChains1_0,
/* 30192*/       OPC_EmitInteger, MVT::i32, 0, 
/* 30195*/       OPC_EmitConvertToTarget, 1,
/* 30197*/       OPC_EmitInteger, MVT::i32, 0, 
/* 30200*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 30207*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::v16i8, 3/*#Ops*/, 2, 3, 5, 
                 // Src: (ld:{ *:[v16i8] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 7
                 // Dst: (LOAD_V128_A32:{ *:[v16i8] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 30216*/      /*Scope*/ 27, /*->30244*/
/* 30217*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 30219*/       OPC_EmitMergeInputChains1_0,
/* 30220*/       OPC_EmitInteger, MVT::i32, 0, 
/* 30223*/       OPC_EmitConvertToTarget, 1,
/* 30225*/       OPC_EmitInteger, MVT::i64, 0, 
/* 30228*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 30235*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::v16i8, 3/*#Ops*/, 2, 3, 5, 
                 // Src: (ld:{ *:[v16i8] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 7
                 // Dst: (LOAD_V128_A64:{ *:[v16i8] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 30244*/      0, /*End of Scope*/
/* 30245*/     /*SwitchType*/ 58, MVT::v8i16,// ->30305
/* 30247*/      OPC_Scope, 27, /*->30276*/ // 2 children in Scope
/* 30249*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 30251*/       OPC_EmitMergeInputChains1_0,
/* 30252*/       OPC_EmitInteger, MVT::i32, 0, 
/* 30255*/       OPC_EmitConvertToTarget, 1,
/* 30257*/       OPC_EmitInteger, MVT::i32, 0, 
/* 30260*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 30267*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::v8i16, 3/*#Ops*/, 2, 3, 5, 
                 // Src: (ld:{ *:[v8i16] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 7
                 // Dst: (LOAD_V128_A32:{ *:[v8i16] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 30276*/      /*Scope*/ 27, /*->30304*/
/* 30277*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 30279*/       OPC_EmitMergeInputChains1_0,
/* 30280*/       OPC_EmitInteger, MVT::i32, 0, 
/* 30283*/       OPC_EmitConvertToTarget, 1,
/* 30285*/       OPC_EmitInteger, MVT::i64, 0, 
/* 30288*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 30295*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::v8i16, 3/*#Ops*/, 2, 3, 5, 
                 // Src: (ld:{ *:[v8i16] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 7
                 // Dst: (LOAD_V128_A64:{ *:[v8i16] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 30304*/      0, /*End of Scope*/
/* 30305*/     /*SwitchType*/ 58, MVT::v4i32,// ->30365
/* 30307*/      OPC_Scope, 27, /*->30336*/ // 2 children in Scope
/* 30309*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 30311*/       OPC_EmitMergeInputChains1_0,
/* 30312*/       OPC_EmitInteger, MVT::i32, 0, 
/* 30315*/       OPC_EmitConvertToTarget, 1,
/* 30317*/       OPC_EmitInteger, MVT::i32, 0, 
/* 30320*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 30327*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::v4i32, 3/*#Ops*/, 2, 3, 5, 
                 // Src: (ld:{ *:[v4i32] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 7
                 // Dst: (LOAD_V128_A32:{ *:[v4i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 30336*/      /*Scope*/ 27, /*->30364*/
/* 30337*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 30339*/       OPC_EmitMergeInputChains1_0,
/* 30340*/       OPC_EmitInteger, MVT::i32, 0, 
/* 30343*/       OPC_EmitConvertToTarget, 1,
/* 30345*/       OPC_EmitInteger, MVT::i64, 0, 
/* 30348*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 30355*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::v4i32, 3/*#Ops*/, 2, 3, 5, 
                 // Src: (ld:{ *:[v4i32] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 7
                 // Dst: (LOAD_V128_A64:{ *:[v4i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 30364*/      0, /*End of Scope*/
/* 30365*/     /*SwitchType*/ 58, MVT::v2i64,// ->30425
/* 30367*/      OPC_Scope, 27, /*->30396*/ // 2 children in Scope
/* 30369*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 30371*/       OPC_EmitMergeInputChains1_0,
/* 30372*/       OPC_EmitInteger, MVT::i32, 0, 
/* 30375*/       OPC_EmitConvertToTarget, 1,
/* 30377*/       OPC_EmitInteger, MVT::i32, 0, 
/* 30380*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 30387*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::v2i64, 3/*#Ops*/, 2, 3, 5, 
                 // Src: (ld:{ *:[v2i64] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 7
                 // Dst: (LOAD_V128_A32:{ *:[v2i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 30396*/      /*Scope*/ 27, /*->30424*/
/* 30397*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 30399*/       OPC_EmitMergeInputChains1_0,
/* 30400*/       OPC_EmitInteger, MVT::i32, 0, 
/* 30403*/       OPC_EmitConvertToTarget, 1,
/* 30405*/       OPC_EmitInteger, MVT::i64, 0, 
/* 30408*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 30415*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::v2i64, 3/*#Ops*/, 2, 3, 5, 
                 // Src: (ld:{ *:[v2i64] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 7
                 // Dst: (LOAD_V128_A64:{ *:[v2i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 30424*/      0, /*End of Scope*/
/* 30425*/     0, // EndSwitchType
/* 30426*/    /*Scope*/ 64, /*->30491*/
/* 30427*/     OPC_CheckPredicate, 19, // Predicate_sextload
/* 30429*/     OPC_CheckPredicate, 22, // Predicate_sextloadvi8
/* 30431*/     OPC_CheckType, MVT::v8i16,
/* 30433*/     OPC_Scope, 27, /*->30462*/ // 2 children in Scope
/* 30435*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 30437*/      OPC_EmitMergeInputChains1_0,
/* 30438*/      OPC_EmitInteger, MVT::i32, 0, 
/* 30441*/      OPC_EmitConvertToTarget, 1,
/* 30443*/      OPC_EmitInteger, MVT::i32, 0, 
/* 30446*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 30453*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_S_I16x8_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v8i16, 3/*#Ops*/, 2, 3, 5, 
                // Src: (ld:{ *:[v8i16] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadvi8>> - Complexity = 7
                // Dst: (LOAD_EXTEND_S_I16x8_A32:{ *:[v8i16] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 30462*/     /*Scope*/ 27, /*->30490*/
/* 30463*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 30465*/      OPC_EmitMergeInputChains1_0,
/* 30466*/      OPC_EmitInteger, MVT::i32, 0, 
/* 30469*/      OPC_EmitConvertToTarget, 1,
/* 30471*/      OPC_EmitInteger, MVT::i64, 0, 
/* 30474*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 30481*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_S_I16x8_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v8i16, 3/*#Ops*/, 2, 3, 5, 
                // Src: (ld:{ *:[v8i16] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadvi8>> - Complexity = 7
                // Dst: (LOAD_EXTEND_S_I16x8_A64:{ *:[v8i16] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 30490*/     0, /*End of Scope*/
/* 30491*/    /*Scope*/ 64, /*->30556*/
/* 30492*/     OPC_CheckPredicate, 20, // Predicate_zextload
/* 30494*/     OPC_CheckPredicate, 22, // Predicate_zextloadvi8
/* 30496*/     OPC_CheckType, MVT::v8i16,
/* 30498*/     OPC_Scope, 27, /*->30527*/ // 2 children in Scope
/* 30500*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 30502*/      OPC_EmitMergeInputChains1_0,
/* 30503*/      OPC_EmitInteger, MVT::i32, 0, 
/* 30506*/      OPC_EmitConvertToTarget, 1,
/* 30508*/      OPC_EmitInteger, MVT::i32, 0, 
/* 30511*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 30518*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I16x8_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v8i16, 3/*#Ops*/, 2, 3, 5, 
                // Src: (ld:{ *:[v8i16] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadvi8>> - Complexity = 7
                // Dst: (LOAD_EXTEND_U_I16x8_A32:{ *:[v8i16] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 30527*/     /*Scope*/ 27, /*->30555*/
/* 30528*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 30530*/      OPC_EmitMergeInputChains1_0,
/* 30531*/      OPC_EmitInteger, MVT::i32, 0, 
/* 30534*/      OPC_EmitConvertToTarget, 1,
/* 30536*/      OPC_EmitInteger, MVT::i64, 0, 
/* 30539*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 30546*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I16x8_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v8i16, 3/*#Ops*/, 2, 3, 5, 
                // Src: (ld:{ *:[v8i16] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadvi8>> - Complexity = 7
                // Dst: (LOAD_EXTEND_U_I16x8_A64:{ *:[v8i16] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 30555*/     0, /*End of Scope*/
/* 30556*/    /*Scope*/ 64, /*->30621*/
/* 30557*/     OPC_CheckPredicate, 21, // Predicate_extload
/* 30559*/     OPC_CheckPredicate, 22, // Predicate_extloadvi8
/* 30561*/     OPC_CheckType, MVT::v8i16,
/* 30563*/     OPC_Scope, 27, /*->30592*/ // 2 children in Scope
/* 30565*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 30567*/      OPC_EmitMergeInputChains1_0,
/* 30568*/      OPC_EmitInteger, MVT::i32, 0, 
/* 30571*/      OPC_EmitConvertToTarget, 1,
/* 30573*/      OPC_EmitInteger, MVT::i32, 0, 
/* 30576*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 30583*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I16x8_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v8i16, 3/*#Ops*/, 2, 3, 5, 
                // Src: (ld:{ *:[v8i16] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadvi8>> - Complexity = 7
                // Dst: (LOAD_EXTEND_U_I16x8_A32:{ *:[v8i16] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 30592*/     /*Scope*/ 27, /*->30620*/
/* 30593*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 30595*/      OPC_EmitMergeInputChains1_0,
/* 30596*/      OPC_EmitInteger, MVT::i32, 0, 
/* 30599*/      OPC_EmitConvertToTarget, 1,
/* 30601*/      OPC_EmitInteger, MVT::i64, 0, 
/* 30604*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 30611*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I16x8_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v8i16, 3/*#Ops*/, 2, 3, 5, 
                // Src: (ld:{ *:[v8i16] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadvi8>> - Complexity = 7
                // Dst: (LOAD_EXTEND_U_I16x8_A64:{ *:[v8i16] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 30620*/     0, /*End of Scope*/
/* 30621*/    /*Scope*/ 64, /*->30686*/
/* 30622*/     OPC_CheckPredicate, 19, // Predicate_sextload
/* 30624*/     OPC_CheckPredicate, 23, // Predicate_sextloadvi16
/* 30626*/     OPC_CheckType, MVT::v4i32,
/* 30628*/     OPC_Scope, 27, /*->30657*/ // 2 children in Scope
/* 30630*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 30632*/      OPC_EmitMergeInputChains1_0,
/* 30633*/      OPC_EmitInteger, MVT::i32, 0, 
/* 30636*/      OPC_EmitConvertToTarget, 1,
/* 30638*/      OPC_EmitInteger, MVT::i32, 0, 
/* 30641*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 30648*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_S_I32x4_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v4i32, 3/*#Ops*/, 2, 3, 5, 
                // Src: (ld:{ *:[v4i32] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadvi16>> - Complexity = 7
                // Dst: (LOAD_EXTEND_S_I32x4_A32:{ *:[v4i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 30657*/     /*Scope*/ 27, /*->30685*/
/* 30658*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 30660*/      OPC_EmitMergeInputChains1_0,
/* 30661*/      OPC_EmitInteger, MVT::i32, 0, 
/* 30664*/      OPC_EmitConvertToTarget, 1,
/* 30666*/      OPC_EmitInteger, MVT::i64, 0, 
/* 30669*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 30676*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_S_I32x4_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v4i32, 3/*#Ops*/, 2, 3, 5, 
                // Src: (ld:{ *:[v4i32] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadvi16>> - Complexity = 7
                // Dst: (LOAD_EXTEND_S_I32x4_A64:{ *:[v4i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 30685*/     0, /*End of Scope*/
/* 30686*/    /*Scope*/ 64, /*->30751*/
/* 30687*/     OPC_CheckPredicate, 20, // Predicate_zextload
/* 30689*/     OPC_CheckPredicate, 23, // Predicate_zextloadvi16
/* 30691*/     OPC_CheckType, MVT::v4i32,
/* 30693*/     OPC_Scope, 27, /*->30722*/ // 2 children in Scope
/* 30695*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 30697*/      OPC_EmitMergeInputChains1_0,
/* 30698*/      OPC_EmitInteger, MVT::i32, 0, 
/* 30701*/      OPC_EmitConvertToTarget, 1,
/* 30703*/      OPC_EmitInteger, MVT::i32, 0, 
/* 30706*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 30713*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I32x4_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v4i32, 3/*#Ops*/, 2, 3, 5, 
                // Src: (ld:{ *:[v4i32] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadvi16>> - Complexity = 7
                // Dst: (LOAD_EXTEND_U_I32x4_A32:{ *:[v4i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 30722*/     /*Scope*/ 27, /*->30750*/
/* 30723*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 30725*/      OPC_EmitMergeInputChains1_0,
/* 30726*/      OPC_EmitInteger, MVT::i32, 0, 
/* 30729*/      OPC_EmitConvertToTarget, 1,
/* 30731*/      OPC_EmitInteger, MVT::i64, 0, 
/* 30734*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 30741*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I32x4_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v4i32, 3/*#Ops*/, 2, 3, 5, 
                // Src: (ld:{ *:[v4i32] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadvi16>> - Complexity = 7
                // Dst: (LOAD_EXTEND_U_I32x4_A64:{ *:[v4i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 30750*/     0, /*End of Scope*/
/* 30751*/    /*Scope*/ 64, /*->30816*/
/* 30752*/     OPC_CheckPredicate, 21, // Predicate_extload
/* 30754*/     OPC_CheckPredicate, 23, // Predicate_extloadvi16
/* 30756*/     OPC_CheckType, MVT::v4i32,
/* 30758*/     OPC_Scope, 27, /*->30787*/ // 2 children in Scope
/* 30760*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 30762*/      OPC_EmitMergeInputChains1_0,
/* 30763*/      OPC_EmitInteger, MVT::i32, 0, 
/* 30766*/      OPC_EmitConvertToTarget, 1,
/* 30768*/      OPC_EmitInteger, MVT::i32, 0, 
/* 30771*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 30778*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I32x4_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v4i32, 3/*#Ops*/, 2, 3, 5, 
                // Src: (ld:{ *:[v4i32] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadvi16>> - Complexity = 7
                // Dst: (LOAD_EXTEND_U_I32x4_A32:{ *:[v4i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 30787*/     /*Scope*/ 27, /*->30815*/
/* 30788*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 30790*/      OPC_EmitMergeInputChains1_0,
/* 30791*/      OPC_EmitInteger, MVT::i32, 0, 
/* 30794*/      OPC_EmitConvertToTarget, 1,
/* 30796*/      OPC_EmitInteger, MVT::i64, 0, 
/* 30799*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 30806*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I32x4_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v4i32, 3/*#Ops*/, 2, 3, 5, 
                // Src: (ld:{ *:[v4i32] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadvi16>> - Complexity = 7
                // Dst: (LOAD_EXTEND_U_I32x4_A64:{ *:[v4i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 30815*/     0, /*End of Scope*/
/* 30816*/    /*Scope*/ 64, /*->30881*/
/* 30817*/     OPC_CheckPredicate, 19, // Predicate_sextload
/* 30819*/     OPC_CheckPredicate, 24, // Predicate_sextloadvi32
/* 30821*/     OPC_CheckType, MVT::v2i64,
/* 30823*/     OPC_Scope, 27, /*->30852*/ // 2 children in Scope
/* 30825*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 30827*/      OPC_EmitMergeInputChains1_0,
/* 30828*/      OPC_EmitInteger, MVT::i32, 0, 
/* 30831*/      OPC_EmitConvertToTarget, 1,
/* 30833*/      OPC_EmitInteger, MVT::i32, 0, 
/* 30836*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 30843*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_S_I64x2_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2i64, 3/*#Ops*/, 2, 3, 5, 
                // Src: (ld:{ *:[v2i64] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadvi32>> - Complexity = 7
                // Dst: (LOAD_EXTEND_S_I64x2_A32:{ *:[v2i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 30852*/     /*Scope*/ 27, /*->30880*/
/* 30853*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 30855*/      OPC_EmitMergeInputChains1_0,
/* 30856*/      OPC_EmitInteger, MVT::i32, 0, 
/* 30859*/      OPC_EmitConvertToTarget, 1,
/* 30861*/      OPC_EmitInteger, MVT::i64, 0, 
/* 30864*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 30871*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_S_I64x2_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2i64, 3/*#Ops*/, 2, 3, 5, 
                // Src: (ld:{ *:[v2i64] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadvi32>> - Complexity = 7
                // Dst: (LOAD_EXTEND_S_I64x2_A64:{ *:[v2i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 30880*/     0, /*End of Scope*/
/* 30881*/    /*Scope*/ 64, /*->30946*/
/* 30882*/     OPC_CheckPredicate, 20, // Predicate_zextload
/* 30884*/     OPC_CheckPredicate, 24, // Predicate_zextloadvi32
/* 30886*/     OPC_CheckType, MVT::v2i64,
/* 30888*/     OPC_Scope, 27, /*->30917*/ // 2 children in Scope
/* 30890*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 30892*/      OPC_EmitMergeInputChains1_0,
/* 30893*/      OPC_EmitInteger, MVT::i32, 0, 
/* 30896*/      OPC_EmitConvertToTarget, 1,
/* 30898*/      OPC_EmitInteger, MVT::i32, 0, 
/* 30901*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 30908*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I64x2_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2i64, 3/*#Ops*/, 2, 3, 5, 
                // Src: (ld:{ *:[v2i64] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadvi32>> - Complexity = 7
                // Dst: (LOAD_EXTEND_U_I64x2_A32:{ *:[v2i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 30917*/     /*Scope*/ 27, /*->30945*/
/* 30918*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 30920*/      OPC_EmitMergeInputChains1_0,
/* 30921*/      OPC_EmitInteger, MVT::i32, 0, 
/* 30924*/      OPC_EmitConvertToTarget, 1,
/* 30926*/      OPC_EmitInteger, MVT::i64, 0, 
/* 30929*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 30936*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I64x2_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2i64, 3/*#Ops*/, 2, 3, 5, 
                // Src: (ld:{ *:[v2i64] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadvi32>> - Complexity = 7
                // Dst: (LOAD_EXTEND_U_I64x2_A64:{ *:[v2i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 30945*/     0, /*End of Scope*/
/* 30946*/    /*Scope*/ 64, /*->31011*/
/* 30947*/     OPC_CheckPredicate, 21, // Predicate_extload
/* 30949*/     OPC_CheckPredicate, 24, // Predicate_extloadvi32
/* 30951*/     OPC_CheckType, MVT::v2i64,
/* 30953*/     OPC_Scope, 27, /*->30982*/ // 2 children in Scope
/* 30955*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 30957*/      OPC_EmitMergeInputChains1_0,
/* 30958*/      OPC_EmitInteger, MVT::i32, 0, 
/* 30961*/      OPC_EmitConvertToTarget, 1,
/* 30963*/      OPC_EmitInteger, MVT::i32, 0, 
/* 30966*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 30973*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I64x2_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2i64, 3/*#Ops*/, 2, 3, 5, 
                // Src: (ld:{ *:[v2i64] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadvi32>> - Complexity = 7
                // Dst: (LOAD_EXTEND_U_I64x2_A32:{ *:[v2i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 30982*/     /*Scope*/ 27, /*->31010*/
/* 30983*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 30985*/      OPC_EmitMergeInputChains1_0,
/* 30986*/      OPC_EmitInteger, MVT::i32, 0, 
/* 30989*/      OPC_EmitConvertToTarget, 1,
/* 30991*/      OPC_EmitInteger, MVT::i64, 0, 
/* 30994*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 31001*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I64x2_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2i64, 3/*#Ops*/, 2, 3, 5, 
                // Src: (ld:{ *:[v2i64] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadvi32>> - Complexity = 7
                // Dst: (LOAD_EXTEND_U_I64x2_A64:{ *:[v2i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 31010*/     0, /*End of Scope*/
/* 31011*/    0, /*End of Scope*/
/* 31012*/   /*Scope*/ 60|128,2/*316*/, /*->31330*/
/* 31014*/    OPC_CheckChild1Type, MVT::i32,
/* 31016*/    OPC_CheckPredicate, 17, // Predicate_unindexedload
/* 31018*/    OPC_Scope, 84, /*->31104*/ // 10 children in Scope
/* 31020*/     OPC_CheckPredicate, 18, // Predicate_load
/* 31022*/     OPC_SwitchType /*4 cases */, 18, MVT::v16i8,// ->31043
/* 31025*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 31027*/      OPC_EmitMergeInputChains1_0,
/* 31028*/      OPC_EmitInteger, MVT::i32, 0, 
/* 31031*/      OPC_EmitInteger, MVT::i32, 0, 
/* 31034*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v16i8, 3/*#Ops*/, 2, 3, 1, 
                // Src: (ld:{ *:[v16i8] } I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 4
                // Dst: (LOAD_V128_A32:{ *:[v16i8] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr)
/* 31043*/     /*SwitchType*/ 18, MVT::v8i16,// ->31063
/* 31045*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 31047*/      OPC_EmitMergeInputChains1_0,
/* 31048*/      OPC_EmitInteger, MVT::i32, 0, 
/* 31051*/      OPC_EmitInteger, MVT::i32, 0, 
/* 31054*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v8i16, 3/*#Ops*/, 2, 3, 1, 
                // Src: (ld:{ *:[v8i16] } I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 4
                // Dst: (LOAD_V128_A32:{ *:[v8i16] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr)
/* 31063*/     /*SwitchType*/ 18, MVT::v4i32,// ->31083
/* 31065*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 31067*/      OPC_EmitMergeInputChains1_0,
/* 31068*/      OPC_EmitInteger, MVT::i32, 0, 
/* 31071*/      OPC_EmitInteger, MVT::i32, 0, 
/* 31074*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v4i32, 3/*#Ops*/, 2, 3, 1, 
                // Src: (ld:{ *:[v4i32] } I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 4
                // Dst: (LOAD_V128_A32:{ *:[v4i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr)
/* 31083*/     /*SwitchType*/ 18, MVT::v2i64,// ->31103
/* 31085*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 31087*/      OPC_EmitMergeInputChains1_0,
/* 31088*/      OPC_EmitInteger, MVT::i32, 0, 
/* 31091*/      OPC_EmitInteger, MVT::i32, 0, 
/* 31094*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2i64, 3/*#Ops*/, 2, 3, 1, 
                // Src: (ld:{ *:[v2i64] } I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 4
                // Dst: (LOAD_V128_A32:{ *:[v2i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr)
/* 31103*/     0, // EndSwitchType
/* 31104*/    /*Scope*/ 24, /*->31129*/
/* 31105*/     OPC_CheckPredicate, 19, // Predicate_sextload
/* 31107*/     OPC_CheckPredicate, 22, // Predicate_sextloadvi8
/* 31109*/     OPC_CheckType, MVT::v8i16,
/* 31111*/     OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 31113*/     OPC_EmitMergeInputChains1_0,
/* 31114*/     OPC_EmitInteger, MVT::i32, 0, 
/* 31117*/     OPC_EmitInteger, MVT::i32, 0, 
/* 31120*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_S_I16x8_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::v8i16, 3/*#Ops*/, 2, 3, 1, 
               // Src: (ld:{ *:[v8i16] } I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadvi8>> - Complexity = 4
               // Dst: (LOAD_EXTEND_S_I16x8_A32:{ *:[v8i16] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr)
/* 31129*/    /*Scope*/ 24, /*->31154*/
/* 31130*/     OPC_CheckPredicate, 20, // Predicate_zextload
/* 31132*/     OPC_CheckPredicate, 22, // Predicate_zextloadvi8
/* 31134*/     OPC_CheckType, MVT::v8i16,
/* 31136*/     OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 31138*/     OPC_EmitMergeInputChains1_0,
/* 31139*/     OPC_EmitInteger, MVT::i32, 0, 
/* 31142*/     OPC_EmitInteger, MVT::i32, 0, 
/* 31145*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I16x8_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::v8i16, 3/*#Ops*/, 2, 3, 1, 
               // Src: (ld:{ *:[v8i16] } I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadvi8>> - Complexity = 4
               // Dst: (LOAD_EXTEND_U_I16x8_A32:{ *:[v8i16] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr)
/* 31154*/    /*Scope*/ 24, /*->31179*/
/* 31155*/     OPC_CheckPredicate, 21, // Predicate_extload
/* 31157*/     OPC_CheckPredicate, 22, // Predicate_extloadvi8
/* 31159*/     OPC_CheckType, MVT::v8i16,
/* 31161*/     OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 31163*/     OPC_EmitMergeInputChains1_0,
/* 31164*/     OPC_EmitInteger, MVT::i32, 0, 
/* 31167*/     OPC_EmitInteger, MVT::i32, 0, 
/* 31170*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I16x8_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::v8i16, 3/*#Ops*/, 2, 3, 1, 
               // Src: (ld:{ *:[v8i16] } I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadvi8>> - Complexity = 4
               // Dst: (LOAD_EXTEND_U_I16x8_A32:{ *:[v8i16] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr)
/* 31179*/    /*Scope*/ 24, /*->31204*/
/* 31180*/     OPC_CheckPredicate, 19, // Predicate_sextload
/* 31182*/     OPC_CheckPredicate, 23, // Predicate_sextloadvi16
/* 31184*/     OPC_CheckType, MVT::v4i32,
/* 31186*/     OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 31188*/     OPC_EmitMergeInputChains1_0,
/* 31189*/     OPC_EmitInteger, MVT::i32, 0, 
/* 31192*/     OPC_EmitInteger, MVT::i32, 0, 
/* 31195*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_S_I32x4_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::v4i32, 3/*#Ops*/, 2, 3, 1, 
               // Src: (ld:{ *:[v4i32] } I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadvi16>> - Complexity = 4
               // Dst: (LOAD_EXTEND_S_I32x4_A32:{ *:[v4i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr)
/* 31204*/    /*Scope*/ 24, /*->31229*/
/* 31205*/     OPC_CheckPredicate, 20, // Predicate_zextload
/* 31207*/     OPC_CheckPredicate, 23, // Predicate_zextloadvi16
/* 31209*/     OPC_CheckType, MVT::v4i32,
/* 31211*/     OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 31213*/     OPC_EmitMergeInputChains1_0,
/* 31214*/     OPC_EmitInteger, MVT::i32, 0, 
/* 31217*/     OPC_EmitInteger, MVT::i32, 0, 
/* 31220*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I32x4_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::v4i32, 3/*#Ops*/, 2, 3, 1, 
               // Src: (ld:{ *:[v4i32] } I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadvi16>> - Complexity = 4
               // Dst: (LOAD_EXTEND_U_I32x4_A32:{ *:[v4i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr)
/* 31229*/    /*Scope*/ 24, /*->31254*/
/* 31230*/     OPC_CheckPredicate, 21, // Predicate_extload
/* 31232*/     OPC_CheckPredicate, 23, // Predicate_extloadvi16
/* 31234*/     OPC_CheckType, MVT::v4i32,
/* 31236*/     OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 31238*/     OPC_EmitMergeInputChains1_0,
/* 31239*/     OPC_EmitInteger, MVT::i32, 0, 
/* 31242*/     OPC_EmitInteger, MVT::i32, 0, 
/* 31245*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I32x4_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::v4i32, 3/*#Ops*/, 2, 3, 1, 
               // Src: (ld:{ *:[v4i32] } I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadvi16>> - Complexity = 4
               // Dst: (LOAD_EXTEND_U_I32x4_A32:{ *:[v4i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr)
/* 31254*/    /*Scope*/ 24, /*->31279*/
/* 31255*/     OPC_CheckPredicate, 19, // Predicate_sextload
/* 31257*/     OPC_CheckPredicate, 24, // Predicate_sextloadvi32
/* 31259*/     OPC_CheckType, MVT::v2i64,
/* 31261*/     OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 31263*/     OPC_EmitMergeInputChains1_0,
/* 31264*/     OPC_EmitInteger, MVT::i32, 0, 
/* 31267*/     OPC_EmitInteger, MVT::i32, 0, 
/* 31270*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_S_I64x2_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::v2i64, 3/*#Ops*/, 2, 3, 1, 
               // Src: (ld:{ *:[v2i64] } I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadvi32>> - Complexity = 4
               // Dst: (LOAD_EXTEND_S_I64x2_A32:{ *:[v2i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr)
/* 31279*/    /*Scope*/ 24, /*->31304*/
/* 31280*/     OPC_CheckPredicate, 20, // Predicate_zextload
/* 31282*/     OPC_CheckPredicate, 24, // Predicate_zextloadvi32
/* 31284*/     OPC_CheckType, MVT::v2i64,
/* 31286*/     OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 31288*/     OPC_EmitMergeInputChains1_0,
/* 31289*/     OPC_EmitInteger, MVT::i32, 0, 
/* 31292*/     OPC_EmitInteger, MVT::i32, 0, 
/* 31295*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I64x2_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::v2i64, 3/*#Ops*/, 2, 3, 1, 
               // Src: (ld:{ *:[v2i64] } I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadvi32>> - Complexity = 4
               // Dst: (LOAD_EXTEND_U_I64x2_A32:{ *:[v2i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr)
/* 31304*/    /*Scope*/ 24, /*->31329*/
/* 31305*/     OPC_CheckPredicate, 21, // Predicate_extload
/* 31307*/     OPC_CheckPredicate, 24, // Predicate_extloadvi32
/* 31309*/     OPC_CheckType, MVT::v2i64,
/* 31311*/     OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 31313*/     OPC_EmitMergeInputChains1_0,
/* 31314*/     OPC_EmitInteger, MVT::i32, 0, 
/* 31317*/     OPC_EmitInteger, MVT::i32, 0, 
/* 31320*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I64x2_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::v2i64, 3/*#Ops*/, 2, 3, 1, 
               // Src: (ld:{ *:[v2i64] } I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadvi32>> - Complexity = 4
               // Dst: (LOAD_EXTEND_U_I64x2_A32:{ *:[v2i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr)
/* 31329*/    0, /*End of Scope*/
/* 31330*/   /*Scope*/ 60|128,2/*316*/, /*->31648*/
/* 31332*/    OPC_CheckChild1Type, MVT::i64,
/* 31334*/    OPC_CheckPredicate, 17, // Predicate_unindexedload
/* 31336*/    OPC_Scope, 84, /*->31422*/ // 10 children in Scope
/* 31338*/     OPC_CheckPredicate, 18, // Predicate_load
/* 31340*/     OPC_SwitchType /*4 cases */, 18, MVT::v16i8,// ->31361
/* 31343*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 31345*/      OPC_EmitMergeInputChains1_0,
/* 31346*/      OPC_EmitInteger, MVT::i32, 0, 
/* 31349*/      OPC_EmitInteger, MVT::i64, 0, 
/* 31352*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v16i8, 3/*#Ops*/, 2, 3, 1, 
                // Src: (ld:{ *:[v16i8] } I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 4
                // Dst: (LOAD_V128_A64:{ *:[v16i8] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr)
/* 31361*/     /*SwitchType*/ 18, MVT::v8i16,// ->31381
/* 31363*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 31365*/      OPC_EmitMergeInputChains1_0,
/* 31366*/      OPC_EmitInteger, MVT::i32, 0, 
/* 31369*/      OPC_EmitInteger, MVT::i64, 0, 
/* 31372*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v8i16, 3/*#Ops*/, 2, 3, 1, 
                // Src: (ld:{ *:[v8i16] } I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 4
                // Dst: (LOAD_V128_A64:{ *:[v8i16] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr)
/* 31381*/     /*SwitchType*/ 18, MVT::v4i32,// ->31401
/* 31383*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 31385*/      OPC_EmitMergeInputChains1_0,
/* 31386*/      OPC_EmitInteger, MVT::i32, 0, 
/* 31389*/      OPC_EmitInteger, MVT::i64, 0, 
/* 31392*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v4i32, 3/*#Ops*/, 2, 3, 1, 
                // Src: (ld:{ *:[v4i32] } I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 4
                // Dst: (LOAD_V128_A64:{ *:[v4i32] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr)
/* 31401*/     /*SwitchType*/ 18, MVT::v2i64,// ->31421
/* 31403*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 31405*/      OPC_EmitMergeInputChains1_0,
/* 31406*/      OPC_EmitInteger, MVT::i32, 0, 
/* 31409*/      OPC_EmitInteger, MVT::i64, 0, 
/* 31412*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2i64, 3/*#Ops*/, 2, 3, 1, 
                // Src: (ld:{ *:[v2i64] } I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 4
                // Dst: (LOAD_V128_A64:{ *:[v2i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr)
/* 31421*/     0, // EndSwitchType
/* 31422*/    /*Scope*/ 24, /*->31447*/
/* 31423*/     OPC_CheckPredicate, 19, // Predicate_sextload
/* 31425*/     OPC_CheckPredicate, 22, // Predicate_sextloadvi8
/* 31427*/     OPC_CheckType, MVT::v8i16,
/* 31429*/     OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 31431*/     OPC_EmitMergeInputChains1_0,
/* 31432*/     OPC_EmitInteger, MVT::i32, 0, 
/* 31435*/     OPC_EmitInteger, MVT::i64, 0, 
/* 31438*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_S_I16x8_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::v8i16, 3/*#Ops*/, 2, 3, 1, 
               // Src: (ld:{ *:[v8i16] } I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadvi8>> - Complexity = 4
               // Dst: (LOAD_EXTEND_S_I16x8_A64:{ *:[v8i16] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr)
/* 31447*/    /*Scope*/ 24, /*->31472*/
/* 31448*/     OPC_CheckPredicate, 20, // Predicate_zextload
/* 31450*/     OPC_CheckPredicate, 22, // Predicate_zextloadvi8
/* 31452*/     OPC_CheckType, MVT::v8i16,
/* 31454*/     OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 31456*/     OPC_EmitMergeInputChains1_0,
/* 31457*/     OPC_EmitInteger, MVT::i32, 0, 
/* 31460*/     OPC_EmitInteger, MVT::i64, 0, 
/* 31463*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I16x8_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::v8i16, 3/*#Ops*/, 2, 3, 1, 
               // Src: (ld:{ *:[v8i16] } I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadvi8>> - Complexity = 4
               // Dst: (LOAD_EXTEND_U_I16x8_A64:{ *:[v8i16] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr)
/* 31472*/    /*Scope*/ 24, /*->31497*/
/* 31473*/     OPC_CheckPredicate, 21, // Predicate_extload
/* 31475*/     OPC_CheckPredicate, 22, // Predicate_extloadvi8
/* 31477*/     OPC_CheckType, MVT::v8i16,
/* 31479*/     OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 31481*/     OPC_EmitMergeInputChains1_0,
/* 31482*/     OPC_EmitInteger, MVT::i32, 0, 
/* 31485*/     OPC_EmitInteger, MVT::i64, 0, 
/* 31488*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I16x8_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::v8i16, 3/*#Ops*/, 2, 3, 1, 
               // Src: (ld:{ *:[v8i16] } I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadvi8>> - Complexity = 4
               // Dst: (LOAD_EXTEND_U_I16x8_A64:{ *:[v8i16] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr)
/* 31497*/    /*Scope*/ 24, /*->31522*/
/* 31498*/     OPC_CheckPredicate, 19, // Predicate_sextload
/* 31500*/     OPC_CheckPredicate, 23, // Predicate_sextloadvi16
/* 31502*/     OPC_CheckType, MVT::v4i32,
/* 31504*/     OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 31506*/     OPC_EmitMergeInputChains1_0,
/* 31507*/     OPC_EmitInteger, MVT::i32, 0, 
/* 31510*/     OPC_EmitInteger, MVT::i64, 0, 
/* 31513*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_S_I32x4_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::v4i32, 3/*#Ops*/, 2, 3, 1, 
               // Src: (ld:{ *:[v4i32] } I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadvi16>> - Complexity = 4
               // Dst: (LOAD_EXTEND_S_I32x4_A64:{ *:[v4i32] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr)
/* 31522*/    /*Scope*/ 24, /*->31547*/
/* 31523*/     OPC_CheckPredicate, 20, // Predicate_zextload
/* 31525*/     OPC_CheckPredicate, 23, // Predicate_zextloadvi16
/* 31527*/     OPC_CheckType, MVT::v4i32,
/* 31529*/     OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 31531*/     OPC_EmitMergeInputChains1_0,
/* 31532*/     OPC_EmitInteger, MVT::i32, 0, 
/* 31535*/     OPC_EmitInteger, MVT::i64, 0, 
/* 31538*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I32x4_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::v4i32, 3/*#Ops*/, 2, 3, 1, 
               // Src: (ld:{ *:[v4i32] } I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadvi16>> - Complexity = 4
               // Dst: (LOAD_EXTEND_U_I32x4_A64:{ *:[v4i32] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr)
/* 31547*/    /*Scope*/ 24, /*->31572*/
/* 31548*/     OPC_CheckPredicate, 21, // Predicate_extload
/* 31550*/     OPC_CheckPredicate, 23, // Predicate_extloadvi16
/* 31552*/     OPC_CheckType, MVT::v4i32,
/* 31554*/     OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 31556*/     OPC_EmitMergeInputChains1_0,
/* 31557*/     OPC_EmitInteger, MVT::i32, 0, 
/* 31560*/     OPC_EmitInteger, MVT::i64, 0, 
/* 31563*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I32x4_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::v4i32, 3/*#Ops*/, 2, 3, 1, 
               // Src: (ld:{ *:[v4i32] } I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadvi16>> - Complexity = 4
               // Dst: (LOAD_EXTEND_U_I32x4_A64:{ *:[v4i32] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr)
/* 31572*/    /*Scope*/ 24, /*->31597*/
/* 31573*/     OPC_CheckPredicate, 19, // Predicate_sextload
/* 31575*/     OPC_CheckPredicate, 24, // Predicate_sextloadvi32
/* 31577*/     OPC_CheckType, MVT::v2i64,
/* 31579*/     OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 31581*/     OPC_EmitMergeInputChains1_0,
/* 31582*/     OPC_EmitInteger, MVT::i32, 0, 
/* 31585*/     OPC_EmitInteger, MVT::i64, 0, 
/* 31588*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_S_I64x2_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::v2i64, 3/*#Ops*/, 2, 3, 1, 
               // Src: (ld:{ *:[v2i64] } I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadvi32>> - Complexity = 4
               // Dst: (LOAD_EXTEND_S_I64x2_A64:{ *:[v2i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr)
/* 31597*/    /*Scope*/ 24, /*->31622*/
/* 31598*/     OPC_CheckPredicate, 20, // Predicate_zextload
/* 31600*/     OPC_CheckPredicate, 24, // Predicate_zextloadvi32
/* 31602*/     OPC_CheckType, MVT::v2i64,
/* 31604*/     OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 31606*/     OPC_EmitMergeInputChains1_0,
/* 31607*/     OPC_EmitInteger, MVT::i32, 0, 
/* 31610*/     OPC_EmitInteger, MVT::i64, 0, 
/* 31613*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I64x2_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::v2i64, 3/*#Ops*/, 2, 3, 1, 
               // Src: (ld:{ *:[v2i64] } I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadvi32>> - Complexity = 4
               // Dst: (LOAD_EXTEND_U_I64x2_A64:{ *:[v2i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr)
/* 31622*/    /*Scope*/ 24, /*->31647*/
/* 31623*/     OPC_CheckPredicate, 21, // Predicate_extload
/* 31625*/     OPC_CheckPredicate, 24, // Predicate_extloadvi32
/* 31627*/     OPC_CheckType, MVT::v2i64,
/* 31629*/     OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 31631*/     OPC_EmitMergeInputChains1_0,
/* 31632*/     OPC_EmitInteger, MVT::i32, 0, 
/* 31635*/     OPC_EmitInteger, MVT::i64, 0, 
/* 31638*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_EXTEND_U_I64x2_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::v2i64, 3/*#Ops*/, 2, 3, 1, 
               // Src: (ld:{ *:[v2i64] } I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadvi32>> - Complexity = 4
               // Dst: (LOAD_EXTEND_U_I64x2_A64:{ *:[v2i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr)
/* 31647*/    0, /*End of Scope*/
/* 31648*/   0, /*End of Scope*/
/* 31649*/  /*Scope*/ 91|128,2/*347*/, /*->31998*/
/* 31651*/   OPC_MoveChild1,
/* 31652*/   OPC_SwitchOpcode /*3 cases */, 105, TARGET_VAL(ISD::ADD),// ->31761
/* 31656*/    OPC_RecordChild0, // #1 = $addr
/* 31657*/    OPC_RecordChild1, // #2 = $off
/* 31658*/    OPC_MoveChild1,
/* 31659*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 31662*/    OPC_MoveParent,
/* 31663*/    OPC_CheckPredicate, 0, // Predicate_regPlusImm
/* 31665*/    OPC_SwitchType /*2 cases */, 45, MVT::i32,// ->31713
/* 31668*/     OPC_MoveParent,
/* 31669*/     OPC_CheckPredicate, 17, // Predicate_unindexedload
/* 31671*/     OPC_CheckPredicate, 18, // Predicate_load
/* 31673*/     OPC_SwitchType /*2 cases */, 17, MVT::v4f32,// ->31693
/* 31676*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 31678*/      OPC_EmitMergeInputChains1_0,
/* 31679*/      OPC_EmitInteger, MVT::i32, 0, 
/* 31682*/      OPC_EmitConvertToTarget, 2,
/* 31684*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v4f32, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[v4f32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 11
                // Dst: (LOAD_V128_A32:{ *:[v4f32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 31693*/     /*SwitchType*/ 17, MVT::v2f64,// ->31712
/* 31695*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 31697*/      OPC_EmitMergeInputChains1_0,
/* 31698*/      OPC_EmitInteger, MVT::i32, 0, 
/* 31701*/      OPC_EmitConvertToTarget, 2,
/* 31703*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2f64, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[v2f64] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 11
                // Dst: (LOAD_V128_A32:{ *:[v2f64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 31712*/     0, // EndSwitchType
/* 31713*/    /*SwitchType*/ 45, MVT::i64,// ->31760
/* 31715*/     OPC_MoveParent,
/* 31716*/     OPC_CheckPredicate, 17, // Predicate_unindexedload
/* 31718*/     OPC_CheckPredicate, 18, // Predicate_load
/* 31720*/     OPC_SwitchType /*2 cases */, 17, MVT::v4f32,// ->31740
/* 31723*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 31725*/      OPC_EmitMergeInputChains1_0,
/* 31726*/      OPC_EmitInteger, MVT::i32, 0, 
/* 31729*/      OPC_EmitConvertToTarget, 2,
/* 31731*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v4f32, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[v4f32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 11
                // Dst: (LOAD_V128_A64:{ *:[v4f32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 31740*/     /*SwitchType*/ 17, MVT::v2f64,// ->31759
/* 31742*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 31744*/      OPC_EmitMergeInputChains1_0,
/* 31745*/      OPC_EmitInteger, MVT::i32, 0, 
/* 31748*/      OPC_EmitConvertToTarget, 2,
/* 31750*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2f64, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[v2f64] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 11
                // Dst: (LOAD_V128_A64:{ *:[v2f64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 31759*/     0, // EndSwitchType
/* 31760*/    0, // EndSwitchType
/* 31761*/   /*SwitchOpcode*/ 105, TARGET_VAL(ISD::OR),// ->31869
/* 31764*/    OPC_RecordChild0, // #1 = $addr
/* 31765*/    OPC_RecordChild1, // #2 = $off
/* 31766*/    OPC_MoveChild1,
/* 31767*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 31770*/    OPC_MoveParent,
/* 31771*/    OPC_CheckPredicate, 3, // Predicate_or_is_add
/* 31773*/    OPC_SwitchType /*2 cases */, 45, MVT::i32,// ->31821
/* 31776*/     OPC_MoveParent,
/* 31777*/     OPC_CheckPredicate, 17, // Predicate_unindexedload
/* 31779*/     OPC_CheckPredicate, 18, // Predicate_load
/* 31781*/     OPC_SwitchType /*2 cases */, 17, MVT::v4f32,// ->31801
/* 31784*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 31786*/      OPC_EmitMergeInputChains1_0,
/* 31787*/      OPC_EmitInteger, MVT::i32, 0, 
/* 31790*/      OPC_EmitConvertToTarget, 2,
/* 31792*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v4f32, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[v4f32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 11
                // Dst: (LOAD_V128_A32:{ *:[v4f32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 31801*/     /*SwitchType*/ 17, MVT::v2f64,// ->31820
/* 31803*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 31805*/      OPC_EmitMergeInputChains1_0,
/* 31806*/      OPC_EmitInteger, MVT::i32, 0, 
/* 31809*/      OPC_EmitConvertToTarget, 2,
/* 31811*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2f64, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[v2f64] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 11
                // Dst: (LOAD_V128_A32:{ *:[v2f64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 31820*/     0, // EndSwitchType
/* 31821*/    /*SwitchType*/ 45, MVT::i64,// ->31868
/* 31823*/     OPC_MoveParent,
/* 31824*/     OPC_CheckPredicate, 17, // Predicate_unindexedload
/* 31826*/     OPC_CheckPredicate, 18, // Predicate_load
/* 31828*/     OPC_SwitchType /*2 cases */, 17, MVT::v4f32,// ->31848
/* 31831*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 31833*/      OPC_EmitMergeInputChains1_0,
/* 31834*/      OPC_EmitInteger, MVT::i32, 0, 
/* 31837*/      OPC_EmitConvertToTarget, 2,
/* 31839*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v4f32, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[v4f32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 11
                // Dst: (LOAD_V128_A64:{ *:[v4f32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 31848*/     /*SwitchType*/ 17, MVT::v2f64,// ->31867
/* 31850*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 31852*/      OPC_EmitMergeInputChains1_0,
/* 31853*/      OPC_EmitInteger, MVT::i32, 0, 
/* 31856*/      OPC_EmitConvertToTarget, 2,
/* 31858*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2f64, 3/*#Ops*/, 3, 4, 1, 
                // Src: (ld:{ *:[v2f64] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 11
                // Dst: (LOAD_V128_A64:{ *:[v2f64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 31867*/     0, // EndSwitchType
/* 31868*/    0, // EndSwitchType
/* 31869*/   /*SwitchOpcode*/ 125, TARGET_VAL(WebAssemblyISD::Wrapper),// ->31997
/* 31872*/    OPC_RecordChild0, // #1 = $off
/* 31873*/    OPC_MoveChild0,
/* 31874*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 31877*/    OPC_MoveParent,
/* 31878*/    OPC_MoveParent,
/* 31879*/    OPC_CheckPredicate, 17, // Predicate_unindexedload
/* 31881*/    OPC_CheckPredicate, 18, // Predicate_load
/* 31883*/    OPC_SwitchType /*2 cases */, 54, MVT::v4f32,// ->31940
/* 31886*/     OPC_Scope, 25, /*->31913*/ // 2 children in Scope
/* 31888*/      OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 31890*/      OPC_EmitMergeInputChains1_0,
/* 31891*/      OPC_EmitInteger, MVT::i32, 0, 
/* 31894*/      OPC_EmitInteger, MVT::i32, 0, 
/* 31897*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 3,  // Results = #4
/* 31904*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v4f32, 3/*#Ops*/, 2, 1, 4, 
                // Src: (ld:{ *:[v4f32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 10
                // Dst: (LOAD_V128_A32:{ *:[v4f32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 31913*/     /*Scope*/ 25, /*->31939*/
/* 31914*/      OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 31916*/      OPC_EmitMergeInputChains1_0,
/* 31917*/      OPC_EmitInteger, MVT::i32, 0, 
/* 31920*/      OPC_EmitInteger, MVT::i64, 0, 
/* 31923*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 3,  // Results = #4
/* 31930*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v4f32, 3/*#Ops*/, 2, 1, 4, 
                // Src: (ld:{ *:[v4f32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 10
                // Dst: (LOAD_V128_A64:{ *:[v4f32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 31939*/     0, /*End of Scope*/
/* 31940*/    /*SwitchType*/ 54, MVT::v2f64,// ->31996
/* 31942*/     OPC_Scope, 25, /*->31969*/ // 2 children in Scope
/* 31944*/      OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 31946*/      OPC_EmitMergeInputChains1_0,
/* 31947*/      OPC_EmitInteger, MVT::i32, 0, 
/* 31950*/      OPC_EmitInteger, MVT::i32, 0, 
/* 31953*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 3,  // Results = #4
/* 31960*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2f64, 3/*#Ops*/, 2, 1, 4, 
                // Src: (ld:{ *:[v2f64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 10
                // Dst: (LOAD_V128_A32:{ *:[v2f64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 31969*/     /*Scope*/ 25, /*->31995*/
/* 31970*/      OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 31972*/      OPC_EmitMergeInputChains1_0,
/* 31973*/      OPC_EmitInteger, MVT::i32, 0, 
/* 31976*/      OPC_EmitInteger, MVT::i64, 0, 
/* 31979*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 3,  // Results = #4
/* 31986*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2f64, 3/*#Ops*/, 2, 1, 4, 
                // Src: (ld:{ *:[v2f64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 10
                // Dst: (LOAD_V128_A64:{ *:[v2f64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 31995*/     0, /*End of Scope*/
/* 31996*/    0, // EndSwitchType
/* 31997*/   0, // EndSwitchOpcode
/* 31998*/  /*Scope*/ 50|128,2/*306*/, /*->32306*/
/* 32000*/   OPC_RecordChild1, // #1 = $off
/* 32001*/   OPC_Scope, 3|128,1/*131*/, /*->32135*/ // 3 children in Scope
/* 32004*/    OPC_MoveChild1,
/* 32005*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 32008*/    OPC_MoveParent,
/* 32009*/    OPC_CheckPredicate, 17, // Predicate_unindexedload
/* 32011*/    OPC_CheckPredicate, 18, // Predicate_load
/* 32013*/    OPC_SwitchType /*2 cases */, 58, MVT::v4f32,// ->32074
/* 32016*/     OPC_Scope, 27, /*->32045*/ // 2 children in Scope
/* 32018*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 32020*/      OPC_EmitMergeInputChains1_0,
/* 32021*/      OPC_EmitInteger, MVT::i32, 0, 
/* 32024*/      OPC_EmitConvertToTarget, 1,
/* 32026*/      OPC_EmitInteger, MVT::i32, 0, 
/* 32029*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 32036*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v4f32, 3/*#Ops*/, 2, 3, 5, 
                // Src: (ld:{ *:[v4f32] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 7
                // Dst: (LOAD_V128_A32:{ *:[v4f32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 32045*/     /*Scope*/ 27, /*->32073*/
/* 32046*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 32048*/      OPC_EmitMergeInputChains1_0,
/* 32049*/      OPC_EmitInteger, MVT::i32, 0, 
/* 32052*/      OPC_EmitConvertToTarget, 1,
/* 32054*/      OPC_EmitInteger, MVT::i64, 0, 
/* 32057*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 32064*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v4f32, 3/*#Ops*/, 2, 3, 5, 
                // Src: (ld:{ *:[v4f32] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 7
                // Dst: (LOAD_V128_A64:{ *:[v4f32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 32073*/     0, /*End of Scope*/
/* 32074*/    /*SwitchType*/ 58, MVT::v2f64,// ->32134
/* 32076*/     OPC_Scope, 27, /*->32105*/ // 2 children in Scope
/* 32078*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 32080*/      OPC_EmitMergeInputChains1_0,
/* 32081*/      OPC_EmitInteger, MVT::i32, 0, 
/* 32084*/      OPC_EmitConvertToTarget, 1,
/* 32086*/      OPC_EmitInteger, MVT::i32, 0, 
/* 32089*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 32096*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2f64, 3/*#Ops*/, 2, 3, 5, 
                // Src: (ld:{ *:[v2f64] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 7
                // Dst: (LOAD_V128_A32:{ *:[v2f64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 32105*/     /*Scope*/ 27, /*->32133*/
/* 32106*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 32108*/      OPC_EmitMergeInputChains1_0,
/* 32109*/      OPC_EmitInteger, MVT::i32, 0, 
/* 32112*/      OPC_EmitConvertToTarget, 1,
/* 32114*/      OPC_EmitInteger, MVT::i64, 0, 
/* 32117*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 32124*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2f64, 3/*#Ops*/, 2, 3, 5, 
                // Src: (ld:{ *:[v2f64] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 7
                // Dst: (LOAD_V128_A64:{ *:[v2f64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 32133*/     0, /*End of Scope*/
/* 32134*/    0, // EndSwitchType
/* 32135*/   /*Scope*/ 84, /*->32220*/
/* 32136*/    OPC_CheckChild1Type, MVT::i32,
/* 32138*/    OPC_CheckPredicate, 17, // Predicate_unindexedload
/* 32140*/    OPC_Scope, 44, /*->32186*/ // 2 children in Scope
/* 32142*/     OPC_CheckPredicate, 18, // Predicate_load
/* 32144*/     OPC_SwitchType /*2 cases */, 18, MVT::v4f32,// ->32165
/* 32147*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 32149*/      OPC_EmitMergeInputChains1_0,
/* 32150*/      OPC_EmitInteger, MVT::i32, 0, 
/* 32153*/      OPC_EmitInteger, MVT::i32, 0, 
/* 32156*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v4f32, 3/*#Ops*/, 2, 3, 1, 
                // Src: (ld:{ *:[v4f32] } I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 4
                // Dst: (LOAD_V128_A32:{ *:[v4f32] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr)
/* 32165*/     /*SwitchType*/ 18, MVT::v2f64,// ->32185
/* 32167*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 32169*/      OPC_EmitMergeInputChains1_0,
/* 32170*/      OPC_EmitInteger, MVT::i32, 0, 
/* 32173*/      OPC_EmitInteger, MVT::i32, 0, 
/* 32176*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2f64, 3/*#Ops*/, 2, 3, 1, 
                // Src: (ld:{ *:[v2f64] } I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 4
                // Dst: (LOAD_V128_A32:{ *:[v2f64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr)
/* 32185*/     0, // EndSwitchType
/* 32186*/    /*Scope*/ 32, /*->32219*/
/* 32187*/     OPC_CheckPredicate, 21, // Predicate_extload
/* 32189*/     OPC_CheckType, MVT::v2f64,
/* 32191*/     OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 32193*/     OPC_EmitMergeInputChains1_0,
/* 32194*/     OPC_EmitInteger, MVT::i32, 0, 
/* 32197*/     OPC_EmitInteger, MVT::i32, 0, 
/* 32200*/     OPC_EmitNode1, TARGET_VAL(WebAssembly::LOAD_ZERO_I64x2_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::v16i8, 3/*#Ops*/, 2, 3, 1,  // Results = #4
/* 32209*/     OPC_EmitNode1, TARGET_VAL(WebAssembly::promote_low_F64x2), 0,
                   MVT::v2f64, 1/*#Ops*/, 4,  // Results = #5
/* 32216*/     OPC_CompleteMatch, 1, 5, 
                // Src: (ld:{ *:[v2f64] } I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_extload>> - Complexity = 4
                // Dst: (promote_low_F64x2:{ *:[v2f64] } (LOAD_ZERO_I64x2_A32:{ *:[v16i8] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr))
/* 32219*/    0, /*End of Scope*/
/* 32220*/   /*Scope*/ 84, /*->32305*/
/* 32221*/    OPC_CheckChild1Type, MVT::i64,
/* 32223*/    OPC_CheckPredicate, 17, // Predicate_unindexedload
/* 32225*/    OPC_Scope, 44, /*->32271*/ // 2 children in Scope
/* 32227*/     OPC_CheckPredicate, 18, // Predicate_load
/* 32229*/     OPC_SwitchType /*2 cases */, 18, MVT::v4f32,// ->32250
/* 32232*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 32234*/      OPC_EmitMergeInputChains1_0,
/* 32235*/      OPC_EmitInteger, MVT::i32, 0, 
/* 32238*/      OPC_EmitInteger, MVT::i64, 0, 
/* 32241*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v4f32, 3/*#Ops*/, 2, 3, 1, 
                // Src: (ld:{ *:[v4f32] } I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 4
                // Dst: (LOAD_V128_A64:{ *:[v4f32] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr)
/* 32250*/     /*SwitchType*/ 18, MVT::v2f64,// ->32270
/* 32252*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 32254*/      OPC_EmitMergeInputChains1_0,
/* 32255*/      OPC_EmitInteger, MVT::i32, 0, 
/* 32258*/      OPC_EmitInteger, MVT::i64, 0, 
/* 32261*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_V128_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2f64, 3/*#Ops*/, 2, 3, 1, 
                // Src: (ld:{ *:[v2f64] } I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_load>> - Complexity = 4
                // Dst: (LOAD_V128_A64:{ *:[v2f64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr)
/* 32270*/     0, // EndSwitchType
/* 32271*/    /*Scope*/ 32, /*->32304*/
/* 32272*/     OPC_CheckPredicate, 21, // Predicate_extload
/* 32274*/     OPC_CheckType, MVT::v2f64,
/* 32276*/     OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 32278*/     OPC_EmitMergeInputChains1_0,
/* 32279*/     OPC_EmitInteger, MVT::i32, 0, 
/* 32282*/     OPC_EmitInteger, MVT::i64, 0, 
/* 32285*/     OPC_EmitNode1, TARGET_VAL(WebAssembly::LOAD_ZERO_I64x2_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::v16i8, 3/*#Ops*/, 2, 3, 1,  // Results = #4
/* 32294*/     OPC_EmitNode1, TARGET_VAL(WebAssembly::promote_low_F64x2), 0,
                   MVT::v2f64, 1/*#Ops*/, 4,  // Results = #5
/* 32301*/     OPC_CompleteMatch, 1, 5, 
                // Src: (ld:{ *:[v2f64] } I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_extload>> - Complexity = 4
                // Dst: (promote_low_F64x2:{ *:[v2f64] } (LOAD_ZERO_I64x2_A64:{ *:[v16i8] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr))
/* 32304*/    0, /*End of Scope*/
/* 32305*/   0, /*End of Scope*/
/* 32306*/  0, /*End of Scope*/
/* 32307*/ /*SwitchOpcode*/ 67, TARGET_VAL(ISD::SHL),// ->32377
/* 32310*/  OPC_RecordChild0, // #0 = $lhs
/* 32311*/  OPC_Scope, 35, /*->32348*/ // 2 children in Scope
/* 32313*/   OPC_MoveChild1,
/* 32314*/   OPC_SwitchType /*2 cases */, 14, MVT::i32,// ->32331
/* 32317*/    OPC_CheckAndImm, 31, 
/* 32319*/    OPC_RecordChild0, // #1 = $rhs
/* 32320*/    OPC_MoveParent,
/* 32321*/    OPC_CheckType, MVT::i32,
/* 32323*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SHL_I32), 0,
                  MVT::i32, 2/*#Ops*/, 0, 1, 
              // Src: (shl:{ *:[i32] } I32:{ *:[i32] }:$lhs, (and:{ *:[i32] } I32:{ *:[i32] }:$rhs, 31:{ *:[i32] })) - Complexity = 11
              // Dst: (SHL_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/* 32331*/   /*SwitchType*/ 14, MVT::i64,// ->32347
/* 32333*/    OPC_CheckAndImm, 63, 
/* 32335*/    OPC_RecordChild0, // #1 = $rhs
/* 32336*/    OPC_MoveParent,
/* 32337*/    OPC_CheckType, MVT::i64,
/* 32339*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SHL_I64), 0,
                  MVT::i64, 2/*#Ops*/, 0, 1, 
              // Src: (shl:{ *:[i64] } I64:{ *:[i64] }:$lhs, (and:{ *:[i64] } I64:{ *:[i64] }:$rhs, 63:{ *:[i64] })) - Complexity = 11
              // Dst: (SHL_I64:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs)
/* 32347*/   0, // EndSwitchType
/* 32348*/  /*Scope*/ 27, /*->32376*/
/* 32349*/   OPC_RecordChild1, // #1 = $rhs
/* 32350*/   OPC_SwitchType /*2 cases */, 10, MVT::i32,// ->32363
/* 32353*/    OPC_CheckChild1Type, MVT::i32,
/* 32355*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SHL_I32), 0,
                  MVT::i32, 2/*#Ops*/, 0, 1, 
              // Src: (shl:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs) - Complexity = 3
              // Dst: (SHL_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/* 32363*/   /*SwitchType*/ 10, MVT::i64,// ->32375
/* 32365*/    OPC_CheckChild1Type, MVT::i64,
/* 32367*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SHL_I64), 0,
                  MVT::i64, 2/*#Ops*/, 0, 1, 
              // Src: (shl:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs) - Complexity = 3
              // Dst: (SHL_I64:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs)
/* 32375*/   0, // EndSwitchType
/* 32376*/  0, /*End of Scope*/
/* 32377*/ /*SwitchOpcode*/ 67, TARGET_VAL(ISD::SRA),// ->32447
/* 32380*/  OPC_RecordChild0, // #0 = $lhs
/* 32381*/  OPC_Scope, 35, /*->32418*/ // 2 children in Scope
/* 32383*/   OPC_MoveChild1,
/* 32384*/   OPC_SwitchType /*2 cases */, 14, MVT::i32,// ->32401
/* 32387*/    OPC_CheckAndImm, 31, 
/* 32389*/    OPC_RecordChild0, // #1 = $rhs
/* 32390*/    OPC_MoveParent,
/* 32391*/    OPC_CheckType, MVT::i32,
/* 32393*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SHR_S_I32), 0,
                  MVT::i32, 2/*#Ops*/, 0, 1, 
              // Src: (sra:{ *:[i32] } I32:{ *:[i32] }:$lhs, (and:{ *:[i32] } I32:{ *:[i32] }:$rhs, 31:{ *:[i32] })) - Complexity = 11
              // Dst: (SHR_S_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/* 32401*/   /*SwitchType*/ 14, MVT::i64,// ->32417
/* 32403*/    OPC_CheckAndImm, 63, 
/* 32405*/    OPC_RecordChild0, // #1 = $rhs
/* 32406*/    OPC_MoveParent,
/* 32407*/    OPC_CheckType, MVT::i64,
/* 32409*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SHR_S_I64), 0,
                  MVT::i64, 2/*#Ops*/, 0, 1, 
              // Src: (sra:{ *:[i64] } I64:{ *:[i64] }:$lhs, (and:{ *:[i64] } I64:{ *:[i64] }:$rhs, 63:{ *:[i64] })) - Complexity = 11
              // Dst: (SHR_S_I64:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs)
/* 32417*/   0, // EndSwitchType
/* 32418*/  /*Scope*/ 27, /*->32446*/
/* 32419*/   OPC_RecordChild1, // #1 = $rhs
/* 32420*/   OPC_SwitchType /*2 cases */, 10, MVT::i32,// ->32433
/* 32423*/    OPC_CheckChild1Type, MVT::i32,
/* 32425*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SHR_S_I32), 0,
                  MVT::i32, 2/*#Ops*/, 0, 1, 
              // Src: (sra:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs) - Complexity = 3
              // Dst: (SHR_S_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/* 32433*/   /*SwitchType*/ 10, MVT::i64,// ->32445
/* 32435*/    OPC_CheckChild1Type, MVT::i64,
/* 32437*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SHR_S_I64), 0,
                  MVT::i64, 2/*#Ops*/, 0, 1, 
              // Src: (sra:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs) - Complexity = 3
              // Dst: (SHR_S_I64:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs)
/* 32445*/   0, // EndSwitchType
/* 32446*/  0, /*End of Scope*/
/* 32447*/ /*SwitchOpcode*/ 67, TARGET_VAL(ISD::SRL),// ->32517
/* 32450*/  OPC_RecordChild0, // #0 = $lhs
/* 32451*/  OPC_Scope, 35, /*->32488*/ // 2 children in Scope
/* 32453*/   OPC_MoveChild1,
/* 32454*/   OPC_SwitchType /*2 cases */, 14, MVT::i32,// ->32471
/* 32457*/    OPC_CheckAndImm, 31, 
/* 32459*/    OPC_RecordChild0, // #1 = $rhs
/* 32460*/    OPC_MoveParent,
/* 32461*/    OPC_CheckType, MVT::i32,
/* 32463*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SHR_U_I32), 0,
                  MVT::i32, 2/*#Ops*/, 0, 1, 
              // Src: (srl:{ *:[i32] } I32:{ *:[i32] }:$lhs, (and:{ *:[i32] } I32:{ *:[i32] }:$rhs, 31:{ *:[i32] })) - Complexity = 11
              // Dst: (SHR_U_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/* 32471*/   /*SwitchType*/ 14, MVT::i64,// ->32487
/* 32473*/    OPC_CheckAndImm, 63, 
/* 32475*/    OPC_RecordChild0, // #1 = $rhs
/* 32476*/    OPC_MoveParent,
/* 32477*/    OPC_CheckType, MVT::i64,
/* 32479*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SHR_U_I64), 0,
                  MVT::i64, 2/*#Ops*/, 0, 1, 
              // Src: (srl:{ *:[i64] } I64:{ *:[i64] }:$lhs, (and:{ *:[i64] } I64:{ *:[i64] }:$rhs, 63:{ *:[i64] })) - Complexity = 11
              // Dst: (SHR_U_I64:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs)
/* 32487*/   0, // EndSwitchType
/* 32488*/  /*Scope*/ 27, /*->32516*/
/* 32489*/   OPC_RecordChild1, // #1 = $rhs
/* 32490*/   OPC_SwitchType /*2 cases */, 10, MVT::i32,// ->32503
/* 32493*/    OPC_CheckChild1Type, MVT::i32,
/* 32495*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SHR_U_I32), 0,
                  MVT::i32, 2/*#Ops*/, 0, 1, 
              // Src: (srl:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs) - Complexity = 3
              // Dst: (SHR_U_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/* 32503*/   /*SwitchType*/ 10, MVT::i64,// ->32515
/* 32505*/    OPC_CheckChild1Type, MVT::i64,
/* 32507*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SHR_U_I64), 0,
                  MVT::i64, 2/*#Ops*/, 0, 1, 
              // Src: (srl:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs) - Complexity = 3
              // Dst: (SHR_U_I64:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs)
/* 32515*/   0, // EndSwitchType
/* 32516*/  0, /*End of Scope*/
/* 32517*/ /*SwitchOpcode*/ 67, TARGET_VAL(ISD::ROTL),// ->32587
/* 32520*/  OPC_RecordChild0, // #0 = $lhs
/* 32521*/  OPC_Scope, 35, /*->32558*/ // 2 children in Scope
/* 32523*/   OPC_MoveChild1,
/* 32524*/   OPC_SwitchType /*2 cases */, 14, MVT::i32,// ->32541
/* 32527*/    OPC_CheckAndImm, 31, 
/* 32529*/    OPC_RecordChild0, // #1 = $rhs
/* 32530*/    OPC_MoveParent,
/* 32531*/    OPC_CheckType, MVT::i32,
/* 32533*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ROTL_I32), 0,
                  MVT::i32, 2/*#Ops*/, 0, 1, 
              // Src: (rotl:{ *:[i32] } I32:{ *:[i32] }:$lhs, (and:{ *:[i32] } I32:{ *:[i32] }:$rhs, 31:{ *:[i32] })) - Complexity = 11
              // Dst: (ROTL_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/* 32541*/   /*SwitchType*/ 14, MVT::i64,// ->32557
/* 32543*/    OPC_CheckAndImm, 63, 
/* 32545*/    OPC_RecordChild0, // #1 = $rhs
/* 32546*/    OPC_MoveParent,
/* 32547*/    OPC_CheckType, MVT::i64,
/* 32549*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ROTL_I64), 0,
                  MVT::i64, 2/*#Ops*/, 0, 1, 
              // Src: (rotl:{ *:[i64] } I64:{ *:[i64] }:$lhs, (and:{ *:[i64] } I64:{ *:[i64] }:$rhs, 63:{ *:[i64] })) - Complexity = 11
              // Dst: (ROTL_I64:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs)
/* 32557*/   0, // EndSwitchType
/* 32558*/  /*Scope*/ 27, /*->32586*/
/* 32559*/   OPC_RecordChild1, // #1 = $rhs
/* 32560*/   OPC_SwitchType /*2 cases */, 10, MVT::i32,// ->32573
/* 32563*/    OPC_CheckChild1Type, MVT::i32,
/* 32565*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ROTL_I32), 0,
                  MVT::i32, 2/*#Ops*/, 0, 1, 
              // Src: (rotl:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs) - Complexity = 3
              // Dst: (ROTL_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/* 32573*/   /*SwitchType*/ 10, MVT::i64,// ->32585
/* 32575*/    OPC_CheckChild1Type, MVT::i64,
/* 32577*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ROTL_I64), 0,
                  MVT::i64, 2/*#Ops*/, 0, 1, 
              // Src: (rotl:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs) - Complexity = 3
              // Dst: (ROTL_I64:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs)
/* 32585*/   0, // EndSwitchType
/* 32586*/  0, /*End of Scope*/
/* 32587*/ /*SwitchOpcode*/ 67, TARGET_VAL(ISD::ROTR),// ->32657
/* 32590*/  OPC_RecordChild0, // #0 = $lhs
/* 32591*/  OPC_Scope, 35, /*->32628*/ // 2 children in Scope
/* 32593*/   OPC_MoveChild1,
/* 32594*/   OPC_SwitchType /*2 cases */, 14, MVT::i32,// ->32611
/* 32597*/    OPC_CheckAndImm, 31, 
/* 32599*/    OPC_RecordChild0, // #1 = $rhs
/* 32600*/    OPC_MoveParent,
/* 32601*/    OPC_CheckType, MVT::i32,
/* 32603*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ROTR_I32), 0,
                  MVT::i32, 2/*#Ops*/, 0, 1, 
              // Src: (rotr:{ *:[i32] } I32:{ *:[i32] }:$lhs, (and:{ *:[i32] } I32:{ *:[i32] }:$rhs, 31:{ *:[i32] })) - Complexity = 11
              // Dst: (ROTR_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/* 32611*/   /*SwitchType*/ 14, MVT::i64,// ->32627
/* 32613*/    OPC_CheckAndImm, 63, 
/* 32615*/    OPC_RecordChild0, // #1 = $rhs
/* 32616*/    OPC_MoveParent,
/* 32617*/    OPC_CheckType, MVT::i64,
/* 32619*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ROTR_I64), 0,
                  MVT::i64, 2/*#Ops*/, 0, 1, 
              // Src: (rotr:{ *:[i64] } I64:{ *:[i64] }:$lhs, (and:{ *:[i64] } I64:{ *:[i64] }:$rhs, 63:{ *:[i64] })) - Complexity = 11
              // Dst: (ROTR_I64:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs)
/* 32627*/   0, // EndSwitchType
/* 32628*/  /*Scope*/ 27, /*->32656*/
/* 32629*/   OPC_RecordChild1, // #1 = $rhs
/* 32630*/   OPC_SwitchType /*2 cases */, 10, MVT::i32,// ->32643
/* 32633*/    OPC_CheckChild1Type, MVT::i32,
/* 32635*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ROTR_I32), 0,
                  MVT::i32, 2/*#Ops*/, 0, 1, 
              // Src: (rotr:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs) - Complexity = 3
              // Dst: (ROTR_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/* 32643*/   /*SwitchType*/ 10, MVT::i64,// ->32655
/* 32645*/    OPC_CheckChild1Type, MVT::i64,
/* 32647*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ROTR_I64), 0,
                  MVT::i64, 2/*#Ops*/, 0, 1, 
              // Src: (rotr:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs) - Complexity = 3
              // Dst: (ROTR_I64:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs)
/* 32655*/   0, // EndSwitchType
/* 32656*/  0, /*End of Scope*/
/* 32657*/ /*SwitchOpcode*/ 42|128,4/*554*/, TARGET_VAL(ISD::SELECT),// ->33215
/* 32661*/  OPC_Scope, 117, /*->32780*/ // 8 children in Scope
/* 32663*/   OPC_MoveChild0,
/* 32664*/   OPC_CheckOpcode, TARGET_VAL(ISD::SETCC),
/* 32667*/   OPC_RecordChild0, // #0 = $cond
/* 32668*/   OPC_CheckChild0Type, MVT::i32,
/* 32670*/   OPC_CheckChild1Integer, 0, 
/* 32672*/   OPC_CheckType, MVT::i32,
/* 32674*/   OPC_Scope, 51, /*->32727*/ // 2 children in Scope
/* 32676*/    OPC_CheckChild2CondCode, ISD::SETNE,
/* 32678*/    OPC_MoveParent,
/* 32679*/    OPC_RecordChild1, // #1 = $lhs
/* 32680*/    OPC_RecordChild2, // #2 = $rhs
/* 32681*/    OPC_SwitchType /*4 cases */, 9, MVT::i32,// ->32693
/* 32684*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SELECT_I32), 0,
                   MVT::i32, 3/*#Ops*/, 1, 2, 0, 
               // Src: (select:{ *:[i32] } (setcc:{ *:[i32] } I32:{ *:[i32] }:$cond, 0:{ *:[i32] }, SETNE:{ *:[Other] }), I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs) - Complexity = 11
               // Dst: (SELECT_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs, I32:{ *:[i32] }:$cond)
/* 32693*/    /*SwitchType*/ 9, MVT::i64,// ->32704
/* 32695*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SELECT_I64), 0,
                   MVT::i64, 3/*#Ops*/, 1, 2, 0, 
               // Src: (select:{ *:[i64] } (setcc:{ *:[i32] } I32:{ *:[i32] }:$cond, 0:{ *:[i32] }, SETNE:{ *:[Other] }), I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs) - Complexity = 11
               // Dst: (SELECT_I64:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs, I32:{ *:[i32] }:$cond)
/* 32704*/    /*SwitchType*/ 9, MVT::funcref,// ->32715
/* 32706*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SELECT_FUNCREF), 0,
                   MVT::funcref, 3/*#Ops*/, 1, 2, 0, 
               // Src: (select:{ *:[funcref] } (setcc:{ *:[i32] } I32:{ *:[i32] }:$cond, 0:{ *:[i32] }, SETNE:{ *:[Other] }), FUNCREF:{ *:[funcref] }:$lhs, FUNCREF:{ *:[funcref] }:$rhs) - Complexity = 11
               // Dst: (SELECT_FUNCREF:{ *:[funcref] } FUNCREF:{ *:[funcref] }:$lhs, FUNCREF:{ *:[funcref] }:$rhs, I32:{ *:[i32] }:$cond)
/* 32715*/    /*SwitchType*/ 9, MVT::externref,// ->32726
/* 32717*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SELECT_EXTERNREF), 0,
                   MVT::externref, 3/*#Ops*/, 1, 2, 0, 
               // Src: (select:{ *:[externref] } (setcc:{ *:[i32] } I32:{ *:[i32] }:$cond, 0:{ *:[i32] }, SETNE:{ *:[Other] }), EXTERNREF:{ *:[externref] }:$lhs, EXTERNREF:{ *:[externref] }:$rhs) - Complexity = 11
               // Dst: (SELECT_EXTERNREF:{ *:[externref] } EXTERNREF:{ *:[externref] }:$lhs, EXTERNREF:{ *:[externref] }:$rhs, I32:{ *:[i32] }:$cond)
/* 32726*/    0, // EndSwitchType
/* 32727*/   /*Scope*/ 51, /*->32779*/
/* 32728*/    OPC_CheckChild2CondCode, ISD::SETEQ,
/* 32730*/    OPC_MoveParent,
/* 32731*/    OPC_RecordChild1, // #1 = $lhs
/* 32732*/    OPC_RecordChild2, // #2 = $rhs
/* 32733*/    OPC_SwitchType /*4 cases */, 9, MVT::i32,// ->32745
/* 32736*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SELECT_I32), 0,
                   MVT::i32, 3/*#Ops*/, 2, 1, 0, 
               // Src: (select:{ *:[i32] } (setcc:{ *:[i32] } I32:{ *:[i32] }:$cond, 0:{ *:[i32] }, SETEQ:{ *:[Other] }), I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs) - Complexity = 11
               // Dst: (SELECT_I32:{ *:[i32] } I32:{ *:[i32] }:$rhs, I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$cond)
/* 32745*/    /*SwitchType*/ 9, MVT::i64,// ->32756
/* 32747*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SELECT_I64), 0,
                   MVT::i64, 3/*#Ops*/, 2, 1, 0, 
               // Src: (select:{ *:[i64] } (setcc:{ *:[i32] } I32:{ *:[i32] }:$cond, 0:{ *:[i32] }, SETEQ:{ *:[Other] }), I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs) - Complexity = 11
               // Dst: (SELECT_I64:{ *:[i64] } I64:{ *:[i64] }:$rhs, I64:{ *:[i64] }:$lhs, I32:{ *:[i32] }:$cond)
/* 32756*/    /*SwitchType*/ 9, MVT::funcref,// ->32767
/* 32758*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SELECT_FUNCREF), 0,
                   MVT::funcref, 3/*#Ops*/, 2, 1, 0, 
               // Src: (select:{ *:[funcref] } (setcc:{ *:[i32] } I32:{ *:[i32] }:$cond, 0:{ *:[i32] }, SETEQ:{ *:[Other] }), FUNCREF:{ *:[funcref] }:$lhs, FUNCREF:{ *:[funcref] }:$rhs) - Complexity = 11
               // Dst: (SELECT_FUNCREF:{ *:[funcref] } FUNCREF:{ *:[funcref] }:$rhs, FUNCREF:{ *:[funcref] }:$lhs, I32:{ *:[i32] }:$cond)
/* 32767*/    /*SwitchType*/ 9, MVT::externref,// ->32778
/* 32769*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SELECT_EXTERNREF), 0,
                   MVT::externref, 3/*#Ops*/, 2, 1, 0, 
               // Src: (select:{ *:[externref] } (setcc:{ *:[i32] } I32:{ *:[i32] }:$cond, 0:{ *:[i32] }, SETEQ:{ *:[Other] }), EXTERNREF:{ *:[externref] }:$lhs, EXTERNREF:{ *:[externref] }:$rhs) - Complexity = 11
               // Dst: (SELECT_EXTERNREF:{ *:[externref] } EXTERNREF:{ *:[externref] }:$rhs, EXTERNREF:{ *:[externref] }:$lhs, I32:{ *:[i32] }:$cond)
/* 32778*/    0, // EndSwitchType
/* 32779*/   0, /*End of Scope*/
/* 32780*/  /*Scope*/ 55, /*->32836*/
/* 32781*/   OPC_RecordChild0, // #0 = $cond
/* 32782*/   OPC_CheckChild0Type, MVT::i32,
/* 32784*/   OPC_RecordChild1, // #1 = $lhs
/* 32785*/   OPC_RecordChild2, // #2 = $rhs
/* 32786*/   OPC_SwitchType /*4 cases */, 9, MVT::i32,// ->32798
/* 32789*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SELECT_I32), 0,
                  MVT::i32, 3/*#Ops*/, 1, 2, 0, 
              // Src: (select:{ *:[i32] } I32:{ *:[i32] }:$cond, I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs) - Complexity = 3
              // Dst: (SELECT_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs, I32:{ *:[i32] }:$cond)
/* 32798*/   /*SwitchType*/ 9, MVT::i64,// ->32809
/* 32800*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SELECT_I64), 0,
                  MVT::i64, 3/*#Ops*/, 1, 2, 0, 
              // Src: (select:{ *:[i64] } I32:{ *:[i32] }:$cond, I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs) - Complexity = 3
              // Dst: (SELECT_I64:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs, I32:{ *:[i32] }:$cond)
/* 32809*/   /*SwitchType*/ 11, MVT::funcref,// ->32822
/* 32811*/    OPC_CheckPatternPredicate, 9, // (Subtarget->hasReferenceTypes())
/* 32813*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SELECT_FUNCREF), 0,
                  MVT::funcref, 3/*#Ops*/, 1, 2, 0, 
              // Src: (select:{ *:[funcref] } I32:{ *:[i32] }:$cond, FUNCREF:{ *:[funcref] }:$lhs, FUNCREF:{ *:[funcref] }:$rhs) - Complexity = 3
              // Dst: (SELECT_FUNCREF:{ *:[funcref] } FUNCREF:{ *:[funcref] }:$lhs, FUNCREF:{ *:[funcref] }:$rhs, I32:{ *:[i32] }:$cond)
/* 32822*/   /*SwitchType*/ 11, MVT::externref,// ->32835
/* 32824*/    OPC_CheckPatternPredicate, 9, // (Subtarget->hasReferenceTypes())
/* 32826*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SELECT_EXTERNREF), 0,
                  MVT::externref, 3/*#Ops*/, 1, 2, 0, 
              // Src: (select:{ *:[externref] } I32:{ *:[i32] }:$cond, EXTERNREF:{ *:[externref] }:$lhs, EXTERNREF:{ *:[externref] }:$rhs) - Complexity = 3
              // Dst: (SELECT_EXTERNREF:{ *:[externref] } EXTERNREF:{ *:[externref] }:$lhs, EXTERNREF:{ *:[externref] }:$rhs, I32:{ *:[i32] }:$cond)
/* 32835*/   0, // EndSwitchType
/* 32836*/  /*Scope*/ 73, /*->32910*/
/* 32837*/   OPC_MoveChild0,
/* 32838*/   OPC_CheckOpcode, TARGET_VAL(ISD::SETCC),
/* 32841*/   OPC_RecordChild0, // #0 = $cond
/* 32842*/   OPC_CheckChild0Type, MVT::i32,
/* 32844*/   OPC_CheckChild1Integer, 0, 
/* 32846*/   OPC_CheckType, MVT::i32,
/* 32848*/   OPC_Scope, 29, /*->32879*/ // 2 children in Scope
/* 32850*/    OPC_CheckChild2CondCode, ISD::SETNE,
/* 32852*/    OPC_MoveParent,
/* 32853*/    OPC_RecordChild1, // #1 = $lhs
/* 32854*/    OPC_RecordChild2, // #2 = $rhs
/* 32855*/    OPC_SwitchType /*2 cases */, 9, MVT::f32,// ->32867
/* 32858*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SELECT_F32), 0,
                   MVT::f32, 3/*#Ops*/, 1, 2, 0, 
               // Src: (select:{ *:[f32] } (setcc:{ *:[i32] } I32:{ *:[i32] }:$cond, 0:{ *:[i32] }, SETNE:{ *:[Other] }), F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs) - Complexity = 11
               // Dst: (SELECT_F32:{ *:[f32] } F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs, I32:{ *:[i32] }:$cond)
/* 32867*/    /*SwitchType*/ 9, MVT::f64,// ->32878
/* 32869*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SELECT_F64), 0,
                   MVT::f64, 3/*#Ops*/, 1, 2, 0, 
               // Src: (select:{ *:[f64] } (setcc:{ *:[i32] } I32:{ *:[i32] }:$cond, 0:{ *:[i32] }, SETNE:{ *:[Other] }), F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs) - Complexity = 11
               // Dst: (SELECT_F64:{ *:[f64] } F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs, I32:{ *:[i32] }:$cond)
/* 32878*/    0, // EndSwitchType
/* 32879*/   /*Scope*/ 29, /*->32909*/
/* 32880*/    OPC_CheckChild2CondCode, ISD::SETEQ,
/* 32882*/    OPC_MoveParent,
/* 32883*/    OPC_RecordChild1, // #1 = $lhs
/* 32884*/    OPC_RecordChild2, // #2 = $rhs
/* 32885*/    OPC_SwitchType /*2 cases */, 9, MVT::f32,// ->32897
/* 32888*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SELECT_F32), 0,
                   MVT::f32, 3/*#Ops*/, 2, 1, 0, 
               // Src: (select:{ *:[f32] } (setcc:{ *:[i32] } I32:{ *:[i32] }:$cond, 0:{ *:[i32] }, SETEQ:{ *:[Other] }), F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs) - Complexity = 11
               // Dst: (SELECT_F32:{ *:[f32] } F32:{ *:[f32] }:$rhs, F32:{ *:[f32] }:$lhs, I32:{ *:[i32] }:$cond)
/* 32897*/    /*SwitchType*/ 9, MVT::f64,// ->32908
/* 32899*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SELECT_F64), 0,
                   MVT::f64, 3/*#Ops*/, 2, 1, 0, 
               // Src: (select:{ *:[f64] } (setcc:{ *:[i32] } I32:{ *:[i32] }:$cond, 0:{ *:[i32] }, SETEQ:{ *:[Other] }), F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs) - Complexity = 11
               // Dst: (SELECT_F64:{ *:[f64] } F64:{ *:[f64] }:$rhs, F64:{ *:[f64] }:$lhs, I32:{ *:[i32] }:$cond)
/* 32908*/    0, // EndSwitchType
/* 32909*/   0, /*End of Scope*/
/* 32910*/  /*Scope*/ 29, /*->32940*/
/* 32911*/   OPC_RecordChild0, // #0 = $cond
/* 32912*/   OPC_CheckChild0Type, MVT::i32,
/* 32914*/   OPC_RecordChild1, // #1 = $lhs
/* 32915*/   OPC_RecordChild2, // #2 = $rhs
/* 32916*/   OPC_SwitchType /*2 cases */, 9, MVT::f32,// ->32928
/* 32919*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SELECT_F32), 0,
                  MVT::f32, 3/*#Ops*/, 1, 2, 0, 
              // Src: (select:{ *:[f32] } I32:{ *:[i32] }:$cond, F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs) - Complexity = 3
              // Dst: (SELECT_F32:{ *:[f32] } F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs, I32:{ *:[i32] }:$cond)
/* 32928*/   /*SwitchType*/ 9, MVT::f64,// ->32939
/* 32930*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SELECT_F64), 0,
                  MVT::f64, 3/*#Ops*/, 1, 2, 0, 
              // Src: (select:{ *:[f64] } I32:{ *:[i32] }:$cond, F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs) - Complexity = 3
              // Dst: (SELECT_F64:{ *:[f64] } F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs, I32:{ *:[i32] }:$cond)
/* 32939*/   0, // EndSwitchType
/* 32940*/  /*Scope*/ 117, /*->33058*/
/* 32941*/   OPC_MoveChild0,
/* 32942*/   OPC_CheckOpcode, TARGET_VAL(ISD::SETCC),
/* 32945*/   OPC_RecordChild0, // #0 = $cond
/* 32946*/   OPC_CheckChild0Type, MVT::i32,
/* 32948*/   OPC_CheckChild1Integer, 0, 
/* 32950*/   OPC_CheckType, MVT::i32,
/* 32952*/   OPC_Scope, 51, /*->33005*/ // 2 children in Scope
/* 32954*/    OPC_CheckChild2CondCode, ISD::SETNE,
/* 32956*/    OPC_MoveParent,
/* 32957*/    OPC_RecordChild1, // #1 = $lhs
/* 32958*/    OPC_RecordChild2, // #2 = $rhs
/* 32959*/    OPC_SwitchType /*4 cases */, 9, MVT::v16i8,// ->32971
/* 32962*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SELECT_V128), 0,
                   MVT::v16i8, 3/*#Ops*/, 1, 2, 0, 
               // Src: (select:{ *:[v16i8] } (setcc:{ *:[i32] } I32:{ *:[i32] }:$cond, 0:{ *:[i32] }, SETNE:{ *:[Other] }), V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs) - Complexity = 11
               // Dst: (SELECT_V128:{ *:[v16i8] } ?:{ *:[v16i8] }:$lhs, ?:{ *:[v16i8] }:$rhs, ?:{ *:[i32] }:$cond)
/* 32971*/    /*SwitchType*/ 9, MVT::v8i16,// ->32982
/* 32973*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SELECT_V128), 0,
                   MVT::v8i16, 3/*#Ops*/, 1, 2, 0, 
               // Src: (select:{ *:[v8i16] } (setcc:{ *:[i32] } I32:{ *:[i32] }:$cond, 0:{ *:[i32] }, SETNE:{ *:[Other] }), V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs) - Complexity = 11
               // Dst: (SELECT_V128:{ *:[v8i16] } ?:{ *:[v8i16] }:$lhs, ?:{ *:[v8i16] }:$rhs, ?:{ *:[i32] }:$cond)
/* 32982*/    /*SwitchType*/ 9, MVT::v4i32,// ->32993
/* 32984*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SELECT_V128), 0,
                   MVT::v4i32, 3/*#Ops*/, 1, 2, 0, 
               // Src: (select:{ *:[v4i32] } (setcc:{ *:[i32] } I32:{ *:[i32] }:$cond, 0:{ *:[i32] }, SETNE:{ *:[Other] }), V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs) - Complexity = 11
               // Dst: (SELECT_V128:{ *:[v4i32] } ?:{ *:[v4i32] }:$lhs, ?:{ *:[v4i32] }:$rhs, ?:{ *:[i32] }:$cond)
/* 32993*/    /*SwitchType*/ 9, MVT::v2i64,// ->33004
/* 32995*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SELECT_V128), 0,
                   MVT::v2i64, 3/*#Ops*/, 1, 2, 0, 
               // Src: (select:{ *:[v2i64] } (setcc:{ *:[i32] } I32:{ *:[i32] }:$cond, 0:{ *:[i32] }, SETNE:{ *:[Other] }), V128:{ *:[v2i64] }:$lhs, V128:{ *:[v2i64] }:$rhs) - Complexity = 11
               // Dst: (SELECT_V128:{ *:[v2i64] } ?:{ *:[v2i64] }:$lhs, ?:{ *:[v2i64] }:$rhs, ?:{ *:[i32] }:$cond)
/* 33004*/    0, // EndSwitchType
/* 33005*/   /*Scope*/ 51, /*->33057*/
/* 33006*/    OPC_CheckChild2CondCode, ISD::SETEQ,
/* 33008*/    OPC_MoveParent,
/* 33009*/    OPC_RecordChild1, // #1 = $lhs
/* 33010*/    OPC_RecordChild2, // #2 = $rhs
/* 33011*/    OPC_SwitchType /*4 cases */, 9, MVT::v16i8,// ->33023
/* 33014*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SELECT_V128), 0,
                   MVT::v16i8, 3/*#Ops*/, 2, 1, 0, 
               // Src: (select:{ *:[v16i8] } (setcc:{ *:[i32] } I32:{ *:[i32] }:$cond, 0:{ *:[i32] }, SETEQ:{ *:[Other] }), V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs) - Complexity = 11
               // Dst: (SELECT_V128:{ *:[v16i8] } ?:{ *:[v16i8] }:$rhs, ?:{ *:[v16i8] }:$lhs, ?:{ *:[i32] }:$cond)
/* 33023*/    /*SwitchType*/ 9, MVT::v8i16,// ->33034
/* 33025*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SELECT_V128), 0,
                   MVT::v8i16, 3/*#Ops*/, 2, 1, 0, 
               // Src: (select:{ *:[v8i16] } (setcc:{ *:[i32] } I32:{ *:[i32] }:$cond, 0:{ *:[i32] }, SETEQ:{ *:[Other] }), V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs) - Complexity = 11
               // Dst: (SELECT_V128:{ *:[v8i16] } ?:{ *:[v8i16] }:$rhs, ?:{ *:[v8i16] }:$lhs, ?:{ *:[i32] }:$cond)
/* 33034*/    /*SwitchType*/ 9, MVT::v4i32,// ->33045
/* 33036*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SELECT_V128), 0,
                   MVT::v4i32, 3/*#Ops*/, 2, 1, 0, 
               // Src: (select:{ *:[v4i32] } (setcc:{ *:[i32] } I32:{ *:[i32] }:$cond, 0:{ *:[i32] }, SETEQ:{ *:[Other] }), V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs) - Complexity = 11
               // Dst: (SELECT_V128:{ *:[v4i32] } ?:{ *:[v4i32] }:$rhs, ?:{ *:[v4i32] }:$lhs, ?:{ *:[i32] }:$cond)
/* 33045*/    /*SwitchType*/ 9, MVT::v2i64,// ->33056
/* 33047*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SELECT_V128), 0,
                   MVT::v2i64, 3/*#Ops*/, 2, 1, 0, 
               // Src: (select:{ *:[v2i64] } (setcc:{ *:[i32] } I32:{ *:[i32] }:$cond, 0:{ *:[i32] }, SETEQ:{ *:[Other] }), V128:{ *:[v2i64] }:$lhs, V128:{ *:[v2i64] }:$rhs) - Complexity = 11
               // Dst: (SELECT_V128:{ *:[v2i64] } ?:{ *:[v2i64] }:$rhs, ?:{ *:[v2i64] }:$lhs, ?:{ *:[i32] }:$cond)
/* 33056*/    0, // EndSwitchType
/* 33057*/   0, /*End of Scope*/
/* 33058*/  /*Scope*/ 51, /*->33110*/
/* 33059*/   OPC_RecordChild0, // #0 = $cond
/* 33060*/   OPC_CheckChild0Type, MVT::i32,
/* 33062*/   OPC_RecordChild1, // #1 = $lhs
/* 33063*/   OPC_RecordChild2, // #2 = $rhs
/* 33064*/   OPC_SwitchType /*4 cases */, 9, MVT::v16i8,// ->33076
/* 33067*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SELECT_V128), 0,
                  MVT::v16i8, 3/*#Ops*/, 1, 2, 0, 
              // Src: (select:{ *:[v16i8] } I32:{ *:[i32] }:$cond, V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs) - Complexity = 3
              // Dst: (SELECT_V128:{ *:[v16i8] } ?:{ *:[v16i8] }:$lhs, ?:{ *:[v16i8] }:$rhs, ?:{ *:[i32] }:$cond)
/* 33076*/   /*SwitchType*/ 9, MVT::v8i16,// ->33087
/* 33078*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SELECT_V128), 0,
                  MVT::v8i16, 3/*#Ops*/, 1, 2, 0, 
              // Src: (select:{ *:[v8i16] } I32:{ *:[i32] }:$cond, V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs) - Complexity = 3
              // Dst: (SELECT_V128:{ *:[v8i16] } ?:{ *:[v8i16] }:$lhs, ?:{ *:[v8i16] }:$rhs, ?:{ *:[i32] }:$cond)
/* 33087*/   /*SwitchType*/ 9, MVT::v4i32,// ->33098
/* 33089*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SELECT_V128), 0,
                  MVT::v4i32, 3/*#Ops*/, 1, 2, 0, 
              // Src: (select:{ *:[v4i32] } I32:{ *:[i32] }:$cond, V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs) - Complexity = 3
              // Dst: (SELECT_V128:{ *:[v4i32] } ?:{ *:[v4i32] }:$lhs, ?:{ *:[v4i32] }:$rhs, ?:{ *:[i32] }:$cond)
/* 33098*/   /*SwitchType*/ 9, MVT::v2i64,// ->33109
/* 33100*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SELECT_V128), 0,
                  MVT::v2i64, 3/*#Ops*/, 1, 2, 0, 
              // Src: (select:{ *:[v2i64] } I32:{ *:[i32] }:$cond, V128:{ *:[v2i64] }:$lhs, V128:{ *:[v2i64] }:$rhs) - Complexity = 3
              // Dst: (SELECT_V128:{ *:[v2i64] } ?:{ *:[v2i64] }:$lhs, ?:{ *:[v2i64] }:$rhs, ?:{ *:[i32] }:$cond)
/* 33109*/   0, // EndSwitchType
/* 33110*/  /*Scope*/ 73, /*->33184*/
/* 33111*/   OPC_MoveChild0,
/* 33112*/   OPC_CheckOpcode, TARGET_VAL(ISD::SETCC),
/* 33115*/   OPC_RecordChild0, // #0 = $cond
/* 33116*/   OPC_CheckChild0Type, MVT::i32,
/* 33118*/   OPC_CheckChild1Integer, 0, 
/* 33120*/   OPC_CheckType, MVT::i32,
/* 33122*/   OPC_Scope, 29, /*->33153*/ // 2 children in Scope
/* 33124*/    OPC_CheckChild2CondCode, ISD::SETNE,
/* 33126*/    OPC_MoveParent,
/* 33127*/    OPC_RecordChild1, // #1 = $lhs
/* 33128*/    OPC_RecordChild2, // #2 = $rhs
/* 33129*/    OPC_SwitchType /*2 cases */, 9, MVT::v4f32,// ->33141
/* 33132*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SELECT_V128), 0,
                   MVT::v4f32, 3/*#Ops*/, 1, 2, 0, 
               // Src: (select:{ *:[v4f32] } (setcc:{ *:[i32] } I32:{ *:[i32] }:$cond, 0:{ *:[i32] }, SETNE:{ *:[Other] }), V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs) - Complexity = 11
               // Dst: (SELECT_V128:{ *:[v4f32] } ?:{ *:[v4f32] }:$lhs, ?:{ *:[v4f32] }:$rhs, ?:{ *:[i32] }:$cond)
/* 33141*/    /*SwitchType*/ 9, MVT::v2f64,// ->33152
/* 33143*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SELECT_V128), 0,
                   MVT::v2f64, 3/*#Ops*/, 1, 2, 0, 
               // Src: (select:{ *:[v2f64] } (setcc:{ *:[i32] } I32:{ *:[i32] }:$cond, 0:{ *:[i32] }, SETNE:{ *:[Other] }), V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs) - Complexity = 11
               // Dst: (SELECT_V128:{ *:[v2f64] } ?:{ *:[v2f64] }:$lhs, ?:{ *:[v2f64] }:$rhs, ?:{ *:[i32] }:$cond)
/* 33152*/    0, // EndSwitchType
/* 33153*/   /*Scope*/ 29, /*->33183*/
/* 33154*/    OPC_CheckChild2CondCode, ISD::SETEQ,
/* 33156*/    OPC_MoveParent,
/* 33157*/    OPC_RecordChild1, // #1 = $lhs
/* 33158*/    OPC_RecordChild2, // #2 = $rhs
/* 33159*/    OPC_SwitchType /*2 cases */, 9, MVT::v4f32,// ->33171
/* 33162*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SELECT_V128), 0,
                   MVT::v4f32, 3/*#Ops*/, 2, 1, 0, 
               // Src: (select:{ *:[v4f32] } (setcc:{ *:[i32] } I32:{ *:[i32] }:$cond, 0:{ *:[i32] }, SETEQ:{ *:[Other] }), V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs) - Complexity = 11
               // Dst: (SELECT_V128:{ *:[v4f32] } ?:{ *:[v4f32] }:$rhs, ?:{ *:[v4f32] }:$lhs, ?:{ *:[i32] }:$cond)
/* 33171*/    /*SwitchType*/ 9, MVT::v2f64,// ->33182
/* 33173*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SELECT_V128), 0,
                   MVT::v2f64, 3/*#Ops*/, 2, 1, 0, 
               // Src: (select:{ *:[v2f64] } (setcc:{ *:[i32] } I32:{ *:[i32] }:$cond, 0:{ *:[i32] }, SETEQ:{ *:[Other] }), V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs) - Complexity = 11
               // Dst: (SELECT_V128:{ *:[v2f64] } ?:{ *:[v2f64] }:$rhs, ?:{ *:[v2f64] }:$lhs, ?:{ *:[i32] }:$cond)
/* 33182*/    0, // EndSwitchType
/* 33183*/   0, /*End of Scope*/
/* 33184*/  /*Scope*/ 29, /*->33214*/
/* 33185*/   OPC_RecordChild0, // #0 = $cond
/* 33186*/   OPC_CheckChild0Type, MVT::i32,
/* 33188*/   OPC_RecordChild1, // #1 = $lhs
/* 33189*/   OPC_RecordChild2, // #2 = $rhs
/* 33190*/   OPC_SwitchType /*2 cases */, 9, MVT::v4f32,// ->33202
/* 33193*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SELECT_V128), 0,
                  MVT::v4f32, 3/*#Ops*/, 1, 2, 0, 
              // Src: (select:{ *:[v4f32] } I32:{ *:[i32] }:$cond, V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs) - Complexity = 3
              // Dst: (SELECT_V128:{ *:[v4f32] } ?:{ *:[v4f32] }:$lhs, ?:{ *:[v4f32] }:$rhs, ?:{ *:[i32] }:$cond)
/* 33202*/   /*SwitchType*/ 9, MVT::v2f64,// ->33213
/* 33204*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SELECT_V128), 0,
                  MVT::v2f64, 3/*#Ops*/, 1, 2, 0, 
              // Src: (select:{ *:[v2f64] } I32:{ *:[i32] }:$cond, V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs) - Complexity = 3
              // Dst: (SELECT_V128:{ *:[v2f64] } ?:{ *:[v2f64] }:$lhs, ?:{ *:[v2f64] }:$rhs, ?:{ *:[i32] }:$cond)
/* 33213*/   0, // EndSwitchType
/* 33214*/  0, /*End of Scope*/
/* 33215*/ /*SwitchOpcode*/ 74|128,8/*1098*/, TARGET_VAL(ISD::ATOMIC_LOAD),// ->34317
/* 33219*/  OPC_RecordMemRef,
/* 33220*/  OPC_RecordNode, // #0 = 'atomic_load' chained node
/* 33221*/  OPC_Scope, 0|128,5/*640*/, /*->33864*/ // 2 children in Scope
/* 33224*/   OPC_MoveChild1,
/* 33225*/   OPC_SwitchOpcode /*3 cases */, 63|128,1/*191*/, TARGET_VAL(ISD::ADD),// ->33421
/* 33230*/    OPC_RecordChild0, // #1 = $addr
/* 33231*/    OPC_RecordChild1, // #2 = $off
/* 33232*/    OPC_MoveChild1,
/* 33233*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 33236*/    OPC_MoveParent,
/* 33237*/    OPC_CheckPredicate, 0, // Predicate_regPlusImm
/* 33239*/    OPC_SwitchType /*2 cases */, 88, MVT::i32,// ->33330
/* 33242*/     OPC_MoveParent,
/* 33243*/     OPC_SwitchType /*2 cases */, 62, MVT::i32,// ->33308
/* 33246*/      OPC_Scope, 19, /*->33267*/ // 3 children in Scope
/* 33248*/       OPC_CheckPredicate, 4, // Predicate_atomic_load_32
/* 33250*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 33252*/       OPC_EmitMergeInputChains1_0,
/* 33253*/       OPC_EmitInteger, MVT::i32, 0, 
/* 33256*/       OPC_EmitConvertToTarget, 2,
/* 33258*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 3/*#Ops*/, 3, 4, 1, 
                 // Src: (atomic_load:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_atomic_load_32>> - Complexity = 11
                 // Dst: (ATOMIC_LOAD_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 33267*/      /*Scope*/ 19, /*->33287*/
/* 33268*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_8
/* 33270*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 33272*/       OPC_EmitMergeInputChains1_0,
/* 33273*/       OPC_EmitInteger, MVT::i32, 0, 
/* 33276*/       OPC_EmitConvertToTarget, 2,
/* 33278*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD8_U_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 3/*#Ops*/, 3, 4, 1, 
                 // Src: (atomic_load:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_atomic_load_8>> - Complexity = 11
                 // Dst: (ATOMIC_LOAD8_U_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 33287*/      /*Scope*/ 19, /*->33307*/
/* 33288*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_16
/* 33290*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 33292*/       OPC_EmitMergeInputChains1_0,
/* 33293*/       OPC_EmitInteger, MVT::i32, 0, 
/* 33296*/       OPC_EmitConvertToTarget, 2,
/* 33298*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD16_U_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 3/*#Ops*/, 3, 4, 1, 
                 // Src: (atomic_load:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_atomic_load_16>> - Complexity = 11
                 // Dst: (ATOMIC_LOAD16_U_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 33307*/      0, /*End of Scope*/
/* 33308*/     /*SwitchType*/ 19, MVT::i64,// ->33329
/* 33310*/      OPC_CheckPredicate, 7, // Predicate_atomic_load_64
/* 33312*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 33314*/      OPC_EmitMergeInputChains1_0,
/* 33315*/      OPC_EmitInteger, MVT::i32, 0, 
/* 33318*/      OPC_EmitConvertToTarget, 2,
/* 33320*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                // Src: (atomic_load:{ *:[i64] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_atomic_load_64>> - Complexity = 11
                // Dst: (ATOMIC_LOAD_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 33329*/     0, // EndSwitchType
/* 33330*/    /*SwitchType*/ 88, MVT::i64,// ->33420
/* 33332*/     OPC_MoveParent,
/* 33333*/     OPC_SwitchType /*2 cases */, 62, MVT::i32,// ->33398
/* 33336*/      OPC_Scope, 19, /*->33357*/ // 3 children in Scope
/* 33338*/       OPC_CheckPredicate, 4, // Predicate_atomic_load_32
/* 33340*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 33342*/       OPC_EmitMergeInputChains1_0,
/* 33343*/       OPC_EmitInteger, MVT::i32, 0, 
/* 33346*/       OPC_EmitConvertToTarget, 2,
/* 33348*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 3/*#Ops*/, 3, 4, 1, 
                 // Src: (atomic_load:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_atomic_load_32>> - Complexity = 11
                 // Dst: (ATOMIC_LOAD_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 33357*/      /*Scope*/ 19, /*->33377*/
/* 33358*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_8
/* 33360*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 33362*/       OPC_EmitMergeInputChains1_0,
/* 33363*/       OPC_EmitInteger, MVT::i32, 0, 
/* 33366*/       OPC_EmitConvertToTarget, 2,
/* 33368*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD8_U_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 3/*#Ops*/, 3, 4, 1, 
                 // Src: (atomic_load:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_atomic_load_8>> - Complexity = 11
                 // Dst: (ATOMIC_LOAD8_U_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 33377*/      /*Scope*/ 19, /*->33397*/
/* 33378*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_16
/* 33380*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 33382*/       OPC_EmitMergeInputChains1_0,
/* 33383*/       OPC_EmitInteger, MVT::i32, 0, 
/* 33386*/       OPC_EmitConvertToTarget, 2,
/* 33388*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD16_U_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 3/*#Ops*/, 3, 4, 1, 
                 // Src: (atomic_load:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_atomic_load_16>> - Complexity = 11
                 // Dst: (ATOMIC_LOAD16_U_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 33397*/      0, /*End of Scope*/
/* 33398*/     /*SwitchType*/ 19, MVT::i64,// ->33419
/* 33400*/      OPC_CheckPredicate, 7, // Predicate_atomic_load_64
/* 33402*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 33404*/      OPC_EmitMergeInputChains1_0,
/* 33405*/      OPC_EmitInteger, MVT::i32, 0, 
/* 33408*/      OPC_EmitConvertToTarget, 2,
/* 33410*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                // Src: (atomic_load:{ *:[i64] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_atomic_load_64>> - Complexity = 11
                // Dst: (ATOMIC_LOAD_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 33419*/     0, // EndSwitchType
/* 33420*/    0, // EndSwitchType
/* 33421*/   /*SwitchOpcode*/ 63|128,1/*191*/, TARGET_VAL(ISD::OR),// ->33616
/* 33425*/    OPC_RecordChild0, // #1 = $addr
/* 33426*/    OPC_RecordChild1, // #2 = $off
/* 33427*/    OPC_MoveChild1,
/* 33428*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 33431*/    OPC_MoveParent,
/* 33432*/    OPC_CheckPredicate, 3, // Predicate_or_is_add
/* 33434*/    OPC_SwitchType /*2 cases */, 88, MVT::i32,// ->33525
/* 33437*/     OPC_MoveParent,
/* 33438*/     OPC_SwitchType /*2 cases */, 62, MVT::i32,// ->33503
/* 33441*/      OPC_Scope, 19, /*->33462*/ // 3 children in Scope
/* 33443*/       OPC_CheckPredicate, 4, // Predicate_atomic_load_32
/* 33445*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 33447*/       OPC_EmitMergeInputChains1_0,
/* 33448*/       OPC_EmitInteger, MVT::i32, 0, 
/* 33451*/       OPC_EmitConvertToTarget, 2,
/* 33453*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 3/*#Ops*/, 3, 4, 1, 
                 // Src: (atomic_load:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_atomic_load_32>> - Complexity = 11
                 // Dst: (ATOMIC_LOAD_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 33462*/      /*Scope*/ 19, /*->33482*/
/* 33463*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_8
/* 33465*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 33467*/       OPC_EmitMergeInputChains1_0,
/* 33468*/       OPC_EmitInteger, MVT::i32, 0, 
/* 33471*/       OPC_EmitConvertToTarget, 2,
/* 33473*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD8_U_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 3/*#Ops*/, 3, 4, 1, 
                 // Src: (atomic_load:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_atomic_load_8>> - Complexity = 11
                 // Dst: (ATOMIC_LOAD8_U_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 33482*/      /*Scope*/ 19, /*->33502*/
/* 33483*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_16
/* 33485*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 33487*/       OPC_EmitMergeInputChains1_0,
/* 33488*/       OPC_EmitInteger, MVT::i32, 0, 
/* 33491*/       OPC_EmitConvertToTarget, 2,
/* 33493*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD16_U_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 3/*#Ops*/, 3, 4, 1, 
                 // Src: (atomic_load:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_atomic_load_16>> - Complexity = 11
                 // Dst: (ATOMIC_LOAD16_U_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 33502*/      0, /*End of Scope*/
/* 33503*/     /*SwitchType*/ 19, MVT::i64,// ->33524
/* 33505*/      OPC_CheckPredicate, 7, // Predicate_atomic_load_64
/* 33507*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 33509*/      OPC_EmitMergeInputChains1_0,
/* 33510*/      OPC_EmitInteger, MVT::i32, 0, 
/* 33513*/      OPC_EmitConvertToTarget, 2,
/* 33515*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                // Src: (atomic_load:{ *:[i64] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_atomic_load_64>> - Complexity = 11
                // Dst: (ATOMIC_LOAD_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 33524*/     0, // EndSwitchType
/* 33525*/    /*SwitchType*/ 88, MVT::i64,// ->33615
/* 33527*/     OPC_MoveParent,
/* 33528*/     OPC_SwitchType /*2 cases */, 62, MVT::i32,// ->33593
/* 33531*/      OPC_Scope, 19, /*->33552*/ // 3 children in Scope
/* 33533*/       OPC_CheckPredicate, 4, // Predicate_atomic_load_32
/* 33535*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 33537*/       OPC_EmitMergeInputChains1_0,
/* 33538*/       OPC_EmitInteger, MVT::i32, 0, 
/* 33541*/       OPC_EmitConvertToTarget, 2,
/* 33543*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 3/*#Ops*/, 3, 4, 1, 
                 // Src: (atomic_load:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_atomic_load_32>> - Complexity = 11
                 // Dst: (ATOMIC_LOAD_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 33552*/      /*Scope*/ 19, /*->33572*/
/* 33553*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_8
/* 33555*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 33557*/       OPC_EmitMergeInputChains1_0,
/* 33558*/       OPC_EmitInteger, MVT::i32, 0, 
/* 33561*/       OPC_EmitConvertToTarget, 2,
/* 33563*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD8_U_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 3/*#Ops*/, 3, 4, 1, 
                 // Src: (atomic_load:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_atomic_load_8>> - Complexity = 11
                 // Dst: (ATOMIC_LOAD8_U_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 33572*/      /*Scope*/ 19, /*->33592*/
/* 33573*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_16
/* 33575*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 33577*/       OPC_EmitMergeInputChains1_0,
/* 33578*/       OPC_EmitInteger, MVT::i32, 0, 
/* 33581*/       OPC_EmitConvertToTarget, 2,
/* 33583*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD16_U_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 3/*#Ops*/, 3, 4, 1, 
                 // Src: (atomic_load:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_atomic_load_16>> - Complexity = 11
                 // Dst: (ATOMIC_LOAD16_U_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 33592*/      0, /*End of Scope*/
/* 33593*/     /*SwitchType*/ 19, MVT::i64,// ->33614
/* 33595*/      OPC_CheckPredicate, 7, // Predicate_atomic_load_64
/* 33597*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 33599*/      OPC_EmitMergeInputChains1_0,
/* 33600*/      OPC_EmitInteger, MVT::i32, 0, 
/* 33603*/      OPC_EmitConvertToTarget, 2,
/* 33605*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 3/*#Ops*/, 3, 4, 1, 
                // Src: (atomic_load:{ *:[i64] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_atomic_load_64>> - Complexity = 11
                // Dst: (ATOMIC_LOAD_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 33614*/     0, // EndSwitchType
/* 33615*/    0, // EndSwitchType
/* 33616*/   /*SwitchOpcode*/ 115|128,1/*243*/, TARGET_VAL(WebAssemblyISD::Wrapper),// ->33863
/* 33620*/    OPC_RecordChild0, // #1 = $off
/* 33621*/    OPC_MoveChild0,
/* 33622*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 33625*/    OPC_MoveParent,
/* 33626*/    OPC_MoveParent,
/* 33627*/    OPC_SwitchType /*2 cases */, 45|128,1/*173*/, MVT::i32,// ->33804
/* 33631*/     OPC_Scope, 56, /*->33689*/ // 3 children in Scope
/* 33633*/      OPC_CheckPredicate, 4, // Predicate_atomic_load_32
/* 33635*/      OPC_Scope, 25, /*->33662*/ // 2 children in Scope
/* 33637*/       OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 33639*/       OPC_EmitMergeInputChains1_0,
/* 33640*/       OPC_EmitInteger, MVT::i32, 0, 
/* 33643*/       OPC_EmitInteger, MVT::i32, 0, 
/* 33646*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 3,  // Results = #4
/* 33653*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 3/*#Ops*/, 2, 1, 4, 
                 // Src: (atomic_load:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_atomic_load_32>> - Complexity = 10
                 // Dst: (ATOMIC_LOAD_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 33662*/      /*Scope*/ 25, /*->33688*/
/* 33663*/       OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 33665*/       OPC_EmitMergeInputChains1_0,
/* 33666*/       OPC_EmitInteger, MVT::i32, 0, 
/* 33669*/       OPC_EmitInteger, MVT::i64, 0, 
/* 33672*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 3,  // Results = #4
/* 33679*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 3/*#Ops*/, 2, 1, 4, 
                 // Src: (atomic_load:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_atomic_load_32>> - Complexity = 10
                 // Dst: (ATOMIC_LOAD_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 33688*/      0, /*End of Scope*/
/* 33689*/     /*Scope*/ 56, /*->33746*/
/* 33690*/      OPC_CheckPredicate, 1, // Predicate_atomic_load_8
/* 33692*/      OPC_Scope, 25, /*->33719*/ // 2 children in Scope
/* 33694*/       OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 33696*/       OPC_EmitMergeInputChains1_0,
/* 33697*/       OPC_EmitInteger, MVT::i32, 0, 
/* 33700*/       OPC_EmitInteger, MVT::i32, 0, 
/* 33703*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 3,  // Results = #4
/* 33710*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD8_U_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 3/*#Ops*/, 2, 1, 4, 
                 // Src: (atomic_load:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_atomic_load_8>> - Complexity = 10
                 // Dst: (ATOMIC_LOAD8_U_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 33719*/      /*Scope*/ 25, /*->33745*/
/* 33720*/       OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 33722*/       OPC_EmitMergeInputChains1_0,
/* 33723*/       OPC_EmitInteger, MVT::i32, 0, 
/* 33726*/       OPC_EmitInteger, MVT::i64, 0, 
/* 33729*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 3,  // Results = #4
/* 33736*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD8_U_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 3/*#Ops*/, 2, 1, 4, 
                 // Src: (atomic_load:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_atomic_load_8>> - Complexity = 10
                 // Dst: (ATOMIC_LOAD8_U_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 33745*/      0, /*End of Scope*/
/* 33746*/     /*Scope*/ 56, /*->33803*/
/* 33747*/      OPC_CheckPredicate, 2, // Predicate_atomic_load_16
/* 33749*/      OPC_Scope, 25, /*->33776*/ // 2 children in Scope
/* 33751*/       OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 33753*/       OPC_EmitMergeInputChains1_0,
/* 33754*/       OPC_EmitInteger, MVT::i32, 0, 
/* 33757*/       OPC_EmitInteger, MVT::i32, 0, 
/* 33760*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 3,  // Results = #4
/* 33767*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD16_U_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 3/*#Ops*/, 2, 1, 4, 
                 // Src: (atomic_load:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_atomic_load_16>> - Complexity = 10
                 // Dst: (ATOMIC_LOAD16_U_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 33776*/      /*Scope*/ 25, /*->33802*/
/* 33777*/       OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 33779*/       OPC_EmitMergeInputChains1_0,
/* 33780*/       OPC_EmitInteger, MVT::i32, 0, 
/* 33783*/       OPC_EmitInteger, MVT::i64, 0, 
/* 33786*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 3,  // Results = #4
/* 33793*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD16_U_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 3/*#Ops*/, 2, 1, 4, 
                 // Src: (atomic_load:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_atomic_load_16>> - Complexity = 10
                 // Dst: (ATOMIC_LOAD16_U_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 33802*/      0, /*End of Scope*/
/* 33803*/     0, /*End of Scope*/
/* 33804*/    /*SwitchType*/ 56, MVT::i64,// ->33862
/* 33806*/     OPC_CheckPredicate, 7, // Predicate_atomic_load_64
/* 33808*/     OPC_Scope, 25, /*->33835*/ // 2 children in Scope
/* 33810*/      OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 33812*/      OPC_EmitMergeInputChains1_0,
/* 33813*/      OPC_EmitInteger, MVT::i32, 0, 
/* 33816*/      OPC_EmitInteger, MVT::i32, 0, 
/* 33819*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 3,  // Results = #4
/* 33826*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 3/*#Ops*/, 2, 1, 4, 
                // Src: (atomic_load:{ *:[i64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_atomic_load_64>> - Complexity = 10
                // Dst: (ATOMIC_LOAD_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 33835*/     /*Scope*/ 25, /*->33861*/
/* 33836*/      OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 33838*/      OPC_EmitMergeInputChains1_0,
/* 33839*/      OPC_EmitInteger, MVT::i32, 0, 
/* 33842*/      OPC_EmitInteger, MVT::i64, 0, 
/* 33845*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 3,  // Results = #4
/* 33852*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 3/*#Ops*/, 2, 1, 4, 
                // Src: (atomic_load:{ *:[i64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_atomic_load_64>> - Complexity = 10
                // Dst: (ATOMIC_LOAD_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 33861*/     0, /*End of Scope*/
/* 33862*/    0, // EndSwitchType
/* 33863*/   0, // EndSwitchOpcode
/* 33864*/  /*Scope*/ 66|128,3/*450*/, /*->34316*/
/* 33866*/   OPC_RecordChild1, // #1 = $off
/* 33867*/   OPC_Scope, 1|128,2/*257*/, /*->34127*/ // 3 children in Scope
/* 33870*/    OPC_MoveChild1,
/* 33871*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 33874*/    OPC_MoveParent,
/* 33875*/    OPC_SwitchType /*2 cases */, 57|128,1/*185*/, MVT::i32,// ->34064
/* 33879*/     OPC_Scope, 60, /*->33941*/ // 3 children in Scope
/* 33881*/      OPC_CheckPredicate, 4, // Predicate_atomic_load_32
/* 33883*/      OPC_Scope, 27, /*->33912*/ // 2 children in Scope
/* 33885*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 33887*/       OPC_EmitMergeInputChains1_0,
/* 33888*/       OPC_EmitInteger, MVT::i32, 0, 
/* 33891*/       OPC_EmitConvertToTarget, 1,
/* 33893*/       OPC_EmitInteger, MVT::i32, 0, 
/* 33896*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 33903*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 3/*#Ops*/, 2, 3, 5, 
                 // Src: (atomic_load:{ *:[i32] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_atomic_load_32>> - Complexity = 7
                 // Dst: (ATOMIC_LOAD_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 33912*/      /*Scope*/ 27, /*->33940*/
/* 33913*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 33915*/       OPC_EmitMergeInputChains1_0,
/* 33916*/       OPC_EmitInteger, MVT::i32, 0, 
/* 33919*/       OPC_EmitConvertToTarget, 1,
/* 33921*/       OPC_EmitInteger, MVT::i64, 0, 
/* 33924*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 33931*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 3/*#Ops*/, 2, 3, 5, 
                 // Src: (atomic_load:{ *:[i32] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_atomic_load_32>> - Complexity = 7
                 // Dst: (ATOMIC_LOAD_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 33940*/      0, /*End of Scope*/
/* 33941*/     /*Scope*/ 60, /*->34002*/
/* 33942*/      OPC_CheckPredicate, 1, // Predicate_atomic_load_8
/* 33944*/      OPC_Scope, 27, /*->33973*/ // 2 children in Scope
/* 33946*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 33948*/       OPC_EmitMergeInputChains1_0,
/* 33949*/       OPC_EmitInteger, MVT::i32, 0, 
/* 33952*/       OPC_EmitConvertToTarget, 1,
/* 33954*/       OPC_EmitInteger, MVT::i32, 0, 
/* 33957*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 33964*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD8_U_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 3/*#Ops*/, 2, 3, 5, 
                 // Src: (atomic_load:{ *:[i32] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_atomic_load_8>> - Complexity = 7
                 // Dst: (ATOMIC_LOAD8_U_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 33973*/      /*Scope*/ 27, /*->34001*/
/* 33974*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 33976*/       OPC_EmitMergeInputChains1_0,
/* 33977*/       OPC_EmitInteger, MVT::i32, 0, 
/* 33980*/       OPC_EmitConvertToTarget, 1,
/* 33982*/       OPC_EmitInteger, MVT::i64, 0, 
/* 33985*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 33992*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD8_U_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 3/*#Ops*/, 2, 3, 5, 
                 // Src: (atomic_load:{ *:[i32] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_atomic_load_8>> - Complexity = 7
                 // Dst: (ATOMIC_LOAD8_U_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 34001*/      0, /*End of Scope*/
/* 34002*/     /*Scope*/ 60, /*->34063*/
/* 34003*/      OPC_CheckPredicate, 2, // Predicate_atomic_load_16
/* 34005*/      OPC_Scope, 27, /*->34034*/ // 2 children in Scope
/* 34007*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 34009*/       OPC_EmitMergeInputChains1_0,
/* 34010*/       OPC_EmitInteger, MVT::i32, 0, 
/* 34013*/       OPC_EmitConvertToTarget, 1,
/* 34015*/       OPC_EmitInteger, MVT::i32, 0, 
/* 34018*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 34025*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD16_U_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 3/*#Ops*/, 2, 3, 5, 
                 // Src: (atomic_load:{ *:[i32] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_atomic_load_16>> - Complexity = 7
                 // Dst: (ATOMIC_LOAD16_U_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 34034*/      /*Scope*/ 27, /*->34062*/
/* 34035*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 34037*/       OPC_EmitMergeInputChains1_0,
/* 34038*/       OPC_EmitInteger, MVT::i32, 0, 
/* 34041*/       OPC_EmitConvertToTarget, 1,
/* 34043*/       OPC_EmitInteger, MVT::i64, 0, 
/* 34046*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 34053*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD16_U_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 3/*#Ops*/, 2, 3, 5, 
                 // Src: (atomic_load:{ *:[i32] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_atomic_load_16>> - Complexity = 7
                 // Dst: (ATOMIC_LOAD16_U_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 34062*/      0, /*End of Scope*/
/* 34063*/     0, /*End of Scope*/
/* 34064*/    /*SwitchType*/ 60, MVT::i64,// ->34126
/* 34066*/     OPC_CheckPredicate, 7, // Predicate_atomic_load_64
/* 34068*/     OPC_Scope, 27, /*->34097*/ // 2 children in Scope
/* 34070*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 34072*/      OPC_EmitMergeInputChains1_0,
/* 34073*/      OPC_EmitInteger, MVT::i32, 0, 
/* 34076*/      OPC_EmitConvertToTarget, 1,
/* 34078*/      OPC_EmitInteger, MVT::i32, 0, 
/* 34081*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 34088*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 3/*#Ops*/, 2, 3, 5, 
                // Src: (atomic_load:{ *:[i64] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_atomic_load_64>> - Complexity = 7
                // Dst: (ATOMIC_LOAD_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 34097*/     /*Scope*/ 27, /*->34125*/
/* 34098*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 34100*/      OPC_EmitMergeInputChains1_0,
/* 34101*/      OPC_EmitInteger, MVT::i32, 0, 
/* 34104*/      OPC_EmitConvertToTarget, 1,
/* 34106*/      OPC_EmitInteger, MVT::i64, 0, 
/* 34109*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 34116*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 3/*#Ops*/, 2, 3, 5, 
                // Src: (atomic_load:{ *:[i64] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_atomic_load_64>> - Complexity = 7
                // Dst: (ATOMIC_LOAD_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 34125*/     0, /*End of Scope*/
/* 34126*/    0, // EndSwitchType
/* 34127*/   /*Scope*/ 93, /*->34221*/
/* 34128*/    OPC_CheckChild1Type, MVT::i32,
/* 34130*/    OPC_SwitchType /*2 cases */, 65, MVT::i32,// ->34198
/* 34133*/     OPC_Scope, 20, /*->34155*/ // 3 children in Scope
/* 34135*/      OPC_CheckPredicate, 4, // Predicate_atomic_load_32
/* 34137*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 34139*/      OPC_EmitMergeInputChains1_0,
/* 34140*/      OPC_EmitInteger, MVT::i32, 0, 
/* 34143*/      OPC_EmitInteger, MVT::i32, 0, 
/* 34146*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 3/*#Ops*/, 2, 3, 1, 
                // Src: (atomic_load:{ *:[i32] } I32:{ *:[i32] }:$addr)<<P:Predicate_atomic_load_32>> - Complexity = 4
                // Dst: (ATOMIC_LOAD_I32_A32:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr)
/* 34155*/     /*Scope*/ 20, /*->34176*/
/* 34156*/      OPC_CheckPredicate, 1, // Predicate_atomic_load_8
/* 34158*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 34160*/      OPC_EmitMergeInputChains1_0,
/* 34161*/      OPC_EmitInteger, MVT::i32, 0, 
/* 34164*/      OPC_EmitInteger, MVT::i32, 0, 
/* 34167*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD8_U_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 3/*#Ops*/, 2, 3, 1, 
                // Src: (atomic_load:{ *:[i32] } I32:{ *:[i32] }:$addr)<<P:Predicate_atomic_load_8>> - Complexity = 4
                // Dst: (ATOMIC_LOAD8_U_I32_A32:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr)
/* 34176*/     /*Scope*/ 20, /*->34197*/
/* 34177*/      OPC_CheckPredicate, 2, // Predicate_atomic_load_16
/* 34179*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 34181*/      OPC_EmitMergeInputChains1_0,
/* 34182*/      OPC_EmitInteger, MVT::i32, 0, 
/* 34185*/      OPC_EmitInteger, MVT::i32, 0, 
/* 34188*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD16_U_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 3/*#Ops*/, 2, 3, 1, 
                // Src: (atomic_load:{ *:[i32] } I32:{ *:[i32] }:$addr)<<P:Predicate_atomic_load_16>> - Complexity = 4
                // Dst: (ATOMIC_LOAD16_U_I32_A32:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr)
/* 34197*/     0, /*End of Scope*/
/* 34198*/    /*SwitchType*/ 20, MVT::i64,// ->34220
/* 34200*/     OPC_CheckPredicate, 7, // Predicate_atomic_load_64
/* 34202*/     OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 34204*/     OPC_EmitMergeInputChains1_0,
/* 34205*/     OPC_EmitInteger, MVT::i32, 0, 
/* 34208*/     OPC_EmitInteger, MVT::i32, 0, 
/* 34211*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::i64, 3/*#Ops*/, 2, 3, 1, 
               // Src: (atomic_load:{ *:[i64] } I32:{ *:[i32] }:$addr)<<P:Predicate_atomic_load_64>> - Complexity = 4
               // Dst: (ATOMIC_LOAD_I64_A32:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr)
/* 34220*/    0, // EndSwitchType
/* 34221*/   /*Scope*/ 93, /*->34315*/
/* 34222*/    OPC_CheckChild1Type, MVT::i64,
/* 34224*/    OPC_SwitchType /*2 cases */, 65, MVT::i32,// ->34292
/* 34227*/     OPC_Scope, 20, /*->34249*/ // 3 children in Scope
/* 34229*/      OPC_CheckPredicate, 4, // Predicate_atomic_load_32
/* 34231*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 34233*/      OPC_EmitMergeInputChains1_0,
/* 34234*/      OPC_EmitInteger, MVT::i32, 0, 
/* 34237*/      OPC_EmitInteger, MVT::i64, 0, 
/* 34240*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 3/*#Ops*/, 2, 3, 1, 
                // Src: (atomic_load:{ *:[i32] } I64:{ *:[i64] }:$addr)<<P:Predicate_atomic_load_32>> - Complexity = 4
                // Dst: (ATOMIC_LOAD_I32_A64:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr)
/* 34249*/     /*Scope*/ 20, /*->34270*/
/* 34250*/      OPC_CheckPredicate, 1, // Predicate_atomic_load_8
/* 34252*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 34254*/      OPC_EmitMergeInputChains1_0,
/* 34255*/      OPC_EmitInteger, MVT::i32, 0, 
/* 34258*/      OPC_EmitInteger, MVT::i64, 0, 
/* 34261*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD8_U_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 3/*#Ops*/, 2, 3, 1, 
                // Src: (atomic_load:{ *:[i32] } I64:{ *:[i64] }:$addr)<<P:Predicate_atomic_load_8>> - Complexity = 4
                // Dst: (ATOMIC_LOAD8_U_I32_A64:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr)
/* 34270*/     /*Scope*/ 20, /*->34291*/
/* 34271*/      OPC_CheckPredicate, 2, // Predicate_atomic_load_16
/* 34273*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 34275*/      OPC_EmitMergeInputChains1_0,
/* 34276*/      OPC_EmitInteger, MVT::i32, 0, 
/* 34279*/      OPC_EmitInteger, MVT::i64, 0, 
/* 34282*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD16_U_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 3/*#Ops*/, 2, 3, 1, 
                // Src: (atomic_load:{ *:[i32] } I64:{ *:[i64] }:$addr)<<P:Predicate_atomic_load_16>> - Complexity = 4
                // Dst: (ATOMIC_LOAD16_U_I32_A64:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr)
/* 34291*/     0, /*End of Scope*/
/* 34292*/    /*SwitchType*/ 20, MVT::i64,// ->34314
/* 34294*/     OPC_CheckPredicate, 7, // Predicate_atomic_load_64
/* 34296*/     OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 34298*/     OPC_EmitMergeInputChains1_0,
/* 34299*/     OPC_EmitInteger, MVT::i32, 0, 
/* 34302*/     OPC_EmitInteger, MVT::i64, 0, 
/* 34305*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_LOAD_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::i64, 3/*#Ops*/, 2, 3, 1, 
               // Src: (atomic_load:{ *:[i64] } I64:{ *:[i64] }:$addr)<<P:Predicate_atomic_load_64>> - Complexity = 4
               // Dst: (ATOMIC_LOAD_I64_A64:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr)
/* 34314*/    0, // EndSwitchType
/* 34315*/   0, /*End of Scope*/
/* 34316*/  0, /*End of Scope*/
/* 34317*/ /*SwitchOpcode*/ 116|128,12/*1652*/, TARGET_VAL(ISD::ATOMIC_LOAD_ADD),// ->35973
/* 34321*/  OPC_RecordMemRef,
/* 34322*/  OPC_RecordNode, // #0 = 'atomic_load_add' chained node
/* 34323*/  OPC_Scope, 63|128,7/*959*/, /*->35285*/ // 2 children in Scope
/* 34326*/   OPC_MoveChild1,
/* 34327*/   OPC_SwitchOpcode /*3 cases */, 31|128,2/*287*/, TARGET_VAL(ISD::ADD),// ->34619
/* 34332*/    OPC_RecordChild0, // #1 = $addr
/* 34333*/    OPC_RecordChild1, // #2 = $off
/* 34334*/    OPC_MoveChild1,
/* 34335*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 34338*/    OPC_MoveParent,
/* 34339*/    OPC_CheckPredicate, 0, // Predicate_regPlusImm
/* 34341*/    OPC_SwitchType /*2 cases */, 7|128,1/*135*/, MVT::i32,// ->34480
/* 34345*/     OPC_MoveParent,
/* 34346*/     OPC_RecordChild2, // #3 = $val
/* 34347*/     OPC_SwitchType /*2 cases */, 107, MVT::i32,// ->34457
/* 34350*/      OPC_Scope, 20, /*->34372*/ // 5 children in Scope
/* 34352*/       OPC_CheckPredicate, 4, // Predicate_atomic_load_add_32
/* 34354*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 34356*/       OPC_EmitMergeInputChains1_0,
/* 34357*/       OPC_EmitInteger, MVT::i32, 0, 
/* 34360*/       OPC_EmitConvertToTarget, 2,
/* 34362*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_ADD_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_add:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_32>> - Complexity = 11
                 // Dst: (ATOMIC_RMW_ADD_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 34372*/      /*Scope*/ 20, /*->34393*/
/* 34373*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_add_8
/* 34375*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 34377*/       OPC_EmitMergeInputChains1_0,
/* 34378*/       OPC_EmitInteger, MVT::i32, 0, 
/* 34381*/       OPC_EmitConvertToTarget, 2,
/* 34383*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_ADD_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_add:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_8>> - Complexity = 11
                 // Dst: (ATOMIC_RMW8_U_ADD_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 34393*/      /*Scope*/ 20, /*->34414*/
/* 34394*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_add_16
/* 34396*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 34398*/       OPC_EmitMergeInputChains1_0,
/* 34399*/       OPC_EmitInteger, MVT::i32, 0, 
/* 34402*/       OPC_EmitConvertToTarget, 2,
/* 34404*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_ADD_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_add:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_16>> - Complexity = 11
                 // Dst: (ATOMIC_RMW16_U_ADD_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 34414*/      /*Scope*/ 20, /*->34435*/
/* 34415*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_add_8
/* 34417*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 34419*/       OPC_EmitMergeInputChains1_0,
/* 34420*/       OPC_EmitInteger, MVT::i32, 0, 
/* 34423*/       OPC_EmitConvertToTarget, 2,
/* 34425*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_ADD_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_add:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_8>> - Complexity = 11
                 // Dst: (ATOMIC_RMW8_U_ADD_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 34435*/      /*Scope*/ 20, /*->34456*/
/* 34436*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_add_16
/* 34438*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 34440*/       OPC_EmitMergeInputChains1_0,
/* 34441*/       OPC_EmitInteger, MVT::i32, 0, 
/* 34444*/       OPC_EmitConvertToTarget, 2,
/* 34446*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_ADD_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_add:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_16>> - Complexity = 11
                 // Dst: (ATOMIC_RMW16_U_ADD_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 34456*/      0, /*End of Scope*/
/* 34457*/     /*SwitchType*/ 20, MVT::i64,// ->34479
/* 34459*/      OPC_CheckPredicate, 7, // Predicate_atomic_load_add_64
/* 34461*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 34463*/      OPC_EmitMergeInputChains1_0,
/* 34464*/      OPC_EmitInteger, MVT::i32, 0, 
/* 34467*/      OPC_EmitConvertToTarget, 2,
/* 34469*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_ADD_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                // Src: (atomic_load_add:{ *:[i64] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, i64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_add_64>> - Complexity = 11
                // Dst: (ATOMIC_RMW_ADD_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 34479*/     0, // EndSwitchType
/* 34480*/    /*SwitchType*/ 7|128,1/*135*/, MVT::i64,// ->34618
/* 34483*/     OPC_MoveParent,
/* 34484*/     OPC_RecordChild2, // #3 = $val
/* 34485*/     OPC_SwitchType /*2 cases */, 107, MVT::i32,// ->34595
/* 34488*/      OPC_Scope, 20, /*->34510*/ // 5 children in Scope
/* 34490*/       OPC_CheckPredicate, 4, // Predicate_atomic_load_add_32
/* 34492*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 34494*/       OPC_EmitMergeInputChains1_0,
/* 34495*/       OPC_EmitInteger, MVT::i32, 0, 
/* 34498*/       OPC_EmitConvertToTarget, 2,
/* 34500*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_ADD_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_add:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_32>> - Complexity = 11
                 // Dst: (ATOMIC_RMW_ADD_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 34510*/      /*Scope*/ 20, /*->34531*/
/* 34511*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_add_8
/* 34513*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 34515*/       OPC_EmitMergeInputChains1_0,
/* 34516*/       OPC_EmitInteger, MVT::i32, 0, 
/* 34519*/       OPC_EmitConvertToTarget, 2,
/* 34521*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_ADD_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_add:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_8>> - Complexity = 11
                 // Dst: (ATOMIC_RMW8_U_ADD_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 34531*/      /*Scope*/ 20, /*->34552*/
/* 34532*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_add_16
/* 34534*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 34536*/       OPC_EmitMergeInputChains1_0,
/* 34537*/       OPC_EmitInteger, MVT::i32, 0, 
/* 34540*/       OPC_EmitConvertToTarget, 2,
/* 34542*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_ADD_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_add:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_16>> - Complexity = 11
                 // Dst: (ATOMIC_RMW16_U_ADD_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 34552*/      /*Scope*/ 20, /*->34573*/
/* 34553*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_add_8
/* 34555*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 34557*/       OPC_EmitMergeInputChains1_0,
/* 34558*/       OPC_EmitInteger, MVT::i32, 0, 
/* 34561*/       OPC_EmitConvertToTarget, 2,
/* 34563*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_ADD_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_add:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_8>> - Complexity = 11
                 // Dst: (ATOMIC_RMW8_U_ADD_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 34573*/      /*Scope*/ 20, /*->34594*/
/* 34574*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_add_16
/* 34576*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 34578*/       OPC_EmitMergeInputChains1_0,
/* 34579*/       OPC_EmitInteger, MVT::i32, 0, 
/* 34582*/       OPC_EmitConvertToTarget, 2,
/* 34584*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_ADD_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_add:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_16>> - Complexity = 11
                 // Dst: (ATOMIC_RMW16_U_ADD_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 34594*/      0, /*End of Scope*/
/* 34595*/     /*SwitchType*/ 20, MVT::i64,// ->34617
/* 34597*/      OPC_CheckPredicate, 7, // Predicate_atomic_load_add_64
/* 34599*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 34601*/      OPC_EmitMergeInputChains1_0,
/* 34602*/      OPC_EmitInteger, MVT::i32, 0, 
/* 34605*/      OPC_EmitConvertToTarget, 2,
/* 34607*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_ADD_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                // Src: (atomic_load_add:{ *:[i64] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, i64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_add_64>> - Complexity = 11
                // Dst: (ATOMIC_RMW_ADD_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 34617*/     0, // EndSwitchType
/* 34618*/    0, // EndSwitchType
/* 34619*/   /*SwitchOpcode*/ 31|128,2/*287*/, TARGET_VAL(ISD::OR),// ->34910
/* 34623*/    OPC_RecordChild0, // #1 = $addr
/* 34624*/    OPC_RecordChild1, // #2 = $off
/* 34625*/    OPC_MoveChild1,
/* 34626*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 34629*/    OPC_MoveParent,
/* 34630*/    OPC_CheckPredicate, 3, // Predicate_or_is_add
/* 34632*/    OPC_SwitchType /*2 cases */, 7|128,1/*135*/, MVT::i32,// ->34771
/* 34636*/     OPC_MoveParent,
/* 34637*/     OPC_RecordChild2, // #3 = $val
/* 34638*/     OPC_SwitchType /*2 cases */, 107, MVT::i32,// ->34748
/* 34641*/      OPC_Scope, 20, /*->34663*/ // 5 children in Scope
/* 34643*/       OPC_CheckPredicate, 4, // Predicate_atomic_load_add_32
/* 34645*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 34647*/       OPC_EmitMergeInputChains1_0,
/* 34648*/       OPC_EmitInteger, MVT::i32, 0, 
/* 34651*/       OPC_EmitConvertToTarget, 2,
/* 34653*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_ADD_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_add:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_32>> - Complexity = 11
                 // Dst: (ATOMIC_RMW_ADD_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 34663*/      /*Scope*/ 20, /*->34684*/
/* 34664*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_add_8
/* 34666*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 34668*/       OPC_EmitMergeInputChains1_0,
/* 34669*/       OPC_EmitInteger, MVT::i32, 0, 
/* 34672*/       OPC_EmitConvertToTarget, 2,
/* 34674*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_ADD_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_add:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_8>> - Complexity = 11
                 // Dst: (ATOMIC_RMW8_U_ADD_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 34684*/      /*Scope*/ 20, /*->34705*/
/* 34685*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_add_16
/* 34687*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 34689*/       OPC_EmitMergeInputChains1_0,
/* 34690*/       OPC_EmitInteger, MVT::i32, 0, 
/* 34693*/       OPC_EmitConvertToTarget, 2,
/* 34695*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_ADD_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_add:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_16>> - Complexity = 11
                 // Dst: (ATOMIC_RMW16_U_ADD_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 34705*/      /*Scope*/ 20, /*->34726*/
/* 34706*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_add_8
/* 34708*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 34710*/       OPC_EmitMergeInputChains1_0,
/* 34711*/       OPC_EmitInteger, MVT::i32, 0, 
/* 34714*/       OPC_EmitConvertToTarget, 2,
/* 34716*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_ADD_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_add:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_8>> - Complexity = 11
                 // Dst: (ATOMIC_RMW8_U_ADD_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 34726*/      /*Scope*/ 20, /*->34747*/
/* 34727*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_add_16
/* 34729*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 34731*/       OPC_EmitMergeInputChains1_0,
/* 34732*/       OPC_EmitInteger, MVT::i32, 0, 
/* 34735*/       OPC_EmitConvertToTarget, 2,
/* 34737*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_ADD_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_add:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_16>> - Complexity = 11
                 // Dst: (ATOMIC_RMW16_U_ADD_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 34747*/      0, /*End of Scope*/
/* 34748*/     /*SwitchType*/ 20, MVT::i64,// ->34770
/* 34750*/      OPC_CheckPredicate, 7, // Predicate_atomic_load_add_64
/* 34752*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 34754*/      OPC_EmitMergeInputChains1_0,
/* 34755*/      OPC_EmitInteger, MVT::i32, 0, 
/* 34758*/      OPC_EmitConvertToTarget, 2,
/* 34760*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_ADD_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                // Src: (atomic_load_add:{ *:[i64] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, i64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_add_64>> - Complexity = 11
                // Dst: (ATOMIC_RMW_ADD_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 34770*/     0, // EndSwitchType
/* 34771*/    /*SwitchType*/ 7|128,1/*135*/, MVT::i64,// ->34909
/* 34774*/     OPC_MoveParent,
/* 34775*/     OPC_RecordChild2, // #3 = $val
/* 34776*/     OPC_SwitchType /*2 cases */, 107, MVT::i32,// ->34886
/* 34779*/      OPC_Scope, 20, /*->34801*/ // 5 children in Scope
/* 34781*/       OPC_CheckPredicate, 4, // Predicate_atomic_load_add_32
/* 34783*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 34785*/       OPC_EmitMergeInputChains1_0,
/* 34786*/       OPC_EmitInteger, MVT::i32, 0, 
/* 34789*/       OPC_EmitConvertToTarget, 2,
/* 34791*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_ADD_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_add:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_32>> - Complexity = 11
                 // Dst: (ATOMIC_RMW_ADD_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 34801*/      /*Scope*/ 20, /*->34822*/
/* 34802*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_add_8
/* 34804*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 34806*/       OPC_EmitMergeInputChains1_0,
/* 34807*/       OPC_EmitInteger, MVT::i32, 0, 
/* 34810*/       OPC_EmitConvertToTarget, 2,
/* 34812*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_ADD_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_add:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_8>> - Complexity = 11
                 // Dst: (ATOMIC_RMW8_U_ADD_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 34822*/      /*Scope*/ 20, /*->34843*/
/* 34823*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_add_16
/* 34825*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 34827*/       OPC_EmitMergeInputChains1_0,
/* 34828*/       OPC_EmitInteger, MVT::i32, 0, 
/* 34831*/       OPC_EmitConvertToTarget, 2,
/* 34833*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_ADD_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_add:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_16>> - Complexity = 11
                 // Dst: (ATOMIC_RMW16_U_ADD_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 34843*/      /*Scope*/ 20, /*->34864*/
/* 34844*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_add_8
/* 34846*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 34848*/       OPC_EmitMergeInputChains1_0,
/* 34849*/       OPC_EmitInteger, MVT::i32, 0, 
/* 34852*/       OPC_EmitConvertToTarget, 2,
/* 34854*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_ADD_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_add:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_8>> - Complexity = 11
                 // Dst: (ATOMIC_RMW8_U_ADD_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 34864*/      /*Scope*/ 20, /*->34885*/
/* 34865*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_add_16
/* 34867*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 34869*/       OPC_EmitMergeInputChains1_0,
/* 34870*/       OPC_EmitInteger, MVT::i32, 0, 
/* 34873*/       OPC_EmitConvertToTarget, 2,
/* 34875*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_ADD_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_add:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_16>> - Complexity = 11
                 // Dst: (ATOMIC_RMW16_U_ADD_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 34885*/      0, /*End of Scope*/
/* 34886*/     /*SwitchType*/ 20, MVT::i64,// ->34908
/* 34888*/      OPC_CheckPredicate, 7, // Predicate_atomic_load_add_64
/* 34890*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 34892*/      OPC_EmitMergeInputChains1_0,
/* 34893*/      OPC_EmitInteger, MVT::i32, 0, 
/* 34896*/      OPC_EmitConvertToTarget, 2,
/* 34898*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_ADD_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                // Src: (atomic_load_add:{ *:[i64] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, i64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_add_64>> - Complexity = 11
                // Dst: (ATOMIC_RMW_ADD_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 34908*/     0, // EndSwitchType
/* 34909*/    0, // EndSwitchType
/* 34910*/   /*SwitchOpcode*/ 114|128,2/*370*/, TARGET_VAL(WebAssemblyISD::Wrapper),// ->35284
/* 34914*/    OPC_RecordChild0, // #1 = $off
/* 34915*/    OPC_MoveChild0,
/* 34916*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 34919*/    OPC_MoveParent,
/* 34920*/    OPC_MoveParent,
/* 34921*/    OPC_RecordChild2, // #2 = $val
/* 34922*/    OPC_SwitchType /*2 cases */, 41|128,2/*297*/, MVT::i32,// ->35223
/* 34926*/     OPC_Scope, 58, /*->34986*/ // 5 children in Scope
/* 34928*/      OPC_CheckPredicate, 4, // Predicate_atomic_load_add_32
/* 34930*/      OPC_Scope, 26, /*->34958*/ // 2 children in Scope
/* 34932*/       OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 34934*/       OPC_EmitMergeInputChains1_0,
/* 34935*/       OPC_EmitInteger, MVT::i32, 0, 
/* 34938*/       OPC_EmitInteger, MVT::i32, 0, 
/* 34941*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 34948*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_ADD_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_load_add:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_32>> - Complexity = 10
                 // Dst: (ATOMIC_RMW_ADD_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 34958*/      /*Scope*/ 26, /*->34985*/
/* 34959*/       OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 34961*/       OPC_EmitMergeInputChains1_0,
/* 34962*/       OPC_EmitInteger, MVT::i32, 0, 
/* 34965*/       OPC_EmitInteger, MVT::i64, 0, 
/* 34968*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 34975*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_ADD_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_load_add:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_32>> - Complexity = 10
                 // Dst: (ATOMIC_RMW_ADD_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 34985*/      0, /*End of Scope*/
/* 34986*/     /*Scope*/ 58, /*->35045*/
/* 34987*/      OPC_CheckPredicate, 1, // Predicate_atomic_load_add_8
/* 34989*/      OPC_Scope, 26, /*->35017*/ // 2 children in Scope
/* 34991*/       OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 34993*/       OPC_EmitMergeInputChains1_0,
/* 34994*/       OPC_EmitInteger, MVT::i32, 0, 
/* 34997*/       OPC_EmitInteger, MVT::i32, 0, 
/* 35000*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 35007*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_ADD_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_load_add:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_8>> - Complexity = 10
                 // Dst: (ATOMIC_RMW8_U_ADD_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 35017*/      /*Scope*/ 26, /*->35044*/
/* 35018*/       OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 35020*/       OPC_EmitMergeInputChains1_0,
/* 35021*/       OPC_EmitInteger, MVT::i32, 0, 
/* 35024*/       OPC_EmitInteger, MVT::i64, 0, 
/* 35027*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 35034*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_ADD_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_load_add:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_8>> - Complexity = 10
                 // Dst: (ATOMIC_RMW8_U_ADD_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 35044*/      0, /*End of Scope*/
/* 35045*/     /*Scope*/ 58, /*->35104*/
/* 35046*/      OPC_CheckPredicate, 2, // Predicate_atomic_load_add_16
/* 35048*/      OPC_Scope, 26, /*->35076*/ // 2 children in Scope
/* 35050*/       OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 35052*/       OPC_EmitMergeInputChains1_0,
/* 35053*/       OPC_EmitInteger, MVT::i32, 0, 
/* 35056*/       OPC_EmitInteger, MVT::i32, 0, 
/* 35059*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 35066*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_ADD_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_load_add:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_16>> - Complexity = 10
                 // Dst: (ATOMIC_RMW16_U_ADD_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 35076*/      /*Scope*/ 26, /*->35103*/
/* 35077*/       OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 35079*/       OPC_EmitMergeInputChains1_0,
/* 35080*/       OPC_EmitInteger, MVT::i32, 0, 
/* 35083*/       OPC_EmitInteger, MVT::i64, 0, 
/* 35086*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 35093*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_ADD_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_load_add:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_16>> - Complexity = 10
                 // Dst: (ATOMIC_RMW16_U_ADD_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 35103*/      0, /*End of Scope*/
/* 35104*/     /*Scope*/ 58, /*->35163*/
/* 35105*/      OPC_CheckPredicate, 1, // Predicate_atomic_load_add_8
/* 35107*/      OPC_Scope, 26, /*->35135*/ // 2 children in Scope
/* 35109*/       OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 35111*/       OPC_EmitMergeInputChains1_0,
/* 35112*/       OPC_EmitInteger, MVT::i32, 0, 
/* 35115*/       OPC_EmitInteger, MVT::i32, 0, 
/* 35118*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 35125*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_ADD_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_load_add:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_8>> - Complexity = 10
                 // Dst: (ATOMIC_RMW8_U_ADD_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 35135*/      /*Scope*/ 26, /*->35162*/
/* 35136*/       OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 35138*/       OPC_EmitMergeInputChains1_0,
/* 35139*/       OPC_EmitInteger, MVT::i32, 0, 
/* 35142*/       OPC_EmitInteger, MVT::i64, 0, 
/* 35145*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 35152*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_ADD_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_load_add:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_8>> - Complexity = 10
                 // Dst: (ATOMIC_RMW8_U_ADD_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 35162*/      0, /*End of Scope*/
/* 35163*/     /*Scope*/ 58, /*->35222*/
/* 35164*/      OPC_CheckPredicate, 2, // Predicate_atomic_load_add_16
/* 35166*/      OPC_Scope, 26, /*->35194*/ // 2 children in Scope
/* 35168*/       OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 35170*/       OPC_EmitMergeInputChains1_0,
/* 35171*/       OPC_EmitInteger, MVT::i32, 0, 
/* 35174*/       OPC_EmitInteger, MVT::i32, 0, 
/* 35177*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 35184*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_ADD_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_load_add:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_16>> - Complexity = 10
                 // Dst: (ATOMIC_RMW16_U_ADD_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 35194*/      /*Scope*/ 26, /*->35221*/
/* 35195*/       OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 35197*/       OPC_EmitMergeInputChains1_0,
/* 35198*/       OPC_EmitInteger, MVT::i32, 0, 
/* 35201*/       OPC_EmitInteger, MVT::i64, 0, 
/* 35204*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 35211*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_ADD_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_load_add:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_16>> - Complexity = 10
                 // Dst: (ATOMIC_RMW16_U_ADD_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 35221*/      0, /*End of Scope*/
/* 35222*/     0, /*End of Scope*/
/* 35223*/    /*SwitchType*/ 58, MVT::i64,// ->35283
/* 35225*/     OPC_CheckPredicate, 7, // Predicate_atomic_load_add_64
/* 35227*/     OPC_Scope, 26, /*->35255*/ // 2 children in Scope
/* 35229*/      OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 35231*/      OPC_EmitMergeInputChains1_0,
/* 35232*/      OPC_EmitInteger, MVT::i32, 0, 
/* 35235*/      OPC_EmitInteger, MVT::i32, 0, 
/* 35238*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 35245*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_ADD_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                // Src: (atomic_load_add:{ *:[i64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_add_64>> - Complexity = 10
                // Dst: (ATOMIC_RMW_ADD_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/* 35255*/     /*Scope*/ 26, /*->35282*/
/* 35256*/      OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 35258*/      OPC_EmitMergeInputChains1_0,
/* 35259*/      OPC_EmitInteger, MVT::i32, 0, 
/* 35262*/      OPC_EmitInteger, MVT::i64, 0, 
/* 35265*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 35272*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_ADD_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                // Src: (atomic_load_add:{ *:[i64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_add_64>> - Complexity = 10
                // Dst: (ATOMIC_RMW_ADD_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/* 35282*/     0, /*End of Scope*/
/* 35283*/    0, // EndSwitchType
/* 35284*/   0, // EndSwitchOpcode
/* 35285*/  /*Scope*/ 45|128,5/*685*/, /*->35972*/
/* 35287*/   OPC_RecordChild1, // #1 = $off
/* 35288*/   OPC_Scope, 8|128,3/*392*/, /*->35683*/ // 3 children in Scope
/* 35291*/    OPC_MoveChild1,
/* 35292*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 35295*/    OPC_MoveParent,
/* 35296*/    OPC_RecordChild2, // #2 = $val
/* 35297*/    OPC_SwitchType /*2 cases */, 61|128,2/*317*/, MVT::i32,// ->35618
/* 35301*/     OPC_Scope, 62, /*->35365*/ // 5 children in Scope
/* 35303*/      OPC_CheckPredicate, 4, // Predicate_atomic_load_add_32
/* 35305*/      OPC_Scope, 28, /*->35335*/ // 2 children in Scope
/* 35307*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 35309*/       OPC_EmitMergeInputChains1_0,
/* 35310*/       OPC_EmitInteger, MVT::i32, 0, 
/* 35313*/       OPC_EmitConvertToTarget, 1,
/* 35315*/       OPC_EmitInteger, MVT::i32, 0, 
/* 35318*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 35325*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_ADD_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_load_add:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_32>> - Complexity = 7
                 // Dst: (ATOMIC_RMW_ADD_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 35335*/      /*Scope*/ 28, /*->35364*/
/* 35336*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 35338*/       OPC_EmitMergeInputChains1_0,
/* 35339*/       OPC_EmitInteger, MVT::i32, 0, 
/* 35342*/       OPC_EmitConvertToTarget, 1,
/* 35344*/       OPC_EmitInteger, MVT::i64, 0, 
/* 35347*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 35354*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_ADD_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_load_add:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_32>> - Complexity = 7
                 // Dst: (ATOMIC_RMW_ADD_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 35364*/      0, /*End of Scope*/
/* 35365*/     /*Scope*/ 62, /*->35428*/
/* 35366*/      OPC_CheckPredicate, 1, // Predicate_atomic_load_add_8
/* 35368*/      OPC_Scope, 28, /*->35398*/ // 2 children in Scope
/* 35370*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 35372*/       OPC_EmitMergeInputChains1_0,
/* 35373*/       OPC_EmitInteger, MVT::i32, 0, 
/* 35376*/       OPC_EmitConvertToTarget, 1,
/* 35378*/       OPC_EmitInteger, MVT::i32, 0, 
/* 35381*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 35388*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_ADD_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_load_add:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_8>> - Complexity = 7
                 // Dst: (ATOMIC_RMW8_U_ADD_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 35398*/      /*Scope*/ 28, /*->35427*/
/* 35399*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 35401*/       OPC_EmitMergeInputChains1_0,
/* 35402*/       OPC_EmitInteger, MVT::i32, 0, 
/* 35405*/       OPC_EmitConvertToTarget, 1,
/* 35407*/       OPC_EmitInteger, MVT::i64, 0, 
/* 35410*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 35417*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_ADD_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_load_add:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_8>> - Complexity = 7
                 // Dst: (ATOMIC_RMW8_U_ADD_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 35427*/      0, /*End of Scope*/
/* 35428*/     /*Scope*/ 62, /*->35491*/
/* 35429*/      OPC_CheckPredicate, 2, // Predicate_atomic_load_add_16
/* 35431*/      OPC_Scope, 28, /*->35461*/ // 2 children in Scope
/* 35433*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 35435*/       OPC_EmitMergeInputChains1_0,
/* 35436*/       OPC_EmitInteger, MVT::i32, 0, 
/* 35439*/       OPC_EmitConvertToTarget, 1,
/* 35441*/       OPC_EmitInteger, MVT::i32, 0, 
/* 35444*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 35451*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_ADD_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_load_add:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_16>> - Complexity = 7
                 // Dst: (ATOMIC_RMW16_U_ADD_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 35461*/      /*Scope*/ 28, /*->35490*/
/* 35462*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 35464*/       OPC_EmitMergeInputChains1_0,
/* 35465*/       OPC_EmitInteger, MVT::i32, 0, 
/* 35468*/       OPC_EmitConvertToTarget, 1,
/* 35470*/       OPC_EmitInteger, MVT::i64, 0, 
/* 35473*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 35480*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_ADD_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_load_add:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_16>> - Complexity = 7
                 // Dst: (ATOMIC_RMW16_U_ADD_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 35490*/      0, /*End of Scope*/
/* 35491*/     /*Scope*/ 62, /*->35554*/
/* 35492*/      OPC_CheckPredicate, 1, // Predicate_atomic_load_add_8
/* 35494*/      OPC_Scope, 28, /*->35524*/ // 2 children in Scope
/* 35496*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 35498*/       OPC_EmitMergeInputChains1_0,
/* 35499*/       OPC_EmitInteger, MVT::i32, 0, 
/* 35502*/       OPC_EmitConvertToTarget, 1,
/* 35504*/       OPC_EmitInteger, MVT::i32, 0, 
/* 35507*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 35514*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_ADD_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_load_add:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_8>> - Complexity = 7
                 // Dst: (ATOMIC_RMW8_U_ADD_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 35524*/      /*Scope*/ 28, /*->35553*/
/* 35525*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 35527*/       OPC_EmitMergeInputChains1_0,
/* 35528*/       OPC_EmitInteger, MVT::i32, 0, 
/* 35531*/       OPC_EmitConvertToTarget, 1,
/* 35533*/       OPC_EmitInteger, MVT::i64, 0, 
/* 35536*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 35543*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_ADD_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_load_add:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_8>> - Complexity = 7
                 // Dst: (ATOMIC_RMW8_U_ADD_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 35553*/      0, /*End of Scope*/
/* 35554*/     /*Scope*/ 62, /*->35617*/
/* 35555*/      OPC_CheckPredicate, 2, // Predicate_atomic_load_add_16
/* 35557*/      OPC_Scope, 28, /*->35587*/ // 2 children in Scope
/* 35559*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 35561*/       OPC_EmitMergeInputChains1_0,
/* 35562*/       OPC_EmitInteger, MVT::i32, 0, 
/* 35565*/       OPC_EmitConvertToTarget, 1,
/* 35567*/       OPC_EmitInteger, MVT::i32, 0, 
/* 35570*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 35577*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_ADD_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_load_add:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_16>> - Complexity = 7
                 // Dst: (ATOMIC_RMW16_U_ADD_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 35587*/      /*Scope*/ 28, /*->35616*/
/* 35588*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 35590*/       OPC_EmitMergeInputChains1_0,
/* 35591*/       OPC_EmitInteger, MVT::i32, 0, 
/* 35594*/       OPC_EmitConvertToTarget, 1,
/* 35596*/       OPC_EmitInteger, MVT::i64, 0, 
/* 35599*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 35606*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_ADD_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_load_add:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_16>> - Complexity = 7
                 // Dst: (ATOMIC_RMW16_U_ADD_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 35616*/      0, /*End of Scope*/
/* 35617*/     0, /*End of Scope*/
/* 35618*/    /*SwitchType*/ 62, MVT::i64,// ->35682
/* 35620*/     OPC_CheckPredicate, 7, // Predicate_atomic_load_add_64
/* 35622*/     OPC_Scope, 28, /*->35652*/ // 2 children in Scope
/* 35624*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 35626*/      OPC_EmitMergeInputChains1_0,
/* 35627*/      OPC_EmitInteger, MVT::i32, 0, 
/* 35630*/      OPC_EmitConvertToTarget, 1,
/* 35632*/      OPC_EmitInteger, MVT::i32, 0, 
/* 35635*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 35642*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_ADD_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                // Src: (atomic_load_add:{ *:[i64] } (imm:{ *:[iPTR] }):$off, i64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_add_64>> - Complexity = 7
                // Dst: (ATOMIC_RMW_ADD_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/* 35652*/     /*Scope*/ 28, /*->35681*/
/* 35653*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 35655*/      OPC_EmitMergeInputChains1_0,
/* 35656*/      OPC_EmitInteger, MVT::i32, 0, 
/* 35659*/      OPC_EmitConvertToTarget, 1,
/* 35661*/      OPC_EmitInteger, MVT::i64, 0, 
/* 35664*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 35671*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_ADD_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                // Src: (atomic_load_add:{ *:[i64] } (imm:{ *:[iPTR] }):$off, i64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_add_64>> - Complexity = 7
                // Dst: (ATOMIC_RMW_ADD_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/* 35681*/     0, /*End of Scope*/
/* 35682*/    0, // EndSwitchType
/* 35683*/   /*Scope*/ 14|128,1/*142*/, /*->35827*/
/* 35685*/    OPC_CheckChild1Type, MVT::i32,
/* 35687*/    OPC_RecordChild2, // #2 = $val
/* 35688*/    OPC_SwitchType /*2 cases */, 112, MVT::i32,// ->35803
/* 35691*/     OPC_Scope, 21, /*->35714*/ // 5 children in Scope
/* 35693*/      OPC_CheckPredicate, 4, // Predicate_atomic_load_add_32
/* 35695*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 35697*/      OPC_EmitMergeInputChains1_0,
/* 35698*/      OPC_EmitInteger, MVT::i32, 0, 
/* 35701*/      OPC_EmitInteger, MVT::i32, 0, 
/* 35704*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_ADD_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_load_add:{ *:[i32] } I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_32>> - Complexity = 4
                // Dst: (ATOMIC_RMW_ADD_I32_A32:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 35714*/     /*Scope*/ 21, /*->35736*/
/* 35715*/      OPC_CheckPredicate, 1, // Predicate_atomic_load_add_8
/* 35717*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 35719*/      OPC_EmitMergeInputChains1_0,
/* 35720*/      OPC_EmitInteger, MVT::i32, 0, 
/* 35723*/      OPC_EmitInteger, MVT::i32, 0, 
/* 35726*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_ADD_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_load_add:{ *:[i32] } I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_8>> - Complexity = 4
                // Dst: (ATOMIC_RMW8_U_ADD_I32_A32:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 35736*/     /*Scope*/ 21, /*->35758*/
/* 35737*/      OPC_CheckPredicate, 2, // Predicate_atomic_load_add_16
/* 35739*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 35741*/      OPC_EmitMergeInputChains1_0,
/* 35742*/      OPC_EmitInteger, MVT::i32, 0, 
/* 35745*/      OPC_EmitInteger, MVT::i32, 0, 
/* 35748*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_ADD_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_load_add:{ *:[i32] } I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_16>> - Complexity = 4
                // Dst: (ATOMIC_RMW16_U_ADD_I32_A32:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 35758*/     /*Scope*/ 21, /*->35780*/
/* 35759*/      OPC_CheckPredicate, 1, // Predicate_atomic_load_add_8
/* 35761*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 35763*/      OPC_EmitMergeInputChains1_0,
/* 35764*/      OPC_EmitInteger, MVT::i32, 0, 
/* 35767*/      OPC_EmitInteger, MVT::i32, 0, 
/* 35770*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_ADD_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_load_add:{ *:[i32] } I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_8>> - Complexity = 4
                // Dst: (ATOMIC_RMW8_U_ADD_I32_A32:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 35780*/     /*Scope*/ 21, /*->35802*/
/* 35781*/      OPC_CheckPredicate, 2, // Predicate_atomic_load_add_16
/* 35783*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 35785*/      OPC_EmitMergeInputChains1_0,
/* 35786*/      OPC_EmitInteger, MVT::i32, 0, 
/* 35789*/      OPC_EmitInteger, MVT::i32, 0, 
/* 35792*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_ADD_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_load_add:{ *:[i32] } I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_16>> - Complexity = 4
                // Dst: (ATOMIC_RMW16_U_ADD_I32_A32:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 35802*/     0, /*End of Scope*/
/* 35803*/    /*SwitchType*/ 21, MVT::i64,// ->35826
/* 35805*/     OPC_CheckPredicate, 7, // Predicate_atomic_load_add_64
/* 35807*/     OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 35809*/     OPC_EmitMergeInputChains1_0,
/* 35810*/     OPC_EmitInteger, MVT::i32, 0, 
/* 35813*/     OPC_EmitInteger, MVT::i32, 0, 
/* 35816*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_ADD_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
               // Src: (atomic_load_add:{ *:[i64] } I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_add_64>> - Complexity = 4
               // Dst: (ATOMIC_RMW_ADD_I64_A32:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 35826*/    0, // EndSwitchType
/* 35827*/   /*Scope*/ 14|128,1/*142*/, /*->35971*/
/* 35829*/    OPC_CheckChild1Type, MVT::i64,
/* 35831*/    OPC_RecordChild2, // #2 = $val
/* 35832*/    OPC_SwitchType /*2 cases */, 112, MVT::i32,// ->35947
/* 35835*/     OPC_Scope, 21, /*->35858*/ // 5 children in Scope
/* 35837*/      OPC_CheckPredicate, 4, // Predicate_atomic_load_add_32
/* 35839*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 35841*/      OPC_EmitMergeInputChains1_0,
/* 35842*/      OPC_EmitInteger, MVT::i32, 0, 
/* 35845*/      OPC_EmitInteger, MVT::i64, 0, 
/* 35848*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_ADD_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_load_add:{ *:[i32] } I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_32>> - Complexity = 4
                // Dst: (ATOMIC_RMW_ADD_I32_A64:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 35858*/     /*Scope*/ 21, /*->35880*/
/* 35859*/      OPC_CheckPredicate, 1, // Predicate_atomic_load_add_8
/* 35861*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 35863*/      OPC_EmitMergeInputChains1_0,
/* 35864*/      OPC_EmitInteger, MVT::i32, 0, 
/* 35867*/      OPC_EmitInteger, MVT::i64, 0, 
/* 35870*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_ADD_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_load_add:{ *:[i32] } I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_8>> - Complexity = 4
                // Dst: (ATOMIC_RMW8_U_ADD_I32_A64:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 35880*/     /*Scope*/ 21, /*->35902*/
/* 35881*/      OPC_CheckPredicate, 2, // Predicate_atomic_load_add_16
/* 35883*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 35885*/      OPC_EmitMergeInputChains1_0,
/* 35886*/      OPC_EmitInteger, MVT::i32, 0, 
/* 35889*/      OPC_EmitInteger, MVT::i64, 0, 
/* 35892*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_ADD_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_load_add:{ *:[i32] } I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_16>> - Complexity = 4
                // Dst: (ATOMIC_RMW16_U_ADD_I32_A64:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 35902*/     /*Scope*/ 21, /*->35924*/
/* 35903*/      OPC_CheckPredicate, 1, // Predicate_atomic_load_add_8
/* 35905*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 35907*/      OPC_EmitMergeInputChains1_0,
/* 35908*/      OPC_EmitInteger, MVT::i32, 0, 
/* 35911*/      OPC_EmitInteger, MVT::i64, 0, 
/* 35914*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_ADD_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_load_add:{ *:[i32] } I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_8>> - Complexity = 4
                // Dst: (ATOMIC_RMW8_U_ADD_I32_A64:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 35924*/     /*Scope*/ 21, /*->35946*/
/* 35925*/      OPC_CheckPredicate, 2, // Predicate_atomic_load_add_16
/* 35927*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 35929*/      OPC_EmitMergeInputChains1_0,
/* 35930*/      OPC_EmitInteger, MVT::i32, 0, 
/* 35933*/      OPC_EmitInteger, MVT::i64, 0, 
/* 35936*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_ADD_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_load_add:{ *:[i32] } I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_add_16>> - Complexity = 4
                // Dst: (ATOMIC_RMW16_U_ADD_I32_A64:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 35946*/     0, /*End of Scope*/
/* 35947*/    /*SwitchType*/ 21, MVT::i64,// ->35970
/* 35949*/     OPC_CheckPredicate, 7, // Predicate_atomic_load_add_64
/* 35951*/     OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 35953*/     OPC_EmitMergeInputChains1_0,
/* 35954*/     OPC_EmitInteger, MVT::i32, 0, 
/* 35957*/     OPC_EmitInteger, MVT::i64, 0, 
/* 35960*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_ADD_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
               // Src: (atomic_load_add:{ *:[i64] } I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_add_64>> - Complexity = 4
               // Dst: (ATOMIC_RMW_ADD_I64_A64:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 35970*/    0, // EndSwitchType
/* 35971*/   0, /*End of Scope*/
/* 35972*/  0, /*End of Scope*/
/* 35973*/ /*SwitchOpcode*/ 116|128,12/*1652*/, TARGET_VAL(ISD::ATOMIC_LOAD_SUB),// ->37629
/* 35977*/  OPC_RecordMemRef,
/* 35978*/  OPC_RecordNode, // #0 = 'atomic_load_sub' chained node
/* 35979*/  OPC_Scope, 63|128,7/*959*/, /*->36941*/ // 2 children in Scope
/* 35982*/   OPC_MoveChild1,
/* 35983*/   OPC_SwitchOpcode /*3 cases */, 31|128,2/*287*/, TARGET_VAL(ISD::ADD),// ->36275
/* 35988*/    OPC_RecordChild0, // #1 = $addr
/* 35989*/    OPC_RecordChild1, // #2 = $off
/* 35990*/    OPC_MoveChild1,
/* 35991*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 35994*/    OPC_MoveParent,
/* 35995*/    OPC_CheckPredicate, 0, // Predicate_regPlusImm
/* 35997*/    OPC_SwitchType /*2 cases */, 7|128,1/*135*/, MVT::i32,// ->36136
/* 36001*/     OPC_MoveParent,
/* 36002*/     OPC_RecordChild2, // #3 = $val
/* 36003*/     OPC_SwitchType /*2 cases */, 107, MVT::i32,// ->36113
/* 36006*/      OPC_Scope, 20, /*->36028*/ // 5 children in Scope
/* 36008*/       OPC_CheckPredicate, 4, // Predicate_atomic_load_sub_32
/* 36010*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 36012*/       OPC_EmitMergeInputChains1_0,
/* 36013*/       OPC_EmitInteger, MVT::i32, 0, 
/* 36016*/       OPC_EmitConvertToTarget, 2,
/* 36018*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_SUB_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_sub:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_sub_32>> - Complexity = 11
                 // Dst: (ATOMIC_RMW_SUB_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 36028*/      /*Scope*/ 20, /*->36049*/
/* 36029*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_sub_8
/* 36031*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 36033*/       OPC_EmitMergeInputChains1_0,
/* 36034*/       OPC_EmitInteger, MVT::i32, 0, 
/* 36037*/       OPC_EmitConvertToTarget, 2,
/* 36039*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_SUB_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_sub:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_sub_8>> - Complexity = 11
                 // Dst: (ATOMIC_RMW8_U_SUB_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 36049*/      /*Scope*/ 20, /*->36070*/
/* 36050*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_sub_16
/* 36052*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 36054*/       OPC_EmitMergeInputChains1_0,
/* 36055*/       OPC_EmitInteger, MVT::i32, 0, 
/* 36058*/       OPC_EmitConvertToTarget, 2,
/* 36060*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_SUB_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_sub:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_sub_16>> - Complexity = 11
                 // Dst: (ATOMIC_RMW16_U_SUB_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 36070*/      /*Scope*/ 20, /*->36091*/
/* 36071*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_sub_8
/* 36073*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 36075*/       OPC_EmitMergeInputChains1_0,
/* 36076*/       OPC_EmitInteger, MVT::i32, 0, 
/* 36079*/       OPC_EmitConvertToTarget, 2,
/* 36081*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_SUB_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_sub:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_sub_8>> - Complexity = 11
                 // Dst: (ATOMIC_RMW8_U_SUB_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 36091*/      /*Scope*/ 20, /*->36112*/
/* 36092*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_sub_16
/* 36094*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 36096*/       OPC_EmitMergeInputChains1_0,
/* 36097*/       OPC_EmitInteger, MVT::i32, 0, 
/* 36100*/       OPC_EmitConvertToTarget, 2,
/* 36102*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_SUB_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_sub:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_sub_16>> - Complexity = 11
                 // Dst: (ATOMIC_RMW16_U_SUB_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 36112*/      0, /*End of Scope*/
/* 36113*/     /*SwitchType*/ 20, MVT::i64,// ->36135
/* 36115*/      OPC_CheckPredicate, 7, // Predicate_atomic_load_sub_64
/* 36117*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 36119*/      OPC_EmitMergeInputChains1_0,
/* 36120*/      OPC_EmitInteger, MVT::i32, 0, 
/* 36123*/      OPC_EmitConvertToTarget, 2,
/* 36125*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_SUB_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                // Src: (atomic_load_sub:{ *:[i64] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, i64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_sub_64>> - Complexity = 11
                // Dst: (ATOMIC_RMW_SUB_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 36135*/     0, // EndSwitchType
/* 36136*/    /*SwitchType*/ 7|128,1/*135*/, MVT::i64,// ->36274
/* 36139*/     OPC_MoveParent,
/* 36140*/     OPC_RecordChild2, // #3 = $val
/* 36141*/     OPC_SwitchType /*2 cases */, 107, MVT::i32,// ->36251
/* 36144*/      OPC_Scope, 20, /*->36166*/ // 5 children in Scope
/* 36146*/       OPC_CheckPredicate, 4, // Predicate_atomic_load_sub_32
/* 36148*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 36150*/       OPC_EmitMergeInputChains1_0,
/* 36151*/       OPC_EmitInteger, MVT::i32, 0, 
/* 36154*/       OPC_EmitConvertToTarget, 2,
/* 36156*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_SUB_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_sub:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_sub_32>> - Complexity = 11
                 // Dst: (ATOMIC_RMW_SUB_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 36166*/      /*Scope*/ 20, /*->36187*/
/* 36167*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_sub_8
/* 36169*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 36171*/       OPC_EmitMergeInputChains1_0,
/* 36172*/       OPC_EmitInteger, MVT::i32, 0, 
/* 36175*/       OPC_EmitConvertToTarget, 2,
/* 36177*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_SUB_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_sub:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_sub_8>> - Complexity = 11
                 // Dst: (ATOMIC_RMW8_U_SUB_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 36187*/      /*Scope*/ 20, /*->36208*/
/* 36188*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_sub_16
/* 36190*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 36192*/       OPC_EmitMergeInputChains1_0,
/* 36193*/       OPC_EmitInteger, MVT::i32, 0, 
/* 36196*/       OPC_EmitConvertToTarget, 2,
/* 36198*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_SUB_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_sub:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_sub_16>> - Complexity = 11
                 // Dst: (ATOMIC_RMW16_U_SUB_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 36208*/      /*Scope*/ 20, /*->36229*/
/* 36209*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_sub_8
/* 36211*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 36213*/       OPC_EmitMergeInputChains1_0,
/* 36214*/       OPC_EmitInteger, MVT::i32, 0, 
/* 36217*/       OPC_EmitConvertToTarget, 2,
/* 36219*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_SUB_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_sub:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_sub_8>> - Complexity = 11
                 // Dst: (ATOMIC_RMW8_U_SUB_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 36229*/      /*Scope*/ 20, /*->36250*/
/* 36230*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_sub_16
/* 36232*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 36234*/       OPC_EmitMergeInputChains1_0,
/* 36235*/       OPC_EmitInteger, MVT::i32, 0, 
/* 36238*/       OPC_EmitConvertToTarget, 2,
/* 36240*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_SUB_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_sub:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_sub_16>> - Complexity = 11
                 // Dst: (ATOMIC_RMW16_U_SUB_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 36250*/      0, /*End of Scope*/
/* 36251*/     /*SwitchType*/ 20, MVT::i64,// ->36273
/* 36253*/      OPC_CheckPredicate, 7, // Predicate_atomic_load_sub_64
/* 36255*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 36257*/      OPC_EmitMergeInputChains1_0,
/* 36258*/      OPC_EmitInteger, MVT::i32, 0, 
/* 36261*/      OPC_EmitConvertToTarget, 2,
/* 36263*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_SUB_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                // Src: (atomic_load_sub:{ *:[i64] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, i64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_sub_64>> - Complexity = 11
                // Dst: (ATOMIC_RMW_SUB_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 36273*/     0, // EndSwitchType
/* 36274*/    0, // EndSwitchType
/* 36275*/   /*SwitchOpcode*/ 31|128,2/*287*/, TARGET_VAL(ISD::OR),// ->36566
/* 36279*/    OPC_RecordChild0, // #1 = $addr
/* 36280*/    OPC_RecordChild1, // #2 = $off
/* 36281*/    OPC_MoveChild1,
/* 36282*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 36285*/    OPC_MoveParent,
/* 36286*/    OPC_CheckPredicate, 3, // Predicate_or_is_add
/* 36288*/    OPC_SwitchType /*2 cases */, 7|128,1/*135*/, MVT::i32,// ->36427
/* 36292*/     OPC_MoveParent,
/* 36293*/     OPC_RecordChild2, // #3 = $val
/* 36294*/     OPC_SwitchType /*2 cases */, 107, MVT::i32,// ->36404
/* 36297*/      OPC_Scope, 20, /*->36319*/ // 5 children in Scope
/* 36299*/       OPC_CheckPredicate, 4, // Predicate_atomic_load_sub_32
/* 36301*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 36303*/       OPC_EmitMergeInputChains1_0,
/* 36304*/       OPC_EmitInteger, MVT::i32, 0, 
/* 36307*/       OPC_EmitConvertToTarget, 2,
/* 36309*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_SUB_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_sub:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_sub_32>> - Complexity = 11
                 // Dst: (ATOMIC_RMW_SUB_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 36319*/      /*Scope*/ 20, /*->36340*/
/* 36320*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_sub_8
/* 36322*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 36324*/       OPC_EmitMergeInputChains1_0,
/* 36325*/       OPC_EmitInteger, MVT::i32, 0, 
/* 36328*/       OPC_EmitConvertToTarget, 2,
/* 36330*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_SUB_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_sub:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_sub_8>> - Complexity = 11
                 // Dst: (ATOMIC_RMW8_U_SUB_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 36340*/      /*Scope*/ 20, /*->36361*/
/* 36341*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_sub_16
/* 36343*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 36345*/       OPC_EmitMergeInputChains1_0,
/* 36346*/       OPC_EmitInteger, MVT::i32, 0, 
/* 36349*/       OPC_EmitConvertToTarget, 2,
/* 36351*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_SUB_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_sub:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_sub_16>> - Complexity = 11
                 // Dst: (ATOMIC_RMW16_U_SUB_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 36361*/      /*Scope*/ 20, /*->36382*/
/* 36362*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_sub_8
/* 36364*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 36366*/       OPC_EmitMergeInputChains1_0,
/* 36367*/       OPC_EmitInteger, MVT::i32, 0, 
/* 36370*/       OPC_EmitConvertToTarget, 2,
/* 36372*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_SUB_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_sub:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_sub_8>> - Complexity = 11
                 // Dst: (ATOMIC_RMW8_U_SUB_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 36382*/      /*Scope*/ 20, /*->36403*/
/* 36383*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_sub_16
/* 36385*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 36387*/       OPC_EmitMergeInputChains1_0,
/* 36388*/       OPC_EmitInteger, MVT::i32, 0, 
/* 36391*/       OPC_EmitConvertToTarget, 2,
/* 36393*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_SUB_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_sub:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_sub_16>> - Complexity = 11
                 // Dst: (ATOMIC_RMW16_U_SUB_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 36403*/      0, /*End of Scope*/
/* 36404*/     /*SwitchType*/ 20, MVT::i64,// ->36426
/* 36406*/      OPC_CheckPredicate, 7, // Predicate_atomic_load_sub_64
/* 36408*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 36410*/      OPC_EmitMergeInputChains1_0,
/* 36411*/      OPC_EmitInteger, MVT::i32, 0, 
/* 36414*/      OPC_EmitConvertToTarget, 2,
/* 36416*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_SUB_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                // Src: (atomic_load_sub:{ *:[i64] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, i64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_sub_64>> - Complexity = 11
                // Dst: (ATOMIC_RMW_SUB_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 36426*/     0, // EndSwitchType
/* 36427*/    /*SwitchType*/ 7|128,1/*135*/, MVT::i64,// ->36565
/* 36430*/     OPC_MoveParent,
/* 36431*/     OPC_RecordChild2, // #3 = $val
/* 36432*/     OPC_SwitchType /*2 cases */, 107, MVT::i32,// ->36542
/* 36435*/      OPC_Scope, 20, /*->36457*/ // 5 children in Scope
/* 36437*/       OPC_CheckPredicate, 4, // Predicate_atomic_load_sub_32
/* 36439*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 36441*/       OPC_EmitMergeInputChains1_0,
/* 36442*/       OPC_EmitInteger, MVT::i32, 0, 
/* 36445*/       OPC_EmitConvertToTarget, 2,
/* 36447*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_SUB_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_sub:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_sub_32>> - Complexity = 11
                 // Dst: (ATOMIC_RMW_SUB_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 36457*/      /*Scope*/ 20, /*->36478*/
/* 36458*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_sub_8
/* 36460*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 36462*/       OPC_EmitMergeInputChains1_0,
/* 36463*/       OPC_EmitInteger, MVT::i32, 0, 
/* 36466*/       OPC_EmitConvertToTarget, 2,
/* 36468*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_SUB_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_sub:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_sub_8>> - Complexity = 11
                 // Dst: (ATOMIC_RMW8_U_SUB_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 36478*/      /*Scope*/ 20, /*->36499*/
/* 36479*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_sub_16
/* 36481*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 36483*/       OPC_EmitMergeInputChains1_0,
/* 36484*/       OPC_EmitInteger, MVT::i32, 0, 
/* 36487*/       OPC_EmitConvertToTarget, 2,
/* 36489*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_SUB_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_sub:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_sub_16>> - Complexity = 11
                 // Dst: (ATOMIC_RMW16_U_SUB_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 36499*/      /*Scope*/ 20, /*->36520*/
/* 36500*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_sub_8
/* 36502*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 36504*/       OPC_EmitMergeInputChains1_0,
/* 36505*/       OPC_EmitInteger, MVT::i32, 0, 
/* 36508*/       OPC_EmitConvertToTarget, 2,
/* 36510*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_SUB_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_sub:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_sub_8>> - Complexity = 11
                 // Dst: (ATOMIC_RMW8_U_SUB_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 36520*/      /*Scope*/ 20, /*->36541*/
/* 36521*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_sub_16
/* 36523*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 36525*/       OPC_EmitMergeInputChains1_0,
/* 36526*/       OPC_EmitInteger, MVT::i32, 0, 
/* 36529*/       OPC_EmitConvertToTarget, 2,
/* 36531*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_SUB_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_sub:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_sub_16>> - Complexity = 11
                 // Dst: (ATOMIC_RMW16_U_SUB_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 36541*/      0, /*End of Scope*/
/* 36542*/     /*SwitchType*/ 20, MVT::i64,// ->36564
/* 36544*/      OPC_CheckPredicate, 7, // Predicate_atomic_load_sub_64
/* 36546*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 36548*/      OPC_EmitMergeInputChains1_0,
/* 36549*/      OPC_EmitInteger, MVT::i32, 0, 
/* 36552*/      OPC_EmitConvertToTarget, 2,
/* 36554*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_SUB_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                // Src: (atomic_load_sub:{ *:[i64] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, i64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_sub_64>> - Complexity = 11
                // Dst: (ATOMIC_RMW_SUB_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 36564*/     0, // EndSwitchType
/* 36565*/    0, // EndSwitchType
/* 36566*/   /*SwitchOpcode*/ 114|128,2/*370*/, TARGET_VAL(WebAssemblyISD::Wrapper),// ->36940
/* 36570*/    OPC_RecordChild0, // #1 = $off
/* 36571*/    OPC_MoveChild0,
/* 36572*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 36575*/    OPC_MoveParent,
/* 36576*/    OPC_MoveParent,
/* 36577*/    OPC_RecordChild2, // #2 = $val
/* 36578*/    OPC_SwitchType /*2 cases */, 41|128,2/*297*/, MVT::i32,// ->36879
/* 36582*/     OPC_Scope, 58, /*->36642*/ // 5 children in Scope
/* 36584*/      OPC_CheckPredicate, 4, // Predicate_atomic_load_sub_32
/* 36586*/      OPC_Scope, 26, /*->36614*/ // 2 children in Scope
/* 36588*/       OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 36590*/       OPC_EmitMergeInputChains1_0,
/* 36591*/       OPC_EmitInteger, MVT::i32, 0, 
/* 36594*/       OPC_EmitInteger, MVT::i32, 0, 
/* 36597*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 36604*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_SUB_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_load_sub:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_sub_32>> - Complexity = 10
                 // Dst: (ATOMIC_RMW_SUB_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 36614*/      /*Scope*/ 26, /*->36641*/
/* 36615*/       OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 36617*/       OPC_EmitMergeInputChains1_0,
/* 36618*/       OPC_EmitInteger, MVT::i32, 0, 
/* 36621*/       OPC_EmitInteger, MVT::i64, 0, 
/* 36624*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 36631*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_SUB_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_load_sub:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_sub_32>> - Complexity = 10
                 // Dst: (ATOMIC_RMW_SUB_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 36641*/      0, /*End of Scope*/
/* 36642*/     /*Scope*/ 58, /*->36701*/
/* 36643*/      OPC_CheckPredicate, 1, // Predicate_atomic_load_sub_8
/* 36645*/      OPC_Scope, 26, /*->36673*/ // 2 children in Scope
/* 36647*/       OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 36649*/       OPC_EmitMergeInputChains1_0,
/* 36650*/       OPC_EmitInteger, MVT::i32, 0, 
/* 36653*/       OPC_EmitInteger, MVT::i32, 0, 
/* 36656*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 36663*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_SUB_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_load_sub:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_sub_8>> - Complexity = 10
                 // Dst: (ATOMIC_RMW8_U_SUB_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 36673*/      /*Scope*/ 26, /*->36700*/
/* 36674*/       OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 36676*/       OPC_EmitMergeInputChains1_0,
/* 36677*/       OPC_EmitInteger, MVT::i32, 0, 
/* 36680*/       OPC_EmitInteger, MVT::i64, 0, 
/* 36683*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 36690*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_SUB_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_load_sub:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_sub_8>> - Complexity = 10
                 // Dst: (ATOMIC_RMW8_U_SUB_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 36700*/      0, /*End of Scope*/
/* 36701*/     /*Scope*/ 58, /*->36760*/
/* 36702*/      OPC_CheckPredicate, 2, // Predicate_atomic_load_sub_16
/* 36704*/      OPC_Scope, 26, /*->36732*/ // 2 children in Scope
/* 36706*/       OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 36708*/       OPC_EmitMergeInputChains1_0,
/* 36709*/       OPC_EmitInteger, MVT::i32, 0, 
/* 36712*/       OPC_EmitInteger, MVT::i32, 0, 
/* 36715*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 36722*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_SUB_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_load_sub:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_sub_16>> - Complexity = 10
                 // Dst: (ATOMIC_RMW16_U_SUB_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 36732*/      /*Scope*/ 26, /*->36759*/
/* 36733*/       OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 36735*/       OPC_EmitMergeInputChains1_0,
/* 36736*/       OPC_EmitInteger, MVT::i32, 0, 
/* 36739*/       OPC_EmitInteger, MVT::i64, 0, 
/* 36742*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 36749*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_SUB_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_load_sub:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_sub_16>> - Complexity = 10
                 // Dst: (ATOMIC_RMW16_U_SUB_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 36759*/      0, /*End of Scope*/
/* 36760*/     /*Scope*/ 58, /*->36819*/
/* 36761*/      OPC_CheckPredicate, 1, // Predicate_atomic_load_sub_8
/* 36763*/      OPC_Scope, 26, /*->36791*/ // 2 children in Scope
/* 36765*/       OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 36767*/       OPC_EmitMergeInputChains1_0,
/* 36768*/       OPC_EmitInteger, MVT::i32, 0, 
/* 36771*/       OPC_EmitInteger, MVT::i32, 0, 
/* 36774*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 36781*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_SUB_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_load_sub:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_sub_8>> - Complexity = 10
                 // Dst: (ATOMIC_RMW8_U_SUB_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 36791*/      /*Scope*/ 26, /*->36818*/
/* 36792*/       OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 36794*/       OPC_EmitMergeInputChains1_0,
/* 36795*/       OPC_EmitInteger, MVT::i32, 0, 
/* 36798*/       OPC_EmitInteger, MVT::i64, 0, 
/* 36801*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 36808*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_SUB_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_load_sub:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_sub_8>> - Complexity = 10
                 // Dst: (ATOMIC_RMW8_U_SUB_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 36818*/      0, /*End of Scope*/
/* 36819*/     /*Scope*/ 58, /*->36878*/
/* 36820*/      OPC_CheckPredicate, 2, // Predicate_atomic_load_sub_16
/* 36822*/      OPC_Scope, 26, /*->36850*/ // 2 children in Scope
/* 36824*/       OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 36826*/       OPC_EmitMergeInputChains1_0,
/* 36827*/       OPC_EmitInteger, MVT::i32, 0, 
/* 36830*/       OPC_EmitInteger, MVT::i32, 0, 
/* 36833*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 36840*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_SUB_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_load_sub:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_sub_16>> - Complexity = 10
                 // Dst: (ATOMIC_RMW16_U_SUB_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 36850*/      /*Scope*/ 26, /*->36877*/
/* 36851*/       OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 36853*/       OPC_EmitMergeInputChains1_0,
/* 36854*/       OPC_EmitInteger, MVT::i32, 0, 
/* 36857*/       OPC_EmitInteger, MVT::i64, 0, 
/* 36860*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 36867*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_SUB_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_load_sub:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_sub_16>> - Complexity = 10
                 // Dst: (ATOMIC_RMW16_U_SUB_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 36877*/      0, /*End of Scope*/
/* 36878*/     0, /*End of Scope*/
/* 36879*/    /*SwitchType*/ 58, MVT::i64,// ->36939
/* 36881*/     OPC_CheckPredicate, 7, // Predicate_atomic_load_sub_64
/* 36883*/     OPC_Scope, 26, /*->36911*/ // 2 children in Scope
/* 36885*/      OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 36887*/      OPC_EmitMergeInputChains1_0,
/* 36888*/      OPC_EmitInteger, MVT::i32, 0, 
/* 36891*/      OPC_EmitInteger, MVT::i32, 0, 
/* 36894*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 36901*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_SUB_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                // Src: (atomic_load_sub:{ *:[i64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_sub_64>> - Complexity = 10
                // Dst: (ATOMIC_RMW_SUB_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/* 36911*/     /*Scope*/ 26, /*->36938*/
/* 36912*/      OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 36914*/      OPC_EmitMergeInputChains1_0,
/* 36915*/      OPC_EmitInteger, MVT::i32, 0, 
/* 36918*/      OPC_EmitInteger, MVT::i64, 0, 
/* 36921*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 36928*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_SUB_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                // Src: (atomic_load_sub:{ *:[i64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_sub_64>> - Complexity = 10
                // Dst: (ATOMIC_RMW_SUB_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/* 36938*/     0, /*End of Scope*/
/* 36939*/    0, // EndSwitchType
/* 36940*/   0, // EndSwitchOpcode
/* 36941*/  /*Scope*/ 45|128,5/*685*/, /*->37628*/
/* 36943*/   OPC_RecordChild1, // #1 = $off
/* 36944*/   OPC_Scope, 8|128,3/*392*/, /*->37339*/ // 3 children in Scope
/* 36947*/    OPC_MoveChild1,
/* 36948*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 36951*/    OPC_MoveParent,
/* 36952*/    OPC_RecordChild2, // #2 = $val
/* 36953*/    OPC_SwitchType /*2 cases */, 61|128,2/*317*/, MVT::i32,// ->37274
/* 36957*/     OPC_Scope, 62, /*->37021*/ // 5 children in Scope
/* 36959*/      OPC_CheckPredicate, 4, // Predicate_atomic_load_sub_32
/* 36961*/      OPC_Scope, 28, /*->36991*/ // 2 children in Scope
/* 36963*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 36965*/       OPC_EmitMergeInputChains1_0,
/* 36966*/       OPC_EmitInteger, MVT::i32, 0, 
/* 36969*/       OPC_EmitConvertToTarget, 1,
/* 36971*/       OPC_EmitInteger, MVT::i32, 0, 
/* 36974*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 36981*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_SUB_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_load_sub:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_sub_32>> - Complexity = 7
                 // Dst: (ATOMIC_RMW_SUB_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 36991*/      /*Scope*/ 28, /*->37020*/
/* 36992*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 36994*/       OPC_EmitMergeInputChains1_0,
/* 36995*/       OPC_EmitInteger, MVT::i32, 0, 
/* 36998*/       OPC_EmitConvertToTarget, 1,
/* 37000*/       OPC_EmitInteger, MVT::i64, 0, 
/* 37003*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 37010*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_SUB_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_load_sub:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_sub_32>> - Complexity = 7
                 // Dst: (ATOMIC_RMW_SUB_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 37020*/      0, /*End of Scope*/
/* 37021*/     /*Scope*/ 62, /*->37084*/
/* 37022*/      OPC_CheckPredicate, 1, // Predicate_atomic_load_sub_8
/* 37024*/      OPC_Scope, 28, /*->37054*/ // 2 children in Scope
/* 37026*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 37028*/       OPC_EmitMergeInputChains1_0,
/* 37029*/       OPC_EmitInteger, MVT::i32, 0, 
/* 37032*/       OPC_EmitConvertToTarget, 1,
/* 37034*/       OPC_EmitInteger, MVT::i32, 0, 
/* 37037*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 37044*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_SUB_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_load_sub:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_sub_8>> - Complexity = 7
                 // Dst: (ATOMIC_RMW8_U_SUB_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 37054*/      /*Scope*/ 28, /*->37083*/
/* 37055*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 37057*/       OPC_EmitMergeInputChains1_0,
/* 37058*/       OPC_EmitInteger, MVT::i32, 0, 
/* 37061*/       OPC_EmitConvertToTarget, 1,
/* 37063*/       OPC_EmitInteger, MVT::i64, 0, 
/* 37066*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 37073*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_SUB_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_load_sub:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_sub_8>> - Complexity = 7
                 // Dst: (ATOMIC_RMW8_U_SUB_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 37083*/      0, /*End of Scope*/
/* 37084*/     /*Scope*/ 62, /*->37147*/
/* 37085*/      OPC_CheckPredicate, 2, // Predicate_atomic_load_sub_16
/* 37087*/      OPC_Scope, 28, /*->37117*/ // 2 children in Scope
/* 37089*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 37091*/       OPC_EmitMergeInputChains1_0,
/* 37092*/       OPC_EmitInteger, MVT::i32, 0, 
/* 37095*/       OPC_EmitConvertToTarget, 1,
/* 37097*/       OPC_EmitInteger, MVT::i32, 0, 
/* 37100*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 37107*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_SUB_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_load_sub:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_sub_16>> - Complexity = 7
                 // Dst: (ATOMIC_RMW16_U_SUB_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 37117*/      /*Scope*/ 28, /*->37146*/
/* 37118*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 37120*/       OPC_EmitMergeInputChains1_0,
/* 37121*/       OPC_EmitInteger, MVT::i32, 0, 
/* 37124*/       OPC_EmitConvertToTarget, 1,
/* 37126*/       OPC_EmitInteger, MVT::i64, 0, 
/* 37129*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 37136*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_SUB_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_load_sub:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_sub_16>> - Complexity = 7
                 // Dst: (ATOMIC_RMW16_U_SUB_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 37146*/      0, /*End of Scope*/
/* 37147*/     /*Scope*/ 62, /*->37210*/
/* 37148*/      OPC_CheckPredicate, 1, // Predicate_atomic_load_sub_8
/* 37150*/      OPC_Scope, 28, /*->37180*/ // 2 children in Scope
/* 37152*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 37154*/       OPC_EmitMergeInputChains1_0,
/* 37155*/       OPC_EmitInteger, MVT::i32, 0, 
/* 37158*/       OPC_EmitConvertToTarget, 1,
/* 37160*/       OPC_EmitInteger, MVT::i32, 0, 
/* 37163*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 37170*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_SUB_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_load_sub:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_sub_8>> - Complexity = 7
                 // Dst: (ATOMIC_RMW8_U_SUB_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 37180*/      /*Scope*/ 28, /*->37209*/
/* 37181*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 37183*/       OPC_EmitMergeInputChains1_0,
/* 37184*/       OPC_EmitInteger, MVT::i32, 0, 
/* 37187*/       OPC_EmitConvertToTarget, 1,
/* 37189*/       OPC_EmitInteger, MVT::i64, 0, 
/* 37192*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 37199*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_SUB_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_load_sub:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_sub_8>> - Complexity = 7
                 // Dst: (ATOMIC_RMW8_U_SUB_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 37209*/      0, /*End of Scope*/
/* 37210*/     /*Scope*/ 62, /*->37273*/
/* 37211*/      OPC_CheckPredicate, 2, // Predicate_atomic_load_sub_16
/* 37213*/      OPC_Scope, 28, /*->37243*/ // 2 children in Scope
/* 37215*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 37217*/       OPC_EmitMergeInputChains1_0,
/* 37218*/       OPC_EmitInteger, MVT::i32, 0, 
/* 37221*/       OPC_EmitConvertToTarget, 1,
/* 37223*/       OPC_EmitInteger, MVT::i32, 0, 
/* 37226*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 37233*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_SUB_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_load_sub:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_sub_16>> - Complexity = 7
                 // Dst: (ATOMIC_RMW16_U_SUB_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 37243*/      /*Scope*/ 28, /*->37272*/
/* 37244*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 37246*/       OPC_EmitMergeInputChains1_0,
/* 37247*/       OPC_EmitInteger, MVT::i32, 0, 
/* 37250*/       OPC_EmitConvertToTarget, 1,
/* 37252*/       OPC_EmitInteger, MVT::i64, 0, 
/* 37255*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 37262*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_SUB_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_load_sub:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_sub_16>> - Complexity = 7
                 // Dst: (ATOMIC_RMW16_U_SUB_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 37272*/      0, /*End of Scope*/
/* 37273*/     0, /*End of Scope*/
/* 37274*/    /*SwitchType*/ 62, MVT::i64,// ->37338
/* 37276*/     OPC_CheckPredicate, 7, // Predicate_atomic_load_sub_64
/* 37278*/     OPC_Scope, 28, /*->37308*/ // 2 children in Scope
/* 37280*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 37282*/      OPC_EmitMergeInputChains1_0,
/* 37283*/      OPC_EmitInteger, MVT::i32, 0, 
/* 37286*/      OPC_EmitConvertToTarget, 1,
/* 37288*/      OPC_EmitInteger, MVT::i32, 0, 
/* 37291*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 37298*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_SUB_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                // Src: (atomic_load_sub:{ *:[i64] } (imm:{ *:[iPTR] }):$off, i64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_sub_64>> - Complexity = 7
                // Dst: (ATOMIC_RMW_SUB_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/* 37308*/     /*Scope*/ 28, /*->37337*/
/* 37309*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 37311*/      OPC_EmitMergeInputChains1_0,
/* 37312*/      OPC_EmitInteger, MVT::i32, 0, 
/* 37315*/      OPC_EmitConvertToTarget, 1,
/* 37317*/      OPC_EmitInteger, MVT::i64, 0, 
/* 37320*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 37327*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_SUB_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                // Src: (atomic_load_sub:{ *:[i64] } (imm:{ *:[iPTR] }):$off, i64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_sub_64>> - Complexity = 7
                // Dst: (ATOMIC_RMW_SUB_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/* 37337*/     0, /*End of Scope*/
/* 37338*/    0, // EndSwitchType
/* 37339*/   /*Scope*/ 14|128,1/*142*/, /*->37483*/
/* 37341*/    OPC_CheckChild1Type, MVT::i32,
/* 37343*/    OPC_RecordChild2, // #2 = $val
/* 37344*/    OPC_SwitchType /*2 cases */, 112, MVT::i32,// ->37459
/* 37347*/     OPC_Scope, 21, /*->37370*/ // 5 children in Scope
/* 37349*/      OPC_CheckPredicate, 4, // Predicate_atomic_load_sub_32
/* 37351*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 37353*/      OPC_EmitMergeInputChains1_0,
/* 37354*/      OPC_EmitInteger, MVT::i32, 0, 
/* 37357*/      OPC_EmitInteger, MVT::i32, 0, 
/* 37360*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_SUB_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_load_sub:{ *:[i32] } I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_sub_32>> - Complexity = 4
                // Dst: (ATOMIC_RMW_SUB_I32_A32:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 37370*/     /*Scope*/ 21, /*->37392*/
/* 37371*/      OPC_CheckPredicate, 1, // Predicate_atomic_load_sub_8
/* 37373*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 37375*/      OPC_EmitMergeInputChains1_0,
/* 37376*/      OPC_EmitInteger, MVT::i32, 0, 
/* 37379*/      OPC_EmitInteger, MVT::i32, 0, 
/* 37382*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_SUB_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_load_sub:{ *:[i32] } I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_sub_8>> - Complexity = 4
                // Dst: (ATOMIC_RMW8_U_SUB_I32_A32:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 37392*/     /*Scope*/ 21, /*->37414*/
/* 37393*/      OPC_CheckPredicate, 2, // Predicate_atomic_load_sub_16
/* 37395*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 37397*/      OPC_EmitMergeInputChains1_0,
/* 37398*/      OPC_EmitInteger, MVT::i32, 0, 
/* 37401*/      OPC_EmitInteger, MVT::i32, 0, 
/* 37404*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_SUB_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_load_sub:{ *:[i32] } I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_sub_16>> - Complexity = 4
                // Dst: (ATOMIC_RMW16_U_SUB_I32_A32:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 37414*/     /*Scope*/ 21, /*->37436*/
/* 37415*/      OPC_CheckPredicate, 1, // Predicate_atomic_load_sub_8
/* 37417*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 37419*/      OPC_EmitMergeInputChains1_0,
/* 37420*/      OPC_EmitInteger, MVT::i32, 0, 
/* 37423*/      OPC_EmitInteger, MVT::i32, 0, 
/* 37426*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_SUB_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_load_sub:{ *:[i32] } I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_sub_8>> - Complexity = 4
                // Dst: (ATOMIC_RMW8_U_SUB_I32_A32:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 37436*/     /*Scope*/ 21, /*->37458*/
/* 37437*/      OPC_CheckPredicate, 2, // Predicate_atomic_load_sub_16
/* 37439*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 37441*/      OPC_EmitMergeInputChains1_0,
/* 37442*/      OPC_EmitInteger, MVT::i32, 0, 
/* 37445*/      OPC_EmitInteger, MVT::i32, 0, 
/* 37448*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_SUB_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_load_sub:{ *:[i32] } I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_sub_16>> - Complexity = 4
                // Dst: (ATOMIC_RMW16_U_SUB_I32_A32:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 37458*/     0, /*End of Scope*/
/* 37459*/    /*SwitchType*/ 21, MVT::i64,// ->37482
/* 37461*/     OPC_CheckPredicate, 7, // Predicate_atomic_load_sub_64
/* 37463*/     OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 37465*/     OPC_EmitMergeInputChains1_0,
/* 37466*/     OPC_EmitInteger, MVT::i32, 0, 
/* 37469*/     OPC_EmitInteger, MVT::i32, 0, 
/* 37472*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_SUB_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
               // Src: (atomic_load_sub:{ *:[i64] } I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_sub_64>> - Complexity = 4
               // Dst: (ATOMIC_RMW_SUB_I64_A32:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 37482*/    0, // EndSwitchType
/* 37483*/   /*Scope*/ 14|128,1/*142*/, /*->37627*/
/* 37485*/    OPC_CheckChild1Type, MVT::i64,
/* 37487*/    OPC_RecordChild2, // #2 = $val
/* 37488*/    OPC_SwitchType /*2 cases */, 112, MVT::i32,// ->37603
/* 37491*/     OPC_Scope, 21, /*->37514*/ // 5 children in Scope
/* 37493*/      OPC_CheckPredicate, 4, // Predicate_atomic_load_sub_32
/* 37495*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 37497*/      OPC_EmitMergeInputChains1_0,
/* 37498*/      OPC_EmitInteger, MVT::i32, 0, 
/* 37501*/      OPC_EmitInteger, MVT::i64, 0, 
/* 37504*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_SUB_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_load_sub:{ *:[i32] } I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_sub_32>> - Complexity = 4
                // Dst: (ATOMIC_RMW_SUB_I32_A64:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 37514*/     /*Scope*/ 21, /*->37536*/
/* 37515*/      OPC_CheckPredicate, 1, // Predicate_atomic_load_sub_8
/* 37517*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 37519*/      OPC_EmitMergeInputChains1_0,
/* 37520*/      OPC_EmitInteger, MVT::i32, 0, 
/* 37523*/      OPC_EmitInteger, MVT::i64, 0, 
/* 37526*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_SUB_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_load_sub:{ *:[i32] } I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_sub_8>> - Complexity = 4
                // Dst: (ATOMIC_RMW8_U_SUB_I32_A64:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 37536*/     /*Scope*/ 21, /*->37558*/
/* 37537*/      OPC_CheckPredicate, 2, // Predicate_atomic_load_sub_16
/* 37539*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 37541*/      OPC_EmitMergeInputChains1_0,
/* 37542*/      OPC_EmitInteger, MVT::i32, 0, 
/* 37545*/      OPC_EmitInteger, MVT::i64, 0, 
/* 37548*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_SUB_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_load_sub:{ *:[i32] } I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_sub_16>> - Complexity = 4
                // Dst: (ATOMIC_RMW16_U_SUB_I32_A64:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 37558*/     /*Scope*/ 21, /*->37580*/
/* 37559*/      OPC_CheckPredicate, 1, // Predicate_atomic_load_sub_8
/* 37561*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 37563*/      OPC_EmitMergeInputChains1_0,
/* 37564*/      OPC_EmitInteger, MVT::i32, 0, 
/* 37567*/      OPC_EmitInteger, MVT::i64, 0, 
/* 37570*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_SUB_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_load_sub:{ *:[i32] } I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_sub_8>> - Complexity = 4
                // Dst: (ATOMIC_RMW8_U_SUB_I32_A64:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 37580*/     /*Scope*/ 21, /*->37602*/
/* 37581*/      OPC_CheckPredicate, 2, // Predicate_atomic_load_sub_16
/* 37583*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 37585*/      OPC_EmitMergeInputChains1_0,
/* 37586*/      OPC_EmitInteger, MVT::i32, 0, 
/* 37589*/      OPC_EmitInteger, MVT::i64, 0, 
/* 37592*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_SUB_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_load_sub:{ *:[i32] } I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_sub_16>> - Complexity = 4
                // Dst: (ATOMIC_RMW16_U_SUB_I32_A64:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 37602*/     0, /*End of Scope*/
/* 37603*/    /*SwitchType*/ 21, MVT::i64,// ->37626
/* 37605*/     OPC_CheckPredicate, 7, // Predicate_atomic_load_sub_64
/* 37607*/     OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 37609*/     OPC_EmitMergeInputChains1_0,
/* 37610*/     OPC_EmitInteger, MVT::i32, 0, 
/* 37613*/     OPC_EmitInteger, MVT::i64, 0, 
/* 37616*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_SUB_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
               // Src: (atomic_load_sub:{ *:[i64] } I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_sub_64>> - Complexity = 4
               // Dst: (ATOMIC_RMW_SUB_I64_A64:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 37626*/    0, // EndSwitchType
/* 37627*/   0, /*End of Scope*/
/* 37628*/  0, /*End of Scope*/
/* 37629*/ /*SwitchOpcode*/ 116|128,12/*1652*/, TARGET_VAL(ISD::ATOMIC_LOAD_AND),// ->39285
/* 37633*/  OPC_RecordMemRef,
/* 37634*/  OPC_RecordNode, // #0 = 'atomic_load_and' chained node
/* 37635*/  OPC_Scope, 63|128,7/*959*/, /*->38597*/ // 2 children in Scope
/* 37638*/   OPC_MoveChild1,
/* 37639*/   OPC_SwitchOpcode /*3 cases */, 31|128,2/*287*/, TARGET_VAL(ISD::ADD),// ->37931
/* 37644*/    OPC_RecordChild0, // #1 = $addr
/* 37645*/    OPC_RecordChild1, // #2 = $off
/* 37646*/    OPC_MoveChild1,
/* 37647*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 37650*/    OPC_MoveParent,
/* 37651*/    OPC_CheckPredicate, 0, // Predicate_regPlusImm
/* 37653*/    OPC_SwitchType /*2 cases */, 7|128,1/*135*/, MVT::i32,// ->37792
/* 37657*/     OPC_MoveParent,
/* 37658*/     OPC_RecordChild2, // #3 = $val
/* 37659*/     OPC_SwitchType /*2 cases */, 107, MVT::i32,// ->37769
/* 37662*/      OPC_Scope, 20, /*->37684*/ // 5 children in Scope
/* 37664*/       OPC_CheckPredicate, 4, // Predicate_atomic_load_and_32
/* 37666*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 37668*/       OPC_EmitMergeInputChains1_0,
/* 37669*/       OPC_EmitInteger, MVT::i32, 0, 
/* 37672*/       OPC_EmitConvertToTarget, 2,
/* 37674*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_AND_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_and:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_and_32>> - Complexity = 11
                 // Dst: (ATOMIC_RMW_AND_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 37684*/      /*Scope*/ 20, /*->37705*/
/* 37685*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_and_8
/* 37687*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 37689*/       OPC_EmitMergeInputChains1_0,
/* 37690*/       OPC_EmitInteger, MVT::i32, 0, 
/* 37693*/       OPC_EmitConvertToTarget, 2,
/* 37695*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_AND_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_and:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_and_8>> - Complexity = 11
                 // Dst: (ATOMIC_RMW8_U_AND_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 37705*/      /*Scope*/ 20, /*->37726*/
/* 37706*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_and_16
/* 37708*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 37710*/       OPC_EmitMergeInputChains1_0,
/* 37711*/       OPC_EmitInteger, MVT::i32, 0, 
/* 37714*/       OPC_EmitConvertToTarget, 2,
/* 37716*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_AND_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_and:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_and_16>> - Complexity = 11
                 // Dst: (ATOMIC_RMW16_U_AND_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 37726*/      /*Scope*/ 20, /*->37747*/
/* 37727*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_and_8
/* 37729*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 37731*/       OPC_EmitMergeInputChains1_0,
/* 37732*/       OPC_EmitInteger, MVT::i32, 0, 
/* 37735*/       OPC_EmitConvertToTarget, 2,
/* 37737*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_AND_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_and:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_and_8>> - Complexity = 11
                 // Dst: (ATOMIC_RMW8_U_AND_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 37747*/      /*Scope*/ 20, /*->37768*/
/* 37748*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_and_16
/* 37750*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 37752*/       OPC_EmitMergeInputChains1_0,
/* 37753*/       OPC_EmitInteger, MVT::i32, 0, 
/* 37756*/       OPC_EmitConvertToTarget, 2,
/* 37758*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_AND_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_and:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_and_16>> - Complexity = 11
                 // Dst: (ATOMIC_RMW16_U_AND_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 37768*/      0, /*End of Scope*/
/* 37769*/     /*SwitchType*/ 20, MVT::i64,// ->37791
/* 37771*/      OPC_CheckPredicate, 7, // Predicate_atomic_load_and_64
/* 37773*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 37775*/      OPC_EmitMergeInputChains1_0,
/* 37776*/      OPC_EmitInteger, MVT::i32, 0, 
/* 37779*/      OPC_EmitConvertToTarget, 2,
/* 37781*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_AND_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                // Src: (atomic_load_and:{ *:[i64] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, i64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_and_64>> - Complexity = 11
                // Dst: (ATOMIC_RMW_AND_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 37791*/     0, // EndSwitchType
/* 37792*/    /*SwitchType*/ 7|128,1/*135*/, MVT::i64,// ->37930
/* 37795*/     OPC_MoveParent,
/* 37796*/     OPC_RecordChild2, // #3 = $val
/* 37797*/     OPC_SwitchType /*2 cases */, 107, MVT::i32,// ->37907
/* 37800*/      OPC_Scope, 20, /*->37822*/ // 5 children in Scope
/* 37802*/       OPC_CheckPredicate, 4, // Predicate_atomic_load_and_32
/* 37804*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 37806*/       OPC_EmitMergeInputChains1_0,
/* 37807*/       OPC_EmitInteger, MVT::i32, 0, 
/* 37810*/       OPC_EmitConvertToTarget, 2,
/* 37812*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_AND_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_and:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_and_32>> - Complexity = 11
                 // Dst: (ATOMIC_RMW_AND_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 37822*/      /*Scope*/ 20, /*->37843*/
/* 37823*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_and_8
/* 37825*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 37827*/       OPC_EmitMergeInputChains1_0,
/* 37828*/       OPC_EmitInteger, MVT::i32, 0, 
/* 37831*/       OPC_EmitConvertToTarget, 2,
/* 37833*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_AND_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_and:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_and_8>> - Complexity = 11
                 // Dst: (ATOMIC_RMW8_U_AND_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 37843*/      /*Scope*/ 20, /*->37864*/
/* 37844*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_and_16
/* 37846*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 37848*/       OPC_EmitMergeInputChains1_0,
/* 37849*/       OPC_EmitInteger, MVT::i32, 0, 
/* 37852*/       OPC_EmitConvertToTarget, 2,
/* 37854*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_AND_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_and:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_and_16>> - Complexity = 11
                 // Dst: (ATOMIC_RMW16_U_AND_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 37864*/      /*Scope*/ 20, /*->37885*/
/* 37865*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_and_8
/* 37867*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 37869*/       OPC_EmitMergeInputChains1_0,
/* 37870*/       OPC_EmitInteger, MVT::i32, 0, 
/* 37873*/       OPC_EmitConvertToTarget, 2,
/* 37875*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_AND_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_and:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_and_8>> - Complexity = 11
                 // Dst: (ATOMIC_RMW8_U_AND_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 37885*/      /*Scope*/ 20, /*->37906*/
/* 37886*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_and_16
/* 37888*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 37890*/       OPC_EmitMergeInputChains1_0,
/* 37891*/       OPC_EmitInteger, MVT::i32, 0, 
/* 37894*/       OPC_EmitConvertToTarget, 2,
/* 37896*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_AND_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_and:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_and_16>> - Complexity = 11
                 // Dst: (ATOMIC_RMW16_U_AND_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 37906*/      0, /*End of Scope*/
/* 37907*/     /*SwitchType*/ 20, MVT::i64,// ->37929
/* 37909*/      OPC_CheckPredicate, 7, // Predicate_atomic_load_and_64
/* 37911*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 37913*/      OPC_EmitMergeInputChains1_0,
/* 37914*/      OPC_EmitInteger, MVT::i32, 0, 
/* 37917*/      OPC_EmitConvertToTarget, 2,
/* 37919*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_AND_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                // Src: (atomic_load_and:{ *:[i64] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, i64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_and_64>> - Complexity = 11
                // Dst: (ATOMIC_RMW_AND_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 37929*/     0, // EndSwitchType
/* 37930*/    0, // EndSwitchType
/* 37931*/   /*SwitchOpcode*/ 31|128,2/*287*/, TARGET_VAL(ISD::OR),// ->38222
/* 37935*/    OPC_RecordChild0, // #1 = $addr
/* 37936*/    OPC_RecordChild1, // #2 = $off
/* 37937*/    OPC_MoveChild1,
/* 37938*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 37941*/    OPC_MoveParent,
/* 37942*/    OPC_CheckPredicate, 3, // Predicate_or_is_add
/* 37944*/    OPC_SwitchType /*2 cases */, 7|128,1/*135*/, MVT::i32,// ->38083
/* 37948*/     OPC_MoveParent,
/* 37949*/     OPC_RecordChild2, // #3 = $val
/* 37950*/     OPC_SwitchType /*2 cases */, 107, MVT::i32,// ->38060
/* 37953*/      OPC_Scope, 20, /*->37975*/ // 5 children in Scope
/* 37955*/       OPC_CheckPredicate, 4, // Predicate_atomic_load_and_32
/* 37957*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 37959*/       OPC_EmitMergeInputChains1_0,
/* 37960*/       OPC_EmitInteger, MVT::i32, 0, 
/* 37963*/       OPC_EmitConvertToTarget, 2,
/* 37965*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_AND_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_and:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_and_32>> - Complexity = 11
                 // Dst: (ATOMIC_RMW_AND_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 37975*/      /*Scope*/ 20, /*->37996*/
/* 37976*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_and_8
/* 37978*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 37980*/       OPC_EmitMergeInputChains1_0,
/* 37981*/       OPC_EmitInteger, MVT::i32, 0, 
/* 37984*/       OPC_EmitConvertToTarget, 2,
/* 37986*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_AND_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_and:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_and_8>> - Complexity = 11
                 // Dst: (ATOMIC_RMW8_U_AND_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 37996*/      /*Scope*/ 20, /*->38017*/
/* 37997*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_and_16
/* 37999*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 38001*/       OPC_EmitMergeInputChains1_0,
/* 38002*/       OPC_EmitInteger, MVT::i32, 0, 
/* 38005*/       OPC_EmitConvertToTarget, 2,
/* 38007*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_AND_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_and:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_and_16>> - Complexity = 11
                 // Dst: (ATOMIC_RMW16_U_AND_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 38017*/      /*Scope*/ 20, /*->38038*/
/* 38018*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_and_8
/* 38020*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 38022*/       OPC_EmitMergeInputChains1_0,
/* 38023*/       OPC_EmitInteger, MVT::i32, 0, 
/* 38026*/       OPC_EmitConvertToTarget, 2,
/* 38028*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_AND_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_and:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_and_8>> - Complexity = 11
                 // Dst: (ATOMIC_RMW8_U_AND_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 38038*/      /*Scope*/ 20, /*->38059*/
/* 38039*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_and_16
/* 38041*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 38043*/       OPC_EmitMergeInputChains1_0,
/* 38044*/       OPC_EmitInteger, MVT::i32, 0, 
/* 38047*/       OPC_EmitConvertToTarget, 2,
/* 38049*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_AND_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_and:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_and_16>> - Complexity = 11
                 // Dst: (ATOMIC_RMW16_U_AND_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 38059*/      0, /*End of Scope*/
/* 38060*/     /*SwitchType*/ 20, MVT::i64,// ->38082
/* 38062*/      OPC_CheckPredicate, 7, // Predicate_atomic_load_and_64
/* 38064*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 38066*/      OPC_EmitMergeInputChains1_0,
/* 38067*/      OPC_EmitInteger, MVT::i32, 0, 
/* 38070*/      OPC_EmitConvertToTarget, 2,
/* 38072*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_AND_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                // Src: (atomic_load_and:{ *:[i64] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, i64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_and_64>> - Complexity = 11
                // Dst: (ATOMIC_RMW_AND_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 38082*/     0, // EndSwitchType
/* 38083*/    /*SwitchType*/ 7|128,1/*135*/, MVT::i64,// ->38221
/* 38086*/     OPC_MoveParent,
/* 38087*/     OPC_RecordChild2, // #3 = $val
/* 38088*/     OPC_SwitchType /*2 cases */, 107, MVT::i32,// ->38198
/* 38091*/      OPC_Scope, 20, /*->38113*/ // 5 children in Scope
/* 38093*/       OPC_CheckPredicate, 4, // Predicate_atomic_load_and_32
/* 38095*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 38097*/       OPC_EmitMergeInputChains1_0,
/* 38098*/       OPC_EmitInteger, MVT::i32, 0, 
/* 38101*/       OPC_EmitConvertToTarget, 2,
/* 38103*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_AND_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_and:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_and_32>> - Complexity = 11
                 // Dst: (ATOMIC_RMW_AND_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 38113*/      /*Scope*/ 20, /*->38134*/
/* 38114*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_and_8
/* 38116*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 38118*/       OPC_EmitMergeInputChains1_0,
/* 38119*/       OPC_EmitInteger, MVT::i32, 0, 
/* 38122*/       OPC_EmitConvertToTarget, 2,
/* 38124*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_AND_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_and:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_and_8>> - Complexity = 11
                 // Dst: (ATOMIC_RMW8_U_AND_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 38134*/      /*Scope*/ 20, /*->38155*/
/* 38135*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_and_16
/* 38137*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 38139*/       OPC_EmitMergeInputChains1_0,
/* 38140*/       OPC_EmitInteger, MVT::i32, 0, 
/* 38143*/       OPC_EmitConvertToTarget, 2,
/* 38145*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_AND_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_and:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_and_16>> - Complexity = 11
                 // Dst: (ATOMIC_RMW16_U_AND_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 38155*/      /*Scope*/ 20, /*->38176*/
/* 38156*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_and_8
/* 38158*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 38160*/       OPC_EmitMergeInputChains1_0,
/* 38161*/       OPC_EmitInteger, MVT::i32, 0, 
/* 38164*/       OPC_EmitConvertToTarget, 2,
/* 38166*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_AND_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_and:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_and_8>> - Complexity = 11
                 // Dst: (ATOMIC_RMW8_U_AND_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 38176*/      /*Scope*/ 20, /*->38197*/
/* 38177*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_and_16
/* 38179*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 38181*/       OPC_EmitMergeInputChains1_0,
/* 38182*/       OPC_EmitInteger, MVT::i32, 0, 
/* 38185*/       OPC_EmitConvertToTarget, 2,
/* 38187*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_AND_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_and:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_and_16>> - Complexity = 11
                 // Dst: (ATOMIC_RMW16_U_AND_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 38197*/      0, /*End of Scope*/
/* 38198*/     /*SwitchType*/ 20, MVT::i64,// ->38220
/* 38200*/      OPC_CheckPredicate, 7, // Predicate_atomic_load_and_64
/* 38202*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 38204*/      OPC_EmitMergeInputChains1_0,
/* 38205*/      OPC_EmitInteger, MVT::i32, 0, 
/* 38208*/      OPC_EmitConvertToTarget, 2,
/* 38210*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_AND_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                // Src: (atomic_load_and:{ *:[i64] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, i64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_and_64>> - Complexity = 11
                // Dst: (ATOMIC_RMW_AND_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 38220*/     0, // EndSwitchType
/* 38221*/    0, // EndSwitchType
/* 38222*/   /*SwitchOpcode*/ 114|128,2/*370*/, TARGET_VAL(WebAssemblyISD::Wrapper),// ->38596
/* 38226*/    OPC_RecordChild0, // #1 = $off
/* 38227*/    OPC_MoveChild0,
/* 38228*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 38231*/    OPC_MoveParent,
/* 38232*/    OPC_MoveParent,
/* 38233*/    OPC_RecordChild2, // #2 = $val
/* 38234*/    OPC_SwitchType /*2 cases */, 41|128,2/*297*/, MVT::i32,// ->38535
/* 38238*/     OPC_Scope, 58, /*->38298*/ // 5 children in Scope
/* 38240*/      OPC_CheckPredicate, 4, // Predicate_atomic_load_and_32
/* 38242*/      OPC_Scope, 26, /*->38270*/ // 2 children in Scope
/* 38244*/       OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 38246*/       OPC_EmitMergeInputChains1_0,
/* 38247*/       OPC_EmitInteger, MVT::i32, 0, 
/* 38250*/       OPC_EmitInteger, MVT::i32, 0, 
/* 38253*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 38260*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_AND_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_load_and:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_and_32>> - Complexity = 10
                 // Dst: (ATOMIC_RMW_AND_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 38270*/      /*Scope*/ 26, /*->38297*/
/* 38271*/       OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 38273*/       OPC_EmitMergeInputChains1_0,
/* 38274*/       OPC_EmitInteger, MVT::i32, 0, 
/* 38277*/       OPC_EmitInteger, MVT::i64, 0, 
/* 38280*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 38287*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_AND_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_load_and:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_and_32>> - Complexity = 10
                 // Dst: (ATOMIC_RMW_AND_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 38297*/      0, /*End of Scope*/
/* 38298*/     /*Scope*/ 58, /*->38357*/
/* 38299*/      OPC_CheckPredicate, 1, // Predicate_atomic_load_and_8
/* 38301*/      OPC_Scope, 26, /*->38329*/ // 2 children in Scope
/* 38303*/       OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 38305*/       OPC_EmitMergeInputChains1_0,
/* 38306*/       OPC_EmitInteger, MVT::i32, 0, 
/* 38309*/       OPC_EmitInteger, MVT::i32, 0, 
/* 38312*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 38319*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_AND_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_load_and:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_and_8>> - Complexity = 10
                 // Dst: (ATOMIC_RMW8_U_AND_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 38329*/      /*Scope*/ 26, /*->38356*/
/* 38330*/       OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 38332*/       OPC_EmitMergeInputChains1_0,
/* 38333*/       OPC_EmitInteger, MVT::i32, 0, 
/* 38336*/       OPC_EmitInteger, MVT::i64, 0, 
/* 38339*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 38346*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_AND_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_load_and:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_and_8>> - Complexity = 10
                 // Dst: (ATOMIC_RMW8_U_AND_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 38356*/      0, /*End of Scope*/
/* 38357*/     /*Scope*/ 58, /*->38416*/
/* 38358*/      OPC_CheckPredicate, 2, // Predicate_atomic_load_and_16
/* 38360*/      OPC_Scope, 26, /*->38388*/ // 2 children in Scope
/* 38362*/       OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 38364*/       OPC_EmitMergeInputChains1_0,
/* 38365*/       OPC_EmitInteger, MVT::i32, 0, 
/* 38368*/       OPC_EmitInteger, MVT::i32, 0, 
/* 38371*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 38378*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_AND_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_load_and:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_and_16>> - Complexity = 10
                 // Dst: (ATOMIC_RMW16_U_AND_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 38388*/      /*Scope*/ 26, /*->38415*/
/* 38389*/       OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 38391*/       OPC_EmitMergeInputChains1_0,
/* 38392*/       OPC_EmitInteger, MVT::i32, 0, 
/* 38395*/       OPC_EmitInteger, MVT::i64, 0, 
/* 38398*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 38405*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_AND_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_load_and:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_and_16>> - Complexity = 10
                 // Dst: (ATOMIC_RMW16_U_AND_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 38415*/      0, /*End of Scope*/
/* 38416*/     /*Scope*/ 58, /*->38475*/
/* 38417*/      OPC_CheckPredicate, 1, // Predicate_atomic_load_and_8
/* 38419*/      OPC_Scope, 26, /*->38447*/ // 2 children in Scope
/* 38421*/       OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 38423*/       OPC_EmitMergeInputChains1_0,
/* 38424*/       OPC_EmitInteger, MVT::i32, 0, 
/* 38427*/       OPC_EmitInteger, MVT::i32, 0, 
/* 38430*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 38437*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_AND_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_load_and:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_and_8>> - Complexity = 10
                 // Dst: (ATOMIC_RMW8_U_AND_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 38447*/      /*Scope*/ 26, /*->38474*/
/* 38448*/       OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 38450*/       OPC_EmitMergeInputChains1_0,
/* 38451*/       OPC_EmitInteger, MVT::i32, 0, 
/* 38454*/       OPC_EmitInteger, MVT::i64, 0, 
/* 38457*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 38464*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_AND_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_load_and:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_and_8>> - Complexity = 10
                 // Dst: (ATOMIC_RMW8_U_AND_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 38474*/      0, /*End of Scope*/
/* 38475*/     /*Scope*/ 58, /*->38534*/
/* 38476*/      OPC_CheckPredicate, 2, // Predicate_atomic_load_and_16
/* 38478*/      OPC_Scope, 26, /*->38506*/ // 2 children in Scope
/* 38480*/       OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 38482*/       OPC_EmitMergeInputChains1_0,
/* 38483*/       OPC_EmitInteger, MVT::i32, 0, 
/* 38486*/       OPC_EmitInteger, MVT::i32, 0, 
/* 38489*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 38496*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_AND_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_load_and:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_and_16>> - Complexity = 10
                 // Dst: (ATOMIC_RMW16_U_AND_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 38506*/      /*Scope*/ 26, /*->38533*/
/* 38507*/       OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 38509*/       OPC_EmitMergeInputChains1_0,
/* 38510*/       OPC_EmitInteger, MVT::i32, 0, 
/* 38513*/       OPC_EmitInteger, MVT::i64, 0, 
/* 38516*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 38523*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_AND_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_load_and:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_and_16>> - Complexity = 10
                 // Dst: (ATOMIC_RMW16_U_AND_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 38533*/      0, /*End of Scope*/
/* 38534*/     0, /*End of Scope*/
/* 38535*/    /*SwitchType*/ 58, MVT::i64,// ->38595
/* 38537*/     OPC_CheckPredicate, 7, // Predicate_atomic_load_and_64
/* 38539*/     OPC_Scope, 26, /*->38567*/ // 2 children in Scope
/* 38541*/      OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 38543*/      OPC_EmitMergeInputChains1_0,
/* 38544*/      OPC_EmitInteger, MVT::i32, 0, 
/* 38547*/      OPC_EmitInteger, MVT::i32, 0, 
/* 38550*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 38557*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_AND_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                // Src: (atomic_load_and:{ *:[i64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_and_64>> - Complexity = 10
                // Dst: (ATOMIC_RMW_AND_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/* 38567*/     /*Scope*/ 26, /*->38594*/
/* 38568*/      OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 38570*/      OPC_EmitMergeInputChains1_0,
/* 38571*/      OPC_EmitInteger, MVT::i32, 0, 
/* 38574*/      OPC_EmitInteger, MVT::i64, 0, 
/* 38577*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 38584*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_AND_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                // Src: (atomic_load_and:{ *:[i64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_and_64>> - Complexity = 10
                // Dst: (ATOMIC_RMW_AND_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/* 38594*/     0, /*End of Scope*/
/* 38595*/    0, // EndSwitchType
/* 38596*/   0, // EndSwitchOpcode
/* 38597*/  /*Scope*/ 45|128,5/*685*/, /*->39284*/
/* 38599*/   OPC_RecordChild1, // #1 = $off
/* 38600*/   OPC_Scope, 8|128,3/*392*/, /*->38995*/ // 3 children in Scope
/* 38603*/    OPC_MoveChild1,
/* 38604*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 38607*/    OPC_MoveParent,
/* 38608*/    OPC_RecordChild2, // #2 = $val
/* 38609*/    OPC_SwitchType /*2 cases */, 61|128,2/*317*/, MVT::i32,// ->38930
/* 38613*/     OPC_Scope, 62, /*->38677*/ // 5 children in Scope
/* 38615*/      OPC_CheckPredicate, 4, // Predicate_atomic_load_and_32
/* 38617*/      OPC_Scope, 28, /*->38647*/ // 2 children in Scope
/* 38619*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 38621*/       OPC_EmitMergeInputChains1_0,
/* 38622*/       OPC_EmitInteger, MVT::i32, 0, 
/* 38625*/       OPC_EmitConvertToTarget, 1,
/* 38627*/       OPC_EmitInteger, MVT::i32, 0, 
/* 38630*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 38637*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_AND_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_load_and:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_and_32>> - Complexity = 7
                 // Dst: (ATOMIC_RMW_AND_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 38647*/      /*Scope*/ 28, /*->38676*/
/* 38648*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 38650*/       OPC_EmitMergeInputChains1_0,
/* 38651*/       OPC_EmitInteger, MVT::i32, 0, 
/* 38654*/       OPC_EmitConvertToTarget, 1,
/* 38656*/       OPC_EmitInteger, MVT::i64, 0, 
/* 38659*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 38666*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_AND_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_load_and:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_and_32>> - Complexity = 7
                 // Dst: (ATOMIC_RMW_AND_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 38676*/      0, /*End of Scope*/
/* 38677*/     /*Scope*/ 62, /*->38740*/
/* 38678*/      OPC_CheckPredicate, 1, // Predicate_atomic_load_and_8
/* 38680*/      OPC_Scope, 28, /*->38710*/ // 2 children in Scope
/* 38682*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 38684*/       OPC_EmitMergeInputChains1_0,
/* 38685*/       OPC_EmitInteger, MVT::i32, 0, 
/* 38688*/       OPC_EmitConvertToTarget, 1,
/* 38690*/       OPC_EmitInteger, MVT::i32, 0, 
/* 38693*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 38700*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_AND_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_load_and:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_and_8>> - Complexity = 7
                 // Dst: (ATOMIC_RMW8_U_AND_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 38710*/      /*Scope*/ 28, /*->38739*/
/* 38711*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 38713*/       OPC_EmitMergeInputChains1_0,
/* 38714*/       OPC_EmitInteger, MVT::i32, 0, 
/* 38717*/       OPC_EmitConvertToTarget, 1,
/* 38719*/       OPC_EmitInteger, MVT::i64, 0, 
/* 38722*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 38729*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_AND_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_load_and:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_and_8>> - Complexity = 7
                 // Dst: (ATOMIC_RMW8_U_AND_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 38739*/      0, /*End of Scope*/
/* 38740*/     /*Scope*/ 62, /*->38803*/
/* 38741*/      OPC_CheckPredicate, 2, // Predicate_atomic_load_and_16
/* 38743*/      OPC_Scope, 28, /*->38773*/ // 2 children in Scope
/* 38745*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 38747*/       OPC_EmitMergeInputChains1_0,
/* 38748*/       OPC_EmitInteger, MVT::i32, 0, 
/* 38751*/       OPC_EmitConvertToTarget, 1,
/* 38753*/       OPC_EmitInteger, MVT::i32, 0, 
/* 38756*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 38763*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_AND_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_load_and:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_and_16>> - Complexity = 7
                 // Dst: (ATOMIC_RMW16_U_AND_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 38773*/      /*Scope*/ 28, /*->38802*/
/* 38774*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 38776*/       OPC_EmitMergeInputChains1_0,
/* 38777*/       OPC_EmitInteger, MVT::i32, 0, 
/* 38780*/       OPC_EmitConvertToTarget, 1,
/* 38782*/       OPC_EmitInteger, MVT::i64, 0, 
/* 38785*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 38792*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_AND_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_load_and:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_and_16>> - Complexity = 7
                 // Dst: (ATOMIC_RMW16_U_AND_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 38802*/      0, /*End of Scope*/
/* 38803*/     /*Scope*/ 62, /*->38866*/
/* 38804*/      OPC_CheckPredicate, 1, // Predicate_atomic_load_and_8
/* 38806*/      OPC_Scope, 28, /*->38836*/ // 2 children in Scope
/* 38808*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 38810*/       OPC_EmitMergeInputChains1_0,
/* 38811*/       OPC_EmitInteger, MVT::i32, 0, 
/* 38814*/       OPC_EmitConvertToTarget, 1,
/* 38816*/       OPC_EmitInteger, MVT::i32, 0, 
/* 38819*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 38826*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_AND_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_load_and:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_and_8>> - Complexity = 7
                 // Dst: (ATOMIC_RMW8_U_AND_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 38836*/      /*Scope*/ 28, /*->38865*/
/* 38837*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 38839*/       OPC_EmitMergeInputChains1_0,
/* 38840*/       OPC_EmitInteger, MVT::i32, 0, 
/* 38843*/       OPC_EmitConvertToTarget, 1,
/* 38845*/       OPC_EmitInteger, MVT::i64, 0, 
/* 38848*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 38855*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_AND_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_load_and:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_and_8>> - Complexity = 7
                 // Dst: (ATOMIC_RMW8_U_AND_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 38865*/      0, /*End of Scope*/
/* 38866*/     /*Scope*/ 62, /*->38929*/
/* 38867*/      OPC_CheckPredicate, 2, // Predicate_atomic_load_and_16
/* 38869*/      OPC_Scope, 28, /*->38899*/ // 2 children in Scope
/* 38871*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 38873*/       OPC_EmitMergeInputChains1_0,
/* 38874*/       OPC_EmitInteger, MVT::i32, 0, 
/* 38877*/       OPC_EmitConvertToTarget, 1,
/* 38879*/       OPC_EmitInteger, MVT::i32, 0, 
/* 38882*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 38889*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_AND_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_load_and:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_and_16>> - Complexity = 7
                 // Dst: (ATOMIC_RMW16_U_AND_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 38899*/      /*Scope*/ 28, /*->38928*/
/* 38900*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 38902*/       OPC_EmitMergeInputChains1_0,
/* 38903*/       OPC_EmitInteger, MVT::i32, 0, 
/* 38906*/       OPC_EmitConvertToTarget, 1,
/* 38908*/       OPC_EmitInteger, MVT::i64, 0, 
/* 38911*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 38918*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_AND_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_load_and:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_and_16>> - Complexity = 7
                 // Dst: (ATOMIC_RMW16_U_AND_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 38928*/      0, /*End of Scope*/
/* 38929*/     0, /*End of Scope*/
/* 38930*/    /*SwitchType*/ 62, MVT::i64,// ->38994
/* 38932*/     OPC_CheckPredicate, 7, // Predicate_atomic_load_and_64
/* 38934*/     OPC_Scope, 28, /*->38964*/ // 2 children in Scope
/* 38936*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 38938*/      OPC_EmitMergeInputChains1_0,
/* 38939*/      OPC_EmitInteger, MVT::i32, 0, 
/* 38942*/      OPC_EmitConvertToTarget, 1,
/* 38944*/      OPC_EmitInteger, MVT::i32, 0, 
/* 38947*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 38954*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_AND_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                // Src: (atomic_load_and:{ *:[i64] } (imm:{ *:[iPTR] }):$off, i64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_and_64>> - Complexity = 7
                // Dst: (ATOMIC_RMW_AND_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/* 38964*/     /*Scope*/ 28, /*->38993*/
/* 38965*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 38967*/      OPC_EmitMergeInputChains1_0,
/* 38968*/      OPC_EmitInteger, MVT::i32, 0, 
/* 38971*/      OPC_EmitConvertToTarget, 1,
/* 38973*/      OPC_EmitInteger, MVT::i64, 0, 
/* 38976*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 38983*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_AND_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                // Src: (atomic_load_and:{ *:[i64] } (imm:{ *:[iPTR] }):$off, i64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_and_64>> - Complexity = 7
                // Dst: (ATOMIC_RMW_AND_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/* 38993*/     0, /*End of Scope*/
/* 38994*/    0, // EndSwitchType
/* 38995*/   /*Scope*/ 14|128,1/*142*/, /*->39139*/
/* 38997*/    OPC_CheckChild1Type, MVT::i32,
/* 38999*/    OPC_RecordChild2, // #2 = $val
/* 39000*/    OPC_SwitchType /*2 cases */, 112, MVT::i32,// ->39115
/* 39003*/     OPC_Scope, 21, /*->39026*/ // 5 children in Scope
/* 39005*/      OPC_CheckPredicate, 4, // Predicate_atomic_load_and_32
/* 39007*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 39009*/      OPC_EmitMergeInputChains1_0,
/* 39010*/      OPC_EmitInteger, MVT::i32, 0, 
/* 39013*/      OPC_EmitInteger, MVT::i32, 0, 
/* 39016*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_AND_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_load_and:{ *:[i32] } I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_and_32>> - Complexity = 4
                // Dst: (ATOMIC_RMW_AND_I32_A32:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 39026*/     /*Scope*/ 21, /*->39048*/
/* 39027*/      OPC_CheckPredicate, 1, // Predicate_atomic_load_and_8
/* 39029*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 39031*/      OPC_EmitMergeInputChains1_0,
/* 39032*/      OPC_EmitInteger, MVT::i32, 0, 
/* 39035*/      OPC_EmitInteger, MVT::i32, 0, 
/* 39038*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_AND_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_load_and:{ *:[i32] } I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_and_8>> - Complexity = 4
                // Dst: (ATOMIC_RMW8_U_AND_I32_A32:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 39048*/     /*Scope*/ 21, /*->39070*/
/* 39049*/      OPC_CheckPredicate, 2, // Predicate_atomic_load_and_16
/* 39051*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 39053*/      OPC_EmitMergeInputChains1_0,
/* 39054*/      OPC_EmitInteger, MVT::i32, 0, 
/* 39057*/      OPC_EmitInteger, MVT::i32, 0, 
/* 39060*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_AND_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_load_and:{ *:[i32] } I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_and_16>> - Complexity = 4
                // Dst: (ATOMIC_RMW16_U_AND_I32_A32:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 39070*/     /*Scope*/ 21, /*->39092*/
/* 39071*/      OPC_CheckPredicate, 1, // Predicate_atomic_load_and_8
/* 39073*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 39075*/      OPC_EmitMergeInputChains1_0,
/* 39076*/      OPC_EmitInteger, MVT::i32, 0, 
/* 39079*/      OPC_EmitInteger, MVT::i32, 0, 
/* 39082*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_AND_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_load_and:{ *:[i32] } I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_and_8>> - Complexity = 4
                // Dst: (ATOMIC_RMW8_U_AND_I32_A32:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 39092*/     /*Scope*/ 21, /*->39114*/
/* 39093*/      OPC_CheckPredicate, 2, // Predicate_atomic_load_and_16
/* 39095*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 39097*/      OPC_EmitMergeInputChains1_0,
/* 39098*/      OPC_EmitInteger, MVT::i32, 0, 
/* 39101*/      OPC_EmitInteger, MVT::i32, 0, 
/* 39104*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_AND_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_load_and:{ *:[i32] } I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_and_16>> - Complexity = 4
                // Dst: (ATOMIC_RMW16_U_AND_I32_A32:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 39114*/     0, /*End of Scope*/
/* 39115*/    /*SwitchType*/ 21, MVT::i64,// ->39138
/* 39117*/     OPC_CheckPredicate, 7, // Predicate_atomic_load_and_64
/* 39119*/     OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 39121*/     OPC_EmitMergeInputChains1_0,
/* 39122*/     OPC_EmitInteger, MVT::i32, 0, 
/* 39125*/     OPC_EmitInteger, MVT::i32, 0, 
/* 39128*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_AND_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
               // Src: (atomic_load_and:{ *:[i64] } I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_and_64>> - Complexity = 4
               // Dst: (ATOMIC_RMW_AND_I64_A32:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 39138*/    0, // EndSwitchType
/* 39139*/   /*Scope*/ 14|128,1/*142*/, /*->39283*/
/* 39141*/    OPC_CheckChild1Type, MVT::i64,
/* 39143*/    OPC_RecordChild2, // #2 = $val
/* 39144*/    OPC_SwitchType /*2 cases */, 112, MVT::i32,// ->39259
/* 39147*/     OPC_Scope, 21, /*->39170*/ // 5 children in Scope
/* 39149*/      OPC_CheckPredicate, 4, // Predicate_atomic_load_and_32
/* 39151*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 39153*/      OPC_EmitMergeInputChains1_0,
/* 39154*/      OPC_EmitInteger, MVT::i32, 0, 
/* 39157*/      OPC_EmitInteger, MVT::i64, 0, 
/* 39160*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_AND_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_load_and:{ *:[i32] } I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_and_32>> - Complexity = 4
                // Dst: (ATOMIC_RMW_AND_I32_A64:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 39170*/     /*Scope*/ 21, /*->39192*/
/* 39171*/      OPC_CheckPredicate, 1, // Predicate_atomic_load_and_8
/* 39173*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 39175*/      OPC_EmitMergeInputChains1_0,
/* 39176*/      OPC_EmitInteger, MVT::i32, 0, 
/* 39179*/      OPC_EmitInteger, MVT::i64, 0, 
/* 39182*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_AND_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_load_and:{ *:[i32] } I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_and_8>> - Complexity = 4
                // Dst: (ATOMIC_RMW8_U_AND_I32_A64:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 39192*/     /*Scope*/ 21, /*->39214*/
/* 39193*/      OPC_CheckPredicate, 2, // Predicate_atomic_load_and_16
/* 39195*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 39197*/      OPC_EmitMergeInputChains1_0,
/* 39198*/      OPC_EmitInteger, MVT::i32, 0, 
/* 39201*/      OPC_EmitInteger, MVT::i64, 0, 
/* 39204*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_AND_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_load_and:{ *:[i32] } I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_and_16>> - Complexity = 4
                // Dst: (ATOMIC_RMW16_U_AND_I32_A64:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 39214*/     /*Scope*/ 21, /*->39236*/
/* 39215*/      OPC_CheckPredicate, 1, // Predicate_atomic_load_and_8
/* 39217*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 39219*/      OPC_EmitMergeInputChains1_0,
/* 39220*/      OPC_EmitInteger, MVT::i32, 0, 
/* 39223*/      OPC_EmitInteger, MVT::i64, 0, 
/* 39226*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_AND_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_load_and:{ *:[i32] } I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_and_8>> - Complexity = 4
                // Dst: (ATOMIC_RMW8_U_AND_I32_A64:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 39236*/     /*Scope*/ 21, /*->39258*/
/* 39237*/      OPC_CheckPredicate, 2, // Predicate_atomic_load_and_16
/* 39239*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 39241*/      OPC_EmitMergeInputChains1_0,
/* 39242*/      OPC_EmitInteger, MVT::i32, 0, 
/* 39245*/      OPC_EmitInteger, MVT::i64, 0, 
/* 39248*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_AND_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_load_and:{ *:[i32] } I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_and_16>> - Complexity = 4
                // Dst: (ATOMIC_RMW16_U_AND_I32_A64:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 39258*/     0, /*End of Scope*/
/* 39259*/    /*SwitchType*/ 21, MVT::i64,// ->39282
/* 39261*/     OPC_CheckPredicate, 7, // Predicate_atomic_load_and_64
/* 39263*/     OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 39265*/     OPC_EmitMergeInputChains1_0,
/* 39266*/     OPC_EmitInteger, MVT::i32, 0, 
/* 39269*/     OPC_EmitInteger, MVT::i64, 0, 
/* 39272*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_AND_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
               // Src: (atomic_load_and:{ *:[i64] } I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_and_64>> - Complexity = 4
               // Dst: (ATOMIC_RMW_AND_I64_A64:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 39282*/    0, // EndSwitchType
/* 39283*/   0, /*End of Scope*/
/* 39284*/  0, /*End of Scope*/
/* 39285*/ /*SwitchOpcode*/ 116|128,12/*1652*/, TARGET_VAL(ISD::ATOMIC_LOAD_OR),// ->40941
/* 39289*/  OPC_RecordMemRef,
/* 39290*/  OPC_RecordNode, // #0 = 'atomic_load_or' chained node
/* 39291*/  OPC_Scope, 63|128,7/*959*/, /*->40253*/ // 2 children in Scope
/* 39294*/   OPC_MoveChild1,
/* 39295*/   OPC_SwitchOpcode /*3 cases */, 31|128,2/*287*/, TARGET_VAL(ISD::ADD),// ->39587
/* 39300*/    OPC_RecordChild0, // #1 = $addr
/* 39301*/    OPC_RecordChild1, // #2 = $off
/* 39302*/    OPC_MoveChild1,
/* 39303*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 39306*/    OPC_MoveParent,
/* 39307*/    OPC_CheckPredicate, 0, // Predicate_regPlusImm
/* 39309*/    OPC_SwitchType /*2 cases */, 7|128,1/*135*/, MVT::i32,// ->39448
/* 39313*/     OPC_MoveParent,
/* 39314*/     OPC_RecordChild2, // #3 = $val
/* 39315*/     OPC_SwitchType /*2 cases */, 107, MVT::i32,// ->39425
/* 39318*/      OPC_Scope, 20, /*->39340*/ // 5 children in Scope
/* 39320*/       OPC_CheckPredicate, 4, // Predicate_atomic_load_or_32
/* 39322*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 39324*/       OPC_EmitMergeInputChains1_0,
/* 39325*/       OPC_EmitInteger, MVT::i32, 0, 
/* 39328*/       OPC_EmitConvertToTarget, 2,
/* 39330*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_OR_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_or:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_or_32>> - Complexity = 11
                 // Dst: (ATOMIC_RMW_OR_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 39340*/      /*Scope*/ 20, /*->39361*/
/* 39341*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_or_8
/* 39343*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 39345*/       OPC_EmitMergeInputChains1_0,
/* 39346*/       OPC_EmitInteger, MVT::i32, 0, 
/* 39349*/       OPC_EmitConvertToTarget, 2,
/* 39351*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_OR_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_or:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_or_8>> - Complexity = 11
                 // Dst: (ATOMIC_RMW8_U_OR_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 39361*/      /*Scope*/ 20, /*->39382*/
/* 39362*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_or_16
/* 39364*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 39366*/       OPC_EmitMergeInputChains1_0,
/* 39367*/       OPC_EmitInteger, MVT::i32, 0, 
/* 39370*/       OPC_EmitConvertToTarget, 2,
/* 39372*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_OR_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_or:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_or_16>> - Complexity = 11
                 // Dst: (ATOMIC_RMW16_U_OR_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 39382*/      /*Scope*/ 20, /*->39403*/
/* 39383*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_or_8
/* 39385*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 39387*/       OPC_EmitMergeInputChains1_0,
/* 39388*/       OPC_EmitInteger, MVT::i32, 0, 
/* 39391*/       OPC_EmitConvertToTarget, 2,
/* 39393*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_OR_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_or:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_or_8>> - Complexity = 11
                 // Dst: (ATOMIC_RMW8_U_OR_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 39403*/      /*Scope*/ 20, /*->39424*/
/* 39404*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_or_16
/* 39406*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 39408*/       OPC_EmitMergeInputChains1_0,
/* 39409*/       OPC_EmitInteger, MVT::i32, 0, 
/* 39412*/       OPC_EmitConvertToTarget, 2,
/* 39414*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_OR_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_or:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_or_16>> - Complexity = 11
                 // Dst: (ATOMIC_RMW16_U_OR_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 39424*/      0, /*End of Scope*/
/* 39425*/     /*SwitchType*/ 20, MVT::i64,// ->39447
/* 39427*/      OPC_CheckPredicate, 7, // Predicate_atomic_load_or_64
/* 39429*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 39431*/      OPC_EmitMergeInputChains1_0,
/* 39432*/      OPC_EmitInteger, MVT::i32, 0, 
/* 39435*/      OPC_EmitConvertToTarget, 2,
/* 39437*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_OR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                // Src: (atomic_load_or:{ *:[i64] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, i64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_or_64>> - Complexity = 11
                // Dst: (ATOMIC_RMW_OR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 39447*/     0, // EndSwitchType
/* 39448*/    /*SwitchType*/ 7|128,1/*135*/, MVT::i64,// ->39586
/* 39451*/     OPC_MoveParent,
/* 39452*/     OPC_RecordChild2, // #3 = $val
/* 39453*/     OPC_SwitchType /*2 cases */, 107, MVT::i32,// ->39563
/* 39456*/      OPC_Scope, 20, /*->39478*/ // 5 children in Scope
/* 39458*/       OPC_CheckPredicate, 4, // Predicate_atomic_load_or_32
/* 39460*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 39462*/       OPC_EmitMergeInputChains1_0,
/* 39463*/       OPC_EmitInteger, MVT::i32, 0, 
/* 39466*/       OPC_EmitConvertToTarget, 2,
/* 39468*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_OR_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_or:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_or_32>> - Complexity = 11
                 // Dst: (ATOMIC_RMW_OR_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 39478*/      /*Scope*/ 20, /*->39499*/
/* 39479*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_or_8
/* 39481*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 39483*/       OPC_EmitMergeInputChains1_0,
/* 39484*/       OPC_EmitInteger, MVT::i32, 0, 
/* 39487*/       OPC_EmitConvertToTarget, 2,
/* 39489*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_OR_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_or:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_or_8>> - Complexity = 11
                 // Dst: (ATOMIC_RMW8_U_OR_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 39499*/      /*Scope*/ 20, /*->39520*/
/* 39500*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_or_16
/* 39502*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 39504*/       OPC_EmitMergeInputChains1_0,
/* 39505*/       OPC_EmitInteger, MVT::i32, 0, 
/* 39508*/       OPC_EmitConvertToTarget, 2,
/* 39510*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_OR_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_or:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_or_16>> - Complexity = 11
                 // Dst: (ATOMIC_RMW16_U_OR_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 39520*/      /*Scope*/ 20, /*->39541*/
/* 39521*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_or_8
/* 39523*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 39525*/       OPC_EmitMergeInputChains1_0,
/* 39526*/       OPC_EmitInteger, MVT::i32, 0, 
/* 39529*/       OPC_EmitConvertToTarget, 2,
/* 39531*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_OR_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_or:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_or_8>> - Complexity = 11
                 // Dst: (ATOMIC_RMW8_U_OR_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 39541*/      /*Scope*/ 20, /*->39562*/
/* 39542*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_or_16
/* 39544*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 39546*/       OPC_EmitMergeInputChains1_0,
/* 39547*/       OPC_EmitInteger, MVT::i32, 0, 
/* 39550*/       OPC_EmitConvertToTarget, 2,
/* 39552*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_OR_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_or:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_or_16>> - Complexity = 11
                 // Dst: (ATOMIC_RMW16_U_OR_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 39562*/      0, /*End of Scope*/
/* 39563*/     /*SwitchType*/ 20, MVT::i64,// ->39585
/* 39565*/      OPC_CheckPredicate, 7, // Predicate_atomic_load_or_64
/* 39567*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 39569*/      OPC_EmitMergeInputChains1_0,
/* 39570*/      OPC_EmitInteger, MVT::i32, 0, 
/* 39573*/      OPC_EmitConvertToTarget, 2,
/* 39575*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_OR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                // Src: (atomic_load_or:{ *:[i64] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, i64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_or_64>> - Complexity = 11
                // Dst: (ATOMIC_RMW_OR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 39585*/     0, // EndSwitchType
/* 39586*/    0, // EndSwitchType
/* 39587*/   /*SwitchOpcode*/ 31|128,2/*287*/, TARGET_VAL(ISD::OR),// ->39878
/* 39591*/    OPC_RecordChild0, // #1 = $addr
/* 39592*/    OPC_RecordChild1, // #2 = $off
/* 39593*/    OPC_MoveChild1,
/* 39594*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 39597*/    OPC_MoveParent,
/* 39598*/    OPC_CheckPredicate, 3, // Predicate_or_is_add
/* 39600*/    OPC_SwitchType /*2 cases */, 7|128,1/*135*/, MVT::i32,// ->39739
/* 39604*/     OPC_MoveParent,
/* 39605*/     OPC_RecordChild2, // #3 = $val
/* 39606*/     OPC_SwitchType /*2 cases */, 107, MVT::i32,// ->39716
/* 39609*/      OPC_Scope, 20, /*->39631*/ // 5 children in Scope
/* 39611*/       OPC_CheckPredicate, 4, // Predicate_atomic_load_or_32
/* 39613*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 39615*/       OPC_EmitMergeInputChains1_0,
/* 39616*/       OPC_EmitInteger, MVT::i32, 0, 
/* 39619*/       OPC_EmitConvertToTarget, 2,
/* 39621*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_OR_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_or:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_or_32>> - Complexity = 11
                 // Dst: (ATOMIC_RMW_OR_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 39631*/      /*Scope*/ 20, /*->39652*/
/* 39632*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_or_8
/* 39634*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 39636*/       OPC_EmitMergeInputChains1_0,
/* 39637*/       OPC_EmitInteger, MVT::i32, 0, 
/* 39640*/       OPC_EmitConvertToTarget, 2,
/* 39642*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_OR_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_or:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_or_8>> - Complexity = 11
                 // Dst: (ATOMIC_RMW8_U_OR_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 39652*/      /*Scope*/ 20, /*->39673*/
/* 39653*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_or_16
/* 39655*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 39657*/       OPC_EmitMergeInputChains1_0,
/* 39658*/       OPC_EmitInteger, MVT::i32, 0, 
/* 39661*/       OPC_EmitConvertToTarget, 2,
/* 39663*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_OR_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_or:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_or_16>> - Complexity = 11
                 // Dst: (ATOMIC_RMW16_U_OR_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 39673*/      /*Scope*/ 20, /*->39694*/
/* 39674*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_or_8
/* 39676*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 39678*/       OPC_EmitMergeInputChains1_0,
/* 39679*/       OPC_EmitInteger, MVT::i32, 0, 
/* 39682*/       OPC_EmitConvertToTarget, 2,
/* 39684*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_OR_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_or:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_or_8>> - Complexity = 11
                 // Dst: (ATOMIC_RMW8_U_OR_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 39694*/      /*Scope*/ 20, /*->39715*/
/* 39695*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_or_16
/* 39697*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 39699*/       OPC_EmitMergeInputChains1_0,
/* 39700*/       OPC_EmitInteger, MVT::i32, 0, 
/* 39703*/       OPC_EmitConvertToTarget, 2,
/* 39705*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_OR_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_or:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_or_16>> - Complexity = 11
                 // Dst: (ATOMIC_RMW16_U_OR_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 39715*/      0, /*End of Scope*/
/* 39716*/     /*SwitchType*/ 20, MVT::i64,// ->39738
/* 39718*/      OPC_CheckPredicate, 7, // Predicate_atomic_load_or_64
/* 39720*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 39722*/      OPC_EmitMergeInputChains1_0,
/* 39723*/      OPC_EmitInteger, MVT::i32, 0, 
/* 39726*/      OPC_EmitConvertToTarget, 2,
/* 39728*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_OR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                // Src: (atomic_load_or:{ *:[i64] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, i64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_or_64>> - Complexity = 11
                // Dst: (ATOMIC_RMW_OR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 39738*/     0, // EndSwitchType
/* 39739*/    /*SwitchType*/ 7|128,1/*135*/, MVT::i64,// ->39877
/* 39742*/     OPC_MoveParent,
/* 39743*/     OPC_RecordChild2, // #3 = $val
/* 39744*/     OPC_SwitchType /*2 cases */, 107, MVT::i32,// ->39854
/* 39747*/      OPC_Scope, 20, /*->39769*/ // 5 children in Scope
/* 39749*/       OPC_CheckPredicate, 4, // Predicate_atomic_load_or_32
/* 39751*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 39753*/       OPC_EmitMergeInputChains1_0,
/* 39754*/       OPC_EmitInteger, MVT::i32, 0, 
/* 39757*/       OPC_EmitConvertToTarget, 2,
/* 39759*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_OR_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_or:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_or_32>> - Complexity = 11
                 // Dst: (ATOMIC_RMW_OR_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 39769*/      /*Scope*/ 20, /*->39790*/
/* 39770*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_or_8
/* 39772*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 39774*/       OPC_EmitMergeInputChains1_0,
/* 39775*/       OPC_EmitInteger, MVT::i32, 0, 
/* 39778*/       OPC_EmitConvertToTarget, 2,
/* 39780*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_OR_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_or:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_or_8>> - Complexity = 11
                 // Dst: (ATOMIC_RMW8_U_OR_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 39790*/      /*Scope*/ 20, /*->39811*/
/* 39791*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_or_16
/* 39793*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 39795*/       OPC_EmitMergeInputChains1_0,
/* 39796*/       OPC_EmitInteger, MVT::i32, 0, 
/* 39799*/       OPC_EmitConvertToTarget, 2,
/* 39801*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_OR_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_or:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_or_16>> - Complexity = 11
                 // Dst: (ATOMIC_RMW16_U_OR_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 39811*/      /*Scope*/ 20, /*->39832*/
/* 39812*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_or_8
/* 39814*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 39816*/       OPC_EmitMergeInputChains1_0,
/* 39817*/       OPC_EmitInteger, MVT::i32, 0, 
/* 39820*/       OPC_EmitConvertToTarget, 2,
/* 39822*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_OR_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_or:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_or_8>> - Complexity = 11
                 // Dst: (ATOMIC_RMW8_U_OR_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 39832*/      /*Scope*/ 20, /*->39853*/
/* 39833*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_or_16
/* 39835*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 39837*/       OPC_EmitMergeInputChains1_0,
/* 39838*/       OPC_EmitInteger, MVT::i32, 0, 
/* 39841*/       OPC_EmitConvertToTarget, 2,
/* 39843*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_OR_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_or:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_or_16>> - Complexity = 11
                 // Dst: (ATOMIC_RMW16_U_OR_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 39853*/      0, /*End of Scope*/
/* 39854*/     /*SwitchType*/ 20, MVT::i64,// ->39876
/* 39856*/      OPC_CheckPredicate, 7, // Predicate_atomic_load_or_64
/* 39858*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 39860*/      OPC_EmitMergeInputChains1_0,
/* 39861*/      OPC_EmitInteger, MVT::i32, 0, 
/* 39864*/      OPC_EmitConvertToTarget, 2,
/* 39866*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_OR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                // Src: (atomic_load_or:{ *:[i64] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, i64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_or_64>> - Complexity = 11
                // Dst: (ATOMIC_RMW_OR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 39876*/     0, // EndSwitchType
/* 39877*/    0, // EndSwitchType
/* 39878*/   /*SwitchOpcode*/ 114|128,2/*370*/, TARGET_VAL(WebAssemblyISD::Wrapper),// ->40252
/* 39882*/    OPC_RecordChild0, // #1 = $off
/* 39883*/    OPC_MoveChild0,
/* 39884*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 39887*/    OPC_MoveParent,
/* 39888*/    OPC_MoveParent,
/* 39889*/    OPC_RecordChild2, // #2 = $val
/* 39890*/    OPC_SwitchType /*2 cases */, 41|128,2/*297*/, MVT::i32,// ->40191
/* 39894*/     OPC_Scope, 58, /*->39954*/ // 5 children in Scope
/* 39896*/      OPC_CheckPredicate, 4, // Predicate_atomic_load_or_32
/* 39898*/      OPC_Scope, 26, /*->39926*/ // 2 children in Scope
/* 39900*/       OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 39902*/       OPC_EmitMergeInputChains1_0,
/* 39903*/       OPC_EmitInteger, MVT::i32, 0, 
/* 39906*/       OPC_EmitInteger, MVT::i32, 0, 
/* 39909*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 39916*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_OR_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_load_or:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_or_32>> - Complexity = 10
                 // Dst: (ATOMIC_RMW_OR_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 39926*/      /*Scope*/ 26, /*->39953*/
/* 39927*/       OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 39929*/       OPC_EmitMergeInputChains1_0,
/* 39930*/       OPC_EmitInteger, MVT::i32, 0, 
/* 39933*/       OPC_EmitInteger, MVT::i64, 0, 
/* 39936*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 39943*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_OR_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_load_or:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_or_32>> - Complexity = 10
                 // Dst: (ATOMIC_RMW_OR_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 39953*/      0, /*End of Scope*/
/* 39954*/     /*Scope*/ 58, /*->40013*/
/* 39955*/      OPC_CheckPredicate, 1, // Predicate_atomic_load_or_8
/* 39957*/      OPC_Scope, 26, /*->39985*/ // 2 children in Scope
/* 39959*/       OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 39961*/       OPC_EmitMergeInputChains1_0,
/* 39962*/       OPC_EmitInteger, MVT::i32, 0, 
/* 39965*/       OPC_EmitInteger, MVT::i32, 0, 
/* 39968*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 39975*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_OR_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_load_or:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_or_8>> - Complexity = 10
                 // Dst: (ATOMIC_RMW8_U_OR_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 39985*/      /*Scope*/ 26, /*->40012*/
/* 39986*/       OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 39988*/       OPC_EmitMergeInputChains1_0,
/* 39989*/       OPC_EmitInteger, MVT::i32, 0, 
/* 39992*/       OPC_EmitInteger, MVT::i64, 0, 
/* 39995*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 40002*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_OR_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_load_or:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_or_8>> - Complexity = 10
                 // Dst: (ATOMIC_RMW8_U_OR_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 40012*/      0, /*End of Scope*/
/* 40013*/     /*Scope*/ 58, /*->40072*/
/* 40014*/      OPC_CheckPredicate, 2, // Predicate_atomic_load_or_16
/* 40016*/      OPC_Scope, 26, /*->40044*/ // 2 children in Scope
/* 40018*/       OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 40020*/       OPC_EmitMergeInputChains1_0,
/* 40021*/       OPC_EmitInteger, MVT::i32, 0, 
/* 40024*/       OPC_EmitInteger, MVT::i32, 0, 
/* 40027*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 40034*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_OR_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_load_or:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_or_16>> - Complexity = 10
                 // Dst: (ATOMIC_RMW16_U_OR_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 40044*/      /*Scope*/ 26, /*->40071*/
/* 40045*/       OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 40047*/       OPC_EmitMergeInputChains1_0,
/* 40048*/       OPC_EmitInteger, MVT::i32, 0, 
/* 40051*/       OPC_EmitInteger, MVT::i64, 0, 
/* 40054*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 40061*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_OR_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_load_or:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_or_16>> - Complexity = 10
                 // Dst: (ATOMIC_RMW16_U_OR_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 40071*/      0, /*End of Scope*/
/* 40072*/     /*Scope*/ 58, /*->40131*/
/* 40073*/      OPC_CheckPredicate, 1, // Predicate_atomic_load_or_8
/* 40075*/      OPC_Scope, 26, /*->40103*/ // 2 children in Scope
/* 40077*/       OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 40079*/       OPC_EmitMergeInputChains1_0,
/* 40080*/       OPC_EmitInteger, MVT::i32, 0, 
/* 40083*/       OPC_EmitInteger, MVT::i32, 0, 
/* 40086*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 40093*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_OR_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_load_or:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_or_8>> - Complexity = 10
                 // Dst: (ATOMIC_RMW8_U_OR_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 40103*/      /*Scope*/ 26, /*->40130*/
/* 40104*/       OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 40106*/       OPC_EmitMergeInputChains1_0,
/* 40107*/       OPC_EmitInteger, MVT::i32, 0, 
/* 40110*/       OPC_EmitInteger, MVT::i64, 0, 
/* 40113*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 40120*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_OR_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_load_or:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_or_8>> - Complexity = 10
                 // Dst: (ATOMIC_RMW8_U_OR_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 40130*/      0, /*End of Scope*/
/* 40131*/     /*Scope*/ 58, /*->40190*/
/* 40132*/      OPC_CheckPredicate, 2, // Predicate_atomic_load_or_16
/* 40134*/      OPC_Scope, 26, /*->40162*/ // 2 children in Scope
/* 40136*/       OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 40138*/       OPC_EmitMergeInputChains1_0,
/* 40139*/       OPC_EmitInteger, MVT::i32, 0, 
/* 40142*/       OPC_EmitInteger, MVT::i32, 0, 
/* 40145*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 40152*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_OR_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_load_or:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_or_16>> - Complexity = 10
                 // Dst: (ATOMIC_RMW16_U_OR_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 40162*/      /*Scope*/ 26, /*->40189*/
/* 40163*/       OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 40165*/       OPC_EmitMergeInputChains1_0,
/* 40166*/       OPC_EmitInteger, MVT::i32, 0, 
/* 40169*/       OPC_EmitInteger, MVT::i64, 0, 
/* 40172*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 40179*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_OR_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_load_or:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_or_16>> - Complexity = 10
                 // Dst: (ATOMIC_RMW16_U_OR_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 40189*/      0, /*End of Scope*/
/* 40190*/     0, /*End of Scope*/
/* 40191*/    /*SwitchType*/ 58, MVT::i64,// ->40251
/* 40193*/     OPC_CheckPredicate, 7, // Predicate_atomic_load_or_64
/* 40195*/     OPC_Scope, 26, /*->40223*/ // 2 children in Scope
/* 40197*/      OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 40199*/      OPC_EmitMergeInputChains1_0,
/* 40200*/      OPC_EmitInteger, MVT::i32, 0, 
/* 40203*/      OPC_EmitInteger, MVT::i32, 0, 
/* 40206*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 40213*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_OR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                // Src: (atomic_load_or:{ *:[i64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_or_64>> - Complexity = 10
                // Dst: (ATOMIC_RMW_OR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/* 40223*/     /*Scope*/ 26, /*->40250*/
/* 40224*/      OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 40226*/      OPC_EmitMergeInputChains1_0,
/* 40227*/      OPC_EmitInteger, MVT::i32, 0, 
/* 40230*/      OPC_EmitInteger, MVT::i64, 0, 
/* 40233*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 40240*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_OR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                // Src: (atomic_load_or:{ *:[i64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_or_64>> - Complexity = 10
                // Dst: (ATOMIC_RMW_OR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/* 40250*/     0, /*End of Scope*/
/* 40251*/    0, // EndSwitchType
/* 40252*/   0, // EndSwitchOpcode
/* 40253*/  /*Scope*/ 45|128,5/*685*/, /*->40940*/
/* 40255*/   OPC_RecordChild1, // #1 = $off
/* 40256*/   OPC_Scope, 8|128,3/*392*/, /*->40651*/ // 3 children in Scope
/* 40259*/    OPC_MoveChild1,
/* 40260*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 40263*/    OPC_MoveParent,
/* 40264*/    OPC_RecordChild2, // #2 = $val
/* 40265*/    OPC_SwitchType /*2 cases */, 61|128,2/*317*/, MVT::i32,// ->40586
/* 40269*/     OPC_Scope, 62, /*->40333*/ // 5 children in Scope
/* 40271*/      OPC_CheckPredicate, 4, // Predicate_atomic_load_or_32
/* 40273*/      OPC_Scope, 28, /*->40303*/ // 2 children in Scope
/* 40275*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 40277*/       OPC_EmitMergeInputChains1_0,
/* 40278*/       OPC_EmitInteger, MVT::i32, 0, 
/* 40281*/       OPC_EmitConvertToTarget, 1,
/* 40283*/       OPC_EmitInteger, MVT::i32, 0, 
/* 40286*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 40293*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_OR_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_load_or:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_or_32>> - Complexity = 7
                 // Dst: (ATOMIC_RMW_OR_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 40303*/      /*Scope*/ 28, /*->40332*/
/* 40304*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 40306*/       OPC_EmitMergeInputChains1_0,
/* 40307*/       OPC_EmitInteger, MVT::i32, 0, 
/* 40310*/       OPC_EmitConvertToTarget, 1,
/* 40312*/       OPC_EmitInteger, MVT::i64, 0, 
/* 40315*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 40322*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_OR_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_load_or:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_or_32>> - Complexity = 7
                 // Dst: (ATOMIC_RMW_OR_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 40332*/      0, /*End of Scope*/
/* 40333*/     /*Scope*/ 62, /*->40396*/
/* 40334*/      OPC_CheckPredicate, 1, // Predicate_atomic_load_or_8
/* 40336*/      OPC_Scope, 28, /*->40366*/ // 2 children in Scope
/* 40338*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 40340*/       OPC_EmitMergeInputChains1_0,
/* 40341*/       OPC_EmitInteger, MVT::i32, 0, 
/* 40344*/       OPC_EmitConvertToTarget, 1,
/* 40346*/       OPC_EmitInteger, MVT::i32, 0, 
/* 40349*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 40356*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_OR_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_load_or:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_or_8>> - Complexity = 7
                 // Dst: (ATOMIC_RMW8_U_OR_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 40366*/      /*Scope*/ 28, /*->40395*/
/* 40367*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 40369*/       OPC_EmitMergeInputChains1_0,
/* 40370*/       OPC_EmitInteger, MVT::i32, 0, 
/* 40373*/       OPC_EmitConvertToTarget, 1,
/* 40375*/       OPC_EmitInteger, MVT::i64, 0, 
/* 40378*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 40385*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_OR_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_load_or:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_or_8>> - Complexity = 7
                 // Dst: (ATOMIC_RMW8_U_OR_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 40395*/      0, /*End of Scope*/
/* 40396*/     /*Scope*/ 62, /*->40459*/
/* 40397*/      OPC_CheckPredicate, 2, // Predicate_atomic_load_or_16
/* 40399*/      OPC_Scope, 28, /*->40429*/ // 2 children in Scope
/* 40401*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 40403*/       OPC_EmitMergeInputChains1_0,
/* 40404*/       OPC_EmitInteger, MVT::i32, 0, 
/* 40407*/       OPC_EmitConvertToTarget, 1,
/* 40409*/       OPC_EmitInteger, MVT::i32, 0, 
/* 40412*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 40419*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_OR_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_load_or:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_or_16>> - Complexity = 7
                 // Dst: (ATOMIC_RMW16_U_OR_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 40429*/      /*Scope*/ 28, /*->40458*/
/* 40430*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 40432*/       OPC_EmitMergeInputChains1_0,
/* 40433*/       OPC_EmitInteger, MVT::i32, 0, 
/* 40436*/       OPC_EmitConvertToTarget, 1,
/* 40438*/       OPC_EmitInteger, MVT::i64, 0, 
/* 40441*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 40448*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_OR_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_load_or:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_or_16>> - Complexity = 7
                 // Dst: (ATOMIC_RMW16_U_OR_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 40458*/      0, /*End of Scope*/
/* 40459*/     /*Scope*/ 62, /*->40522*/
/* 40460*/      OPC_CheckPredicate, 1, // Predicate_atomic_load_or_8
/* 40462*/      OPC_Scope, 28, /*->40492*/ // 2 children in Scope
/* 40464*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 40466*/       OPC_EmitMergeInputChains1_0,
/* 40467*/       OPC_EmitInteger, MVT::i32, 0, 
/* 40470*/       OPC_EmitConvertToTarget, 1,
/* 40472*/       OPC_EmitInteger, MVT::i32, 0, 
/* 40475*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 40482*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_OR_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_load_or:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_or_8>> - Complexity = 7
                 // Dst: (ATOMIC_RMW8_U_OR_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 40492*/      /*Scope*/ 28, /*->40521*/
/* 40493*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 40495*/       OPC_EmitMergeInputChains1_0,
/* 40496*/       OPC_EmitInteger, MVT::i32, 0, 
/* 40499*/       OPC_EmitConvertToTarget, 1,
/* 40501*/       OPC_EmitInteger, MVT::i64, 0, 
/* 40504*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 40511*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_OR_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_load_or:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_or_8>> - Complexity = 7
                 // Dst: (ATOMIC_RMW8_U_OR_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 40521*/      0, /*End of Scope*/
/* 40522*/     /*Scope*/ 62, /*->40585*/
/* 40523*/      OPC_CheckPredicate, 2, // Predicate_atomic_load_or_16
/* 40525*/      OPC_Scope, 28, /*->40555*/ // 2 children in Scope
/* 40527*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 40529*/       OPC_EmitMergeInputChains1_0,
/* 40530*/       OPC_EmitInteger, MVT::i32, 0, 
/* 40533*/       OPC_EmitConvertToTarget, 1,
/* 40535*/       OPC_EmitInteger, MVT::i32, 0, 
/* 40538*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 40545*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_OR_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_load_or:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_or_16>> - Complexity = 7
                 // Dst: (ATOMIC_RMW16_U_OR_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 40555*/      /*Scope*/ 28, /*->40584*/
/* 40556*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 40558*/       OPC_EmitMergeInputChains1_0,
/* 40559*/       OPC_EmitInteger, MVT::i32, 0, 
/* 40562*/       OPC_EmitConvertToTarget, 1,
/* 40564*/       OPC_EmitInteger, MVT::i64, 0, 
/* 40567*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 40574*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_OR_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_load_or:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_or_16>> - Complexity = 7
                 // Dst: (ATOMIC_RMW16_U_OR_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 40584*/      0, /*End of Scope*/
/* 40585*/     0, /*End of Scope*/
/* 40586*/    /*SwitchType*/ 62, MVT::i64,// ->40650
/* 40588*/     OPC_CheckPredicate, 7, // Predicate_atomic_load_or_64
/* 40590*/     OPC_Scope, 28, /*->40620*/ // 2 children in Scope
/* 40592*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 40594*/      OPC_EmitMergeInputChains1_0,
/* 40595*/      OPC_EmitInteger, MVT::i32, 0, 
/* 40598*/      OPC_EmitConvertToTarget, 1,
/* 40600*/      OPC_EmitInteger, MVT::i32, 0, 
/* 40603*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 40610*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_OR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                // Src: (atomic_load_or:{ *:[i64] } (imm:{ *:[iPTR] }):$off, i64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_or_64>> - Complexity = 7
                // Dst: (ATOMIC_RMW_OR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/* 40620*/     /*Scope*/ 28, /*->40649*/
/* 40621*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 40623*/      OPC_EmitMergeInputChains1_0,
/* 40624*/      OPC_EmitInteger, MVT::i32, 0, 
/* 40627*/      OPC_EmitConvertToTarget, 1,
/* 40629*/      OPC_EmitInteger, MVT::i64, 0, 
/* 40632*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 40639*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_OR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                // Src: (atomic_load_or:{ *:[i64] } (imm:{ *:[iPTR] }):$off, i64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_or_64>> - Complexity = 7
                // Dst: (ATOMIC_RMW_OR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/* 40649*/     0, /*End of Scope*/
/* 40650*/    0, // EndSwitchType
/* 40651*/   /*Scope*/ 14|128,1/*142*/, /*->40795*/
/* 40653*/    OPC_CheckChild1Type, MVT::i32,
/* 40655*/    OPC_RecordChild2, // #2 = $val
/* 40656*/    OPC_SwitchType /*2 cases */, 112, MVT::i32,// ->40771
/* 40659*/     OPC_Scope, 21, /*->40682*/ // 5 children in Scope
/* 40661*/      OPC_CheckPredicate, 4, // Predicate_atomic_load_or_32
/* 40663*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 40665*/      OPC_EmitMergeInputChains1_0,
/* 40666*/      OPC_EmitInteger, MVT::i32, 0, 
/* 40669*/      OPC_EmitInteger, MVT::i32, 0, 
/* 40672*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_OR_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_load_or:{ *:[i32] } I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_or_32>> - Complexity = 4
                // Dst: (ATOMIC_RMW_OR_I32_A32:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 40682*/     /*Scope*/ 21, /*->40704*/
/* 40683*/      OPC_CheckPredicate, 1, // Predicate_atomic_load_or_8
/* 40685*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 40687*/      OPC_EmitMergeInputChains1_0,
/* 40688*/      OPC_EmitInteger, MVT::i32, 0, 
/* 40691*/      OPC_EmitInteger, MVT::i32, 0, 
/* 40694*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_OR_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_load_or:{ *:[i32] } I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_or_8>> - Complexity = 4
                // Dst: (ATOMIC_RMW8_U_OR_I32_A32:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 40704*/     /*Scope*/ 21, /*->40726*/
/* 40705*/      OPC_CheckPredicate, 2, // Predicate_atomic_load_or_16
/* 40707*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 40709*/      OPC_EmitMergeInputChains1_0,
/* 40710*/      OPC_EmitInteger, MVT::i32, 0, 
/* 40713*/      OPC_EmitInteger, MVT::i32, 0, 
/* 40716*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_OR_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_load_or:{ *:[i32] } I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_or_16>> - Complexity = 4
                // Dst: (ATOMIC_RMW16_U_OR_I32_A32:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 40726*/     /*Scope*/ 21, /*->40748*/
/* 40727*/      OPC_CheckPredicate, 1, // Predicate_atomic_load_or_8
/* 40729*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 40731*/      OPC_EmitMergeInputChains1_0,
/* 40732*/      OPC_EmitInteger, MVT::i32, 0, 
/* 40735*/      OPC_EmitInteger, MVT::i32, 0, 
/* 40738*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_OR_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_load_or:{ *:[i32] } I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_or_8>> - Complexity = 4
                // Dst: (ATOMIC_RMW8_U_OR_I32_A32:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 40748*/     /*Scope*/ 21, /*->40770*/
/* 40749*/      OPC_CheckPredicate, 2, // Predicate_atomic_load_or_16
/* 40751*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 40753*/      OPC_EmitMergeInputChains1_0,
/* 40754*/      OPC_EmitInteger, MVT::i32, 0, 
/* 40757*/      OPC_EmitInteger, MVT::i32, 0, 
/* 40760*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_OR_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_load_or:{ *:[i32] } I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_or_16>> - Complexity = 4
                // Dst: (ATOMIC_RMW16_U_OR_I32_A32:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 40770*/     0, /*End of Scope*/
/* 40771*/    /*SwitchType*/ 21, MVT::i64,// ->40794
/* 40773*/     OPC_CheckPredicate, 7, // Predicate_atomic_load_or_64
/* 40775*/     OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 40777*/     OPC_EmitMergeInputChains1_0,
/* 40778*/     OPC_EmitInteger, MVT::i32, 0, 
/* 40781*/     OPC_EmitInteger, MVT::i32, 0, 
/* 40784*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_OR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
               // Src: (atomic_load_or:{ *:[i64] } I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_or_64>> - Complexity = 4
               // Dst: (ATOMIC_RMW_OR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 40794*/    0, // EndSwitchType
/* 40795*/   /*Scope*/ 14|128,1/*142*/, /*->40939*/
/* 40797*/    OPC_CheckChild1Type, MVT::i64,
/* 40799*/    OPC_RecordChild2, // #2 = $val
/* 40800*/    OPC_SwitchType /*2 cases */, 112, MVT::i32,// ->40915
/* 40803*/     OPC_Scope, 21, /*->40826*/ // 5 children in Scope
/* 40805*/      OPC_CheckPredicate, 4, // Predicate_atomic_load_or_32
/* 40807*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 40809*/      OPC_EmitMergeInputChains1_0,
/* 40810*/      OPC_EmitInteger, MVT::i32, 0, 
/* 40813*/      OPC_EmitInteger, MVT::i64, 0, 
/* 40816*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_OR_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_load_or:{ *:[i32] } I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_or_32>> - Complexity = 4
                // Dst: (ATOMIC_RMW_OR_I32_A64:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 40826*/     /*Scope*/ 21, /*->40848*/
/* 40827*/      OPC_CheckPredicate, 1, // Predicate_atomic_load_or_8
/* 40829*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 40831*/      OPC_EmitMergeInputChains1_0,
/* 40832*/      OPC_EmitInteger, MVT::i32, 0, 
/* 40835*/      OPC_EmitInteger, MVT::i64, 0, 
/* 40838*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_OR_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_load_or:{ *:[i32] } I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_or_8>> - Complexity = 4
                // Dst: (ATOMIC_RMW8_U_OR_I32_A64:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 40848*/     /*Scope*/ 21, /*->40870*/
/* 40849*/      OPC_CheckPredicate, 2, // Predicate_atomic_load_or_16
/* 40851*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 40853*/      OPC_EmitMergeInputChains1_0,
/* 40854*/      OPC_EmitInteger, MVT::i32, 0, 
/* 40857*/      OPC_EmitInteger, MVT::i64, 0, 
/* 40860*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_OR_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_load_or:{ *:[i32] } I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_or_16>> - Complexity = 4
                // Dst: (ATOMIC_RMW16_U_OR_I32_A64:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 40870*/     /*Scope*/ 21, /*->40892*/
/* 40871*/      OPC_CheckPredicate, 1, // Predicate_atomic_load_or_8
/* 40873*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 40875*/      OPC_EmitMergeInputChains1_0,
/* 40876*/      OPC_EmitInteger, MVT::i32, 0, 
/* 40879*/      OPC_EmitInteger, MVT::i64, 0, 
/* 40882*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_OR_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_load_or:{ *:[i32] } I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_or_8>> - Complexity = 4
                // Dst: (ATOMIC_RMW8_U_OR_I32_A64:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 40892*/     /*Scope*/ 21, /*->40914*/
/* 40893*/      OPC_CheckPredicate, 2, // Predicate_atomic_load_or_16
/* 40895*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 40897*/      OPC_EmitMergeInputChains1_0,
/* 40898*/      OPC_EmitInteger, MVT::i32, 0, 
/* 40901*/      OPC_EmitInteger, MVT::i64, 0, 
/* 40904*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_OR_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_load_or:{ *:[i32] } I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_or_16>> - Complexity = 4
                // Dst: (ATOMIC_RMW16_U_OR_I32_A64:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 40914*/     0, /*End of Scope*/
/* 40915*/    /*SwitchType*/ 21, MVT::i64,// ->40938
/* 40917*/     OPC_CheckPredicate, 7, // Predicate_atomic_load_or_64
/* 40919*/     OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 40921*/     OPC_EmitMergeInputChains1_0,
/* 40922*/     OPC_EmitInteger, MVT::i32, 0, 
/* 40925*/     OPC_EmitInteger, MVT::i64, 0, 
/* 40928*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_OR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
               // Src: (atomic_load_or:{ *:[i64] } I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_or_64>> - Complexity = 4
               // Dst: (ATOMIC_RMW_OR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 40938*/    0, // EndSwitchType
/* 40939*/   0, /*End of Scope*/
/* 40940*/  0, /*End of Scope*/
/* 40941*/ /*SwitchOpcode*/ 116|128,12/*1652*/, TARGET_VAL(ISD::ATOMIC_LOAD_XOR),// ->42597
/* 40945*/  OPC_RecordMemRef,
/* 40946*/  OPC_RecordNode, // #0 = 'atomic_load_xor' chained node
/* 40947*/  OPC_Scope, 63|128,7/*959*/, /*->41909*/ // 2 children in Scope
/* 40950*/   OPC_MoveChild1,
/* 40951*/   OPC_SwitchOpcode /*3 cases */, 31|128,2/*287*/, TARGET_VAL(ISD::ADD),// ->41243
/* 40956*/    OPC_RecordChild0, // #1 = $addr
/* 40957*/    OPC_RecordChild1, // #2 = $off
/* 40958*/    OPC_MoveChild1,
/* 40959*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 40962*/    OPC_MoveParent,
/* 40963*/    OPC_CheckPredicate, 0, // Predicate_regPlusImm
/* 40965*/    OPC_SwitchType /*2 cases */, 7|128,1/*135*/, MVT::i32,// ->41104
/* 40969*/     OPC_MoveParent,
/* 40970*/     OPC_RecordChild2, // #3 = $val
/* 40971*/     OPC_SwitchType /*2 cases */, 107, MVT::i32,// ->41081
/* 40974*/      OPC_Scope, 20, /*->40996*/ // 5 children in Scope
/* 40976*/       OPC_CheckPredicate, 4, // Predicate_atomic_load_xor_32
/* 40978*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 40980*/       OPC_EmitMergeInputChains1_0,
/* 40981*/       OPC_EmitInteger, MVT::i32, 0, 
/* 40984*/       OPC_EmitConvertToTarget, 2,
/* 40986*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_XOR_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_xor:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_xor_32>> - Complexity = 11
                 // Dst: (ATOMIC_RMW_XOR_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 40996*/      /*Scope*/ 20, /*->41017*/
/* 40997*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_xor_8
/* 40999*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 41001*/       OPC_EmitMergeInputChains1_0,
/* 41002*/       OPC_EmitInteger, MVT::i32, 0, 
/* 41005*/       OPC_EmitConvertToTarget, 2,
/* 41007*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XOR_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_xor:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_xor_8>> - Complexity = 11
                 // Dst: (ATOMIC_RMW8_U_XOR_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 41017*/      /*Scope*/ 20, /*->41038*/
/* 41018*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_xor_16
/* 41020*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 41022*/       OPC_EmitMergeInputChains1_0,
/* 41023*/       OPC_EmitInteger, MVT::i32, 0, 
/* 41026*/       OPC_EmitConvertToTarget, 2,
/* 41028*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XOR_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_xor:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_xor_16>> - Complexity = 11
                 // Dst: (ATOMIC_RMW16_U_XOR_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 41038*/      /*Scope*/ 20, /*->41059*/
/* 41039*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_xor_8
/* 41041*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 41043*/       OPC_EmitMergeInputChains1_0,
/* 41044*/       OPC_EmitInteger, MVT::i32, 0, 
/* 41047*/       OPC_EmitConvertToTarget, 2,
/* 41049*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XOR_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_xor:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_xor_8>> - Complexity = 11
                 // Dst: (ATOMIC_RMW8_U_XOR_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 41059*/      /*Scope*/ 20, /*->41080*/
/* 41060*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_xor_16
/* 41062*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 41064*/       OPC_EmitMergeInputChains1_0,
/* 41065*/       OPC_EmitInteger, MVT::i32, 0, 
/* 41068*/       OPC_EmitConvertToTarget, 2,
/* 41070*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XOR_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_xor:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_xor_16>> - Complexity = 11
                 // Dst: (ATOMIC_RMW16_U_XOR_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 41080*/      0, /*End of Scope*/
/* 41081*/     /*SwitchType*/ 20, MVT::i64,// ->41103
/* 41083*/      OPC_CheckPredicate, 7, // Predicate_atomic_load_xor_64
/* 41085*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 41087*/      OPC_EmitMergeInputChains1_0,
/* 41088*/      OPC_EmitInteger, MVT::i32, 0, 
/* 41091*/      OPC_EmitConvertToTarget, 2,
/* 41093*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_XOR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                // Src: (atomic_load_xor:{ *:[i64] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, i64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_xor_64>> - Complexity = 11
                // Dst: (ATOMIC_RMW_XOR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 41103*/     0, // EndSwitchType
/* 41104*/    /*SwitchType*/ 7|128,1/*135*/, MVT::i64,// ->41242
/* 41107*/     OPC_MoveParent,
/* 41108*/     OPC_RecordChild2, // #3 = $val
/* 41109*/     OPC_SwitchType /*2 cases */, 107, MVT::i32,// ->41219
/* 41112*/      OPC_Scope, 20, /*->41134*/ // 5 children in Scope
/* 41114*/       OPC_CheckPredicate, 4, // Predicate_atomic_load_xor_32
/* 41116*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 41118*/       OPC_EmitMergeInputChains1_0,
/* 41119*/       OPC_EmitInteger, MVT::i32, 0, 
/* 41122*/       OPC_EmitConvertToTarget, 2,
/* 41124*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_XOR_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_xor:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_xor_32>> - Complexity = 11
                 // Dst: (ATOMIC_RMW_XOR_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 41134*/      /*Scope*/ 20, /*->41155*/
/* 41135*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_xor_8
/* 41137*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 41139*/       OPC_EmitMergeInputChains1_0,
/* 41140*/       OPC_EmitInteger, MVT::i32, 0, 
/* 41143*/       OPC_EmitConvertToTarget, 2,
/* 41145*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XOR_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_xor:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_xor_8>> - Complexity = 11
                 // Dst: (ATOMIC_RMW8_U_XOR_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 41155*/      /*Scope*/ 20, /*->41176*/
/* 41156*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_xor_16
/* 41158*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 41160*/       OPC_EmitMergeInputChains1_0,
/* 41161*/       OPC_EmitInteger, MVT::i32, 0, 
/* 41164*/       OPC_EmitConvertToTarget, 2,
/* 41166*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XOR_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_xor:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_xor_16>> - Complexity = 11
                 // Dst: (ATOMIC_RMW16_U_XOR_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 41176*/      /*Scope*/ 20, /*->41197*/
/* 41177*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_xor_8
/* 41179*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 41181*/       OPC_EmitMergeInputChains1_0,
/* 41182*/       OPC_EmitInteger, MVT::i32, 0, 
/* 41185*/       OPC_EmitConvertToTarget, 2,
/* 41187*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XOR_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_xor:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_xor_8>> - Complexity = 11
                 // Dst: (ATOMIC_RMW8_U_XOR_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 41197*/      /*Scope*/ 20, /*->41218*/
/* 41198*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_xor_16
/* 41200*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 41202*/       OPC_EmitMergeInputChains1_0,
/* 41203*/       OPC_EmitInteger, MVT::i32, 0, 
/* 41206*/       OPC_EmitConvertToTarget, 2,
/* 41208*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XOR_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_xor:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_xor_16>> - Complexity = 11
                 // Dst: (ATOMIC_RMW16_U_XOR_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 41218*/      0, /*End of Scope*/
/* 41219*/     /*SwitchType*/ 20, MVT::i64,// ->41241
/* 41221*/      OPC_CheckPredicate, 7, // Predicate_atomic_load_xor_64
/* 41223*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 41225*/      OPC_EmitMergeInputChains1_0,
/* 41226*/      OPC_EmitInteger, MVT::i32, 0, 
/* 41229*/      OPC_EmitConvertToTarget, 2,
/* 41231*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_XOR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                // Src: (atomic_load_xor:{ *:[i64] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, i64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_xor_64>> - Complexity = 11
                // Dst: (ATOMIC_RMW_XOR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 41241*/     0, // EndSwitchType
/* 41242*/    0, // EndSwitchType
/* 41243*/   /*SwitchOpcode*/ 31|128,2/*287*/, TARGET_VAL(ISD::OR),// ->41534
/* 41247*/    OPC_RecordChild0, // #1 = $addr
/* 41248*/    OPC_RecordChild1, // #2 = $off
/* 41249*/    OPC_MoveChild1,
/* 41250*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 41253*/    OPC_MoveParent,
/* 41254*/    OPC_CheckPredicate, 3, // Predicate_or_is_add
/* 41256*/    OPC_SwitchType /*2 cases */, 7|128,1/*135*/, MVT::i32,// ->41395
/* 41260*/     OPC_MoveParent,
/* 41261*/     OPC_RecordChild2, // #3 = $val
/* 41262*/     OPC_SwitchType /*2 cases */, 107, MVT::i32,// ->41372
/* 41265*/      OPC_Scope, 20, /*->41287*/ // 5 children in Scope
/* 41267*/       OPC_CheckPredicate, 4, // Predicate_atomic_load_xor_32
/* 41269*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 41271*/       OPC_EmitMergeInputChains1_0,
/* 41272*/       OPC_EmitInteger, MVT::i32, 0, 
/* 41275*/       OPC_EmitConvertToTarget, 2,
/* 41277*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_XOR_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_xor:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_xor_32>> - Complexity = 11
                 // Dst: (ATOMIC_RMW_XOR_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 41287*/      /*Scope*/ 20, /*->41308*/
/* 41288*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_xor_8
/* 41290*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 41292*/       OPC_EmitMergeInputChains1_0,
/* 41293*/       OPC_EmitInteger, MVT::i32, 0, 
/* 41296*/       OPC_EmitConvertToTarget, 2,
/* 41298*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XOR_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_xor:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_xor_8>> - Complexity = 11
                 // Dst: (ATOMIC_RMW8_U_XOR_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 41308*/      /*Scope*/ 20, /*->41329*/
/* 41309*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_xor_16
/* 41311*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 41313*/       OPC_EmitMergeInputChains1_0,
/* 41314*/       OPC_EmitInteger, MVT::i32, 0, 
/* 41317*/       OPC_EmitConvertToTarget, 2,
/* 41319*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XOR_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_xor:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_xor_16>> - Complexity = 11
                 // Dst: (ATOMIC_RMW16_U_XOR_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 41329*/      /*Scope*/ 20, /*->41350*/
/* 41330*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_xor_8
/* 41332*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 41334*/       OPC_EmitMergeInputChains1_0,
/* 41335*/       OPC_EmitInteger, MVT::i32, 0, 
/* 41338*/       OPC_EmitConvertToTarget, 2,
/* 41340*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XOR_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_xor:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_xor_8>> - Complexity = 11
                 // Dst: (ATOMIC_RMW8_U_XOR_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 41350*/      /*Scope*/ 20, /*->41371*/
/* 41351*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_xor_16
/* 41353*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 41355*/       OPC_EmitMergeInputChains1_0,
/* 41356*/       OPC_EmitInteger, MVT::i32, 0, 
/* 41359*/       OPC_EmitConvertToTarget, 2,
/* 41361*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XOR_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_xor:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_xor_16>> - Complexity = 11
                 // Dst: (ATOMIC_RMW16_U_XOR_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 41371*/      0, /*End of Scope*/
/* 41372*/     /*SwitchType*/ 20, MVT::i64,// ->41394
/* 41374*/      OPC_CheckPredicate, 7, // Predicate_atomic_load_xor_64
/* 41376*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 41378*/      OPC_EmitMergeInputChains1_0,
/* 41379*/      OPC_EmitInteger, MVT::i32, 0, 
/* 41382*/      OPC_EmitConvertToTarget, 2,
/* 41384*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_XOR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                // Src: (atomic_load_xor:{ *:[i64] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, i64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_xor_64>> - Complexity = 11
                // Dst: (ATOMIC_RMW_XOR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 41394*/     0, // EndSwitchType
/* 41395*/    /*SwitchType*/ 7|128,1/*135*/, MVT::i64,// ->41533
/* 41398*/     OPC_MoveParent,
/* 41399*/     OPC_RecordChild2, // #3 = $val
/* 41400*/     OPC_SwitchType /*2 cases */, 107, MVT::i32,// ->41510
/* 41403*/      OPC_Scope, 20, /*->41425*/ // 5 children in Scope
/* 41405*/       OPC_CheckPredicate, 4, // Predicate_atomic_load_xor_32
/* 41407*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 41409*/       OPC_EmitMergeInputChains1_0,
/* 41410*/       OPC_EmitInteger, MVT::i32, 0, 
/* 41413*/       OPC_EmitConvertToTarget, 2,
/* 41415*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_XOR_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_xor:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_xor_32>> - Complexity = 11
                 // Dst: (ATOMIC_RMW_XOR_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 41425*/      /*Scope*/ 20, /*->41446*/
/* 41426*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_xor_8
/* 41428*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 41430*/       OPC_EmitMergeInputChains1_0,
/* 41431*/       OPC_EmitInteger, MVT::i32, 0, 
/* 41434*/       OPC_EmitConvertToTarget, 2,
/* 41436*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XOR_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_xor:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_xor_8>> - Complexity = 11
                 // Dst: (ATOMIC_RMW8_U_XOR_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 41446*/      /*Scope*/ 20, /*->41467*/
/* 41447*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_xor_16
/* 41449*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 41451*/       OPC_EmitMergeInputChains1_0,
/* 41452*/       OPC_EmitInteger, MVT::i32, 0, 
/* 41455*/       OPC_EmitConvertToTarget, 2,
/* 41457*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XOR_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_xor:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_xor_16>> - Complexity = 11
                 // Dst: (ATOMIC_RMW16_U_XOR_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 41467*/      /*Scope*/ 20, /*->41488*/
/* 41468*/       OPC_CheckPredicate, 1, // Predicate_atomic_load_xor_8
/* 41470*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 41472*/       OPC_EmitMergeInputChains1_0,
/* 41473*/       OPC_EmitInteger, MVT::i32, 0, 
/* 41476*/       OPC_EmitConvertToTarget, 2,
/* 41478*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XOR_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_xor:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_xor_8>> - Complexity = 11
                 // Dst: (ATOMIC_RMW8_U_XOR_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 41488*/      /*Scope*/ 20, /*->41509*/
/* 41489*/       OPC_CheckPredicate, 2, // Predicate_atomic_load_xor_16
/* 41491*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 41493*/       OPC_EmitMergeInputChains1_0,
/* 41494*/       OPC_EmitInteger, MVT::i32, 0, 
/* 41497*/       OPC_EmitConvertToTarget, 2,
/* 41499*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XOR_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_load_xor:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_xor_16>> - Complexity = 11
                 // Dst: (ATOMIC_RMW16_U_XOR_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 41509*/      0, /*End of Scope*/
/* 41510*/     /*SwitchType*/ 20, MVT::i64,// ->41532
/* 41512*/      OPC_CheckPredicate, 7, // Predicate_atomic_load_xor_64
/* 41514*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 41516*/      OPC_EmitMergeInputChains1_0,
/* 41517*/      OPC_EmitInteger, MVT::i32, 0, 
/* 41520*/      OPC_EmitConvertToTarget, 2,
/* 41522*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_XOR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                // Src: (atomic_load_xor:{ *:[i64] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, i64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_xor_64>> - Complexity = 11
                // Dst: (ATOMIC_RMW_XOR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 41532*/     0, // EndSwitchType
/* 41533*/    0, // EndSwitchType
/* 41534*/   /*SwitchOpcode*/ 114|128,2/*370*/, TARGET_VAL(WebAssemblyISD::Wrapper),// ->41908
/* 41538*/    OPC_RecordChild0, // #1 = $off
/* 41539*/    OPC_MoveChild0,
/* 41540*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 41543*/    OPC_MoveParent,
/* 41544*/    OPC_MoveParent,
/* 41545*/    OPC_RecordChild2, // #2 = $val
/* 41546*/    OPC_SwitchType /*2 cases */, 41|128,2/*297*/, MVT::i32,// ->41847
/* 41550*/     OPC_Scope, 58, /*->41610*/ // 5 children in Scope
/* 41552*/      OPC_CheckPredicate, 4, // Predicate_atomic_load_xor_32
/* 41554*/      OPC_Scope, 26, /*->41582*/ // 2 children in Scope
/* 41556*/       OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 41558*/       OPC_EmitMergeInputChains1_0,
/* 41559*/       OPC_EmitInteger, MVT::i32, 0, 
/* 41562*/       OPC_EmitInteger, MVT::i32, 0, 
/* 41565*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 41572*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_XOR_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_load_xor:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_xor_32>> - Complexity = 10
                 // Dst: (ATOMIC_RMW_XOR_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 41582*/      /*Scope*/ 26, /*->41609*/
/* 41583*/       OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 41585*/       OPC_EmitMergeInputChains1_0,
/* 41586*/       OPC_EmitInteger, MVT::i32, 0, 
/* 41589*/       OPC_EmitInteger, MVT::i64, 0, 
/* 41592*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 41599*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_XOR_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_load_xor:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_xor_32>> - Complexity = 10
                 // Dst: (ATOMIC_RMW_XOR_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 41609*/      0, /*End of Scope*/
/* 41610*/     /*Scope*/ 58, /*->41669*/
/* 41611*/      OPC_CheckPredicate, 1, // Predicate_atomic_load_xor_8
/* 41613*/      OPC_Scope, 26, /*->41641*/ // 2 children in Scope
/* 41615*/       OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 41617*/       OPC_EmitMergeInputChains1_0,
/* 41618*/       OPC_EmitInteger, MVT::i32, 0, 
/* 41621*/       OPC_EmitInteger, MVT::i32, 0, 
/* 41624*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 41631*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XOR_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_load_xor:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_xor_8>> - Complexity = 10
                 // Dst: (ATOMIC_RMW8_U_XOR_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 41641*/      /*Scope*/ 26, /*->41668*/
/* 41642*/       OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 41644*/       OPC_EmitMergeInputChains1_0,
/* 41645*/       OPC_EmitInteger, MVT::i32, 0, 
/* 41648*/       OPC_EmitInteger, MVT::i64, 0, 
/* 41651*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 41658*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XOR_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_load_xor:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_xor_8>> - Complexity = 10
                 // Dst: (ATOMIC_RMW8_U_XOR_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 41668*/      0, /*End of Scope*/
/* 41669*/     /*Scope*/ 58, /*->41728*/
/* 41670*/      OPC_CheckPredicate, 2, // Predicate_atomic_load_xor_16
/* 41672*/      OPC_Scope, 26, /*->41700*/ // 2 children in Scope
/* 41674*/       OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 41676*/       OPC_EmitMergeInputChains1_0,
/* 41677*/       OPC_EmitInteger, MVT::i32, 0, 
/* 41680*/       OPC_EmitInteger, MVT::i32, 0, 
/* 41683*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 41690*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XOR_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_load_xor:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_xor_16>> - Complexity = 10
                 // Dst: (ATOMIC_RMW16_U_XOR_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 41700*/      /*Scope*/ 26, /*->41727*/
/* 41701*/       OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 41703*/       OPC_EmitMergeInputChains1_0,
/* 41704*/       OPC_EmitInteger, MVT::i32, 0, 
/* 41707*/       OPC_EmitInteger, MVT::i64, 0, 
/* 41710*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 41717*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XOR_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_load_xor:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_xor_16>> - Complexity = 10
                 // Dst: (ATOMIC_RMW16_U_XOR_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 41727*/      0, /*End of Scope*/
/* 41728*/     /*Scope*/ 58, /*->41787*/
/* 41729*/      OPC_CheckPredicate, 1, // Predicate_atomic_load_xor_8
/* 41731*/      OPC_Scope, 26, /*->41759*/ // 2 children in Scope
/* 41733*/       OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 41735*/       OPC_EmitMergeInputChains1_0,
/* 41736*/       OPC_EmitInteger, MVT::i32, 0, 
/* 41739*/       OPC_EmitInteger, MVT::i32, 0, 
/* 41742*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 41749*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XOR_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_load_xor:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_xor_8>> - Complexity = 10
                 // Dst: (ATOMIC_RMW8_U_XOR_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 41759*/      /*Scope*/ 26, /*->41786*/
/* 41760*/       OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 41762*/       OPC_EmitMergeInputChains1_0,
/* 41763*/       OPC_EmitInteger, MVT::i32, 0, 
/* 41766*/       OPC_EmitInteger, MVT::i64, 0, 
/* 41769*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 41776*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XOR_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_load_xor:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_xor_8>> - Complexity = 10
                 // Dst: (ATOMIC_RMW8_U_XOR_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 41786*/      0, /*End of Scope*/
/* 41787*/     /*Scope*/ 58, /*->41846*/
/* 41788*/      OPC_CheckPredicate, 2, // Predicate_atomic_load_xor_16
/* 41790*/      OPC_Scope, 26, /*->41818*/ // 2 children in Scope
/* 41792*/       OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 41794*/       OPC_EmitMergeInputChains1_0,
/* 41795*/       OPC_EmitInteger, MVT::i32, 0, 
/* 41798*/       OPC_EmitInteger, MVT::i32, 0, 
/* 41801*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 41808*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XOR_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_load_xor:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_xor_16>> - Complexity = 10
                 // Dst: (ATOMIC_RMW16_U_XOR_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 41818*/      /*Scope*/ 26, /*->41845*/
/* 41819*/       OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 41821*/       OPC_EmitMergeInputChains1_0,
/* 41822*/       OPC_EmitInteger, MVT::i32, 0, 
/* 41825*/       OPC_EmitInteger, MVT::i64, 0, 
/* 41828*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 41835*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XOR_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_load_xor:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_xor_16>> - Complexity = 10
                 // Dst: (ATOMIC_RMW16_U_XOR_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 41845*/      0, /*End of Scope*/
/* 41846*/     0, /*End of Scope*/
/* 41847*/    /*SwitchType*/ 58, MVT::i64,// ->41907
/* 41849*/     OPC_CheckPredicate, 7, // Predicate_atomic_load_xor_64
/* 41851*/     OPC_Scope, 26, /*->41879*/ // 2 children in Scope
/* 41853*/      OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 41855*/      OPC_EmitMergeInputChains1_0,
/* 41856*/      OPC_EmitInteger, MVT::i32, 0, 
/* 41859*/      OPC_EmitInteger, MVT::i32, 0, 
/* 41862*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 41869*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_XOR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                // Src: (atomic_load_xor:{ *:[i64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_xor_64>> - Complexity = 10
                // Dst: (ATOMIC_RMW_XOR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/* 41879*/     /*Scope*/ 26, /*->41906*/
/* 41880*/      OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 41882*/      OPC_EmitMergeInputChains1_0,
/* 41883*/      OPC_EmitInteger, MVT::i32, 0, 
/* 41886*/      OPC_EmitInteger, MVT::i64, 0, 
/* 41889*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 41896*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_XOR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                // Src: (atomic_load_xor:{ *:[i64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_xor_64>> - Complexity = 10
                // Dst: (ATOMIC_RMW_XOR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/* 41906*/     0, /*End of Scope*/
/* 41907*/    0, // EndSwitchType
/* 41908*/   0, // EndSwitchOpcode
/* 41909*/  /*Scope*/ 45|128,5/*685*/, /*->42596*/
/* 41911*/   OPC_RecordChild1, // #1 = $off
/* 41912*/   OPC_Scope, 8|128,3/*392*/, /*->42307*/ // 3 children in Scope
/* 41915*/    OPC_MoveChild1,
/* 41916*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 41919*/    OPC_MoveParent,
/* 41920*/    OPC_RecordChild2, // #2 = $val
/* 41921*/    OPC_SwitchType /*2 cases */, 61|128,2/*317*/, MVT::i32,// ->42242
/* 41925*/     OPC_Scope, 62, /*->41989*/ // 5 children in Scope
/* 41927*/      OPC_CheckPredicate, 4, // Predicate_atomic_load_xor_32
/* 41929*/      OPC_Scope, 28, /*->41959*/ // 2 children in Scope
/* 41931*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 41933*/       OPC_EmitMergeInputChains1_0,
/* 41934*/       OPC_EmitInteger, MVT::i32, 0, 
/* 41937*/       OPC_EmitConvertToTarget, 1,
/* 41939*/       OPC_EmitInteger, MVT::i32, 0, 
/* 41942*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 41949*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_XOR_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_load_xor:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_xor_32>> - Complexity = 7
                 // Dst: (ATOMIC_RMW_XOR_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 41959*/      /*Scope*/ 28, /*->41988*/
/* 41960*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 41962*/       OPC_EmitMergeInputChains1_0,
/* 41963*/       OPC_EmitInteger, MVT::i32, 0, 
/* 41966*/       OPC_EmitConvertToTarget, 1,
/* 41968*/       OPC_EmitInteger, MVT::i64, 0, 
/* 41971*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 41978*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_XOR_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_load_xor:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_xor_32>> - Complexity = 7
                 // Dst: (ATOMIC_RMW_XOR_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 41988*/      0, /*End of Scope*/
/* 41989*/     /*Scope*/ 62, /*->42052*/
/* 41990*/      OPC_CheckPredicate, 1, // Predicate_atomic_load_xor_8
/* 41992*/      OPC_Scope, 28, /*->42022*/ // 2 children in Scope
/* 41994*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 41996*/       OPC_EmitMergeInputChains1_0,
/* 41997*/       OPC_EmitInteger, MVT::i32, 0, 
/* 42000*/       OPC_EmitConvertToTarget, 1,
/* 42002*/       OPC_EmitInteger, MVT::i32, 0, 
/* 42005*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 42012*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XOR_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_load_xor:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_xor_8>> - Complexity = 7
                 // Dst: (ATOMIC_RMW8_U_XOR_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 42022*/      /*Scope*/ 28, /*->42051*/
/* 42023*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 42025*/       OPC_EmitMergeInputChains1_0,
/* 42026*/       OPC_EmitInteger, MVT::i32, 0, 
/* 42029*/       OPC_EmitConvertToTarget, 1,
/* 42031*/       OPC_EmitInteger, MVT::i64, 0, 
/* 42034*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 42041*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XOR_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_load_xor:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_xor_8>> - Complexity = 7
                 // Dst: (ATOMIC_RMW8_U_XOR_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 42051*/      0, /*End of Scope*/
/* 42052*/     /*Scope*/ 62, /*->42115*/
/* 42053*/      OPC_CheckPredicate, 2, // Predicate_atomic_load_xor_16
/* 42055*/      OPC_Scope, 28, /*->42085*/ // 2 children in Scope
/* 42057*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 42059*/       OPC_EmitMergeInputChains1_0,
/* 42060*/       OPC_EmitInteger, MVT::i32, 0, 
/* 42063*/       OPC_EmitConvertToTarget, 1,
/* 42065*/       OPC_EmitInteger, MVT::i32, 0, 
/* 42068*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 42075*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XOR_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_load_xor:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_xor_16>> - Complexity = 7
                 // Dst: (ATOMIC_RMW16_U_XOR_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 42085*/      /*Scope*/ 28, /*->42114*/
/* 42086*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 42088*/       OPC_EmitMergeInputChains1_0,
/* 42089*/       OPC_EmitInteger, MVT::i32, 0, 
/* 42092*/       OPC_EmitConvertToTarget, 1,
/* 42094*/       OPC_EmitInteger, MVT::i64, 0, 
/* 42097*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 42104*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XOR_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_load_xor:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_xor_16>> - Complexity = 7
                 // Dst: (ATOMIC_RMW16_U_XOR_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 42114*/      0, /*End of Scope*/
/* 42115*/     /*Scope*/ 62, /*->42178*/
/* 42116*/      OPC_CheckPredicate, 1, // Predicate_atomic_load_xor_8
/* 42118*/      OPC_Scope, 28, /*->42148*/ // 2 children in Scope
/* 42120*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 42122*/       OPC_EmitMergeInputChains1_0,
/* 42123*/       OPC_EmitInteger, MVT::i32, 0, 
/* 42126*/       OPC_EmitConvertToTarget, 1,
/* 42128*/       OPC_EmitInteger, MVT::i32, 0, 
/* 42131*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 42138*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XOR_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_load_xor:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_xor_8>> - Complexity = 7
                 // Dst: (ATOMIC_RMW8_U_XOR_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 42148*/      /*Scope*/ 28, /*->42177*/
/* 42149*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 42151*/       OPC_EmitMergeInputChains1_0,
/* 42152*/       OPC_EmitInteger, MVT::i32, 0, 
/* 42155*/       OPC_EmitConvertToTarget, 1,
/* 42157*/       OPC_EmitInteger, MVT::i64, 0, 
/* 42160*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 42167*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XOR_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_load_xor:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_xor_8>> - Complexity = 7
                 // Dst: (ATOMIC_RMW8_U_XOR_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 42177*/      0, /*End of Scope*/
/* 42178*/     /*Scope*/ 62, /*->42241*/
/* 42179*/      OPC_CheckPredicate, 2, // Predicate_atomic_load_xor_16
/* 42181*/      OPC_Scope, 28, /*->42211*/ // 2 children in Scope
/* 42183*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 42185*/       OPC_EmitMergeInputChains1_0,
/* 42186*/       OPC_EmitInteger, MVT::i32, 0, 
/* 42189*/       OPC_EmitConvertToTarget, 1,
/* 42191*/       OPC_EmitInteger, MVT::i32, 0, 
/* 42194*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 42201*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XOR_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_load_xor:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_xor_16>> - Complexity = 7
                 // Dst: (ATOMIC_RMW16_U_XOR_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 42211*/      /*Scope*/ 28, /*->42240*/
/* 42212*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 42214*/       OPC_EmitMergeInputChains1_0,
/* 42215*/       OPC_EmitInteger, MVT::i32, 0, 
/* 42218*/       OPC_EmitConvertToTarget, 1,
/* 42220*/       OPC_EmitInteger, MVT::i64, 0, 
/* 42223*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 42230*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XOR_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_load_xor:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_xor_16>> - Complexity = 7
                 // Dst: (ATOMIC_RMW16_U_XOR_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 42240*/      0, /*End of Scope*/
/* 42241*/     0, /*End of Scope*/
/* 42242*/    /*SwitchType*/ 62, MVT::i64,// ->42306
/* 42244*/     OPC_CheckPredicate, 7, // Predicate_atomic_load_xor_64
/* 42246*/     OPC_Scope, 28, /*->42276*/ // 2 children in Scope
/* 42248*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 42250*/      OPC_EmitMergeInputChains1_0,
/* 42251*/      OPC_EmitInteger, MVT::i32, 0, 
/* 42254*/      OPC_EmitConvertToTarget, 1,
/* 42256*/      OPC_EmitInteger, MVT::i32, 0, 
/* 42259*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 42266*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_XOR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                // Src: (atomic_load_xor:{ *:[i64] } (imm:{ *:[iPTR] }):$off, i64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_xor_64>> - Complexity = 7
                // Dst: (ATOMIC_RMW_XOR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/* 42276*/     /*Scope*/ 28, /*->42305*/
/* 42277*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 42279*/      OPC_EmitMergeInputChains1_0,
/* 42280*/      OPC_EmitInteger, MVT::i32, 0, 
/* 42283*/      OPC_EmitConvertToTarget, 1,
/* 42285*/      OPC_EmitInteger, MVT::i64, 0, 
/* 42288*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 42295*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_XOR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                // Src: (atomic_load_xor:{ *:[i64] } (imm:{ *:[iPTR] }):$off, i64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_xor_64>> - Complexity = 7
                // Dst: (ATOMIC_RMW_XOR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/* 42305*/     0, /*End of Scope*/
/* 42306*/    0, // EndSwitchType
/* 42307*/   /*Scope*/ 14|128,1/*142*/, /*->42451*/
/* 42309*/    OPC_CheckChild1Type, MVT::i32,
/* 42311*/    OPC_RecordChild2, // #2 = $val
/* 42312*/    OPC_SwitchType /*2 cases */, 112, MVT::i32,// ->42427
/* 42315*/     OPC_Scope, 21, /*->42338*/ // 5 children in Scope
/* 42317*/      OPC_CheckPredicate, 4, // Predicate_atomic_load_xor_32
/* 42319*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 42321*/      OPC_EmitMergeInputChains1_0,
/* 42322*/      OPC_EmitInteger, MVT::i32, 0, 
/* 42325*/      OPC_EmitInteger, MVT::i32, 0, 
/* 42328*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_XOR_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_load_xor:{ *:[i32] } I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_xor_32>> - Complexity = 4
                // Dst: (ATOMIC_RMW_XOR_I32_A32:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 42338*/     /*Scope*/ 21, /*->42360*/
/* 42339*/      OPC_CheckPredicate, 1, // Predicate_atomic_load_xor_8
/* 42341*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 42343*/      OPC_EmitMergeInputChains1_0,
/* 42344*/      OPC_EmitInteger, MVT::i32, 0, 
/* 42347*/      OPC_EmitInteger, MVT::i32, 0, 
/* 42350*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XOR_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_load_xor:{ *:[i32] } I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_xor_8>> - Complexity = 4
                // Dst: (ATOMIC_RMW8_U_XOR_I32_A32:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 42360*/     /*Scope*/ 21, /*->42382*/
/* 42361*/      OPC_CheckPredicate, 2, // Predicate_atomic_load_xor_16
/* 42363*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 42365*/      OPC_EmitMergeInputChains1_0,
/* 42366*/      OPC_EmitInteger, MVT::i32, 0, 
/* 42369*/      OPC_EmitInteger, MVT::i32, 0, 
/* 42372*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XOR_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_load_xor:{ *:[i32] } I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_xor_16>> - Complexity = 4
                // Dst: (ATOMIC_RMW16_U_XOR_I32_A32:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 42382*/     /*Scope*/ 21, /*->42404*/
/* 42383*/      OPC_CheckPredicate, 1, // Predicate_atomic_load_xor_8
/* 42385*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 42387*/      OPC_EmitMergeInputChains1_0,
/* 42388*/      OPC_EmitInteger, MVT::i32, 0, 
/* 42391*/      OPC_EmitInteger, MVT::i32, 0, 
/* 42394*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XOR_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_load_xor:{ *:[i32] } I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_xor_8>> - Complexity = 4
                // Dst: (ATOMIC_RMW8_U_XOR_I32_A32:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 42404*/     /*Scope*/ 21, /*->42426*/
/* 42405*/      OPC_CheckPredicate, 2, // Predicate_atomic_load_xor_16
/* 42407*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 42409*/      OPC_EmitMergeInputChains1_0,
/* 42410*/      OPC_EmitInteger, MVT::i32, 0, 
/* 42413*/      OPC_EmitInteger, MVT::i32, 0, 
/* 42416*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XOR_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_load_xor:{ *:[i32] } I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_xor_16>> - Complexity = 4
                // Dst: (ATOMIC_RMW16_U_XOR_I32_A32:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 42426*/     0, /*End of Scope*/
/* 42427*/    /*SwitchType*/ 21, MVT::i64,// ->42450
/* 42429*/     OPC_CheckPredicate, 7, // Predicate_atomic_load_xor_64
/* 42431*/     OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 42433*/     OPC_EmitMergeInputChains1_0,
/* 42434*/     OPC_EmitInteger, MVT::i32, 0, 
/* 42437*/     OPC_EmitInteger, MVT::i32, 0, 
/* 42440*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_XOR_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
               // Src: (atomic_load_xor:{ *:[i64] } I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_xor_64>> - Complexity = 4
               // Dst: (ATOMIC_RMW_XOR_I64_A32:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 42450*/    0, // EndSwitchType
/* 42451*/   /*Scope*/ 14|128,1/*142*/, /*->42595*/
/* 42453*/    OPC_CheckChild1Type, MVT::i64,
/* 42455*/    OPC_RecordChild2, // #2 = $val
/* 42456*/    OPC_SwitchType /*2 cases */, 112, MVT::i32,// ->42571
/* 42459*/     OPC_Scope, 21, /*->42482*/ // 5 children in Scope
/* 42461*/      OPC_CheckPredicate, 4, // Predicate_atomic_load_xor_32
/* 42463*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 42465*/      OPC_EmitMergeInputChains1_0,
/* 42466*/      OPC_EmitInteger, MVT::i32, 0, 
/* 42469*/      OPC_EmitInteger, MVT::i64, 0, 
/* 42472*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_XOR_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_load_xor:{ *:[i32] } I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_xor_32>> - Complexity = 4
                // Dst: (ATOMIC_RMW_XOR_I32_A64:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 42482*/     /*Scope*/ 21, /*->42504*/
/* 42483*/      OPC_CheckPredicate, 1, // Predicate_atomic_load_xor_8
/* 42485*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 42487*/      OPC_EmitMergeInputChains1_0,
/* 42488*/      OPC_EmitInteger, MVT::i32, 0, 
/* 42491*/      OPC_EmitInteger, MVT::i64, 0, 
/* 42494*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XOR_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_load_xor:{ *:[i32] } I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_xor_8>> - Complexity = 4
                // Dst: (ATOMIC_RMW8_U_XOR_I32_A64:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 42504*/     /*Scope*/ 21, /*->42526*/
/* 42505*/      OPC_CheckPredicate, 2, // Predicate_atomic_load_xor_16
/* 42507*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 42509*/      OPC_EmitMergeInputChains1_0,
/* 42510*/      OPC_EmitInteger, MVT::i32, 0, 
/* 42513*/      OPC_EmitInteger, MVT::i64, 0, 
/* 42516*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XOR_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_load_xor:{ *:[i32] } I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_xor_16>> - Complexity = 4
                // Dst: (ATOMIC_RMW16_U_XOR_I32_A64:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 42526*/     /*Scope*/ 21, /*->42548*/
/* 42527*/      OPC_CheckPredicate, 1, // Predicate_atomic_load_xor_8
/* 42529*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 42531*/      OPC_EmitMergeInputChains1_0,
/* 42532*/      OPC_EmitInteger, MVT::i32, 0, 
/* 42535*/      OPC_EmitInteger, MVT::i64, 0, 
/* 42538*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XOR_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_load_xor:{ *:[i32] } I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_xor_8>> - Complexity = 4
                // Dst: (ATOMIC_RMW8_U_XOR_I32_A64:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 42548*/     /*Scope*/ 21, /*->42570*/
/* 42549*/      OPC_CheckPredicate, 2, // Predicate_atomic_load_xor_16
/* 42551*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 42553*/      OPC_EmitMergeInputChains1_0,
/* 42554*/      OPC_EmitInteger, MVT::i32, 0, 
/* 42557*/      OPC_EmitInteger, MVT::i64, 0, 
/* 42560*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XOR_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_load_xor:{ *:[i32] } I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_load_xor_16>> - Complexity = 4
                // Dst: (ATOMIC_RMW16_U_XOR_I32_A64:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 42570*/     0, /*End of Scope*/
/* 42571*/    /*SwitchType*/ 21, MVT::i64,// ->42594
/* 42573*/     OPC_CheckPredicate, 7, // Predicate_atomic_load_xor_64
/* 42575*/     OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 42577*/     OPC_EmitMergeInputChains1_0,
/* 42578*/     OPC_EmitInteger, MVT::i32, 0, 
/* 42581*/     OPC_EmitInteger, MVT::i64, 0, 
/* 42584*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_XOR_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
               // Src: (atomic_load_xor:{ *:[i64] } I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)<<P:Predicate_atomic_load_xor_64>> - Complexity = 4
               // Dst: (ATOMIC_RMW_XOR_I64_A64:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 42594*/    0, // EndSwitchType
/* 42595*/   0, /*End of Scope*/
/* 42596*/  0, /*End of Scope*/
/* 42597*/ /*SwitchOpcode*/ 116|128,12/*1652*/, TARGET_VAL(ISD::ATOMIC_SWAP),// ->44253
/* 42601*/  OPC_RecordMemRef,
/* 42602*/  OPC_RecordNode, // #0 = 'atomic_swap' chained node
/* 42603*/  OPC_Scope, 63|128,7/*959*/, /*->43565*/ // 2 children in Scope
/* 42606*/   OPC_MoveChild1,
/* 42607*/   OPC_SwitchOpcode /*3 cases */, 31|128,2/*287*/, TARGET_VAL(ISD::ADD),// ->42899
/* 42612*/    OPC_RecordChild0, // #1 = $addr
/* 42613*/    OPC_RecordChild1, // #2 = $off
/* 42614*/    OPC_MoveChild1,
/* 42615*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 42618*/    OPC_MoveParent,
/* 42619*/    OPC_CheckPredicate, 0, // Predicate_regPlusImm
/* 42621*/    OPC_SwitchType /*2 cases */, 7|128,1/*135*/, MVT::i32,// ->42760
/* 42625*/     OPC_MoveParent,
/* 42626*/     OPC_RecordChild2, // #3 = $val
/* 42627*/     OPC_SwitchType /*2 cases */, 107, MVT::i32,// ->42737
/* 42630*/      OPC_Scope, 20, /*->42652*/ // 5 children in Scope
/* 42632*/       OPC_CheckPredicate, 4, // Predicate_atomic_swap_32
/* 42634*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 42636*/       OPC_EmitMergeInputChains1_0,
/* 42637*/       OPC_EmitInteger, MVT::i32, 0, 
/* 42640*/       OPC_EmitConvertToTarget, 2,
/* 42642*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_XCHG_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_swap:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_32>> - Complexity = 11
                 // Dst: (ATOMIC_RMW_XCHG_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 42652*/      /*Scope*/ 20, /*->42673*/
/* 42653*/       OPC_CheckPredicate, 1, // Predicate_atomic_swap_8
/* 42655*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 42657*/       OPC_EmitMergeInputChains1_0,
/* 42658*/       OPC_EmitInteger, MVT::i32, 0, 
/* 42661*/       OPC_EmitConvertToTarget, 2,
/* 42663*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XCHG_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_swap:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_8>> - Complexity = 11
                 // Dst: (ATOMIC_RMW8_U_XCHG_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 42673*/      /*Scope*/ 20, /*->42694*/
/* 42674*/       OPC_CheckPredicate, 2, // Predicate_atomic_swap_16
/* 42676*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 42678*/       OPC_EmitMergeInputChains1_0,
/* 42679*/       OPC_EmitInteger, MVT::i32, 0, 
/* 42682*/       OPC_EmitConvertToTarget, 2,
/* 42684*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XCHG_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_swap:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_16>> - Complexity = 11
                 // Dst: (ATOMIC_RMW16_U_XCHG_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 42694*/      /*Scope*/ 20, /*->42715*/
/* 42695*/       OPC_CheckPredicate, 1, // Predicate_atomic_swap_8
/* 42697*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 42699*/       OPC_EmitMergeInputChains1_0,
/* 42700*/       OPC_EmitInteger, MVT::i32, 0, 
/* 42703*/       OPC_EmitConvertToTarget, 2,
/* 42705*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XCHG_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_swap:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_8>> - Complexity = 11
                 // Dst: (ATOMIC_RMW8_U_XCHG_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 42715*/      /*Scope*/ 20, /*->42736*/
/* 42716*/       OPC_CheckPredicate, 2, // Predicate_atomic_swap_16
/* 42718*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 42720*/       OPC_EmitMergeInputChains1_0,
/* 42721*/       OPC_EmitInteger, MVT::i32, 0, 
/* 42724*/       OPC_EmitConvertToTarget, 2,
/* 42726*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XCHG_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_swap:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_16>> - Complexity = 11
                 // Dst: (ATOMIC_RMW16_U_XCHG_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 42736*/      0, /*End of Scope*/
/* 42737*/     /*SwitchType*/ 20, MVT::i64,// ->42759
/* 42739*/      OPC_CheckPredicate, 7, // Predicate_atomic_swap_64
/* 42741*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 42743*/      OPC_EmitMergeInputChains1_0,
/* 42744*/      OPC_EmitInteger, MVT::i32, 0, 
/* 42747*/      OPC_EmitConvertToTarget, 2,
/* 42749*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_XCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                // Src: (atomic_swap:{ *:[i64] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, i64:{ *:[i64] }:$val)<<P:Predicate_atomic_swap_64>> - Complexity = 11
                // Dst: (ATOMIC_RMW_XCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 42759*/     0, // EndSwitchType
/* 42760*/    /*SwitchType*/ 7|128,1/*135*/, MVT::i64,// ->42898
/* 42763*/     OPC_MoveParent,
/* 42764*/     OPC_RecordChild2, // #3 = $val
/* 42765*/     OPC_SwitchType /*2 cases */, 107, MVT::i32,// ->42875
/* 42768*/      OPC_Scope, 20, /*->42790*/ // 5 children in Scope
/* 42770*/       OPC_CheckPredicate, 4, // Predicate_atomic_swap_32
/* 42772*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 42774*/       OPC_EmitMergeInputChains1_0,
/* 42775*/       OPC_EmitInteger, MVT::i32, 0, 
/* 42778*/       OPC_EmitConvertToTarget, 2,
/* 42780*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_XCHG_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_swap:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_32>> - Complexity = 11
                 // Dst: (ATOMIC_RMW_XCHG_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 42790*/      /*Scope*/ 20, /*->42811*/
/* 42791*/       OPC_CheckPredicate, 1, // Predicate_atomic_swap_8
/* 42793*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 42795*/       OPC_EmitMergeInputChains1_0,
/* 42796*/       OPC_EmitInteger, MVT::i32, 0, 
/* 42799*/       OPC_EmitConvertToTarget, 2,
/* 42801*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XCHG_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_swap:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_8>> - Complexity = 11
                 // Dst: (ATOMIC_RMW8_U_XCHG_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 42811*/      /*Scope*/ 20, /*->42832*/
/* 42812*/       OPC_CheckPredicate, 2, // Predicate_atomic_swap_16
/* 42814*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 42816*/       OPC_EmitMergeInputChains1_0,
/* 42817*/       OPC_EmitInteger, MVT::i32, 0, 
/* 42820*/       OPC_EmitConvertToTarget, 2,
/* 42822*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XCHG_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_swap:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_16>> - Complexity = 11
                 // Dst: (ATOMIC_RMW16_U_XCHG_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 42832*/      /*Scope*/ 20, /*->42853*/
/* 42833*/       OPC_CheckPredicate, 1, // Predicate_atomic_swap_8
/* 42835*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 42837*/       OPC_EmitMergeInputChains1_0,
/* 42838*/       OPC_EmitInteger, MVT::i32, 0, 
/* 42841*/       OPC_EmitConvertToTarget, 2,
/* 42843*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XCHG_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_swap:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_8>> - Complexity = 11
                 // Dst: (ATOMIC_RMW8_U_XCHG_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 42853*/      /*Scope*/ 20, /*->42874*/
/* 42854*/       OPC_CheckPredicate, 2, // Predicate_atomic_swap_16
/* 42856*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 42858*/       OPC_EmitMergeInputChains1_0,
/* 42859*/       OPC_EmitInteger, MVT::i32, 0, 
/* 42862*/       OPC_EmitConvertToTarget, 2,
/* 42864*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XCHG_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_swap:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_16>> - Complexity = 11
                 // Dst: (ATOMIC_RMW16_U_XCHG_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 42874*/      0, /*End of Scope*/
/* 42875*/     /*SwitchType*/ 20, MVT::i64,// ->42897
/* 42877*/      OPC_CheckPredicate, 7, // Predicate_atomic_swap_64
/* 42879*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 42881*/      OPC_EmitMergeInputChains1_0,
/* 42882*/      OPC_EmitInteger, MVT::i32, 0, 
/* 42885*/      OPC_EmitConvertToTarget, 2,
/* 42887*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_XCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                // Src: (atomic_swap:{ *:[i64] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, i64:{ *:[i64] }:$val)<<P:Predicate_atomic_swap_64>> - Complexity = 11
                // Dst: (ATOMIC_RMW_XCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 42897*/     0, // EndSwitchType
/* 42898*/    0, // EndSwitchType
/* 42899*/   /*SwitchOpcode*/ 31|128,2/*287*/, TARGET_VAL(ISD::OR),// ->43190
/* 42903*/    OPC_RecordChild0, // #1 = $addr
/* 42904*/    OPC_RecordChild1, // #2 = $off
/* 42905*/    OPC_MoveChild1,
/* 42906*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 42909*/    OPC_MoveParent,
/* 42910*/    OPC_CheckPredicate, 3, // Predicate_or_is_add
/* 42912*/    OPC_SwitchType /*2 cases */, 7|128,1/*135*/, MVT::i32,// ->43051
/* 42916*/     OPC_MoveParent,
/* 42917*/     OPC_RecordChild2, // #3 = $val
/* 42918*/     OPC_SwitchType /*2 cases */, 107, MVT::i32,// ->43028
/* 42921*/      OPC_Scope, 20, /*->42943*/ // 5 children in Scope
/* 42923*/       OPC_CheckPredicate, 4, // Predicate_atomic_swap_32
/* 42925*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 42927*/       OPC_EmitMergeInputChains1_0,
/* 42928*/       OPC_EmitInteger, MVT::i32, 0, 
/* 42931*/       OPC_EmitConvertToTarget, 2,
/* 42933*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_XCHG_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_swap:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_32>> - Complexity = 11
                 // Dst: (ATOMIC_RMW_XCHG_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 42943*/      /*Scope*/ 20, /*->42964*/
/* 42944*/       OPC_CheckPredicate, 1, // Predicate_atomic_swap_8
/* 42946*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 42948*/       OPC_EmitMergeInputChains1_0,
/* 42949*/       OPC_EmitInteger, MVT::i32, 0, 
/* 42952*/       OPC_EmitConvertToTarget, 2,
/* 42954*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XCHG_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_swap:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_8>> - Complexity = 11
                 // Dst: (ATOMIC_RMW8_U_XCHG_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 42964*/      /*Scope*/ 20, /*->42985*/
/* 42965*/       OPC_CheckPredicate, 2, // Predicate_atomic_swap_16
/* 42967*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 42969*/       OPC_EmitMergeInputChains1_0,
/* 42970*/       OPC_EmitInteger, MVT::i32, 0, 
/* 42973*/       OPC_EmitConvertToTarget, 2,
/* 42975*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XCHG_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_swap:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_16>> - Complexity = 11
                 // Dst: (ATOMIC_RMW16_U_XCHG_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 42985*/      /*Scope*/ 20, /*->43006*/
/* 42986*/       OPC_CheckPredicate, 1, // Predicate_atomic_swap_8
/* 42988*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 42990*/       OPC_EmitMergeInputChains1_0,
/* 42991*/       OPC_EmitInteger, MVT::i32, 0, 
/* 42994*/       OPC_EmitConvertToTarget, 2,
/* 42996*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XCHG_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_swap:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_8>> - Complexity = 11
                 // Dst: (ATOMIC_RMW8_U_XCHG_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 43006*/      /*Scope*/ 20, /*->43027*/
/* 43007*/       OPC_CheckPredicate, 2, // Predicate_atomic_swap_16
/* 43009*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 43011*/       OPC_EmitMergeInputChains1_0,
/* 43012*/       OPC_EmitInteger, MVT::i32, 0, 
/* 43015*/       OPC_EmitConvertToTarget, 2,
/* 43017*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XCHG_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_swap:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_16>> - Complexity = 11
                 // Dst: (ATOMIC_RMW16_U_XCHG_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 43027*/      0, /*End of Scope*/
/* 43028*/     /*SwitchType*/ 20, MVT::i64,// ->43050
/* 43030*/      OPC_CheckPredicate, 7, // Predicate_atomic_swap_64
/* 43032*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 43034*/      OPC_EmitMergeInputChains1_0,
/* 43035*/      OPC_EmitInteger, MVT::i32, 0, 
/* 43038*/      OPC_EmitConvertToTarget, 2,
/* 43040*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_XCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                // Src: (atomic_swap:{ *:[i64] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, i64:{ *:[i64] }:$val)<<P:Predicate_atomic_swap_64>> - Complexity = 11
                // Dst: (ATOMIC_RMW_XCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 43050*/     0, // EndSwitchType
/* 43051*/    /*SwitchType*/ 7|128,1/*135*/, MVT::i64,// ->43189
/* 43054*/     OPC_MoveParent,
/* 43055*/     OPC_RecordChild2, // #3 = $val
/* 43056*/     OPC_SwitchType /*2 cases */, 107, MVT::i32,// ->43166
/* 43059*/      OPC_Scope, 20, /*->43081*/ // 5 children in Scope
/* 43061*/       OPC_CheckPredicate, 4, // Predicate_atomic_swap_32
/* 43063*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 43065*/       OPC_EmitMergeInputChains1_0,
/* 43066*/       OPC_EmitInteger, MVT::i32, 0, 
/* 43069*/       OPC_EmitConvertToTarget, 2,
/* 43071*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_XCHG_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_swap:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_32>> - Complexity = 11
                 // Dst: (ATOMIC_RMW_XCHG_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 43081*/      /*Scope*/ 20, /*->43102*/
/* 43082*/       OPC_CheckPredicate, 1, // Predicate_atomic_swap_8
/* 43084*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 43086*/       OPC_EmitMergeInputChains1_0,
/* 43087*/       OPC_EmitInteger, MVT::i32, 0, 
/* 43090*/       OPC_EmitConvertToTarget, 2,
/* 43092*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XCHG_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_swap:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_8>> - Complexity = 11
                 // Dst: (ATOMIC_RMW8_U_XCHG_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 43102*/      /*Scope*/ 20, /*->43123*/
/* 43103*/       OPC_CheckPredicate, 2, // Predicate_atomic_swap_16
/* 43105*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 43107*/       OPC_EmitMergeInputChains1_0,
/* 43108*/       OPC_EmitInteger, MVT::i32, 0, 
/* 43111*/       OPC_EmitConvertToTarget, 2,
/* 43113*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XCHG_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_swap:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_16>> - Complexity = 11
                 // Dst: (ATOMIC_RMW16_U_XCHG_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 43123*/      /*Scope*/ 20, /*->43144*/
/* 43124*/       OPC_CheckPredicate, 1, // Predicate_atomic_swap_8
/* 43126*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 43128*/       OPC_EmitMergeInputChains1_0,
/* 43129*/       OPC_EmitInteger, MVT::i32, 0, 
/* 43132*/       OPC_EmitConvertToTarget, 2,
/* 43134*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XCHG_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_swap:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_8>> - Complexity = 11
                 // Dst: (ATOMIC_RMW8_U_XCHG_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 43144*/      /*Scope*/ 20, /*->43165*/
/* 43145*/       OPC_CheckPredicate, 2, // Predicate_atomic_swap_16
/* 43147*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 43149*/       OPC_EmitMergeInputChains1_0,
/* 43150*/       OPC_EmitInteger, MVT::i32, 0, 
/* 43153*/       OPC_EmitConvertToTarget, 2,
/* 43155*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XCHG_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 4, 5, 1, 3, 
                 // Src: (atomic_swap:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_16>> - Complexity = 11
                 // Dst: (ATOMIC_RMW16_U_XCHG_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 43165*/      0, /*End of Scope*/
/* 43166*/     /*SwitchType*/ 20, MVT::i64,// ->43188
/* 43168*/      OPC_CheckPredicate, 7, // Predicate_atomic_swap_64
/* 43170*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 43172*/      OPC_EmitMergeInputChains1_0,
/* 43173*/      OPC_EmitInteger, MVT::i32, 0, 
/* 43176*/      OPC_EmitConvertToTarget, 2,
/* 43178*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_XCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 4/*#Ops*/, 4, 5, 1, 3, 
                // Src: (atomic_swap:{ *:[i64] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, i64:{ *:[i64] }:$val)<<P:Predicate_atomic_swap_64>> - Complexity = 11
                // Dst: (ATOMIC_RMW_XCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 43188*/     0, // EndSwitchType
/* 43189*/    0, // EndSwitchType
/* 43190*/   /*SwitchOpcode*/ 114|128,2/*370*/, TARGET_VAL(WebAssemblyISD::Wrapper),// ->43564
/* 43194*/    OPC_RecordChild0, // #1 = $off
/* 43195*/    OPC_MoveChild0,
/* 43196*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 43199*/    OPC_MoveParent,
/* 43200*/    OPC_MoveParent,
/* 43201*/    OPC_RecordChild2, // #2 = $val
/* 43202*/    OPC_SwitchType /*2 cases */, 41|128,2/*297*/, MVT::i32,// ->43503
/* 43206*/     OPC_Scope, 58, /*->43266*/ // 5 children in Scope
/* 43208*/      OPC_CheckPredicate, 4, // Predicate_atomic_swap_32
/* 43210*/      OPC_Scope, 26, /*->43238*/ // 2 children in Scope
/* 43212*/       OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 43214*/       OPC_EmitMergeInputChains1_0,
/* 43215*/       OPC_EmitInteger, MVT::i32, 0, 
/* 43218*/       OPC_EmitInteger, MVT::i32, 0, 
/* 43221*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 43228*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_XCHG_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_swap:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_32>> - Complexity = 10
                 // Dst: (ATOMIC_RMW_XCHG_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 43238*/      /*Scope*/ 26, /*->43265*/
/* 43239*/       OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 43241*/       OPC_EmitMergeInputChains1_0,
/* 43242*/       OPC_EmitInteger, MVT::i32, 0, 
/* 43245*/       OPC_EmitInteger, MVT::i64, 0, 
/* 43248*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 43255*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_XCHG_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_swap:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_32>> - Complexity = 10
                 // Dst: (ATOMIC_RMW_XCHG_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 43265*/      0, /*End of Scope*/
/* 43266*/     /*Scope*/ 58, /*->43325*/
/* 43267*/      OPC_CheckPredicate, 1, // Predicate_atomic_swap_8
/* 43269*/      OPC_Scope, 26, /*->43297*/ // 2 children in Scope
/* 43271*/       OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 43273*/       OPC_EmitMergeInputChains1_0,
/* 43274*/       OPC_EmitInteger, MVT::i32, 0, 
/* 43277*/       OPC_EmitInteger, MVT::i32, 0, 
/* 43280*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 43287*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XCHG_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_swap:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_8>> - Complexity = 10
                 // Dst: (ATOMIC_RMW8_U_XCHG_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 43297*/      /*Scope*/ 26, /*->43324*/
/* 43298*/       OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 43300*/       OPC_EmitMergeInputChains1_0,
/* 43301*/       OPC_EmitInteger, MVT::i32, 0, 
/* 43304*/       OPC_EmitInteger, MVT::i64, 0, 
/* 43307*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 43314*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XCHG_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_swap:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_8>> - Complexity = 10
                 // Dst: (ATOMIC_RMW8_U_XCHG_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 43324*/      0, /*End of Scope*/
/* 43325*/     /*Scope*/ 58, /*->43384*/
/* 43326*/      OPC_CheckPredicate, 2, // Predicate_atomic_swap_16
/* 43328*/      OPC_Scope, 26, /*->43356*/ // 2 children in Scope
/* 43330*/       OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 43332*/       OPC_EmitMergeInputChains1_0,
/* 43333*/       OPC_EmitInteger, MVT::i32, 0, 
/* 43336*/       OPC_EmitInteger, MVT::i32, 0, 
/* 43339*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 43346*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XCHG_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_swap:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_16>> - Complexity = 10
                 // Dst: (ATOMIC_RMW16_U_XCHG_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 43356*/      /*Scope*/ 26, /*->43383*/
/* 43357*/       OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 43359*/       OPC_EmitMergeInputChains1_0,
/* 43360*/       OPC_EmitInteger, MVT::i32, 0, 
/* 43363*/       OPC_EmitInteger, MVT::i64, 0, 
/* 43366*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 43373*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XCHG_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_swap:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_16>> - Complexity = 10
                 // Dst: (ATOMIC_RMW16_U_XCHG_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 43383*/      0, /*End of Scope*/
/* 43384*/     /*Scope*/ 58, /*->43443*/
/* 43385*/      OPC_CheckPredicate, 1, // Predicate_atomic_swap_8
/* 43387*/      OPC_Scope, 26, /*->43415*/ // 2 children in Scope
/* 43389*/       OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 43391*/       OPC_EmitMergeInputChains1_0,
/* 43392*/       OPC_EmitInteger, MVT::i32, 0, 
/* 43395*/       OPC_EmitInteger, MVT::i32, 0, 
/* 43398*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 43405*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XCHG_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_swap:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_8>> - Complexity = 10
                 // Dst: (ATOMIC_RMW8_U_XCHG_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 43415*/      /*Scope*/ 26, /*->43442*/
/* 43416*/       OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 43418*/       OPC_EmitMergeInputChains1_0,
/* 43419*/       OPC_EmitInteger, MVT::i32, 0, 
/* 43422*/       OPC_EmitInteger, MVT::i64, 0, 
/* 43425*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 43432*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XCHG_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_swap:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_8>> - Complexity = 10
                 // Dst: (ATOMIC_RMW8_U_XCHG_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 43442*/      0, /*End of Scope*/
/* 43443*/     /*Scope*/ 58, /*->43502*/
/* 43444*/      OPC_CheckPredicate, 2, // Predicate_atomic_swap_16
/* 43446*/      OPC_Scope, 26, /*->43474*/ // 2 children in Scope
/* 43448*/       OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 43450*/       OPC_EmitMergeInputChains1_0,
/* 43451*/       OPC_EmitInteger, MVT::i32, 0, 
/* 43454*/       OPC_EmitInteger, MVT::i32, 0, 
/* 43457*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 43464*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XCHG_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_swap:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_16>> - Complexity = 10
                 // Dst: (ATOMIC_RMW16_U_XCHG_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 43474*/      /*Scope*/ 26, /*->43501*/
/* 43475*/       OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 43477*/       OPC_EmitMergeInputChains1_0,
/* 43478*/       OPC_EmitInteger, MVT::i32, 0, 
/* 43481*/       OPC_EmitInteger, MVT::i64, 0, 
/* 43484*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 43491*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XCHG_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 1, 5, 2, 
                 // Src: (atomic_swap:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_16>> - Complexity = 10
                 // Dst: (ATOMIC_RMW16_U_XCHG_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 43501*/      0, /*End of Scope*/
/* 43502*/     0, /*End of Scope*/
/* 43503*/    /*SwitchType*/ 58, MVT::i64,// ->43563
/* 43505*/     OPC_CheckPredicate, 7, // Predicate_atomic_swap_64
/* 43507*/     OPC_Scope, 26, /*->43535*/ // 2 children in Scope
/* 43509*/      OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 43511*/      OPC_EmitMergeInputChains1_0,
/* 43512*/      OPC_EmitInteger, MVT::i32, 0, 
/* 43515*/      OPC_EmitInteger, MVT::i32, 0, 
/* 43518*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 43525*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_XCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                // Src: (atomic_swap:{ *:[i64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i64:{ *:[i64] }:$val)<<P:Predicate_atomic_swap_64>> - Complexity = 10
                // Dst: (ATOMIC_RMW_XCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/* 43535*/     /*Scope*/ 26, /*->43562*/
/* 43536*/      OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 43538*/      OPC_EmitMergeInputChains1_0,
/* 43539*/      OPC_EmitInteger, MVT::i32, 0, 
/* 43542*/      OPC_EmitInteger, MVT::i64, 0, 
/* 43545*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 43552*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_XCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 4/*#Ops*/, 3, 1, 5, 2, 
                // Src: (atomic_swap:{ *:[i64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i64:{ *:[i64] }:$val)<<P:Predicate_atomic_swap_64>> - Complexity = 10
                // Dst: (ATOMIC_RMW_XCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/* 43562*/     0, /*End of Scope*/
/* 43563*/    0, // EndSwitchType
/* 43564*/   0, // EndSwitchOpcode
/* 43565*/  /*Scope*/ 45|128,5/*685*/, /*->44252*/
/* 43567*/   OPC_RecordChild1, // #1 = $off
/* 43568*/   OPC_Scope, 8|128,3/*392*/, /*->43963*/ // 3 children in Scope
/* 43571*/    OPC_MoveChild1,
/* 43572*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 43575*/    OPC_MoveParent,
/* 43576*/    OPC_RecordChild2, // #2 = $val
/* 43577*/    OPC_SwitchType /*2 cases */, 61|128,2/*317*/, MVT::i32,// ->43898
/* 43581*/     OPC_Scope, 62, /*->43645*/ // 5 children in Scope
/* 43583*/      OPC_CheckPredicate, 4, // Predicate_atomic_swap_32
/* 43585*/      OPC_Scope, 28, /*->43615*/ // 2 children in Scope
/* 43587*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 43589*/       OPC_EmitMergeInputChains1_0,
/* 43590*/       OPC_EmitInteger, MVT::i32, 0, 
/* 43593*/       OPC_EmitConvertToTarget, 1,
/* 43595*/       OPC_EmitInteger, MVT::i32, 0, 
/* 43598*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 43605*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_XCHG_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_swap:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_32>> - Complexity = 7
                 // Dst: (ATOMIC_RMW_XCHG_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 43615*/      /*Scope*/ 28, /*->43644*/
/* 43616*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 43618*/       OPC_EmitMergeInputChains1_0,
/* 43619*/       OPC_EmitInteger, MVT::i32, 0, 
/* 43622*/       OPC_EmitConvertToTarget, 1,
/* 43624*/       OPC_EmitInteger, MVT::i64, 0, 
/* 43627*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 43634*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_XCHG_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_swap:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_32>> - Complexity = 7
                 // Dst: (ATOMIC_RMW_XCHG_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 43644*/      0, /*End of Scope*/
/* 43645*/     /*Scope*/ 62, /*->43708*/
/* 43646*/      OPC_CheckPredicate, 1, // Predicate_atomic_swap_8
/* 43648*/      OPC_Scope, 28, /*->43678*/ // 2 children in Scope
/* 43650*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 43652*/       OPC_EmitMergeInputChains1_0,
/* 43653*/       OPC_EmitInteger, MVT::i32, 0, 
/* 43656*/       OPC_EmitConvertToTarget, 1,
/* 43658*/       OPC_EmitInteger, MVT::i32, 0, 
/* 43661*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 43668*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XCHG_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_swap:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_8>> - Complexity = 7
                 // Dst: (ATOMIC_RMW8_U_XCHG_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 43678*/      /*Scope*/ 28, /*->43707*/
/* 43679*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 43681*/       OPC_EmitMergeInputChains1_0,
/* 43682*/       OPC_EmitInteger, MVT::i32, 0, 
/* 43685*/       OPC_EmitConvertToTarget, 1,
/* 43687*/       OPC_EmitInteger, MVT::i64, 0, 
/* 43690*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 43697*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XCHG_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_swap:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_8>> - Complexity = 7
                 // Dst: (ATOMIC_RMW8_U_XCHG_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 43707*/      0, /*End of Scope*/
/* 43708*/     /*Scope*/ 62, /*->43771*/
/* 43709*/      OPC_CheckPredicate, 2, // Predicate_atomic_swap_16
/* 43711*/      OPC_Scope, 28, /*->43741*/ // 2 children in Scope
/* 43713*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 43715*/       OPC_EmitMergeInputChains1_0,
/* 43716*/       OPC_EmitInteger, MVT::i32, 0, 
/* 43719*/       OPC_EmitConvertToTarget, 1,
/* 43721*/       OPC_EmitInteger, MVT::i32, 0, 
/* 43724*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 43731*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XCHG_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_swap:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_16>> - Complexity = 7
                 // Dst: (ATOMIC_RMW16_U_XCHG_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 43741*/      /*Scope*/ 28, /*->43770*/
/* 43742*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 43744*/       OPC_EmitMergeInputChains1_0,
/* 43745*/       OPC_EmitInteger, MVT::i32, 0, 
/* 43748*/       OPC_EmitConvertToTarget, 1,
/* 43750*/       OPC_EmitInteger, MVT::i64, 0, 
/* 43753*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 43760*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XCHG_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_swap:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_16>> - Complexity = 7
                 // Dst: (ATOMIC_RMW16_U_XCHG_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 43770*/      0, /*End of Scope*/
/* 43771*/     /*Scope*/ 62, /*->43834*/
/* 43772*/      OPC_CheckPredicate, 1, // Predicate_atomic_swap_8
/* 43774*/      OPC_Scope, 28, /*->43804*/ // 2 children in Scope
/* 43776*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 43778*/       OPC_EmitMergeInputChains1_0,
/* 43779*/       OPC_EmitInteger, MVT::i32, 0, 
/* 43782*/       OPC_EmitConvertToTarget, 1,
/* 43784*/       OPC_EmitInteger, MVT::i32, 0, 
/* 43787*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 43794*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XCHG_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_swap:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_8>> - Complexity = 7
                 // Dst: (ATOMIC_RMW8_U_XCHG_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 43804*/      /*Scope*/ 28, /*->43833*/
/* 43805*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 43807*/       OPC_EmitMergeInputChains1_0,
/* 43808*/       OPC_EmitInteger, MVT::i32, 0, 
/* 43811*/       OPC_EmitConvertToTarget, 1,
/* 43813*/       OPC_EmitInteger, MVT::i64, 0, 
/* 43816*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 43823*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XCHG_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_swap:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_8>> - Complexity = 7
                 // Dst: (ATOMIC_RMW8_U_XCHG_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 43833*/      0, /*End of Scope*/
/* 43834*/     /*Scope*/ 62, /*->43897*/
/* 43835*/      OPC_CheckPredicate, 2, // Predicate_atomic_swap_16
/* 43837*/      OPC_Scope, 28, /*->43867*/ // 2 children in Scope
/* 43839*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 43841*/       OPC_EmitMergeInputChains1_0,
/* 43842*/       OPC_EmitInteger, MVT::i32, 0, 
/* 43845*/       OPC_EmitConvertToTarget, 1,
/* 43847*/       OPC_EmitInteger, MVT::i32, 0, 
/* 43850*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 43857*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XCHG_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_swap:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_16>> - Complexity = 7
                 // Dst: (ATOMIC_RMW16_U_XCHG_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$val)
/* 43867*/      /*Scope*/ 28, /*->43896*/
/* 43868*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 43870*/       OPC_EmitMergeInputChains1_0,
/* 43871*/       OPC_EmitInteger, MVT::i32, 0, 
/* 43874*/       OPC_EmitConvertToTarget, 1,
/* 43876*/       OPC_EmitInteger, MVT::i64, 0, 
/* 43879*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 43886*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XCHG_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 4/*#Ops*/, 3, 4, 6, 2, 
                 // Src: (atomic_swap:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_16>> - Complexity = 7
                 // Dst: (ATOMIC_RMW16_U_XCHG_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$val)
/* 43896*/      0, /*End of Scope*/
/* 43897*/     0, /*End of Scope*/
/* 43898*/    /*SwitchType*/ 62, MVT::i64,// ->43962
/* 43900*/     OPC_CheckPredicate, 7, // Predicate_atomic_swap_64
/* 43902*/     OPC_Scope, 28, /*->43932*/ // 2 children in Scope
/* 43904*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 43906*/      OPC_EmitMergeInputChains1_0,
/* 43907*/      OPC_EmitInteger, MVT::i32, 0, 
/* 43910*/      OPC_EmitConvertToTarget, 1,
/* 43912*/      OPC_EmitInteger, MVT::i32, 0, 
/* 43915*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 43922*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_XCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                // Src: (atomic_swap:{ *:[i64] } (imm:{ *:[iPTR] }):$off, i64:{ *:[i64] }:$val)<<P:Predicate_atomic_swap_64>> - Complexity = 7
                // Dst: (ATOMIC_RMW_XCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$val)
/* 43932*/     /*Scope*/ 28, /*->43961*/
/* 43933*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 43935*/      OPC_EmitMergeInputChains1_0,
/* 43936*/      OPC_EmitInteger, MVT::i32, 0, 
/* 43939*/      OPC_EmitConvertToTarget, 1,
/* 43941*/      OPC_EmitInteger, MVT::i64, 0, 
/* 43944*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 43951*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_XCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 4/*#Ops*/, 3, 4, 6, 2, 
                // Src: (atomic_swap:{ *:[i64] } (imm:{ *:[iPTR] }):$off, i64:{ *:[i64] }:$val)<<P:Predicate_atomic_swap_64>> - Complexity = 7
                // Dst: (ATOMIC_RMW_XCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$val)
/* 43961*/     0, /*End of Scope*/
/* 43962*/    0, // EndSwitchType
/* 43963*/   /*Scope*/ 14|128,1/*142*/, /*->44107*/
/* 43965*/    OPC_CheckChild1Type, MVT::i32,
/* 43967*/    OPC_RecordChild2, // #2 = $val
/* 43968*/    OPC_SwitchType /*2 cases */, 112, MVT::i32,// ->44083
/* 43971*/     OPC_Scope, 21, /*->43994*/ // 5 children in Scope
/* 43973*/      OPC_CheckPredicate, 4, // Predicate_atomic_swap_32
/* 43975*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 43977*/      OPC_EmitMergeInputChains1_0,
/* 43978*/      OPC_EmitInteger, MVT::i32, 0, 
/* 43981*/      OPC_EmitInteger, MVT::i32, 0, 
/* 43984*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_XCHG_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_swap:{ *:[i32] } I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_32>> - Complexity = 4
                // Dst: (ATOMIC_RMW_XCHG_I32_A32:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 43994*/     /*Scope*/ 21, /*->44016*/
/* 43995*/      OPC_CheckPredicate, 1, // Predicate_atomic_swap_8
/* 43997*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 43999*/      OPC_EmitMergeInputChains1_0,
/* 44000*/      OPC_EmitInteger, MVT::i32, 0, 
/* 44003*/      OPC_EmitInteger, MVT::i32, 0, 
/* 44006*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XCHG_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_swap:{ *:[i32] } I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_8>> - Complexity = 4
                // Dst: (ATOMIC_RMW8_U_XCHG_I32_A32:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 44016*/     /*Scope*/ 21, /*->44038*/
/* 44017*/      OPC_CheckPredicate, 2, // Predicate_atomic_swap_16
/* 44019*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 44021*/      OPC_EmitMergeInputChains1_0,
/* 44022*/      OPC_EmitInteger, MVT::i32, 0, 
/* 44025*/      OPC_EmitInteger, MVT::i32, 0, 
/* 44028*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XCHG_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_swap:{ *:[i32] } I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_16>> - Complexity = 4
                // Dst: (ATOMIC_RMW16_U_XCHG_I32_A32:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 44038*/     /*Scope*/ 21, /*->44060*/
/* 44039*/      OPC_CheckPredicate, 1, // Predicate_atomic_swap_8
/* 44041*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 44043*/      OPC_EmitMergeInputChains1_0,
/* 44044*/      OPC_EmitInteger, MVT::i32, 0, 
/* 44047*/      OPC_EmitInteger, MVT::i32, 0, 
/* 44050*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XCHG_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_swap:{ *:[i32] } I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_8>> - Complexity = 4
                // Dst: (ATOMIC_RMW8_U_XCHG_I32_A32:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 44060*/     /*Scope*/ 21, /*->44082*/
/* 44061*/      OPC_CheckPredicate, 2, // Predicate_atomic_swap_16
/* 44063*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 44065*/      OPC_EmitMergeInputChains1_0,
/* 44066*/      OPC_EmitInteger, MVT::i32, 0, 
/* 44069*/      OPC_EmitInteger, MVT::i32, 0, 
/* 44072*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XCHG_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_swap:{ *:[i32] } I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_16>> - Complexity = 4
                // Dst: (ATOMIC_RMW16_U_XCHG_I32_A32:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$val)
/* 44082*/     0, /*End of Scope*/
/* 44083*/    /*SwitchType*/ 21, MVT::i64,// ->44106
/* 44085*/     OPC_CheckPredicate, 7, // Predicate_atomic_swap_64
/* 44087*/     OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 44089*/     OPC_EmitMergeInputChains1_0,
/* 44090*/     OPC_EmitInteger, MVT::i32, 0, 
/* 44093*/     OPC_EmitInteger, MVT::i32, 0, 
/* 44096*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_XCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
               // Src: (atomic_swap:{ *:[i64] } I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)<<P:Predicate_atomic_swap_64>> - Complexity = 4
               // Dst: (ATOMIC_RMW_XCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$val)
/* 44106*/    0, // EndSwitchType
/* 44107*/   /*Scope*/ 14|128,1/*142*/, /*->44251*/
/* 44109*/    OPC_CheckChild1Type, MVT::i64,
/* 44111*/    OPC_RecordChild2, // #2 = $val
/* 44112*/    OPC_SwitchType /*2 cases */, 112, MVT::i32,// ->44227
/* 44115*/     OPC_Scope, 21, /*->44138*/ // 5 children in Scope
/* 44117*/      OPC_CheckPredicate, 4, // Predicate_atomic_swap_32
/* 44119*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 44121*/      OPC_EmitMergeInputChains1_0,
/* 44122*/      OPC_EmitInteger, MVT::i32, 0, 
/* 44125*/      OPC_EmitInteger, MVT::i64, 0, 
/* 44128*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_XCHG_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_swap:{ *:[i32] } I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_32>> - Complexity = 4
                // Dst: (ATOMIC_RMW_XCHG_I32_A64:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 44138*/     /*Scope*/ 21, /*->44160*/
/* 44139*/      OPC_CheckPredicate, 1, // Predicate_atomic_swap_8
/* 44141*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 44143*/      OPC_EmitMergeInputChains1_0,
/* 44144*/      OPC_EmitInteger, MVT::i32, 0, 
/* 44147*/      OPC_EmitInteger, MVT::i64, 0, 
/* 44150*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XCHG_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_swap:{ *:[i32] } I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_8>> - Complexity = 4
                // Dst: (ATOMIC_RMW8_U_XCHG_I32_A64:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 44160*/     /*Scope*/ 21, /*->44182*/
/* 44161*/      OPC_CheckPredicate, 2, // Predicate_atomic_swap_16
/* 44163*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 44165*/      OPC_EmitMergeInputChains1_0,
/* 44166*/      OPC_EmitInteger, MVT::i32, 0, 
/* 44169*/      OPC_EmitInteger, MVT::i64, 0, 
/* 44172*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XCHG_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_swap:{ *:[i32] } I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_16>> - Complexity = 4
                // Dst: (ATOMIC_RMW16_U_XCHG_I32_A64:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 44182*/     /*Scope*/ 21, /*->44204*/
/* 44183*/      OPC_CheckPredicate, 1, // Predicate_atomic_swap_8
/* 44185*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 44187*/      OPC_EmitMergeInputChains1_0,
/* 44188*/      OPC_EmitInteger, MVT::i32, 0, 
/* 44191*/      OPC_EmitInteger, MVT::i64, 0, 
/* 44194*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_XCHG_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_swap:{ *:[i32] } I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_8>> - Complexity = 4
                // Dst: (ATOMIC_RMW8_U_XCHG_I32_A64:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 44204*/     /*Scope*/ 21, /*->44226*/
/* 44205*/      OPC_CheckPredicate, 2, // Predicate_atomic_swap_16
/* 44207*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 44209*/      OPC_EmitMergeInputChains1_0,
/* 44210*/      OPC_EmitInteger, MVT::i32, 0, 
/* 44213*/      OPC_EmitInteger, MVT::i64, 0, 
/* 44216*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_XCHG_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 4/*#Ops*/, 3, 4, 1, 2, 
                // Src: (atomic_swap:{ *:[i32] } I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)<<P:Predicate_atomic_swap_16>> - Complexity = 4
                // Dst: (ATOMIC_RMW16_U_XCHG_I32_A64:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$val)
/* 44226*/     0, /*End of Scope*/
/* 44227*/    /*SwitchType*/ 21, MVT::i64,// ->44250
/* 44229*/     OPC_CheckPredicate, 7, // Predicate_atomic_swap_64
/* 44231*/     OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 44233*/     OPC_EmitMergeInputChains1_0,
/* 44234*/     OPC_EmitInteger, MVT::i32, 0, 
/* 44237*/     OPC_EmitInteger, MVT::i64, 0, 
/* 44240*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_XCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::i64, 4/*#Ops*/, 3, 4, 1, 2, 
               // Src: (atomic_swap:{ *:[i64] } I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)<<P:Predicate_atomic_swap_64>> - Complexity = 4
               // Dst: (ATOMIC_RMW_XCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$val)
/* 44250*/    0, // EndSwitchType
/* 44251*/   0, /*End of Scope*/
/* 44252*/  0, /*End of Scope*/
/* 44253*/ /*SwitchOpcode*/ 124|128,12/*1660*/, TARGET_VAL(ISD::ATOMIC_CMP_SWAP),// ->45917
/* 44257*/  OPC_RecordMemRef,
/* 44258*/  OPC_RecordNode, // #0 = 'atomic_cmp_swap' chained node
/* 44259*/  OPC_Scope, 104|128,7/*1000*/, /*->45262*/ // 2 children in Scope
/* 44262*/   OPC_MoveChild1,
/* 44263*/   OPC_SwitchOpcode /*3 cases */, 45|128,2/*301*/, TARGET_VAL(ISD::ADD),// ->44569
/* 44268*/    OPC_RecordChild0, // #1 = $addr
/* 44269*/    OPC_RecordChild1, // #2 = $off
/* 44270*/    OPC_MoveChild1,
/* 44271*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 44274*/    OPC_MoveParent,
/* 44275*/    OPC_CheckPredicate, 0, // Predicate_regPlusImm
/* 44277*/    OPC_SwitchType /*2 cases */, 14|128,1/*142*/, MVT::i32,// ->44423
/* 44281*/     OPC_MoveParent,
/* 44282*/     OPC_RecordChild2, // #3 = $exp
/* 44283*/     OPC_RecordChild3, // #4 = $new
/* 44284*/     OPC_SwitchType /*2 cases */, 112, MVT::i32,// ->44399
/* 44287*/      OPC_Scope, 21, /*->44310*/ // 5 children in Scope
/* 44289*/       OPC_CheckPredicate, 4, // Predicate_atomic_cmp_swap_32
/* 44291*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 44293*/       OPC_EmitMergeInputChains1_0,
/* 44294*/       OPC_EmitInteger, MVT::i32, 0, 
/* 44297*/       OPC_EmitConvertToTarget, 2,
/* 44299*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_CMPXCHG_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 5/*#Ops*/, 5, 6, 1, 3, 4, 
                 // Src: (atomic_cmp_swap:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_32>> - Complexity = 11
                 // Dst: (ATOMIC_RMW_CMPXCHG_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)
/* 44310*/      /*Scope*/ 21, /*->44332*/
/* 44311*/       OPC_CheckPredicate, 1, // Predicate_atomic_cmp_swap_8
/* 44313*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 44315*/       OPC_EmitMergeInputChains1_0,
/* 44316*/       OPC_EmitInteger, MVT::i32, 0, 
/* 44319*/       OPC_EmitConvertToTarget, 2,
/* 44321*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_CMPXCHG_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 5/*#Ops*/, 5, 6, 1, 3, 4, 
                 // Src: (atomic_cmp_swap:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_8>> - Complexity = 11
                 // Dst: (ATOMIC_RMW8_U_CMPXCHG_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)
/* 44332*/      /*Scope*/ 21, /*->44354*/
/* 44333*/       OPC_CheckPredicate, 2, // Predicate_atomic_cmp_swap_16
/* 44335*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 44337*/       OPC_EmitMergeInputChains1_0,
/* 44338*/       OPC_EmitInteger, MVT::i32, 0, 
/* 44341*/       OPC_EmitConvertToTarget, 2,
/* 44343*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_CMPXCHG_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 5/*#Ops*/, 5, 6, 1, 3, 4, 
                 // Src: (atomic_cmp_swap:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_16>> - Complexity = 11
                 // Dst: (ATOMIC_RMW16_U_CMPXCHG_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)
/* 44354*/      /*Scope*/ 21, /*->44376*/
/* 44355*/       OPC_CheckPredicate, 1, // Predicate_atomic_cmp_swap_8
/* 44357*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 44359*/       OPC_EmitMergeInputChains1_0,
/* 44360*/       OPC_EmitInteger, MVT::i32, 0, 
/* 44363*/       OPC_EmitConvertToTarget, 2,
/* 44365*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_CMPXCHG_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 5/*#Ops*/, 5, 6, 1, 3, 4, 
                 // Src: (atomic_cmp_swap:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_8>> - Complexity = 11
                 // Dst: (ATOMIC_RMW8_U_CMPXCHG_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)
/* 44376*/      /*Scope*/ 21, /*->44398*/
/* 44377*/       OPC_CheckPredicate, 2, // Predicate_atomic_cmp_swap_16
/* 44379*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 44381*/       OPC_EmitMergeInputChains1_0,
/* 44382*/       OPC_EmitInteger, MVT::i32, 0, 
/* 44385*/       OPC_EmitConvertToTarget, 2,
/* 44387*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_CMPXCHG_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 5/*#Ops*/, 5, 6, 1, 3, 4, 
                 // Src: (atomic_cmp_swap:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_16>> - Complexity = 11
                 // Dst: (ATOMIC_RMW16_U_CMPXCHG_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)
/* 44398*/      0, /*End of Scope*/
/* 44399*/     /*SwitchType*/ 21, MVT::i64,// ->44422
/* 44401*/      OPC_CheckPredicate, 7, // Predicate_atomic_cmp_swap_64
/* 44403*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 44405*/      OPC_EmitMergeInputChains1_0,
/* 44406*/      OPC_EmitInteger, MVT::i32, 0, 
/* 44409*/      OPC_EmitConvertToTarget, 2,
/* 44411*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_CMPXCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 5/*#Ops*/, 5, 6, 1, 3, 4, 
                // Src: (atomic_cmp_swap:{ *:[i64] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>, i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_64>> - Complexity = 11
                // Dst: (ATOMIC_RMW_CMPXCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)
/* 44422*/     0, // EndSwitchType
/* 44423*/    /*SwitchType*/ 14|128,1/*142*/, MVT::i64,// ->44568
/* 44426*/     OPC_MoveParent,
/* 44427*/     OPC_RecordChild2, // #3 = $exp
/* 44428*/     OPC_RecordChild3, // #4 = $new
/* 44429*/     OPC_SwitchType /*2 cases */, 112, MVT::i32,// ->44544
/* 44432*/      OPC_Scope, 21, /*->44455*/ // 5 children in Scope
/* 44434*/       OPC_CheckPredicate, 4, // Predicate_atomic_cmp_swap_32
/* 44436*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 44438*/       OPC_EmitMergeInputChains1_0,
/* 44439*/       OPC_EmitInteger, MVT::i32, 0, 
/* 44442*/       OPC_EmitConvertToTarget, 2,
/* 44444*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_CMPXCHG_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 5/*#Ops*/, 5, 6, 1, 3, 4, 
                 // Src: (atomic_cmp_swap:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_32>> - Complexity = 11
                 // Dst: (ATOMIC_RMW_CMPXCHG_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)
/* 44455*/      /*Scope*/ 21, /*->44477*/
/* 44456*/       OPC_CheckPredicate, 1, // Predicate_atomic_cmp_swap_8
/* 44458*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 44460*/       OPC_EmitMergeInputChains1_0,
/* 44461*/       OPC_EmitInteger, MVT::i32, 0, 
/* 44464*/       OPC_EmitConvertToTarget, 2,
/* 44466*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_CMPXCHG_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 5/*#Ops*/, 5, 6, 1, 3, 4, 
                 // Src: (atomic_cmp_swap:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_8>> - Complexity = 11
                 // Dst: (ATOMIC_RMW8_U_CMPXCHG_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)
/* 44477*/      /*Scope*/ 21, /*->44499*/
/* 44478*/       OPC_CheckPredicate, 2, // Predicate_atomic_cmp_swap_16
/* 44480*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 44482*/       OPC_EmitMergeInputChains1_0,
/* 44483*/       OPC_EmitInteger, MVT::i32, 0, 
/* 44486*/       OPC_EmitConvertToTarget, 2,
/* 44488*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_CMPXCHG_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 5/*#Ops*/, 5, 6, 1, 3, 4, 
                 // Src: (atomic_cmp_swap:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_16>> - Complexity = 11
                 // Dst: (ATOMIC_RMW16_U_CMPXCHG_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)
/* 44499*/      /*Scope*/ 21, /*->44521*/
/* 44500*/       OPC_CheckPredicate, 1, // Predicate_atomic_cmp_swap_8
/* 44502*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 44504*/       OPC_EmitMergeInputChains1_0,
/* 44505*/       OPC_EmitInteger, MVT::i32, 0, 
/* 44508*/       OPC_EmitConvertToTarget, 2,
/* 44510*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_CMPXCHG_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 5/*#Ops*/, 5, 6, 1, 3, 4, 
                 // Src: (atomic_cmp_swap:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_8>> - Complexity = 11
                 // Dst: (ATOMIC_RMW8_U_CMPXCHG_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)
/* 44521*/      /*Scope*/ 21, /*->44543*/
/* 44522*/       OPC_CheckPredicate, 2, // Predicate_atomic_cmp_swap_16
/* 44524*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 44526*/       OPC_EmitMergeInputChains1_0,
/* 44527*/       OPC_EmitInteger, MVT::i32, 0, 
/* 44530*/       OPC_EmitConvertToTarget, 2,
/* 44532*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_CMPXCHG_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 5/*#Ops*/, 5, 6, 1, 3, 4, 
                 // Src: (atomic_cmp_swap:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_16>> - Complexity = 11
                 // Dst: (ATOMIC_RMW16_U_CMPXCHG_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)
/* 44543*/      0, /*End of Scope*/
/* 44544*/     /*SwitchType*/ 21, MVT::i64,// ->44567
/* 44546*/      OPC_CheckPredicate, 7, // Predicate_atomic_cmp_swap_64
/* 44548*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 44550*/      OPC_EmitMergeInputChains1_0,
/* 44551*/      OPC_EmitInteger, MVT::i32, 0, 
/* 44554*/      OPC_EmitConvertToTarget, 2,
/* 44556*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_CMPXCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 5/*#Ops*/, 5, 6, 1, 3, 4, 
                // Src: (atomic_cmp_swap:{ *:[i64] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>, i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_64>> - Complexity = 11
                // Dst: (ATOMIC_RMW_CMPXCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)
/* 44567*/     0, // EndSwitchType
/* 44568*/    0, // EndSwitchType
/* 44569*/   /*SwitchOpcode*/ 45|128,2/*301*/, TARGET_VAL(ISD::OR),// ->44874
/* 44573*/    OPC_RecordChild0, // #1 = $addr
/* 44574*/    OPC_RecordChild1, // #2 = $off
/* 44575*/    OPC_MoveChild1,
/* 44576*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 44579*/    OPC_MoveParent,
/* 44580*/    OPC_CheckPredicate, 3, // Predicate_or_is_add
/* 44582*/    OPC_SwitchType /*2 cases */, 14|128,1/*142*/, MVT::i32,// ->44728
/* 44586*/     OPC_MoveParent,
/* 44587*/     OPC_RecordChild2, // #3 = $exp
/* 44588*/     OPC_RecordChild3, // #4 = $new
/* 44589*/     OPC_SwitchType /*2 cases */, 112, MVT::i32,// ->44704
/* 44592*/      OPC_Scope, 21, /*->44615*/ // 5 children in Scope
/* 44594*/       OPC_CheckPredicate, 4, // Predicate_atomic_cmp_swap_32
/* 44596*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 44598*/       OPC_EmitMergeInputChains1_0,
/* 44599*/       OPC_EmitInteger, MVT::i32, 0, 
/* 44602*/       OPC_EmitConvertToTarget, 2,
/* 44604*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_CMPXCHG_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 5/*#Ops*/, 5, 6, 1, 3, 4, 
                 // Src: (atomic_cmp_swap:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_32>> - Complexity = 11
                 // Dst: (ATOMIC_RMW_CMPXCHG_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)
/* 44615*/      /*Scope*/ 21, /*->44637*/
/* 44616*/       OPC_CheckPredicate, 1, // Predicate_atomic_cmp_swap_8
/* 44618*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 44620*/       OPC_EmitMergeInputChains1_0,
/* 44621*/       OPC_EmitInteger, MVT::i32, 0, 
/* 44624*/       OPC_EmitConvertToTarget, 2,
/* 44626*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_CMPXCHG_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 5/*#Ops*/, 5, 6, 1, 3, 4, 
                 // Src: (atomic_cmp_swap:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_8>> - Complexity = 11
                 // Dst: (ATOMIC_RMW8_U_CMPXCHG_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)
/* 44637*/      /*Scope*/ 21, /*->44659*/
/* 44638*/       OPC_CheckPredicate, 2, // Predicate_atomic_cmp_swap_16
/* 44640*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 44642*/       OPC_EmitMergeInputChains1_0,
/* 44643*/       OPC_EmitInteger, MVT::i32, 0, 
/* 44646*/       OPC_EmitConvertToTarget, 2,
/* 44648*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_CMPXCHG_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 5/*#Ops*/, 5, 6, 1, 3, 4, 
                 // Src: (atomic_cmp_swap:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_16>> - Complexity = 11
                 // Dst: (ATOMIC_RMW16_U_CMPXCHG_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)
/* 44659*/      /*Scope*/ 21, /*->44681*/
/* 44660*/       OPC_CheckPredicate, 1, // Predicate_atomic_cmp_swap_8
/* 44662*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 44664*/       OPC_EmitMergeInputChains1_0,
/* 44665*/       OPC_EmitInteger, MVT::i32, 0, 
/* 44668*/       OPC_EmitConvertToTarget, 2,
/* 44670*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_CMPXCHG_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 5/*#Ops*/, 5, 6, 1, 3, 4, 
                 // Src: (atomic_cmp_swap:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_8>> - Complexity = 11
                 // Dst: (ATOMIC_RMW8_U_CMPXCHG_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)
/* 44681*/      /*Scope*/ 21, /*->44703*/
/* 44682*/       OPC_CheckPredicate, 2, // Predicate_atomic_cmp_swap_16
/* 44684*/       OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 44686*/       OPC_EmitMergeInputChains1_0,
/* 44687*/       OPC_EmitInteger, MVT::i32, 0, 
/* 44690*/       OPC_EmitConvertToTarget, 2,
/* 44692*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_CMPXCHG_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 5/*#Ops*/, 5, 6, 1, 3, 4, 
                 // Src: (atomic_cmp_swap:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_16>> - Complexity = 11
                 // Dst: (ATOMIC_RMW16_U_CMPXCHG_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)
/* 44703*/      0, /*End of Scope*/
/* 44704*/     /*SwitchType*/ 21, MVT::i64,// ->44727
/* 44706*/      OPC_CheckPredicate, 7, // Predicate_atomic_cmp_swap_64
/* 44708*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 44710*/      OPC_EmitMergeInputChains1_0,
/* 44711*/      OPC_EmitInteger, MVT::i32, 0, 
/* 44714*/      OPC_EmitConvertToTarget, 2,
/* 44716*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_CMPXCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 5/*#Ops*/, 5, 6, 1, 3, 4, 
                // Src: (atomic_cmp_swap:{ *:[i64] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>, i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_64>> - Complexity = 11
                // Dst: (ATOMIC_RMW_CMPXCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)
/* 44727*/     0, // EndSwitchType
/* 44728*/    /*SwitchType*/ 14|128,1/*142*/, MVT::i64,// ->44873
/* 44731*/     OPC_MoveParent,
/* 44732*/     OPC_RecordChild2, // #3 = $exp
/* 44733*/     OPC_RecordChild3, // #4 = $new
/* 44734*/     OPC_SwitchType /*2 cases */, 112, MVT::i32,// ->44849
/* 44737*/      OPC_Scope, 21, /*->44760*/ // 5 children in Scope
/* 44739*/       OPC_CheckPredicate, 4, // Predicate_atomic_cmp_swap_32
/* 44741*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 44743*/       OPC_EmitMergeInputChains1_0,
/* 44744*/       OPC_EmitInteger, MVT::i32, 0, 
/* 44747*/       OPC_EmitConvertToTarget, 2,
/* 44749*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_CMPXCHG_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 5/*#Ops*/, 5, 6, 1, 3, 4, 
                 // Src: (atomic_cmp_swap:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_32>> - Complexity = 11
                 // Dst: (ATOMIC_RMW_CMPXCHG_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)
/* 44760*/      /*Scope*/ 21, /*->44782*/
/* 44761*/       OPC_CheckPredicate, 1, // Predicate_atomic_cmp_swap_8
/* 44763*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 44765*/       OPC_EmitMergeInputChains1_0,
/* 44766*/       OPC_EmitInteger, MVT::i32, 0, 
/* 44769*/       OPC_EmitConvertToTarget, 2,
/* 44771*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_CMPXCHG_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 5/*#Ops*/, 5, 6, 1, 3, 4, 
                 // Src: (atomic_cmp_swap:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_8>> - Complexity = 11
                 // Dst: (ATOMIC_RMW8_U_CMPXCHG_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)
/* 44782*/      /*Scope*/ 21, /*->44804*/
/* 44783*/       OPC_CheckPredicate, 2, // Predicate_atomic_cmp_swap_16
/* 44785*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 44787*/       OPC_EmitMergeInputChains1_0,
/* 44788*/       OPC_EmitInteger, MVT::i32, 0, 
/* 44791*/       OPC_EmitConvertToTarget, 2,
/* 44793*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_CMPXCHG_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 5/*#Ops*/, 5, 6, 1, 3, 4, 
                 // Src: (atomic_cmp_swap:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_16>> - Complexity = 11
                 // Dst: (ATOMIC_RMW16_U_CMPXCHG_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)
/* 44804*/      /*Scope*/ 21, /*->44826*/
/* 44805*/       OPC_CheckPredicate, 1, // Predicate_atomic_cmp_swap_8
/* 44807*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 44809*/       OPC_EmitMergeInputChains1_0,
/* 44810*/       OPC_EmitInteger, MVT::i32, 0, 
/* 44813*/       OPC_EmitConvertToTarget, 2,
/* 44815*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_CMPXCHG_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 5/*#Ops*/, 5, 6, 1, 3, 4, 
                 // Src: (atomic_cmp_swap:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_8>> - Complexity = 11
                 // Dst: (ATOMIC_RMW8_U_CMPXCHG_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)
/* 44826*/      /*Scope*/ 21, /*->44848*/
/* 44827*/       OPC_CheckPredicate, 2, // Predicate_atomic_cmp_swap_16
/* 44829*/       OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 44831*/       OPC_EmitMergeInputChains1_0,
/* 44832*/       OPC_EmitInteger, MVT::i32, 0, 
/* 44835*/       OPC_EmitConvertToTarget, 2,
/* 44837*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_CMPXCHG_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 5/*#Ops*/, 5, 6, 1, 3, 4, 
                 // Src: (atomic_cmp_swap:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_16>> - Complexity = 11
                 // Dst: (ATOMIC_RMW16_U_CMPXCHG_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)
/* 44848*/      0, /*End of Scope*/
/* 44849*/     /*SwitchType*/ 21, MVT::i64,// ->44872
/* 44851*/      OPC_CheckPredicate, 7, // Predicate_atomic_cmp_swap_64
/* 44853*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 44855*/      OPC_EmitMergeInputChains1_0,
/* 44856*/      OPC_EmitInteger, MVT::i32, 0, 
/* 44859*/      OPC_EmitConvertToTarget, 2,
/* 44861*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_CMPXCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 5/*#Ops*/, 5, 6, 1, 3, 4, 
                // Src: (atomic_cmp_swap:{ *:[i64] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>, i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_64>> - Complexity = 11
                // Dst: (ATOMIC_RMW_CMPXCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)
/* 44872*/     0, // EndSwitchType
/* 44873*/    0, // EndSwitchType
/* 44874*/   /*SwitchOpcode*/ 127|128,2/*383*/, TARGET_VAL(WebAssemblyISD::Wrapper),// ->45261
/* 44878*/    OPC_RecordChild0, // #1 = $off
/* 44879*/    OPC_MoveChild0,
/* 44880*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 44883*/    OPC_MoveParent,
/* 44884*/    OPC_MoveParent,
/* 44885*/    OPC_RecordChild2, // #2 = $exp
/* 44886*/    OPC_RecordChild3, // #3 = $new
/* 44887*/    OPC_SwitchType /*2 cases */, 51|128,2/*307*/, MVT::i32,// ->45198
/* 44891*/     OPC_Scope, 60, /*->44953*/ // 5 children in Scope
/* 44893*/      OPC_CheckPredicate, 4, // Predicate_atomic_cmp_swap_32
/* 44895*/      OPC_Scope, 27, /*->44924*/ // 2 children in Scope
/* 44897*/       OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 44899*/       OPC_EmitMergeInputChains1_0,
/* 44900*/       OPC_EmitInteger, MVT::i32, 0, 
/* 44903*/       OPC_EmitInteger, MVT::i32, 0, 
/* 44906*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 44913*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_CMPXCHG_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 5/*#Ops*/, 4, 1, 6, 2, 3, 
                 // Src: (atomic_cmp_swap:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_32>> - Complexity = 10
                 // Dst: (ATOMIC_RMW_CMPXCHG_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)
/* 44924*/      /*Scope*/ 27, /*->44952*/
/* 44925*/       OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 44927*/       OPC_EmitMergeInputChains1_0,
/* 44928*/       OPC_EmitInteger, MVT::i32, 0, 
/* 44931*/       OPC_EmitInteger, MVT::i64, 0, 
/* 44934*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 44941*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_CMPXCHG_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 5/*#Ops*/, 4, 1, 6, 2, 3, 
                 // Src: (atomic_cmp_swap:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_32>> - Complexity = 10
                 // Dst: (ATOMIC_RMW_CMPXCHG_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)
/* 44952*/      0, /*End of Scope*/
/* 44953*/     /*Scope*/ 60, /*->45014*/
/* 44954*/      OPC_CheckPredicate, 1, // Predicate_atomic_cmp_swap_8
/* 44956*/      OPC_Scope, 27, /*->44985*/ // 2 children in Scope
/* 44958*/       OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 44960*/       OPC_EmitMergeInputChains1_0,
/* 44961*/       OPC_EmitInteger, MVT::i32, 0, 
/* 44964*/       OPC_EmitInteger, MVT::i32, 0, 
/* 44967*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 44974*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_CMPXCHG_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 5/*#Ops*/, 4, 1, 6, 2, 3, 
                 // Src: (atomic_cmp_swap:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_8>> - Complexity = 10
                 // Dst: (ATOMIC_RMW8_U_CMPXCHG_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)
/* 44985*/      /*Scope*/ 27, /*->45013*/
/* 44986*/       OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 44988*/       OPC_EmitMergeInputChains1_0,
/* 44989*/       OPC_EmitInteger, MVT::i32, 0, 
/* 44992*/       OPC_EmitInteger, MVT::i64, 0, 
/* 44995*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 45002*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_CMPXCHG_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 5/*#Ops*/, 4, 1, 6, 2, 3, 
                 // Src: (atomic_cmp_swap:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_8>> - Complexity = 10
                 // Dst: (ATOMIC_RMW8_U_CMPXCHG_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)
/* 45013*/      0, /*End of Scope*/
/* 45014*/     /*Scope*/ 60, /*->45075*/
/* 45015*/      OPC_CheckPredicate, 2, // Predicate_atomic_cmp_swap_16
/* 45017*/      OPC_Scope, 27, /*->45046*/ // 2 children in Scope
/* 45019*/       OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 45021*/       OPC_EmitMergeInputChains1_0,
/* 45022*/       OPC_EmitInteger, MVT::i32, 0, 
/* 45025*/       OPC_EmitInteger, MVT::i32, 0, 
/* 45028*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 45035*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_CMPXCHG_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 5/*#Ops*/, 4, 1, 6, 2, 3, 
                 // Src: (atomic_cmp_swap:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_16>> - Complexity = 10
                 // Dst: (ATOMIC_RMW16_U_CMPXCHG_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)
/* 45046*/      /*Scope*/ 27, /*->45074*/
/* 45047*/       OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 45049*/       OPC_EmitMergeInputChains1_0,
/* 45050*/       OPC_EmitInteger, MVT::i32, 0, 
/* 45053*/       OPC_EmitInteger, MVT::i64, 0, 
/* 45056*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 45063*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_CMPXCHG_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 5/*#Ops*/, 4, 1, 6, 2, 3, 
                 // Src: (atomic_cmp_swap:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_16>> - Complexity = 10
                 // Dst: (ATOMIC_RMW16_U_CMPXCHG_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)
/* 45074*/      0, /*End of Scope*/
/* 45075*/     /*Scope*/ 60, /*->45136*/
/* 45076*/      OPC_CheckPredicate, 1, // Predicate_atomic_cmp_swap_8
/* 45078*/      OPC_Scope, 27, /*->45107*/ // 2 children in Scope
/* 45080*/       OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 45082*/       OPC_EmitMergeInputChains1_0,
/* 45083*/       OPC_EmitInteger, MVT::i32, 0, 
/* 45086*/       OPC_EmitInteger, MVT::i32, 0, 
/* 45089*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 45096*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_CMPXCHG_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 5/*#Ops*/, 4, 1, 6, 2, 3, 
                 // Src: (atomic_cmp_swap:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_8>> - Complexity = 10
                 // Dst: (ATOMIC_RMW8_U_CMPXCHG_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)
/* 45107*/      /*Scope*/ 27, /*->45135*/
/* 45108*/       OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 45110*/       OPC_EmitMergeInputChains1_0,
/* 45111*/       OPC_EmitInteger, MVT::i32, 0, 
/* 45114*/       OPC_EmitInteger, MVT::i64, 0, 
/* 45117*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 45124*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_CMPXCHG_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 5/*#Ops*/, 4, 1, 6, 2, 3, 
                 // Src: (atomic_cmp_swap:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_8>> - Complexity = 10
                 // Dst: (ATOMIC_RMW8_U_CMPXCHG_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)
/* 45135*/      0, /*End of Scope*/
/* 45136*/     /*Scope*/ 60, /*->45197*/
/* 45137*/      OPC_CheckPredicate, 2, // Predicate_atomic_cmp_swap_16
/* 45139*/      OPC_Scope, 27, /*->45168*/ // 2 children in Scope
/* 45141*/       OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 45143*/       OPC_EmitMergeInputChains1_0,
/* 45144*/       OPC_EmitInteger, MVT::i32, 0, 
/* 45147*/       OPC_EmitInteger, MVT::i32, 0, 
/* 45150*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 45157*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_CMPXCHG_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 5/*#Ops*/, 4, 1, 6, 2, 3, 
                 // Src: (atomic_cmp_swap:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_16>> - Complexity = 10
                 // Dst: (ATOMIC_RMW16_U_CMPXCHG_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)
/* 45168*/      /*Scope*/ 27, /*->45196*/
/* 45169*/       OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 45171*/       OPC_EmitMergeInputChains1_0,
/* 45172*/       OPC_EmitInteger, MVT::i32, 0, 
/* 45175*/       OPC_EmitInteger, MVT::i64, 0, 
/* 45178*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 45185*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_CMPXCHG_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 5/*#Ops*/, 4, 1, 6, 2, 3, 
                 // Src: (atomic_cmp_swap:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_16>> - Complexity = 10
                 // Dst: (ATOMIC_RMW16_U_CMPXCHG_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)
/* 45196*/      0, /*End of Scope*/
/* 45197*/     0, /*End of Scope*/
/* 45198*/    /*SwitchType*/ 60, MVT::i64,// ->45260
/* 45200*/     OPC_CheckPredicate, 7, // Predicate_atomic_cmp_swap_64
/* 45202*/     OPC_Scope, 27, /*->45231*/ // 2 children in Scope
/* 45204*/      OPC_CheckPatternPredicate, 2, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 45206*/      OPC_EmitMergeInputChains1_0,
/* 45207*/      OPC_EmitInteger, MVT::i32, 0, 
/* 45210*/      OPC_EmitInteger, MVT::i32, 0, 
/* 45213*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 5,  // Results = #6
/* 45220*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_CMPXCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 5/*#Ops*/, 4, 1, 6, 2, 3, 
                // Src: (atomic_cmp_swap:{ *:[i64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_64>> - Complexity = 10
                // Dst: (ATOMIC_RMW_CMPXCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)
/* 45231*/     /*Scope*/ 27, /*->45259*/
/* 45232*/      OPC_CheckPatternPredicate, 3, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent())
/* 45234*/      OPC_EmitMergeInputChains1_0,
/* 45235*/      OPC_EmitInteger, MVT::i32, 0, 
/* 45238*/      OPC_EmitInteger, MVT::i64, 0, 
/* 45241*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 5,  // Results = #6
/* 45248*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_CMPXCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 5/*#Ops*/, 4, 1, 6, 2, 3, 
                // Src: (atomic_cmp_swap:{ *:[i64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off), i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_64>> - Complexity = 10
                // Dst: (ATOMIC_RMW_CMPXCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)
/* 45259*/     0, /*End of Scope*/
/* 45260*/    0, // EndSwitchType
/* 45261*/   0, // EndSwitchOpcode
/* 45262*/  /*Scope*/ 12|128,5/*652*/, /*->45916*/
/* 45264*/   OPC_RecordChild1, // #1 = $off
/* 45265*/   OPC_Scope, 89|128,2/*345*/, /*->45613*/ // 3 children in Scope
/* 45268*/    OPC_MoveChild1,
/* 45269*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 45272*/    OPC_MoveParent,
/* 45273*/    OPC_RecordChild2, // #2 = $exp
/* 45274*/    OPC_RecordChild3, // #3 = $new
/* 45275*/    OPC_SwitchType /*2 cases */, 21|128,2/*277*/, MVT::i32,// ->45556
/* 45279*/     OPC_Scope, 54, /*->45335*/ // 5 children in Scope
/* 45281*/      OPC_CheckPredicate, 4, // Predicate_atomic_cmp_swap_32
/* 45283*/      OPC_EmitMergeInputChains1_0,
/* 45284*/      OPC_EmitInteger, MVT::i32, 0, 
/* 45287*/      OPC_EmitConvertToTarget, 1,
/* 45289*/      OPC_Scope, 21, /*->45312*/ // 2 children in Scope
/* 45291*/       OPC_EmitInteger, MVT::i32, 0, 
/* 45294*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 6,  // Results = #7
/* 45301*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_CMPXCHG_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 5/*#Ops*/, 4, 5, 7, 2, 3, 
                 // Src: (atomic_cmp_swap:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_32>> - Complexity = 7
                 // Dst: (ATOMIC_RMW_CMPXCHG_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)
/* 45312*/      /*Scope*/ 21, /*->45334*/
/* 45313*/       OPC_EmitInteger, MVT::i64, 0, 
/* 45316*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 6,  // Results = #7
/* 45323*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_CMPXCHG_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 5/*#Ops*/, 4, 5, 7, 2, 3, 
                 // Src: (atomic_cmp_swap:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_32>> - Complexity = 7
                 // Dst: (ATOMIC_RMW_CMPXCHG_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)
/* 45334*/      0, /*End of Scope*/
/* 45335*/     /*Scope*/ 54, /*->45390*/
/* 45336*/      OPC_CheckPredicate, 1, // Predicate_atomic_cmp_swap_8
/* 45338*/      OPC_EmitMergeInputChains1_0,
/* 45339*/      OPC_EmitInteger, MVT::i32, 0, 
/* 45342*/      OPC_EmitConvertToTarget, 1,
/* 45344*/      OPC_Scope, 21, /*->45367*/ // 2 children in Scope
/* 45346*/       OPC_EmitInteger, MVT::i32, 0, 
/* 45349*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 6,  // Results = #7
/* 45356*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_CMPXCHG_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 5/*#Ops*/, 4, 5, 7, 2, 3, 
                 // Src: (atomic_cmp_swap:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_8>> - Complexity = 7
                 // Dst: (ATOMIC_RMW8_U_CMPXCHG_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)
/* 45367*/      /*Scope*/ 21, /*->45389*/
/* 45368*/       OPC_EmitInteger, MVT::i64, 0, 
/* 45371*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 6,  // Results = #7
/* 45378*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_CMPXCHG_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 5/*#Ops*/, 4, 5, 7, 2, 3, 
                 // Src: (atomic_cmp_swap:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_8>> - Complexity = 7
                 // Dst: (ATOMIC_RMW8_U_CMPXCHG_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)
/* 45389*/      0, /*End of Scope*/
/* 45390*/     /*Scope*/ 54, /*->45445*/
/* 45391*/      OPC_CheckPredicate, 2, // Predicate_atomic_cmp_swap_16
/* 45393*/      OPC_EmitMergeInputChains1_0,
/* 45394*/      OPC_EmitInteger, MVT::i32, 0, 
/* 45397*/      OPC_EmitConvertToTarget, 1,
/* 45399*/      OPC_Scope, 21, /*->45422*/ // 2 children in Scope
/* 45401*/       OPC_EmitInteger, MVT::i32, 0, 
/* 45404*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 6,  // Results = #7
/* 45411*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_CMPXCHG_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 5/*#Ops*/, 4, 5, 7, 2, 3, 
                 // Src: (atomic_cmp_swap:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_16>> - Complexity = 7
                 // Dst: (ATOMIC_RMW16_U_CMPXCHG_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)
/* 45422*/      /*Scope*/ 21, /*->45444*/
/* 45423*/       OPC_EmitInteger, MVT::i64, 0, 
/* 45426*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 6,  // Results = #7
/* 45433*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_CMPXCHG_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 5/*#Ops*/, 4, 5, 7, 2, 3, 
                 // Src: (atomic_cmp_swap:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_16>> - Complexity = 7
                 // Dst: (ATOMIC_RMW16_U_CMPXCHG_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)
/* 45444*/      0, /*End of Scope*/
/* 45445*/     /*Scope*/ 54, /*->45500*/
/* 45446*/      OPC_CheckPredicate, 1, // Predicate_atomic_cmp_swap_8
/* 45448*/      OPC_EmitMergeInputChains1_0,
/* 45449*/      OPC_EmitInteger, MVT::i32, 0, 
/* 45452*/      OPC_EmitConvertToTarget, 1,
/* 45454*/      OPC_Scope, 21, /*->45477*/ // 2 children in Scope
/* 45456*/       OPC_EmitInteger, MVT::i32, 0, 
/* 45459*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 6,  // Results = #7
/* 45466*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_CMPXCHG_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 5/*#Ops*/, 4, 5, 7, 2, 3, 
                 // Src: (atomic_cmp_swap:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_8>> - Complexity = 7
                 // Dst: (ATOMIC_RMW8_U_CMPXCHG_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)
/* 45477*/      /*Scope*/ 21, /*->45499*/
/* 45478*/       OPC_EmitInteger, MVT::i64, 0, 
/* 45481*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 6,  // Results = #7
/* 45488*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_CMPXCHG_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 5/*#Ops*/, 4, 5, 7, 2, 3, 
                 // Src: (atomic_cmp_swap:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_8>> - Complexity = 7
                 // Dst: (ATOMIC_RMW8_U_CMPXCHG_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)
/* 45499*/      0, /*End of Scope*/
/* 45500*/     /*Scope*/ 54, /*->45555*/
/* 45501*/      OPC_CheckPredicate, 2, // Predicate_atomic_cmp_swap_16
/* 45503*/      OPC_EmitMergeInputChains1_0,
/* 45504*/      OPC_EmitInteger, MVT::i32, 0, 
/* 45507*/      OPC_EmitConvertToTarget, 1,
/* 45509*/      OPC_Scope, 21, /*->45532*/ // 2 children in Scope
/* 45511*/       OPC_EmitInteger, MVT::i32, 0, 
/* 45514*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 6,  // Results = #7
/* 45521*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_CMPXCHG_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 5/*#Ops*/, 4, 5, 7, 2, 3, 
                 // Src: (atomic_cmp_swap:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_16>> - Complexity = 7
                 // Dst: (ATOMIC_RMW16_U_CMPXCHG_I32_A32:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)
/* 45532*/      /*Scope*/ 21, /*->45554*/
/* 45533*/       OPC_EmitInteger, MVT::i64, 0, 
/* 45536*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 6,  // Results = #7
/* 45543*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_CMPXCHG_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::i32, 5/*#Ops*/, 4, 5, 7, 2, 3, 
                 // Src: (atomic_cmp_swap:{ *:[i32] } (imm:{ *:[iPTR] }):$off, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_16>> - Complexity = 7
                 // Dst: (ATOMIC_RMW16_U_CMPXCHG_I32_A64:{ *:[i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)
/* 45554*/      0, /*End of Scope*/
/* 45555*/     0, /*End of Scope*/
/* 45556*/    /*SwitchType*/ 54, MVT::i64,// ->45612
/* 45558*/     OPC_CheckPredicate, 7, // Predicate_atomic_cmp_swap_64
/* 45560*/     OPC_EmitMergeInputChains1_0,
/* 45561*/     OPC_EmitInteger, MVT::i32, 0, 
/* 45564*/     OPC_EmitConvertToTarget, 1,
/* 45566*/     OPC_Scope, 21, /*->45589*/ // 2 children in Scope
/* 45568*/      OPC_EmitInteger, MVT::i32, 0, 
/* 45571*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 6,  // Results = #7
/* 45578*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_CMPXCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 5/*#Ops*/, 4, 5, 7, 2, 3, 
                // Src: (atomic_cmp_swap:{ *:[i64] } (imm:{ *:[iPTR] }):$off, i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_64>> - Complexity = 7
                // Dst: (ATOMIC_RMW_CMPXCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }), i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)
/* 45589*/     /*Scope*/ 21, /*->45611*/
/* 45590*/      OPC_EmitInteger, MVT::i64, 0, 
/* 45593*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 6,  // Results = #7
/* 45600*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_CMPXCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i64, 5/*#Ops*/, 4, 5, 7, 2, 3, 
                // Src: (atomic_cmp_swap:{ *:[i64] } (imm:{ *:[iPTR] }):$off, i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_64>> - Complexity = 7
                // Dst: (ATOMIC_RMW_CMPXCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }), i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)
/* 45611*/     0, /*End of Scope*/
/* 45612*/    0, // EndSwitchType
/* 45613*/   /*Scope*/ 21|128,1/*149*/, /*->45764*/
/* 45615*/    OPC_CheckChild1Type, MVT::i32,
/* 45617*/    OPC_RecordChild2, // #2 = $exp
/* 45618*/    OPC_RecordChild3, // #3 = $new
/* 45619*/    OPC_SwitchType /*2 cases */, 117, MVT::i32,// ->45739
/* 45622*/     OPC_Scope, 22, /*->45646*/ // 5 children in Scope
/* 45624*/      OPC_CheckPredicate, 4, // Predicate_atomic_cmp_swap_32
/* 45626*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 45628*/      OPC_EmitMergeInputChains1_0,
/* 45629*/      OPC_EmitInteger, MVT::i32, 0, 
/* 45632*/      OPC_EmitInteger, MVT::i32, 0, 
/* 45635*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_CMPXCHG_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 5/*#Ops*/, 4, 5, 1, 2, 3, 
                // Src: (atomic_cmp_swap:{ *:[i32] } I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_32>> - Complexity = 4
                // Dst: (ATOMIC_RMW_CMPXCHG_I32_A32:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)
/* 45646*/     /*Scope*/ 22, /*->45669*/
/* 45647*/      OPC_CheckPredicate, 1, // Predicate_atomic_cmp_swap_8
/* 45649*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 45651*/      OPC_EmitMergeInputChains1_0,
/* 45652*/      OPC_EmitInteger, MVT::i32, 0, 
/* 45655*/      OPC_EmitInteger, MVT::i32, 0, 
/* 45658*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_CMPXCHG_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 5/*#Ops*/, 4, 5, 1, 2, 3, 
                // Src: (atomic_cmp_swap:{ *:[i32] } I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_8>> - Complexity = 4
                // Dst: (ATOMIC_RMW8_U_CMPXCHG_I32_A32:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)
/* 45669*/     /*Scope*/ 22, /*->45692*/
/* 45670*/      OPC_CheckPredicate, 2, // Predicate_atomic_cmp_swap_16
/* 45672*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 45674*/      OPC_EmitMergeInputChains1_0,
/* 45675*/      OPC_EmitInteger, MVT::i32, 0, 
/* 45678*/      OPC_EmitInteger, MVT::i32, 0, 
/* 45681*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_CMPXCHG_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 5/*#Ops*/, 4, 5, 1, 2, 3, 
                // Src: (atomic_cmp_swap:{ *:[i32] } I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_16>> - Complexity = 4
                // Dst: (ATOMIC_RMW16_U_CMPXCHG_I32_A32:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)
/* 45692*/     /*Scope*/ 22, /*->45715*/
/* 45693*/      OPC_CheckPredicate, 1, // Predicate_atomic_cmp_swap_8
/* 45695*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 45697*/      OPC_EmitMergeInputChains1_0,
/* 45698*/      OPC_EmitInteger, MVT::i32, 0, 
/* 45701*/      OPC_EmitInteger, MVT::i32, 0, 
/* 45704*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_CMPXCHG_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 5/*#Ops*/, 4, 5, 1, 2, 3, 
                // Src: (atomic_cmp_swap:{ *:[i32] } I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_8>> - Complexity = 4
                // Dst: (ATOMIC_RMW8_U_CMPXCHG_I32_A32:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)
/* 45715*/     /*Scope*/ 22, /*->45738*/
/* 45716*/      OPC_CheckPredicate, 2, // Predicate_atomic_cmp_swap_16
/* 45718*/      OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 45720*/      OPC_EmitMergeInputChains1_0,
/* 45721*/      OPC_EmitInteger, MVT::i32, 0, 
/* 45724*/      OPC_EmitInteger, MVT::i32, 0, 
/* 45727*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_CMPXCHG_I32_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 5/*#Ops*/, 4, 5, 1, 2, 3, 
                // Src: (atomic_cmp_swap:{ *:[i32] } I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_16>> - Complexity = 4
                // Dst: (ATOMIC_RMW16_U_CMPXCHG_I32_A32:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)
/* 45738*/     0, /*End of Scope*/
/* 45739*/    /*SwitchType*/ 22, MVT::i64,// ->45763
/* 45741*/     OPC_CheckPredicate, 7, // Predicate_atomic_cmp_swap_64
/* 45743*/     OPC_CheckPatternPredicate, 0, // (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 45745*/     OPC_EmitMergeInputChains1_0,
/* 45746*/     OPC_EmitInteger, MVT::i32, 0, 
/* 45749*/     OPC_EmitInteger, MVT::i32, 0, 
/* 45752*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_CMPXCHG_I64_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::i64, 5/*#Ops*/, 4, 5, 1, 2, 3, 
               // Src: (atomic_cmp_swap:{ *:[i64] } I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_64>> - Complexity = 4
               // Dst: (ATOMIC_RMW_CMPXCHG_I64_A32:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr, i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)
/* 45763*/    0, // EndSwitchType
/* 45764*/   /*Scope*/ 21|128,1/*149*/, /*->45915*/
/* 45766*/    OPC_CheckChild1Type, MVT::i64,
/* 45768*/    OPC_RecordChild2, // #2 = $exp
/* 45769*/    OPC_RecordChild3, // #3 = $new
/* 45770*/    OPC_SwitchType /*2 cases */, 117, MVT::i32,// ->45890
/* 45773*/     OPC_Scope, 22, /*->45797*/ // 5 children in Scope
/* 45775*/      OPC_CheckPredicate, 4, // Predicate_atomic_cmp_swap_32
/* 45777*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 45779*/      OPC_EmitMergeInputChains1_0,
/* 45780*/      OPC_EmitInteger, MVT::i32, 0, 
/* 45783*/      OPC_EmitInteger, MVT::i64, 0, 
/* 45786*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_CMPXCHG_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 5/*#Ops*/, 4, 5, 1, 2, 3, 
                // Src: (atomic_cmp_swap:{ *:[i32] } I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_32>> - Complexity = 4
                // Dst: (ATOMIC_RMW_CMPXCHG_I32_A64:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)
/* 45797*/     /*Scope*/ 22, /*->45820*/
/* 45798*/      OPC_CheckPredicate, 1, // Predicate_atomic_cmp_swap_8
/* 45800*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 45802*/      OPC_EmitMergeInputChains1_0,
/* 45803*/      OPC_EmitInteger, MVT::i32, 0, 
/* 45806*/      OPC_EmitInteger, MVT::i64, 0, 
/* 45809*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_CMPXCHG_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 5/*#Ops*/, 4, 5, 1, 2, 3, 
                // Src: (atomic_cmp_swap:{ *:[i32] } I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_8>> - Complexity = 4
                // Dst: (ATOMIC_RMW8_U_CMPXCHG_I32_A64:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)
/* 45820*/     /*Scope*/ 22, /*->45843*/
/* 45821*/      OPC_CheckPredicate, 2, // Predicate_atomic_cmp_swap_16
/* 45823*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 45825*/      OPC_EmitMergeInputChains1_0,
/* 45826*/      OPC_EmitInteger, MVT::i32, 0, 
/* 45829*/      OPC_EmitInteger, MVT::i64, 0, 
/* 45832*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_CMPXCHG_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 5/*#Ops*/, 4, 5, 1, 2, 3, 
                // Src: (atomic_cmp_swap:{ *:[i32] } I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_16>> - Complexity = 4
                // Dst: (ATOMIC_RMW16_U_CMPXCHG_I32_A64:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)
/* 45843*/     /*Scope*/ 22, /*->45866*/
/* 45844*/      OPC_CheckPredicate, 1, // Predicate_atomic_cmp_swap_8
/* 45846*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 45848*/      OPC_EmitMergeInputChains1_0,
/* 45849*/      OPC_EmitInteger, MVT::i32, 0, 
/* 45852*/      OPC_EmitInteger, MVT::i64, 0, 
/* 45855*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW8_U_CMPXCHG_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 5/*#Ops*/, 4, 5, 1, 2, 3, 
                // Src: (atomic_cmp_swap:{ *:[i32] } I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_8>> - Complexity = 4
                // Dst: (ATOMIC_RMW8_U_CMPXCHG_I32_A64:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)
/* 45866*/     /*Scope*/ 22, /*->45889*/
/* 45867*/      OPC_CheckPredicate, 2, // Predicate_atomic_cmp_swap_16
/* 45869*/      OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 45871*/      OPC_EmitMergeInputChains1_0,
/* 45872*/      OPC_EmitInteger, MVT::i32, 0, 
/* 45875*/      OPC_EmitInteger, MVT::i64, 0, 
/* 45878*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW16_U_CMPXCHG_I32_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::i32, 5/*#Ops*/, 4, 5, 1, 2, 3, 
                // Src: (atomic_cmp_swap:{ *:[i32] } I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_16>> - Complexity = 4
                // Dst: (ATOMIC_RMW16_U_CMPXCHG_I32_A64:{ *:[i32] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i32:{ *:[i32] }:$exp, i32:{ *:[i32] }:$new)
/* 45889*/     0, /*End of Scope*/
/* 45890*/    /*SwitchType*/ 22, MVT::i64,// ->45914
/* 45892*/     OPC_CheckPredicate, 7, // Predicate_atomic_cmp_swap_64
/* 45894*/     OPC_CheckPatternPredicate, 1, // (Subtarget->hasAddr64()) && (Subtarget->hasAtomics())
/* 45896*/     OPC_EmitMergeInputChains1_0,
/* 45897*/     OPC_EmitInteger, MVT::i32, 0, 
/* 45900*/     OPC_EmitInteger, MVT::i64, 0, 
/* 45903*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ATOMIC_RMW_CMPXCHG_I64_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::i64, 5/*#Ops*/, 4, 5, 1, 2, 3, 
               // Src: (atomic_cmp_swap:{ *:[i64] } I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_64>> - Complexity = 4
               // Dst: (ATOMIC_RMW_CMPXCHG_I64_A64:{ *:[i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr, i64:{ *:[i64] }:$exp, i64:{ *:[i64] }:$new)
/* 45914*/    0, // EndSwitchType
/* 45915*/   0, /*End of Scope*/
/* 45916*/  0, /*End of Scope*/
/* 45917*/ /*SwitchOpcode*/ 16|128,1/*144*/, TARGET_VAL(ISD::SIGN_EXTEND_INREG),// ->46065
/* 45921*/  OPC_Scope, 67, /*->45990*/ // 2 children in Scope
/* 45923*/   OPC_MoveChild0,
/* 45924*/   OPC_CheckOpcode, TARGET_VAL(ISD::EXTRACT_VECTOR_ELT),
/* 45927*/   OPC_RecordChild0, // #0 = $vec
/* 45928*/   OPC_Scope, 29, /*->45959*/ // 2 children in Scope
/* 45930*/    OPC_CheckChild0Type, MVT::v16i8,
/* 45932*/    OPC_RecordChild1, // #1 = $idx
/* 45933*/    OPC_MoveChild1,
/* 45934*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 45937*/    OPC_CheckPredicate, 5, // Predicate_LaneIdx16
/* 45939*/    OPC_CheckType, MVT::i32,
/* 45941*/    OPC_MoveParent,
/* 45942*/    OPC_MoveParent,
/* 45943*/    OPC_MoveChild1,
/* 45944*/    OPC_CheckValueType, MVT::i8,
/* 45946*/    OPC_MoveParent,
/* 45947*/    OPC_CheckType, MVT::i32,
/* 45949*/    OPC_EmitConvertToTarget, 1,
/* 45951*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::EXTRACT_LANE_I8x16_s), 0,
                  MVT::i32, 2/*#Ops*/, 0, 2, 
              // Src: (sext_inreg:{ *:[i32] } (vector_extract:{ *:[i32] } V128:{ *:[v16i8] }:$vec, (imm:{ *:[i32] })<<P:Predicate_LaneIdx16>>:$idx), i8:{ *:[Other] }) - Complexity = 10
              // Dst: (EXTRACT_LANE_I8x16_s:{ *:[i32] } ?:{ *:[v16i8] }:$vec, (imm:{ *:[i32] }):$idx)
/* 45959*/   /*Scope*/ 29, /*->45989*/
/* 45960*/    OPC_CheckChild0Type, MVT::v8i16,
/* 45962*/    OPC_RecordChild1, // #1 = $idx
/* 45963*/    OPC_MoveChild1,
/* 45964*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 45967*/    OPC_CheckPredicate, 6, // Predicate_LaneIdx8
/* 45969*/    OPC_CheckType, MVT::i32,
/* 45971*/    OPC_MoveParent,
/* 45972*/    OPC_MoveParent,
/* 45973*/    OPC_MoveChild1,
/* 45974*/    OPC_CheckValueType, MVT::i16,
/* 45976*/    OPC_MoveParent,
/* 45977*/    OPC_CheckType, MVT::i32,
/* 45979*/    OPC_EmitConvertToTarget, 1,
/* 45981*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::EXTRACT_LANE_I16x8_s), 0,
                  MVT::i32, 2/*#Ops*/, 0, 2, 
              // Src: (sext_inreg:{ *:[i32] } (vector_extract:{ *:[i32] } V128:{ *:[v8i16] }:$vec, (imm:{ *:[i32] })<<P:Predicate_LaneIdx8>>:$idx), i16:{ *:[Other] }) - Complexity = 10
              // Dst: (EXTRACT_LANE_I16x8_s:{ *:[i32] } ?:{ *:[v8i16] }:$vec, (imm:{ *:[i32] }):$idx)
/* 45989*/   0, /*End of Scope*/
/* 45990*/  /*Scope*/ 73, /*->46064*/
/* 45991*/   OPC_RecordChild0, // #0 = $src
/* 45992*/   OPC_MoveChild1,
/* 45993*/   OPC_Scope, 27, /*->46022*/ // 3 children in Scope
/* 45995*/    OPC_CheckValueType, MVT::i8,
/* 45997*/    OPC_MoveParent,
/* 45998*/    OPC_SwitchType /*2 cases */, 9, MVT::i32,// ->46010
/* 46001*/     OPC_CheckPatternPredicate, 10, // (Subtarget->hasSignExt())
/* 46003*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::I32_EXTEND8_S_I32), 0,
                   MVT::i32, 1/*#Ops*/, 0, 
               // Src: (sext_inreg:{ *:[i32] } I32:{ *:[i32] }:$src, i8:{ *:[Other] }) - Complexity = 3
               // Dst: (I32_EXTEND8_S_I32:{ *:[i32] } I32:{ *:[i32] }:$src)
/* 46010*/    /*SwitchType*/ 9, MVT::i64,// ->46021
/* 46012*/     OPC_CheckPatternPredicate, 10, // (Subtarget->hasSignExt())
/* 46014*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::I64_EXTEND8_S_I64), 0,
                   MVT::i64, 1/*#Ops*/, 0, 
               // Src: (sext_inreg:{ *:[i64] } I64:{ *:[i64] }:$src, i8:{ *:[Other] }) - Complexity = 3
               // Dst: (I64_EXTEND8_S_I64:{ *:[i64] } I64:{ *:[i64] }:$src)
/* 46021*/    0, // EndSwitchType
/* 46022*/   /*Scope*/ 27, /*->46050*/
/* 46023*/    OPC_CheckValueType, MVT::i16,
/* 46025*/    OPC_MoveParent,
/* 46026*/    OPC_SwitchType /*2 cases */, 9, MVT::i32,// ->46038
/* 46029*/     OPC_CheckPatternPredicate, 10, // (Subtarget->hasSignExt())
/* 46031*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::I32_EXTEND16_S_I32), 0,
                   MVT::i32, 1/*#Ops*/, 0, 
               // Src: (sext_inreg:{ *:[i32] } I32:{ *:[i32] }:$src, i16:{ *:[Other] }) - Complexity = 3
               // Dst: (I32_EXTEND16_S_I32:{ *:[i32] } I32:{ *:[i32] }:$src)
/* 46038*/    /*SwitchType*/ 9, MVT::i64,// ->46049
/* 46040*/     OPC_CheckPatternPredicate, 10, // (Subtarget->hasSignExt())
/* 46042*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::I64_EXTEND16_S_I64), 0,
                   MVT::i64, 1/*#Ops*/, 0, 
               // Src: (sext_inreg:{ *:[i64] } I64:{ *:[i64] }:$src, i16:{ *:[Other] }) - Complexity = 3
               // Dst: (I64_EXTEND16_S_I64:{ *:[i64] } I64:{ *:[i64] }:$src)
/* 46049*/    0, // EndSwitchType
/* 46050*/   /*Scope*/ 12, /*->46063*/
/* 46051*/    OPC_CheckValueType, MVT::i32,
/* 46053*/    OPC_MoveParent,
/* 46054*/    OPC_CheckPatternPredicate, 10, // (Subtarget->hasSignExt())
/* 46056*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::I64_EXTEND32_S_I64), 0,
                  MVT::i64, 1/*#Ops*/, 0, 
              // Src: (sext_inreg:{ *:[i64] } I64:{ *:[i64] }:$src, i32:{ *:[Other] }) - Complexity = 3
              // Dst: (I64_EXTEND32_S_I64:{ *:[i64] } I64:{ *:[i64] }:$src)
/* 46063*/   0, /*End of Scope*/
/* 46064*/  0, /*End of Scope*/
/* 46065*/ /*SwitchOpcode*/ 23|128,1/*151*/, TARGET_VAL(WebAssemblyISD::GLOBAL_GET),// ->46220
/* 46069*/  OPC_RecordMemRef,
/* 46070*/  OPC_RecordNode, // #0 = 'WebAssemblyglobal_get' chained node
/* 46071*/  OPC_MoveChild1,
/* 46072*/  OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::Wrapper),
/* 46075*/  OPC_RecordChild0, // #1 = $addr
/* 46076*/  OPC_MoveChild0,
/* 46077*/  OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 46080*/  OPC_MoveParent,
/* 46081*/  OPC_MoveParent,
/* 46082*/  OPC_SwitchType /*12 cases */, 8, MVT::i32,// ->46093
/* 46085*/   OPC_EmitMergeInputChains1_0,
/* 46086*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GLOBAL_GET_I32), 0|OPFL_Chain|OPFL_MemRefs,
                 MVT::i32, 1/*#Ops*/, 1, 
             // Src: (WebAssemblyglobal_get:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$addr)) - Complexity = 9
             // Dst: (GLOBAL_GET_I32:{ *:[i32] } (tglobaladdr:{ *:[i32] }):$addr)
/* 46093*/  /*SwitchType*/ 8, MVT::i64,// ->46103
/* 46095*/   OPC_EmitMergeInputChains1_0,
/* 46096*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GLOBAL_GET_I64), 0|OPFL_Chain|OPFL_MemRefs,
                 MVT::i64, 1/*#Ops*/, 1, 
             // Src: (WebAssemblyglobal_get:{ *:[i64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$addr)) - Complexity = 9
             // Dst: (GLOBAL_GET_I64:{ *:[i64] } (tglobaladdr:{ *:[i64] }):$addr)
/* 46103*/  /*SwitchType*/ 10, MVT::funcref,// ->46115
/* 46105*/   OPC_CheckPatternPredicate, 9, // (Subtarget->hasReferenceTypes())
/* 46107*/   OPC_EmitMergeInputChains1_0,
/* 46108*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GLOBAL_GET_FUNCREF), 0|OPFL_Chain|OPFL_MemRefs,
                 MVT::funcref, 1/*#Ops*/, 1, 
             // Src: (WebAssemblyglobal_get:{ *:[funcref] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$addr)) - Complexity = 9
             // Dst: (GLOBAL_GET_FUNCREF:{ *:[funcref] } (tglobaladdr:{ *:[i32] }):$addr)
/* 46115*/  /*SwitchType*/ 10, MVT::externref,// ->46127
/* 46117*/   OPC_CheckPatternPredicate, 9, // (Subtarget->hasReferenceTypes())
/* 46119*/   OPC_EmitMergeInputChains1_0,
/* 46120*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GLOBAL_GET_EXTERNREF), 0|OPFL_Chain|OPFL_MemRefs,
                 MVT::externref, 1/*#Ops*/, 1, 
             // Src: (WebAssemblyglobal_get:{ *:[externref] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$addr)) - Complexity = 9
             // Dst: (GLOBAL_GET_EXTERNREF:{ *:[externref] } (tglobaladdr:{ *:[i32] }):$addr)
/* 46127*/  /*SwitchType*/ 8, MVT::f32,// ->46137
/* 46129*/   OPC_EmitMergeInputChains1_0,
/* 46130*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GLOBAL_GET_F32), 0|OPFL_Chain|OPFL_MemRefs,
                 MVT::f32, 1/*#Ops*/, 1, 
             // Src: (WebAssemblyglobal_get:{ *:[f32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$addr)) - Complexity = 9
             // Dst: (GLOBAL_GET_F32:{ *:[f32] } (tglobaladdr:{ *:[i32] }):$addr)
/* 46137*/  /*SwitchType*/ 8, MVT::f64,// ->46147
/* 46139*/   OPC_EmitMergeInputChains1_0,
/* 46140*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GLOBAL_GET_F64), 0|OPFL_Chain|OPFL_MemRefs,
                 MVT::f64, 1/*#Ops*/, 1, 
             // Src: (WebAssemblyglobal_get:{ *:[f64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$addr)) - Complexity = 9
             // Dst: (GLOBAL_GET_F64:{ *:[f64] } (tglobaladdr:{ *:[i32] }):$addr)
/* 46147*/  /*SwitchType*/ 10, MVT::v2i64,// ->46159
/* 46149*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 46151*/   OPC_EmitMergeInputChains1_0,
/* 46152*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GLOBAL_GET_V128), 0|OPFL_Chain|OPFL_MemRefs,
                 MVT::v2i64, 1/*#Ops*/, 1, 
             // Src: (WebAssemblyglobal_get:{ *:[v2i64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$addr)) - Complexity = 9
             // Dst: (GLOBAL_GET_V128:{ *:[v2i64] } (tglobaladdr:{ *:[i32] }):$addr)
/* 46159*/  /*SwitchType*/ 10, MVT::v4i32,// ->46171
/* 46161*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 46163*/   OPC_EmitMergeInputChains1_0,
/* 46164*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GLOBAL_GET_V128), 0|OPFL_Chain|OPFL_MemRefs,
                 MVT::v4i32, 1/*#Ops*/, 1, 
             // Src: (WebAssemblyglobal_get:{ *:[v4i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$addr)) - Complexity = 9
             // Dst: (GLOBAL_GET_V128:{ *:[v4i32] } (tglobaladdr:{ *:[i32] }):$addr)
/* 46171*/  /*SwitchType*/ 10, MVT::v16i8,// ->46183
/* 46173*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 46175*/   OPC_EmitMergeInputChains1_0,
/* 46176*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GLOBAL_GET_V128), 0|OPFL_Chain|OPFL_MemRefs,
                 MVT::v16i8, 1/*#Ops*/, 1, 
             // Src: (WebAssemblyglobal_get:{ *:[v16i8] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$addr)) - Complexity = 9
             // Dst: (GLOBAL_GET_V128:{ *:[v16i8] } (tglobaladdr:{ *:[i32] }):$addr)
/* 46183*/  /*SwitchType*/ 10, MVT::v8i16,// ->46195
/* 46185*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 46187*/   OPC_EmitMergeInputChains1_0,
/* 46188*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GLOBAL_GET_V128), 0|OPFL_Chain|OPFL_MemRefs,
                 MVT::v8i16, 1/*#Ops*/, 1, 
             // Src: (WebAssemblyglobal_get:{ *:[v8i16] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$addr)) - Complexity = 9
             // Dst: (GLOBAL_GET_V128:{ *:[v8i16] } (tglobaladdr:{ *:[i32] }):$addr)
/* 46195*/  /*SwitchType*/ 10, MVT::v4f32,// ->46207
/* 46197*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 46199*/   OPC_EmitMergeInputChains1_0,
/* 46200*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GLOBAL_GET_V128), 0|OPFL_Chain|OPFL_MemRefs,
                 MVT::v4f32, 1/*#Ops*/, 1, 
             // Src: (WebAssemblyglobal_get:{ *:[v4f32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$addr)) - Complexity = 9
             // Dst: (GLOBAL_GET_V128:{ *:[v4f32] } (tglobaladdr:{ *:[i32] }):$addr)
/* 46207*/  /*SwitchType*/ 10, MVT::v2f64,// ->46219
/* 46209*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 46211*/   OPC_EmitMergeInputChains1_0,
/* 46212*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GLOBAL_GET_V128), 0|OPFL_Chain|OPFL_MemRefs,
                 MVT::v2f64, 1/*#Ops*/, 1, 
             // Src: (WebAssemblyglobal_get:{ *:[v2f64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$addr)) - Complexity = 9
             // Dst: (GLOBAL_GET_V128:{ *:[v2f64] } (tglobaladdr:{ *:[i32] }):$addr)
/* 46219*/  0, // EndSwitchType
/* 46220*/ /*SwitchOpcode*/ 29|128,2/*285*/, TARGET_VAL(WebAssemblyISD::GLOBAL_SET),// ->46509
/* 46224*/  OPC_RecordMemRef,
/* 46225*/  OPC_RecordNode, // #0 = 'WebAssemblyglobal_set' chained node
/* 46226*/  OPC_RecordChild1, // #1 = $src
/* 46227*/  OPC_Scope, 21, /*->46250*/ // 12 children in Scope
/* 46229*/   OPC_CheckChild1Type, MVT::i32,
/* 46231*/   OPC_MoveChild2,
/* 46232*/   OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::Wrapper),
/* 46235*/   OPC_RecordChild0, // #2 = $addr
/* 46236*/   OPC_MoveChild0,
/* 46237*/   OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 46240*/   OPC_MoveParent,
/* 46241*/   OPC_MoveParent,
/* 46242*/   OPC_EmitMergeInputChains1_0,
/* 46243*/   OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::GLOBAL_SET_I32), 0|OPFL_Chain|OPFL_MemRefs,
                 2/*#Ops*/, 2, 1, 
             // Src: (WebAssemblyglobal_set i32:{ *:[i32] }:$src, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$addr)) - Complexity = 9
             // Dst: (GLOBAL_SET_I32 (tglobaladdr:{ *:[i32] }):$addr, i32:{ *:[i32] }:$src)
/* 46250*/  /*Scope*/ 21, /*->46272*/
/* 46251*/   OPC_CheckChild1Type, MVT::i64,
/* 46253*/   OPC_MoveChild2,
/* 46254*/   OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::Wrapper),
/* 46257*/   OPC_RecordChild0, // #2 = $addr
/* 46258*/   OPC_MoveChild0,
/* 46259*/   OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 46262*/   OPC_MoveParent,
/* 46263*/   OPC_MoveParent,
/* 46264*/   OPC_EmitMergeInputChains1_0,
/* 46265*/   OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::GLOBAL_SET_I64), 0|OPFL_Chain|OPFL_MemRefs,
                 2/*#Ops*/, 2, 1, 
             // Src: (WebAssemblyglobal_set i64:{ *:[i64] }:$src, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$addr)) - Complexity = 9
             // Dst: (GLOBAL_SET_I64 (tglobaladdr:{ *:[i64] }):$addr, i64:{ *:[i64] }:$src)
/* 46272*/  /*Scope*/ 21, /*->46294*/
/* 46273*/   OPC_CheckChild1Type, MVT::f32,
/* 46275*/   OPC_MoveChild2,
/* 46276*/   OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::Wrapper),
/* 46279*/   OPC_RecordChild0, // #2 = $addr
/* 46280*/   OPC_MoveChild0,
/* 46281*/   OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 46284*/   OPC_MoveParent,
/* 46285*/   OPC_MoveParent,
/* 46286*/   OPC_EmitMergeInputChains1_0,
/* 46287*/   OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::GLOBAL_SET_F32), 0|OPFL_Chain|OPFL_MemRefs,
                 2/*#Ops*/, 2, 1, 
             // Src: (WebAssemblyglobal_set f32:{ *:[f32] }:$src, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$addr)) - Complexity = 9
             // Dst: (GLOBAL_SET_F32 (tglobaladdr:{ *:[i32] }):$addr, f32:{ *:[f32] }:$src)
/* 46294*/  /*Scope*/ 21, /*->46316*/
/* 46295*/   OPC_CheckChild1Type, MVT::f64,
/* 46297*/   OPC_MoveChild2,
/* 46298*/   OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::Wrapper),
/* 46301*/   OPC_RecordChild0, // #2 = $addr
/* 46302*/   OPC_MoveChild0,
/* 46303*/   OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 46306*/   OPC_MoveParent,
/* 46307*/   OPC_MoveParent,
/* 46308*/   OPC_EmitMergeInputChains1_0,
/* 46309*/   OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::GLOBAL_SET_F64), 0|OPFL_Chain|OPFL_MemRefs,
                 2/*#Ops*/, 2, 1, 
             // Src: (WebAssemblyglobal_set f64:{ *:[f64] }:$src, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$addr)) - Complexity = 9
             // Dst: (GLOBAL_SET_F64 (tglobaladdr:{ *:[i32] }):$addr, f64:{ *:[f64] }:$src)
/* 46316*/  /*Scope*/ 23, /*->46340*/
/* 46317*/   OPC_CheckChild1Type, MVT::v4f32,
/* 46319*/   OPC_MoveChild2,
/* 46320*/   OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::Wrapper),
/* 46323*/   OPC_RecordChild0, // #2 = $addr
/* 46324*/   OPC_MoveChild0,
/* 46325*/   OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 46328*/   OPC_MoveParent,
/* 46329*/   OPC_MoveParent,
/* 46330*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 46332*/   OPC_EmitMergeInputChains1_0,
/* 46333*/   OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::GLOBAL_SET_V128), 0|OPFL_Chain|OPFL_MemRefs,
                 2/*#Ops*/, 2, 1, 
             // Src: (WebAssemblyglobal_set v4f32:{ *:[v4f32] }:$src, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$addr)) - Complexity = 9
             // Dst: (GLOBAL_SET_V128 (tglobaladdr:{ *:[i32] }):$addr, v4f32:{ *:[v4f32] }:$src)
/* 46340*/  /*Scope*/ 23, /*->46364*/
/* 46341*/   OPC_CheckChild1Type, MVT::v2f64,
/* 46343*/   OPC_MoveChild2,
/* 46344*/   OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::Wrapper),
/* 46347*/   OPC_RecordChild0, // #2 = $addr
/* 46348*/   OPC_MoveChild0,
/* 46349*/   OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 46352*/   OPC_MoveParent,
/* 46353*/   OPC_MoveParent,
/* 46354*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 46356*/   OPC_EmitMergeInputChains1_0,
/* 46357*/   OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::GLOBAL_SET_V128), 0|OPFL_Chain|OPFL_MemRefs,
                 2/*#Ops*/, 2, 1, 
             // Src: (WebAssemblyglobal_set v2f64:{ *:[v2f64] }:$src, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$addr)) - Complexity = 9
             // Dst: (GLOBAL_SET_V128 (tglobaladdr:{ *:[i32] }):$addr, v2f64:{ *:[v2f64] }:$src)
/* 46364*/  /*Scope*/ 23, /*->46388*/
/* 46365*/   OPC_CheckChild1Type, MVT::v2i64,
/* 46367*/   OPC_MoveChild2,
/* 46368*/   OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::Wrapper),
/* 46371*/   OPC_RecordChild0, // #2 = $addr
/* 46372*/   OPC_MoveChild0,
/* 46373*/   OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 46376*/   OPC_MoveParent,
/* 46377*/   OPC_MoveParent,
/* 46378*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 46380*/   OPC_EmitMergeInputChains1_0,
/* 46381*/   OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::GLOBAL_SET_V128), 0|OPFL_Chain|OPFL_MemRefs,
                 2/*#Ops*/, 2, 1, 
             // Src: (WebAssemblyglobal_set v2i64:{ *:[v2i64] }:$src, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$addr)) - Complexity = 9
             // Dst: (GLOBAL_SET_V128 (tglobaladdr:{ *:[i32] }):$addr, v2i64:{ *:[v2i64] }:$src)
/* 46388*/  /*Scope*/ 23, /*->46412*/
/* 46389*/   OPC_CheckChild1Type, MVT::v4i32,
/* 46391*/   OPC_MoveChild2,
/* 46392*/   OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::Wrapper),
/* 46395*/   OPC_RecordChild0, // #2 = $addr
/* 46396*/   OPC_MoveChild0,
/* 46397*/   OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 46400*/   OPC_MoveParent,
/* 46401*/   OPC_MoveParent,
/* 46402*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 46404*/   OPC_EmitMergeInputChains1_0,
/* 46405*/   OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::GLOBAL_SET_V128), 0|OPFL_Chain|OPFL_MemRefs,
                 2/*#Ops*/, 2, 1, 
             // Src: (WebAssemblyglobal_set v4i32:{ *:[v4i32] }:$src, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$addr)) - Complexity = 9
             // Dst: (GLOBAL_SET_V128 (tglobaladdr:{ *:[i32] }):$addr, v4i32:{ *:[v4i32] }:$src)
/* 46412*/  /*Scope*/ 23, /*->46436*/
/* 46413*/   OPC_CheckChild1Type, MVT::v16i8,
/* 46415*/   OPC_MoveChild2,
/* 46416*/   OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::Wrapper),
/* 46419*/   OPC_RecordChild0, // #2 = $addr
/* 46420*/   OPC_MoveChild0,
/* 46421*/   OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 46424*/   OPC_MoveParent,
/* 46425*/   OPC_MoveParent,
/* 46426*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 46428*/   OPC_EmitMergeInputChains1_0,
/* 46429*/   OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::GLOBAL_SET_V128), 0|OPFL_Chain|OPFL_MemRefs,
                 2/*#Ops*/, 2, 1, 
             // Src: (WebAssemblyglobal_set v16i8:{ *:[v16i8] }:$src, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$addr)) - Complexity = 9
             // Dst: (GLOBAL_SET_V128 (tglobaladdr:{ *:[i32] }):$addr, v16i8:{ *:[v16i8] }:$src)
/* 46436*/  /*Scope*/ 23, /*->46460*/
/* 46437*/   OPC_CheckChild1Type, MVT::v8i16,
/* 46439*/   OPC_MoveChild2,
/* 46440*/   OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::Wrapper),
/* 46443*/   OPC_RecordChild0, // #2 = $addr
/* 46444*/   OPC_MoveChild0,
/* 46445*/   OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 46448*/   OPC_MoveParent,
/* 46449*/   OPC_MoveParent,
/* 46450*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 46452*/   OPC_EmitMergeInputChains1_0,
/* 46453*/   OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::GLOBAL_SET_V128), 0|OPFL_Chain|OPFL_MemRefs,
                 2/*#Ops*/, 2, 1, 
             // Src: (WebAssemblyglobal_set v8i16:{ *:[v8i16] }:$src, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$addr)) - Complexity = 9
             // Dst: (GLOBAL_SET_V128 (tglobaladdr:{ *:[i32] }):$addr, v8i16:{ *:[v8i16] }:$src)
/* 46460*/  /*Scope*/ 23, /*->46484*/
/* 46461*/   OPC_CheckChild1Type, MVT::funcref,
/* 46463*/   OPC_MoveChild2,
/* 46464*/   OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::Wrapper),
/* 46467*/   OPC_RecordChild0, // #2 = $addr
/* 46468*/   OPC_MoveChild0,
/* 46469*/   OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 46472*/   OPC_MoveParent,
/* 46473*/   OPC_MoveParent,
/* 46474*/   OPC_CheckPatternPredicate, 9, // (Subtarget->hasReferenceTypes())
/* 46476*/   OPC_EmitMergeInputChains1_0,
/* 46477*/   OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::GLOBAL_SET_FUNCREF), 0|OPFL_Chain|OPFL_MemRefs,
                 2/*#Ops*/, 2, 1, 
             // Src: (WebAssemblyglobal_set funcref:{ *:[funcref] }:$src, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$addr)) - Complexity = 9
             // Dst: (GLOBAL_SET_FUNCREF (tglobaladdr:{ *:[i32] }):$addr, funcref:{ *:[funcref] }:$src)
/* 46484*/  /*Scope*/ 23, /*->46508*/
/* 46485*/   OPC_CheckChild1Type, MVT::externref,
/* 46487*/   OPC_MoveChild2,
/* 46488*/   OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::Wrapper),
/* 46491*/   OPC_RecordChild0, // #2 = $addr
/* 46492*/   OPC_MoveChild0,
/* 46493*/   OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 46496*/   OPC_MoveParent,
/* 46497*/   OPC_MoveParent,
/* 46498*/   OPC_CheckPatternPredicate, 9, // (Subtarget->hasReferenceTypes())
/* 46500*/   OPC_EmitMergeInputChains1_0,
/* 46501*/   OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::GLOBAL_SET_EXTERNREF), 0|OPFL_Chain|OPFL_MemRefs,
                 2/*#Ops*/, 2, 1, 
             // Src: (WebAssemblyglobal_set externref:{ *:[externref] }:$src, (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$addr)) - Complexity = 9
             // Dst: (GLOBAL_SET_EXTERNREF (tglobaladdr:{ *:[i32] }):$addr, externref:{ *:[externref] }:$src)
/* 46508*/  0, /*End of Scope*/
/* 46509*/ /*SwitchOpcode*/ 22, TARGET_VAL(ISD::CALLSEQ_START),// ->46534
/* 46512*/  OPC_RecordNode, // #0 = 'WebAssemblycallseq_start' chained node
/* 46513*/  OPC_RecordChild1, // #1 = $amt
/* 46514*/  OPC_MoveChild1,
/* 46515*/  OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 46518*/  OPC_MoveParent,
/* 46519*/  OPC_RecordChild2, // #2 = $amt2
/* 46520*/  OPC_MoveChild2,
/* 46521*/  OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 46524*/  OPC_MoveParent,
/* 46525*/  OPC_EmitMergeInputChains1_0,
/* 46526*/  OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ADJCALLSTACKDOWN), 0|OPFL_Chain|OPFL_GlueOutput,
                MVT::i32, 2/*#Ops*/, 1, 2, 
            // Src: (WebAssemblycallseq_start (timm:{ *:[iPTR] }):$amt, (timm:{ *:[iPTR] }):$amt2) - Complexity = 9
            // Dst: (ADJCALLSTACKDOWN:{ *:[i32] } (timm:{ *:[i32] }):$amt, (timm:{ *:[i32] }):$amt2)
/* 46534*/ /*SwitchOpcode*/ 23, TARGET_VAL(ISD::CALLSEQ_END),// ->46560
/* 46537*/  OPC_RecordNode, // #0 = 'WebAssemblycallseq_end' chained node
/* 46538*/  OPC_CaptureGlueInput,
/* 46539*/  OPC_RecordChild1, // #1 = $amt
/* 46540*/  OPC_MoveChild1,
/* 46541*/  OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 46544*/  OPC_MoveParent,
/* 46545*/  OPC_RecordChild2, // #2 = $amt2
/* 46546*/  OPC_MoveChild2,
/* 46547*/  OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 46550*/  OPC_MoveParent,
/* 46551*/  OPC_EmitMergeInputChains1_0,
/* 46552*/  OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ADJCALLSTACKUP), 0|OPFL_Chain|OPFL_GlueInput|OPFL_GlueOutput,
                MVT::i32, 2/*#Ops*/, 1, 2, 
            // Src: (WebAssemblycallseq_end (timm:{ *:[iPTR] }):$amt, (timm:{ *:[iPTR] }):$amt2) - Complexity = 9
            // Dst: (ADJCALLSTACKUP:{ *:[i32] } (timm:{ *:[i32] }):$amt, (timm:{ *:[i32] }):$amt2)
/* 46560*/ /*SwitchOpcode*/ 72, TARGET_VAL(WebAssemblyISD::MEMORY_COPY),// ->46635
/* 46563*/  OPC_RecordNode, // #0 = 'wasm_memcpy' chained node
/* 46564*/  OPC_RecordChild1, // #1 = $src_idx
/* 46565*/  OPC_MoveChild1,
/* 46566*/  OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 46569*/  OPC_CheckType, MVT::i32,
/* 46571*/  OPC_MoveParent,
/* 46572*/  OPC_RecordChild2, // #2 = $dst_idx
/* 46573*/  OPC_MoveChild2,
/* 46574*/  OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 46577*/  OPC_CheckType, MVT::i32,
/* 46579*/  OPC_MoveParent,
/* 46580*/  OPC_RecordChild3, // #3 = $dst
/* 46581*/  OPC_Scope, 25, /*->46608*/ // 2 children in Scope
/* 46583*/   OPC_CheckChild3Type, MVT::i32,
/* 46585*/   OPC_RecordChild4, // #4 = $src
/* 46586*/   OPC_CheckChild4Type, MVT::i32,
/* 46588*/   OPC_RecordChild5, // #5 = $len
/* 46589*/   OPC_CheckChild5Type, MVT::i32,
/* 46591*/   OPC_CheckPatternPredicate, 11, // (Subtarget->hasBulkMemory())
/* 46593*/   OPC_EmitMergeInputChains1_0,
/* 46594*/   OPC_EmitConvertToTarget, 1,
/* 46596*/   OPC_EmitConvertToTarget, 2,
/* 46598*/   OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::anonymous_6205MEMORY_COPY_A32), 0|OPFL_Chain,
                 5/*#Ops*/, 6, 7, 3, 4, 5, 
             // Src: (wasm_memcpy (imm:{ *:[i32] }):$src_idx, (imm:{ *:[i32] }):$dst_idx, I32:{ *:[i32] }:$dst, I32:{ *:[i32] }:$src, I32:{ *:[i32] }:$len) - Complexity = 9
             // Dst: (anonymous_6205MEMORY_COPY_A32 (imm:{ *:[i32] }):$src_idx, (imm:{ *:[i32] }):$dst_idx, I32:{ *:[i32] }:$dst, I32:{ *:[i32] }:$src, I32:{ *:[i32] }:$len)
/* 46608*/  /*Scope*/ 25, /*->46634*/
/* 46609*/   OPC_CheckChild3Type, MVT::i64,
/* 46611*/   OPC_RecordChild4, // #4 = $src
/* 46612*/   OPC_CheckChild4Type, MVT::i64,
/* 46614*/   OPC_RecordChild5, // #5 = $len
/* 46615*/   OPC_CheckChild5Type, MVT::i64,
/* 46617*/   OPC_CheckPatternPredicate, 11, // (Subtarget->hasBulkMemory())
/* 46619*/   OPC_EmitMergeInputChains1_0,
/* 46620*/   OPC_EmitConvertToTarget, 1,
/* 46622*/   OPC_EmitConvertToTarget, 2,
/* 46624*/   OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::anonymous_6206MEMORY_COPY_A64), 0|OPFL_Chain,
                 5/*#Ops*/, 6, 7, 3, 4, 5, 
             // Src: (wasm_memcpy (imm:{ *:[i32] }):$src_idx, (imm:{ *:[i32] }):$dst_idx, I64:{ *:[i64] }:$dst, I64:{ *:[i64] }:$src, I64:{ *:[i64] }:$len) - Complexity = 9
             // Dst: (anonymous_6206MEMORY_COPY_A64 (imm:{ *:[i32] }):$src_idx, (imm:{ *:[i32] }):$dst_idx, I64:{ *:[i64] }:$dst, I64:{ *:[i64] }:$src, I64:{ *:[i64] }:$len)
/* 46634*/  0, /*End of Scope*/
/* 46635*/ /*SwitchOpcode*/ 17, TARGET_VAL(ISD::INTRINSIC_VOID),// ->46655
/* 46638*/  OPC_RecordNode, // #0 = 'intrinsic_void' chained node
/* 46639*/  OPC_CheckChild1Integer, 38|128,14|128,1/*18214*/, 
/* 46643*/  OPC_CheckPatternPredicate, 12, // (Subtarget->hasExceptionHandling())
/* 46645*/  OPC_EmitMergeInputChains1_0,
/* 46646*/  OPC_EmitInteger, MVT::i32, 0, 
/* 46649*/  OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::RETHROW), 0|OPFL_Chain,
                1/*#Ops*/, 1, 
            // Src: (intrinsic_void 9107:{ *:[iPTR] }) - Complexity = 8
            // Dst: (RETHROW 0:{ *:[i32] })
/* 46655*/ /*SwitchOpcode*/ 91|128,7/*987*/, TARGET_VAL(ISD::INTRINSIC_WO_CHAIN),// ->47646
/* 46659*/  OPC_Scope, 53, /*->46714*/ // 21 children in Scope
/* 46661*/   OPC_CheckChild0Integer, 60|128,14|128,1/*18236*/, 
/* 46665*/   OPC_RecordChild1, // #0 = $src
/* 46666*/   OPC_Scope, 22, /*->46690*/ // 2 children in Scope
/* 46668*/    OPC_CheckChild1Type, MVT::f32,
/* 46670*/    OPC_SwitchType /*2 cases */, 7, MVT::i32,// ->46680
/* 46673*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::I32_TRUNC_S_F32), 0,
                   MVT::i32, 1/*#Ops*/, 0, 
               // Src: (intrinsic_wo_chain:{ *:[i32] } 9118:{ *:[iPTR] }, F32:{ *:[f32] }:$src) - Complexity = 8
               // Dst: (I32_TRUNC_S_F32:{ *:[i32] } F32:{ *:[f32] }:$src)
/* 46680*/    /*SwitchType*/ 7, MVT::i64,// ->46689
/* 46682*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::I64_TRUNC_S_F32), 0,
                   MVT::i64, 1/*#Ops*/, 0, 
               // Src: (intrinsic_wo_chain:{ *:[i64] } 9118:{ *:[iPTR] }, F32:{ *:[f32] }:$src) - Complexity = 8
               // Dst: (I64_TRUNC_S_F32:{ *:[i64] } F32:{ *:[f32] }:$src)
/* 46689*/    0, // EndSwitchType
/* 46690*/   /*Scope*/ 22, /*->46713*/
/* 46691*/    OPC_CheckChild1Type, MVT::f64,
/* 46693*/    OPC_SwitchType /*2 cases */, 7, MVT::i32,// ->46703
/* 46696*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::I32_TRUNC_S_F64), 0,
                   MVT::i32, 1/*#Ops*/, 0, 
               // Src: (intrinsic_wo_chain:{ *:[i32] } 9118:{ *:[iPTR] }, F64:{ *:[f64] }:$src) - Complexity = 8
               // Dst: (I32_TRUNC_S_F64:{ *:[i32] } F64:{ *:[f64] }:$src)
/* 46703*/    /*SwitchType*/ 7, MVT::i64,// ->46712
/* 46705*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::I64_TRUNC_S_F64), 0,
                   MVT::i64, 1/*#Ops*/, 0, 
               // Src: (intrinsic_wo_chain:{ *:[i64] } 9118:{ *:[iPTR] }, F64:{ *:[f64] }:$src) - Complexity = 8
               // Dst: (I64_TRUNC_S_F64:{ *:[i64] } F64:{ *:[f64] }:$src)
/* 46712*/    0, // EndSwitchType
/* 46713*/   0, /*End of Scope*/
/* 46714*/  /*Scope*/ 53, /*->46768*/
/* 46715*/   OPC_CheckChild0Integer, 62|128,14|128,1/*18238*/, 
/* 46719*/   OPC_RecordChild1, // #0 = $src
/* 46720*/   OPC_Scope, 22, /*->46744*/ // 2 children in Scope
/* 46722*/    OPC_CheckChild1Type, MVT::f32,
/* 46724*/    OPC_SwitchType /*2 cases */, 7, MVT::i32,// ->46734
/* 46727*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::I32_TRUNC_U_F32), 0,
                   MVT::i32, 1/*#Ops*/, 0, 
               // Src: (intrinsic_wo_chain:{ *:[i32] } 9119:{ *:[iPTR] }, F32:{ *:[f32] }:$src) - Complexity = 8
               // Dst: (I32_TRUNC_U_F32:{ *:[i32] } F32:{ *:[f32] }:$src)
/* 46734*/    /*SwitchType*/ 7, MVT::i64,// ->46743
/* 46736*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::I64_TRUNC_U_F32), 0,
                   MVT::i64, 1/*#Ops*/, 0, 
               // Src: (intrinsic_wo_chain:{ *:[i64] } 9119:{ *:[iPTR] }, F32:{ *:[f32] }:$src) - Complexity = 8
               // Dst: (I64_TRUNC_U_F32:{ *:[i64] } F32:{ *:[f32] }:$src)
/* 46743*/    0, // EndSwitchType
/* 46744*/   /*Scope*/ 22, /*->46767*/
/* 46745*/    OPC_CheckChild1Type, MVT::f64,
/* 46747*/    OPC_SwitchType /*2 cases */, 7, MVT::i32,// ->46757
/* 46750*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::I32_TRUNC_U_F64), 0,
                   MVT::i32, 1/*#Ops*/, 0, 
               // Src: (intrinsic_wo_chain:{ *:[i32] } 9119:{ *:[iPTR] }, F64:{ *:[f64] }:$src) - Complexity = 8
               // Dst: (I32_TRUNC_U_F64:{ *:[i32] } F64:{ *:[f64] }:$src)
/* 46757*/    /*SwitchType*/ 7, MVT::i64,// ->46766
/* 46759*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::I64_TRUNC_U_F64), 0,
                   MVT::i64, 1/*#Ops*/, 0, 
               // Src: (intrinsic_wo_chain:{ *:[i64] } 9119:{ *:[iPTR] }, F64:{ *:[f64] }:$src) - Complexity = 8
               // Dst: (I64_TRUNC_U_F64:{ *:[i64] } F64:{ *:[f64] }:$src)
/* 46766*/    0, // EndSwitchType
/* 46767*/   0, /*End of Scope*/
/* 46768*/  /*Scope*/ 47, /*->46816*/
/* 46769*/   OPC_CheckChild0Integer, 116|128,13|128,1/*18164*/, 
/* 46773*/   OPC_RecordChild1, // #0 = $vec
/* 46774*/   OPC_Scope, 9, /*->46785*/ // 4 children in Scope
/* 46776*/    OPC_CheckChild1Type, MVT::v16i8,
/* 46778*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ANYTRUE), 0,
                  MVT::i32, 1/*#Ops*/, 0, 
              // Src: (intrinsic_wo_chain:{ *:[i32] } 9082:{ *:[iPTR] }, V128:{ *:[v16i8] }:$vec) - Complexity = 8
              // Dst: (ANYTRUE:{ *:[i32] } V128:{ *:[v16i8] }:$vec)
/* 46785*/   /*Scope*/ 9, /*->46795*/
/* 46786*/    OPC_CheckChild1Type, MVT::v8i16,
/* 46788*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ANYTRUE), 0,
                  MVT::i32, 1/*#Ops*/, 0, 
              // Src: (intrinsic_wo_chain:{ *:[i32] } 9082:{ *:[iPTR] }, V128:{ *:[v8i16] }:$vec) - Complexity = 8
              // Dst: (ANYTRUE:{ *:[i32] } V128:{ *:[v8i16] }:$vec)
/* 46795*/   /*Scope*/ 9, /*->46805*/
/* 46796*/    OPC_CheckChild1Type, MVT::v4i32,
/* 46798*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ANYTRUE), 0,
                  MVT::i32, 1/*#Ops*/, 0, 
              // Src: (intrinsic_wo_chain:{ *:[i32] } 9082:{ *:[iPTR] }, V128:{ *:[v4i32] }:$vec) - Complexity = 8
              // Dst: (ANYTRUE:{ *:[i32] } V128:{ *:[v4i32] }:$vec)
/* 46805*/   /*Scope*/ 9, /*->46815*/
/* 46806*/    OPC_CheckChild1Type, MVT::v2i64,
/* 46808*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ANYTRUE), 0,
                  MVT::i32, 1/*#Ops*/, 0, 
              // Src: (intrinsic_wo_chain:{ *:[i32] } 9082:{ *:[iPTR] }, V128:{ *:[v2i64] }:$vec) - Complexity = 8
              // Dst: (ANYTRUE:{ *:[i32] } V128:{ *:[v2i64] }:$vec)
/* 46815*/   0, /*End of Scope*/
/* 46816*/  /*Scope*/ 55, /*->46872*/
/* 46817*/   OPC_CheckChild0Integer, 114|128,13|128,1/*18162*/, 
/* 46821*/   OPC_RecordChild1, // #0 = $vec
/* 46822*/   OPC_Scope, 11, /*->46835*/ // 4 children in Scope
/* 46824*/    OPC_CheckChild1Type, MVT::v16i8,
/* 46826*/    OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 46828*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ALLTRUE_I8x16), 0,
                  MVT::i32, 1/*#Ops*/, 0, 
              // Src: (intrinsic_wo_chain:{ *:[i32] } 9081:{ *:[iPTR] }, V128:{ *:[v16i8] }:$vec) - Complexity = 8
              // Dst: (ALLTRUE_I8x16:{ *:[i32] } V128:{ *:[v16i8] }:$vec)
/* 46835*/   /*Scope*/ 11, /*->46847*/
/* 46836*/    OPC_CheckChild1Type, MVT::v8i16,
/* 46838*/    OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 46840*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ALLTRUE_I16x8), 0,
                  MVT::i32, 1/*#Ops*/, 0, 
              // Src: (intrinsic_wo_chain:{ *:[i32] } 9081:{ *:[iPTR] }, V128:{ *:[v8i16] }:$vec) - Complexity = 8
              // Dst: (ALLTRUE_I16x8:{ *:[i32] } V128:{ *:[v8i16] }:$vec)
/* 46847*/   /*Scope*/ 11, /*->46859*/
/* 46848*/    OPC_CheckChild1Type, MVT::v4i32,
/* 46850*/    OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 46852*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ALLTRUE_I32x4), 0,
                  MVT::i32, 1/*#Ops*/, 0, 
              // Src: (intrinsic_wo_chain:{ *:[i32] } 9081:{ *:[iPTR] }, V128:{ *:[v4i32] }:$vec) - Complexity = 8
              // Dst: (ALLTRUE_I32x4:{ *:[i32] } V128:{ *:[v4i32] }:$vec)
/* 46859*/   /*Scope*/ 11, /*->46871*/
/* 46860*/    OPC_CheckChild1Type, MVT::v2i64,
/* 46862*/    OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 46864*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ALLTRUE_I64x2), 0,
                  MVT::i32, 1/*#Ops*/, 0, 
              // Src: (intrinsic_wo_chain:{ *:[i32] } 9081:{ *:[iPTR] }, V128:{ *:[v2i64] }:$vec) - Complexity = 8
              // Dst: (ALLTRUE_I64x2:{ *:[i32] } V128:{ *:[v2i64] }:$vec)
/* 46871*/   0, /*End of Scope*/
/* 46872*/  /*Scope*/ 55, /*->46928*/
/* 46873*/   OPC_CheckChild0Integer, 120|128,13|128,1/*18168*/, 
/* 46877*/   OPC_RecordChild1, // #0 = $vec
/* 46878*/   OPC_Scope, 11, /*->46891*/ // 4 children in Scope
/* 46880*/    OPC_CheckChild1Type, MVT::v16i8,
/* 46882*/    OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 46884*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::BITMASK_I8x16), 0,
                  MVT::i32, 1/*#Ops*/, 0, 
              // Src: (intrinsic_wo_chain:{ *:[i32] } 9084:{ *:[iPTR] }, V128:{ *:[v16i8] }:$vec) - Complexity = 8
              // Dst: (BITMASK_I8x16:{ *:[i32] } V128:{ *:[v16i8] }:$vec)
/* 46891*/   /*Scope*/ 11, /*->46903*/
/* 46892*/    OPC_CheckChild1Type, MVT::v8i16,
/* 46894*/    OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 46896*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::BITMASK_I16x8), 0,
                  MVT::i32, 1/*#Ops*/, 0, 
              // Src: (intrinsic_wo_chain:{ *:[i32] } 9084:{ *:[iPTR] }, V128:{ *:[v8i16] }:$vec) - Complexity = 8
              // Dst: (BITMASK_I16x8:{ *:[i32] } V128:{ *:[v8i16] }:$vec)
/* 46903*/   /*Scope*/ 11, /*->46915*/
/* 46904*/    OPC_CheckChild1Type, MVT::v4i32,
/* 46906*/    OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 46908*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::BITMASK_I32x4), 0,
                  MVT::i32, 1/*#Ops*/, 0, 
              // Src: (intrinsic_wo_chain:{ *:[i32] } 9084:{ *:[iPTR] }, V128:{ *:[v4i32] }:$vec) - Complexity = 8
              // Dst: (BITMASK_I32x4:{ *:[i32] } V128:{ *:[v4i32] }:$vec)
/* 46915*/   /*Scope*/ 11, /*->46927*/
/* 46916*/    OPC_CheckChild1Type, MVT::v2i64,
/* 46918*/    OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 46920*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::BITMASK_I64x2), 0,
                  MVT::i32, 1/*#Ops*/, 0, 
              // Src: (intrinsic_wo_chain:{ *:[i32] } 9084:{ *:[iPTR] }, V128:{ *:[v2i64] }:$vec) - Complexity = 8
              // Dst: (BITMASK_I64x2:{ *:[i32] } V128:{ *:[v2i64] }:$vec)
/* 46927*/   0, /*End of Scope*/
/* 46928*/  /*Scope*/ 14, /*->46943*/
/* 46929*/   OPC_CheckChild0Integer, 46|128,14|128,1/*18222*/, 
/* 46933*/   OPC_RecordChild1, // #0 = $src
/* 46934*/   OPC_RecordChild2, // #1 = $mask
/* 46935*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SWIZZLE), 0,
                 MVT::v16i8, 2/*#Ops*/, 0, 1, 
             // Src: (intrinsic_wo_chain:{ *:[v16i8] } 9111:{ *:[iPTR] }, V128:{ *:[v16i8] }:$src, V128:{ *:[v16i8] }:$mask) - Complexity = 8
             // Dst: (SWIZZLE:{ *:[v16i8] } ?:{ *:[v16i8] }:$src, ?:{ *:[v16i8] }:$mask)
/* 46943*/  /*Scope*/ 121, /*->47065*/
/* 46944*/   OPC_CheckChild0Integer, 122|128,13|128,1/*18170*/, 
/* 46948*/   OPC_RecordChild1, // #0 = $v1
/* 46949*/   OPC_SwitchType /*6 cases */, 17, MVT::v16i8,// ->46969
/* 46952*/    OPC_CheckChild1Type, MVT::v16i8,
/* 46954*/    OPC_RecordChild2, // #1 = $v2
/* 46955*/    OPC_CheckChild2Type, MVT::v16i8,
/* 46957*/    OPC_RecordChild3, // #2 = $c
/* 46958*/    OPC_CheckChild3Type, MVT::v16i8,
/* 46960*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::BITSELECT), 0,
                  MVT::v16i8, 3/*#Ops*/, 0, 1, 2, 
              // Src: (intrinsic_wo_chain:{ *:[v16i8] } 9085:{ *:[iPTR] }, V128:{ *:[v16i8] }:$v1, V128:{ *:[v16i8] }:$v2, V128:{ *:[v16i8] }:$c) - Complexity = 8
              // Dst: (BITSELECT:{ *:[v16i8] } ?:{ *:[v16i8] }:$v1, ?:{ *:[v16i8] }:$v2, ?:{ *:[v16i8] }:$c)
/* 46969*/   /*SwitchType*/ 17, MVT::v8i16,// ->46988
/* 46971*/    OPC_CheckChild1Type, MVT::v8i16,
/* 46973*/    OPC_RecordChild2, // #1 = $v2
/* 46974*/    OPC_CheckChild2Type, MVT::v8i16,
/* 46976*/    OPC_RecordChild3, // #2 = $c
/* 46977*/    OPC_CheckChild3Type, MVT::v8i16,
/* 46979*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::BITSELECT), 0,
                  MVT::v8i16, 3/*#Ops*/, 0, 1, 2, 
              // Src: (intrinsic_wo_chain:{ *:[v8i16] } 9085:{ *:[iPTR] }, V128:{ *:[v8i16] }:$v1, V128:{ *:[v8i16] }:$v2, V128:{ *:[v8i16] }:$c) - Complexity = 8
              // Dst: (BITSELECT:{ *:[v8i16] } ?:{ *:[v8i16] }:$v1, ?:{ *:[v8i16] }:$v2, ?:{ *:[v8i16] }:$c)
/* 46988*/   /*SwitchType*/ 17, MVT::v4i32,// ->47007
/* 46990*/    OPC_CheckChild1Type, MVT::v4i32,
/* 46992*/    OPC_RecordChild2, // #1 = $v2
/* 46993*/    OPC_CheckChild2Type, MVT::v4i32,
/* 46995*/    OPC_RecordChild3, // #2 = $c
/* 46996*/    OPC_CheckChild3Type, MVT::v4i32,
/* 46998*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::BITSELECT), 0,
                  MVT::v4i32, 3/*#Ops*/, 0, 1, 2, 
              // Src: (intrinsic_wo_chain:{ *:[v4i32] } 9085:{ *:[iPTR] }, V128:{ *:[v4i32] }:$v1, V128:{ *:[v4i32] }:$v2, V128:{ *:[v4i32] }:$c) - Complexity = 8
              // Dst: (BITSELECT:{ *:[v4i32] } ?:{ *:[v4i32] }:$v1, ?:{ *:[v4i32] }:$v2, ?:{ *:[v4i32] }:$c)
/* 47007*/   /*SwitchType*/ 17, MVT::v2i64,// ->47026
/* 47009*/    OPC_CheckChild1Type, MVT::v2i64,
/* 47011*/    OPC_RecordChild2, // #1 = $v2
/* 47012*/    OPC_CheckChild2Type, MVT::v2i64,
/* 47014*/    OPC_RecordChild3, // #2 = $c
/* 47015*/    OPC_CheckChild3Type, MVT::v2i64,
/* 47017*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::BITSELECT), 0,
                  MVT::v2i64, 3/*#Ops*/, 0, 1, 2, 
              // Src: (intrinsic_wo_chain:{ *:[v2i64] } 9085:{ *:[iPTR] }, V128:{ *:[v2i64] }:$v1, V128:{ *:[v2i64] }:$v2, V128:{ *:[v2i64] }:$c) - Complexity = 8
              // Dst: (BITSELECT:{ *:[v2i64] } ?:{ *:[v2i64] }:$v1, ?:{ *:[v2i64] }:$v2, ?:{ *:[v2i64] }:$c)
/* 47026*/   /*SwitchType*/ 17, MVT::v4f32,// ->47045
/* 47028*/    OPC_CheckChild1Type, MVT::v4f32,
/* 47030*/    OPC_RecordChild2, // #1 = $v2
/* 47031*/    OPC_CheckChild2Type, MVT::v4f32,
/* 47033*/    OPC_RecordChild3, // #2 = $c
/* 47034*/    OPC_CheckChild3Type, MVT::v4f32,
/* 47036*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::BITSELECT), 0,
                  MVT::v4f32, 3/*#Ops*/, 0, 1, 2, 
              // Src: (intrinsic_wo_chain:{ *:[v4f32] } 9085:{ *:[iPTR] }, V128:{ *:[v4f32] }:$v1, V128:{ *:[v4f32] }:$v2, V128:{ *:[v4f32] }:$c) - Complexity = 8
              // Dst: (BITSELECT:{ *:[v4f32] } ?:{ *:[v4f32] }:$v1, ?:{ *:[v4f32] }:$v2, ?:{ *:[v4f32] }:$c)
/* 47045*/   /*SwitchType*/ 17, MVT::v2f64,// ->47064
/* 47047*/    OPC_CheckChild1Type, MVT::v2f64,
/* 47049*/    OPC_RecordChild2, // #1 = $v2
/* 47050*/    OPC_CheckChild2Type, MVT::v2f64,
/* 47052*/    OPC_RecordChild3, // #2 = $c
/* 47053*/    OPC_CheckChild3Type, MVT::v2f64,
/* 47055*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::BITSELECT), 0,
                  MVT::v2f64, 3/*#Ops*/, 0, 1, 2, 
              // Src: (intrinsic_wo_chain:{ *:[v2f64] } 9085:{ *:[iPTR] }, V128:{ *:[v2f64] }:$v1, V128:{ *:[v2f64] }:$v2, V128:{ *:[v2f64] }:$c) - Complexity = 8
              // Dst: (BITSELECT:{ *:[v2f64] } ?:{ *:[v2f64] }:$v1, ?:{ *:[v2f64] }:$v2, ?:{ *:[v2f64] }:$c)
/* 47064*/   0, // EndSwitchType
/* 47065*/  /*Scope*/ 41, /*->47107*/
/* 47066*/   OPC_CheckChild0Integer, 42|128,14|128,1/*18218*/, 
/* 47070*/   OPC_RecordChild1, // #0 = $lhs
/* 47071*/   OPC_SwitchType /*2 cases */, 15, MVT::v16i8,// ->47089
/* 47074*/    OPC_CheckChild1Type, MVT::v16i8,
/* 47076*/    OPC_RecordChild2, // #1 = $rhs
/* 47077*/    OPC_CheckChild2Type, MVT::v16i8,
/* 47079*/    OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 47081*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SUB_SAT_S_I8x16), 0,
                  MVT::v16i8, 2/*#Ops*/, 0, 1, 
              // Src: (intrinsic_wo_chain:{ *:[v16i8] } 9109:{ *:[iPTR] }, V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs) - Complexity = 8
              // Dst: (SUB_SAT_S_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs)
/* 47089*/   /*SwitchType*/ 15, MVT::v8i16,// ->47106
/* 47091*/    OPC_CheckChild1Type, MVT::v8i16,
/* 47093*/    OPC_RecordChild2, // #1 = $rhs
/* 47094*/    OPC_CheckChild2Type, MVT::v8i16,
/* 47096*/    OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 47098*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SUB_SAT_S_I16x8), 0,
                  MVT::v8i16, 2/*#Ops*/, 0, 1, 
              // Src: (intrinsic_wo_chain:{ *:[v8i16] } 9109:{ *:[iPTR] }, V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs) - Complexity = 8
              // Dst: (SUB_SAT_S_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)
/* 47106*/   0, // EndSwitchType
/* 47107*/  /*Scope*/ 41, /*->47149*/
/* 47108*/   OPC_CheckChild0Integer, 44|128,14|128,1/*18220*/, 
/* 47112*/   OPC_RecordChild1, // #0 = $lhs
/* 47113*/   OPC_SwitchType /*2 cases */, 15, MVT::v16i8,// ->47131
/* 47116*/    OPC_CheckChild1Type, MVT::v16i8,
/* 47118*/    OPC_RecordChild2, // #1 = $rhs
/* 47119*/    OPC_CheckChild2Type, MVT::v16i8,
/* 47121*/    OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 47123*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SUB_SAT_U_I8x16), 0,
                  MVT::v16i8, 2/*#Ops*/, 0, 1, 
              // Src: (intrinsic_wo_chain:{ *:[v16i8] } 9110:{ *:[iPTR] }, V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs) - Complexity = 8
              // Dst: (SUB_SAT_U_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs)
/* 47131*/   /*SwitchType*/ 15, MVT::v8i16,// ->47148
/* 47133*/    OPC_CheckChild1Type, MVT::v8i16,
/* 47135*/    OPC_RecordChild2, // #1 = $rhs
/* 47136*/    OPC_CheckChild2Type, MVT::v8i16,
/* 47138*/    OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 47140*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SUB_SAT_U_I16x8), 0,
                  MVT::v8i16, 2/*#Ops*/, 0, 1, 
              // Src: (intrinsic_wo_chain:{ *:[v8i16] } 9110:{ *:[iPTR] }, V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs) - Complexity = 8
              // Dst: (SUB_SAT_U_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)
/* 47148*/   0, // EndSwitchType
/* 47149*/  /*Scope*/ 41, /*->47191*/
/* 47150*/   OPC_CheckChild0Integer, 118|128,13|128,1/*18166*/, 
/* 47154*/   OPC_RecordChild1, // #0 = $lhs
/* 47155*/   OPC_SwitchType /*2 cases */, 15, MVT::v16i8,// ->47173
/* 47158*/    OPC_CheckChild1Type, MVT::v16i8,
/* 47160*/    OPC_RecordChild2, // #1 = $rhs
/* 47161*/    OPC_CheckChild2Type, MVT::v16i8,
/* 47163*/    OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 47165*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::AVGR_U_I8x16), 0,
                  MVT::v16i8, 2/*#Ops*/, 0, 1, 
              // Src: (intrinsic_wo_chain:{ *:[v16i8] } 9083:{ *:[iPTR] }, V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs) - Complexity = 8
              // Dst: (AVGR_U_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs)
/* 47173*/   /*SwitchType*/ 15, MVT::v8i16,// ->47190
/* 47175*/    OPC_CheckChild1Type, MVT::v8i16,
/* 47177*/    OPC_RecordChild2, // #1 = $rhs
/* 47178*/    OPC_CheckChild2Type, MVT::v8i16,
/* 47180*/    OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 47182*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::AVGR_U_I16x8), 0,
                  MVT::v8i16, 2/*#Ops*/, 0, 1, 
              // Src: (intrinsic_wo_chain:{ *:[v8i16] } 9083:{ *:[iPTR] }, V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs) - Complexity = 8
              // Dst: (AVGR_U_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)
/* 47190*/   0, // EndSwitchType
/* 47191*/  /*Scope*/ 16, /*->47208*/
/* 47192*/   OPC_CheckChild0Integer, 126|128,13|128,1/*18174*/, 
/* 47196*/   OPC_RecordChild1, // #0 = $lhs
/* 47197*/   OPC_RecordChild2, // #1 = $rhs
/* 47198*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 47200*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::DOT), 0,
                 MVT::v4i32, 2/*#Ops*/, 0, 1, 
             // Src: (intrinsic_wo_chain:{ *:[v4i32] } 9087:{ *:[iPTR] }, V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs) - Complexity = 8
             // Dst: (DOT:{ *:[v4i32] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)
/* 47208*/  /*Scope*/ 41, /*->47250*/
/* 47209*/   OPC_CheckChild0Integer, 28|128,14|128,1/*18204*/, 
/* 47213*/   OPC_RecordChild1, // #0 = $low
/* 47214*/   OPC_SwitchType /*2 cases */, 15, MVT::v16i8,// ->47232
/* 47217*/    OPC_CheckChild1Type, MVT::v8i16,
/* 47219*/    OPC_RecordChild2, // #1 = $high
/* 47220*/    OPC_CheckChild2Type, MVT::v8i16,
/* 47222*/    OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 47224*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::NARROW_S_I8x16), 0,
                  MVT::v16i8, 2/*#Ops*/, 0, 1, 
              // Src: (intrinsic_wo_chain:{ *:[v16i8] } 9102:{ *:[iPTR] }, V128:{ *:[v8i16] }:$low, V128:{ *:[v8i16] }:$high) - Complexity = 8
              // Dst: (NARROW_S_I8x16:{ *:[v16i8] } V128:{ *:[v8i16] }:$low, V128:{ *:[v8i16] }:$high)
/* 47232*/   /*SwitchType*/ 15, MVT::v8i16,// ->47249
/* 47234*/    OPC_CheckChild1Type, MVT::v4i32,
/* 47236*/    OPC_RecordChild2, // #1 = $high
/* 47237*/    OPC_CheckChild2Type, MVT::v4i32,
/* 47239*/    OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 47241*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::NARROW_S_I16x8), 0,
                  MVT::v8i16, 2/*#Ops*/, 0, 1, 
              // Src: (intrinsic_wo_chain:{ *:[v8i16] } 9102:{ *:[iPTR] }, V128:{ *:[v4i32] }:$low, V128:{ *:[v4i32] }:$high) - Complexity = 8
              // Dst: (NARROW_S_I16x8:{ *:[v8i16] } V128:{ *:[v4i32] }:$low, V128:{ *:[v4i32] }:$high)
/* 47249*/   0, // EndSwitchType
/* 47250*/  /*Scope*/ 41, /*->47292*/
/* 47251*/   OPC_CheckChild0Integer, 30|128,14|128,1/*18206*/, 
/* 47255*/   OPC_RecordChild1, // #0 = $low
/* 47256*/   OPC_SwitchType /*2 cases */, 15, MVT::v16i8,// ->47274
/* 47259*/    OPC_CheckChild1Type, MVT::v8i16,
/* 47261*/    OPC_RecordChild2, // #1 = $high
/* 47262*/    OPC_CheckChild2Type, MVT::v8i16,
/* 47264*/    OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 47266*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::NARROW_U_I8x16), 0,
                  MVT::v16i8, 2/*#Ops*/, 0, 1, 
              // Src: (intrinsic_wo_chain:{ *:[v16i8] } 9103:{ *:[iPTR] }, V128:{ *:[v8i16] }:$low, V128:{ *:[v8i16] }:$high) - Complexity = 8
              // Dst: (NARROW_U_I8x16:{ *:[v16i8] } V128:{ *:[v8i16] }:$low, V128:{ *:[v8i16] }:$high)
/* 47274*/   /*SwitchType*/ 15, MVT::v8i16,// ->47291
/* 47276*/    OPC_CheckChild1Type, MVT::v4i32,
/* 47278*/    OPC_RecordChild2, // #1 = $high
/* 47279*/    OPC_CheckChild2Type, MVT::v4i32,
/* 47281*/    OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 47283*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::NARROW_U_I16x8), 0,
                  MVT::v8i16, 2/*#Ops*/, 0, 1, 
              // Src: (intrinsic_wo_chain:{ *:[v8i16] } 9103:{ *:[iPTR] }, V128:{ *:[v4i32] }:$low, V128:{ *:[v4i32] }:$high) - Complexity = 8
              // Dst: (NARROW_U_I16x8:{ *:[v8i16] } V128:{ *:[v4i32] }:$low, V128:{ *:[v4i32] }:$high)
/* 47291*/   0, // EndSwitchType
/* 47292*/  /*Scope*/ 33, /*->47326*/
/* 47293*/   OPC_CheckChild0Integer, 0|128,14|128,1/*18176*/, 
/* 47297*/   OPC_RecordChild1, // #0 = $vec
/* 47298*/   OPC_SwitchType /*2 cases */, 11, MVT::v8i16,// ->47312
/* 47301*/    OPC_CheckChild1Type, MVT::v16i8,
/* 47303*/    OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 47305*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::int_wasm_extadd_pairwise_signed_I16x8), 0,
                  MVT::v8i16, 1/*#Ops*/, 0, 
              // Src: (intrinsic_wo_chain:{ *:[v8i16] } 9088:{ *:[iPTR] }, V128:{ *:[v16i8] }:$vec) - Complexity = 8
              // Dst: (int_wasm_extadd_pairwise_signed_I16x8:{ *:[v8i16] } V128:{ *:[v16i8] }:$vec)
/* 47312*/   /*SwitchType*/ 11, MVT::v4i32,// ->47325
/* 47314*/    OPC_CheckChild1Type, MVT::v8i16,
/* 47316*/    OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 47318*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::int_wasm_extadd_pairwise_signed_I32x4), 0,
                  MVT::v4i32, 1/*#Ops*/, 0, 
              // Src: (intrinsic_wo_chain:{ *:[v4i32] } 9088:{ *:[iPTR] }, V128:{ *:[v8i16] }:$vec) - Complexity = 8
              // Dst: (int_wasm_extadd_pairwise_signed_I32x4:{ *:[v4i32] } V128:{ *:[v8i16] }:$vec)
/* 47325*/   0, // EndSwitchType
/* 47326*/  /*Scope*/ 33, /*->47360*/
/* 47327*/   OPC_CheckChild0Integer, 2|128,14|128,1/*18178*/, 
/* 47331*/   OPC_RecordChild1, // #0 = $vec
/* 47332*/   OPC_SwitchType /*2 cases */, 11, MVT::v8i16,// ->47346
/* 47335*/    OPC_CheckChild1Type, MVT::v16i8,
/* 47337*/    OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 47339*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::int_wasm_extadd_pairwise_unsigned_I16x8), 0,
                  MVT::v8i16, 1/*#Ops*/, 0, 
              // Src: (intrinsic_wo_chain:{ *:[v8i16] } 9089:{ *:[iPTR] }, V128:{ *:[v16i8] }:$vec) - Complexity = 8
              // Dst: (int_wasm_extadd_pairwise_unsigned_I16x8:{ *:[v8i16] } V128:{ *:[v16i8] }:$vec)
/* 47346*/   /*SwitchType*/ 11, MVT::v4i32,// ->47359
/* 47348*/    OPC_CheckChild1Type, MVT::v8i16,
/* 47350*/    OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 47352*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::int_wasm_extadd_pairwise_unsigned_I32x4), 0,
                  MVT::v4i32, 1/*#Ops*/, 0, 
              // Src: (intrinsic_wo_chain:{ *:[v4i32] } 9089:{ *:[iPTR] }, V128:{ *:[v8i16] }:$vec) - Complexity = 8
              // Dst: (int_wasm_extadd_pairwise_unsigned_I32x4:{ *:[v4i32] } V128:{ *:[v8i16] }:$vec)
/* 47359*/   0, // EndSwitchType
/* 47360*/  /*Scope*/ 16, /*->47377*/
/* 47361*/   OPC_CheckChild0Integer, 36|128,14|128,1/*18212*/, 
/* 47365*/   OPC_RecordChild1, // #0 = $lhs
/* 47366*/   OPC_RecordChild2, // #1 = $rhs
/* 47367*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 47369*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::Q15MULR_SAT_S_I16x8), 0,
                 MVT::v8i16, 2/*#Ops*/, 0, 1, 
             // Src: (intrinsic_wo_chain:{ *:[v8i16] } 9106:{ *:[iPTR] }, V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs) - Complexity = 8
             // Dst: (Q15MULR_SAT_S_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)
/* 47377*/  /*Scope*/ 91, /*->47469*/
/* 47378*/   OPC_CheckChild0Integer, 14|128,14|128,1/*18190*/, 
/* 47382*/   OPC_RecordChild1, // #0 = $a
/* 47383*/   OPC_SwitchType /*4 cases */, 19, MVT::v16i8,// ->47405
/* 47386*/    OPC_CheckChild1Type, MVT::v16i8,
/* 47388*/    OPC_RecordChild2, // #1 = $b
/* 47389*/    OPC_CheckChild2Type, MVT::v16i8,
/* 47391*/    OPC_RecordChild3, // #2 = $c
/* 47392*/    OPC_CheckChild3Type, MVT::v16i8,
/* 47394*/    OPC_CheckPatternPredicate, 13, // (Subtarget->hasRelaxedSIMD())
/* 47396*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LANESELECT_I8x16), 0,
                  MVT::v16i8, 3/*#Ops*/, 0, 1, 2, 
              // Src: (intrinsic_wo_chain:{ *:[v16i8] } 9095:{ *:[iPTR] }, V128:{ *:[v16i8] }:$a, V128:{ *:[v16i8] }:$b, V128:{ *:[v16i8] }:$c) - Complexity = 8
              // Dst: (LANESELECT_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$a, V128:{ *:[v16i8] }:$b, V128:{ *:[v16i8] }:$c)
/* 47405*/   /*SwitchType*/ 19, MVT::v8i16,// ->47426
/* 47407*/    OPC_CheckChild1Type, MVT::v8i16,
/* 47409*/    OPC_RecordChild2, // #1 = $b
/* 47410*/    OPC_CheckChild2Type, MVT::v8i16,
/* 47412*/    OPC_RecordChild3, // #2 = $c
/* 47413*/    OPC_CheckChild3Type, MVT::v8i16,
/* 47415*/    OPC_CheckPatternPredicate, 13, // (Subtarget->hasRelaxedSIMD())
/* 47417*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LANESELECT_I16x8), 0,
                  MVT::v8i16, 3/*#Ops*/, 0, 1, 2, 
              // Src: (intrinsic_wo_chain:{ *:[v8i16] } 9095:{ *:[iPTR] }, V128:{ *:[v8i16] }:$a, V128:{ *:[v8i16] }:$b, V128:{ *:[v8i16] }:$c) - Complexity = 8
              // Dst: (LANESELECT_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$a, V128:{ *:[v8i16] }:$b, V128:{ *:[v8i16] }:$c)
/* 47426*/   /*SwitchType*/ 19, MVT::v4i32,// ->47447
/* 47428*/    OPC_CheckChild1Type, MVT::v4i32,
/* 47430*/    OPC_RecordChild2, // #1 = $b
/* 47431*/    OPC_CheckChild2Type, MVT::v4i32,
/* 47433*/    OPC_RecordChild3, // #2 = $c
/* 47434*/    OPC_CheckChild3Type, MVT::v4i32,
/* 47436*/    OPC_CheckPatternPredicate, 13, // (Subtarget->hasRelaxedSIMD())
/* 47438*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LANESELECT_I32x4), 0,
                  MVT::v4i32, 3/*#Ops*/, 0, 1, 2, 
              // Src: (intrinsic_wo_chain:{ *:[v4i32] } 9095:{ *:[iPTR] }, V128:{ *:[v4i32] }:$a, V128:{ *:[v4i32] }:$b, V128:{ *:[v4i32] }:$c) - Complexity = 8
              // Dst: (LANESELECT_I32x4:{ *:[v4i32] } V128:{ *:[v4i32] }:$a, V128:{ *:[v4i32] }:$b, V128:{ *:[v4i32] }:$c)
/* 47447*/   /*SwitchType*/ 19, MVT::v2i64,// ->47468
/* 47449*/    OPC_CheckChild1Type, MVT::v2i64,
/* 47451*/    OPC_RecordChild2, // #1 = $b
/* 47452*/    OPC_CheckChild2Type, MVT::v2i64,
/* 47454*/    OPC_RecordChild3, // #2 = $c
/* 47455*/    OPC_CheckChild3Type, MVT::v2i64,
/* 47457*/    OPC_CheckPatternPredicate, 13, // (Subtarget->hasRelaxedSIMD())
/* 47459*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LANESELECT_I64x2), 0,
                  MVT::v2i64, 3/*#Ops*/, 0, 1, 2, 
              // Src: (intrinsic_wo_chain:{ *:[v2i64] } 9095:{ *:[iPTR] }, V128:{ *:[v2i64] }:$a, V128:{ *:[v2i64] }:$b, V128:{ *:[v2i64] }:$c) - Complexity = 8
              // Dst: (LANESELECT_I64x2:{ *:[v2i64] } V128:{ *:[v2i64] }:$a, V128:{ *:[v2i64] }:$b, V128:{ *:[v2i64] }:$c)
/* 47468*/   0, // EndSwitchType
/* 47469*/  /*Scope*/ 37, /*->47507*/
/* 47470*/   OPC_CheckChild0Integer, 34|128,14|128,1/*18210*/, 
/* 47474*/   OPC_RecordChild1, // #0 = $lhs
/* 47475*/   OPC_SwitchType /*2 cases */, 13, MVT::v4f32,// ->47491
/* 47478*/    OPC_CheckChild1Type, MVT::v4f32,
/* 47480*/    OPC_RecordChild2, // #1 = $rhs
/* 47481*/    OPC_CheckChild2Type, MVT::v4f32,
/* 47483*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::PMIN_F32x4), 0,
                  MVT::v4f32, 2/*#Ops*/, 0, 1, 
              // Src: (intrinsic_wo_chain:{ *:[v4f32] } 9105:{ *:[iPTR] }, V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs) - Complexity = 8
              // Dst: (PMIN_F32x4:{ *:[v4f32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs)
/* 47491*/   /*SwitchType*/ 13, MVT::v2f64,// ->47506
/* 47493*/    OPC_CheckChild1Type, MVT::v2f64,
/* 47495*/    OPC_RecordChild2, // #1 = $rhs
/* 47496*/    OPC_CheckChild2Type, MVT::v2f64,
/* 47498*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::PMIN_F64x2), 0,
                  MVT::v2f64, 2/*#Ops*/, 0, 1, 
              // Src: (intrinsic_wo_chain:{ *:[v2f64] } 9105:{ *:[iPTR] }, V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs) - Complexity = 8
              // Dst: (PMIN_F64x2:{ *:[v2f64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs)
/* 47506*/   0, // EndSwitchType
/* 47507*/  /*Scope*/ 37, /*->47545*/
/* 47508*/   OPC_CheckChild0Integer, 32|128,14|128,1/*18208*/, 
/* 47512*/   OPC_RecordChild1, // #0 = $lhs
/* 47513*/   OPC_SwitchType /*2 cases */, 13, MVT::v4f32,// ->47529
/* 47516*/    OPC_CheckChild1Type, MVT::v4f32,
/* 47518*/    OPC_RecordChild2, // #1 = $rhs
/* 47519*/    OPC_CheckChild2Type, MVT::v4f32,
/* 47521*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::PMAX_F32x4), 0,
                  MVT::v4f32, 2/*#Ops*/, 0, 1, 
              // Src: (intrinsic_wo_chain:{ *:[v4f32] } 9104:{ *:[iPTR] }, V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs) - Complexity = 8
              // Dst: (PMAX_F32x4:{ *:[v4f32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs)
/* 47529*/   /*SwitchType*/ 13, MVT::v2f64,// ->47544
/* 47531*/    OPC_CheckChild1Type, MVT::v2f64,
/* 47533*/    OPC_RecordChild2, // #1 = $rhs
/* 47534*/    OPC_CheckChild2Type, MVT::v2f64,
/* 47536*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::PMAX_F64x2), 0,
                  MVT::v2f64, 2/*#Ops*/, 0, 1, 
              // Src: (intrinsic_wo_chain:{ *:[v2f64] } 9104:{ *:[iPTR] }, V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs) - Complexity = 8
              // Dst: (PMAX_F64x2:{ *:[v2f64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs)
/* 47544*/   0, // EndSwitchType
/* 47545*/  /*Scope*/ 49, /*->47595*/
/* 47546*/   OPC_CheckChild0Integer, 4|128,14|128,1/*18180*/, 
/* 47550*/   OPC_RecordChild1, // #0 = $a
/* 47551*/   OPC_SwitchType /*2 cases */, 19, MVT::v4f32,// ->47573
/* 47554*/    OPC_CheckChild1Type, MVT::v4f32,
/* 47556*/    OPC_RecordChild2, // #1 = $b
/* 47557*/    OPC_CheckChild2Type, MVT::v4f32,
/* 47559*/    OPC_RecordChild3, // #2 = $c
/* 47560*/    OPC_CheckChild3Type, MVT::v4f32,
/* 47562*/    OPC_CheckPatternPredicate, 13, // (Subtarget->hasRelaxedSIMD())
/* 47564*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::FMA_F32x4), 0,
                  MVT::v4f32, 3/*#Ops*/, 0, 1, 2, 
              // Src: (intrinsic_wo_chain:{ *:[v4f32] } 9090:{ *:[iPTR] }, V128:{ *:[v4f32] }:$a, V128:{ *:[v4f32] }:$b, V128:{ *:[v4f32] }:$c) - Complexity = 8
              // Dst: (FMA_F32x4:{ *:[v4f32] } V128:{ *:[v4f32] }:$a, V128:{ *:[v4f32] }:$b, V128:{ *:[v4f32] }:$c)
/* 47573*/   /*SwitchType*/ 19, MVT::v2f64,// ->47594
/* 47575*/    OPC_CheckChild1Type, MVT::v2f64,
/* 47577*/    OPC_RecordChild2, // #1 = $b
/* 47578*/    OPC_CheckChild2Type, MVT::v2f64,
/* 47580*/    OPC_RecordChild3, // #2 = $c
/* 47581*/    OPC_CheckChild3Type, MVT::v2f64,
/* 47583*/    OPC_CheckPatternPredicate, 13, // (Subtarget->hasRelaxedSIMD())
/* 47585*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::FMA_F64x2), 0,
                  MVT::v2f64, 3/*#Ops*/, 0, 1, 2, 
              // Src: (intrinsic_wo_chain:{ *:[v2f64] } 9090:{ *:[iPTR] }, V128:{ *:[v2f64] }:$a, V128:{ *:[v2f64] }:$b, V128:{ *:[v2f64] }:$c) - Complexity = 8
              // Dst: (FMA_F64x2:{ *:[v2f64] } V128:{ *:[v2f64] }:$a, V128:{ *:[v2f64] }:$b, V128:{ *:[v2f64] }:$c)
/* 47594*/   0, // EndSwitchType
/* 47595*/  /*Scope*/ 49, /*->47645*/
/* 47596*/   OPC_CheckChild0Integer, 6|128,14|128,1/*18182*/, 
/* 47600*/   OPC_RecordChild1, // #0 = $a
/* 47601*/   OPC_SwitchType /*2 cases */, 19, MVT::v4f32,// ->47623
/* 47604*/    OPC_CheckChild1Type, MVT::v4f32,
/* 47606*/    OPC_RecordChild2, // #1 = $b
/* 47607*/    OPC_CheckChild2Type, MVT::v4f32,
/* 47609*/    OPC_RecordChild3, // #2 = $c
/* 47610*/    OPC_CheckChild3Type, MVT::v4f32,
/* 47612*/    OPC_CheckPatternPredicate, 13, // (Subtarget->hasRelaxedSIMD())
/* 47614*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::FMS_F32x4), 0,
                  MVT::v4f32, 3/*#Ops*/, 0, 1, 2, 
              // Src: (intrinsic_wo_chain:{ *:[v4f32] } 9091:{ *:[iPTR] }, V128:{ *:[v4f32] }:$a, V128:{ *:[v4f32] }:$b, V128:{ *:[v4f32] }:$c) - Complexity = 8
              // Dst: (FMS_F32x4:{ *:[v4f32] } V128:{ *:[v4f32] }:$a, V128:{ *:[v4f32] }:$b, V128:{ *:[v4f32] }:$c)
/* 47623*/   /*SwitchType*/ 19, MVT::v2f64,// ->47644
/* 47625*/    OPC_CheckChild1Type, MVT::v2f64,
/* 47627*/    OPC_RecordChild2, // #1 = $b
/* 47628*/    OPC_CheckChild2Type, MVT::v2f64,
/* 47630*/    OPC_RecordChild3, // #2 = $c
/* 47631*/    OPC_CheckChild3Type, MVT::v2f64,
/* 47633*/    OPC_CheckPatternPredicate, 13, // (Subtarget->hasRelaxedSIMD())
/* 47635*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::FMS_F64x2), 0,
                  MVT::v2f64, 3/*#Ops*/, 0, 1, 2, 
              // Src: (intrinsic_wo_chain:{ *:[v2f64] } 9091:{ *:[iPTR] }, V128:{ *:[v2f64] }:$a, V128:{ *:[v2f64] }:$b, V128:{ *:[v2f64] }:$c) - Complexity = 8
              // Dst: (FMS_F64x2:{ *:[v2f64] } V128:{ *:[v2f64] }:$a, V128:{ *:[v2f64] }:$b, V128:{ *:[v2f64] }:$c)
/* 47644*/   0, // EndSwitchType
/* 47645*/  0, /*End of Scope*/
/* 47646*/ /*SwitchOpcode*/ 25|128,1/*153*/, TARGET_VAL(ISD::EXTRACT_VECTOR_ELT),// ->47803
/* 47650*/  OPC_RecordChild0, // #0 = $vec
/* 47651*/  OPC_Scope, 24, /*->47677*/ // 6 children in Scope
/* 47653*/   OPC_CheckChild0Type, MVT::v16i8,
/* 47655*/   OPC_RecordChild1, // #1 = $idx
/* 47656*/   OPC_MoveChild1,
/* 47657*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 47660*/   OPC_CheckPredicate, 5, // Predicate_LaneIdx16
/* 47662*/   OPC_CheckType, MVT::i32,
/* 47664*/   OPC_MoveParent,
/* 47665*/   OPC_CheckType, MVT::i32,
/* 47667*/   OPC_EmitConvertToTarget, 1,
/* 47669*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::EXTRACT_LANE_I8x16_u), 0,
                 MVT::i32, 2/*#Ops*/, 0, 2, 
             // Src: (vector_extract:{ *:[i32] } V128:{ *:[v16i8] }:$vec, (imm:{ *:[i32] })<<P:Predicate_LaneIdx16>>:$idx) - Complexity = 7
             // Dst: (EXTRACT_LANE_I8x16_u:{ *:[i32] } ?:{ *:[v16i8] }:$vec, (imm:{ *:[i32] }):$idx)
/* 47677*/  /*Scope*/ 24, /*->47702*/
/* 47678*/   OPC_CheckChild0Type, MVT::v8i16,
/* 47680*/   OPC_RecordChild1, // #1 = $idx
/* 47681*/   OPC_MoveChild1,
/* 47682*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 47685*/   OPC_CheckPredicate, 6, // Predicate_LaneIdx8
/* 47687*/   OPC_CheckType, MVT::i32,
/* 47689*/   OPC_MoveParent,
/* 47690*/   OPC_CheckType, MVT::i32,
/* 47692*/   OPC_EmitConvertToTarget, 1,
/* 47694*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::EXTRACT_LANE_I16x8_u), 0,
                 MVT::i32, 2/*#Ops*/, 0, 2, 
             // Src: (vector_extract:{ *:[i32] } V128:{ *:[v8i16] }:$vec, (imm:{ *:[i32] })<<P:Predicate_LaneIdx8>>:$idx) - Complexity = 7
             // Dst: (EXTRACT_LANE_I16x8_u:{ *:[i32] } ?:{ *:[v8i16] }:$vec, (imm:{ *:[i32] }):$idx)
/* 47702*/  /*Scope*/ 24, /*->47727*/
/* 47703*/   OPC_CheckChild0Type, MVT::v4i32,
/* 47705*/   OPC_RecordChild1, // #1 = $idx
/* 47706*/   OPC_MoveChild1,
/* 47707*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 47710*/   OPC_CheckPredicate, 13, // Predicate_LaneIdx4
/* 47712*/   OPC_CheckType, MVT::i32,
/* 47714*/   OPC_MoveParent,
/* 47715*/   OPC_CheckType, MVT::i32,
/* 47717*/   OPC_EmitConvertToTarget, 1,
/* 47719*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::EXTRACT_LANE_I32x4), 0,
                 MVT::i32, 2/*#Ops*/, 0, 2, 
             // Src: (vector_extract:{ *:[i32] } V128:{ *:[v4i32] }:$vec, (imm:{ *:[i32] })<<P:Predicate_LaneIdx4>>:$idx) - Complexity = 7
             // Dst: (EXTRACT_LANE_I32x4:{ *:[i32] } ?:{ *:[v4i32] }:$vec, (imm:{ *:[i32] }):$idx)
/* 47727*/  /*Scope*/ 24, /*->47752*/
/* 47728*/   OPC_CheckChild0Type, MVT::v2i64,
/* 47730*/   OPC_RecordChild1, // #1 = $idx
/* 47731*/   OPC_MoveChild1,
/* 47732*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 47735*/   OPC_CheckPredicate, 15, // Predicate_LaneIdx2
/* 47737*/   OPC_CheckType, MVT::i32,
/* 47739*/   OPC_MoveParent,
/* 47740*/   OPC_CheckType, MVT::i64,
/* 47742*/   OPC_EmitConvertToTarget, 1,
/* 47744*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::EXTRACT_LANE_I64x2), 0,
                 MVT::i64, 2/*#Ops*/, 0, 2, 
             // Src: (vector_extract:{ *:[i64] } V128:{ *:[v2i64] }:$vec, (imm:{ *:[i32] })<<P:Predicate_LaneIdx2>>:$idx) - Complexity = 7
             // Dst: (EXTRACT_LANE_I64x2:{ *:[i64] } ?:{ *:[v2i64] }:$vec, (imm:{ *:[i32] }):$idx)
/* 47752*/  /*Scope*/ 24, /*->47777*/
/* 47753*/   OPC_CheckChild0Type, MVT::v4f32,
/* 47755*/   OPC_RecordChild1, // #1 = $idx
/* 47756*/   OPC_MoveChild1,
/* 47757*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 47760*/   OPC_CheckPredicate, 13, // Predicate_LaneIdx4
/* 47762*/   OPC_CheckType, MVT::i32,
/* 47764*/   OPC_MoveParent,
/* 47765*/   OPC_CheckType, MVT::f32,
/* 47767*/   OPC_EmitConvertToTarget, 1,
/* 47769*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::EXTRACT_LANE_F32x4), 0,
                 MVT::f32, 2/*#Ops*/, 0, 2, 
             // Src: (vector_extract:{ *:[f32] } V128:{ *:[v4f32] }:$vec, (imm:{ *:[i32] })<<P:Predicate_LaneIdx4>>:$idx) - Complexity = 7
             // Dst: (EXTRACT_LANE_F32x4:{ *:[f32] } ?:{ *:[v4f32] }:$vec, (imm:{ *:[i32] }):$idx)
/* 47777*/  /*Scope*/ 24, /*->47802*/
/* 47778*/   OPC_CheckChild0Type, MVT::v2f64,
/* 47780*/   OPC_RecordChild1, // #1 = $idx
/* 47781*/   OPC_MoveChild1,
/* 47782*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 47785*/   OPC_CheckPredicate, 15, // Predicate_LaneIdx2
/* 47787*/   OPC_CheckType, MVT::i32,
/* 47789*/   OPC_MoveParent,
/* 47790*/   OPC_CheckType, MVT::f64,
/* 47792*/   OPC_EmitConvertToTarget, 1,
/* 47794*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::EXTRACT_LANE_F64x2), 0,
                 MVT::f64, 2/*#Ops*/, 0, 2, 
             // Src: (vector_extract:{ *:[f64] } V128:{ *:[v2f64] }:$vec, (imm:{ *:[i32] })<<P:Predicate_LaneIdx2>>:$idx) - Complexity = 7
             // Dst: (EXTRACT_LANE_F64x2:{ *:[f64] } ?:{ *:[v2f64] }:$vec, (imm:{ *:[i32] }):$idx)
/* 47802*/  0, /*End of Scope*/
/* 47803*/ /*SwitchOpcode*/ 116, TARGET_VAL(WebAssemblyISD::ARGUMENT),// ->47922
/* 47806*/  OPC_RecordChild0, // #0 = $argno
/* 47807*/  OPC_MoveChild0,
/* 47808*/  OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 47811*/  OPC_MoveParent,
/* 47812*/  OPC_SwitchType /*12 cases */, 7, MVT::i32,// ->47822
/* 47815*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ARGUMENT_i32), 0,
                 MVT::i32, 1/*#Ops*/, 0, 
             // Src: (WebAssemblyargument:{ *:[i32] } (timm:{ *:[i32] }):$argno) - Complexity = 6
             // Dst: (ARGUMENT_i32:{ *:[i32] } (timm:{ *:[i32] }):$argno)
/* 47822*/  /*SwitchType*/ 7, MVT::i64,// ->47831
/* 47824*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ARGUMENT_i64), 0,
                 MVT::i64, 1/*#Ops*/, 0, 
             // Src: (WebAssemblyargument:{ *:[i64] } (timm:{ *:[i32] }):$argno) - Complexity = 6
             // Dst: (ARGUMENT_i64:{ *:[i64] } (timm:{ *:[i32] }):$argno)
/* 47831*/  /*SwitchType*/ 7, MVT::funcref,// ->47840
/* 47833*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ARGUMENT_funcref), 0,
                 MVT::funcref, 1/*#Ops*/, 0, 
             // Src: (WebAssemblyargument:{ *:[funcref] } (timm:{ *:[i32] }):$argno) - Complexity = 6
             // Dst: (ARGUMENT_funcref:{ *:[funcref] } (timm:{ *:[i32] }):$argno)
/* 47840*/  /*SwitchType*/ 7, MVT::externref,// ->47849
/* 47842*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ARGUMENT_externref), 0,
                 MVT::externref, 1/*#Ops*/, 0, 
             // Src: (WebAssemblyargument:{ *:[externref] } (timm:{ *:[i32] }):$argno) - Complexity = 6
             // Dst: (ARGUMENT_externref:{ *:[externref] } (timm:{ *:[i32] }):$argno)
/* 47849*/  /*SwitchType*/ 7, MVT::f32,// ->47858
/* 47851*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ARGUMENT_f32), 0,
                 MVT::f32, 1/*#Ops*/, 0, 
             // Src: (WebAssemblyargument:{ *:[f32] } (timm:{ *:[i32] }):$argno) - Complexity = 6
             // Dst: (ARGUMENT_f32:{ *:[f32] } (timm:{ *:[i32] }):$argno)
/* 47858*/  /*SwitchType*/ 7, MVT::f64,// ->47867
/* 47860*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ARGUMENT_f64), 0,
                 MVT::f64, 1/*#Ops*/, 0, 
             // Src: (WebAssemblyargument:{ *:[f64] } (timm:{ *:[i32] }):$argno) - Complexity = 6
             // Dst: (ARGUMENT_f64:{ *:[f64] } (timm:{ *:[i32] }):$argno)
/* 47867*/  /*SwitchType*/ 7, MVT::v16i8,// ->47876
/* 47869*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ARGUMENT_v16i8), 0,
                 MVT::v16i8, 1/*#Ops*/, 0, 
             // Src: (WebAssemblyargument:{ *:[v16i8] } (timm:{ *:[i32] }):$argno) - Complexity = 6
             // Dst: (ARGUMENT_v16i8:{ *:[v16i8] } (timm:{ *:[i32] }):$argno)
/* 47876*/  /*SwitchType*/ 7, MVT::v8i16,// ->47885
/* 47878*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ARGUMENT_v8i16), 0,
                 MVT::v8i16, 1/*#Ops*/, 0, 
             // Src: (WebAssemblyargument:{ *:[v8i16] } (timm:{ *:[i32] }):$argno) - Complexity = 6
             // Dst: (ARGUMENT_v8i16:{ *:[v8i16] } (timm:{ *:[i32] }):$argno)
/* 47885*/  /*SwitchType*/ 7, MVT::v4i32,// ->47894
/* 47887*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ARGUMENT_v4i32), 0,
                 MVT::v4i32, 1/*#Ops*/, 0, 
             // Src: (WebAssemblyargument:{ *:[v4i32] } (timm:{ *:[i32] }):$argno) - Complexity = 6
             // Dst: (ARGUMENT_v4i32:{ *:[v4i32] } (timm:{ *:[i32] }):$argno)
/* 47894*/  /*SwitchType*/ 7, MVT::v2i64,// ->47903
/* 47896*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ARGUMENT_v2i64), 0,
                 MVT::v2i64, 1/*#Ops*/, 0, 
             // Src: (WebAssemblyargument:{ *:[v2i64] } (timm:{ *:[i32] }):$argno) - Complexity = 6
             // Dst: (ARGUMENT_v2i64:{ *:[v2i64] } (timm:{ *:[i32] }):$argno)
/* 47903*/  /*SwitchType*/ 7, MVT::v4f32,// ->47912
/* 47905*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ARGUMENT_v4f32), 0,
                 MVT::v4f32, 1/*#Ops*/, 0, 
             // Src: (WebAssemblyargument:{ *:[v4f32] } (timm:{ *:[i32] }):$argno) - Complexity = 6
             // Dst: (ARGUMENT_v4f32:{ *:[v4f32] } (timm:{ *:[i32] }):$argno)
/* 47912*/  /*SwitchType*/ 7, MVT::v2f64,// ->47921
/* 47914*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ARGUMENT_v2f64), 0,
                 MVT::v2f64, 1/*#Ops*/, 0, 
             // Src: (WebAssemblyargument:{ *:[v2f64] } (timm:{ *:[i32] }):$argno) - Complexity = 6
             // Dst: (ARGUMENT_v2f64:{ *:[v2f64] } (timm:{ *:[i32] }):$argno)
/* 47921*/  0, // EndSwitchType
/* 47922*/ /*SwitchOpcode*/ 17|128,1/*145*/, TARGET_VAL(WebAssemblyISD::LOCAL_GET),// ->48071
/* 47926*/  OPC_RecordNode, // #0 = 'WebAssemblylocal_get' chained node
/* 47927*/  OPC_RecordChild1, // #1 = $local
/* 47928*/  OPC_MoveChild1,
/* 47929*/  OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 47932*/  OPC_MoveParent,
/* 47933*/  OPC_SwitchType /*12 cases */, 8, MVT::i32,// ->47944
/* 47936*/   OPC_EmitMergeInputChains1_0,
/* 47937*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOCAL_GET_I32), 0|OPFL_Chain,
                 MVT::i32, 1/*#Ops*/, 1, 
             // Src: (WebAssemblylocal_get:{ *:[i32] } (timm:{ *:[i32] }):$local) - Complexity = 6
             // Dst: (LOCAL_GET_I32:{ *:[i32] } (timm:{ *:[i32] }):$local)
/* 47944*/  /*SwitchType*/ 8, MVT::i64,// ->47954
/* 47946*/   OPC_EmitMergeInputChains1_0,
/* 47947*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOCAL_GET_I64), 0|OPFL_Chain,
                 MVT::i64, 1/*#Ops*/, 1, 
             // Src: (WebAssemblylocal_get:{ *:[i64] } (timm:{ *:[i32] }):$local) - Complexity = 6
             // Dst: (LOCAL_GET_I64:{ *:[i64] } (timm:{ *:[i32] }):$local)
/* 47954*/  /*SwitchType*/ 10, MVT::funcref,// ->47966
/* 47956*/   OPC_CheckPatternPredicate, 9, // (Subtarget->hasReferenceTypes())
/* 47958*/   OPC_EmitMergeInputChains1_0,
/* 47959*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOCAL_GET_FUNCREF), 0|OPFL_Chain,
                 MVT::funcref, 1/*#Ops*/, 1, 
             // Src: (WebAssemblylocal_get:{ *:[funcref] } (timm:{ *:[i32] }):$local) - Complexity = 6
             // Dst: (LOCAL_GET_FUNCREF:{ *:[funcref] } (timm:{ *:[i32] }):$local)
/* 47966*/  /*SwitchType*/ 10, MVT::externref,// ->47978
/* 47968*/   OPC_CheckPatternPredicate, 9, // (Subtarget->hasReferenceTypes())
/* 47970*/   OPC_EmitMergeInputChains1_0,
/* 47971*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOCAL_GET_EXTERNREF), 0|OPFL_Chain,
                 MVT::externref, 1/*#Ops*/, 1, 
             // Src: (WebAssemblylocal_get:{ *:[externref] } (timm:{ *:[i32] }):$local) - Complexity = 6
             // Dst: (LOCAL_GET_EXTERNREF:{ *:[externref] } (timm:{ *:[i32] }):$local)
/* 47978*/  /*SwitchType*/ 8, MVT::f32,// ->47988
/* 47980*/   OPC_EmitMergeInputChains1_0,
/* 47981*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOCAL_GET_F32), 0|OPFL_Chain,
                 MVT::f32, 1/*#Ops*/, 1, 
             // Src: (WebAssemblylocal_get:{ *:[f32] } (timm:{ *:[i32] }):$local) - Complexity = 6
             // Dst: (LOCAL_GET_F32:{ *:[f32] } (timm:{ *:[i32] }):$local)
/* 47988*/  /*SwitchType*/ 8, MVT::f64,// ->47998
/* 47990*/   OPC_EmitMergeInputChains1_0,
/* 47991*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOCAL_GET_F64), 0|OPFL_Chain,
                 MVT::f64, 1/*#Ops*/, 1, 
             // Src: (WebAssemblylocal_get:{ *:[f64] } (timm:{ *:[i32] }):$local) - Complexity = 6
             // Dst: (LOCAL_GET_F64:{ *:[f64] } (timm:{ *:[i32] }):$local)
/* 47998*/  /*SwitchType*/ 10, MVT::v2i64,// ->48010
/* 48000*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 48002*/   OPC_EmitMergeInputChains1_0,
/* 48003*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOCAL_GET_V128), 0|OPFL_Chain,
                 MVT::v2i64, 1/*#Ops*/, 1, 
             // Src: (WebAssemblylocal_get:{ *:[v2i64] } (timm:{ *:[i32] }):$local) - Complexity = 6
             // Dst: (LOCAL_GET_V128:{ *:[v2i64] } (timm:{ *:[i32] }):$local)
/* 48010*/  /*SwitchType*/ 10, MVT::v4i32,// ->48022
/* 48012*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 48014*/   OPC_EmitMergeInputChains1_0,
/* 48015*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOCAL_GET_V128), 0|OPFL_Chain,
                 MVT::v4i32, 1/*#Ops*/, 1, 
             // Src: (WebAssemblylocal_get:{ *:[v4i32] } (timm:{ *:[i32] }):$local) - Complexity = 6
             // Dst: (LOCAL_GET_V128:{ *:[v4i32] } (timm:{ *:[i32] }):$local)
/* 48022*/  /*SwitchType*/ 10, MVT::v16i8,// ->48034
/* 48024*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 48026*/   OPC_EmitMergeInputChains1_0,
/* 48027*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOCAL_GET_V128), 0|OPFL_Chain,
                 MVT::v16i8, 1/*#Ops*/, 1, 
             // Src: (WebAssemblylocal_get:{ *:[v16i8] } (timm:{ *:[i32] }):$local) - Complexity = 6
             // Dst: (LOCAL_GET_V128:{ *:[v16i8] } (timm:{ *:[i32] }):$local)
/* 48034*/  /*SwitchType*/ 10, MVT::v8i16,// ->48046
/* 48036*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 48038*/   OPC_EmitMergeInputChains1_0,
/* 48039*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOCAL_GET_V128), 0|OPFL_Chain,
                 MVT::v8i16, 1/*#Ops*/, 1, 
             // Src: (WebAssemblylocal_get:{ *:[v8i16] } (timm:{ *:[i32] }):$local) - Complexity = 6
             // Dst: (LOCAL_GET_V128:{ *:[v8i16] } (timm:{ *:[i32] }):$local)
/* 48046*/  /*SwitchType*/ 10, MVT::v4f32,// ->48058
/* 48048*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 48050*/   OPC_EmitMergeInputChains1_0,
/* 48051*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOCAL_GET_V128), 0|OPFL_Chain,
                 MVT::v4f32, 1/*#Ops*/, 1, 
             // Src: (WebAssemblylocal_get:{ *:[v4f32] } (timm:{ *:[i32] }):$local) - Complexity = 6
             // Dst: (LOCAL_GET_V128:{ *:[v4f32] } (timm:{ *:[i32] }):$local)
/* 48058*/  /*SwitchType*/ 10, MVT::v2f64,// ->48070
/* 48060*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 48062*/   OPC_EmitMergeInputChains1_0,
/* 48063*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOCAL_GET_V128), 0|OPFL_Chain,
                 MVT::v2f64, 1/*#Ops*/, 1, 
             // Src: (WebAssemblylocal_get:{ *:[v2f64] } (timm:{ *:[i32] }):$local) - Complexity = 6
             // Dst: (LOCAL_GET_V128:{ *:[v2f64] } (timm:{ *:[i32] }):$local)
/* 48070*/  0, // EndSwitchType
/* 48071*/ /*SwitchOpcode*/ 30|128,1/*158*/, TARGET_VAL(WebAssemblyISD::LOCAL_SET),// ->48233
/* 48075*/  OPC_RecordNode, // #0 = 'WebAssemblylocal_set' chained node
/* 48076*/  OPC_RecordChild1, // #1 = $local
/* 48077*/  OPC_MoveChild1,
/* 48078*/  OPC_CheckOpcode, TARGET_VAL(ISD::TargetConstant),
/* 48081*/  OPC_MoveParent,
/* 48082*/  OPC_RecordChild2, // #2 = $src
/* 48083*/  OPC_Scope, 10, /*->48095*/ // 12 children in Scope
/* 48085*/   OPC_CheckChild2Type, MVT::i32,
/* 48087*/   OPC_EmitMergeInputChains1_0,
/* 48088*/   OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::LOCAL_SET_I32), 0|OPFL_Chain,
                 2/*#Ops*/, 1, 2, 
             // Src: (WebAssemblylocal_set (timm:{ *:[i32] }):$local, i32:{ *:[i32] }:$src) - Complexity = 6
             // Dst: (LOCAL_SET_I32 (timm:{ *:[i32] }):$local, i32:{ *:[i32] }:$src)
/* 48095*/  /*Scope*/ 10, /*->48106*/
/* 48096*/   OPC_CheckChild2Type, MVT::i64,
/* 48098*/   OPC_EmitMergeInputChains1_0,
/* 48099*/   OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::LOCAL_SET_I64), 0|OPFL_Chain,
                 2/*#Ops*/, 1, 2, 
             // Src: (WebAssemblylocal_set (timm:{ *:[i32] }):$local, i64:{ *:[i64] }:$src) - Complexity = 6
             // Dst: (LOCAL_SET_I64 (timm:{ *:[i32] }):$local, i64:{ *:[i64] }:$src)
/* 48106*/  /*Scope*/ 10, /*->48117*/
/* 48107*/   OPC_CheckChild2Type, MVT::f32,
/* 48109*/   OPC_EmitMergeInputChains1_0,
/* 48110*/   OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::LOCAL_SET_F32), 0|OPFL_Chain,
                 2/*#Ops*/, 1, 2, 
             // Src: (WebAssemblylocal_set (timm:{ *:[i32] }):$local, f32:{ *:[f32] }:$src) - Complexity = 6
             // Dst: (LOCAL_SET_F32 (timm:{ *:[i32] }):$local, f32:{ *:[f32] }:$src)
/* 48117*/  /*Scope*/ 10, /*->48128*/
/* 48118*/   OPC_CheckChild2Type, MVT::f64,
/* 48120*/   OPC_EmitMergeInputChains1_0,
/* 48121*/   OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::LOCAL_SET_F64), 0|OPFL_Chain,
                 2/*#Ops*/, 1, 2, 
             // Src: (WebAssemblylocal_set (timm:{ *:[i32] }):$local, f64:{ *:[f64] }:$src) - Complexity = 6
             // Dst: (LOCAL_SET_F64 (timm:{ *:[i32] }):$local, f64:{ *:[f64] }:$src)
/* 48128*/  /*Scope*/ 12, /*->48141*/
/* 48129*/   OPC_CheckChild2Type, MVT::v4f32,
/* 48131*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 48133*/   OPC_EmitMergeInputChains1_0,
/* 48134*/   OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::LOCAL_SET_V128), 0|OPFL_Chain,
                 2/*#Ops*/, 1, 2, 
             // Src: (WebAssemblylocal_set (timm:{ *:[i32] }):$local, v4f32:{ *:[v4f32] }:$src) - Complexity = 6
             // Dst: (LOCAL_SET_V128 (timm:{ *:[i32] }):$local, v4f32:{ *:[v4f32] }:$src)
/* 48141*/  /*Scope*/ 12, /*->48154*/
/* 48142*/   OPC_CheckChild2Type, MVT::v2f64,
/* 48144*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 48146*/   OPC_EmitMergeInputChains1_0,
/* 48147*/   OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::LOCAL_SET_V128), 0|OPFL_Chain,
                 2/*#Ops*/, 1, 2, 
             // Src: (WebAssemblylocal_set (timm:{ *:[i32] }):$local, v2f64:{ *:[v2f64] }:$src) - Complexity = 6
             // Dst: (LOCAL_SET_V128 (timm:{ *:[i32] }):$local, v2f64:{ *:[v2f64] }:$src)
/* 48154*/  /*Scope*/ 12, /*->48167*/
/* 48155*/   OPC_CheckChild2Type, MVT::v2i64,
/* 48157*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 48159*/   OPC_EmitMergeInputChains1_0,
/* 48160*/   OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::LOCAL_SET_V128), 0|OPFL_Chain,
                 2/*#Ops*/, 1, 2, 
             // Src: (WebAssemblylocal_set (timm:{ *:[i32] }):$local, v2i64:{ *:[v2i64] }:$src) - Complexity = 6
             // Dst: (LOCAL_SET_V128 (timm:{ *:[i32] }):$local, v2i64:{ *:[v2i64] }:$src)
/* 48167*/  /*Scope*/ 12, /*->48180*/
/* 48168*/   OPC_CheckChild2Type, MVT::v4i32,
/* 48170*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 48172*/   OPC_EmitMergeInputChains1_0,
/* 48173*/   OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::LOCAL_SET_V128), 0|OPFL_Chain,
                 2/*#Ops*/, 1, 2, 
             // Src: (WebAssemblylocal_set (timm:{ *:[i32] }):$local, v4i32:{ *:[v4i32] }:$src) - Complexity = 6
             // Dst: (LOCAL_SET_V128 (timm:{ *:[i32] }):$local, v4i32:{ *:[v4i32] }:$src)
/* 48180*/  /*Scope*/ 12, /*->48193*/
/* 48181*/   OPC_CheckChild2Type, MVT::v16i8,
/* 48183*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 48185*/   OPC_EmitMergeInputChains1_0,
/* 48186*/   OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::LOCAL_SET_V128), 0|OPFL_Chain,
                 2/*#Ops*/, 1, 2, 
             // Src: (WebAssemblylocal_set (timm:{ *:[i32] }):$local, v16i8:{ *:[v16i8] }:$src) - Complexity = 6
             // Dst: (LOCAL_SET_V128 (timm:{ *:[i32] }):$local, v16i8:{ *:[v16i8] }:$src)
/* 48193*/  /*Scope*/ 12, /*->48206*/
/* 48194*/   OPC_CheckChild2Type, MVT::v8i16,
/* 48196*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 48198*/   OPC_EmitMergeInputChains1_0,
/* 48199*/   OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::LOCAL_SET_V128), 0|OPFL_Chain,
                 2/*#Ops*/, 1, 2, 
             // Src: (WebAssemblylocal_set (timm:{ *:[i32] }):$local, v8i16:{ *:[v8i16] }:$src) - Complexity = 6
             // Dst: (LOCAL_SET_V128 (timm:{ *:[i32] }):$local, v8i16:{ *:[v8i16] }:$src)
/* 48206*/  /*Scope*/ 12, /*->48219*/
/* 48207*/   OPC_CheckChild2Type, MVT::funcref,
/* 48209*/   OPC_CheckPatternPredicate, 9, // (Subtarget->hasReferenceTypes())
/* 48211*/   OPC_EmitMergeInputChains1_0,
/* 48212*/   OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::LOCAL_SET_FUNCREF), 0|OPFL_Chain,
                 2/*#Ops*/, 1, 2, 
             // Src: (WebAssemblylocal_set (timm:{ *:[i32] }):$local, funcref:{ *:[funcref] }:$src) - Complexity = 6
             // Dst: (LOCAL_SET_FUNCREF (timm:{ *:[i32] }):$local, funcref:{ *:[funcref] }:$src)
/* 48219*/  /*Scope*/ 12, /*->48232*/
/* 48220*/   OPC_CheckChild2Type, MVT::externref,
/* 48222*/   OPC_CheckPatternPredicate, 9, // (Subtarget->hasReferenceTypes())
/* 48224*/   OPC_EmitMergeInputChains1_0,
/* 48225*/   OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::LOCAL_SET_EXTERNREF), 0|OPFL_Chain,
                 2/*#Ops*/, 1, 2, 
             // Src: (WebAssemblylocal_set (timm:{ *:[i32] }):$local, externref:{ *:[externref] }:$src) - Complexity = 6
             // Dst: (LOCAL_SET_EXTERNREF (timm:{ *:[i32] }):$local, externref:{ *:[externref] }:$src)
/* 48232*/  0, /*End of Scope*/
/* 48233*/ /*SwitchOpcode*/ 12|128,1/*140*/, TARGET_VAL(WebAssemblyISD::Wrapper),// ->48377
/* 48237*/  OPC_RecordChild0, // #0 = $addr
/* 48238*/  OPC_MoveChild0,
/* 48239*/  OPC_SwitchOpcode /*3 cases */, 51, TARGET_VAL(ISD::TargetGlobalAddress),// ->48294
/* 48243*/   OPC_MoveParent,
/* 48244*/   OPC_SwitchType /*2 cases */, 22, MVT::i32,// ->48269
/* 48247*/    OPC_Scope, 9, /*->48258*/ // 2 children in Scope
/* 48249*/     OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 48251*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                   MVT::i32, 1/*#Ops*/, 0, 
               // Src: (WebAssemblyWrapper:{ *:[i32] } (tglobaladdr:{ *:[i32] }):$addr) - Complexity = 6
               // Dst: (CONST_I32:{ *:[i32] } (tglobaladdr:{ *:[i32] }):$addr)
/* 48258*/    /*Scope*/ 9, /*->48268*/
/* 48259*/     OPC_CheckPatternPredicate, 14, // (!Subtarget->hasAddr64()) && (TM.isPositionIndependent())
/* 48261*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GLOBAL_GET_I32), 0,
                   MVT::i32, 1/*#Ops*/, 0, 
               // Src: (WebAssemblyWrapper:{ *:[i32] } (tglobaladdr:{ *:[i32] }):$addr) - Complexity = 6
               // Dst: (GLOBAL_GET_I32:{ *:[i32] } (tglobaladdr:{ *:[i32] }):$addr)
/* 48268*/    0, /*End of Scope*/
/* 48269*/   /*SwitchType*/ 22, MVT::i64,// ->48293
/* 48271*/    OPC_Scope, 9, /*->48282*/ // 2 children in Scope
/* 48273*/     OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 48275*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                   MVT::i64, 1/*#Ops*/, 0, 
               // Src: (WebAssemblyWrapper:{ *:[i64] } (tglobaladdr:{ *:[i64] }):$addr) - Complexity = 6
               // Dst: (CONST_I64:{ *:[i64] } (tglobaladdr:{ *:[i64] }):$addr)
/* 48282*/    /*Scope*/ 9, /*->48292*/
/* 48283*/     OPC_CheckPatternPredicate, 15, // (Subtarget->hasAddr64()) && (TM.isPositionIndependent())
/* 48285*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GLOBAL_GET_I64), 0,
                   MVT::i64, 1/*#Ops*/, 0, 
               // Src: (WebAssemblyWrapper:{ *:[i64] } (tglobaladdr:{ *:[i64] }):$addr) - Complexity = 6
               // Dst: (GLOBAL_GET_I64:{ *:[i64] } (tglobaladdr:{ *:[i64] }):$addr)
/* 48292*/    0, /*End of Scope*/
/* 48293*/   0, // EndSwitchType
/* 48294*/  /*SwitchOpcode*/ 25, TARGET_VAL(ISD::TargetGlobalTLSAddress),// ->48322
/* 48297*/   OPC_MoveParent,
/* 48298*/   OPC_SwitchType /*2 cases */, 9, MVT::i32,// ->48310
/* 48301*/    OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 48303*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GLOBAL_GET_I32), 0,
                  MVT::i32, 1/*#Ops*/, 0, 
              // Src: (WebAssemblyWrapper:{ *:[i32] } (tglobaltlsaddr:{ *:[i32] }):$addr) - Complexity = 6
              // Dst: (GLOBAL_GET_I32:{ *:[i32] } (tglobaltlsaddr:{ *:[i32] }):$addr)
/* 48310*/   /*SwitchType*/ 9, MVT::i64,// ->48321
/* 48312*/    OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 48314*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GLOBAL_GET_I64), 0,
                  MVT::i64, 1/*#Ops*/, 0, 
              // Src: (WebAssemblyWrapper:{ *:[i64] } (tglobaltlsaddr:{ *:[i64] }):$addr) - Complexity = 6
              // Dst: (GLOBAL_GET_I64:{ *:[i64] } (tglobaltlsaddr:{ *:[i64] }):$addr)
/* 48321*/   0, // EndSwitchType
/* 48322*/  /*SwitchOpcode*/ 51, TARGET_VAL(ISD::TargetExternalSymbol),// ->48376
/* 48325*/   OPC_MoveParent,
/* 48326*/   OPC_SwitchType /*2 cases */, 22, MVT::i32,// ->48351
/* 48329*/    OPC_Scope, 9, /*->48340*/ // 2 children in Scope
/* 48331*/     OPC_CheckPatternPredicate, 14, // (!Subtarget->hasAddr64()) && (TM.isPositionIndependent())
/* 48333*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GLOBAL_GET_I32), 0,
                   MVT::i32, 1/*#Ops*/, 0, 
               // Src: (WebAssemblyWrapper:{ *:[i32] } (texternalsym:{ *:[i32] }):$addr) - Complexity = 6
               // Dst: (GLOBAL_GET_I32:{ *:[i32] } (texternalsym:{ *:[i32] }):$addr)
/* 48340*/    /*Scope*/ 9, /*->48350*/
/* 48341*/     OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 48343*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                   MVT::i32, 1/*#Ops*/, 0, 
               // Src: (WebAssemblyWrapper:{ *:[i32] } (texternalsym:{ *:[i32] }):$addr) - Complexity = 6
               // Dst: (CONST_I32:{ *:[i32] } (texternalsym:{ *:[i32] }):$addr)
/* 48350*/    0, /*End of Scope*/
/* 48351*/   /*SwitchType*/ 22, MVT::i64,// ->48375
/* 48353*/    OPC_Scope, 9, /*->48364*/ // 2 children in Scope
/* 48355*/     OPC_CheckPatternPredicate, 15, // (Subtarget->hasAddr64()) && (TM.isPositionIndependent())
/* 48357*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::GLOBAL_GET_I64), 0,
                   MVT::i64, 1/*#Ops*/, 0, 
               // Src: (WebAssemblyWrapper:{ *:[i64] } (texternalsym:{ *:[i64] }):$addr) - Complexity = 6
               // Dst: (GLOBAL_GET_I64:{ *:[i64] } (texternalsym:{ *:[i64] }):$addr)
/* 48364*/    /*Scope*/ 9, /*->48374*/
/* 48365*/     OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 48367*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                   MVT::i64, 1/*#Ops*/, 0, 
               // Src: (WebAssemblyWrapper:{ *:[i64] } (texternalsym:{ *:[i64] }):$addr) - Complexity = 6
               // Dst: (CONST_I64:{ *:[i64] } (texternalsym:{ *:[i64] }):$addr)
/* 48374*/    0, /*End of Scope*/
/* 48375*/   0, // EndSwitchType
/* 48376*/  0, // EndSwitchOpcode
/* 48377*/ /*SwitchOpcode*/ 88, TARGET_VAL(WebAssemblyISD::WrapperREL),// ->48468
/* 48380*/  OPC_RecordChild0, // #0 = $addr
/* 48381*/  OPC_MoveChild0,
/* 48382*/  OPC_SwitchOpcode /*3 cases */, 25, TARGET_VAL(ISD::TargetGlobalAddress),// ->48411
/* 48386*/   OPC_MoveParent,
/* 48387*/   OPC_SwitchType /*2 cases */, 9, MVT::i32,// ->48399
/* 48390*/    OPC_CheckPatternPredicate, 14, // (!Subtarget->hasAddr64()) && (TM.isPositionIndependent())
/* 48392*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                  MVT::i32, 1/*#Ops*/, 0, 
              // Src: (WebAssemblyWrapperREL:{ *:[i32] } (tglobaladdr:{ *:[i32] }):$addr) - Complexity = 6
              // Dst: (CONST_I32:{ *:[i32] } (tglobaladdr:{ *:[i32] }):$addr)
/* 48399*/   /*SwitchType*/ 9, MVT::i64,// ->48410
/* 48401*/    OPC_CheckPatternPredicate, 15, // (Subtarget->hasAddr64()) && (TM.isPositionIndependent())
/* 48403*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                  MVT::i64, 1/*#Ops*/, 0, 
              // Src: (WebAssemblyWrapperREL:{ *:[i64] } (tglobaladdr:{ *:[i64] }):$addr) - Complexity = 6
              // Dst: (CONST_I64:{ *:[i64] } (tglobaladdr:{ *:[i64] }):$addr)
/* 48410*/   0, // EndSwitchType
/* 48411*/  /*SwitchOpcode*/ 25, TARGET_VAL(ISD::TargetGlobalTLSAddress),// ->48439
/* 48414*/   OPC_MoveParent,
/* 48415*/   OPC_SwitchType /*2 cases */, 9, MVT::i32,// ->48427
/* 48418*/    OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 48420*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                  MVT::i32, 1/*#Ops*/, 0, 
              // Src: (WebAssemblyWrapperREL:{ *:[i32] } (tglobaltlsaddr:{ *:[i32] }):$addr) - Complexity = 6
              // Dst: (CONST_I32:{ *:[i32] } (tglobaltlsaddr:{ *:[i32] }):$addr)
/* 48427*/   /*SwitchType*/ 9, MVT::i64,// ->48438
/* 48429*/    OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 48431*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                  MVT::i64, 1/*#Ops*/, 0, 
              // Src: (WebAssemblyWrapperREL:{ *:[i64] } (tglobaltlsaddr:{ *:[i64] }):$addr) - Complexity = 6
              // Dst: (CONST_I64:{ *:[i64] } (tglobaltlsaddr:{ *:[i64] }):$addr)
/* 48438*/   0, // EndSwitchType
/* 48439*/  /*SwitchOpcode*/ 25, TARGET_VAL(ISD::TargetExternalSymbol),// ->48467
/* 48442*/   OPC_MoveParent,
/* 48443*/   OPC_SwitchType /*2 cases */, 9, MVT::i32,// ->48455
/* 48446*/    OPC_CheckPatternPredicate, 14, // (!Subtarget->hasAddr64()) && (TM.isPositionIndependent())
/* 48448*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                  MVT::i32, 1/*#Ops*/, 0, 
              // Src: (WebAssemblyWrapperREL:{ *:[i32] } (texternalsym:{ *:[i32] }):$addr) - Complexity = 6
              // Dst: (CONST_I32:{ *:[i32] } (texternalsym:{ *:[i32] }):$addr)
/* 48455*/   /*SwitchType*/ 9, MVT::i64,// ->48466
/* 48457*/    OPC_CheckPatternPredicate, 15, // (Subtarget->hasAddr64()) && (TM.isPositionIndependent())
/* 48459*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                  MVT::i64, 1/*#Ops*/, 0, 
              // Src: (WebAssemblyWrapperREL:{ *:[i64] } (texternalsym:{ *:[i64] }):$addr) - Complexity = 6
              // Dst: (CONST_I64:{ *:[i64] } (texternalsym:{ *:[i64] }):$addr)
/* 48466*/   0, // EndSwitchType
/* 48467*/  0, // EndSwitchOpcode
/* 48468*/ /*SwitchOpcode*/ 58, TARGET_VAL(WebAssemblyISD::MEMORY_FILL),// ->48529
/* 48471*/  OPC_RecordNode, // #0 = 'wasm_memset' chained node
/* 48472*/  OPC_RecordChild1, // #1 = $idx
/* 48473*/  OPC_MoveChild1,
/* 48474*/  OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 48477*/  OPC_CheckType, MVT::i32,
/* 48479*/  OPC_MoveParent,
/* 48480*/  OPC_RecordChild2, // #2 = $dst
/* 48481*/  OPC_Scope, 22, /*->48505*/ // 2 children in Scope
/* 48483*/   OPC_CheckChild2Type, MVT::i32,
/* 48485*/   OPC_RecordChild3, // #3 = $value
/* 48486*/   OPC_CheckChild3Type, MVT::i32,
/* 48488*/   OPC_RecordChild4, // #4 = $size
/* 48489*/   OPC_CheckChild4Type, MVT::i32,
/* 48491*/   OPC_CheckPatternPredicate, 11, // (Subtarget->hasBulkMemory())
/* 48493*/   OPC_EmitMergeInputChains1_0,
/* 48494*/   OPC_EmitConvertToTarget, 1,
/* 48496*/   OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::anonymous_6205MEMORY_FILL_A32), 0|OPFL_Chain,
                 4/*#Ops*/, 5, 2, 3, 4, 
             // Src: (wasm_memset (imm:{ *:[i32] }):$idx, I32:{ *:[i32] }:$dst, I32:{ *:[i32] }:$value, I32:{ *:[i32] }:$size) - Complexity = 6
             // Dst: (anonymous_6205MEMORY_FILL_A32 (imm:{ *:[i32] }):$idx, I32:{ *:[i32] }:$dst, I32:{ *:[i32] }:$value, I32:{ *:[i32] }:$size)
/* 48505*/  /*Scope*/ 22, /*->48528*/
/* 48506*/   OPC_CheckChild2Type, MVT::i64,
/* 48508*/   OPC_RecordChild3, // #3 = $value
/* 48509*/   OPC_CheckChild3Type, MVT::i32,
/* 48511*/   OPC_RecordChild4, // #4 = $size
/* 48512*/   OPC_CheckChild4Type, MVT::i64,
/* 48514*/   OPC_CheckPatternPredicate, 11, // (Subtarget->hasBulkMemory())
/* 48516*/   OPC_EmitMergeInputChains1_0,
/* 48517*/   OPC_EmitConvertToTarget, 1,
/* 48519*/   OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::anonymous_6206MEMORY_FILL_A64), 0|OPFL_Chain,
                 4/*#Ops*/, 5, 2, 3, 4, 
             // Src: (wasm_memset (imm:{ *:[i32] }):$idx, I64:{ *:[i64] }:$dst, I32:{ *:[i32] }:$value, I64:{ *:[i64] }:$size) - Complexity = 6
             // Dst: (anonymous_6206MEMORY_FILL_A64 (imm:{ *:[i32] }):$idx, I64:{ *:[i64] }:$dst, I32:{ *:[i32] }:$value, I64:{ *:[i64] }:$size)
/* 48528*/  0, /*End of Scope*/
/* 48529*/ /*SwitchOpcode*/ 25, TARGET_VAL(ISD::Constant),// ->48557
/* 48532*/  OPC_RecordNode, // #0 = $imm
/* 48533*/  OPC_SwitchType /*2 cases */, 9, MVT::i32,// ->48545
/* 48536*/   OPC_EmitConvertToTarget, 0,
/* 48538*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                 MVT::i32, 1/*#Ops*/, 1, 
             // Src: (imm:{ *:[i32] }):$imm - Complexity = 3
             // Dst: (CONST_I32:{ *:[i32] } (imm:{ *:[i32] }):$imm)
/* 48545*/  /*SwitchType*/ 9, MVT::i64,// ->48556
/* 48547*/   OPC_EmitConvertToTarget, 0,
/* 48549*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                 MVT::i64, 1/*#Ops*/, 1, 
             // Src: (imm:{ *:[i64] }):$imm - Complexity = 3
             // Dst: (CONST_I64:{ *:[i64] } (imm:{ *:[i64] }):$imm)
/* 48556*/  0, // EndSwitchType
/* 48557*/ /*SwitchOpcode*/ 14, TARGET_VAL(ISD::BR),// ->48574
/* 48560*/  OPC_RecordNode, // #0 = 'br' chained node
/* 48561*/  OPC_RecordChild1, // #1 = $dst
/* 48562*/  OPC_MoveChild1,
/* 48563*/  OPC_CheckOpcode, TARGET_VAL(ISD::BasicBlock),
/* 48566*/  OPC_MoveParent,
/* 48567*/  OPC_EmitMergeInputChains1_0,
/* 48568*/  OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::BR), 0|OPFL_Chain,
                1/*#Ops*/, 1, 
            // Src: (br (bb:{ *:[Other] }):$dst) - Complexity = 3
            // Dst: (BR (bb:{ *:[Other] }):$dst)
/* 48574*/ /*SwitchOpcode*/ 24, TARGET_VAL(WebAssemblyISD::BR_TABLE),// ->48601
/* 48577*/  OPC_RecordNode, // #0 = 'WebAssemblybr_table' chained node
/* 48578*/  OPC_RecordChild1, // #1 = $index
/* 48579*/  OPC_Scope, 9, /*->48590*/ // 2 children in Scope
/* 48581*/   OPC_CheckChild1Type, MVT::i32,
/* 48583*/   OPC_EmitMergeInputChains1_0,
/* 48584*/   OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::BR_TABLE_I32), 0|OPFL_Chain|OPFL_Variadic1,
                 1/*#Ops*/, 1, 
             // Src: (WebAssemblybr_table I32:{ *:[i32] }:$index) - Complexity = 3
             // Dst: (BR_TABLE_I32 I32:{ *:[i32] }:$index)
/* 48590*/  /*Scope*/ 9, /*->48600*/
/* 48591*/   OPC_CheckChild1Type, MVT::i64,
/* 48593*/   OPC_EmitMergeInputChains1_0,
/* 48594*/   OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::BR_TABLE_I64), 0|OPFL_Chain|OPFL_Variadic1,
                 1/*#Ops*/, 1, 
             // Src: (WebAssemblybr_table I64:{ *:[i64] }:$index) - Complexity = 3
             // Dst: (BR_TABLE_I64 I64:{ *:[i64] }:$index)
/* 48600*/  0, /*End of Scope*/
/* 48601*/ /*SwitchOpcode*/ 7, TARGET_VAL(WebAssemblyISD::RETURN),// ->48611
/* 48604*/  OPC_RecordNode, // #0 = 'WebAssemblyreturn' chained node
/* 48605*/  OPC_EmitMergeInputChains1_0,
/* 48606*/  OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::RETURN), 0|OPFL_Chain|OPFL_Variadic0,
                0/*#Ops*/, 
            // Src: (WebAssemblyreturn) - Complexity = 3
            // Dst: (RETURN)
/* 48611*/ /*SwitchOpcode*/ 7, TARGET_VAL(ISD::TRAP),// ->48621
/* 48614*/  OPC_RecordNode, // #0 = 'trap' chained node
/* 48615*/  OPC_EmitMergeInputChains1_0,
/* 48616*/  OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::UNREACHABLE), 0|OPFL_Chain,
                0/*#Ops*/, 
            // Src: (trap) - Complexity = 3
            // Dst: (UNREACHABLE)
/* 48621*/ /*SwitchOpcode*/ 7, TARGET_VAL(ISD::DEBUGTRAP),// ->48631
/* 48624*/  OPC_RecordNode, // #0 = 'debugtrap' chained node
/* 48625*/  OPC_EmitMergeInputChains1_0,
/* 48626*/  OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::DEBUG_UNREACHABLE), 0|OPFL_Chain,
                0/*#Ops*/, 
            // Src: (debugtrap) - Complexity = 3
            // Dst: (DEBUG_UNREACHABLE)
/* 48631*/ /*SwitchOpcode*/ 9, TARGET_VAL(ISD::CLEANUPRET),// ->48643
/* 48634*/  OPC_RecordNode, // #0 = 'cleanupret' chained node
/* 48635*/  OPC_CheckPatternPredicate, 12, // (Subtarget->hasExceptionHandling())
/* 48637*/  OPC_EmitMergeInputChains1_0,
/* 48638*/  OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::CLEANUPRET), 0|OPFL_Chain,
                0/*#Ops*/, 
            // Src: (cleanupret) - Complexity = 3
            // Dst: (CLEANUPRET)
/* 48643*/ /*SwitchOpcode*/ 23, TARGET_VAL(ISD::CATCHRET),// ->48669
/* 48646*/  OPC_RecordNode, // #0 = 'catchret' chained node
/* 48647*/  OPC_RecordChild1, // #1 = $dst
/* 48648*/  OPC_MoveChild1,
/* 48649*/  OPC_CheckOpcode, TARGET_VAL(ISD::BasicBlock),
/* 48652*/  OPC_MoveParent,
/* 48653*/  OPC_RecordChild2, // #2 = $from
/* 48654*/  OPC_MoveChild2,
/* 48655*/  OPC_CheckOpcode, TARGET_VAL(ISD::BasicBlock),
/* 48658*/  OPC_MoveParent,
/* 48659*/  OPC_CheckPatternPredicate, 12, // (Subtarget->hasExceptionHandling())
/* 48661*/  OPC_EmitMergeInputChains1_0,
/* 48662*/  OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::CATCHRET), 0|OPFL_Chain,
                2/*#Ops*/, 1, 2, 
            // Src: (catchret (bb:{ *:[Other] }):$dst, (bb:{ *:[Other] }):$from) - Complexity = 3
            // Dst: (CATCHRET (bb:{ *:[Other] }):$dst, (bb:{ *:[Other] }):$from)
/* 48669*/ /*SwitchOpcode*/ 72, TARGET_VAL(ISD::ADD),// ->48744
/* 48672*/  OPC_RecordChild0, // #0 = $lhs
/* 48673*/  OPC_RecordChild1, // #1 = $rhs
/* 48674*/  OPC_SwitchType /*6 cases */, 8, MVT::i32,// ->48685
/* 48677*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ADD_I32), 0,
                 MVT::i32, 2/*#Ops*/, 0, 1, 
             // Src: (add:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs) - Complexity = 3
             // Dst: (ADD_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/* 48685*/  /*SwitchType*/ 8, MVT::i64,// ->48695
/* 48687*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ADD_I64), 0,
                 MVT::i64, 2/*#Ops*/, 0, 1, 
             // Src: (add:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs) - Complexity = 3
             // Dst: (ADD_I64:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs)
/* 48695*/  /*SwitchType*/ 10, MVT::v16i8,// ->48707
/* 48697*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 48699*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ADD_I8x16), 0,
                 MVT::v16i8, 2/*#Ops*/, 0, 1, 
             // Src: (add:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs) - Complexity = 3
             // Dst: (ADD_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs)
/* 48707*/  /*SwitchType*/ 10, MVT::v8i16,// ->48719
/* 48709*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 48711*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ADD_I16x8), 0,
                 MVT::v8i16, 2/*#Ops*/, 0, 1, 
             // Src: (add:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs) - Complexity = 3
             // Dst: (ADD_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)
/* 48719*/  /*SwitchType*/ 10, MVT::v4i32,// ->48731
/* 48721*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 48723*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ADD_I32x4), 0,
                 MVT::v4i32, 2/*#Ops*/, 0, 1, 
             // Src: (add:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs) - Complexity = 3
             // Dst: (ADD_I32x4:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs)
/* 48731*/  /*SwitchType*/ 10, MVT::v2i64,// ->48743
/* 48733*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 48735*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ADD_I64x2), 0,
                 MVT::v2i64, 2/*#Ops*/, 0, 1, 
             // Src: (add:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, V128:{ *:[v2i64] }:$rhs) - Complexity = 3
             // Dst: (ADD_I64x2:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, V128:{ *:[v2i64] }:$rhs)
/* 48743*/  0, // EndSwitchType
/* 48744*/ /*SwitchOpcode*/ 3|128,1/*131*/, TARGET_VAL(ISD::SUB),// ->48879
/* 48748*/  OPC_Scope, 24, /*->48774*/ // 3 children in Scope
/* 48750*/   OPC_RecordChild0, // #0 = $lhs
/* 48751*/   OPC_RecordChild1, // #1 = $rhs
/* 48752*/   OPC_SwitchType /*2 cases */, 8, MVT::i32,// ->48763
/* 48755*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SUB_I32), 0,
                  MVT::i32, 2/*#Ops*/, 0, 1, 
              // Src: (sub:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs) - Complexity = 3
              // Dst: (SUB_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/* 48763*/   /*SwitchType*/ 8, MVT::i64,// ->48773
/* 48765*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SUB_I64), 0,
                  MVT::i64, 2/*#Ops*/, 0, 1, 
              // Src: (sub:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs) - Complexity = 3
              // Dst: (SUB_I64:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs)
/* 48773*/   0, // EndSwitchType
/* 48774*/  /*Scope*/ 50, /*->48825*/
/* 48775*/   OPC_MoveChild0,
/* 48776*/   OPC_CheckImmAllZerosV,
/* 48777*/   OPC_MoveParent,
/* 48778*/   OPC_RecordChild1, // #0 = $v
/* 48779*/   OPC_SwitchType /*4 cases */, 9, MVT::v16i8,// ->48791
/* 48782*/    OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 48784*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::NEG_I8x16), 0,
                  MVT::v16i8, 1/*#Ops*/, 0, 
              // Src: (sub:{ *:[v16i8] } immAllZerosV:{ *:[v16i8] }, V128:{ *:[v16i8] }:$v) - Complexity = 7
              // Dst: (NEG_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$v)
/* 48791*/   /*SwitchType*/ 9, MVT::v8i16,// ->48802
/* 48793*/    OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 48795*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::NEG_I16x8), 0,
                  MVT::v8i16, 1/*#Ops*/, 0, 
              // Src: (sub:{ *:[v8i16] } immAllZerosV:{ *:[v8i16] }, V128:{ *:[v8i16] }:$v) - Complexity = 7
              // Dst: (NEG_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$v)
/* 48802*/   /*SwitchType*/ 9, MVT::v4i32,// ->48813
/* 48804*/    OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 48806*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::NEG_I32x4), 0,
                  MVT::v4i32, 1/*#Ops*/, 0, 
              // Src: (sub:{ *:[v4i32] } immAllZerosV:{ *:[v4i32] }, V128:{ *:[v4i32] }:$v) - Complexity = 7
              // Dst: (NEG_I32x4:{ *:[v4i32] } V128:{ *:[v4i32] }:$v)
/* 48813*/   /*SwitchType*/ 9, MVT::v2i64,// ->48824
/* 48815*/    OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 48817*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::NEG_I64x2), 0,
                  MVT::v2i64, 1/*#Ops*/, 0, 
              // Src: (sub:{ *:[v2i64] } immAllZerosV:{ *:[v2i64] }, V128:{ *:[v2i64] }:$v) - Complexity = 7
              // Dst: (NEG_I64x2:{ *:[v2i64] } V128:{ *:[v2i64] }:$v)
/* 48824*/   0, // EndSwitchType
/* 48825*/  /*Scope*/ 52, /*->48878*/
/* 48826*/   OPC_RecordChild0, // #0 = $lhs
/* 48827*/   OPC_RecordChild1, // #1 = $rhs
/* 48828*/   OPC_SwitchType /*4 cases */, 10, MVT::v16i8,// ->48841
/* 48831*/    OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 48833*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SUB_I8x16), 0,
                  MVT::v16i8, 2/*#Ops*/, 0, 1, 
              // Src: (sub:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs) - Complexity = 3
              // Dst: (SUB_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs)
/* 48841*/   /*SwitchType*/ 10, MVT::v8i16,// ->48853
/* 48843*/    OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 48845*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SUB_I16x8), 0,
                  MVT::v8i16, 2/*#Ops*/, 0, 1, 
              // Src: (sub:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs) - Complexity = 3
              // Dst: (SUB_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)
/* 48853*/   /*SwitchType*/ 10, MVT::v4i32,// ->48865
/* 48855*/    OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 48857*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SUB_I32x4), 0,
                  MVT::v4i32, 2/*#Ops*/, 0, 1, 
              // Src: (sub:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs) - Complexity = 3
              // Dst: (SUB_I32x4:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs)
/* 48865*/   /*SwitchType*/ 10, MVT::v2i64,// ->48877
/* 48867*/    OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 48869*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SUB_I64x2), 0,
                  MVT::v2i64, 2/*#Ops*/, 0, 1, 
              // Src: (sub:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, V128:{ *:[v2i64] }:$rhs) - Complexity = 3
              // Dst: (SUB_I64x2:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, V128:{ *:[v2i64] }:$rhs)
/* 48877*/   0, // EndSwitchType
/* 48878*/  0, /*End of Scope*/
/* 48879*/ /*SwitchOpcode*/ 1|128,3/*385*/, TARGET_VAL(ISD::MUL),// ->49268
/* 48883*/  OPC_Scope, 24, /*->48909*/ // 3 children in Scope
/* 48885*/   OPC_RecordChild0, // #0 = $lhs
/* 48886*/   OPC_RecordChild1, // #1 = $rhs
/* 48887*/   OPC_SwitchType /*2 cases */, 8, MVT::i32,// ->48898
/* 48890*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MUL_I32), 0,
                  MVT::i32, 2/*#Ops*/, 0, 1, 
              // Src: (mul:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs) - Complexity = 3
              // Dst: (MUL_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/* 48898*/   /*SwitchType*/ 8, MVT::i64,// ->48908
/* 48900*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MUL_I64), 0,
                  MVT::i64, 2/*#Ops*/, 0, 1, 
              // Src: (mul:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs) - Complexity = 3
              // Dst: (MUL_I64:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs)
/* 48908*/   0, // EndSwitchType
/* 48909*/  /*Scope*/ 59|128,2/*315*/, /*->49226*/
/* 48911*/   OPC_MoveChild0,
/* 48912*/   OPC_SwitchOpcode /*4 cases */, 75, TARGET_VAL(WebAssemblyISD::EXTEND_LOW_S),// ->48991
/* 48916*/    OPC_RecordChild0, // #0 = $lhs
/* 48917*/    OPC_Scope, 23, /*->48942*/ // 3 children in Scope
/* 48919*/     OPC_CheckChild0Type, MVT::v16i8,
/* 48921*/     OPC_MoveParent,
/* 48922*/     OPC_MoveChild1,
/* 48923*/     OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::EXTEND_LOW_S),
/* 48926*/     OPC_RecordChild0, // #1 = $rhs
/* 48927*/     OPC_CheckChild0Type, MVT::v16i8,
/* 48929*/     OPC_MoveParent,
/* 48930*/     OPC_CheckType, MVT::v8i16,
/* 48932*/     OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 48934*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::EXTMUL_LOW_S_I16x8), 0,
                   MVT::v8i16, 2/*#Ops*/, 0, 1, 
               // Src: (mul:{ *:[v8i16] } (extend_low_s:{ *:[v8i16] } V128:{ *:[v16i8] }:$lhs), (extend_low_s:{ *:[v8i16] } V128:{ *:[v16i8] }:$rhs)) - Complexity = 9
               // Dst: (EXTMUL_LOW_S_I16x8:{ *:[v8i16] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs)
/* 48942*/    /*Scope*/ 23, /*->48966*/
/* 48943*/     OPC_CheckChild0Type, MVT::v8i16,
/* 48945*/     OPC_MoveParent,
/* 48946*/     OPC_MoveChild1,
/* 48947*/     OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::EXTEND_LOW_S),
/* 48950*/     OPC_RecordChild0, // #1 = $rhs
/* 48951*/     OPC_CheckChild0Type, MVT::v8i16,
/* 48953*/     OPC_MoveParent,
/* 48954*/     OPC_CheckType, MVT::v4i32,
/* 48956*/     OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 48958*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::EXTMUL_LOW_S_I32x4), 0,
                   MVT::v4i32, 2/*#Ops*/, 0, 1, 
               // Src: (mul:{ *:[v4i32] } (extend_low_s:{ *:[v4i32] } V128:{ *:[v8i16] }:$lhs), (extend_low_s:{ *:[v4i32] } V128:{ *:[v8i16] }:$rhs)) - Complexity = 9
               // Dst: (EXTMUL_LOW_S_I32x4:{ *:[v4i32] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)
/* 48966*/    /*Scope*/ 23, /*->48990*/
/* 48967*/     OPC_CheckChild0Type, MVT::v4i32,
/* 48969*/     OPC_MoveParent,
/* 48970*/     OPC_MoveChild1,
/* 48971*/     OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::EXTEND_LOW_S),
/* 48974*/     OPC_RecordChild0, // #1 = $rhs
/* 48975*/     OPC_CheckChild0Type, MVT::v4i32,
/* 48977*/     OPC_MoveParent,
/* 48978*/     OPC_CheckType, MVT::v2i64,
/* 48980*/     OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 48982*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::EXTMUL_LOW_S_I64x2), 0,
                   MVT::v2i64, 2/*#Ops*/, 0, 1, 
               // Src: (mul:{ *:[v2i64] } (extend_low_s:{ *:[v2i64] } V128:{ *:[v4i32] }:$lhs), (extend_low_s:{ *:[v2i64] } V128:{ *:[v4i32] }:$rhs)) - Complexity = 9
               // Dst: (EXTMUL_LOW_S_I64x2:{ *:[v2i64] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs)
/* 48990*/    0, /*End of Scope*/
/* 48991*/   /*SwitchOpcode*/ 75, TARGET_VAL(WebAssemblyISD::EXTEND_HIGH_S),// ->49069
/* 48994*/    OPC_RecordChild0, // #0 = $lhs
/* 48995*/    OPC_Scope, 23, /*->49020*/ // 3 children in Scope
/* 48997*/     OPC_CheckChild0Type, MVT::v16i8,
/* 48999*/     OPC_MoveParent,
/* 49000*/     OPC_MoveChild1,
/* 49001*/     OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::EXTEND_HIGH_S),
/* 49004*/     OPC_RecordChild0, // #1 = $rhs
/* 49005*/     OPC_CheckChild0Type, MVT::v16i8,
/* 49007*/     OPC_MoveParent,
/* 49008*/     OPC_CheckType, MVT::v8i16,
/* 49010*/     OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 49012*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::EXTMUL_HIGH_S_I16x8), 0,
                   MVT::v8i16, 2/*#Ops*/, 0, 1, 
               // Src: (mul:{ *:[v8i16] } (extend_high_s:{ *:[v8i16] } V128:{ *:[v16i8] }:$lhs), (extend_high_s:{ *:[v8i16] } V128:{ *:[v16i8] }:$rhs)) - Complexity = 9
               // Dst: (EXTMUL_HIGH_S_I16x8:{ *:[v8i16] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs)
/* 49020*/    /*Scope*/ 23, /*->49044*/
/* 49021*/     OPC_CheckChild0Type, MVT::v8i16,
/* 49023*/     OPC_MoveParent,
/* 49024*/     OPC_MoveChild1,
/* 49025*/     OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::EXTEND_HIGH_S),
/* 49028*/     OPC_RecordChild0, // #1 = $rhs
/* 49029*/     OPC_CheckChild0Type, MVT::v8i16,
/* 49031*/     OPC_MoveParent,
/* 49032*/     OPC_CheckType, MVT::v4i32,
/* 49034*/     OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 49036*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::EXTMUL_HIGH_S_I32x4), 0,
                   MVT::v4i32, 2/*#Ops*/, 0, 1, 
               // Src: (mul:{ *:[v4i32] } (extend_high_s:{ *:[v4i32] } V128:{ *:[v8i16] }:$lhs), (extend_high_s:{ *:[v4i32] } V128:{ *:[v8i16] }:$rhs)) - Complexity = 9
               // Dst: (EXTMUL_HIGH_S_I32x4:{ *:[v4i32] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)
/* 49044*/    /*Scope*/ 23, /*->49068*/
/* 49045*/     OPC_CheckChild0Type, MVT::v4i32,
/* 49047*/     OPC_MoveParent,
/* 49048*/     OPC_MoveChild1,
/* 49049*/     OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::EXTEND_HIGH_S),
/* 49052*/     OPC_RecordChild0, // #1 = $rhs
/* 49053*/     OPC_CheckChild0Type, MVT::v4i32,
/* 49055*/     OPC_MoveParent,
/* 49056*/     OPC_CheckType, MVT::v2i64,
/* 49058*/     OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 49060*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::EXTMUL_HIGH_S_I64x2), 0,
                   MVT::v2i64, 2/*#Ops*/, 0, 1, 
               // Src: (mul:{ *:[v2i64] } (extend_high_s:{ *:[v2i64] } V128:{ *:[v4i32] }:$lhs), (extend_high_s:{ *:[v2i64] } V128:{ *:[v4i32] }:$rhs)) - Complexity = 9
               // Dst: (EXTMUL_HIGH_S_I64x2:{ *:[v2i64] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs)
/* 49068*/    0, /*End of Scope*/
/* 49069*/   /*SwitchOpcode*/ 75, TARGET_VAL(WebAssemblyISD::EXTEND_LOW_U),// ->49147
/* 49072*/    OPC_RecordChild0, // #0 = $lhs
/* 49073*/    OPC_Scope, 23, /*->49098*/ // 3 children in Scope
/* 49075*/     OPC_CheckChild0Type, MVT::v16i8,
/* 49077*/     OPC_MoveParent,
/* 49078*/     OPC_MoveChild1,
/* 49079*/     OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::EXTEND_LOW_U),
/* 49082*/     OPC_RecordChild0, // #1 = $rhs
/* 49083*/     OPC_CheckChild0Type, MVT::v16i8,
/* 49085*/     OPC_MoveParent,
/* 49086*/     OPC_CheckType, MVT::v8i16,
/* 49088*/     OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 49090*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::EXTMUL_LOW_U_I16x8), 0,
                   MVT::v8i16, 2/*#Ops*/, 0, 1, 
               // Src: (mul:{ *:[v8i16] } (extend_low_u:{ *:[v8i16] } V128:{ *:[v16i8] }:$lhs), (extend_low_u:{ *:[v8i16] } V128:{ *:[v16i8] }:$rhs)) - Complexity = 9
               // Dst: (EXTMUL_LOW_U_I16x8:{ *:[v8i16] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs)
/* 49098*/    /*Scope*/ 23, /*->49122*/
/* 49099*/     OPC_CheckChild0Type, MVT::v8i16,
/* 49101*/     OPC_MoveParent,
/* 49102*/     OPC_MoveChild1,
/* 49103*/     OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::EXTEND_LOW_U),
/* 49106*/     OPC_RecordChild0, // #1 = $rhs
/* 49107*/     OPC_CheckChild0Type, MVT::v8i16,
/* 49109*/     OPC_MoveParent,
/* 49110*/     OPC_CheckType, MVT::v4i32,
/* 49112*/     OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 49114*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::EXTMUL_LOW_U_I32x4), 0,
                   MVT::v4i32, 2/*#Ops*/, 0, 1, 
               // Src: (mul:{ *:[v4i32] } (extend_low_u:{ *:[v4i32] } V128:{ *:[v8i16] }:$lhs), (extend_low_u:{ *:[v4i32] } V128:{ *:[v8i16] }:$rhs)) - Complexity = 9
               // Dst: (EXTMUL_LOW_U_I32x4:{ *:[v4i32] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)
/* 49122*/    /*Scope*/ 23, /*->49146*/
/* 49123*/     OPC_CheckChild0Type, MVT::v4i32,
/* 49125*/     OPC_MoveParent,
/* 49126*/     OPC_MoveChild1,
/* 49127*/     OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::EXTEND_LOW_U),
/* 49130*/     OPC_RecordChild0, // #1 = $rhs
/* 49131*/     OPC_CheckChild0Type, MVT::v4i32,
/* 49133*/     OPC_MoveParent,
/* 49134*/     OPC_CheckType, MVT::v2i64,
/* 49136*/     OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 49138*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::EXTMUL_LOW_U_I64x2), 0,
                   MVT::v2i64, 2/*#Ops*/, 0, 1, 
               // Src: (mul:{ *:[v2i64] } (extend_low_u:{ *:[v2i64] } V128:{ *:[v4i32] }:$lhs), (extend_low_u:{ *:[v2i64] } V128:{ *:[v4i32] }:$rhs)) - Complexity = 9
               // Dst: (EXTMUL_LOW_U_I64x2:{ *:[v2i64] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs)
/* 49146*/    0, /*End of Scope*/
/* 49147*/   /*SwitchOpcode*/ 75, TARGET_VAL(WebAssemblyISD::EXTEND_HIGH_U),// ->49225
/* 49150*/    OPC_RecordChild0, // #0 = $lhs
/* 49151*/    OPC_Scope, 23, /*->49176*/ // 3 children in Scope
/* 49153*/     OPC_CheckChild0Type, MVT::v16i8,
/* 49155*/     OPC_MoveParent,
/* 49156*/     OPC_MoveChild1,
/* 49157*/     OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::EXTEND_HIGH_U),
/* 49160*/     OPC_RecordChild0, // #1 = $rhs
/* 49161*/     OPC_CheckChild0Type, MVT::v16i8,
/* 49163*/     OPC_MoveParent,
/* 49164*/     OPC_CheckType, MVT::v8i16,
/* 49166*/     OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 49168*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::EXTMUL_HIGH_U_I16x8), 0,
                   MVT::v8i16, 2/*#Ops*/, 0, 1, 
               // Src: (mul:{ *:[v8i16] } (extend_high_u:{ *:[v8i16] } V128:{ *:[v16i8] }:$lhs), (extend_high_u:{ *:[v8i16] } V128:{ *:[v16i8] }:$rhs)) - Complexity = 9
               // Dst: (EXTMUL_HIGH_U_I16x8:{ *:[v8i16] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs)
/* 49176*/    /*Scope*/ 23, /*->49200*/
/* 49177*/     OPC_CheckChild0Type, MVT::v8i16,
/* 49179*/     OPC_MoveParent,
/* 49180*/     OPC_MoveChild1,
/* 49181*/     OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::EXTEND_HIGH_U),
/* 49184*/     OPC_RecordChild0, // #1 = $rhs
/* 49185*/     OPC_CheckChild0Type, MVT::v8i16,
/* 49187*/     OPC_MoveParent,
/* 49188*/     OPC_CheckType, MVT::v4i32,
/* 49190*/     OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 49192*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::EXTMUL_HIGH_U_I32x4), 0,
                   MVT::v4i32, 2/*#Ops*/, 0, 1, 
               // Src: (mul:{ *:[v4i32] } (extend_high_u:{ *:[v4i32] } V128:{ *:[v8i16] }:$lhs), (extend_high_u:{ *:[v4i32] } V128:{ *:[v8i16] }:$rhs)) - Complexity = 9
               // Dst: (EXTMUL_HIGH_U_I32x4:{ *:[v4i32] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)
/* 49200*/    /*Scope*/ 23, /*->49224*/
/* 49201*/     OPC_CheckChild0Type, MVT::v4i32,
/* 49203*/     OPC_MoveParent,
/* 49204*/     OPC_MoveChild1,
/* 49205*/     OPC_CheckOpcode, TARGET_VAL(WebAssemblyISD::EXTEND_HIGH_U),
/* 49208*/     OPC_RecordChild0, // #1 = $rhs
/* 49209*/     OPC_CheckChild0Type, MVT::v4i32,
/* 49211*/     OPC_MoveParent,
/* 49212*/     OPC_CheckType, MVT::v2i64,
/* 49214*/     OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 49216*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::EXTMUL_HIGH_U_I64x2), 0,
                   MVT::v2i64, 2/*#Ops*/, 0, 1, 
               // Src: (mul:{ *:[v2i64] } (extend_high_u:{ *:[v2i64] } V128:{ *:[v4i32] }:$lhs), (extend_high_u:{ *:[v2i64] } V128:{ *:[v4i32] }:$rhs)) - Complexity = 9
               // Dst: (EXTMUL_HIGH_U_I64x2:{ *:[v2i64] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs)
/* 49224*/    0, /*End of Scope*/
/* 49225*/   0, // EndSwitchOpcode
/* 49226*/  /*Scope*/ 40, /*->49267*/
/* 49227*/   OPC_RecordChild0, // #0 = $lhs
/* 49228*/   OPC_RecordChild1, // #1 = $rhs
/* 49229*/   OPC_SwitchType /*3 cases */, 10, MVT::v8i16,// ->49242
/* 49232*/    OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 49234*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MUL_I16x8), 0,
                  MVT::v8i16, 2/*#Ops*/, 0, 1, 
              // Src: (mul:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs) - Complexity = 3
              // Dst: (MUL_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)
/* 49242*/   /*SwitchType*/ 10, MVT::v4i32,// ->49254
/* 49244*/    OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 49246*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MUL_I32x4), 0,
                  MVT::v4i32, 2/*#Ops*/, 0, 1, 
              // Src: (mul:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs) - Complexity = 3
              // Dst: (MUL_I32x4:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs)
/* 49254*/   /*SwitchType*/ 10, MVT::v2i64,// ->49266
/* 49256*/    OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 49258*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MUL_I64x2), 0,
                  MVT::v2i64, 2/*#Ops*/, 0, 1, 
              // Src: (mul:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, V128:{ *:[v2i64] }:$rhs) - Complexity = 3
              // Dst: (MUL_I64x2:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, V128:{ *:[v2i64] }:$rhs)
/* 49266*/   0, // EndSwitchType
/* 49267*/  0, /*End of Scope*/
/* 49268*/ /*SwitchOpcode*/ 24, TARGET_VAL(ISD::SDIV),// ->49295
/* 49271*/  OPC_RecordChild0, // #0 = $lhs
/* 49272*/  OPC_RecordChild1, // #1 = $rhs
/* 49273*/  OPC_SwitchType /*2 cases */, 8, MVT::i32,// ->49284
/* 49276*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::DIV_S_I32), 0,
                 MVT::i32, 2/*#Ops*/, 0, 1, 
             // Src: (sdiv:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs) - Complexity = 3
             // Dst: (DIV_S_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/* 49284*/  /*SwitchType*/ 8, MVT::i64,// ->49294
/* 49286*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::DIV_S_I64), 0,
                 MVT::i64, 2/*#Ops*/, 0, 1, 
             // Src: (sdiv:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs) - Complexity = 3
             // Dst: (DIV_S_I64:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs)
/* 49294*/  0, // EndSwitchType
/* 49295*/ /*SwitchOpcode*/ 24, TARGET_VAL(ISD::UDIV),// ->49322
/* 49298*/  OPC_RecordChild0, // #0 = $lhs
/* 49299*/  OPC_RecordChild1, // #1 = $rhs
/* 49300*/  OPC_SwitchType /*2 cases */, 8, MVT::i32,// ->49311
/* 49303*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::DIV_U_I32), 0,
                 MVT::i32, 2/*#Ops*/, 0, 1, 
             // Src: (udiv:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs) - Complexity = 3
             // Dst: (DIV_U_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/* 49311*/  /*SwitchType*/ 8, MVT::i64,// ->49321
/* 49313*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::DIV_U_I64), 0,
                 MVT::i64, 2/*#Ops*/, 0, 1, 
             // Src: (udiv:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs) - Complexity = 3
             // Dst: (DIV_U_I64:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs)
/* 49321*/  0, // EndSwitchType
/* 49322*/ /*SwitchOpcode*/ 24, TARGET_VAL(ISD::SREM),// ->49349
/* 49325*/  OPC_RecordChild0, // #0 = $lhs
/* 49326*/  OPC_RecordChild1, // #1 = $rhs
/* 49327*/  OPC_SwitchType /*2 cases */, 8, MVT::i32,// ->49338
/* 49330*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::REM_S_I32), 0,
                 MVT::i32, 2/*#Ops*/, 0, 1, 
             // Src: (srem:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs) - Complexity = 3
             // Dst: (REM_S_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/* 49338*/  /*SwitchType*/ 8, MVT::i64,// ->49348
/* 49340*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::REM_S_I64), 0,
                 MVT::i64, 2/*#Ops*/, 0, 1, 
             // Src: (srem:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs) - Complexity = 3
             // Dst: (REM_S_I64:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs)
/* 49348*/  0, // EndSwitchType
/* 49349*/ /*SwitchOpcode*/ 24, TARGET_VAL(ISD::UREM),// ->49376
/* 49352*/  OPC_RecordChild0, // #0 = $lhs
/* 49353*/  OPC_RecordChild1, // #1 = $rhs
/* 49354*/  OPC_SwitchType /*2 cases */, 8, MVT::i32,// ->49365
/* 49357*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::REM_U_I32), 0,
                 MVT::i32, 2/*#Ops*/, 0, 1, 
             // Src: (urem:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs) - Complexity = 3
             // Dst: (REM_U_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/* 49365*/  /*SwitchType*/ 8, MVT::i64,// ->49375
/* 49367*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::REM_U_I64), 0,
                 MVT::i64, 2/*#Ops*/, 0, 1, 
             // Src: (urem:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs) - Complexity = 3
             // Dst: (REM_U_I64:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs)
/* 49375*/  0, // EndSwitchType
/* 49376*/ /*SwitchOpcode*/ 109|128,6/*877*/, TARGET_VAL(ISD::OR),// ->50257
/* 49380*/  OPC_Scope, 24, /*->49406*/ // 3 children in Scope
/* 49382*/   OPC_RecordChild0, // #0 = $lhs
/* 49383*/   OPC_RecordChild1, // #1 = $rhs
/* 49384*/   OPC_SwitchType /*2 cases */, 8, MVT::i32,// ->49395
/* 49387*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::OR_I32), 0,
                  MVT::i32, 2/*#Ops*/, 0, 1, 
              // Src: (or:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs) - Complexity = 3
              // Dst: (OR_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/* 49395*/   /*SwitchType*/ 8, MVT::i64,// ->49405
/* 49397*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::OR_I64), 0,
                  MVT::i64, 2/*#Ops*/, 0, 1, 
              // Src: (or:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs) - Complexity = 3
              // Dst: (OR_I64:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs)
/* 49405*/   0, // EndSwitchType
/* 49406*/  /*Scope*/ 35|128,6/*803*/, /*->50211*/
/* 49408*/   OPC_MoveChild0,
/* 49409*/   OPC_CheckOpcode, TARGET_VAL(ISD::AND),
/* 49412*/   OPC_Scope, 12|128,1/*140*/, /*->49555*/ // 9 children in Scope
/* 49415*/    OPC_RecordChild0, // #0 = $c
/* 49416*/    OPC_RecordChild1, // #1 = $v1
/* 49417*/    OPC_MoveParent,
/* 49418*/    OPC_MoveChild1,
/* 49419*/    OPC_CheckOpcode, TARGET_VAL(ISD::AND),
/* 49422*/    OPC_Scope, 58, /*->49482*/ // 4 children in Scope
/* 49424*/     OPC_MoveChild0,
/* 49425*/     OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 49428*/     OPC_CheckChild0Same, 0,
/* 49430*/     OPC_MoveChild1,
/* 49431*/     OPC_CheckImmAllOnesV,
/* 49432*/     OPC_MoveParent,
/* 49433*/     OPC_MoveParent,
/* 49434*/     OPC_RecordChild1, // #2 = $v2
/* 49435*/     OPC_MoveParent,
/* 49436*/     OPC_SwitchType /*4 cases */, 9, MVT::v16i8,// ->49448
/* 49439*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::BITSELECT), 0,
                    MVT::v16i8, 3/*#Ops*/, 1, 2, 0, 
                // Src: (or:{ *:[v16i8] } (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$c, V128:{ *:[v16i8] }:$v1), (and:{ *:[v16i8] } (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$c, immAllOnesV:{ *:[v16i8] }), V128:{ *:[v16i8] }:$v2)) - Complexity = 16
                // Dst: (BITSELECT:{ *:[v16i8] } ?:{ *:[v16i8] }:$v1, ?:{ *:[v16i8] }:$v2, ?:{ *:[v16i8] }:$c)
/* 49448*/     /*SwitchType*/ 9, MVT::v8i16,// ->49459
/* 49450*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::BITSELECT), 0,
                    MVT::v8i16, 3/*#Ops*/, 1, 2, 0, 
                // Src: (or:{ *:[v8i16] } (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$c, V128:{ *:[v8i16] }:$v1), (and:{ *:[v8i16] } (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$c, immAllOnesV:{ *:[v8i16] }), V128:{ *:[v8i16] }:$v2)) - Complexity = 16
                // Dst: (BITSELECT:{ *:[v8i16] } ?:{ *:[v8i16] }:$v1, ?:{ *:[v8i16] }:$v2, ?:{ *:[v8i16] }:$c)
/* 49459*/     /*SwitchType*/ 9, MVT::v4i32,// ->49470
/* 49461*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::BITSELECT), 0,
                    MVT::v4i32, 3/*#Ops*/, 1, 2, 0, 
                // Src: (or:{ *:[v4i32] } (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$c, V128:{ *:[v4i32] }:$v1), (and:{ *:[v4i32] } (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$c, immAllOnesV:{ *:[v4i32] }), V128:{ *:[v4i32] }:$v2)) - Complexity = 16
                // Dst: (BITSELECT:{ *:[v4i32] } ?:{ *:[v4i32] }:$v1, ?:{ *:[v4i32] }:$v2, ?:{ *:[v4i32] }:$c)
/* 49470*/     /*SwitchType*/ 9, MVT::v2i64,// ->49481
/* 49472*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::BITSELECT), 0,
                    MVT::v2i64, 3/*#Ops*/, 1, 2, 0, 
                // Src: (or:{ *:[v2i64] } (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$c, V128:{ *:[v2i64] }:$v1), (and:{ *:[v2i64] } (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$c, immAllOnesV:{ *:[v2i64] }), V128:{ *:[v2i64] }:$v2)) - Complexity = 16
                // Dst: (BITSELECT:{ *:[v2i64] } ?:{ *:[v2i64] }:$v1, ?:{ *:[v2i64] }:$v2, ?:{ *:[v2i64] }:$c)
/* 49481*/     0, // EndSwitchType
/* 49482*/    /*Scope*/ 23, /*->49506*/
/* 49483*/     OPC_RecordChild0, // #2 = $v2
/* 49484*/     OPC_MoveChild1,
/* 49485*/     OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 49488*/     OPC_CheckChild0Same, 0,
/* 49490*/     OPC_MoveChild1,
/* 49491*/     OPC_CheckImmAllOnesV,
/* 49492*/     OPC_MoveParent,
/* 49493*/     OPC_MoveParent,
/* 49494*/     OPC_MoveParent,
/* 49495*/     OPC_CheckType, MVT::v16i8,
/* 49497*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::BITSELECT), 0,
                   MVT::v16i8, 3/*#Ops*/, 1, 2, 0, 
               // Src: (or:{ *:[v16i8] } (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$c, V128:{ *:[v16i8] }:$v1), (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$v2, (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$c, immAllOnesV:{ *:[v16i8] }))) - Complexity = 16
               // Dst: (BITSELECT:{ *:[v16i8] } ?:{ *:[v16i8] }:$v1, ?:{ *:[v16i8] }:$v2, ?:{ *:[v16i8] }:$c)
/* 49506*/    /*Scope*/ 23, /*->49530*/
/* 49507*/     OPC_MoveChild0,
/* 49508*/     OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 49511*/     OPC_CheckChild0Same, 1,
/* 49513*/     OPC_MoveChild1,
/* 49514*/     OPC_CheckImmAllOnesV,
/* 49515*/     OPC_MoveParent,
/* 49516*/     OPC_MoveParent,
/* 49517*/     OPC_RecordChild1, // #2 = $v2
/* 49518*/     OPC_MoveParent,
/* 49519*/     OPC_CheckType, MVT::v16i8,
/* 49521*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::BITSELECT), 0,
                   MVT::v16i8, 3/*#Ops*/, 0, 2, 1, 
               // Src: (or:{ *:[v16i8] } (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$v1, V128:{ *:[v16i8] }:$c), (and:{ *:[v16i8] } (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$c, immAllOnesV:{ *:[v16i8] }), V128:{ *:[v16i8] }:$v2)) - Complexity = 16
               // Dst: (BITSELECT:{ *:[v16i8] } ?:{ *:[v16i8] }:$v1, ?:{ *:[v16i8] }:$v2, ?:{ *:[v16i8] }:$c)
/* 49530*/    /*Scope*/ 23, /*->49554*/
/* 49531*/     OPC_RecordChild0, // #2 = $v2
/* 49532*/     OPC_MoveChild1,
/* 49533*/     OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 49536*/     OPC_CheckChild0Same, 1,
/* 49538*/     OPC_MoveChild1,
/* 49539*/     OPC_CheckImmAllOnesV,
/* 49540*/     OPC_MoveParent,
/* 49541*/     OPC_MoveParent,
/* 49542*/     OPC_MoveParent,
/* 49543*/     OPC_CheckType, MVT::v16i8,
/* 49545*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::BITSELECT), 0,
                   MVT::v16i8, 3/*#Ops*/, 0, 2, 1, 
               // Src: (or:{ *:[v16i8] } (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$v1, V128:{ *:[v16i8] }:$c), (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$v2, (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$c, immAllOnesV:{ *:[v16i8] }))) - Complexity = 16
               // Dst: (BITSELECT:{ *:[v16i8] } ?:{ *:[v16i8] }:$v1, ?:{ *:[v16i8] }:$v2, ?:{ *:[v16i8] }:$c)
/* 49554*/    0, /*End of Scope*/
/* 49555*/   /*Scope*/ 49, /*->49605*/
/* 49556*/    OPC_MoveChild0,
/* 49557*/    OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 49560*/    OPC_RecordChild0, // #0 = $c
/* 49561*/    OPC_MoveChild1,
/* 49562*/    OPC_CheckImmAllOnesV,
/* 49563*/    OPC_MoveParent,
/* 49564*/    OPC_MoveParent,
/* 49565*/    OPC_RecordChild1, // #1 = $v2
/* 49566*/    OPC_MoveParent,
/* 49567*/    OPC_MoveChild1,
/* 49568*/    OPC_CheckOpcode, TARGET_VAL(ISD::AND),
/* 49571*/    OPC_Scope, 15, /*->49588*/ // 2 children in Scope
/* 49573*/     OPC_CheckChild0Same, 0,
/* 49575*/     OPC_RecordChild1, // #2 = $v1
/* 49576*/     OPC_MoveParent,
/* 49577*/     OPC_CheckType, MVT::v16i8,
/* 49579*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::BITSELECT), 0,
                   MVT::v16i8, 3/*#Ops*/, 2, 1, 0, 
               // Src: (or:{ *:[v16i8] } (and:{ *:[v16i8] } (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$c, immAllOnesV:{ *:[v16i8] }), V128:{ *:[v16i8] }:$v2), (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$c, V128:{ *:[v16i8] }:$v1)) - Complexity = 16
               // Dst: (BITSELECT:{ *:[v16i8] } ?:{ *:[v16i8] }:$v1, ?:{ *:[v16i8] }:$v2, ?:{ *:[v16i8] }:$c)
/* 49588*/    /*Scope*/ 15, /*->49604*/
/* 49589*/     OPC_RecordChild0, // #2 = $v1
/* 49590*/     OPC_CheckChild1Same, 0,
/* 49592*/     OPC_MoveParent,
/* 49593*/     OPC_CheckType, MVT::v16i8,
/* 49595*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::BITSELECT), 0,
                   MVT::v16i8, 3/*#Ops*/, 2, 1, 0, 
               // Src: (or:{ *:[v16i8] } (and:{ *:[v16i8] } (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$c, immAllOnesV:{ *:[v16i8] }), V128:{ *:[v16i8] }:$v2), (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$v1, V128:{ *:[v16i8] }:$c)) - Complexity = 16
               // Dst: (BITSELECT:{ *:[v16i8] } ?:{ *:[v16i8] }:$v1, ?:{ *:[v16i8] }:$v2, ?:{ *:[v16i8] }:$c)
/* 49604*/    0, /*End of Scope*/
/* 49605*/   /*Scope*/ 5|128,1/*133*/, /*->49740*/
/* 49607*/    OPC_RecordChild0, // #0 = $v2
/* 49608*/    OPC_Scope, 48, /*->49658*/ // 2 children in Scope
/* 49610*/     OPC_MoveChild1,
/* 49611*/     OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 49614*/     OPC_RecordChild0, // #1 = $c
/* 49615*/     OPC_MoveChild1,
/* 49616*/     OPC_CheckImmAllOnesV,
/* 49617*/     OPC_MoveParent,
/* 49618*/     OPC_MoveParent,
/* 49619*/     OPC_MoveParent,
/* 49620*/     OPC_MoveChild1,
/* 49621*/     OPC_CheckOpcode, TARGET_VAL(ISD::AND),
/* 49624*/     OPC_Scope, 15, /*->49641*/ // 2 children in Scope
/* 49626*/      OPC_CheckChild0Same, 1,
/* 49628*/      OPC_RecordChild1, // #2 = $v1
/* 49629*/      OPC_MoveParent,
/* 49630*/      OPC_CheckType, MVT::v16i8,
/* 49632*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::BITSELECT), 0,
                    MVT::v16i8, 3/*#Ops*/, 2, 0, 1, 
                // Src: (or:{ *:[v16i8] } (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$v2, (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$c, immAllOnesV:{ *:[v16i8] })), (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$c, V128:{ *:[v16i8] }:$v1)) - Complexity = 16
                // Dst: (BITSELECT:{ *:[v16i8] } ?:{ *:[v16i8] }:$v1, ?:{ *:[v16i8] }:$v2, ?:{ *:[v16i8] }:$c)
/* 49641*/     /*Scope*/ 15, /*->49657*/
/* 49642*/      OPC_RecordChild0, // #2 = $v1
/* 49643*/      OPC_CheckChild1Same, 1,
/* 49645*/      OPC_MoveParent,
/* 49646*/      OPC_CheckType, MVT::v16i8,
/* 49648*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::BITSELECT), 0,
                    MVT::v16i8, 3/*#Ops*/, 2, 0, 1, 
                // Src: (or:{ *:[v16i8] } (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$v2, (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$c, immAllOnesV:{ *:[v16i8] })), (and:{ *:[v16i8] } V128:{ *:[v16i8] }:$v1, V128:{ *:[v16i8] }:$c)) - Complexity = 16
                // Dst: (BITSELECT:{ *:[v16i8] } ?:{ *:[v16i8] }:$v1, ?:{ *:[v16i8] }:$v2, ?:{ *:[v16i8] }:$c)
/* 49657*/     0, /*End of Scope*/
/* 49658*/    /*Scope*/ 80, /*->49739*/
/* 49659*/     OPC_RecordChild1, // #1 = $v1
/* 49660*/     OPC_MoveParent,
/* 49661*/     OPC_MoveChild1,
/* 49662*/     OPC_CheckOpcode, TARGET_VAL(ISD::AND),
/* 49665*/     OPC_Scope, 23, /*->49690*/ // 3 children in Scope
/* 49667*/      OPC_RecordChild0, // #2 = $v2
/* 49668*/      OPC_MoveChild1,
/* 49669*/      OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 49672*/      OPC_CheckChild0Same, 0,
/* 49674*/      OPC_MoveChild1,
/* 49675*/      OPC_CheckImmAllOnesV,
/* 49676*/      OPC_MoveParent,
/* 49677*/      OPC_MoveParent,
/* 49678*/      OPC_MoveParent,
/* 49679*/      OPC_CheckType, MVT::v8i16,
/* 49681*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::BITSELECT), 0,
                    MVT::v8i16, 3/*#Ops*/, 1, 2, 0, 
                // Src: (or:{ *:[v8i16] } (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$c, V128:{ *:[v8i16] }:$v1), (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$v2, (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$c, immAllOnesV:{ *:[v8i16] }))) - Complexity = 16
                // Dst: (BITSELECT:{ *:[v8i16] } ?:{ *:[v8i16] }:$v1, ?:{ *:[v8i16] }:$v2, ?:{ *:[v8i16] }:$c)
/* 49690*/     /*Scope*/ 23, /*->49714*/
/* 49691*/      OPC_MoveChild0,
/* 49692*/      OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 49695*/      OPC_CheckChild0Same, 1,
/* 49697*/      OPC_MoveChild1,
/* 49698*/      OPC_CheckImmAllOnesV,
/* 49699*/      OPC_MoveParent,
/* 49700*/      OPC_MoveParent,
/* 49701*/      OPC_RecordChild1, // #2 = $v2
/* 49702*/      OPC_MoveParent,
/* 49703*/      OPC_CheckType, MVT::v8i16,
/* 49705*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::BITSELECT), 0,
                    MVT::v8i16, 3/*#Ops*/, 0, 2, 1, 
                // Src: (or:{ *:[v8i16] } (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$v1, V128:{ *:[v8i16] }:$c), (and:{ *:[v8i16] } (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$c, immAllOnesV:{ *:[v8i16] }), V128:{ *:[v8i16] }:$v2)) - Complexity = 16
                // Dst: (BITSELECT:{ *:[v8i16] } ?:{ *:[v8i16] }:$v1, ?:{ *:[v8i16] }:$v2, ?:{ *:[v8i16] }:$c)
/* 49714*/     /*Scope*/ 23, /*->49738*/
/* 49715*/      OPC_RecordChild0, // #2 = $v2
/* 49716*/      OPC_MoveChild1,
/* 49717*/      OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 49720*/      OPC_CheckChild0Same, 1,
/* 49722*/      OPC_MoveChild1,
/* 49723*/      OPC_CheckImmAllOnesV,
/* 49724*/      OPC_MoveParent,
/* 49725*/      OPC_MoveParent,
/* 49726*/      OPC_MoveParent,
/* 49727*/      OPC_CheckType, MVT::v8i16,
/* 49729*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::BITSELECT), 0,
                    MVT::v8i16, 3/*#Ops*/, 0, 2, 1, 
                // Src: (or:{ *:[v8i16] } (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$v1, V128:{ *:[v8i16] }:$c), (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$v2, (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$c, immAllOnesV:{ *:[v8i16] }))) - Complexity = 16
                // Dst: (BITSELECT:{ *:[v8i16] } ?:{ *:[v8i16] }:$v1, ?:{ *:[v8i16] }:$v2, ?:{ *:[v8i16] }:$c)
/* 49738*/     0, /*End of Scope*/
/* 49739*/    0, /*End of Scope*/
/* 49740*/   /*Scope*/ 49, /*->49790*/
/* 49741*/    OPC_MoveChild0,
/* 49742*/    OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 49745*/    OPC_RecordChild0, // #0 = $c
/* 49746*/    OPC_MoveChild1,
/* 49747*/    OPC_CheckImmAllOnesV,
/* 49748*/    OPC_MoveParent,
/* 49749*/    OPC_MoveParent,
/* 49750*/    OPC_RecordChild1, // #1 = $v2
/* 49751*/    OPC_MoveParent,
/* 49752*/    OPC_MoveChild1,
/* 49753*/    OPC_CheckOpcode, TARGET_VAL(ISD::AND),
/* 49756*/    OPC_Scope, 15, /*->49773*/ // 2 children in Scope
/* 49758*/     OPC_CheckChild0Same, 0,
/* 49760*/     OPC_RecordChild1, // #2 = $v1
/* 49761*/     OPC_MoveParent,
/* 49762*/     OPC_CheckType, MVT::v8i16,
/* 49764*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::BITSELECT), 0,
                   MVT::v8i16, 3/*#Ops*/, 2, 1, 0, 
               // Src: (or:{ *:[v8i16] } (and:{ *:[v8i16] } (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$c, immAllOnesV:{ *:[v8i16] }), V128:{ *:[v8i16] }:$v2), (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$c, V128:{ *:[v8i16] }:$v1)) - Complexity = 16
               // Dst: (BITSELECT:{ *:[v8i16] } ?:{ *:[v8i16] }:$v1, ?:{ *:[v8i16] }:$v2, ?:{ *:[v8i16] }:$c)
/* 49773*/    /*Scope*/ 15, /*->49789*/
/* 49774*/     OPC_RecordChild0, // #2 = $v1
/* 49775*/     OPC_CheckChild1Same, 0,
/* 49777*/     OPC_MoveParent,
/* 49778*/     OPC_CheckType, MVT::v8i16,
/* 49780*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::BITSELECT), 0,
                   MVT::v8i16, 3/*#Ops*/, 2, 1, 0, 
               // Src: (or:{ *:[v8i16] } (and:{ *:[v8i16] } (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$c, immAllOnesV:{ *:[v8i16] }), V128:{ *:[v8i16] }:$v2), (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$v1, V128:{ *:[v8i16] }:$c)) - Complexity = 16
               // Dst: (BITSELECT:{ *:[v8i16] } ?:{ *:[v8i16] }:$v1, ?:{ *:[v8i16] }:$v2, ?:{ *:[v8i16] }:$c)
/* 49789*/    0, /*End of Scope*/
/* 49790*/   /*Scope*/ 5|128,1/*133*/, /*->49925*/
/* 49792*/    OPC_RecordChild0, // #0 = $v2
/* 49793*/    OPC_Scope, 48, /*->49843*/ // 2 children in Scope
/* 49795*/     OPC_MoveChild1,
/* 49796*/     OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 49799*/     OPC_RecordChild0, // #1 = $c
/* 49800*/     OPC_MoveChild1,
/* 49801*/     OPC_CheckImmAllOnesV,
/* 49802*/     OPC_MoveParent,
/* 49803*/     OPC_MoveParent,
/* 49804*/     OPC_MoveParent,
/* 49805*/     OPC_MoveChild1,
/* 49806*/     OPC_CheckOpcode, TARGET_VAL(ISD::AND),
/* 49809*/     OPC_Scope, 15, /*->49826*/ // 2 children in Scope
/* 49811*/      OPC_CheckChild0Same, 1,
/* 49813*/      OPC_RecordChild1, // #2 = $v1
/* 49814*/      OPC_MoveParent,
/* 49815*/      OPC_CheckType, MVT::v8i16,
/* 49817*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::BITSELECT), 0,
                    MVT::v8i16, 3/*#Ops*/, 2, 0, 1, 
                // Src: (or:{ *:[v8i16] } (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$v2, (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$c, immAllOnesV:{ *:[v8i16] })), (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$c, V128:{ *:[v8i16] }:$v1)) - Complexity = 16
                // Dst: (BITSELECT:{ *:[v8i16] } ?:{ *:[v8i16] }:$v1, ?:{ *:[v8i16] }:$v2, ?:{ *:[v8i16] }:$c)
/* 49826*/     /*Scope*/ 15, /*->49842*/
/* 49827*/      OPC_RecordChild0, // #2 = $v1
/* 49828*/      OPC_CheckChild1Same, 1,
/* 49830*/      OPC_MoveParent,
/* 49831*/      OPC_CheckType, MVT::v8i16,
/* 49833*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::BITSELECT), 0,
                    MVT::v8i16, 3/*#Ops*/, 2, 0, 1, 
                // Src: (or:{ *:[v8i16] } (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$v2, (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$c, immAllOnesV:{ *:[v8i16] })), (and:{ *:[v8i16] } V128:{ *:[v8i16] }:$v1, V128:{ *:[v8i16] }:$c)) - Complexity = 16
                // Dst: (BITSELECT:{ *:[v8i16] } ?:{ *:[v8i16] }:$v1, ?:{ *:[v8i16] }:$v2, ?:{ *:[v8i16] }:$c)
/* 49842*/     0, /*End of Scope*/
/* 49843*/    /*Scope*/ 80, /*->49924*/
/* 49844*/     OPC_RecordChild1, // #1 = $v1
/* 49845*/     OPC_MoveParent,
/* 49846*/     OPC_MoveChild1,
/* 49847*/     OPC_CheckOpcode, TARGET_VAL(ISD::AND),
/* 49850*/     OPC_Scope, 23, /*->49875*/ // 3 children in Scope
/* 49852*/      OPC_RecordChild0, // #2 = $v2
/* 49853*/      OPC_MoveChild1,
/* 49854*/      OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 49857*/      OPC_CheckChild0Same, 0,
/* 49859*/      OPC_MoveChild1,
/* 49860*/      OPC_CheckImmAllOnesV,
/* 49861*/      OPC_MoveParent,
/* 49862*/      OPC_MoveParent,
/* 49863*/      OPC_MoveParent,
/* 49864*/      OPC_CheckType, MVT::v4i32,
/* 49866*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::BITSELECT), 0,
                    MVT::v4i32, 3/*#Ops*/, 1, 2, 0, 
                // Src: (or:{ *:[v4i32] } (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$c, V128:{ *:[v4i32] }:$v1), (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$v2, (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$c, immAllOnesV:{ *:[v4i32] }))) - Complexity = 16
                // Dst: (BITSELECT:{ *:[v4i32] } ?:{ *:[v4i32] }:$v1, ?:{ *:[v4i32] }:$v2, ?:{ *:[v4i32] }:$c)
/* 49875*/     /*Scope*/ 23, /*->49899*/
/* 49876*/      OPC_MoveChild0,
/* 49877*/      OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 49880*/      OPC_CheckChild0Same, 1,
/* 49882*/      OPC_MoveChild1,
/* 49883*/      OPC_CheckImmAllOnesV,
/* 49884*/      OPC_MoveParent,
/* 49885*/      OPC_MoveParent,
/* 49886*/      OPC_RecordChild1, // #2 = $v2
/* 49887*/      OPC_MoveParent,
/* 49888*/      OPC_CheckType, MVT::v4i32,
/* 49890*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::BITSELECT), 0,
                    MVT::v4i32, 3/*#Ops*/, 0, 2, 1, 
                // Src: (or:{ *:[v4i32] } (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$v1, V128:{ *:[v4i32] }:$c), (and:{ *:[v4i32] } (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$c, immAllOnesV:{ *:[v4i32] }), V128:{ *:[v4i32] }:$v2)) - Complexity = 16
                // Dst: (BITSELECT:{ *:[v4i32] } ?:{ *:[v4i32] }:$v1, ?:{ *:[v4i32] }:$v2, ?:{ *:[v4i32] }:$c)
/* 49899*/     /*Scope*/ 23, /*->49923*/
/* 49900*/      OPC_RecordChild0, // #2 = $v2
/* 49901*/      OPC_MoveChild1,
/* 49902*/      OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 49905*/      OPC_CheckChild0Same, 1,
/* 49907*/      OPC_MoveChild1,
/* 49908*/      OPC_CheckImmAllOnesV,
/* 49909*/      OPC_MoveParent,
/* 49910*/      OPC_MoveParent,
/* 49911*/      OPC_MoveParent,
/* 49912*/      OPC_CheckType, MVT::v4i32,
/* 49914*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::BITSELECT), 0,
                    MVT::v4i32, 3/*#Ops*/, 0, 2, 1, 
                // Src: (or:{ *:[v4i32] } (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$v1, V128:{ *:[v4i32] }:$c), (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$v2, (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$c, immAllOnesV:{ *:[v4i32] }))) - Complexity = 16
                // Dst: (BITSELECT:{ *:[v4i32] } ?:{ *:[v4i32] }:$v1, ?:{ *:[v4i32] }:$v2, ?:{ *:[v4i32] }:$c)
/* 49923*/     0, /*End of Scope*/
/* 49924*/    0, /*End of Scope*/
/* 49925*/   /*Scope*/ 49, /*->49975*/
/* 49926*/    OPC_MoveChild0,
/* 49927*/    OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 49930*/    OPC_RecordChild0, // #0 = $c
/* 49931*/    OPC_MoveChild1,
/* 49932*/    OPC_CheckImmAllOnesV,
/* 49933*/    OPC_MoveParent,
/* 49934*/    OPC_MoveParent,
/* 49935*/    OPC_RecordChild1, // #1 = $v2
/* 49936*/    OPC_MoveParent,
/* 49937*/    OPC_MoveChild1,
/* 49938*/    OPC_CheckOpcode, TARGET_VAL(ISD::AND),
/* 49941*/    OPC_Scope, 15, /*->49958*/ // 2 children in Scope
/* 49943*/     OPC_CheckChild0Same, 0,
/* 49945*/     OPC_RecordChild1, // #2 = $v1
/* 49946*/     OPC_MoveParent,
/* 49947*/     OPC_CheckType, MVT::v4i32,
/* 49949*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::BITSELECT), 0,
                   MVT::v4i32, 3/*#Ops*/, 2, 1, 0, 
               // Src: (or:{ *:[v4i32] } (and:{ *:[v4i32] } (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$c, immAllOnesV:{ *:[v4i32] }), V128:{ *:[v4i32] }:$v2), (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$c, V128:{ *:[v4i32] }:$v1)) - Complexity = 16
               // Dst: (BITSELECT:{ *:[v4i32] } ?:{ *:[v4i32] }:$v1, ?:{ *:[v4i32] }:$v2, ?:{ *:[v4i32] }:$c)
/* 49958*/    /*Scope*/ 15, /*->49974*/
/* 49959*/     OPC_RecordChild0, // #2 = $v1
/* 49960*/     OPC_CheckChild1Same, 0,
/* 49962*/     OPC_MoveParent,
/* 49963*/     OPC_CheckType, MVT::v4i32,
/* 49965*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::BITSELECT), 0,
                   MVT::v4i32, 3/*#Ops*/, 2, 1, 0, 
               // Src: (or:{ *:[v4i32] } (and:{ *:[v4i32] } (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$c, immAllOnesV:{ *:[v4i32] }), V128:{ *:[v4i32] }:$v2), (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$v1, V128:{ *:[v4i32] }:$c)) - Complexity = 16
               // Dst: (BITSELECT:{ *:[v4i32] } ?:{ *:[v4i32] }:$v1, ?:{ *:[v4i32] }:$v2, ?:{ *:[v4i32] }:$c)
/* 49974*/    0, /*End of Scope*/
/* 49975*/   /*Scope*/ 5|128,1/*133*/, /*->50110*/
/* 49977*/    OPC_RecordChild0, // #0 = $v2
/* 49978*/    OPC_Scope, 48, /*->50028*/ // 2 children in Scope
/* 49980*/     OPC_MoveChild1,
/* 49981*/     OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 49984*/     OPC_RecordChild0, // #1 = $c
/* 49985*/     OPC_MoveChild1,
/* 49986*/     OPC_CheckImmAllOnesV,
/* 49987*/     OPC_MoveParent,
/* 49988*/     OPC_MoveParent,
/* 49989*/     OPC_MoveParent,
/* 49990*/     OPC_MoveChild1,
/* 49991*/     OPC_CheckOpcode, TARGET_VAL(ISD::AND),
/* 49994*/     OPC_Scope, 15, /*->50011*/ // 2 children in Scope
/* 49996*/      OPC_CheckChild0Same, 1,
/* 49998*/      OPC_RecordChild1, // #2 = $v1
/* 49999*/      OPC_MoveParent,
/* 50000*/      OPC_CheckType, MVT::v4i32,
/* 50002*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::BITSELECT), 0,
                    MVT::v4i32, 3/*#Ops*/, 2, 0, 1, 
                // Src: (or:{ *:[v4i32] } (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$v2, (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$c, immAllOnesV:{ *:[v4i32] })), (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$c, V128:{ *:[v4i32] }:$v1)) - Complexity = 16
                // Dst: (BITSELECT:{ *:[v4i32] } ?:{ *:[v4i32] }:$v1, ?:{ *:[v4i32] }:$v2, ?:{ *:[v4i32] }:$c)
/* 50011*/     /*Scope*/ 15, /*->50027*/
/* 50012*/      OPC_RecordChild0, // #2 = $v1
/* 50013*/      OPC_CheckChild1Same, 1,
/* 50015*/      OPC_MoveParent,
/* 50016*/      OPC_CheckType, MVT::v4i32,
/* 50018*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::BITSELECT), 0,
                    MVT::v4i32, 3/*#Ops*/, 2, 0, 1, 
                // Src: (or:{ *:[v4i32] } (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$v2, (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$c, immAllOnesV:{ *:[v4i32] })), (and:{ *:[v4i32] } V128:{ *:[v4i32] }:$v1, V128:{ *:[v4i32] }:$c)) - Complexity = 16
                // Dst: (BITSELECT:{ *:[v4i32] } ?:{ *:[v4i32] }:$v1, ?:{ *:[v4i32] }:$v2, ?:{ *:[v4i32] }:$c)
/* 50027*/     0, /*End of Scope*/
/* 50028*/    /*Scope*/ 80, /*->50109*/
/* 50029*/     OPC_RecordChild1, // #1 = $v1
/* 50030*/     OPC_MoveParent,
/* 50031*/     OPC_MoveChild1,
/* 50032*/     OPC_CheckOpcode, TARGET_VAL(ISD::AND),
/* 50035*/     OPC_Scope, 23, /*->50060*/ // 3 children in Scope
/* 50037*/      OPC_RecordChild0, // #2 = $v2
/* 50038*/      OPC_MoveChild1,
/* 50039*/      OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 50042*/      OPC_CheckChild0Same, 0,
/* 50044*/      OPC_MoveChild1,
/* 50045*/      OPC_CheckImmAllOnesV,
/* 50046*/      OPC_MoveParent,
/* 50047*/      OPC_MoveParent,
/* 50048*/      OPC_MoveParent,
/* 50049*/      OPC_CheckType, MVT::v2i64,
/* 50051*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::BITSELECT), 0,
                    MVT::v2i64, 3/*#Ops*/, 1, 2, 0, 
                // Src: (or:{ *:[v2i64] } (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$c, V128:{ *:[v2i64] }:$v1), (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$v2, (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$c, immAllOnesV:{ *:[v2i64] }))) - Complexity = 16
                // Dst: (BITSELECT:{ *:[v2i64] } ?:{ *:[v2i64] }:$v1, ?:{ *:[v2i64] }:$v2, ?:{ *:[v2i64] }:$c)
/* 50060*/     /*Scope*/ 23, /*->50084*/
/* 50061*/      OPC_MoveChild0,
/* 50062*/      OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 50065*/      OPC_CheckChild0Same, 1,
/* 50067*/      OPC_MoveChild1,
/* 50068*/      OPC_CheckImmAllOnesV,
/* 50069*/      OPC_MoveParent,
/* 50070*/      OPC_MoveParent,
/* 50071*/      OPC_RecordChild1, // #2 = $v2
/* 50072*/      OPC_MoveParent,
/* 50073*/      OPC_CheckType, MVT::v2i64,
/* 50075*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::BITSELECT), 0,
                    MVT::v2i64, 3/*#Ops*/, 0, 2, 1, 
                // Src: (or:{ *:[v2i64] } (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$v1, V128:{ *:[v2i64] }:$c), (and:{ *:[v2i64] } (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$c, immAllOnesV:{ *:[v2i64] }), V128:{ *:[v2i64] }:$v2)) - Complexity = 16
                // Dst: (BITSELECT:{ *:[v2i64] } ?:{ *:[v2i64] }:$v1, ?:{ *:[v2i64] }:$v2, ?:{ *:[v2i64] }:$c)
/* 50084*/     /*Scope*/ 23, /*->50108*/
/* 50085*/      OPC_RecordChild0, // #2 = $v2
/* 50086*/      OPC_MoveChild1,
/* 50087*/      OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 50090*/      OPC_CheckChild0Same, 1,
/* 50092*/      OPC_MoveChild1,
/* 50093*/      OPC_CheckImmAllOnesV,
/* 50094*/      OPC_MoveParent,
/* 50095*/      OPC_MoveParent,
/* 50096*/      OPC_MoveParent,
/* 50097*/      OPC_CheckType, MVT::v2i64,
/* 50099*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::BITSELECT), 0,
                    MVT::v2i64, 3/*#Ops*/, 0, 2, 1, 
                // Src: (or:{ *:[v2i64] } (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$v1, V128:{ *:[v2i64] }:$c), (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$v2, (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$c, immAllOnesV:{ *:[v2i64] }))) - Complexity = 16
                // Dst: (BITSELECT:{ *:[v2i64] } ?:{ *:[v2i64] }:$v1, ?:{ *:[v2i64] }:$v2, ?:{ *:[v2i64] }:$c)
/* 50108*/     0, /*End of Scope*/
/* 50109*/    0, /*End of Scope*/
/* 50110*/   /*Scope*/ 49, /*->50160*/
/* 50111*/    OPC_MoveChild0,
/* 50112*/    OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 50115*/    OPC_RecordChild0, // #0 = $c
/* 50116*/    OPC_MoveChild1,
/* 50117*/    OPC_CheckImmAllOnesV,
/* 50118*/    OPC_MoveParent,
/* 50119*/    OPC_MoveParent,
/* 50120*/    OPC_RecordChild1, // #1 = $v2
/* 50121*/    OPC_MoveParent,
/* 50122*/    OPC_MoveChild1,
/* 50123*/    OPC_CheckOpcode, TARGET_VAL(ISD::AND),
/* 50126*/    OPC_Scope, 15, /*->50143*/ // 2 children in Scope
/* 50128*/     OPC_CheckChild0Same, 0,
/* 50130*/     OPC_RecordChild1, // #2 = $v1
/* 50131*/     OPC_MoveParent,
/* 50132*/     OPC_CheckType, MVT::v2i64,
/* 50134*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::BITSELECT), 0,
                   MVT::v2i64, 3/*#Ops*/, 2, 1, 0, 
               // Src: (or:{ *:[v2i64] } (and:{ *:[v2i64] } (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$c, immAllOnesV:{ *:[v2i64] }), V128:{ *:[v2i64] }:$v2), (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$c, V128:{ *:[v2i64] }:$v1)) - Complexity = 16
               // Dst: (BITSELECT:{ *:[v2i64] } ?:{ *:[v2i64] }:$v1, ?:{ *:[v2i64] }:$v2, ?:{ *:[v2i64] }:$c)
/* 50143*/    /*Scope*/ 15, /*->50159*/
/* 50144*/     OPC_RecordChild0, // #2 = $v1
/* 50145*/     OPC_CheckChild1Same, 0,
/* 50147*/     OPC_MoveParent,
/* 50148*/     OPC_CheckType, MVT::v2i64,
/* 50150*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::BITSELECT), 0,
                   MVT::v2i64, 3/*#Ops*/, 2, 1, 0, 
               // Src: (or:{ *:[v2i64] } (and:{ *:[v2i64] } (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$c, immAllOnesV:{ *:[v2i64] }), V128:{ *:[v2i64] }:$v2), (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$v1, V128:{ *:[v2i64] }:$c)) - Complexity = 16
               // Dst: (BITSELECT:{ *:[v2i64] } ?:{ *:[v2i64] }:$v1, ?:{ *:[v2i64] }:$v2, ?:{ *:[v2i64] }:$c)
/* 50159*/    0, /*End of Scope*/
/* 50160*/   /*Scope*/ 49, /*->50210*/
/* 50161*/    OPC_RecordChild0, // #0 = $v2
/* 50162*/    OPC_MoveChild1,
/* 50163*/    OPC_CheckOpcode, TARGET_VAL(ISD::XOR),
/* 50166*/    OPC_RecordChild0, // #1 = $c
/* 50167*/    OPC_MoveChild1,
/* 50168*/    OPC_CheckImmAllOnesV,
/* 50169*/    OPC_MoveParent,
/* 50170*/    OPC_MoveParent,
/* 50171*/    OPC_MoveParent,
/* 50172*/    OPC_MoveChild1,
/* 50173*/    OPC_CheckOpcode, TARGET_VAL(ISD::AND),
/* 50176*/    OPC_Scope, 15, /*->50193*/ // 2 children in Scope
/* 50178*/     OPC_CheckChild0Same, 1,
/* 50180*/     OPC_RecordChild1, // #2 = $v1
/* 50181*/     OPC_MoveParent,
/* 50182*/     OPC_CheckType, MVT::v2i64,
/* 50184*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::BITSELECT), 0,
                   MVT::v2i64, 3/*#Ops*/, 2, 0, 1, 
               // Src: (or:{ *:[v2i64] } (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$v2, (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$c, immAllOnesV:{ *:[v2i64] })), (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$c, V128:{ *:[v2i64] }:$v1)) - Complexity = 16
               // Dst: (BITSELECT:{ *:[v2i64] } ?:{ *:[v2i64] }:$v1, ?:{ *:[v2i64] }:$v2, ?:{ *:[v2i64] }:$c)
/* 50193*/    /*Scope*/ 15, /*->50209*/
/* 50194*/     OPC_RecordChild0, // #2 = $v1
/* 50195*/     OPC_CheckChild1Same, 1,
/* 50197*/     OPC_MoveParent,
/* 50198*/     OPC_CheckType, MVT::v2i64,
/* 50200*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::BITSELECT), 0,
                   MVT::v2i64, 3/*#Ops*/, 2, 0, 1, 
               // Src: (or:{ *:[v2i64] } (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$v2, (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$c, immAllOnesV:{ *:[v2i64] })), (and:{ *:[v2i64] } V128:{ *:[v2i64] }:$v1, V128:{ *:[v2i64] }:$c)) - Complexity = 16
               // Dst: (BITSELECT:{ *:[v2i64] } ?:{ *:[v2i64] }:$v1, ?:{ *:[v2i64] }:$v2, ?:{ *:[v2i64] }:$c)
/* 50209*/    0, /*End of Scope*/
/* 50210*/   0, /*End of Scope*/
/* 50211*/  /*Scope*/ 44, /*->50256*/
/* 50212*/   OPC_RecordChild0, // #0 = $lhs
/* 50213*/   OPC_RecordChild1, // #1 = $rhs
/* 50214*/   OPC_SwitchType /*4 cases */, 8, MVT::v16i8,// ->50225
/* 50217*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::OR), 0,
                  MVT::v16i8, 2/*#Ops*/, 0, 1, 
              // Src: (or:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs) - Complexity = 3
              // Dst: (OR:{ *:[v16i8] } ?:{ *:[v16i8] }:$lhs, ?:{ *:[v16i8] }:$rhs)
/* 50225*/   /*SwitchType*/ 8, MVT::v8i16,// ->50235
/* 50227*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::OR), 0,
                  MVT::v8i16, 2/*#Ops*/, 0, 1, 
              // Src: (or:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs) - Complexity = 3
              // Dst: (OR:{ *:[v8i16] } ?:{ *:[v8i16] }:$lhs, ?:{ *:[v8i16] }:$rhs)
/* 50235*/   /*SwitchType*/ 8, MVT::v4i32,// ->50245
/* 50237*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::OR), 0,
                  MVT::v4i32, 2/*#Ops*/, 0, 1, 
              // Src: (or:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs) - Complexity = 3
              // Dst: (OR:{ *:[v4i32] } ?:{ *:[v4i32] }:$lhs, ?:{ *:[v4i32] }:$rhs)
/* 50245*/   /*SwitchType*/ 8, MVT::v2i64,// ->50255
/* 50247*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::OR), 0,
                  MVT::v2i64, 2/*#Ops*/, 0, 1, 
              // Src: (or:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, V128:{ *:[v2i64] }:$rhs) - Complexity = 3
              // Dst: (OR:{ *:[v2i64] } ?:{ *:[v2i64] }:$lhs, ?:{ *:[v2i64] }:$rhs)
/* 50255*/   0, // EndSwitchType
/* 50256*/  0, /*End of Scope*/
/* 50257*/ /*SwitchOpcode*/ 113, TARGET_VAL(ISD::XOR),// ->50373
/* 50260*/  OPC_RecordChild0, // #0 = $lhs
/* 50261*/  OPC_Scope, 23, /*->50286*/ // 3 children in Scope
/* 50263*/   OPC_RecordChild1, // #1 = $rhs
/* 50264*/   OPC_SwitchType /*2 cases */, 8, MVT::i32,// ->50275
/* 50267*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::XOR_I32), 0,
                  MVT::i32, 2/*#Ops*/, 0, 1, 
              // Src: (xor:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs) - Complexity = 3
              // Dst: (XOR_I32:{ *:[i32] } I32:{ *:[i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/* 50275*/   /*SwitchType*/ 8, MVT::i64,// ->50285
/* 50277*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::XOR_I64), 0,
                  MVT::i64, 2/*#Ops*/, 0, 1, 
              // Src: (xor:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs) - Complexity = 3
              // Dst: (XOR_I64:{ *:[i64] } I64:{ *:[i64] }:$lhs, I64:{ *:[i64] }:$rhs)
/* 50285*/   0, // EndSwitchType
/* 50286*/  /*Scope*/ 41, /*->50328*/
/* 50287*/   OPC_MoveChild1,
/* 50288*/   OPC_CheckImmAllOnesV,
/* 50289*/   OPC_MoveParent,
/* 50290*/   OPC_SwitchType /*4 cases */, 7, MVT::v16i8,// ->50300
/* 50293*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::NOT), 0,
                  MVT::v16i8, 1/*#Ops*/, 0, 
              // Src: (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$v, immAllOnesV:{ *:[v16i8] }) - Complexity = 7
              // Dst: (NOT:{ *:[v16i8] } ?:{ *:[v16i8] }:$v)
/* 50300*/   /*SwitchType*/ 7, MVT::v8i16,// ->50309
/* 50302*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::NOT), 0,
                  MVT::v8i16, 1/*#Ops*/, 0, 
              // Src: (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$v, immAllOnesV:{ *:[v8i16] }) - Complexity = 7
              // Dst: (NOT:{ *:[v8i16] } ?:{ *:[v8i16] }:$v)
/* 50309*/   /*SwitchType*/ 7, MVT::v4i32,// ->50318
/* 50311*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::NOT), 0,
                  MVT::v4i32, 1/*#Ops*/, 0, 
              // Src: (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$v, immAllOnesV:{ *:[v4i32] }) - Complexity = 7
              // Dst: (NOT:{ *:[v4i32] } ?:{ *:[v4i32] }:$v)
/* 50318*/   /*SwitchType*/ 7, MVT::v2i64,// ->50327
/* 50320*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::NOT), 0,
                  MVT::v2i64, 1/*#Ops*/, 0, 
              // Src: (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$v, immAllOnesV:{ *:[v2i64] }) - Complexity = 7
              // Dst: (NOT:{ *:[v2i64] } ?:{ *:[v2i64] }:$v)
/* 50327*/   0, // EndSwitchType
/* 50328*/  /*Scope*/ 43, /*->50372*/
/* 50329*/   OPC_RecordChild1, // #1 = $rhs
/* 50330*/   OPC_SwitchType /*4 cases */, 8, MVT::v16i8,// ->50341
/* 50333*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::XOR), 0,
                  MVT::v16i8, 2/*#Ops*/, 0, 1, 
              // Src: (xor:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs) - Complexity = 3
              // Dst: (XOR:{ *:[v16i8] } ?:{ *:[v16i8] }:$lhs, ?:{ *:[v16i8] }:$rhs)
/* 50341*/   /*SwitchType*/ 8, MVT::v8i16,// ->50351
/* 50343*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::XOR), 0,
                  MVT::v8i16, 2/*#Ops*/, 0, 1, 
              // Src: (xor:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs) - Complexity = 3
              // Dst: (XOR:{ *:[v8i16] } ?:{ *:[v8i16] }:$lhs, ?:{ *:[v8i16] }:$rhs)
/* 50351*/   /*SwitchType*/ 8, MVT::v4i32,// ->50361
/* 50353*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::XOR), 0,
                  MVT::v4i32, 2/*#Ops*/, 0, 1, 
              // Src: (xor:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs) - Complexity = 3
              // Dst: (XOR:{ *:[v4i32] } ?:{ *:[v4i32] }:$lhs, ?:{ *:[v4i32] }:$rhs)
/* 50361*/   /*SwitchType*/ 8, MVT::v2i64,// ->50371
/* 50363*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::XOR), 0,
                  MVT::v2i64, 2/*#Ops*/, 0, 1, 
              // Src: (xor:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, V128:{ *:[v2i64] }:$rhs) - Complexity = 3
              // Dst: (XOR:{ *:[v2i64] } ?:{ *:[v2i64] }:$lhs, ?:{ *:[v2i64] }:$rhs)
/* 50371*/   0, // EndSwitchType
/* 50372*/  0, /*End of Scope*/
/* 50373*/ /*SwitchOpcode*/ 25, TARGET_VAL(ISD::CTLZ),// ->50401
/* 50376*/  OPC_RecordChild0, // #0 = $src
/* 50377*/  OPC_SwitchType /*2 cases */, 9, MVT::i32,// ->50389
/* 50380*/   OPC_CheckChild0Type, MVT::i32,
/* 50382*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::CLZ_I32), 0,
                 MVT::i32, 1/*#Ops*/, 0, 
             // Src: (ctlz:{ *:[i32] } I32:{ *:[i32] }:$src) - Complexity = 3
             // Dst: (CLZ_I32:{ *:[i32] } I32:{ *:[i32] }:$src)
/* 50389*/  /*SwitchType*/ 9, MVT::i64,// ->50400
/* 50391*/   OPC_CheckChild0Type, MVT::i64,
/* 50393*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::CLZ_I64), 0,
                 MVT::i64, 1/*#Ops*/, 0, 
             // Src: (ctlz:{ *:[i64] } I64:{ *:[i64] }:$src) - Complexity = 3
             // Dst: (CLZ_I64:{ *:[i64] } I64:{ *:[i64] }:$src)
/* 50400*/  0, // EndSwitchType
/* 50401*/ /*SwitchOpcode*/ 25, TARGET_VAL(ISD::CTTZ),// ->50429
/* 50404*/  OPC_RecordChild0, // #0 = $src
/* 50405*/  OPC_SwitchType /*2 cases */, 9, MVT::i32,// ->50417
/* 50408*/   OPC_CheckChild0Type, MVT::i32,
/* 50410*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::CTZ_I32), 0,
                 MVT::i32, 1/*#Ops*/, 0, 
             // Src: (cttz:{ *:[i32] } I32:{ *:[i32] }:$src) - Complexity = 3
             // Dst: (CTZ_I32:{ *:[i32] } I32:{ *:[i32] }:$src)
/* 50417*/  /*SwitchType*/ 9, MVT::i64,// ->50428
/* 50419*/   OPC_CheckChild0Type, MVT::i64,
/* 50421*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::CTZ_I64), 0,
                 MVT::i64, 1/*#Ops*/, 0, 
             // Src: (cttz:{ *:[i64] } I64:{ *:[i64] }:$src) - Complexity = 3
             // Dst: (CTZ_I64:{ *:[i64] } I64:{ *:[i64] }:$src)
/* 50428*/  0, // EndSwitchType
/* 50429*/ /*SwitchOpcode*/ 38, TARGET_VAL(ISD::CTPOP),// ->50470
/* 50432*/  OPC_RecordChild0, // #0 = $src
/* 50433*/  OPC_SwitchType /*3 cases */, 9, MVT::i32,// ->50445
/* 50436*/   OPC_CheckChild0Type, MVT::i32,
/* 50438*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::POPCNT_I32), 0,
                 MVT::i32, 1/*#Ops*/, 0, 
             // Src: (ctpop:{ *:[i32] } I32:{ *:[i32] }:$src) - Complexity = 3
             // Dst: (POPCNT_I32:{ *:[i32] } I32:{ *:[i32] }:$src)
/* 50445*/  /*SwitchType*/ 9, MVT::i64,// ->50456
/* 50447*/   OPC_CheckChild0Type, MVT::i64,
/* 50449*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::POPCNT_I64), 0,
                 MVT::i64, 1/*#Ops*/, 0, 
             // Src: (ctpop:{ *:[i64] } I64:{ *:[i64] }:$src) - Complexity = 3
             // Dst: (POPCNT_I64:{ *:[i64] } I64:{ *:[i64] }:$src)
/* 50456*/  /*SwitchType*/ 11, MVT::v16i8,// ->50469
/* 50458*/   OPC_CheckChild0Type, MVT::v16i8,
/* 50460*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 50462*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::POPCNT_I8x16), 0,
                 MVT::v16i8, 1/*#Ops*/, 0, 
             // Src: (ctpop:{ *:[v16i8] } V128:{ *:[v16i8] }:$v) - Complexity = 3
             // Dst: (POPCNT_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$v)
/* 50469*/  0, // EndSwitchType
/* 50470*/ /*SwitchOpcode*/ 8, TARGET_VAL(ISD::TRUNCATE),// ->50481
/* 50473*/  OPC_RecordChild0, // #0 = $src
/* 50474*/  OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::I32_WRAP_I64), 0,
                MVT::i32, 1/*#Ops*/, 0, 
            // Src: (trunc:{ *:[i32] } I64:{ *:[i64] }:$src) - Complexity = 3
            // Dst: (I32_WRAP_I64:{ *:[i32] } I64:{ *:[i64] }:$src)
/* 50481*/ /*SwitchOpcode*/ 8, TARGET_VAL(ISD::SIGN_EXTEND),// ->50492
/* 50484*/  OPC_RecordChild0, // #0 = $src
/* 50485*/  OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::I64_EXTEND_S_I32), 0,
                MVT::i64, 1/*#Ops*/, 0, 
            // Src: (sext:{ *:[i64] } I32:{ *:[i32] }:$src) - Complexity = 3
            // Dst: (I64_EXTEND_S_I32:{ *:[i64] } I32:{ *:[i32] }:$src)
/* 50492*/ /*SwitchOpcode*/ 121, TARGET_VAL(ISD::FP_TO_SINT),// ->50616
/* 50495*/  OPC_RecordChild0, // #0 = $src
/* 50496*/  OPC_Scope, 52, /*->50550*/ // 3 children in Scope
/* 50498*/   OPC_CheckChild0Type, MVT::f32,
/* 50500*/   OPC_SwitchType /*2 cases */, 22, MVT::i32,// ->50525
/* 50503*/    OPC_Scope, 9, /*->50514*/ // 2 children in Scope
/* 50505*/     OPC_CheckPatternPredicate, 16, // (Subtarget->hasNontrappingFPToInt())
/* 50507*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::I32_TRUNC_S_SAT_F32), 0,
                   MVT::i32, 1/*#Ops*/, 0, 
               // Src: (fp_to_sint:{ *:[i32] } F32:{ *:[f32] }:$src) - Complexity = 3
               // Dst: (I32_TRUNC_S_SAT_F32:{ *:[i32] } F32:{ *:[f32] }:$src)
/* 50514*/    /*Scope*/ 9, /*->50524*/
/* 50515*/     OPC_CheckPatternPredicate, 17, // (!Subtarget->hasNontrappingFPToInt())
/* 50517*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::FP_TO_SINT_I32_F32), 0,
                   MVT::i32, 1/*#Ops*/, 0, 
               // Src: (fp_to_sint:{ *:[i32] } F32:{ *:[f32] }:$src) - Complexity = 3
               // Dst: (FP_TO_SINT_I32_F32:{ *:[i32] } F32:{ *:[f32] }:$src)
/* 50524*/    0, /*End of Scope*/
/* 50525*/   /*SwitchType*/ 22, MVT::i64,// ->50549
/* 50527*/    OPC_Scope, 9, /*->50538*/ // 2 children in Scope
/* 50529*/     OPC_CheckPatternPredicate, 16, // (Subtarget->hasNontrappingFPToInt())
/* 50531*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::I64_TRUNC_S_SAT_F32), 0,
                   MVT::i64, 1/*#Ops*/, 0, 
               // Src: (fp_to_sint:{ *:[i64] } F32:{ *:[f32] }:$src) - Complexity = 3
               // Dst: (I64_TRUNC_S_SAT_F32:{ *:[i64] } F32:{ *:[f32] }:$src)
/* 50538*/    /*Scope*/ 9, /*->50548*/
/* 50539*/     OPC_CheckPatternPredicate, 17, // (!Subtarget->hasNontrappingFPToInt())
/* 50541*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::FP_TO_SINT_I64_F32), 0,
                   MVT::i64, 1/*#Ops*/, 0, 
               // Src: (fp_to_sint:{ *:[i64] } F32:{ *:[f32] }:$src) - Complexity = 3
               // Dst: (FP_TO_SINT_I64_F32:{ *:[i64] } F32:{ *:[f32] }:$src)
/* 50548*/    0, /*End of Scope*/
/* 50549*/   0, // EndSwitchType
/* 50550*/  /*Scope*/ 52, /*->50603*/
/* 50551*/   OPC_CheckChild0Type, MVT::f64,
/* 50553*/   OPC_SwitchType /*2 cases */, 22, MVT::i32,// ->50578
/* 50556*/    OPC_Scope, 9, /*->50567*/ // 2 children in Scope
/* 50558*/     OPC_CheckPatternPredicate, 16, // (Subtarget->hasNontrappingFPToInt())
/* 50560*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::I32_TRUNC_S_SAT_F64), 0,
                   MVT::i32, 1/*#Ops*/, 0, 
               // Src: (fp_to_sint:{ *:[i32] } F64:{ *:[f64] }:$src) - Complexity = 3
               // Dst: (I32_TRUNC_S_SAT_F64:{ *:[i32] } F64:{ *:[f64] }:$src)
/* 50567*/    /*Scope*/ 9, /*->50577*/
/* 50568*/     OPC_CheckPatternPredicate, 17, // (!Subtarget->hasNontrappingFPToInt())
/* 50570*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::FP_TO_SINT_I32_F64), 0,
                   MVT::i32, 1/*#Ops*/, 0, 
               // Src: (fp_to_sint:{ *:[i32] } F64:{ *:[f64] }:$src) - Complexity = 3
               // Dst: (FP_TO_SINT_I32_F64:{ *:[i32] } F64:{ *:[f64] }:$src)
/* 50577*/    0, /*End of Scope*/
/* 50578*/   /*SwitchType*/ 22, MVT::i64,// ->50602
/* 50580*/    OPC_Scope, 9, /*->50591*/ // 2 children in Scope
/* 50582*/     OPC_CheckPatternPredicate, 16, // (Subtarget->hasNontrappingFPToInt())
/* 50584*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::I64_TRUNC_S_SAT_F64), 0,
                   MVT::i64, 1/*#Ops*/, 0, 
               // Src: (fp_to_sint:{ *:[i64] } F64:{ *:[f64] }:$src) - Complexity = 3
               // Dst: (I64_TRUNC_S_SAT_F64:{ *:[i64] } F64:{ *:[f64] }:$src)
/* 50591*/    /*Scope*/ 9, /*->50601*/
/* 50592*/     OPC_CheckPatternPredicate, 17, // (!Subtarget->hasNontrappingFPToInt())
/* 50594*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::FP_TO_SINT_I64_F64), 0,
                   MVT::i64, 1/*#Ops*/, 0, 
               // Src: (fp_to_sint:{ *:[i64] } F64:{ *:[f64] }:$src) - Complexity = 3
               // Dst: (FP_TO_SINT_I64_F64:{ *:[i64] } F64:{ *:[f64] }:$src)
/* 50601*/    0, /*End of Scope*/
/* 50602*/   0, // EndSwitchType
/* 50603*/  /*Scope*/ 11, /*->50615*/
/* 50604*/   OPC_CheckType, MVT::v4i32,
/* 50606*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 50608*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::fp_to_sint_I32x4), 0,
                 MVT::v4i32, 1/*#Ops*/, 0, 
             // Src: (fp_to_sint:{ *:[v4i32] } V128:{ *:[v4f32] }:$vec) - Complexity = 3
             // Dst: (fp_to_sint_I32x4:{ *:[v4i32] } V128:{ *:[v4f32] }:$vec)
/* 50615*/  0, /*End of Scope*/
/* 50616*/ /*SwitchOpcode*/ 121, TARGET_VAL(ISD::FP_TO_UINT),// ->50740
/* 50619*/  OPC_RecordChild0, // #0 = $src
/* 50620*/  OPC_Scope, 52, /*->50674*/ // 3 children in Scope
/* 50622*/   OPC_CheckChild0Type, MVT::f32,
/* 50624*/   OPC_SwitchType /*2 cases */, 22, MVT::i32,// ->50649
/* 50627*/    OPC_Scope, 9, /*->50638*/ // 2 children in Scope
/* 50629*/     OPC_CheckPatternPredicate, 16, // (Subtarget->hasNontrappingFPToInt())
/* 50631*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::I32_TRUNC_U_SAT_F32), 0,
                   MVT::i32, 1/*#Ops*/, 0, 
               // Src: (fp_to_uint:{ *:[i32] } F32:{ *:[f32] }:$src) - Complexity = 3
               // Dst: (I32_TRUNC_U_SAT_F32:{ *:[i32] } F32:{ *:[f32] }:$src)
/* 50638*/    /*Scope*/ 9, /*->50648*/
/* 50639*/     OPC_CheckPatternPredicate, 17, // (!Subtarget->hasNontrappingFPToInt())
/* 50641*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::FP_TO_UINT_I32_F32), 0,
                   MVT::i32, 1/*#Ops*/, 0, 
               // Src: (fp_to_uint:{ *:[i32] } F32:{ *:[f32] }:$src) - Complexity = 3
               // Dst: (FP_TO_UINT_I32_F32:{ *:[i32] } F32:{ *:[f32] }:$src)
/* 50648*/    0, /*End of Scope*/
/* 50649*/   /*SwitchType*/ 22, MVT::i64,// ->50673
/* 50651*/    OPC_Scope, 9, /*->50662*/ // 2 children in Scope
/* 50653*/     OPC_CheckPatternPredicate, 16, // (Subtarget->hasNontrappingFPToInt())
/* 50655*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::I64_TRUNC_U_SAT_F32), 0,
                   MVT::i64, 1/*#Ops*/, 0, 
               // Src: (fp_to_uint:{ *:[i64] } F32:{ *:[f32] }:$src) - Complexity = 3
               // Dst: (I64_TRUNC_U_SAT_F32:{ *:[i64] } F32:{ *:[f32] }:$src)
/* 50662*/    /*Scope*/ 9, /*->50672*/
/* 50663*/     OPC_CheckPatternPredicate, 17, // (!Subtarget->hasNontrappingFPToInt())
/* 50665*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::FP_TO_UINT_I64_F32), 0,
                   MVT::i64, 1/*#Ops*/, 0, 
               // Src: (fp_to_uint:{ *:[i64] } F32:{ *:[f32] }:$src) - Complexity = 3
               // Dst: (FP_TO_UINT_I64_F32:{ *:[i64] } F32:{ *:[f32] }:$src)
/* 50672*/    0, /*End of Scope*/
/* 50673*/   0, // EndSwitchType
/* 50674*/  /*Scope*/ 52, /*->50727*/
/* 50675*/   OPC_CheckChild0Type, MVT::f64,
/* 50677*/   OPC_SwitchType /*2 cases */, 22, MVT::i32,// ->50702
/* 50680*/    OPC_Scope, 9, /*->50691*/ // 2 children in Scope
/* 50682*/     OPC_CheckPatternPredicate, 16, // (Subtarget->hasNontrappingFPToInt())
/* 50684*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::I32_TRUNC_U_SAT_F64), 0,
                   MVT::i32, 1/*#Ops*/, 0, 
               // Src: (fp_to_uint:{ *:[i32] } F64:{ *:[f64] }:$src) - Complexity = 3
               // Dst: (I32_TRUNC_U_SAT_F64:{ *:[i32] } F64:{ *:[f64] }:$src)
/* 50691*/    /*Scope*/ 9, /*->50701*/
/* 50692*/     OPC_CheckPatternPredicate, 17, // (!Subtarget->hasNontrappingFPToInt())
/* 50694*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::FP_TO_UINT_I32_F64), 0,
                   MVT::i32, 1/*#Ops*/, 0, 
               // Src: (fp_to_uint:{ *:[i32] } F64:{ *:[f64] }:$src) - Complexity = 3
               // Dst: (FP_TO_UINT_I32_F64:{ *:[i32] } F64:{ *:[f64] }:$src)
/* 50701*/    0, /*End of Scope*/
/* 50702*/   /*SwitchType*/ 22, MVT::i64,// ->50726
/* 50704*/    OPC_Scope, 9, /*->50715*/ // 2 children in Scope
/* 50706*/     OPC_CheckPatternPredicate, 16, // (Subtarget->hasNontrappingFPToInt())
/* 50708*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::I64_TRUNC_U_SAT_F64), 0,
                   MVT::i64, 1/*#Ops*/, 0, 
               // Src: (fp_to_uint:{ *:[i64] } F64:{ *:[f64] }:$src) - Complexity = 3
               // Dst: (I64_TRUNC_U_SAT_F64:{ *:[i64] } F64:{ *:[f64] }:$src)
/* 50715*/    /*Scope*/ 9, /*->50725*/
/* 50716*/     OPC_CheckPatternPredicate, 17, // (!Subtarget->hasNontrappingFPToInt())
/* 50718*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::FP_TO_UINT_I64_F64), 0,
                   MVT::i64, 1/*#Ops*/, 0, 
               // Src: (fp_to_uint:{ *:[i64] } F64:{ *:[f64] }:$src) - Complexity = 3
               // Dst: (FP_TO_UINT_I64_F64:{ *:[i64] } F64:{ *:[f64] }:$src)
/* 50725*/    0, /*End of Scope*/
/* 50726*/   0, // EndSwitchType
/* 50727*/  /*Scope*/ 11, /*->50739*/
/* 50728*/   OPC_CheckType, MVT::v4i32,
/* 50730*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 50732*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::fp_to_uint_I32x4), 0,
                 MVT::v4i32, 1/*#Ops*/, 0, 
             // Src: (fp_to_uint:{ *:[v4i32] } V128:{ *:[v4f32] }:$vec) - Complexity = 3
             // Dst: (fp_to_uint_I32x4:{ *:[v4i32] } V128:{ *:[v4f32] }:$vec)
/* 50739*/  0, /*End of Scope*/
/* 50740*/ /*SwitchOpcode*/ 81, TARGET_VAL(ISD::FP_TO_SINT_SAT),// ->50824
/* 50743*/  OPC_RecordChild0, // #0 = $src
/* 50744*/  OPC_Scope, 31, /*->50777*/ // 3 children in Scope
/* 50746*/   OPC_CheckChild0Type, MVT::f32,
/* 50748*/   OPC_MoveChild1,
/* 50749*/   OPC_Scope, 12, /*->50763*/ // 2 children in Scope
/* 50751*/    OPC_CheckValueType, MVT::i32,
/* 50753*/    OPC_MoveParent,
/* 50754*/    OPC_CheckType, MVT::i32,
/* 50756*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::I32_TRUNC_S_SAT_F32), 0,
                  MVT::i32, 1/*#Ops*/, 0, 
              // Src: (fp_to_sint_sat:{ *:[i32] } F32:{ *:[f32] }:$src, i32:{ *:[Other] }) - Complexity = 3
              // Dst: (I32_TRUNC_S_SAT_F32:{ *:[i32] } F32:{ *:[f32] }:$src)
/* 50763*/   /*Scope*/ 12, /*->50776*/
/* 50764*/    OPC_CheckValueType, MVT::i64,
/* 50766*/    OPC_MoveParent,
/* 50767*/    OPC_CheckType, MVT::i64,
/* 50769*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::I64_TRUNC_S_SAT_F32), 0,
                  MVT::i64, 1/*#Ops*/, 0, 
              // Src: (fp_to_sint_sat:{ *:[i64] } F32:{ *:[f32] }:$src, i64:{ *:[Other] }) - Complexity = 3
              // Dst: (I64_TRUNC_S_SAT_F32:{ *:[i64] } F32:{ *:[f32] }:$src)
/* 50776*/   0, /*End of Scope*/
/* 50777*/  /*Scope*/ 31, /*->50809*/
/* 50778*/   OPC_CheckChild0Type, MVT::f64,
/* 50780*/   OPC_MoveChild1,
/* 50781*/   OPC_Scope, 12, /*->50795*/ // 2 children in Scope
/* 50783*/    OPC_CheckValueType, MVT::i32,
/* 50785*/    OPC_MoveParent,
/* 50786*/    OPC_CheckType, MVT::i32,
/* 50788*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::I32_TRUNC_S_SAT_F64), 0,
                  MVT::i32, 1/*#Ops*/, 0, 
              // Src: (fp_to_sint_sat:{ *:[i32] } F64:{ *:[f64] }:$src, i32:{ *:[Other] }) - Complexity = 3
              // Dst: (I32_TRUNC_S_SAT_F64:{ *:[i32] } F64:{ *:[f64] }:$src)
/* 50795*/   /*Scope*/ 12, /*->50808*/
/* 50796*/    OPC_CheckValueType, MVT::i64,
/* 50798*/    OPC_MoveParent,
/* 50799*/    OPC_CheckType, MVT::i64,
/* 50801*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::I64_TRUNC_S_SAT_F64), 0,
                  MVT::i64, 1/*#Ops*/, 0, 
              // Src: (fp_to_sint_sat:{ *:[i64] } F64:{ *:[f64] }:$src, i64:{ *:[Other] }) - Complexity = 3
              // Dst: (I64_TRUNC_S_SAT_F64:{ *:[i64] } F64:{ *:[f64] }:$src)
/* 50808*/   0, /*End of Scope*/
/* 50809*/  /*Scope*/ 13, /*->50823*/
/* 50810*/   OPC_MoveChild1,
/* 50811*/   OPC_CheckValueType, MVT::i32,
/* 50813*/   OPC_MoveParent,
/* 50814*/   OPC_CheckType, MVT::v4i32,
/* 50816*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::fp_to_sint_I32x4), 0,
                 MVT::v4i32, 1/*#Ops*/, 0, 
             // Src: (fp_to_sint_sat:{ *:[v4i32] } V128:{ *:[v4f32] }:$src, i32:{ *:[Other] }) - Complexity = 3
             // Dst: (fp_to_sint_I32x4:{ *:[v4i32] } ?:{ *:[v4f32] }:$src)
/* 50823*/  0, /*End of Scope*/
/* 50824*/ /*SwitchOpcode*/ 81, TARGET_VAL(ISD::FP_TO_UINT_SAT),// ->50908
/* 50827*/  OPC_RecordChild0, // #0 = $src
/* 50828*/  OPC_Scope, 31, /*->50861*/ // 3 children in Scope
/* 50830*/   OPC_CheckChild0Type, MVT::f32,
/* 50832*/   OPC_MoveChild1,
/* 50833*/   OPC_Scope, 12, /*->50847*/ // 2 children in Scope
/* 50835*/    OPC_CheckValueType, MVT::i32,
/* 50837*/    OPC_MoveParent,
/* 50838*/    OPC_CheckType, MVT::i32,
/* 50840*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::I32_TRUNC_U_SAT_F32), 0,
                  MVT::i32, 1/*#Ops*/, 0, 
              // Src: (fp_to_uint_sat:{ *:[i32] } F32:{ *:[f32] }:$src, i32:{ *:[Other] }) - Complexity = 3
              // Dst: (I32_TRUNC_U_SAT_F32:{ *:[i32] } F32:{ *:[f32] }:$src)
/* 50847*/   /*Scope*/ 12, /*->50860*/
/* 50848*/    OPC_CheckValueType, MVT::i64,
/* 50850*/    OPC_MoveParent,
/* 50851*/    OPC_CheckType, MVT::i64,
/* 50853*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::I64_TRUNC_U_SAT_F32), 0,
                  MVT::i64, 1/*#Ops*/, 0, 
              // Src: (fp_to_uint_sat:{ *:[i64] } F32:{ *:[f32] }:$src, i64:{ *:[Other] }) - Complexity = 3
              // Dst: (I64_TRUNC_U_SAT_F32:{ *:[i64] } F32:{ *:[f32] }:$src)
/* 50860*/   0, /*End of Scope*/
/* 50861*/  /*Scope*/ 31, /*->50893*/
/* 50862*/   OPC_CheckChild0Type, MVT::f64,
/* 50864*/   OPC_MoveChild1,
/* 50865*/   OPC_Scope, 12, /*->50879*/ // 2 children in Scope
/* 50867*/    OPC_CheckValueType, MVT::i32,
/* 50869*/    OPC_MoveParent,
/* 50870*/    OPC_CheckType, MVT::i32,
/* 50872*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::I32_TRUNC_U_SAT_F64), 0,
                  MVT::i32, 1/*#Ops*/, 0, 
              // Src: (fp_to_uint_sat:{ *:[i32] } F64:{ *:[f64] }:$src, i32:{ *:[Other] }) - Complexity = 3
              // Dst: (I32_TRUNC_U_SAT_F64:{ *:[i32] } F64:{ *:[f64] }:$src)
/* 50879*/   /*Scope*/ 12, /*->50892*/
/* 50880*/    OPC_CheckValueType, MVT::i64,
/* 50882*/    OPC_MoveParent,
/* 50883*/    OPC_CheckType, MVT::i64,
/* 50885*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::I64_TRUNC_U_SAT_F64), 0,
                  MVT::i64, 1/*#Ops*/, 0, 
              // Src: (fp_to_uint_sat:{ *:[i64] } F64:{ *:[f64] }:$src, i64:{ *:[Other] }) - Complexity = 3
              // Dst: (I64_TRUNC_U_SAT_F64:{ *:[i64] } F64:{ *:[f64] }:$src)
/* 50892*/   0, /*End of Scope*/
/* 50893*/  /*Scope*/ 13, /*->50907*/
/* 50894*/   OPC_MoveChild1,
/* 50895*/   OPC_CheckValueType, MVT::i32,
/* 50897*/   OPC_MoveParent,
/* 50898*/   OPC_CheckType, MVT::v4i32,
/* 50900*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::fp_to_uint_I32x4), 0,
                 MVT::v4i32, 1/*#Ops*/, 0, 
             // Src: (fp_to_uint_sat:{ *:[v4i32] } V128:{ *:[v4f32] }:$src, i32:{ *:[Other] }) - Complexity = 3
             // Dst: (fp_to_uint_I32x4:{ *:[v4i32] } ?:{ *:[v4f32] }:$src)
/* 50907*/  0, /*End of Scope*/
/* 50908*/ /*SwitchOpcode*/ 103|128,1/*231*/, TARGET_VAL(ISD::BITCAST),// ->51143
/* 50912*/  OPC_RecordChild0, // #0 = $src
/* 50913*/  OPC_Scope, 11, /*->50926*/ // 10 children in Scope
/* 50915*/   OPC_CheckChild0Type, MVT::f32,
/* 50917*/   OPC_CheckType, MVT::i32,
/* 50919*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::I32_REINTERPRET_F32), 0,
                 MVT::i32, 1/*#Ops*/, 0, 
             // Src: (bitconvert:{ *:[i32] } F32:{ *:[f32] }:$src) - Complexity = 3
             // Dst: (I32_REINTERPRET_F32:{ *:[i32] } F32:{ *:[f32] }:$src)
/* 50926*/  /*Scope*/ 11, /*->50938*/
/* 50927*/   OPC_CheckChild0Type, MVT::f64,
/* 50929*/   OPC_CheckType, MVT::i64,
/* 50931*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::I64_REINTERPRET_F64), 0,
                 MVT::i64, 1/*#Ops*/, 0, 
             // Src: (bitconvert:{ *:[i64] } F64:{ *:[f64] }:$src) - Complexity = 3
             // Dst: (I64_REINTERPRET_F64:{ *:[i64] } F64:{ *:[f64] }:$src)
/* 50938*/  /*Scope*/ 11, /*->50950*/
/* 50939*/   OPC_CheckChild0Type, MVT::i32,
/* 50941*/   OPC_CheckType, MVT::f32,
/* 50943*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::F32_REINTERPRET_I32), 0,
                 MVT::f32, 1/*#Ops*/, 0, 
             // Src: (bitconvert:{ *:[f32] } I32:{ *:[i32] }:$src) - Complexity = 3
             // Dst: (F32_REINTERPRET_I32:{ *:[f32] } I32:{ *:[i32] }:$src)
/* 50950*/  /*Scope*/ 11, /*->50962*/
/* 50951*/   OPC_CheckChild0Type, MVT::i64,
/* 50953*/   OPC_CheckType, MVT::f64,
/* 50955*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::F64_REINTERPRET_I64), 0,
                 MVT::f64, 1/*#Ops*/, 0, 
             // Src: (bitconvert:{ *:[f64] } I64:{ *:[i64] }:$src) - Complexity = 3
             // Dst: (F64_REINTERPRET_I64:{ *:[f64] } I64:{ *:[i64] }:$src)
/* 50962*/  /*Scope*/ 29, /*->50992*/
/* 50963*/   OPC_CheckChild0Type, MVT::v8i16,
/* 50965*/   OPC_SwitchType /*5 cases */, 3, MVT::v16i8,// ->50971
/* 50968*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v16i8] } V128:{ *:[v8i16] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v16i8] }:$v
/* 50971*/   /*SwitchType*/ 3, MVT::v4i32,// ->50976
/* 50973*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v4i32] } V128:{ *:[v8i16] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v4i32] }:$v
/* 50976*/   /*SwitchType*/ 3, MVT::v2i64,// ->50981
/* 50978*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v2i64] } V128:{ *:[v8i16] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v2i64] }:$v
/* 50981*/   /*SwitchType*/ 3, MVT::v4f32,// ->50986
/* 50983*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v4f32] } V128:{ *:[v8i16] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v4f32] }:$v
/* 50986*/   /*SwitchType*/ 3, MVT::v2f64,// ->50991
/* 50988*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v2f64] } V128:{ *:[v8i16] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v2f64] }:$v
/* 50991*/   0, // EndSwitchType
/* 50992*/  /*Scope*/ 29, /*->51022*/
/* 50993*/   OPC_CheckChild0Type, MVT::v4i32,
/* 50995*/   OPC_SwitchType /*5 cases */, 3, MVT::v16i8,// ->51001
/* 50998*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v16i8] } V128:{ *:[v4i32] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v16i8] }:$v
/* 51001*/   /*SwitchType*/ 3, MVT::v8i16,// ->51006
/* 51003*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v8i16] } V128:{ *:[v4i32] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v8i16] }:$v
/* 51006*/   /*SwitchType*/ 3, MVT::v2i64,// ->51011
/* 51008*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v2i64] } V128:{ *:[v4i32] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v2i64] }:$v
/* 51011*/   /*SwitchType*/ 3, MVT::v4f32,// ->51016
/* 51013*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v4f32] } V128:{ *:[v4i32] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v4f32] }:$v
/* 51016*/   /*SwitchType*/ 3, MVT::v2f64,// ->51021
/* 51018*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v2f64] } V128:{ *:[v4i32] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v2f64] }:$v
/* 51021*/   0, // EndSwitchType
/* 51022*/  /*Scope*/ 29, /*->51052*/
/* 51023*/   OPC_CheckChild0Type, MVT::v2i64,
/* 51025*/   OPC_SwitchType /*5 cases */, 3, MVT::v16i8,// ->51031
/* 51028*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v16i8] } V128:{ *:[v2i64] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v16i8] }:$v
/* 51031*/   /*SwitchType*/ 3, MVT::v8i16,// ->51036
/* 51033*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v8i16] } V128:{ *:[v2i64] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v8i16] }:$v
/* 51036*/   /*SwitchType*/ 3, MVT::v4i32,// ->51041
/* 51038*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v4i32] } V128:{ *:[v2i64] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v4i32] }:$v
/* 51041*/   /*SwitchType*/ 3, MVT::v4f32,// ->51046
/* 51043*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v4f32] } V128:{ *:[v2i64] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v4f32] }:$v
/* 51046*/   /*SwitchType*/ 3, MVT::v2f64,// ->51051
/* 51048*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v2f64] } V128:{ *:[v2i64] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v2f64] }:$v
/* 51051*/   0, // EndSwitchType
/* 51052*/  /*Scope*/ 29, /*->51082*/
/* 51053*/   OPC_CheckChild0Type, MVT::v4f32,
/* 51055*/   OPC_SwitchType /*5 cases */, 3, MVT::v16i8,// ->51061
/* 51058*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v16i8] } V128:{ *:[v4f32] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v16i8] }:$v
/* 51061*/   /*SwitchType*/ 3, MVT::v8i16,// ->51066
/* 51063*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v8i16] } V128:{ *:[v4f32] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v8i16] }:$v
/* 51066*/   /*SwitchType*/ 3, MVT::v4i32,// ->51071
/* 51068*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v4i32] } V128:{ *:[v4f32] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v4i32] }:$v
/* 51071*/   /*SwitchType*/ 3, MVT::v2i64,// ->51076
/* 51073*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v2i64] } V128:{ *:[v4f32] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v2i64] }:$v
/* 51076*/   /*SwitchType*/ 3, MVT::v2f64,// ->51081
/* 51078*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v2f64] } V128:{ *:[v4f32] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v2f64] }:$v
/* 51081*/   0, // EndSwitchType
/* 51082*/  /*Scope*/ 29, /*->51112*/
/* 51083*/   OPC_CheckChild0Type, MVT::v2f64,
/* 51085*/   OPC_SwitchType /*5 cases */, 3, MVT::v16i8,// ->51091
/* 51088*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v16i8] } V128:{ *:[v2f64] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v16i8] }:$v
/* 51091*/   /*SwitchType*/ 3, MVT::v8i16,// ->51096
/* 51093*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v8i16] } V128:{ *:[v2f64] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v8i16] }:$v
/* 51096*/   /*SwitchType*/ 3, MVT::v4i32,// ->51101
/* 51098*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v4i32] } V128:{ *:[v2f64] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v4i32] }:$v
/* 51101*/   /*SwitchType*/ 3, MVT::v2i64,// ->51106
/* 51103*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v2i64] } V128:{ *:[v2f64] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v2i64] }:$v
/* 51106*/   /*SwitchType*/ 3, MVT::v4f32,// ->51111
/* 51108*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v4f32] } V128:{ *:[v2f64] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v4f32] }:$v
/* 51111*/   0, // EndSwitchType
/* 51112*/  /*Scope*/ 29, /*->51142*/
/* 51113*/   OPC_CheckChild0Type, MVT::v16i8,
/* 51115*/   OPC_SwitchType /*5 cases */, 3, MVT::v8i16,// ->51121
/* 51118*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v8i16] } V128:{ *:[v16i8] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v8i16] }:$v
/* 51121*/   /*SwitchType*/ 3, MVT::v4i32,// ->51126
/* 51123*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v4i32] } V128:{ *:[v16i8] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v4i32] }:$v
/* 51126*/   /*SwitchType*/ 3, MVT::v2i64,// ->51131
/* 51128*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v2i64] } V128:{ *:[v16i8] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v2i64] }:$v
/* 51131*/   /*SwitchType*/ 3, MVT::v4f32,// ->51136
/* 51133*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v4f32] } V128:{ *:[v16i8] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v4f32] }:$v
/* 51136*/   /*SwitchType*/ 3, MVT::v2f64,// ->51141
/* 51138*/    OPC_CompleteMatch, 1, 0, 
               // Src: (bitconvert:{ *:[v2f64] } V128:{ *:[v16i8] }:$v) - Complexity = 3
               // Dst: V128:{ *:[v2f64] }:$v
/* 51141*/   0, // EndSwitchType
/* 51142*/  0, /*End of Scope*/
/* 51143*/ /*SwitchOpcode*/ 39, TARGET_VAL(WebAssemblyISD::TABLE_SET),// ->51185
/* 51146*/  OPC_RecordMemRef,
/* 51147*/  OPC_RecordNode, // #0 = 'wasm_table_set' chained node
/* 51148*/  OPC_RecordChild1, // #1 = $table
/* 51149*/  OPC_CheckChild1Type, MVT::i32,
/* 51151*/  OPC_RecordChild2, // #2 = $idx
/* 51152*/  OPC_CheckChild2Type, MVT::i32,
/* 51154*/  OPC_RecordChild3, // #3 = $r
/* 51155*/  OPC_Scope, 13, /*->51170*/ // 2 children in Scope
/* 51157*/   OPC_CheckChild3Type, MVT::funcref,
/* 51159*/   OPC_CheckPatternPredicate, 9, // (Subtarget->hasReferenceTypes())
/* 51161*/   OPC_EmitMergeInputChains1_0,
/* 51162*/   OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::TABLE_SET_FUNCREF), 0|OPFL_Chain|OPFL_MemRefs,
                 3/*#Ops*/, 1, 2, 3, 
             // Src: (wasm_table_set i32:{ *:[i32] }:$table, i32:{ *:[i32] }:$idx, funcref:{ *:[funcref] }:$r) - Complexity = 3
             // Dst: (TABLE_SET_FUNCREF i32:{ *:[i32] }:$table, i32:{ *:[i32] }:$idx, funcref:{ *:[funcref] }:$r)
/* 51170*/  /*Scope*/ 13, /*->51184*/
/* 51171*/   OPC_CheckChild3Type, MVT::externref,
/* 51173*/   OPC_CheckPatternPredicate, 9, // (Subtarget->hasReferenceTypes())
/* 51175*/   OPC_EmitMergeInputChains1_0,
/* 51176*/   OPC_MorphNodeTo0, TARGET_VAL(WebAssembly::TABLE_SET_EXTERNREF), 0|OPFL_Chain|OPFL_MemRefs,
                 3/*#Ops*/, 1, 2, 3, 
             // Src: (wasm_table_set i32:{ *:[i32] }:$table, i32:{ *:[i32] }:$idx, externref:{ *:[externref] }:$r) - Complexity = 3
             // Dst: (TABLE_SET_EXTERNREF i32:{ *:[i32] }:$table, i32:{ *:[i32] }:$idx, externref:{ *:[externref] }:$r)
/* 51184*/  0, /*End of Scope*/
/* 51185*/ /*SwitchOpcode*/ 25, TARGET_VAL(ISD::ConstantFP),// ->51213
/* 51188*/  OPC_RecordNode, // #0 = $imm
/* 51189*/  OPC_SwitchType /*2 cases */, 9, MVT::f32,// ->51201
/* 51192*/   OPC_EmitConvertToTarget, 0,
/* 51194*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::CONST_F32), 0,
                 MVT::f32, 1/*#Ops*/, 1, 
             // Src: (fpimm:{ *:[f32] }):$imm - Complexity = 3
             // Dst: (CONST_F32:{ *:[f32] } (fpimm:{ *:[f32] }):$imm)
/* 51201*/  /*SwitchType*/ 9, MVT::f64,// ->51212
/* 51203*/   OPC_EmitConvertToTarget, 0,
/* 51205*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::CONST_F64), 0,
                 MVT::f64, 1/*#Ops*/, 1, 
             // Src: (fpimm:{ *:[f64] }):$imm - Complexity = 3
             // Dst: (CONST_F64:{ *:[f64] } (fpimm:{ *:[f64] }):$imm)
/* 51212*/  0, // EndSwitchType
/* 51213*/ /*SwitchOpcode*/ 61, TARGET_VAL(ISD::SINT_TO_FP),// ->51277
/* 51216*/  OPC_RecordChild0, // #0 = $src
/* 51217*/  OPC_Scope, 22, /*->51241*/ // 3 children in Scope
/* 51219*/   OPC_CheckChild0Type, MVT::i32,
/* 51221*/   OPC_SwitchType /*2 cases */, 7, MVT::f32,// ->51231
/* 51224*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::F32_CONVERT_S_I32), 0,
                  MVT::f32, 1/*#Ops*/, 0, 
              // Src: (sint_to_fp:{ *:[f32] } I32:{ *:[i32] }:$src) - Complexity = 3
              // Dst: (F32_CONVERT_S_I32:{ *:[f32] } I32:{ *:[i32] }:$src)
/* 51231*/   /*SwitchType*/ 7, MVT::f64,// ->51240
/* 51233*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::F64_CONVERT_S_I32), 0,
                  MVT::f64, 1/*#Ops*/, 0, 
              // Src: (sint_to_fp:{ *:[f64] } I32:{ *:[i32] }:$src) - Complexity = 3
              // Dst: (F64_CONVERT_S_I32:{ *:[f64] } I32:{ *:[i32] }:$src)
/* 51240*/   0, // EndSwitchType
/* 51241*/  /*Scope*/ 22, /*->51264*/
/* 51242*/   OPC_CheckChild0Type, MVT::i64,
/* 51244*/   OPC_SwitchType /*2 cases */, 7, MVT::f32,// ->51254
/* 51247*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::F32_CONVERT_S_I64), 0,
                  MVT::f32, 1/*#Ops*/, 0, 
              // Src: (sint_to_fp:{ *:[f32] } I64:{ *:[i64] }:$src) - Complexity = 3
              // Dst: (F32_CONVERT_S_I64:{ *:[f32] } I64:{ *:[i64] }:$src)
/* 51254*/   /*SwitchType*/ 7, MVT::f64,// ->51263
/* 51256*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::F64_CONVERT_S_I64), 0,
                  MVT::f64, 1/*#Ops*/, 0, 
              // Src: (sint_to_fp:{ *:[f64] } I64:{ *:[i64] }:$src) - Complexity = 3
              // Dst: (F64_CONVERT_S_I64:{ *:[f64] } I64:{ *:[i64] }:$src)
/* 51263*/   0, // EndSwitchType
/* 51264*/  /*Scope*/ 11, /*->51276*/
/* 51265*/   OPC_CheckType, MVT::v4f32,
/* 51267*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 51269*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::sint_to_fp_F32x4), 0,
                 MVT::v4f32, 1/*#Ops*/, 0, 
             // Src: (sint_to_fp:{ *:[v4f32] } V128:{ *:[v4i32] }:$vec) - Complexity = 3
             // Dst: (sint_to_fp_F32x4:{ *:[v4f32] } V128:{ *:[v4i32] }:$vec)
/* 51276*/  0, /*End of Scope*/
/* 51277*/ /*SwitchOpcode*/ 61, TARGET_VAL(ISD::UINT_TO_FP),// ->51341
/* 51280*/  OPC_RecordChild0, // #0 = $src
/* 51281*/  OPC_Scope, 22, /*->51305*/ // 3 children in Scope
/* 51283*/   OPC_CheckChild0Type, MVT::i32,
/* 51285*/   OPC_SwitchType /*2 cases */, 7, MVT::f32,// ->51295
/* 51288*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::F32_CONVERT_U_I32), 0,
                  MVT::f32, 1/*#Ops*/, 0, 
              // Src: (uint_to_fp:{ *:[f32] } I32:{ *:[i32] }:$src) - Complexity = 3
              // Dst: (F32_CONVERT_U_I32:{ *:[f32] } I32:{ *:[i32] }:$src)
/* 51295*/   /*SwitchType*/ 7, MVT::f64,// ->51304
/* 51297*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::F64_CONVERT_U_I32), 0,
                  MVT::f64, 1/*#Ops*/, 0, 
              // Src: (uint_to_fp:{ *:[f64] } I32:{ *:[i32] }:$src) - Complexity = 3
              // Dst: (F64_CONVERT_U_I32:{ *:[f64] } I32:{ *:[i32] }:$src)
/* 51304*/   0, // EndSwitchType
/* 51305*/  /*Scope*/ 22, /*->51328*/
/* 51306*/   OPC_CheckChild0Type, MVT::i64,
/* 51308*/   OPC_SwitchType /*2 cases */, 7, MVT::f32,// ->51318
/* 51311*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::F32_CONVERT_U_I64), 0,
                  MVT::f32, 1/*#Ops*/, 0, 
              // Src: (uint_to_fp:{ *:[f32] } I64:{ *:[i64] }:$src) - Complexity = 3
              // Dst: (F32_CONVERT_U_I64:{ *:[f32] } I64:{ *:[i64] }:$src)
/* 51318*/   /*SwitchType*/ 7, MVT::f64,// ->51327
/* 51320*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::F64_CONVERT_U_I64), 0,
                  MVT::f64, 1/*#Ops*/, 0, 
              // Src: (uint_to_fp:{ *:[f64] } I64:{ *:[i64] }:$src) - Complexity = 3
              // Dst: (F64_CONVERT_U_I64:{ *:[f64] } I64:{ *:[i64] }:$src)
/* 51327*/   0, // EndSwitchType
/* 51328*/  /*Scope*/ 11, /*->51340*/
/* 51329*/   OPC_CheckType, MVT::v4f32,
/* 51331*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 51333*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::uint_to_fp_F32x4), 0,
                 MVT::v4f32, 1/*#Ops*/, 0, 
             // Src: (uint_to_fp:{ *:[v4f32] } V128:{ *:[v4i32] }:$vec) - Complexity = 3
             // Dst: (uint_to_fp_F32x4:{ *:[v4f32] } V128:{ *:[v4i32] }:$vec)
/* 51340*/  0, /*End of Scope*/
/* 51341*/ /*SwitchOpcode*/ 8, TARGET_VAL(ISD::FP_EXTEND),// ->51352
/* 51344*/  OPC_RecordChild0, // #0 = $src
/* 51345*/  OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::F64_PROMOTE_F32), 0,
                MVT::f64, 1/*#Ops*/, 0, 
            // Src: (fpextend:{ *:[f64] } F32:{ *:[f32] }:$src) - Complexity = 3
            // Dst: (F64_PROMOTE_F32:{ *:[f64] } F32:{ *:[f32] }:$src)
/* 51352*/ /*SwitchOpcode*/ 8, TARGET_VAL(ISD::FP_ROUND),// ->51363
/* 51355*/  OPC_RecordChild0, // #0 = $src
/* 51356*/  OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::F32_DEMOTE_F64), 0,
                MVT::f32, 1/*#Ops*/, 0, 
            // Src: (fpround:{ *:[f32] } F64:{ *:[f64] }:$src) - Complexity = 3
            // Dst: (F32_DEMOTE_F64:{ *:[f32] } F64:{ *:[f64] }:$src)
/* 51363*/ /*SwitchOpcode*/ 48, TARGET_VAL(ISD::FADD),// ->51414
/* 51366*/  OPC_RecordChild0, // #0 = $lhs
/* 51367*/  OPC_RecordChild1, // #1 = $rhs
/* 51368*/  OPC_SwitchType /*4 cases */, 8, MVT::f32,// ->51379
/* 51371*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ADD_F32), 0,
                 MVT::f32, 2/*#Ops*/, 0, 1, 
             // Src: (fadd:{ *:[f32] } F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs) - Complexity = 3
             // Dst: (ADD_F32:{ *:[f32] } F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs)
/* 51379*/  /*SwitchType*/ 8, MVT::f64,// ->51389
/* 51381*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ADD_F64), 0,
                 MVT::f64, 2/*#Ops*/, 0, 1, 
             // Src: (fadd:{ *:[f64] } F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs) - Complexity = 3
             // Dst: (ADD_F64:{ *:[f64] } F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs)
/* 51389*/  /*SwitchType*/ 10, MVT::v4f32,// ->51401
/* 51391*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 51393*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ADD_F32x4), 0,
                 MVT::v4f32, 2/*#Ops*/, 0, 1, 
             // Src: (fadd:{ *:[v4f32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs) - Complexity = 3
             // Dst: (ADD_F32x4:{ *:[v4f32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs)
/* 51401*/  /*SwitchType*/ 10, MVT::v2f64,// ->51413
/* 51403*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 51405*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ADD_F64x2), 0,
                 MVT::v2f64, 2/*#Ops*/, 0, 1, 
             // Src: (fadd:{ *:[v2f64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs) - Complexity = 3
             // Dst: (ADD_F64x2:{ *:[v2f64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs)
/* 51413*/  0, // EndSwitchType
/* 51414*/ /*SwitchOpcode*/ 48, TARGET_VAL(ISD::FSUB),// ->51465
/* 51417*/  OPC_RecordChild0, // #0 = $lhs
/* 51418*/  OPC_RecordChild1, // #1 = $rhs
/* 51419*/  OPC_SwitchType /*4 cases */, 8, MVT::f32,// ->51430
/* 51422*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SUB_F32), 0,
                 MVT::f32, 2/*#Ops*/, 0, 1, 
             // Src: (fsub:{ *:[f32] } F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs) - Complexity = 3
             // Dst: (SUB_F32:{ *:[f32] } F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs)
/* 51430*/  /*SwitchType*/ 8, MVT::f64,// ->51440
/* 51432*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SUB_F64), 0,
                 MVT::f64, 2/*#Ops*/, 0, 1, 
             // Src: (fsub:{ *:[f64] } F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs) - Complexity = 3
             // Dst: (SUB_F64:{ *:[f64] } F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs)
/* 51440*/  /*SwitchType*/ 10, MVT::v4f32,// ->51452
/* 51442*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 51444*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SUB_F32x4), 0,
                 MVT::v4f32, 2/*#Ops*/, 0, 1, 
             // Src: (fsub:{ *:[v4f32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs) - Complexity = 3
             // Dst: (SUB_F32x4:{ *:[v4f32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs)
/* 51452*/  /*SwitchType*/ 10, MVT::v2f64,// ->51464
/* 51454*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 51456*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SUB_F64x2), 0,
                 MVT::v2f64, 2/*#Ops*/, 0, 1, 
             // Src: (fsub:{ *:[v2f64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs) - Complexity = 3
             // Dst: (SUB_F64x2:{ *:[v2f64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs)
/* 51464*/  0, // EndSwitchType
/* 51465*/ /*SwitchOpcode*/ 48, TARGET_VAL(ISD::FMUL),// ->51516
/* 51468*/  OPC_RecordChild0, // #0 = $lhs
/* 51469*/  OPC_RecordChild1, // #1 = $rhs
/* 51470*/  OPC_SwitchType /*4 cases */, 8, MVT::f32,// ->51481
/* 51473*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MUL_F32), 0,
                 MVT::f32, 2/*#Ops*/, 0, 1, 
             // Src: (fmul:{ *:[f32] } F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs) - Complexity = 3
             // Dst: (MUL_F32:{ *:[f32] } F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs)
/* 51481*/  /*SwitchType*/ 8, MVT::f64,// ->51491
/* 51483*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MUL_F64), 0,
                 MVT::f64, 2/*#Ops*/, 0, 1, 
             // Src: (fmul:{ *:[f64] } F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs) - Complexity = 3
             // Dst: (MUL_F64:{ *:[f64] } F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs)
/* 51491*/  /*SwitchType*/ 10, MVT::v4f32,// ->51503
/* 51493*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 51495*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MUL_F32x4), 0,
                 MVT::v4f32, 2/*#Ops*/, 0, 1, 
             // Src: (fmul:{ *:[v4f32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs) - Complexity = 3
             // Dst: (MUL_F32x4:{ *:[v4f32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs)
/* 51503*/  /*SwitchType*/ 10, MVT::v2f64,// ->51515
/* 51505*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 51507*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MUL_F64x2), 0,
                 MVT::v2f64, 2/*#Ops*/, 0, 1, 
             // Src: (fmul:{ *:[v2f64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs) - Complexity = 3
             // Dst: (MUL_F64x2:{ *:[v2f64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs)
/* 51515*/  0, // EndSwitchType
/* 51516*/ /*SwitchOpcode*/ 48, TARGET_VAL(ISD::FDIV),// ->51567
/* 51519*/  OPC_RecordChild0, // #0 = $lhs
/* 51520*/  OPC_RecordChild1, // #1 = $rhs
/* 51521*/  OPC_SwitchType /*4 cases */, 8, MVT::f32,// ->51532
/* 51524*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::DIV_F32), 0,
                 MVT::f32, 2/*#Ops*/, 0, 1, 
             // Src: (fdiv:{ *:[f32] } F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs) - Complexity = 3
             // Dst: (DIV_F32:{ *:[f32] } F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs)
/* 51532*/  /*SwitchType*/ 8, MVT::f64,// ->51542
/* 51534*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::DIV_F64), 0,
                 MVT::f64, 2/*#Ops*/, 0, 1, 
             // Src: (fdiv:{ *:[f64] } F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs) - Complexity = 3
             // Dst: (DIV_F64:{ *:[f64] } F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs)
/* 51542*/  /*SwitchType*/ 10, MVT::v4f32,// ->51554
/* 51544*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 51546*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::DIV_F32x4), 0,
                 MVT::v4f32, 2/*#Ops*/, 0, 1, 
             // Src: (fdiv:{ *:[v4f32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs) - Complexity = 3
             // Dst: (DIV_F32x4:{ *:[v4f32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs)
/* 51554*/  /*SwitchType*/ 10, MVT::v2f64,// ->51566
/* 51556*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 51558*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::DIV_F64x2), 0,
                 MVT::v2f64, 2/*#Ops*/, 0, 1, 
             // Src: (fdiv:{ *:[v2f64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs) - Complexity = 3
             // Dst: (DIV_F64x2:{ *:[v2f64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs)
/* 51566*/  0, // EndSwitchType
/* 51567*/ /*SwitchOpcode*/ 43, TARGET_VAL(ISD::FSQRT),// ->51613
/* 51570*/  OPC_RecordChild0, // #0 = $src
/* 51571*/  OPC_SwitchType /*4 cases */, 7, MVT::f32,// ->51581
/* 51574*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SQRT_F32), 0,
                 MVT::f32, 1/*#Ops*/, 0, 
             // Src: (fsqrt:{ *:[f32] } F32:{ *:[f32] }:$src) - Complexity = 3
             // Dst: (SQRT_F32:{ *:[f32] } F32:{ *:[f32] }:$src)
/* 51581*/  /*SwitchType*/ 7, MVT::f64,// ->51590
/* 51583*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SQRT_F64), 0,
                 MVT::f64, 1/*#Ops*/, 0, 
             // Src: (fsqrt:{ *:[f64] } F64:{ *:[f64] }:$src) - Complexity = 3
             // Dst: (SQRT_F64:{ *:[f64] } F64:{ *:[f64] }:$src)
/* 51590*/  /*SwitchType*/ 9, MVT::v4f32,// ->51601
/* 51592*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 51594*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SQRT_F32x4), 0,
                 MVT::v4f32, 1/*#Ops*/, 0, 
             // Src: (fsqrt:{ *:[v4f32] } V128:{ *:[v4f32] }:$v) - Complexity = 3
             // Dst: (SQRT_F32x4:{ *:[v4f32] } V128:{ *:[v4f32] }:$v)
/* 51601*/  /*SwitchType*/ 9, MVT::v2f64,// ->51612
/* 51603*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 51605*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SQRT_F64x2), 0,
                 MVT::v2f64, 1/*#Ops*/, 0, 
             // Src: (fsqrt:{ *:[v2f64] } V128:{ *:[v2f64] }:$v) - Complexity = 3
             // Dst: (SQRT_F64x2:{ *:[v2f64] } V128:{ *:[v2f64] }:$v)
/* 51612*/  0, // EndSwitchType
/* 51613*/ /*SwitchOpcode*/ 43, TARGET_VAL(ISD::FABS),// ->51659
/* 51616*/  OPC_RecordChild0, // #0 = $src
/* 51617*/  OPC_SwitchType /*4 cases */, 7, MVT::f32,// ->51627
/* 51620*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ABS_F32), 0,
                 MVT::f32, 1/*#Ops*/, 0, 
             // Src: (fabs:{ *:[f32] } F32:{ *:[f32] }:$src) - Complexity = 3
             // Dst: (ABS_F32:{ *:[f32] } F32:{ *:[f32] }:$src)
/* 51627*/  /*SwitchType*/ 7, MVT::f64,// ->51636
/* 51629*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ABS_F64), 0,
                 MVT::f64, 1/*#Ops*/, 0, 
             // Src: (fabs:{ *:[f64] } F64:{ *:[f64] }:$src) - Complexity = 3
             // Dst: (ABS_F64:{ *:[f64] } F64:{ *:[f64] }:$src)
/* 51636*/  /*SwitchType*/ 9, MVT::v4f32,// ->51647
/* 51638*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 51640*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ABS_F32x4), 0,
                 MVT::v4f32, 1/*#Ops*/, 0, 
             // Src: (fabs:{ *:[v4f32] } V128:{ *:[v4f32] }:$v) - Complexity = 3
             // Dst: (ABS_F32x4:{ *:[v4f32] } V128:{ *:[v4f32] }:$v)
/* 51647*/  /*SwitchType*/ 9, MVT::v2f64,// ->51658
/* 51649*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 51651*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ABS_F64x2), 0,
                 MVT::v2f64, 1/*#Ops*/, 0, 
             // Src: (fabs:{ *:[v2f64] } V128:{ *:[v2f64] }:$v) - Complexity = 3
             // Dst: (ABS_F64x2:{ *:[v2f64] } V128:{ *:[v2f64] }:$v)
/* 51658*/  0, // EndSwitchType
/* 51659*/ /*SwitchOpcode*/ 43, TARGET_VAL(ISD::FNEG),// ->51705
/* 51662*/  OPC_RecordChild0, // #0 = $src
/* 51663*/  OPC_SwitchType /*4 cases */, 7, MVT::f32,// ->51673
/* 51666*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::NEG_F32), 0,
                 MVT::f32, 1/*#Ops*/, 0, 
             // Src: (fneg:{ *:[f32] } F32:{ *:[f32] }:$src) - Complexity = 3
             // Dst: (NEG_F32:{ *:[f32] } F32:{ *:[f32] }:$src)
/* 51673*/  /*SwitchType*/ 7, MVT::f64,// ->51682
/* 51675*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::NEG_F64), 0,
                 MVT::f64, 1/*#Ops*/, 0, 
             // Src: (fneg:{ *:[f64] } F64:{ *:[f64] }:$src) - Complexity = 3
             // Dst: (NEG_F64:{ *:[f64] } F64:{ *:[f64] }:$src)
/* 51682*/  /*SwitchType*/ 9, MVT::v4f32,// ->51693
/* 51684*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 51686*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::NEG_F32x4), 0,
                 MVT::v4f32, 1/*#Ops*/, 0, 
             // Src: (fneg:{ *:[v4f32] } V128:{ *:[v4f32] }:$v) - Complexity = 3
             // Dst: (NEG_F32x4:{ *:[v4f32] } V128:{ *:[v4f32] }:$v)
/* 51693*/  /*SwitchType*/ 9, MVT::v2f64,// ->51704
/* 51695*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 51697*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::NEG_F64x2), 0,
                 MVT::v2f64, 1/*#Ops*/, 0, 
             // Src: (fneg:{ *:[v2f64] } V128:{ *:[v2f64] }:$v) - Complexity = 3
             // Dst: (NEG_F64x2:{ *:[v2f64] } V128:{ *:[v2f64] }:$v)
/* 51704*/  0, // EndSwitchType
/* 51705*/ /*SwitchOpcode*/ 68, TARGET_VAL(ISD::FCOPYSIGN),// ->51776
/* 51708*/  OPC_RecordChild0, // #0 = $lhs
/* 51709*/  OPC_RecordChild1, // #1 = $rhs
/* 51710*/  OPC_Scope, 31, /*->51743*/ // 2 children in Scope
/* 51712*/   OPC_CheckChild1Type, MVT::f32,
/* 51714*/   OPC_SwitchType /*2 cases */, 8, MVT::f32,// ->51725
/* 51717*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::COPYSIGN_F32), 0,
                  MVT::f32, 2/*#Ops*/, 0, 1, 
              // Src: (fcopysign:{ *:[f32] } F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs) - Complexity = 3
              // Dst: (COPYSIGN_F32:{ *:[f32] } F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs)
/* 51725*/   /*SwitchType*/ 15, MVT::f64,// ->51742
/* 51727*/    OPC_EmitNode1, TARGET_VAL(WebAssembly::F64_PROMOTE_F32), 0,
                  MVT::f64, 1/*#Ops*/, 1,  // Results = #2
/* 51734*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::COPYSIGN_F64), 0,
                  MVT::f64, 2/*#Ops*/, 0, 2, 
              // Src: (fcopysign:{ *:[f64] } F64:{ *:[f64] }:$lhs, F32:{ *:[f32] }:$rhs) - Complexity = 3
              // Dst: (COPYSIGN_F64:{ *:[f64] } F64:{ *:[f64] }:$lhs, (F64_PROMOTE_F32:{ *:[f64] } F32:{ *:[f32] }:$rhs))
/* 51742*/   0, // EndSwitchType
/* 51743*/  /*Scope*/ 31, /*->51775*/
/* 51744*/   OPC_CheckChild1Type, MVT::f64,
/* 51746*/   OPC_SwitchType /*2 cases */, 8, MVT::f64,// ->51757
/* 51749*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::COPYSIGN_F64), 0,
                  MVT::f64, 2/*#Ops*/, 0, 1, 
              // Src: (fcopysign:{ *:[f64] } F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs) - Complexity = 3
              // Dst: (COPYSIGN_F64:{ *:[f64] } F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs)
/* 51757*/   /*SwitchType*/ 15, MVT::f32,// ->51774
/* 51759*/    OPC_EmitNode1, TARGET_VAL(WebAssembly::F32_DEMOTE_F64), 0,
                  MVT::f32, 1/*#Ops*/, 1,  // Results = #2
/* 51766*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::COPYSIGN_F32), 0,
                  MVT::f32, 2/*#Ops*/, 0, 2, 
              // Src: (fcopysign:{ *:[f32] } F32:{ *:[f32] }:$lhs, F64:{ *:[f64] }:$rhs) - Complexity = 3
              // Dst: (COPYSIGN_F32:{ *:[f32] } F32:{ *:[f32] }:$lhs, (F32_DEMOTE_F64:{ *:[f32] } F64:{ *:[f64] }:$rhs))
/* 51774*/   0, // EndSwitchType
/* 51775*/  0, /*End of Scope*/
/* 51776*/ /*SwitchOpcode*/ 48, TARGET_VAL(ISD::FMINIMUM),// ->51827
/* 51779*/  OPC_RecordChild0, // #0 = $lhs
/* 51780*/  OPC_RecordChild1, // #1 = $rhs
/* 51781*/  OPC_SwitchType /*4 cases */, 8, MVT::f32,// ->51792
/* 51784*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MIN_F32), 0,
                 MVT::f32, 2/*#Ops*/, 0, 1, 
             // Src: (fminimum:{ *:[f32] } F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs) - Complexity = 3
             // Dst: (MIN_F32:{ *:[f32] } F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs)
/* 51792*/  /*SwitchType*/ 8, MVT::f64,// ->51802
/* 51794*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MIN_F64), 0,
                 MVT::f64, 2/*#Ops*/, 0, 1, 
             // Src: (fminimum:{ *:[f64] } F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs) - Complexity = 3
             // Dst: (MIN_F64:{ *:[f64] } F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs)
/* 51802*/  /*SwitchType*/ 10, MVT::v4f32,// ->51814
/* 51804*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 51806*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MIN_F32x4), 0,
                 MVT::v4f32, 2/*#Ops*/, 0, 1, 
             // Src: (fminimum:{ *:[v4f32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs) - Complexity = 3
             // Dst: (MIN_F32x4:{ *:[v4f32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs)
/* 51814*/  /*SwitchType*/ 10, MVT::v2f64,// ->51826
/* 51816*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 51818*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MIN_F64x2), 0,
                 MVT::v2f64, 2/*#Ops*/, 0, 1, 
             // Src: (fminimum:{ *:[v2f64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs) - Complexity = 3
             // Dst: (MIN_F64x2:{ *:[v2f64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs)
/* 51826*/  0, // EndSwitchType
/* 51827*/ /*SwitchOpcode*/ 48, TARGET_VAL(ISD::FMAXIMUM),// ->51878
/* 51830*/  OPC_RecordChild0, // #0 = $lhs
/* 51831*/  OPC_RecordChild1, // #1 = $rhs
/* 51832*/  OPC_SwitchType /*4 cases */, 8, MVT::f32,// ->51843
/* 51835*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MAX_F32), 0,
                 MVT::f32, 2/*#Ops*/, 0, 1, 
             // Src: (fmaximum:{ *:[f32] } F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs) - Complexity = 3
             // Dst: (MAX_F32:{ *:[f32] } F32:{ *:[f32] }:$lhs, F32:{ *:[f32] }:$rhs)
/* 51843*/  /*SwitchType*/ 8, MVT::f64,// ->51853
/* 51845*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MAX_F64), 0,
                 MVT::f64, 2/*#Ops*/, 0, 1, 
             // Src: (fmaximum:{ *:[f64] } F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs) - Complexity = 3
             // Dst: (MAX_F64:{ *:[f64] } F64:{ *:[f64] }:$lhs, F64:{ *:[f64] }:$rhs)
/* 51853*/  /*SwitchType*/ 10, MVT::v4f32,// ->51865
/* 51855*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 51857*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MAX_F32x4), 0,
                 MVT::v4f32, 2/*#Ops*/, 0, 1, 
             // Src: (fmaximum:{ *:[v4f32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs) - Complexity = 3
             // Dst: (MAX_F32x4:{ *:[v4f32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs)
/* 51865*/  /*SwitchType*/ 10, MVT::v2f64,// ->51877
/* 51867*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 51869*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MAX_F64x2), 0,
                 MVT::v2f64, 2/*#Ops*/, 0, 1, 
             // Src: (fmaximum:{ *:[v2f64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs) - Complexity = 3
             // Dst: (MAX_F64x2:{ *:[v2f64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs)
/* 51877*/  0, // EndSwitchType
/* 51878*/ /*SwitchOpcode*/ 43, TARGET_VAL(ISD::FCEIL),// ->51924
/* 51881*/  OPC_RecordChild0, // #0 = $src
/* 51882*/  OPC_SwitchType /*4 cases */, 7, MVT::f32,// ->51892
/* 51885*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::CEIL_F32), 0,
                 MVT::f32, 1/*#Ops*/, 0, 
             // Src: (fceil:{ *:[f32] } F32:{ *:[f32] }:$src) - Complexity = 3
             // Dst: (CEIL_F32:{ *:[f32] } F32:{ *:[f32] }:$src)
/* 51892*/  /*SwitchType*/ 7, MVT::f64,// ->51901
/* 51894*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::CEIL_F64), 0,
                 MVT::f64, 1/*#Ops*/, 0, 
             // Src: (fceil:{ *:[f64] } F64:{ *:[f64] }:$src) - Complexity = 3
             // Dst: (CEIL_F64:{ *:[f64] } F64:{ *:[f64] }:$src)
/* 51901*/  /*SwitchType*/ 9, MVT::v4f32,// ->51912
/* 51903*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 51905*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::CEIL_F32x4), 0,
                 MVT::v4f32, 1/*#Ops*/, 0, 
             // Src: (fceil:{ *:[v4f32] } V128:{ *:[v4f32] }:$v) - Complexity = 3
             // Dst: (CEIL_F32x4:{ *:[v4f32] } V128:{ *:[v4f32] }:$v)
/* 51912*/  /*SwitchType*/ 9, MVT::v2f64,// ->51923
/* 51914*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 51916*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::CEIL_F64x2), 0,
                 MVT::v2f64, 1/*#Ops*/, 0, 
             // Src: (fceil:{ *:[v2f64] } V128:{ *:[v2f64] }:$v) - Complexity = 3
             // Dst: (CEIL_F64x2:{ *:[v2f64] } V128:{ *:[v2f64] }:$v)
/* 51923*/  0, // EndSwitchType
/* 51924*/ /*SwitchOpcode*/ 43, TARGET_VAL(ISD::FFLOOR),// ->51970
/* 51927*/  OPC_RecordChild0, // #0 = $src
/* 51928*/  OPC_SwitchType /*4 cases */, 7, MVT::f32,// ->51938
/* 51931*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::FLOOR_F32), 0,
                 MVT::f32, 1/*#Ops*/, 0, 
             // Src: (ffloor:{ *:[f32] } F32:{ *:[f32] }:$src) - Complexity = 3
             // Dst: (FLOOR_F32:{ *:[f32] } F32:{ *:[f32] }:$src)
/* 51938*/  /*SwitchType*/ 7, MVT::f64,// ->51947
/* 51940*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::FLOOR_F64), 0,
                 MVT::f64, 1/*#Ops*/, 0, 
             // Src: (ffloor:{ *:[f64] } F64:{ *:[f64] }:$src) - Complexity = 3
             // Dst: (FLOOR_F64:{ *:[f64] } F64:{ *:[f64] }:$src)
/* 51947*/  /*SwitchType*/ 9, MVT::v4f32,// ->51958
/* 51949*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 51951*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::FLOOR_F32x4), 0,
                 MVT::v4f32, 1/*#Ops*/, 0, 
             // Src: (ffloor:{ *:[v4f32] } V128:{ *:[v4f32] }:$v) - Complexity = 3
             // Dst: (FLOOR_F32x4:{ *:[v4f32] } V128:{ *:[v4f32] }:$v)
/* 51958*/  /*SwitchType*/ 9, MVT::v2f64,// ->51969
/* 51960*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 51962*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::FLOOR_F64x2), 0,
                 MVT::v2f64, 1/*#Ops*/, 0, 
             // Src: (ffloor:{ *:[v2f64] } V128:{ *:[v2f64] }:$v) - Complexity = 3
             // Dst: (FLOOR_F64x2:{ *:[v2f64] } V128:{ *:[v2f64] }:$v)
/* 51969*/  0, // EndSwitchType
/* 51970*/ /*SwitchOpcode*/ 43, TARGET_VAL(ISD::FTRUNC),// ->52016
/* 51973*/  OPC_RecordChild0, // #0 = $src
/* 51974*/  OPC_SwitchType /*4 cases */, 7, MVT::f32,// ->51984
/* 51977*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::TRUNC_F32), 0,
                 MVT::f32, 1/*#Ops*/, 0, 
             // Src: (ftrunc:{ *:[f32] } F32:{ *:[f32] }:$src) - Complexity = 3
             // Dst: (TRUNC_F32:{ *:[f32] } F32:{ *:[f32] }:$src)
/* 51984*/  /*SwitchType*/ 7, MVT::f64,// ->51993
/* 51986*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::TRUNC_F64), 0,
                 MVT::f64, 1/*#Ops*/, 0, 
             // Src: (ftrunc:{ *:[f64] } F64:{ *:[f64] }:$src) - Complexity = 3
             // Dst: (TRUNC_F64:{ *:[f64] } F64:{ *:[f64] }:$src)
/* 51993*/  /*SwitchType*/ 9, MVT::v4f32,// ->52004
/* 51995*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 51997*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::TRUNC_F32x4), 0,
                 MVT::v4f32, 1/*#Ops*/, 0, 
             // Src: (ftrunc:{ *:[v4f32] } V128:{ *:[v4f32] }:$v) - Complexity = 3
             // Dst: (TRUNC_F32x4:{ *:[v4f32] } V128:{ *:[v4f32] }:$v)
/* 52004*/  /*SwitchType*/ 9, MVT::v2f64,// ->52015
/* 52006*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 52008*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::TRUNC_F64x2), 0,
                 MVT::v2f64, 1/*#Ops*/, 0, 
             // Src: (ftrunc:{ *:[v2f64] } V128:{ *:[v2f64] }:$v) - Complexity = 3
             // Dst: (TRUNC_F64x2:{ *:[v2f64] } V128:{ *:[v2f64] }:$v)
/* 52015*/  0, // EndSwitchType
/* 52016*/ /*SwitchOpcode*/ 43, TARGET_VAL(ISD::FNEARBYINT),// ->52062
/* 52019*/  OPC_RecordChild0, // #0 = $src
/* 52020*/  OPC_SwitchType /*4 cases */, 7, MVT::f32,// ->52030
/* 52023*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::NEAREST_F32), 0,
                 MVT::f32, 1/*#Ops*/, 0, 
             // Src: (fnearbyint:{ *:[f32] } F32:{ *:[f32] }:$src) - Complexity = 3
             // Dst: (NEAREST_F32:{ *:[f32] } F32:{ *:[f32] }:$src)
/* 52030*/  /*SwitchType*/ 7, MVT::f64,// ->52039
/* 52032*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::NEAREST_F64), 0,
                 MVT::f64, 1/*#Ops*/, 0, 
             // Src: (fnearbyint:{ *:[f64] } F64:{ *:[f64] }:$src) - Complexity = 3
             // Dst: (NEAREST_F64:{ *:[f64] } F64:{ *:[f64] }:$src)
/* 52039*/  /*SwitchType*/ 9, MVT::v4f32,// ->52050
/* 52041*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 52043*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::NEAREST_F32x4), 0,
                 MVT::v4f32, 1/*#Ops*/, 0, 
             // Src: (fnearbyint:{ *:[v4f32] } V128:{ *:[v4f32] }:$v) - Complexity = 3
             // Dst: (NEAREST_F32x4:{ *:[v4f32] } V128:{ *:[v4f32] }:$v)
/* 52050*/  /*SwitchType*/ 9, MVT::v2f64,// ->52061
/* 52052*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 52054*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::NEAREST_F64x2), 0,
                 MVT::v2f64, 1/*#Ops*/, 0, 
             // Src: (fnearbyint:{ *:[v2f64] } V128:{ *:[v2f64] }:$v) - Complexity = 3
             // Dst: (NEAREST_F64x2:{ *:[v2f64] } V128:{ *:[v2f64] }:$v)
/* 52061*/  0, // EndSwitchType
/* 52062*/ /*SwitchOpcode*/ 21, TARGET_VAL(ISD::FRINT),// ->52086
/* 52065*/  OPC_RecordChild0, // #0 = $src
/* 52066*/  OPC_SwitchType /*2 cases */, 7, MVT::f32,// ->52076
/* 52069*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::NEAREST_F32), 0,
                 MVT::f32, 1/*#Ops*/, 0, 
             // Src: (frint:{ *:[f32] } f32:{ *:[f32] }:$src) - Complexity = 3
             // Dst: (NEAREST_F32:{ *:[f32] } f32:{ *:[f32] }:$src)
/* 52076*/  /*SwitchType*/ 7, MVT::f64,// ->52085
/* 52078*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::NEAREST_F64), 0,
                 MVT::f64, 1/*#Ops*/, 0, 
             // Src: (frint:{ *:[f64] } f64:{ *:[f64] }:$src) - Complexity = 3
             // Dst: (NEAREST_F64:{ *:[f64] } f64:{ *:[f64] }:$src)
/* 52085*/  0, // EndSwitchType
/* 52086*/ /*SwitchOpcode*/ 55|128,3/*439*/, TARGET_VAL(WebAssemblyISD::VEC_SHR_U),// ->52529
/* 52090*/  OPC_Scope, 46|128,2/*302*/, /*->52395*/ // 2 children in Scope
/* 52093*/   OPC_MoveChild0,
/* 52094*/   OPC_CheckOpcode, TARGET_VAL(ISD::ADD),
/* 52097*/   OPC_MoveChild0,
/* 52098*/   OPC_SwitchOpcode /*2 cases */, 11|128,1/*139*/, TARGET_VAL(ISD::ADD),// ->52242
/* 52103*/    OPC_RecordChild0, // #0 = $lhs
/* 52104*/    OPC_RecordChild1, // #1 = $rhs
/* 52105*/    OPC_CheckPredicate, 25, // Predicate_add_nuw
/* 52107*/    OPC_MoveParent,
/* 52108*/    OPC_MoveChild1,
/* 52109*/    OPC_CheckOpcode, TARGET_VAL(ISD::BUILD_VECTOR),
/* 52112*/    OPC_CheckChild0Integer, 2, 
/* 52114*/    OPC_CheckChild0Type, MVT::i32,
/* 52116*/    OPC_CheckChild1Integer, 2, 
/* 52118*/    OPC_CheckChild1Type, MVT::i32,
/* 52120*/    OPC_CheckChild2Integer, 2, 
/* 52122*/    OPC_CheckChild2Type, MVT::i32,
/* 52124*/    OPC_CheckChild3Integer, 2, 
/* 52126*/    OPC_CheckChild3Type, MVT::i32,
/* 52128*/    OPC_CheckChild4Integer, 2, 
/* 52130*/    OPC_CheckChild4Type, MVT::i32,
/* 52132*/    OPC_MoveChild5,
/* 52133*/    OPC_CheckInteger, 2, 
/* 52135*/    OPC_CheckType, MVT::i32,
/* 52137*/    OPC_MoveParent,
/* 52138*/    OPC_MoveChild6,
/* 52139*/    OPC_CheckInteger, 2, 
/* 52141*/    OPC_CheckType, MVT::i32,
/* 52143*/    OPC_MoveParent,
/* 52144*/    OPC_MoveChild7,
/* 52145*/    OPC_CheckInteger, 2, 
/* 52147*/    OPC_CheckType, MVT::i32,
/* 52149*/    OPC_MoveParent,
/* 52150*/    OPC_Scope, 72, /*->52224*/ // 2 children in Scope
/* 52152*/     OPC_MoveChild, 8,
/* 52154*/     OPC_CheckInteger, 2, 
/* 52156*/     OPC_CheckType, MVT::i32,
/* 52158*/     OPC_MoveParent,
/* 52159*/     OPC_MoveChild, 9,
/* 52161*/     OPC_CheckInteger, 2, 
/* 52163*/     OPC_CheckType, MVT::i32,
/* 52165*/     OPC_MoveParent,
/* 52166*/     OPC_MoveChild, 10,
/* 52168*/     OPC_CheckInteger, 2, 
/* 52170*/     OPC_CheckType, MVT::i32,
/* 52172*/     OPC_MoveParent,
/* 52173*/     OPC_MoveChild, 11,
/* 52175*/     OPC_CheckInteger, 2, 
/* 52177*/     OPC_CheckType, MVT::i32,
/* 52179*/     OPC_MoveParent,
/* 52180*/     OPC_MoveChild, 12,
/* 52182*/     OPC_CheckInteger, 2, 
/* 52184*/     OPC_CheckType, MVT::i32,
/* 52186*/     OPC_MoveParent,
/* 52187*/     OPC_MoveChild, 13,
/* 52189*/     OPC_CheckInteger, 2, 
/* 52191*/     OPC_CheckType, MVT::i32,
/* 52193*/     OPC_MoveParent,
/* 52194*/     OPC_MoveChild, 14,
/* 52196*/     OPC_CheckInteger, 2, 
/* 52198*/     OPC_CheckType, MVT::i32,
/* 52200*/     OPC_MoveParent,
/* 52201*/     OPC_MoveChild, 15,
/* 52203*/     OPC_CheckInteger, 2, 
/* 52205*/     OPC_CheckType, MVT::i32,
/* 52207*/     OPC_MoveParent,
/* 52208*/     OPC_MoveParent,
/* 52209*/     OPC_CheckPredicate, 25, // Predicate_add_nuw
/* 52211*/     OPC_MoveParent,
/* 52212*/     OPC_CheckChild1Integer, 2, 
/* 52214*/     OPC_CheckType, MVT::v16i8,
/* 52216*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::AVGR_U_I8x16), 0,
                   MVT::v16i8, 2/*#Ops*/, 0, 1, 
               // Src: (wasm_shr_u:{ *:[v16i8] } (add:{ *:[v16i8] } (add:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs)<<P:Predicate_add_nuw>>, (build_vector:{ *:[v16i8] } 1:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] }))<<P:Predicate_add_nuw>>, 1:{ *:[i32] }) - Complexity = 99
               // Dst: (AVGR_U_I8x16:{ *:[v16i8] } ?:{ *:[v16i8] }:$lhs, ?:{ *:[v16i8] }:$rhs)
/* 52224*/    /*Scope*/ 16, /*->52241*/
/* 52225*/     OPC_MoveParent,
/* 52226*/     OPC_CheckPredicate, 25, // Predicate_add_nuw
/* 52228*/     OPC_MoveParent,
/* 52229*/     OPC_CheckChild1Integer, 2, 
/* 52231*/     OPC_CheckType, MVT::v8i16,
/* 52233*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::AVGR_U_I16x8), 0,
                   MVT::v8i16, 2/*#Ops*/, 0, 1, 
               // Src: (wasm_shr_u:{ *:[v8i16] } (add:{ *:[v8i16] } (add:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)<<P:Predicate_add_nuw>>, (build_vector:{ *:[v8i16] } 1:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] }))<<P:Predicate_add_nuw>>, 1:{ *:[i32] }) - Complexity = 59
               // Dst: (AVGR_U_I16x8:{ *:[v8i16] } ?:{ *:[v8i16] }:$lhs, ?:{ *:[v8i16] }:$rhs)
/* 52241*/    0, /*End of Scope*/
/* 52242*/   /*SwitchOpcode*/ 20|128,1/*148*/, TARGET_VAL(ISD::BUILD_VECTOR),// ->52394
/* 52246*/    OPC_CheckChild0Integer, 2, 
/* 52248*/    OPC_CheckChild0Type, MVT::i32,
/* 52250*/    OPC_CheckChild1Integer, 2, 
/* 52252*/    OPC_CheckChild1Type, MVT::i32,
/* 52254*/    OPC_CheckChild2Integer, 2, 
/* 52256*/    OPC_CheckChild2Type, MVT::i32,
/* 52258*/    OPC_CheckChild3Integer, 2, 
/* 52260*/    OPC_CheckChild3Type, MVT::i32,
/* 52262*/    OPC_CheckChild4Integer, 2, 
/* 52264*/    OPC_CheckChild4Type, MVT::i32,
/* 52266*/    OPC_MoveChild5,
/* 52267*/    OPC_CheckInteger, 2, 
/* 52269*/    OPC_CheckType, MVT::i32,
/* 52271*/    OPC_MoveParent,
/* 52272*/    OPC_MoveChild6,
/* 52273*/    OPC_CheckInteger, 2, 
/* 52275*/    OPC_CheckType, MVT::i32,
/* 52277*/    OPC_MoveParent,
/* 52278*/    OPC_MoveChild7,
/* 52279*/    OPC_CheckInteger, 2, 
/* 52281*/    OPC_CheckType, MVT::i32,
/* 52283*/    OPC_MoveParent,
/* 52284*/    OPC_Scope, 81, /*->52367*/ // 2 children in Scope
/* 52286*/     OPC_MoveChild, 8,
/* 52288*/     OPC_CheckInteger, 2, 
/* 52290*/     OPC_CheckType, MVT::i32,
/* 52292*/     OPC_MoveParent,
/* 52293*/     OPC_MoveChild, 9,
/* 52295*/     OPC_CheckInteger, 2, 
/* 52297*/     OPC_CheckType, MVT::i32,
/* 52299*/     OPC_MoveParent,
/* 52300*/     OPC_MoveChild, 10,
/* 52302*/     OPC_CheckInteger, 2, 
/* 52304*/     OPC_CheckType, MVT::i32,
/* 52306*/     OPC_MoveParent,
/* 52307*/     OPC_MoveChild, 11,
/* 52309*/     OPC_CheckInteger, 2, 
/* 52311*/     OPC_CheckType, MVT::i32,
/* 52313*/     OPC_MoveParent,
/* 52314*/     OPC_MoveChild, 12,
/* 52316*/     OPC_CheckInteger, 2, 
/* 52318*/     OPC_CheckType, MVT::i32,
/* 52320*/     OPC_MoveParent,
/* 52321*/     OPC_MoveChild, 13,
/* 52323*/     OPC_CheckInteger, 2, 
/* 52325*/     OPC_CheckType, MVT::i32,
/* 52327*/     OPC_MoveParent,
/* 52328*/     OPC_MoveChild, 14,
/* 52330*/     OPC_CheckInteger, 2, 
/* 52332*/     OPC_CheckType, MVT::i32,
/* 52334*/     OPC_MoveParent,
/* 52335*/     OPC_MoveChild, 15,
/* 52337*/     OPC_CheckInteger, 2, 
/* 52339*/     OPC_CheckType, MVT::i32,
/* 52341*/     OPC_MoveParent,
/* 52342*/     OPC_MoveParent,
/* 52343*/     OPC_MoveChild1,
/* 52344*/     OPC_CheckOpcode, TARGET_VAL(ISD::ADD),
/* 52347*/     OPC_RecordChild0, // #0 = $lhs
/* 52348*/     OPC_RecordChild1, // #1 = $rhs
/* 52349*/     OPC_CheckPredicate, 25, // Predicate_add_nuw
/* 52351*/     OPC_MoveParent,
/* 52352*/     OPC_CheckPredicate, 25, // Predicate_add_nuw
/* 52354*/     OPC_MoveParent,
/* 52355*/     OPC_CheckChild1Integer, 2, 
/* 52357*/     OPC_CheckType, MVT::v16i8,
/* 52359*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::AVGR_U_I8x16), 0,
                   MVT::v16i8, 2/*#Ops*/, 0, 1, 
               // Src: (wasm_shr_u:{ *:[v16i8] } (add:{ *:[v16i8] } (build_vector:{ *:[v16i8] } 1:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] }), (add:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs)<<P:Predicate_add_nuw>>)<<P:Predicate_add_nuw>>, 1:{ *:[i32] }) - Complexity = 99
               // Dst: (AVGR_U_I8x16:{ *:[v16i8] } ?:{ *:[v16i8] }:$lhs, ?:{ *:[v16i8] }:$rhs)
/* 52367*/    /*Scope*/ 25, /*->52393*/
/* 52368*/     OPC_MoveParent,
/* 52369*/     OPC_MoveChild1,
/* 52370*/     OPC_CheckOpcode, TARGET_VAL(ISD::ADD),
/* 52373*/     OPC_RecordChild0, // #0 = $lhs
/* 52374*/     OPC_RecordChild1, // #1 = $rhs
/* 52375*/     OPC_CheckPredicate, 25, // Predicate_add_nuw
/* 52377*/     OPC_MoveParent,
/* 52378*/     OPC_CheckPredicate, 25, // Predicate_add_nuw
/* 52380*/     OPC_MoveParent,
/* 52381*/     OPC_CheckChild1Integer, 2, 
/* 52383*/     OPC_CheckType, MVT::v8i16,
/* 52385*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::AVGR_U_I16x8), 0,
                   MVT::v8i16, 2/*#Ops*/, 0, 1, 
               // Src: (wasm_shr_u:{ *:[v8i16] } (add:{ *:[v8i16] } (build_vector:{ *:[v8i16] } 1:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] }, 1:{ *:[i32] }), (add:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)<<P:Predicate_add_nuw>>)<<P:Predicate_add_nuw>>, 1:{ *:[i32] }) - Complexity = 59
               // Dst: (AVGR_U_I16x8:{ *:[v8i16] } ?:{ *:[v8i16] }:$lhs, ?:{ *:[v8i16] }:$rhs)
/* 52393*/    0, /*End of Scope*/
/* 52394*/   0, // EndSwitchOpcode
/* 52395*/  /*Scope*/ 3|128,1/*131*/, /*->52528*/
/* 52397*/   OPC_RecordChild0, // #0 = $lhs
/* 52398*/   OPC_Scope, 75, /*->52475*/ // 2 children in Scope
/* 52400*/    OPC_MoveChild1,
/* 52401*/    OPC_Scope, 26, /*->52429*/ // 4 children in Scope
/* 52403*/     OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/* 52406*/     OPC_MoveChild0,
/* 52407*/     OPC_CheckAndImm, 63, 
/* 52409*/     OPC_RecordChild0, // #1 = $rhs
/* 52410*/     OPC_MoveParent,
/* 52411*/     OPC_MoveParent,
/* 52412*/     OPC_CheckType, MVT::v2i64,
/* 52414*/     OPC_EmitNode1, TARGET_VAL(WebAssembly::I32_WRAP_I64), 0,
                   MVT::i32, 1/*#Ops*/, 1,  // Results = #2
/* 52421*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SHR_U_I64x2), 0,
                   MVT::v2i64, 2/*#Ops*/, 0, 2, 
               // Src: (wasm_shr_u:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, (trunc:{ *:[i32] } (and:{ *:[i64] } I64:{ *:[i64] }:$rhs, 63:{ *:[i64] }))) - Complexity = 14
               // Dst: (SHR_U_I64x2:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, (I32_WRAP_I64:{ *:[i32] } I64:{ *:[i64] }:$rhs))
/* 52429*/    /*Scope*/ 14, /*->52444*/
/* 52430*/     OPC_CheckAndImm, 7, 
/* 52432*/     OPC_RecordChild0, // #1 = $rhs
/* 52433*/     OPC_MoveParent,
/* 52434*/     OPC_CheckType, MVT::v16i8,
/* 52436*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SHR_U_I8x16), 0,
                   MVT::v16i8, 2/*#Ops*/, 0, 1, 
               // Src: (wasm_shr_u:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, (and:{ *:[i32] } I32:{ *:[i32] }:$rhs, 7:{ *:[i32] })) - Complexity = 11
               // Dst: (SHR_U_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, I32:{ *:[i32] }:$rhs)
/* 52444*/    /*Scope*/ 14, /*->52459*/
/* 52445*/     OPC_CheckAndImm, 15, 
/* 52447*/     OPC_RecordChild0, // #1 = $rhs
/* 52448*/     OPC_MoveParent,
/* 52449*/     OPC_CheckType, MVT::v8i16,
/* 52451*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SHR_U_I16x8), 0,
                   MVT::v8i16, 2/*#Ops*/, 0, 1, 
               // Src: (wasm_shr_u:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, (and:{ *:[i32] } I32:{ *:[i32] }:$rhs, 15:{ *:[i32] })) - Complexity = 11
               // Dst: (SHR_U_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, I32:{ *:[i32] }:$rhs)
/* 52459*/    /*Scope*/ 14, /*->52474*/
/* 52460*/     OPC_CheckAndImm, 31, 
/* 52462*/     OPC_RecordChild0, // #1 = $rhs
/* 52463*/     OPC_MoveParent,
/* 52464*/     OPC_CheckType, MVT::v4i32,
/* 52466*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SHR_U_I32x4), 0,
                   MVT::v4i32, 2/*#Ops*/, 0, 1, 
               // Src: (wasm_shr_u:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, (and:{ *:[i32] } I32:{ *:[i32] }:$rhs, 31:{ *:[i32] })) - Complexity = 11
               // Dst: (SHR_U_I32x4:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/* 52474*/    0, /*End of Scope*/
/* 52475*/   /*Scope*/ 51, /*->52527*/
/* 52476*/    OPC_RecordChild1, // #1 = $x
/* 52477*/    OPC_SwitchType /*4 cases */, 10, MVT::v16i8,// ->52490
/* 52480*/     OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 52482*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SHR_U_I8x16), 0,
                   MVT::v16i8, 2/*#Ops*/, 0, 1, 
               // Src: (wasm_shr_u:{ *:[v16i8] } V128:{ *:[v16i8] }:$vec, I32:{ *:[i32] }:$x) - Complexity = 3
               // Dst: (SHR_U_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$vec, I32:{ *:[i32] }:$x)
/* 52490*/    /*SwitchType*/ 10, MVT::v8i16,// ->52502
/* 52492*/     OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 52494*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SHR_U_I16x8), 0,
                   MVT::v8i16, 2/*#Ops*/, 0, 1, 
               // Src: (wasm_shr_u:{ *:[v8i16] } V128:{ *:[v8i16] }:$vec, I32:{ *:[i32] }:$x) - Complexity = 3
               // Dst: (SHR_U_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$vec, I32:{ *:[i32] }:$x)
/* 52502*/    /*SwitchType*/ 10, MVT::v4i32,// ->52514
/* 52504*/     OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 52506*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SHR_U_I32x4), 0,
                   MVT::v4i32, 2/*#Ops*/, 0, 1, 
               // Src: (wasm_shr_u:{ *:[v4i32] } V128:{ *:[v4i32] }:$vec, I32:{ *:[i32] }:$x) - Complexity = 3
               // Dst: (SHR_U_I32x4:{ *:[v4i32] } V128:{ *:[v4i32] }:$vec, I32:{ *:[i32] }:$x)
/* 52514*/    /*SwitchType*/ 10, MVT::v2i64,// ->52526
/* 52516*/     OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 52518*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SHR_U_I64x2), 0,
                   MVT::v2i64, 2/*#Ops*/, 0, 1, 
               // Src: (wasm_shr_u:{ *:[v2i64] } V128:{ *:[v2i64] }:$vec, I32:{ *:[i32] }:$x) - Complexity = 3
               // Dst: (SHR_U_I64x2:{ *:[v2i64] } V128:{ *:[v2i64] }:$vec, I32:{ *:[i32] }:$x)
/* 52526*/    0, // EndSwitchType
/* 52527*/   0, /*End of Scope*/
/* 52528*/  0, /*End of Scope*/
/* 52529*/ /*SwitchOpcode*/ 21|128,5/*661*/, TARGET_VAL(ISD::BUILD_VECTOR),// ->53194
/* 52533*/  OPC_RecordChild0, // #0 = $i0
/* 52534*/  OPC_Scope, 31|128,3/*415*/, /*->52952*/ // 6 children in Scope
/* 52537*/   OPC_MoveChild0,
/* 52538*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 52541*/   OPC_SwitchType /*2 cases */, 123|128,2/*379*/, MVT::i32,// ->52924
/* 52545*/    OPC_Scope, 91|128,1/*219*/, /*->52767*/ // 3 children in Scope
/* 52548*/     OPC_CheckPredicate, 26, // Predicate_ImmI8
/* 52550*/     OPC_MoveParent,
/* 52551*/     OPC_RecordChild1, // #1 = $i1
/* 52552*/     OPC_MoveChild1,
/* 52553*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 52556*/     OPC_CheckPredicate, 26, // Predicate_ImmI8
/* 52558*/     OPC_CheckType, MVT::i32,
/* 52560*/     OPC_MoveParent,
/* 52561*/     OPC_RecordChild2, // #2 = $i2
/* 52562*/     OPC_MoveChild2,
/* 52563*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 52566*/     OPC_CheckPredicate, 26, // Predicate_ImmI8
/* 52568*/     OPC_CheckType, MVT::i32,
/* 52570*/     OPC_MoveParent,
/* 52571*/     OPC_RecordChild3, // #3 = $i3
/* 52572*/     OPC_MoveChild3,
/* 52573*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 52576*/     OPC_CheckPredicate, 26, // Predicate_ImmI8
/* 52578*/     OPC_CheckType, MVT::i32,
/* 52580*/     OPC_MoveParent,
/* 52581*/     OPC_RecordChild4, // #4 = $i4
/* 52582*/     OPC_MoveChild4,
/* 52583*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 52586*/     OPC_CheckPredicate, 26, // Predicate_ImmI8
/* 52588*/     OPC_CheckType, MVT::i32,
/* 52590*/     OPC_MoveParent,
/* 52591*/     OPC_RecordChild5, // #5 = $i5
/* 52592*/     OPC_MoveChild5,
/* 52593*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 52596*/     OPC_CheckPredicate, 26, // Predicate_ImmI8
/* 52598*/     OPC_CheckType, MVT::i32,
/* 52600*/     OPC_MoveParent,
/* 52601*/     OPC_RecordChild6, // #6 = $i6
/* 52602*/     OPC_MoveChild6,
/* 52603*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 52606*/     OPC_CheckPredicate, 26, // Predicate_ImmI8
/* 52608*/     OPC_CheckType, MVT::i32,
/* 52610*/     OPC_MoveParent,
/* 52611*/     OPC_RecordChild7, // #7 = $i7
/* 52612*/     OPC_MoveChild7,
/* 52613*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 52616*/     OPC_CheckPredicate, 26, // Predicate_ImmI8
/* 52618*/     OPC_CheckType, MVT::i32,
/* 52620*/     OPC_MoveParent,
/* 52621*/     OPC_MoveChild, 8,
/* 52623*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 52626*/     OPC_RecordNode, // #8 = $i8
/* 52627*/     OPC_CheckPredicate, 26, // Predicate_ImmI8
/* 52629*/     OPC_CheckType, MVT::i32,
/* 52631*/     OPC_MoveParent,
/* 52632*/     OPC_MoveChild, 9,
/* 52634*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 52637*/     OPC_RecordNode, // #9 = $i9
/* 52638*/     OPC_CheckPredicate, 26, // Predicate_ImmI8
/* 52640*/     OPC_CheckType, MVT::i32,
/* 52642*/     OPC_MoveParent,
/* 52643*/     OPC_MoveChild, 10,
/* 52645*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 52648*/     OPC_RecordNode, // #10 = $iA
/* 52649*/     OPC_CheckPredicate, 26, // Predicate_ImmI8
/* 52651*/     OPC_CheckType, MVT::i32,
/* 52653*/     OPC_MoveParent,
/* 52654*/     OPC_MoveChild, 11,
/* 52656*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 52659*/     OPC_RecordNode, // #11 = $iB
/* 52660*/     OPC_CheckPredicate, 26, // Predicate_ImmI8
/* 52662*/     OPC_CheckType, MVT::i32,
/* 52664*/     OPC_MoveParent,
/* 52665*/     OPC_MoveChild, 12,
/* 52667*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 52670*/     OPC_RecordNode, // #12 = $iC
/* 52671*/     OPC_CheckPredicate, 26, // Predicate_ImmI8
/* 52673*/     OPC_CheckType, MVT::i32,
/* 52675*/     OPC_MoveParent,
/* 52676*/     OPC_MoveChild, 13,
/* 52678*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 52681*/     OPC_RecordNode, // #13 = $iD
/* 52682*/     OPC_CheckPredicate, 26, // Predicate_ImmI8
/* 52684*/     OPC_CheckType, MVT::i32,
/* 52686*/     OPC_MoveParent,
/* 52687*/     OPC_MoveChild, 14,
/* 52689*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 52692*/     OPC_RecordNode, // #14 = $iE
/* 52693*/     OPC_CheckPredicate, 26, // Predicate_ImmI8
/* 52695*/     OPC_CheckType, MVT::i32,
/* 52697*/     OPC_MoveParent,
/* 52698*/     OPC_MoveChild, 15,
/* 52700*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 52703*/     OPC_RecordNode, // #15 = $iF
/* 52704*/     OPC_CheckPredicate, 26, // Predicate_ImmI8
/* 52706*/     OPC_CheckType, MVT::i32,
/* 52708*/     OPC_MoveParent,
/* 52709*/     OPC_CheckType, MVT::v16i8,
/* 52711*/     OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 52713*/     OPC_EmitConvertToTarget, 0,
/* 52715*/     OPC_EmitConvertToTarget, 1,
/* 52717*/     OPC_EmitConvertToTarget, 2,
/* 52719*/     OPC_EmitConvertToTarget, 3,
/* 52721*/     OPC_EmitConvertToTarget, 4,
/* 52723*/     OPC_EmitConvertToTarget, 5,
/* 52725*/     OPC_EmitConvertToTarget, 6,
/* 52727*/     OPC_EmitConvertToTarget, 7,
/* 52729*/     OPC_EmitConvertToTarget, 8,
/* 52731*/     OPC_EmitConvertToTarget, 9,
/* 52733*/     OPC_EmitConvertToTarget, 10,
/* 52735*/     OPC_EmitConvertToTarget, 11,
/* 52737*/     OPC_EmitConvertToTarget, 12,
/* 52739*/     OPC_EmitConvertToTarget, 13,
/* 52741*/     OPC_EmitConvertToTarget, 14,
/* 52743*/     OPC_EmitConvertToTarget, 15,
/* 52745*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::CONST_V128_I8x16), 0,
                   MVT::v16i8, 16/*#Ops*/, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 
               // Src: (build_vector:{ *:[v16i8] } (imm:{ *:[i32] })<<P:Predicate_ImmI8>>:$i0, (imm:{ *:[i32] })<<P:Predicate_ImmI8>>:$i1, (imm:{ *:[i32] })<<P:Predicate_ImmI8>>:$i2, (imm:{ *:[i32] })<<P:Predicate_ImmI8>>:$i3, (imm:{ *:[i32] })<<P:Predicate_ImmI8>>:$i4, (imm:{ *:[i32] })<<P:Predicate_ImmI8>>:$i5, (imm:{ *:[i32] })<<P:Predicate_ImmI8>>:$i6, (imm:{ *:[i32] })<<P:Predicate_ImmI8>>:$i7, (imm:{ *:[i32] })<<P:Predicate_ImmI8>>:$i8, (imm:{ *:[i32] })<<P:Predicate_ImmI8>>:$i9, (imm:{ *:[i32] })<<P:Predicate_ImmI8>>:$iA, (imm:{ *:[i32] })<<P:Predicate_ImmI8>>:$iB, (imm:{ *:[i32] })<<P:Predicate_ImmI8>>:$iC, (imm:{ *:[i32] })<<P:Predicate_ImmI8>>:$iD, (imm:{ *:[i32] })<<P:Predicate_ImmI8>>:$iE, (imm:{ *:[i32] })<<P:Predicate_ImmI8>>:$iF) - Complexity = 67
               // Dst: (CONST_V128_I8x16:{ *:[v16i8] } (imm:{ *:[i32] }):$i0, (imm:{ *:[i32] }):$i1, (imm:{ *:[i32] }):$i2, (imm:{ *:[i32] }):$i3, (imm:{ *:[i32] }):$i4, (imm:{ *:[i32] }):$i5, (imm:{ *:[i32] }):$i6, (imm:{ *:[i32] }):$i7, (imm:{ *:[i32] }):$i8, (imm:{ *:[i32] }):$i9, (imm:{ *:[i32] }):$iA, (imm:{ *:[i32] }):$iB, (imm:{ *:[i32] }):$iC, (imm:{ *:[i32] }):$iD, (imm:{ *:[i32] }):$iE, (imm:{ *:[i32] }):$iF)
/* 52767*/    /*Scope*/ 107, /*->52875*/
/* 52768*/     OPC_CheckPredicate, 27, // Predicate_ImmI16
/* 52770*/     OPC_MoveParent,
/* 52771*/     OPC_RecordChild1, // #1 = $i1
/* 52772*/     OPC_MoveChild1,
/* 52773*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 52776*/     OPC_CheckPredicate, 27, // Predicate_ImmI16
/* 52778*/     OPC_CheckType, MVT::i32,
/* 52780*/     OPC_MoveParent,
/* 52781*/     OPC_RecordChild2, // #2 = $i2
/* 52782*/     OPC_MoveChild2,
/* 52783*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 52786*/     OPC_CheckPredicate, 27, // Predicate_ImmI16
/* 52788*/     OPC_CheckType, MVT::i32,
/* 52790*/     OPC_MoveParent,
/* 52791*/     OPC_RecordChild3, // #3 = $i3
/* 52792*/     OPC_MoveChild3,
/* 52793*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 52796*/     OPC_CheckPredicate, 27, // Predicate_ImmI16
/* 52798*/     OPC_CheckType, MVT::i32,
/* 52800*/     OPC_MoveParent,
/* 52801*/     OPC_RecordChild4, // #4 = $i4
/* 52802*/     OPC_MoveChild4,
/* 52803*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 52806*/     OPC_CheckPredicate, 27, // Predicate_ImmI16
/* 52808*/     OPC_CheckType, MVT::i32,
/* 52810*/     OPC_MoveParent,
/* 52811*/     OPC_RecordChild5, // #5 = $i5
/* 52812*/     OPC_MoveChild5,
/* 52813*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 52816*/     OPC_CheckPredicate, 27, // Predicate_ImmI16
/* 52818*/     OPC_CheckType, MVT::i32,
/* 52820*/     OPC_MoveParent,
/* 52821*/     OPC_RecordChild6, // #6 = $i6
/* 52822*/     OPC_MoveChild6,
/* 52823*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 52826*/     OPC_CheckPredicate, 27, // Predicate_ImmI16
/* 52828*/     OPC_CheckType, MVT::i32,
/* 52830*/     OPC_MoveParent,
/* 52831*/     OPC_RecordChild7, // #7 = $i7
/* 52832*/     OPC_MoveChild7,
/* 52833*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 52836*/     OPC_CheckPredicate, 27, // Predicate_ImmI16
/* 52838*/     OPC_CheckType, MVT::i32,
/* 52840*/     OPC_MoveParent,
/* 52841*/     OPC_CheckType, MVT::v8i16,
/* 52843*/     OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 52845*/     OPC_EmitConvertToTarget, 0,
/* 52847*/     OPC_EmitConvertToTarget, 1,
/* 52849*/     OPC_EmitConvertToTarget, 2,
/* 52851*/     OPC_EmitConvertToTarget, 3,
/* 52853*/     OPC_EmitConvertToTarget, 4,
/* 52855*/     OPC_EmitConvertToTarget, 5,
/* 52857*/     OPC_EmitConvertToTarget, 6,
/* 52859*/     OPC_EmitConvertToTarget, 7,
/* 52861*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::CONST_V128_I16x8), 0,
                   MVT::v8i16, 8/*#Ops*/, 8, 9, 10, 11, 12, 13, 14, 15, 
               // Src: (build_vector:{ *:[v8i16] } (imm:{ *:[i32] })<<P:Predicate_ImmI16>>:$i0, (imm:{ *:[i32] })<<P:Predicate_ImmI16>>:$i1, (imm:{ *:[i32] })<<P:Predicate_ImmI16>>:$i2, (imm:{ *:[i32] })<<P:Predicate_ImmI16>>:$i3, (imm:{ *:[i32] })<<P:Predicate_ImmI16>>:$i4, (imm:{ *:[i32] })<<P:Predicate_ImmI16>>:$i5, (imm:{ *:[i32] })<<P:Predicate_ImmI16>>:$i6, (imm:{ *:[i32] })<<P:Predicate_ImmI16>>:$i7) - Complexity = 35
               // Dst: (CONST_V128_I16x8:{ *:[v8i16] } (imm:{ *:[i32] }):$i0, (imm:{ *:[i32] }):$i1, (imm:{ *:[i32] }):$i2, (imm:{ *:[i32] }):$i3, (imm:{ *:[i32] }):$i4, (imm:{ *:[i32] }):$i5, (imm:{ *:[i32] }):$i6, (imm:{ *:[i32] }):$i7)
/* 52875*/    /*Scope*/ 47, /*->52923*/
/* 52876*/     OPC_MoveParent,
/* 52877*/     OPC_RecordChild1, // #1 = $i1
/* 52878*/     OPC_MoveChild1,
/* 52879*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 52882*/     OPC_CheckType, MVT::i32,
/* 52884*/     OPC_MoveParent,
/* 52885*/     OPC_RecordChild2, // #2 = $i2
/* 52886*/     OPC_MoveChild2,
/* 52887*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 52890*/     OPC_CheckType, MVT::i32,
/* 52892*/     OPC_MoveParent,
/* 52893*/     OPC_RecordChild3, // #3 = $i3
/* 52894*/     OPC_MoveChild3,
/* 52895*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 52898*/     OPC_CheckType, MVT::i32,
/* 52900*/     OPC_MoveParent,
/* 52901*/     OPC_CheckType, MVT::v4i32,
/* 52903*/     OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 52905*/     OPC_EmitConvertToTarget, 0,
/* 52907*/     OPC_EmitConvertToTarget, 1,
/* 52909*/     OPC_EmitConvertToTarget, 2,
/* 52911*/     OPC_EmitConvertToTarget, 3,
/* 52913*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::CONST_V128_I32x4), 0,
                   MVT::v4i32, 4/*#Ops*/, 4, 5, 6, 7, 
               // Src: (build_vector:{ *:[v4i32] } (imm:{ *:[i32] }):$i0, (imm:{ *:[i32] }):$i1, (imm:{ *:[i32] }):$i2, (imm:{ *:[i32] }):$i3) - Complexity = 15
               // Dst: (CONST_V128_I32x4:{ *:[v4i32] } (imm:{ *:[i32] }):$i0, (imm:{ *:[i32] }):$i1, (imm:{ *:[i32] }):$i2, (imm:{ *:[i32] }):$i3)
/* 52923*/    0, /*End of Scope*/
/* 52924*/   /*SwitchType*/ 25, MVT::i64,// ->52951
/* 52926*/    OPC_MoveParent,
/* 52927*/    OPC_RecordChild1, // #1 = $i1
/* 52928*/    OPC_MoveChild1,
/* 52929*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 52932*/    OPC_CheckType, MVT::i64,
/* 52934*/    OPC_MoveParent,
/* 52935*/    OPC_CheckType, MVT::v2i64,
/* 52937*/    OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 52939*/    OPC_EmitConvertToTarget, 0,
/* 52941*/    OPC_EmitConvertToTarget, 1,
/* 52943*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::CONST_V128_I64x2), 0,
                  MVT::v2i64, 2/*#Ops*/, 2, 3, 
              // Src: (build_vector:{ *:[v2i64] } (imm:{ *:[i64] }):$i0, (imm:{ *:[i64] }):$i1) - Complexity = 9
              // Dst: (CONST_V128_I64x2:{ *:[v2i64] } (imm:{ *:[i64] }):$i0, (imm:{ *:[i64] }):$i1)
/* 52951*/   0, // EndSwitchType
/* 52952*/  /*Scope*/ 105, /*->53058*/
/* 52953*/   OPC_CheckChild0Type, MVT::i32,
/* 52955*/   OPC_CheckChild1Same, 0,
/* 52957*/   OPC_CheckChild2Same, 0,
/* 52959*/   OPC_CheckChild3Same, 0,
/* 52961*/   OPC_Scope, 82, /*->53045*/ // 2 children in Scope
/* 52963*/    OPC_MoveChild4,
/* 52964*/    OPC_CheckSame, 0,
/* 52966*/    OPC_MoveParent,
/* 52967*/    OPC_MoveChild5,
/* 52968*/    OPC_CheckSame, 0,
/* 52970*/    OPC_MoveParent,
/* 52971*/    OPC_MoveChild6,
/* 52972*/    OPC_CheckSame, 0,
/* 52974*/    OPC_MoveParent,
/* 52975*/    OPC_MoveChild7,
/* 52976*/    OPC_CheckSame, 0,
/* 52978*/    OPC_MoveParent,
/* 52979*/    OPC_Scope, 51, /*->53032*/ // 2 children in Scope
/* 52981*/     OPC_MoveChild, 8,
/* 52983*/     OPC_CheckSame, 0,
/* 52985*/     OPC_MoveParent,
/* 52986*/     OPC_MoveChild, 9,
/* 52988*/     OPC_CheckSame, 0,
/* 52990*/     OPC_MoveParent,
/* 52991*/     OPC_MoveChild, 10,
/* 52993*/     OPC_CheckSame, 0,
/* 52995*/     OPC_MoveParent,
/* 52996*/     OPC_MoveChild, 11,
/* 52998*/     OPC_CheckSame, 0,
/* 53000*/     OPC_MoveParent,
/* 53001*/     OPC_MoveChild, 12,
/* 53003*/     OPC_CheckSame, 0,
/* 53005*/     OPC_MoveParent,
/* 53006*/     OPC_MoveChild, 13,
/* 53008*/     OPC_CheckSame, 0,
/* 53010*/     OPC_MoveParent,
/* 53011*/     OPC_MoveChild, 14,
/* 53013*/     OPC_CheckSame, 0,
/* 53015*/     OPC_MoveParent,
/* 53016*/     OPC_MoveChild, 15,
/* 53018*/     OPC_CheckSame, 0,
/* 53020*/     OPC_MoveParent,
/* 53021*/     OPC_CheckType, MVT::v16i8,
/* 53023*/     OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 53025*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SPLAT_I8x16), 0,
                   MVT::v16i8, 1/*#Ops*/, 0, 
               // Src: (build_vector:{ *:[v16i8] } I32:{ *:[i32] }:$x, I32:{ *:[i32] }:$x, I32:{ *:[i32] }:$x, I32:{ *:[i32] }:$x, I32:{ *:[i32] }:$x, I32:{ *:[i32] }:$x, I32:{ *:[i32] }:$x, I32:{ *:[i32] }:$x, I32:{ *:[i32] }:$x, I32:{ *:[i32] }:$x, I32:{ *:[i32] }:$x, I32:{ *:[i32] }:$x, I32:{ *:[i32] }:$x, I32:{ *:[i32] }:$x, I32:{ *:[i32] }:$x, I32:{ *:[i32] }:$x) - Complexity = 3
               // Dst: (SPLAT_I8x16:{ *:[v16i8] } I32:{ *:[i32] }:$x)
/* 53032*/    /*Scope*/ 11, /*->53044*/
/* 53033*/     OPC_CheckType, MVT::v8i16,
/* 53035*/     OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 53037*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SPLAT_I16x8), 0,
                   MVT::v8i16, 1/*#Ops*/, 0, 
               // Src: (build_vector:{ *:[v8i16] } I32:{ *:[i32] }:$x, I32:{ *:[i32] }:$x, I32:{ *:[i32] }:$x, I32:{ *:[i32] }:$x, I32:{ *:[i32] }:$x, I32:{ *:[i32] }:$x, I32:{ *:[i32] }:$x, I32:{ *:[i32] }:$x) - Complexity = 3
               // Dst: (SPLAT_I16x8:{ *:[v8i16] } I32:{ *:[i32] }:$x)
/* 53044*/    0, /*End of Scope*/
/* 53045*/   /*Scope*/ 11, /*->53057*/
/* 53046*/    OPC_CheckType, MVT::v4i32,
/* 53048*/    OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 53050*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SPLAT_I32x4), 0,
                  MVT::v4i32, 1/*#Ops*/, 0, 
              // Src: (build_vector:{ *:[v4i32] } I32:{ *:[i32] }:$x, I32:{ *:[i32] }:$x, I32:{ *:[i32] }:$x, I32:{ *:[i32] }:$x) - Complexity = 3
              // Dst: (SPLAT_I32x4:{ *:[v4i32] } I32:{ *:[i32] }:$x)
/* 53057*/   0, /*End of Scope*/
/* 53058*/  /*Scope*/ 15, /*->53074*/
/* 53059*/   OPC_CheckChild0Type, MVT::i64,
/* 53061*/   OPC_CheckChild1Same, 0,
/* 53063*/   OPC_CheckType, MVT::v2i64,
/* 53065*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 53067*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SPLAT_I64x2), 0,
                 MVT::v2i64, 1/*#Ops*/, 0, 
             // Src: (build_vector:{ *:[v2i64] } I64:{ *:[i64] }:$x, I64:{ *:[i64] }:$x) - Complexity = 3
             // Dst: (SPLAT_I64x2:{ *:[v2i64] } I64:{ *:[i64] }:$x)
/* 53074*/  /*Scope*/ 82, /*->53157*/
/* 53075*/   OPC_MoveChild0,
/* 53076*/   OPC_CheckOpcode, TARGET_VAL(ISD::ConstantFP),
/* 53079*/   OPC_SwitchType /*2 cases */, 47, MVT::f32,// ->53129
/* 53082*/    OPC_MoveParent,
/* 53083*/    OPC_RecordChild1, // #1 = $i1
/* 53084*/    OPC_MoveChild1,
/* 53085*/    OPC_CheckOpcode, TARGET_VAL(ISD::ConstantFP),
/* 53088*/    OPC_CheckType, MVT::f32,
/* 53090*/    OPC_MoveParent,
/* 53091*/    OPC_RecordChild2, // #2 = $i2
/* 53092*/    OPC_MoveChild2,
/* 53093*/    OPC_CheckOpcode, TARGET_VAL(ISD::ConstantFP),
/* 53096*/    OPC_CheckType, MVT::f32,
/* 53098*/    OPC_MoveParent,
/* 53099*/    OPC_RecordChild3, // #3 = $i3
/* 53100*/    OPC_MoveChild3,
/* 53101*/    OPC_CheckOpcode, TARGET_VAL(ISD::ConstantFP),
/* 53104*/    OPC_CheckType, MVT::f32,
/* 53106*/    OPC_MoveParent,
/* 53107*/    OPC_CheckType, MVT::v4f32,
/* 53109*/    OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 53111*/    OPC_EmitConvertToTarget, 0,
/* 53113*/    OPC_EmitConvertToTarget, 1,
/* 53115*/    OPC_EmitConvertToTarget, 2,
/* 53117*/    OPC_EmitConvertToTarget, 3,
/* 53119*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::CONST_V128_F32x4), 0,
                  MVT::v4f32, 4/*#Ops*/, 4, 5, 6, 7, 
              // Src: (build_vector:{ *:[v4f32] } (fpimm:{ *:[f32] }):$i0, (fpimm:{ *:[f32] }):$i1, (fpimm:{ *:[f32] }):$i2, (fpimm:{ *:[f32] }):$i3) - Complexity = 15
              // Dst: (CONST_V128_F32x4:{ *:[v4f32] } (fpimm:{ *:[f32] }):$i0, (fpimm:{ *:[f32] }):$i1, (fpimm:{ *:[f32] }):$i2, (fpimm:{ *:[f32] }):$i3)
/* 53129*/   /*SwitchType*/ 25, MVT::f64,// ->53156
/* 53131*/    OPC_MoveParent,
/* 53132*/    OPC_RecordChild1, // #1 = $i1
/* 53133*/    OPC_MoveChild1,
/* 53134*/    OPC_CheckOpcode, TARGET_VAL(ISD::ConstantFP),
/* 53137*/    OPC_CheckType, MVT::f64,
/* 53139*/    OPC_MoveParent,
/* 53140*/    OPC_CheckType, MVT::v2f64,
/* 53142*/    OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 53144*/    OPC_EmitConvertToTarget, 0,
/* 53146*/    OPC_EmitConvertToTarget, 1,
/* 53148*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::CONST_V128_F64x2), 0,
                  MVT::v2f64, 2/*#Ops*/, 2, 3, 
              // Src: (build_vector:{ *:[v2f64] } (fpimm:{ *:[f64] }):$i0, (fpimm:{ *:[f64] }):$i1) - Complexity = 9
              // Dst: (CONST_V128_F64x2:{ *:[v2f64] } (fpimm:{ *:[f64] }):$i0, (fpimm:{ *:[f64] }):$i1)
/* 53156*/   0, // EndSwitchType
/* 53157*/  /*Scope*/ 19, /*->53177*/
/* 53158*/   OPC_CheckChild0Type, MVT::f32,
/* 53160*/   OPC_CheckChild1Same, 0,
/* 53162*/   OPC_CheckChild2Same, 0,
/* 53164*/   OPC_CheckChild3Same, 0,
/* 53166*/   OPC_CheckType, MVT::v4f32,
/* 53168*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 53170*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SPLAT_F32x4), 0,
                 MVT::v4f32, 1/*#Ops*/, 0, 
             // Src: (build_vector:{ *:[v4f32] } F32:{ *:[f32] }:$x, F32:{ *:[f32] }:$x, F32:{ *:[f32] }:$x, F32:{ *:[f32] }:$x) - Complexity = 3
             // Dst: (SPLAT_F32x4:{ *:[v4f32] } F32:{ *:[f32] }:$x)
/* 53177*/  /*Scope*/ 15, /*->53193*/
/* 53178*/   OPC_CheckChild0Type, MVT::f64,
/* 53180*/   OPC_CheckChild1Same, 0,
/* 53182*/   OPC_CheckType, MVT::v2f64,
/* 53184*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 53186*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SPLAT_F64x2), 0,
                 MVT::v2f64, 1/*#Ops*/, 0, 
             // Src: (build_vector:{ *:[v2f64] } F64:{ *:[f64] }:$x, F64:{ *:[f64] }:$x) - Complexity = 3
             // Dst: (SPLAT_F64x2:{ *:[v2f64] } F64:{ *:[f64] }:$x)
/* 53193*/  0, /*End of Scope*/
/* 53194*/ /*SwitchOpcode*/ 5|128,11/*1413*/, TARGET_VAL(WebAssemblyISD::SHUFFLE),// ->54611
/* 53198*/  OPC_RecordChild0, // #0 = $x
/* 53199*/  OPC_Scope, 105|128,1/*233*/, /*->53435*/ // 6 children in Scope
/* 53202*/   OPC_CheckChild0Type, MVT::v16i8,
/* 53204*/   OPC_RecordChild1, // #1 = $y
/* 53205*/   OPC_CheckChild1Type, MVT::v16i8,
/* 53207*/   OPC_RecordChild2, // #2 = $m0
/* 53208*/   OPC_MoveChild2,
/* 53209*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 53212*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 53214*/   OPC_CheckType, MVT::i32,
/* 53216*/   OPC_MoveParent,
/* 53217*/   OPC_RecordChild3, // #3 = $m1
/* 53218*/   OPC_MoveChild3,
/* 53219*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 53222*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 53224*/   OPC_CheckType, MVT::i32,
/* 53226*/   OPC_MoveParent,
/* 53227*/   OPC_RecordChild4, // #4 = $m2
/* 53228*/   OPC_MoveChild4,
/* 53229*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 53232*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 53234*/   OPC_CheckType, MVT::i32,
/* 53236*/   OPC_MoveParent,
/* 53237*/   OPC_RecordChild5, // #5 = $m3
/* 53238*/   OPC_MoveChild5,
/* 53239*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 53242*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 53244*/   OPC_CheckType, MVT::i32,
/* 53246*/   OPC_MoveParent,
/* 53247*/   OPC_RecordChild6, // #6 = $m4
/* 53248*/   OPC_MoveChild6,
/* 53249*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 53252*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 53254*/   OPC_CheckType, MVT::i32,
/* 53256*/   OPC_MoveParent,
/* 53257*/   OPC_RecordChild7, // #7 = $m5
/* 53258*/   OPC_MoveChild7,
/* 53259*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 53262*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 53264*/   OPC_CheckType, MVT::i32,
/* 53266*/   OPC_MoveParent,
/* 53267*/   OPC_MoveChild, 8,
/* 53269*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 53272*/   OPC_RecordNode, // #8 = $m6
/* 53273*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 53275*/   OPC_CheckType, MVT::i32,
/* 53277*/   OPC_MoveParent,
/* 53278*/   OPC_MoveChild, 9,
/* 53280*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 53283*/   OPC_RecordNode, // #9 = $m7
/* 53284*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 53286*/   OPC_CheckType, MVT::i32,
/* 53288*/   OPC_MoveParent,
/* 53289*/   OPC_MoveChild, 10,
/* 53291*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 53294*/   OPC_RecordNode, // #10 = $m8
/* 53295*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 53297*/   OPC_CheckType, MVT::i32,
/* 53299*/   OPC_MoveParent,
/* 53300*/   OPC_MoveChild, 11,
/* 53302*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 53305*/   OPC_RecordNode, // #11 = $m9
/* 53306*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 53308*/   OPC_CheckType, MVT::i32,
/* 53310*/   OPC_MoveParent,
/* 53311*/   OPC_MoveChild, 12,
/* 53313*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 53316*/   OPC_RecordNode, // #12 = $mA
/* 53317*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 53319*/   OPC_CheckType, MVT::i32,
/* 53321*/   OPC_MoveParent,
/* 53322*/   OPC_MoveChild, 13,
/* 53324*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 53327*/   OPC_RecordNode, // #13 = $mB
/* 53328*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 53330*/   OPC_CheckType, MVT::i32,
/* 53332*/   OPC_MoveParent,
/* 53333*/   OPC_MoveChild, 14,
/* 53335*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 53338*/   OPC_RecordNode, // #14 = $mC
/* 53339*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 53341*/   OPC_CheckType, MVT::i32,
/* 53343*/   OPC_MoveParent,
/* 53344*/   OPC_MoveChild, 15,
/* 53346*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 53349*/   OPC_RecordNode, // #15 = $mD
/* 53350*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 53352*/   OPC_CheckType, MVT::i32,
/* 53354*/   OPC_MoveParent,
/* 53355*/   OPC_MoveChild, 16,
/* 53357*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 53360*/   OPC_RecordNode, // #16 = $mE
/* 53361*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 53363*/   OPC_CheckType, MVT::i32,
/* 53365*/   OPC_MoveParent,
/* 53366*/   OPC_MoveChild, 17,
/* 53368*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 53371*/   OPC_RecordNode, // #17 = $mF
/* 53372*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 53374*/   OPC_CheckType, MVT::i32,
/* 53376*/   OPC_MoveParent,
/* 53377*/   OPC_CheckType, MVT::v16i8,
/* 53379*/   OPC_EmitConvertToTarget, 2,
/* 53381*/   OPC_EmitConvertToTarget, 3,
/* 53383*/   OPC_EmitConvertToTarget, 4,
/* 53385*/   OPC_EmitConvertToTarget, 5,
/* 53387*/   OPC_EmitConvertToTarget, 6,
/* 53389*/   OPC_EmitConvertToTarget, 7,
/* 53391*/   OPC_EmitConvertToTarget, 8,
/* 53393*/   OPC_EmitConvertToTarget, 9,
/* 53395*/   OPC_EmitConvertToTarget, 10,
/* 53397*/   OPC_EmitConvertToTarget, 11,
/* 53399*/   OPC_EmitConvertToTarget, 12,
/* 53401*/   OPC_EmitConvertToTarget, 13,
/* 53403*/   OPC_EmitConvertToTarget, 14,
/* 53405*/   OPC_EmitConvertToTarget, 15,
/* 53407*/   OPC_EmitConvertToTarget, 16,
/* 53409*/   OPC_EmitConvertToTarget, 17,
/* 53411*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SHUFFLE), 0,
                 MVT::v16i8, 18/*#Ops*/, 0, 1, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 
             // Src: (wasm_shuffle:{ *:[v16i8] } V128:{ *:[v16i8] }:$x, V128:{ *:[v16i8] }:$y, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m0, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m1, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m2, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m3, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m4, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m5, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m6, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m7, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m8, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m9, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mA, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mB, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mC, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mD, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mE, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mF) - Complexity = 67
             // Dst: (SHUFFLE:{ *:[v16i8] } ?:{ *:[v16i8] }:$x, ?:{ *:[v16i8] }:$y, (imm:{ *:[i32] }):$m0, (imm:{ *:[i32] }):$m1, (imm:{ *:[i32] }):$m2, (imm:{ *:[i32] }):$m3, (imm:{ *:[i32] }):$m4, (imm:{ *:[i32] }):$m5, (imm:{ *:[i32] }):$m6, (imm:{ *:[i32] }):$m7, (imm:{ *:[i32] }):$m8, (imm:{ *:[i32] }):$m9, (imm:{ *:[i32] }):$mA, (imm:{ *:[i32] }):$mB, (imm:{ *:[i32] }):$mC, (imm:{ *:[i32] }):$mD, (imm:{ *:[i32] }):$mE, (imm:{ *:[i32] }):$mF)
/* 53435*/  /*Scope*/ 105|128,1/*233*/, /*->53670*/
/* 53437*/   OPC_CheckChild0Type, MVT::v8i16,
/* 53439*/   OPC_RecordChild1, // #1 = $y
/* 53440*/   OPC_CheckChild1Type, MVT::v8i16,
/* 53442*/   OPC_RecordChild2, // #2 = $m0
/* 53443*/   OPC_MoveChild2,
/* 53444*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 53447*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 53449*/   OPC_CheckType, MVT::i32,
/* 53451*/   OPC_MoveParent,
/* 53452*/   OPC_RecordChild3, // #3 = $m1
/* 53453*/   OPC_MoveChild3,
/* 53454*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 53457*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 53459*/   OPC_CheckType, MVT::i32,
/* 53461*/   OPC_MoveParent,
/* 53462*/   OPC_RecordChild4, // #4 = $m2
/* 53463*/   OPC_MoveChild4,
/* 53464*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 53467*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 53469*/   OPC_CheckType, MVT::i32,
/* 53471*/   OPC_MoveParent,
/* 53472*/   OPC_RecordChild5, // #5 = $m3
/* 53473*/   OPC_MoveChild5,
/* 53474*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 53477*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 53479*/   OPC_CheckType, MVT::i32,
/* 53481*/   OPC_MoveParent,
/* 53482*/   OPC_RecordChild6, // #6 = $m4
/* 53483*/   OPC_MoveChild6,
/* 53484*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 53487*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 53489*/   OPC_CheckType, MVT::i32,
/* 53491*/   OPC_MoveParent,
/* 53492*/   OPC_RecordChild7, // #7 = $m5
/* 53493*/   OPC_MoveChild7,
/* 53494*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 53497*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 53499*/   OPC_CheckType, MVT::i32,
/* 53501*/   OPC_MoveParent,
/* 53502*/   OPC_MoveChild, 8,
/* 53504*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 53507*/   OPC_RecordNode, // #8 = $m6
/* 53508*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 53510*/   OPC_CheckType, MVT::i32,
/* 53512*/   OPC_MoveParent,
/* 53513*/   OPC_MoveChild, 9,
/* 53515*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 53518*/   OPC_RecordNode, // #9 = $m7
/* 53519*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 53521*/   OPC_CheckType, MVT::i32,
/* 53523*/   OPC_MoveParent,
/* 53524*/   OPC_MoveChild, 10,
/* 53526*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 53529*/   OPC_RecordNode, // #10 = $m8
/* 53530*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 53532*/   OPC_CheckType, MVT::i32,
/* 53534*/   OPC_MoveParent,
/* 53535*/   OPC_MoveChild, 11,
/* 53537*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 53540*/   OPC_RecordNode, // #11 = $m9
/* 53541*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 53543*/   OPC_CheckType, MVT::i32,
/* 53545*/   OPC_MoveParent,
/* 53546*/   OPC_MoveChild, 12,
/* 53548*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 53551*/   OPC_RecordNode, // #12 = $mA
/* 53552*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 53554*/   OPC_CheckType, MVT::i32,
/* 53556*/   OPC_MoveParent,
/* 53557*/   OPC_MoveChild, 13,
/* 53559*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 53562*/   OPC_RecordNode, // #13 = $mB
/* 53563*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 53565*/   OPC_CheckType, MVT::i32,
/* 53567*/   OPC_MoveParent,
/* 53568*/   OPC_MoveChild, 14,
/* 53570*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 53573*/   OPC_RecordNode, // #14 = $mC
/* 53574*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 53576*/   OPC_CheckType, MVT::i32,
/* 53578*/   OPC_MoveParent,
/* 53579*/   OPC_MoveChild, 15,
/* 53581*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 53584*/   OPC_RecordNode, // #15 = $mD
/* 53585*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 53587*/   OPC_CheckType, MVT::i32,
/* 53589*/   OPC_MoveParent,
/* 53590*/   OPC_MoveChild, 16,
/* 53592*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 53595*/   OPC_RecordNode, // #16 = $mE
/* 53596*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 53598*/   OPC_CheckType, MVT::i32,
/* 53600*/   OPC_MoveParent,
/* 53601*/   OPC_MoveChild, 17,
/* 53603*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 53606*/   OPC_RecordNode, // #17 = $mF
/* 53607*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 53609*/   OPC_CheckType, MVT::i32,
/* 53611*/   OPC_MoveParent,
/* 53612*/   OPC_CheckType, MVT::v8i16,
/* 53614*/   OPC_EmitConvertToTarget, 2,
/* 53616*/   OPC_EmitConvertToTarget, 3,
/* 53618*/   OPC_EmitConvertToTarget, 4,
/* 53620*/   OPC_EmitConvertToTarget, 5,
/* 53622*/   OPC_EmitConvertToTarget, 6,
/* 53624*/   OPC_EmitConvertToTarget, 7,
/* 53626*/   OPC_EmitConvertToTarget, 8,
/* 53628*/   OPC_EmitConvertToTarget, 9,
/* 53630*/   OPC_EmitConvertToTarget, 10,
/* 53632*/   OPC_EmitConvertToTarget, 11,
/* 53634*/   OPC_EmitConvertToTarget, 12,
/* 53636*/   OPC_EmitConvertToTarget, 13,
/* 53638*/   OPC_EmitConvertToTarget, 14,
/* 53640*/   OPC_EmitConvertToTarget, 15,
/* 53642*/   OPC_EmitConvertToTarget, 16,
/* 53644*/   OPC_EmitConvertToTarget, 17,
/* 53646*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SHUFFLE), 0,
                 MVT::v8i16, 18/*#Ops*/, 0, 1, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 
             // Src: (wasm_shuffle:{ *:[v8i16] } V128:{ *:[v8i16] }:$x, V128:{ *:[v8i16] }:$y, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m0, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m1, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m2, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m3, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m4, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m5, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m6, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m7, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m8, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m9, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mA, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mB, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mC, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mD, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mE, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mF) - Complexity = 67
             // Dst: (SHUFFLE:{ *:[v8i16] } ?:{ *:[v8i16] }:$x, ?:{ *:[v8i16] }:$y, (imm:{ *:[i32] }):$m0, (imm:{ *:[i32] }):$m1, (imm:{ *:[i32] }):$m2, (imm:{ *:[i32] }):$m3, (imm:{ *:[i32] }):$m4, (imm:{ *:[i32] }):$m5, (imm:{ *:[i32] }):$m6, (imm:{ *:[i32] }):$m7, (imm:{ *:[i32] }):$m8, (imm:{ *:[i32] }):$m9, (imm:{ *:[i32] }):$mA, (imm:{ *:[i32] }):$mB, (imm:{ *:[i32] }):$mC, (imm:{ *:[i32] }):$mD, (imm:{ *:[i32] }):$mE, (imm:{ *:[i32] }):$mF)
/* 53670*/  /*Scope*/ 105|128,1/*233*/, /*->53905*/
/* 53672*/   OPC_CheckChild0Type, MVT::v4i32,
/* 53674*/   OPC_RecordChild1, // #1 = $y
/* 53675*/   OPC_CheckChild1Type, MVT::v4i32,
/* 53677*/   OPC_RecordChild2, // #2 = $m0
/* 53678*/   OPC_MoveChild2,
/* 53679*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 53682*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 53684*/   OPC_CheckType, MVT::i32,
/* 53686*/   OPC_MoveParent,
/* 53687*/   OPC_RecordChild3, // #3 = $m1
/* 53688*/   OPC_MoveChild3,
/* 53689*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 53692*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 53694*/   OPC_CheckType, MVT::i32,
/* 53696*/   OPC_MoveParent,
/* 53697*/   OPC_RecordChild4, // #4 = $m2
/* 53698*/   OPC_MoveChild4,
/* 53699*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 53702*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 53704*/   OPC_CheckType, MVT::i32,
/* 53706*/   OPC_MoveParent,
/* 53707*/   OPC_RecordChild5, // #5 = $m3
/* 53708*/   OPC_MoveChild5,
/* 53709*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 53712*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 53714*/   OPC_CheckType, MVT::i32,
/* 53716*/   OPC_MoveParent,
/* 53717*/   OPC_RecordChild6, // #6 = $m4
/* 53718*/   OPC_MoveChild6,
/* 53719*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 53722*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 53724*/   OPC_CheckType, MVT::i32,
/* 53726*/   OPC_MoveParent,
/* 53727*/   OPC_RecordChild7, // #7 = $m5
/* 53728*/   OPC_MoveChild7,
/* 53729*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 53732*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 53734*/   OPC_CheckType, MVT::i32,
/* 53736*/   OPC_MoveParent,
/* 53737*/   OPC_MoveChild, 8,
/* 53739*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 53742*/   OPC_RecordNode, // #8 = $m6
/* 53743*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 53745*/   OPC_CheckType, MVT::i32,
/* 53747*/   OPC_MoveParent,
/* 53748*/   OPC_MoveChild, 9,
/* 53750*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 53753*/   OPC_RecordNode, // #9 = $m7
/* 53754*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 53756*/   OPC_CheckType, MVT::i32,
/* 53758*/   OPC_MoveParent,
/* 53759*/   OPC_MoveChild, 10,
/* 53761*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 53764*/   OPC_RecordNode, // #10 = $m8
/* 53765*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 53767*/   OPC_CheckType, MVT::i32,
/* 53769*/   OPC_MoveParent,
/* 53770*/   OPC_MoveChild, 11,
/* 53772*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 53775*/   OPC_RecordNode, // #11 = $m9
/* 53776*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 53778*/   OPC_CheckType, MVT::i32,
/* 53780*/   OPC_MoveParent,
/* 53781*/   OPC_MoveChild, 12,
/* 53783*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 53786*/   OPC_RecordNode, // #12 = $mA
/* 53787*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 53789*/   OPC_CheckType, MVT::i32,
/* 53791*/   OPC_MoveParent,
/* 53792*/   OPC_MoveChild, 13,
/* 53794*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 53797*/   OPC_RecordNode, // #13 = $mB
/* 53798*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 53800*/   OPC_CheckType, MVT::i32,
/* 53802*/   OPC_MoveParent,
/* 53803*/   OPC_MoveChild, 14,
/* 53805*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 53808*/   OPC_RecordNode, // #14 = $mC
/* 53809*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 53811*/   OPC_CheckType, MVT::i32,
/* 53813*/   OPC_MoveParent,
/* 53814*/   OPC_MoveChild, 15,
/* 53816*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 53819*/   OPC_RecordNode, // #15 = $mD
/* 53820*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 53822*/   OPC_CheckType, MVT::i32,
/* 53824*/   OPC_MoveParent,
/* 53825*/   OPC_MoveChild, 16,
/* 53827*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 53830*/   OPC_RecordNode, // #16 = $mE
/* 53831*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 53833*/   OPC_CheckType, MVT::i32,
/* 53835*/   OPC_MoveParent,
/* 53836*/   OPC_MoveChild, 17,
/* 53838*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 53841*/   OPC_RecordNode, // #17 = $mF
/* 53842*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 53844*/   OPC_CheckType, MVT::i32,
/* 53846*/   OPC_MoveParent,
/* 53847*/   OPC_CheckType, MVT::v4i32,
/* 53849*/   OPC_EmitConvertToTarget, 2,
/* 53851*/   OPC_EmitConvertToTarget, 3,
/* 53853*/   OPC_EmitConvertToTarget, 4,
/* 53855*/   OPC_EmitConvertToTarget, 5,
/* 53857*/   OPC_EmitConvertToTarget, 6,
/* 53859*/   OPC_EmitConvertToTarget, 7,
/* 53861*/   OPC_EmitConvertToTarget, 8,
/* 53863*/   OPC_EmitConvertToTarget, 9,
/* 53865*/   OPC_EmitConvertToTarget, 10,
/* 53867*/   OPC_EmitConvertToTarget, 11,
/* 53869*/   OPC_EmitConvertToTarget, 12,
/* 53871*/   OPC_EmitConvertToTarget, 13,
/* 53873*/   OPC_EmitConvertToTarget, 14,
/* 53875*/   OPC_EmitConvertToTarget, 15,
/* 53877*/   OPC_EmitConvertToTarget, 16,
/* 53879*/   OPC_EmitConvertToTarget, 17,
/* 53881*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SHUFFLE), 0,
                 MVT::v4i32, 18/*#Ops*/, 0, 1, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 
             // Src: (wasm_shuffle:{ *:[v4i32] } V128:{ *:[v4i32] }:$x, V128:{ *:[v4i32] }:$y, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m0, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m1, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m2, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m3, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m4, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m5, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m6, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m7, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m8, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m9, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mA, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mB, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mC, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mD, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mE, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mF) - Complexity = 67
             // Dst: (SHUFFLE:{ *:[v4i32] } ?:{ *:[v4i32] }:$x, ?:{ *:[v4i32] }:$y, (imm:{ *:[i32] }):$m0, (imm:{ *:[i32] }):$m1, (imm:{ *:[i32] }):$m2, (imm:{ *:[i32] }):$m3, (imm:{ *:[i32] }):$m4, (imm:{ *:[i32] }):$m5, (imm:{ *:[i32] }):$m6, (imm:{ *:[i32] }):$m7, (imm:{ *:[i32] }):$m8, (imm:{ *:[i32] }):$m9, (imm:{ *:[i32] }):$mA, (imm:{ *:[i32] }):$mB, (imm:{ *:[i32] }):$mC, (imm:{ *:[i32] }):$mD, (imm:{ *:[i32] }):$mE, (imm:{ *:[i32] }):$mF)
/* 53905*/  /*Scope*/ 105|128,1/*233*/, /*->54140*/
/* 53907*/   OPC_CheckChild0Type, MVT::v2i64,
/* 53909*/   OPC_RecordChild1, // #1 = $y
/* 53910*/   OPC_CheckChild1Type, MVT::v2i64,
/* 53912*/   OPC_RecordChild2, // #2 = $m0
/* 53913*/   OPC_MoveChild2,
/* 53914*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 53917*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 53919*/   OPC_CheckType, MVT::i32,
/* 53921*/   OPC_MoveParent,
/* 53922*/   OPC_RecordChild3, // #3 = $m1
/* 53923*/   OPC_MoveChild3,
/* 53924*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 53927*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 53929*/   OPC_CheckType, MVT::i32,
/* 53931*/   OPC_MoveParent,
/* 53932*/   OPC_RecordChild4, // #4 = $m2
/* 53933*/   OPC_MoveChild4,
/* 53934*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 53937*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 53939*/   OPC_CheckType, MVT::i32,
/* 53941*/   OPC_MoveParent,
/* 53942*/   OPC_RecordChild5, // #5 = $m3
/* 53943*/   OPC_MoveChild5,
/* 53944*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 53947*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 53949*/   OPC_CheckType, MVT::i32,
/* 53951*/   OPC_MoveParent,
/* 53952*/   OPC_RecordChild6, // #6 = $m4
/* 53953*/   OPC_MoveChild6,
/* 53954*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 53957*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 53959*/   OPC_CheckType, MVT::i32,
/* 53961*/   OPC_MoveParent,
/* 53962*/   OPC_RecordChild7, // #7 = $m5
/* 53963*/   OPC_MoveChild7,
/* 53964*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 53967*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 53969*/   OPC_CheckType, MVT::i32,
/* 53971*/   OPC_MoveParent,
/* 53972*/   OPC_MoveChild, 8,
/* 53974*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 53977*/   OPC_RecordNode, // #8 = $m6
/* 53978*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 53980*/   OPC_CheckType, MVT::i32,
/* 53982*/   OPC_MoveParent,
/* 53983*/   OPC_MoveChild, 9,
/* 53985*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 53988*/   OPC_RecordNode, // #9 = $m7
/* 53989*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 53991*/   OPC_CheckType, MVT::i32,
/* 53993*/   OPC_MoveParent,
/* 53994*/   OPC_MoveChild, 10,
/* 53996*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 53999*/   OPC_RecordNode, // #10 = $m8
/* 54000*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 54002*/   OPC_CheckType, MVT::i32,
/* 54004*/   OPC_MoveParent,
/* 54005*/   OPC_MoveChild, 11,
/* 54007*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 54010*/   OPC_RecordNode, // #11 = $m9
/* 54011*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 54013*/   OPC_CheckType, MVT::i32,
/* 54015*/   OPC_MoveParent,
/* 54016*/   OPC_MoveChild, 12,
/* 54018*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 54021*/   OPC_RecordNode, // #12 = $mA
/* 54022*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 54024*/   OPC_CheckType, MVT::i32,
/* 54026*/   OPC_MoveParent,
/* 54027*/   OPC_MoveChild, 13,
/* 54029*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 54032*/   OPC_RecordNode, // #13 = $mB
/* 54033*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 54035*/   OPC_CheckType, MVT::i32,
/* 54037*/   OPC_MoveParent,
/* 54038*/   OPC_MoveChild, 14,
/* 54040*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 54043*/   OPC_RecordNode, // #14 = $mC
/* 54044*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 54046*/   OPC_CheckType, MVT::i32,
/* 54048*/   OPC_MoveParent,
/* 54049*/   OPC_MoveChild, 15,
/* 54051*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 54054*/   OPC_RecordNode, // #15 = $mD
/* 54055*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 54057*/   OPC_CheckType, MVT::i32,
/* 54059*/   OPC_MoveParent,
/* 54060*/   OPC_MoveChild, 16,
/* 54062*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 54065*/   OPC_RecordNode, // #16 = $mE
/* 54066*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 54068*/   OPC_CheckType, MVT::i32,
/* 54070*/   OPC_MoveParent,
/* 54071*/   OPC_MoveChild, 17,
/* 54073*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 54076*/   OPC_RecordNode, // #17 = $mF
/* 54077*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 54079*/   OPC_CheckType, MVT::i32,
/* 54081*/   OPC_MoveParent,
/* 54082*/   OPC_CheckType, MVT::v2i64,
/* 54084*/   OPC_EmitConvertToTarget, 2,
/* 54086*/   OPC_EmitConvertToTarget, 3,
/* 54088*/   OPC_EmitConvertToTarget, 4,
/* 54090*/   OPC_EmitConvertToTarget, 5,
/* 54092*/   OPC_EmitConvertToTarget, 6,
/* 54094*/   OPC_EmitConvertToTarget, 7,
/* 54096*/   OPC_EmitConvertToTarget, 8,
/* 54098*/   OPC_EmitConvertToTarget, 9,
/* 54100*/   OPC_EmitConvertToTarget, 10,
/* 54102*/   OPC_EmitConvertToTarget, 11,
/* 54104*/   OPC_EmitConvertToTarget, 12,
/* 54106*/   OPC_EmitConvertToTarget, 13,
/* 54108*/   OPC_EmitConvertToTarget, 14,
/* 54110*/   OPC_EmitConvertToTarget, 15,
/* 54112*/   OPC_EmitConvertToTarget, 16,
/* 54114*/   OPC_EmitConvertToTarget, 17,
/* 54116*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SHUFFLE), 0,
                 MVT::v2i64, 18/*#Ops*/, 0, 1, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 
             // Src: (wasm_shuffle:{ *:[v2i64] } V128:{ *:[v2i64] }:$x, V128:{ *:[v2i64] }:$y, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m0, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m1, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m2, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m3, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m4, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m5, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m6, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m7, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m8, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m9, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mA, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mB, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mC, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mD, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mE, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mF) - Complexity = 67
             // Dst: (SHUFFLE:{ *:[v2i64] } ?:{ *:[v2i64] }:$x, ?:{ *:[v2i64] }:$y, (imm:{ *:[i32] }):$m0, (imm:{ *:[i32] }):$m1, (imm:{ *:[i32] }):$m2, (imm:{ *:[i32] }):$m3, (imm:{ *:[i32] }):$m4, (imm:{ *:[i32] }):$m5, (imm:{ *:[i32] }):$m6, (imm:{ *:[i32] }):$m7, (imm:{ *:[i32] }):$m8, (imm:{ *:[i32] }):$m9, (imm:{ *:[i32] }):$mA, (imm:{ *:[i32] }):$mB, (imm:{ *:[i32] }):$mC, (imm:{ *:[i32] }):$mD, (imm:{ *:[i32] }):$mE, (imm:{ *:[i32] }):$mF)
/* 54140*/  /*Scope*/ 105|128,1/*233*/, /*->54375*/
/* 54142*/   OPC_CheckChild0Type, MVT::v4f32,
/* 54144*/   OPC_RecordChild1, // #1 = $y
/* 54145*/   OPC_CheckChild1Type, MVT::v4f32,
/* 54147*/   OPC_RecordChild2, // #2 = $m0
/* 54148*/   OPC_MoveChild2,
/* 54149*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 54152*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 54154*/   OPC_CheckType, MVT::i32,
/* 54156*/   OPC_MoveParent,
/* 54157*/   OPC_RecordChild3, // #3 = $m1
/* 54158*/   OPC_MoveChild3,
/* 54159*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 54162*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 54164*/   OPC_CheckType, MVT::i32,
/* 54166*/   OPC_MoveParent,
/* 54167*/   OPC_RecordChild4, // #4 = $m2
/* 54168*/   OPC_MoveChild4,
/* 54169*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 54172*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 54174*/   OPC_CheckType, MVT::i32,
/* 54176*/   OPC_MoveParent,
/* 54177*/   OPC_RecordChild5, // #5 = $m3
/* 54178*/   OPC_MoveChild5,
/* 54179*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 54182*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 54184*/   OPC_CheckType, MVT::i32,
/* 54186*/   OPC_MoveParent,
/* 54187*/   OPC_RecordChild6, // #6 = $m4
/* 54188*/   OPC_MoveChild6,
/* 54189*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 54192*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 54194*/   OPC_CheckType, MVT::i32,
/* 54196*/   OPC_MoveParent,
/* 54197*/   OPC_RecordChild7, // #7 = $m5
/* 54198*/   OPC_MoveChild7,
/* 54199*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 54202*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 54204*/   OPC_CheckType, MVT::i32,
/* 54206*/   OPC_MoveParent,
/* 54207*/   OPC_MoveChild, 8,
/* 54209*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 54212*/   OPC_RecordNode, // #8 = $m6
/* 54213*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 54215*/   OPC_CheckType, MVT::i32,
/* 54217*/   OPC_MoveParent,
/* 54218*/   OPC_MoveChild, 9,
/* 54220*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 54223*/   OPC_RecordNode, // #9 = $m7
/* 54224*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 54226*/   OPC_CheckType, MVT::i32,
/* 54228*/   OPC_MoveParent,
/* 54229*/   OPC_MoveChild, 10,
/* 54231*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 54234*/   OPC_RecordNode, // #10 = $m8
/* 54235*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 54237*/   OPC_CheckType, MVT::i32,
/* 54239*/   OPC_MoveParent,
/* 54240*/   OPC_MoveChild, 11,
/* 54242*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 54245*/   OPC_RecordNode, // #11 = $m9
/* 54246*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 54248*/   OPC_CheckType, MVT::i32,
/* 54250*/   OPC_MoveParent,
/* 54251*/   OPC_MoveChild, 12,
/* 54253*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 54256*/   OPC_RecordNode, // #12 = $mA
/* 54257*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 54259*/   OPC_CheckType, MVT::i32,
/* 54261*/   OPC_MoveParent,
/* 54262*/   OPC_MoveChild, 13,
/* 54264*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 54267*/   OPC_RecordNode, // #13 = $mB
/* 54268*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 54270*/   OPC_CheckType, MVT::i32,
/* 54272*/   OPC_MoveParent,
/* 54273*/   OPC_MoveChild, 14,
/* 54275*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 54278*/   OPC_RecordNode, // #14 = $mC
/* 54279*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 54281*/   OPC_CheckType, MVT::i32,
/* 54283*/   OPC_MoveParent,
/* 54284*/   OPC_MoveChild, 15,
/* 54286*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 54289*/   OPC_RecordNode, // #15 = $mD
/* 54290*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 54292*/   OPC_CheckType, MVT::i32,
/* 54294*/   OPC_MoveParent,
/* 54295*/   OPC_MoveChild, 16,
/* 54297*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 54300*/   OPC_RecordNode, // #16 = $mE
/* 54301*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 54303*/   OPC_CheckType, MVT::i32,
/* 54305*/   OPC_MoveParent,
/* 54306*/   OPC_MoveChild, 17,
/* 54308*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 54311*/   OPC_RecordNode, // #17 = $mF
/* 54312*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 54314*/   OPC_CheckType, MVT::i32,
/* 54316*/   OPC_MoveParent,
/* 54317*/   OPC_CheckType, MVT::v4f32,
/* 54319*/   OPC_EmitConvertToTarget, 2,
/* 54321*/   OPC_EmitConvertToTarget, 3,
/* 54323*/   OPC_EmitConvertToTarget, 4,
/* 54325*/   OPC_EmitConvertToTarget, 5,
/* 54327*/   OPC_EmitConvertToTarget, 6,
/* 54329*/   OPC_EmitConvertToTarget, 7,
/* 54331*/   OPC_EmitConvertToTarget, 8,
/* 54333*/   OPC_EmitConvertToTarget, 9,
/* 54335*/   OPC_EmitConvertToTarget, 10,
/* 54337*/   OPC_EmitConvertToTarget, 11,
/* 54339*/   OPC_EmitConvertToTarget, 12,
/* 54341*/   OPC_EmitConvertToTarget, 13,
/* 54343*/   OPC_EmitConvertToTarget, 14,
/* 54345*/   OPC_EmitConvertToTarget, 15,
/* 54347*/   OPC_EmitConvertToTarget, 16,
/* 54349*/   OPC_EmitConvertToTarget, 17,
/* 54351*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SHUFFLE), 0,
                 MVT::v4f32, 18/*#Ops*/, 0, 1, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 
             // Src: (wasm_shuffle:{ *:[v4f32] } V128:{ *:[v4f32] }:$x, V128:{ *:[v4f32] }:$y, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m0, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m1, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m2, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m3, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m4, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m5, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m6, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m7, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m8, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m9, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mA, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mB, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mC, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mD, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mE, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mF) - Complexity = 67
             // Dst: (SHUFFLE:{ *:[v4f32] } ?:{ *:[v4f32] }:$x, ?:{ *:[v4f32] }:$y, (imm:{ *:[i32] }):$m0, (imm:{ *:[i32] }):$m1, (imm:{ *:[i32] }):$m2, (imm:{ *:[i32] }):$m3, (imm:{ *:[i32] }):$m4, (imm:{ *:[i32] }):$m5, (imm:{ *:[i32] }):$m6, (imm:{ *:[i32] }):$m7, (imm:{ *:[i32] }):$m8, (imm:{ *:[i32] }):$m9, (imm:{ *:[i32] }):$mA, (imm:{ *:[i32] }):$mB, (imm:{ *:[i32] }):$mC, (imm:{ *:[i32] }):$mD, (imm:{ *:[i32] }):$mE, (imm:{ *:[i32] }):$mF)
/* 54375*/  /*Scope*/ 105|128,1/*233*/, /*->54610*/
/* 54377*/   OPC_CheckChild0Type, MVT::v2f64,
/* 54379*/   OPC_RecordChild1, // #1 = $y
/* 54380*/   OPC_CheckChild1Type, MVT::v2f64,
/* 54382*/   OPC_RecordChild2, // #2 = $m0
/* 54383*/   OPC_MoveChild2,
/* 54384*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 54387*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 54389*/   OPC_CheckType, MVT::i32,
/* 54391*/   OPC_MoveParent,
/* 54392*/   OPC_RecordChild3, // #3 = $m1
/* 54393*/   OPC_MoveChild3,
/* 54394*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 54397*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 54399*/   OPC_CheckType, MVT::i32,
/* 54401*/   OPC_MoveParent,
/* 54402*/   OPC_RecordChild4, // #4 = $m2
/* 54403*/   OPC_MoveChild4,
/* 54404*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 54407*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 54409*/   OPC_CheckType, MVT::i32,
/* 54411*/   OPC_MoveParent,
/* 54412*/   OPC_RecordChild5, // #5 = $m3
/* 54413*/   OPC_MoveChild5,
/* 54414*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 54417*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 54419*/   OPC_CheckType, MVT::i32,
/* 54421*/   OPC_MoveParent,
/* 54422*/   OPC_RecordChild6, // #6 = $m4
/* 54423*/   OPC_MoveChild6,
/* 54424*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 54427*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 54429*/   OPC_CheckType, MVT::i32,
/* 54431*/   OPC_MoveParent,
/* 54432*/   OPC_RecordChild7, // #7 = $m5
/* 54433*/   OPC_MoveChild7,
/* 54434*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 54437*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 54439*/   OPC_CheckType, MVT::i32,
/* 54441*/   OPC_MoveParent,
/* 54442*/   OPC_MoveChild, 8,
/* 54444*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 54447*/   OPC_RecordNode, // #8 = $m6
/* 54448*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 54450*/   OPC_CheckType, MVT::i32,
/* 54452*/   OPC_MoveParent,
/* 54453*/   OPC_MoveChild, 9,
/* 54455*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 54458*/   OPC_RecordNode, // #9 = $m7
/* 54459*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 54461*/   OPC_CheckType, MVT::i32,
/* 54463*/   OPC_MoveParent,
/* 54464*/   OPC_MoveChild, 10,
/* 54466*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 54469*/   OPC_RecordNode, // #10 = $m8
/* 54470*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 54472*/   OPC_CheckType, MVT::i32,
/* 54474*/   OPC_MoveParent,
/* 54475*/   OPC_MoveChild, 11,
/* 54477*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 54480*/   OPC_RecordNode, // #11 = $m9
/* 54481*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 54483*/   OPC_CheckType, MVT::i32,
/* 54485*/   OPC_MoveParent,
/* 54486*/   OPC_MoveChild, 12,
/* 54488*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 54491*/   OPC_RecordNode, // #12 = $mA
/* 54492*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 54494*/   OPC_CheckType, MVT::i32,
/* 54496*/   OPC_MoveParent,
/* 54497*/   OPC_MoveChild, 13,
/* 54499*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 54502*/   OPC_RecordNode, // #13 = $mB
/* 54503*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 54505*/   OPC_CheckType, MVT::i32,
/* 54507*/   OPC_MoveParent,
/* 54508*/   OPC_MoveChild, 14,
/* 54510*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 54513*/   OPC_RecordNode, // #14 = $mC
/* 54514*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 54516*/   OPC_CheckType, MVT::i32,
/* 54518*/   OPC_MoveParent,
/* 54519*/   OPC_MoveChild, 15,
/* 54521*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 54524*/   OPC_RecordNode, // #15 = $mD
/* 54525*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 54527*/   OPC_CheckType, MVT::i32,
/* 54529*/   OPC_MoveParent,
/* 54530*/   OPC_MoveChild, 16,
/* 54532*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 54535*/   OPC_RecordNode, // #16 = $mE
/* 54536*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 54538*/   OPC_CheckType, MVT::i32,
/* 54540*/   OPC_MoveParent,
/* 54541*/   OPC_MoveChild, 17,
/* 54543*/   OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 54546*/   OPC_RecordNode, // #17 = $mF
/* 54547*/   OPC_CheckPredicate, 28, // Predicate_LaneIdx32
/* 54549*/   OPC_CheckType, MVT::i32,
/* 54551*/   OPC_MoveParent,
/* 54552*/   OPC_CheckType, MVT::v2f64,
/* 54554*/   OPC_EmitConvertToTarget, 2,
/* 54556*/   OPC_EmitConvertToTarget, 3,
/* 54558*/   OPC_EmitConvertToTarget, 4,
/* 54560*/   OPC_EmitConvertToTarget, 5,
/* 54562*/   OPC_EmitConvertToTarget, 6,
/* 54564*/   OPC_EmitConvertToTarget, 7,
/* 54566*/   OPC_EmitConvertToTarget, 8,
/* 54568*/   OPC_EmitConvertToTarget, 9,
/* 54570*/   OPC_EmitConvertToTarget, 10,
/* 54572*/   OPC_EmitConvertToTarget, 11,
/* 54574*/   OPC_EmitConvertToTarget, 12,
/* 54576*/   OPC_EmitConvertToTarget, 13,
/* 54578*/   OPC_EmitConvertToTarget, 14,
/* 54580*/   OPC_EmitConvertToTarget, 15,
/* 54582*/   OPC_EmitConvertToTarget, 16,
/* 54584*/   OPC_EmitConvertToTarget, 17,
/* 54586*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SHUFFLE), 0,
                 MVT::v2f64, 18/*#Ops*/, 0, 1, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 
             // Src: (wasm_shuffle:{ *:[v2f64] } V128:{ *:[v2f64] }:$x, V128:{ *:[v2f64] }:$y, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m0, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m1, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m2, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m3, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m4, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m5, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m6, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m7, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m8, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$m9, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mA, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mB, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mC, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mD, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mE, (imm:{ *:[i32] })<<P:Predicate_LaneIdx32>>:$mF) - Complexity = 67
             // Dst: (SHUFFLE:{ *:[v2f64] } ?:{ *:[v2f64] }:$x, ?:{ *:[v2f64] }:$y, (imm:{ *:[i32] }):$m0, (imm:{ *:[i32] }):$m1, (imm:{ *:[i32] }):$m2, (imm:{ *:[i32] }):$m3, (imm:{ *:[i32] }):$m4, (imm:{ *:[i32] }):$m5, (imm:{ *:[i32] }):$m6, (imm:{ *:[i32] }):$m7, (imm:{ *:[i32] }):$m8, (imm:{ *:[i32] }):$m9, (imm:{ *:[i32] }):$mA, (imm:{ *:[i32] }):$mB, (imm:{ *:[i32] }):$mC, (imm:{ *:[i32] }):$mD, (imm:{ *:[i32] }):$mE, (imm:{ *:[i32] }):$mF)
/* 54610*/  0, /*End of Scope*/
/* 54611*/ /*SwitchOpcode*/ 37|128,11/*1445*/, TARGET_VAL(ISD::INSERT_VECTOR_ELT),// ->56060
/* 54615*/  OPC_Scope, 36|128,6/*804*/, /*->55422*/ // 2 children in Scope
/* 54618*/   OPC_MoveChild0,
/* 54619*/   OPC_CheckOpcode, TARGET_VAL(ISD::BUILD_VECTOR),
/* 54622*/   OPC_CheckChild0Integer, 0, 
/* 54624*/   OPC_Scope, 16|128,3/*400*/, /*->55027*/ // 2 children in Scope
/* 54627*/    OPC_CheckChild0Type, MVT::i32,
/* 54629*/    OPC_CheckChild1Integer, 0, 
/* 54631*/    OPC_CheckChild1Type, MVT::i32,
/* 54633*/    OPC_CheckChild2Integer, 0, 
/* 54635*/    OPC_CheckChild2Type, MVT::i32,
/* 54637*/    OPC_CheckChild3Integer, 0, 
/* 54639*/    OPC_CheckChild3Type, MVT::i32,
/* 54641*/    OPC_MoveParent,
/* 54642*/    OPC_MoveChild1,
/* 54643*/    OPC_CheckOpcode, TARGET_VAL(ISD::LOAD),
/* 54646*/    OPC_RecordMemRef,
/* 54647*/    OPC_RecordNode, // #0 = 'ld' chained node
/* 54648*/    OPC_CheckFoldableChainNode,
/* 54649*/    OPC_Scope, 102|128,1/*230*/, /*->54882*/ // 2 children in Scope
/* 54652*/     OPC_MoveChild1,
/* 54653*/     OPC_SwitchOpcode /*3 cases */, 73, TARGET_VAL(ISD::ADD),// ->54730
/* 54657*/      OPC_RecordChild0, // #1 = $addr
/* 54658*/      OPC_RecordChild1, // #2 = $off
/* 54659*/      OPC_MoveChild1,
/* 54660*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 54663*/      OPC_MoveParent,
/* 54664*/      OPC_CheckPredicate, 0, // Predicate_regPlusImm
/* 54666*/      OPC_SwitchType /*2 cases */, 29, MVT::i32,// ->54698
/* 54669*/       OPC_MoveParent,
/* 54670*/       OPC_CheckPredicate, 17, // Predicate_unindexedload
/* 54672*/       OPC_CheckPredicate, 18, // Predicate_load
/* 54674*/       OPC_CheckType, MVT::i32,
/* 54676*/       OPC_MoveParent,
/* 54677*/       OPC_CheckChild2Integer, 0, 
/* 54679*/       OPC_CheckType, MVT::v4i32,
/* 54681*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 54683*/       OPC_EmitMergeInputChains1_0,
/* 54684*/       OPC_EmitInteger, MVT::i32, 0, 
/* 54687*/       OPC_EmitConvertToTarget, 2,
/* 54689*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_ZERO_I32x4_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::v4i32, 3/*#Ops*/, 3, 4, 1, 
                 // Src: (vector_insert:{ *:[v4i32] } (build_vector:{ *:[v4i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] }), (ld:{ *:[i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[iPTR] }) - Complexity = 42
                 // Dst: (LOAD_ZERO_I32x4_A32:{ *:[v4i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 54698*/      /*SwitchType*/ 29, MVT::i64,// ->54729
/* 54700*/       OPC_MoveParent,
/* 54701*/       OPC_CheckPredicate, 17, // Predicate_unindexedload
/* 54703*/       OPC_CheckPredicate, 18, // Predicate_load
/* 54705*/       OPC_CheckType, MVT::i32,
/* 54707*/       OPC_MoveParent,
/* 54708*/       OPC_CheckChild2Integer, 0, 
/* 54710*/       OPC_CheckType, MVT::v4i32,
/* 54712*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 54714*/       OPC_EmitMergeInputChains1_0,
/* 54715*/       OPC_EmitInteger, MVT::i32, 0, 
/* 54718*/       OPC_EmitConvertToTarget, 2,
/* 54720*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_ZERO_I32x4_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::v4i32, 3/*#Ops*/, 3, 4, 1, 
                 // Src: (vector_insert:{ *:[v4i32] } (build_vector:{ *:[v4i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] }), (ld:{ *:[i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[iPTR] }) - Complexity = 42
                 // Dst: (LOAD_ZERO_I32x4_A64:{ *:[v4i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 54729*/      0, // EndSwitchType
/* 54730*/     /*SwitchOpcode*/ 73, TARGET_VAL(ISD::OR),// ->54806
/* 54733*/      OPC_RecordChild0, // #1 = $addr
/* 54734*/      OPC_RecordChild1, // #2 = $off
/* 54735*/      OPC_MoveChild1,
/* 54736*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 54739*/      OPC_MoveParent,
/* 54740*/      OPC_CheckPredicate, 3, // Predicate_or_is_add
/* 54742*/      OPC_SwitchType /*2 cases */, 29, MVT::i32,// ->54774
/* 54745*/       OPC_MoveParent,
/* 54746*/       OPC_CheckPredicate, 17, // Predicate_unindexedload
/* 54748*/       OPC_CheckPredicate, 18, // Predicate_load
/* 54750*/       OPC_CheckType, MVT::i32,
/* 54752*/       OPC_MoveParent,
/* 54753*/       OPC_CheckChild2Integer, 0, 
/* 54755*/       OPC_CheckType, MVT::v4i32,
/* 54757*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 54759*/       OPC_EmitMergeInputChains1_0,
/* 54760*/       OPC_EmitInteger, MVT::i32, 0, 
/* 54763*/       OPC_EmitConvertToTarget, 2,
/* 54765*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_ZERO_I32x4_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::v4i32, 3/*#Ops*/, 3, 4, 1, 
                 // Src: (vector_insert:{ *:[v4i32] } (build_vector:{ *:[v4i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] }), (ld:{ *:[i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[iPTR] }) - Complexity = 42
                 // Dst: (LOAD_ZERO_I32x4_A32:{ *:[v4i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 54774*/      /*SwitchType*/ 29, MVT::i64,// ->54805
/* 54776*/       OPC_MoveParent,
/* 54777*/       OPC_CheckPredicate, 17, // Predicate_unindexedload
/* 54779*/       OPC_CheckPredicate, 18, // Predicate_load
/* 54781*/       OPC_CheckType, MVT::i32,
/* 54783*/       OPC_MoveParent,
/* 54784*/       OPC_CheckChild2Integer, 0, 
/* 54786*/       OPC_CheckType, MVT::v4i32,
/* 54788*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 54790*/       OPC_EmitMergeInputChains1_0,
/* 54791*/       OPC_EmitInteger, MVT::i32, 0, 
/* 54794*/       OPC_EmitConvertToTarget, 2,
/* 54796*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_ZERO_I32x4_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::v4i32, 3/*#Ops*/, 3, 4, 1, 
                 // Src: (vector_insert:{ *:[v4i32] } (build_vector:{ *:[v4i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] }), (ld:{ *:[i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[iPTR] }) - Complexity = 42
                 // Dst: (LOAD_ZERO_I32x4_A64:{ *:[v4i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 54805*/      0, // EndSwitchType
/* 54806*/     /*SwitchOpcode*/ 72, TARGET_VAL(WebAssemblyISD::Wrapper),// ->54881
/* 54809*/      OPC_RecordChild0, // #1 = $off
/* 54810*/      OPC_MoveChild0,
/* 54811*/      OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 54814*/      OPC_MoveParent,
/* 54815*/      OPC_MoveParent,
/* 54816*/      OPC_CheckPredicate, 17, // Predicate_unindexedload
/* 54818*/      OPC_CheckPredicate, 18, // Predicate_load
/* 54820*/      OPC_CheckType, MVT::i32,
/* 54822*/      OPC_MoveParent,
/* 54823*/      OPC_CheckChild2Integer, 0, 
/* 54825*/      OPC_CheckType, MVT::v4i32,
/* 54827*/      OPC_Scope, 25, /*->54854*/ // 2 children in Scope
/* 54829*/       OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 54831*/       OPC_EmitMergeInputChains1_0,
/* 54832*/       OPC_EmitInteger, MVT::i32, 0, 
/* 54835*/       OPC_EmitInteger, MVT::i32, 0, 
/* 54838*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 3,  // Results = #4
/* 54845*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_ZERO_I32x4_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::v4i32, 3/*#Ops*/, 2, 1, 4, 
                 // Src: (vector_insert:{ *:[v4i32] } (build_vector:{ *:[v4i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] }), (ld:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[iPTR] }) - Complexity = 41
                 // Dst: (LOAD_ZERO_I32x4_A32:{ *:[v4i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 54854*/      /*Scope*/ 25, /*->54880*/
/* 54855*/       OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 54857*/       OPC_EmitMergeInputChains1_0,
/* 54858*/       OPC_EmitInteger, MVT::i32, 0, 
/* 54861*/       OPC_EmitInteger, MVT::i64, 0, 
/* 54864*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 3,  // Results = #4
/* 54871*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_ZERO_I32x4_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::v4i32, 3/*#Ops*/, 2, 1, 4, 
                 // Src: (vector_insert:{ *:[v4i32] } (build_vector:{ *:[v4i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] }), (ld:{ *:[i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[iPTR] }) - Complexity = 41
                 // Dst: (LOAD_ZERO_I32x4_A64:{ *:[v4i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 54880*/      0, /*End of Scope*/
/* 54881*/     0, // EndSwitchOpcode
/* 54882*/    /*Scope*/ 14|128,1/*142*/, /*->55026*/
/* 54884*/     OPC_RecordChild1, // #1 = $off
/* 54885*/     OPC_Scope, 74, /*->54961*/ // 3 children in Scope
/* 54887*/      OPC_MoveChild1,
/* 54888*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 54891*/      OPC_MoveParent,
/* 54892*/      OPC_CheckPredicate, 17, // Predicate_unindexedload
/* 54894*/      OPC_CheckPredicate, 18, // Predicate_load
/* 54896*/      OPC_CheckType, MVT::i32,
/* 54898*/      OPC_MoveParent,
/* 54899*/      OPC_CheckChild2Integer, 0, 
/* 54901*/      OPC_CheckType, MVT::v4i32,
/* 54903*/      OPC_Scope, 27, /*->54932*/ // 2 children in Scope
/* 54905*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 54907*/       OPC_EmitMergeInputChains1_0,
/* 54908*/       OPC_EmitInteger, MVT::i32, 0, 
/* 54911*/       OPC_EmitConvertToTarget, 1,
/* 54913*/       OPC_EmitInteger, MVT::i32, 0, 
/* 54916*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 54923*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_ZERO_I32x4_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::v4i32, 3/*#Ops*/, 2, 3, 5, 
                 // Src: (vector_insert:{ *:[v4i32] } (build_vector:{ *:[v4i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] }), (ld:{ *:[i32] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[iPTR] }) - Complexity = 38
                 // Dst: (LOAD_ZERO_I32x4_A32:{ *:[v4i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 54932*/      /*Scope*/ 27, /*->54960*/
/* 54933*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 54935*/       OPC_EmitMergeInputChains1_0,
/* 54936*/       OPC_EmitInteger, MVT::i32, 0, 
/* 54939*/       OPC_EmitConvertToTarget, 1,
/* 54941*/       OPC_EmitInteger, MVT::i64, 0, 
/* 54944*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 54951*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_ZERO_I32x4_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::v4i32, 3/*#Ops*/, 2, 3, 5, 
                 // Src: (vector_insert:{ *:[v4i32] } (build_vector:{ *:[v4i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] }), (ld:{ *:[i32] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[iPTR] }) - Complexity = 38
                 // Dst: (LOAD_ZERO_I32x4_A64:{ *:[v4i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 54960*/      0, /*End of Scope*/
/* 54961*/     /*Scope*/ 31, /*->54993*/
/* 54962*/      OPC_CheckChild1Type, MVT::i32,
/* 54964*/      OPC_CheckPredicate, 17, // Predicate_unindexedload
/* 54966*/      OPC_CheckPredicate, 18, // Predicate_load
/* 54968*/      OPC_CheckType, MVT::i32,
/* 54970*/      OPC_MoveParent,
/* 54971*/      OPC_CheckChild2Integer, 0, 
/* 54973*/      OPC_CheckType, MVT::v4i32,
/* 54975*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 54977*/      OPC_EmitMergeInputChains1_0,
/* 54978*/      OPC_EmitInteger, MVT::i32, 0, 
/* 54981*/      OPC_EmitInteger, MVT::i32, 0, 
/* 54984*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_ZERO_I32x4_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v4i32, 3/*#Ops*/, 2, 3, 1, 
                // Src: (vector_insert:{ *:[v4i32] } (build_vector:{ *:[v4i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] }), (ld:{ *:[i32] } I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[iPTR] }) - Complexity = 35
                // Dst: (LOAD_ZERO_I32x4_A32:{ *:[v4i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr)
/* 54993*/     /*Scope*/ 31, /*->55025*/
/* 54994*/      OPC_CheckChild1Type, MVT::i64,
/* 54996*/      OPC_CheckPredicate, 17, // Predicate_unindexedload
/* 54998*/      OPC_CheckPredicate, 18, // Predicate_load
/* 55000*/      OPC_CheckType, MVT::i32,
/* 55002*/      OPC_MoveParent,
/* 55003*/      OPC_CheckChild2Integer, 0, 
/* 55005*/      OPC_CheckType, MVT::v4i32,
/* 55007*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 55009*/      OPC_EmitMergeInputChains1_0,
/* 55010*/      OPC_EmitInteger, MVT::i32, 0, 
/* 55013*/      OPC_EmitInteger, MVT::i64, 0, 
/* 55016*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_ZERO_I32x4_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v4i32, 3/*#Ops*/, 2, 3, 1, 
                // Src: (vector_insert:{ *:[v4i32] } (build_vector:{ *:[v4i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] }, 0:{ *:[i32] }), (ld:{ *:[i32] } I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[iPTR] }) - Complexity = 35
                // Dst: (LOAD_ZERO_I32x4_A64:{ *:[v4i32] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr)
/* 55025*/     0, /*End of Scope*/
/* 55026*/    0, /*End of Scope*/
/* 55027*/   /*Scope*/ 8|128,3/*392*/, /*->55421*/
/* 55029*/    OPC_CheckChild0Type, MVT::i64,
/* 55031*/    OPC_CheckChild1Integer, 0, 
/* 55033*/    OPC_CheckChild1Type, MVT::i64,
/* 55035*/    OPC_MoveParent,
/* 55036*/    OPC_MoveChild1,
/* 55037*/    OPC_CheckOpcode, TARGET_VAL(ISD::LOAD),
/* 55040*/    OPC_RecordMemRef,
/* 55041*/    OPC_RecordNode, // #0 = 'ld' chained node
/* 55042*/    OPC_CheckFoldableChainNode,
/* 55043*/    OPC_Scope, 102|128,1/*230*/, /*->55276*/ // 2 children in Scope
/* 55046*/     OPC_MoveChild1,
/* 55047*/     OPC_SwitchOpcode /*3 cases */, 73, TARGET_VAL(ISD::ADD),// ->55124
/* 55051*/      OPC_RecordChild0, // #1 = $addr
/* 55052*/      OPC_RecordChild1, // #2 = $off
/* 55053*/      OPC_MoveChild1,
/* 55054*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 55057*/      OPC_MoveParent,
/* 55058*/      OPC_CheckPredicate, 0, // Predicate_regPlusImm
/* 55060*/      OPC_SwitchType /*2 cases */, 29, MVT::i32,// ->55092
/* 55063*/       OPC_MoveParent,
/* 55064*/       OPC_CheckPredicate, 17, // Predicate_unindexedload
/* 55066*/       OPC_CheckPredicate, 18, // Predicate_load
/* 55068*/       OPC_CheckType, MVT::i64,
/* 55070*/       OPC_MoveParent,
/* 55071*/       OPC_CheckChild2Integer, 0, 
/* 55073*/       OPC_CheckType, MVT::v2i64,
/* 55075*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 55077*/       OPC_EmitMergeInputChains1_0,
/* 55078*/       OPC_EmitInteger, MVT::i32, 0, 
/* 55081*/       OPC_EmitConvertToTarget, 2,
/* 55083*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_ZERO_I64x2_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::v2i64, 3/*#Ops*/, 3, 4, 1, 
                 // Src: (vector_insert:{ *:[v2i64] } (build_vector:{ *:[v2i64] } 0:{ *:[i64] }, 0:{ *:[i64] }), (ld:{ *:[i64] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[iPTR] }) - Complexity = 32
                 // Dst: (LOAD_ZERO_I64x2_A32:{ *:[v2i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 55092*/      /*SwitchType*/ 29, MVT::i64,// ->55123
/* 55094*/       OPC_MoveParent,
/* 55095*/       OPC_CheckPredicate, 17, // Predicate_unindexedload
/* 55097*/       OPC_CheckPredicate, 18, // Predicate_load
/* 55099*/       OPC_CheckType, MVT::i64,
/* 55101*/       OPC_MoveParent,
/* 55102*/       OPC_CheckChild2Integer, 0, 
/* 55104*/       OPC_CheckType, MVT::v2i64,
/* 55106*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 55108*/       OPC_EmitMergeInputChains1_0,
/* 55109*/       OPC_EmitInteger, MVT::i32, 0, 
/* 55112*/       OPC_EmitConvertToTarget, 2,
/* 55114*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_ZERO_I64x2_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::v2i64, 3/*#Ops*/, 3, 4, 1, 
                 // Src: (vector_insert:{ *:[v2i64] } (build_vector:{ *:[v2i64] } 0:{ *:[i64] }, 0:{ *:[i64] }), (ld:{ *:[i64] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[iPTR] }) - Complexity = 32
                 // Dst: (LOAD_ZERO_I64x2_A64:{ *:[v2i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 55123*/      0, // EndSwitchType
/* 55124*/     /*SwitchOpcode*/ 73, TARGET_VAL(ISD::OR),// ->55200
/* 55127*/      OPC_RecordChild0, // #1 = $addr
/* 55128*/      OPC_RecordChild1, // #2 = $off
/* 55129*/      OPC_MoveChild1,
/* 55130*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 55133*/      OPC_MoveParent,
/* 55134*/      OPC_CheckPredicate, 3, // Predicate_or_is_add
/* 55136*/      OPC_SwitchType /*2 cases */, 29, MVT::i32,// ->55168
/* 55139*/       OPC_MoveParent,
/* 55140*/       OPC_CheckPredicate, 17, // Predicate_unindexedload
/* 55142*/       OPC_CheckPredicate, 18, // Predicate_load
/* 55144*/       OPC_CheckType, MVT::i64,
/* 55146*/       OPC_MoveParent,
/* 55147*/       OPC_CheckChild2Integer, 0, 
/* 55149*/       OPC_CheckType, MVT::v2i64,
/* 55151*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 55153*/       OPC_EmitMergeInputChains1_0,
/* 55154*/       OPC_EmitInteger, MVT::i32, 0, 
/* 55157*/       OPC_EmitConvertToTarget, 2,
/* 55159*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_ZERO_I64x2_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::v2i64, 3/*#Ops*/, 3, 4, 1, 
                 // Src: (vector_insert:{ *:[v2i64] } (build_vector:{ *:[v2i64] } 0:{ *:[i64] }, 0:{ *:[i64] }), (ld:{ *:[i64] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[iPTR] }) - Complexity = 32
                 // Dst: (LOAD_ZERO_I64x2_A32:{ *:[v2i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 55168*/      /*SwitchType*/ 29, MVT::i64,// ->55199
/* 55170*/       OPC_MoveParent,
/* 55171*/       OPC_CheckPredicate, 17, // Predicate_unindexedload
/* 55173*/       OPC_CheckPredicate, 18, // Predicate_load
/* 55175*/       OPC_CheckType, MVT::i64,
/* 55177*/       OPC_MoveParent,
/* 55178*/       OPC_CheckChild2Integer, 0, 
/* 55180*/       OPC_CheckType, MVT::v2i64,
/* 55182*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 55184*/       OPC_EmitMergeInputChains1_0,
/* 55185*/       OPC_EmitInteger, MVT::i32, 0, 
/* 55188*/       OPC_EmitConvertToTarget, 2,
/* 55190*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_ZERO_I64x2_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::v2i64, 3/*#Ops*/, 3, 4, 1, 
                 // Src: (vector_insert:{ *:[v2i64] } (build_vector:{ *:[v2i64] } 0:{ *:[i64] }, 0:{ *:[i64] }), (ld:{ *:[i64] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[iPTR] }) - Complexity = 32
                 // Dst: (LOAD_ZERO_I64x2_A64:{ *:[v2i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 55199*/      0, // EndSwitchType
/* 55200*/     /*SwitchOpcode*/ 72, TARGET_VAL(WebAssemblyISD::Wrapper),// ->55275
/* 55203*/      OPC_RecordChild0, // #1 = $off
/* 55204*/      OPC_MoveChild0,
/* 55205*/      OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 55208*/      OPC_MoveParent,
/* 55209*/      OPC_MoveParent,
/* 55210*/      OPC_CheckPredicate, 17, // Predicate_unindexedload
/* 55212*/      OPC_CheckPredicate, 18, // Predicate_load
/* 55214*/      OPC_CheckType, MVT::i64,
/* 55216*/      OPC_MoveParent,
/* 55217*/      OPC_CheckChild2Integer, 0, 
/* 55219*/      OPC_CheckType, MVT::v2i64,
/* 55221*/      OPC_Scope, 25, /*->55248*/ // 2 children in Scope
/* 55223*/       OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 55225*/       OPC_EmitMergeInputChains1_0,
/* 55226*/       OPC_EmitInteger, MVT::i32, 0, 
/* 55229*/       OPC_EmitInteger, MVT::i32, 0, 
/* 55232*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 3,  // Results = #4
/* 55239*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_ZERO_I64x2_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::v2i64, 3/*#Ops*/, 2, 1, 4, 
                 // Src: (vector_insert:{ *:[v2i64] } (build_vector:{ *:[v2i64] } 0:{ *:[i64] }, 0:{ *:[i64] }), (ld:{ *:[i64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[iPTR] }) - Complexity = 31
                 // Dst: (LOAD_ZERO_I64x2_A32:{ *:[v2i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 55248*/      /*Scope*/ 25, /*->55274*/
/* 55249*/       OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 55251*/       OPC_EmitMergeInputChains1_0,
/* 55252*/       OPC_EmitInteger, MVT::i32, 0, 
/* 55255*/       OPC_EmitInteger, MVT::i64, 0, 
/* 55258*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 3,  // Results = #4
/* 55265*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_ZERO_I64x2_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::v2i64, 3/*#Ops*/, 2, 1, 4, 
                 // Src: (vector_insert:{ *:[v2i64] } (build_vector:{ *:[v2i64] } 0:{ *:[i64] }, 0:{ *:[i64] }), (ld:{ *:[i64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[iPTR] }) - Complexity = 31
                 // Dst: (LOAD_ZERO_I64x2_A64:{ *:[v2i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 55274*/      0, /*End of Scope*/
/* 55275*/     0, // EndSwitchOpcode
/* 55276*/    /*Scope*/ 14|128,1/*142*/, /*->55420*/
/* 55278*/     OPC_RecordChild1, // #1 = $off
/* 55279*/     OPC_Scope, 74, /*->55355*/ // 3 children in Scope
/* 55281*/      OPC_MoveChild1,
/* 55282*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 55285*/      OPC_MoveParent,
/* 55286*/      OPC_CheckPredicate, 17, // Predicate_unindexedload
/* 55288*/      OPC_CheckPredicate, 18, // Predicate_load
/* 55290*/      OPC_CheckType, MVT::i64,
/* 55292*/      OPC_MoveParent,
/* 55293*/      OPC_CheckChild2Integer, 0, 
/* 55295*/      OPC_CheckType, MVT::v2i64,
/* 55297*/      OPC_Scope, 27, /*->55326*/ // 2 children in Scope
/* 55299*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 55301*/       OPC_EmitMergeInputChains1_0,
/* 55302*/       OPC_EmitInteger, MVT::i32, 0, 
/* 55305*/       OPC_EmitConvertToTarget, 1,
/* 55307*/       OPC_EmitInteger, MVT::i32, 0, 
/* 55310*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                     MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 55317*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_ZERO_I64x2_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::v2i64, 3/*#Ops*/, 2, 3, 5, 
                 // Src: (vector_insert:{ *:[v2i64] } (build_vector:{ *:[v2i64] } 0:{ *:[i64] }, 0:{ *:[i64] }), (ld:{ *:[i64] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[iPTR] }) - Complexity = 28
                 // Dst: (LOAD_ZERO_I64x2_A32:{ *:[v2i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 55326*/      /*Scope*/ 27, /*->55354*/
/* 55327*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 55329*/       OPC_EmitMergeInputChains1_0,
/* 55330*/       OPC_EmitInteger, MVT::i32, 0, 
/* 55333*/       OPC_EmitConvertToTarget, 1,
/* 55335*/       OPC_EmitInteger, MVT::i64, 0, 
/* 55338*/       OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                     MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 55345*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_ZERO_I64x2_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::v2i64, 3/*#Ops*/, 2, 3, 5, 
                 // Src: (vector_insert:{ *:[v2i64] } (build_vector:{ *:[v2i64] } 0:{ *:[i64] }, 0:{ *:[i64] }), (ld:{ *:[i64] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[iPTR] }) - Complexity = 28
                 // Dst: (LOAD_ZERO_I64x2_A64:{ *:[v2i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 55354*/      0, /*End of Scope*/
/* 55355*/     /*Scope*/ 31, /*->55387*/
/* 55356*/      OPC_CheckChild1Type, MVT::i32,
/* 55358*/      OPC_CheckPredicate, 17, // Predicate_unindexedload
/* 55360*/      OPC_CheckPredicate, 18, // Predicate_load
/* 55362*/      OPC_CheckType, MVT::i64,
/* 55364*/      OPC_MoveParent,
/* 55365*/      OPC_CheckChild2Integer, 0, 
/* 55367*/      OPC_CheckType, MVT::v2i64,
/* 55369*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 55371*/      OPC_EmitMergeInputChains1_0,
/* 55372*/      OPC_EmitInteger, MVT::i32, 0, 
/* 55375*/      OPC_EmitInteger, MVT::i32, 0, 
/* 55378*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_ZERO_I64x2_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2i64, 3/*#Ops*/, 2, 3, 1, 
                // Src: (vector_insert:{ *:[v2i64] } (build_vector:{ *:[v2i64] } 0:{ *:[i64] }, 0:{ *:[i64] }), (ld:{ *:[i64] } I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[iPTR] }) - Complexity = 25
                // Dst: (LOAD_ZERO_I64x2_A32:{ *:[v2i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr)
/* 55387*/     /*Scope*/ 31, /*->55419*/
/* 55388*/      OPC_CheckChild1Type, MVT::i64,
/* 55390*/      OPC_CheckPredicate, 17, // Predicate_unindexedload
/* 55392*/      OPC_CheckPredicate, 18, // Predicate_load
/* 55394*/      OPC_CheckType, MVT::i64,
/* 55396*/      OPC_MoveParent,
/* 55397*/      OPC_CheckChild2Integer, 0, 
/* 55399*/      OPC_CheckType, MVT::v2i64,
/* 55401*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 55403*/      OPC_EmitMergeInputChains1_0,
/* 55404*/      OPC_EmitInteger, MVT::i32, 0, 
/* 55407*/      OPC_EmitInteger, MVT::i64, 0, 
/* 55410*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_ZERO_I64x2_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2i64, 3/*#Ops*/, 2, 3, 1, 
                // Src: (vector_insert:{ *:[v2i64] } (build_vector:{ *:[v2i64] } 0:{ *:[i64] }, 0:{ *:[i64] }), (ld:{ *:[i64] } I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_load>>, 0:{ *:[iPTR] }) - Complexity = 25
                // Dst: (LOAD_ZERO_I64x2_A64:{ *:[v2i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr)
/* 55419*/     0, /*End of Scope*/
/* 55420*/    0, /*End of Scope*/
/* 55421*/   0, /*End of Scope*/
/* 55422*/  /*Scope*/ 123|128,4/*635*/, /*->56059*/
/* 55424*/   OPC_RecordChild0, // #0 = $vec
/* 55425*/   OPC_Scope, 94|128,2/*350*/, /*->55778*/ // 2 children in Scope
/* 55428*/    OPC_MoveChild1,
/* 55429*/    OPC_CheckOpcode, TARGET_VAL(ISD::LOAD),
/* 55432*/    OPC_RecordMemRef,
/* 55433*/    OPC_RecordNode, // #1 = 'ld' chained node
/* 55434*/    OPC_CheckFoldableChainNode,
/* 55435*/    OPC_RecordChild1, // #2 = $addr
/* 55436*/    OPC_Scope, 40|128,1/*168*/, /*->55607*/ // 2 children in Scope
/* 55439*/     OPC_CheckChild1Type, MVT::i32,
/* 55441*/     OPC_CheckPredicate, 17, // Predicate_unindexedload
/* 55443*/     OPC_Scope, 82, /*->55527*/ // 2 children in Scope
/* 55445*/      OPC_CheckPredicate, 21, // Predicate_extload
/* 55447*/      OPC_CheckType, MVT::i32,
/* 55449*/      OPC_Scope, 37, /*->55488*/ // 2 children in Scope
/* 55451*/       OPC_CheckPredicate, 1, // Predicate_extloadi8
/* 55453*/       OPC_MoveParent,
/* 55454*/       OPC_RecordChild2, // #3 = $idx
/* 55455*/       OPC_MoveChild2,
/* 55456*/       OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 55459*/       OPC_CheckPredicate, 5, // Predicate_LaneIdx16
/* 55461*/       OPC_CheckType, MVT::i32,
/* 55463*/       OPC_MoveParent,
/* 55464*/       OPC_CheckType, MVT::v16i8,
/* 55466*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 55468*/       OPC_EmitMergeInputChains1_1,
/* 55469*/       OPC_EmitInteger, MVT::i32, 0, 
/* 55472*/       OPC_EmitInteger, MVT::i32, 0, 
/* 55475*/       OPC_EmitConvertToTarget, 3,
/* 55477*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_LANE_I8x16_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::v16i8, 5/*#Ops*/, 4, 5, 6, 2, 0, 
                 // Src: (vector_insert:{ *:[v16i8] } V128:{ *:[v16i8] }:$vec, (ld:{ *:[i32] } I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>, (imm:{ *:[i32] })<<P:Predicate_LaneIdx16>>:$idx) - Complexity = 11
                 // Dst: (LOAD_LANE_I8x16_A32:{ *:[v16i8] } 0:{ *:[i32] }, 0:{ *:[i32] }, (imm:{ *:[i32] }):$idx, ?:{ *:[i32] }:$addr, ?:{ *:[v16i8] }:$vec)
/* 55488*/      /*Scope*/ 37, /*->55526*/
/* 55489*/       OPC_CheckPredicate, 2, // Predicate_extloadi16
/* 55491*/       OPC_MoveParent,
/* 55492*/       OPC_RecordChild2, // #3 = $idx
/* 55493*/       OPC_MoveChild2,
/* 55494*/       OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 55497*/       OPC_CheckPredicate, 6, // Predicate_LaneIdx8
/* 55499*/       OPC_CheckType, MVT::i32,
/* 55501*/       OPC_MoveParent,
/* 55502*/       OPC_CheckType, MVT::v8i16,
/* 55504*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 55506*/       OPC_EmitMergeInputChains1_1,
/* 55507*/       OPC_EmitInteger, MVT::i32, 0, 
/* 55510*/       OPC_EmitInteger, MVT::i32, 0, 
/* 55513*/       OPC_EmitConvertToTarget, 3,
/* 55515*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_LANE_I16x8_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::v8i16, 5/*#Ops*/, 4, 5, 6, 2, 0, 
                 // Src: (vector_insert:{ *:[v8i16] } V128:{ *:[v8i16] }:$vec, (ld:{ *:[i32] } I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>, (imm:{ *:[i32] })<<P:Predicate_LaneIdx8>>:$idx) - Complexity = 11
                 // Dst: (LOAD_LANE_I16x8_A32:{ *:[v8i16] } 0:{ *:[i32] }, 0:{ *:[i32] }, (imm:{ *:[i32] }):$idx, ?:{ *:[i32] }:$addr, ?:{ *:[v8i16] }:$vec)
/* 55526*/      0, /*End of Scope*/
/* 55527*/     /*Scope*/ 78, /*->55606*/
/* 55528*/      OPC_CheckPredicate, 18, // Predicate_load
/* 55530*/      OPC_SwitchType /*2 cases */, 35, MVT::i32,// ->55568
/* 55533*/       OPC_MoveParent,
/* 55534*/       OPC_RecordChild2, // #3 = $idx
/* 55535*/       OPC_MoveChild2,
/* 55536*/       OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 55539*/       OPC_CheckPredicate, 13, // Predicate_LaneIdx4
/* 55541*/       OPC_CheckType, MVT::i32,
/* 55543*/       OPC_MoveParent,
/* 55544*/       OPC_CheckType, MVT::v4i32,
/* 55546*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 55548*/       OPC_EmitMergeInputChains1_1,
/* 55549*/       OPC_EmitInteger, MVT::i32, 0, 
/* 55552*/       OPC_EmitInteger, MVT::i32, 0, 
/* 55555*/       OPC_EmitConvertToTarget, 3,
/* 55557*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_LANE_I32x4_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::v4i32, 5/*#Ops*/, 4, 5, 6, 2, 0, 
                 // Src: (vector_insert:{ *:[v4i32] } V128:{ *:[v4i32] }:$vec, (ld:{ *:[i32] } I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i32] })<<P:Predicate_LaneIdx4>>:$idx) - Complexity = 11
                 // Dst: (LOAD_LANE_I32x4_A32:{ *:[v4i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, (imm:{ *:[i32] }):$idx, ?:{ *:[i32] }:$addr, ?:{ *:[v4i32] }:$vec)
/* 55568*/      /*SwitchType*/ 35, MVT::i64,// ->55605
/* 55570*/       OPC_MoveParent,
/* 55571*/       OPC_RecordChild2, // #3 = $idx
/* 55572*/       OPC_MoveChild2,
/* 55573*/       OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 55576*/       OPC_CheckPredicate, 15, // Predicate_LaneIdx2
/* 55578*/       OPC_CheckType, MVT::i32,
/* 55580*/       OPC_MoveParent,
/* 55581*/       OPC_CheckType, MVT::v2i64,
/* 55583*/       OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 55585*/       OPC_EmitMergeInputChains1_1,
/* 55586*/       OPC_EmitInteger, MVT::i32, 0, 
/* 55589*/       OPC_EmitInteger, MVT::i32, 0, 
/* 55592*/       OPC_EmitConvertToTarget, 3,
/* 55594*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_LANE_I64x2_A32), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::v2i64, 5/*#Ops*/, 4, 5, 6, 2, 0, 
                 // Src: (vector_insert:{ *:[v2i64] } V128:{ *:[v2i64] }:$vec, (ld:{ *:[i64] } I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i32] })<<P:Predicate_LaneIdx2>>:$idx) - Complexity = 11
                 // Dst: (LOAD_LANE_I64x2_A32:{ *:[v2i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, (imm:{ *:[i32] }):$idx, ?:{ *:[i32] }:$addr, ?:{ *:[v2i64] }:$vec)
/* 55605*/      0, // EndSwitchType
/* 55606*/     0, /*End of Scope*/
/* 55607*/    /*Scope*/ 40|128,1/*168*/, /*->55777*/
/* 55609*/     OPC_CheckChild1Type, MVT::i64,
/* 55611*/     OPC_CheckPredicate, 17, // Predicate_unindexedload
/* 55613*/     OPC_Scope, 82, /*->55697*/ // 2 children in Scope
/* 55615*/      OPC_CheckPredicate, 21, // Predicate_extload
/* 55617*/      OPC_CheckType, MVT::i32,
/* 55619*/      OPC_Scope, 37, /*->55658*/ // 2 children in Scope
/* 55621*/       OPC_CheckPredicate, 1, // Predicate_extloadi8
/* 55623*/       OPC_MoveParent,
/* 55624*/       OPC_RecordChild2, // #3 = $idx
/* 55625*/       OPC_MoveChild2,
/* 55626*/       OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 55629*/       OPC_CheckPredicate, 5, // Predicate_LaneIdx16
/* 55631*/       OPC_CheckType, MVT::i32,
/* 55633*/       OPC_MoveParent,
/* 55634*/       OPC_CheckType, MVT::v16i8,
/* 55636*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 55638*/       OPC_EmitMergeInputChains1_1,
/* 55639*/       OPC_EmitInteger, MVT::i32, 0, 
/* 55642*/       OPC_EmitInteger, MVT::i64, 0, 
/* 55645*/       OPC_EmitConvertToTarget, 3,
/* 55647*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_LANE_I8x16_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::v16i8, 5/*#Ops*/, 4, 5, 6, 2, 0, 
                 // Src: (vector_insert:{ *:[v16i8] } V128:{ *:[v16i8] }:$vec, (ld:{ *:[i32] } I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>, (imm:{ *:[i32] })<<P:Predicate_LaneIdx16>>:$idx) - Complexity = 11
                 // Dst: (LOAD_LANE_I8x16_A64:{ *:[v16i8] } 0:{ *:[i32] }, 0:{ *:[i64] }, (imm:{ *:[i32] }):$idx, ?:{ *:[i64] }:$addr, ?:{ *:[v16i8] }:$vec)
/* 55658*/      /*Scope*/ 37, /*->55696*/
/* 55659*/       OPC_CheckPredicate, 2, // Predicate_extloadi16
/* 55661*/       OPC_MoveParent,
/* 55662*/       OPC_RecordChild2, // #3 = $idx
/* 55663*/       OPC_MoveChild2,
/* 55664*/       OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 55667*/       OPC_CheckPredicate, 6, // Predicate_LaneIdx8
/* 55669*/       OPC_CheckType, MVT::i32,
/* 55671*/       OPC_MoveParent,
/* 55672*/       OPC_CheckType, MVT::v8i16,
/* 55674*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 55676*/       OPC_EmitMergeInputChains1_1,
/* 55677*/       OPC_EmitInteger, MVT::i32, 0, 
/* 55680*/       OPC_EmitInteger, MVT::i64, 0, 
/* 55683*/       OPC_EmitConvertToTarget, 3,
/* 55685*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_LANE_I16x8_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::v8i16, 5/*#Ops*/, 4, 5, 6, 2, 0, 
                 // Src: (vector_insert:{ *:[v8i16] } V128:{ *:[v8i16] }:$vec, (ld:{ *:[i32] } I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>, (imm:{ *:[i32] })<<P:Predicate_LaneIdx8>>:$idx) - Complexity = 11
                 // Dst: (LOAD_LANE_I16x8_A64:{ *:[v8i16] } 0:{ *:[i32] }, 0:{ *:[i64] }, (imm:{ *:[i32] }):$idx, ?:{ *:[i64] }:$addr, ?:{ *:[v8i16] }:$vec)
/* 55696*/      0, /*End of Scope*/
/* 55697*/     /*Scope*/ 78, /*->55776*/
/* 55698*/      OPC_CheckPredicate, 18, // Predicate_load
/* 55700*/      OPC_SwitchType /*2 cases */, 35, MVT::i32,// ->55738
/* 55703*/       OPC_MoveParent,
/* 55704*/       OPC_RecordChild2, // #3 = $idx
/* 55705*/       OPC_MoveChild2,
/* 55706*/       OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 55709*/       OPC_CheckPredicate, 13, // Predicate_LaneIdx4
/* 55711*/       OPC_CheckType, MVT::i32,
/* 55713*/       OPC_MoveParent,
/* 55714*/       OPC_CheckType, MVT::v4i32,
/* 55716*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 55718*/       OPC_EmitMergeInputChains1_1,
/* 55719*/       OPC_EmitInteger, MVT::i32, 0, 
/* 55722*/       OPC_EmitInteger, MVT::i64, 0, 
/* 55725*/       OPC_EmitConvertToTarget, 3,
/* 55727*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_LANE_I32x4_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::v4i32, 5/*#Ops*/, 4, 5, 6, 2, 0, 
                 // Src: (vector_insert:{ *:[v4i32] } V128:{ *:[v4i32] }:$vec, (ld:{ *:[i32] } I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i32] })<<P:Predicate_LaneIdx4>>:$idx) - Complexity = 11
                 // Dst: (LOAD_LANE_I32x4_A64:{ *:[v4i32] } 0:{ *:[i32] }, 0:{ *:[i64] }, (imm:{ *:[i32] }):$idx, ?:{ *:[i64] }:$addr, ?:{ *:[v4i32] }:$vec)
/* 55738*/      /*SwitchType*/ 35, MVT::i64,// ->55775
/* 55740*/       OPC_MoveParent,
/* 55741*/       OPC_RecordChild2, // #3 = $idx
/* 55742*/       OPC_MoveChild2,
/* 55743*/       OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 55746*/       OPC_CheckPredicate, 15, // Predicate_LaneIdx2
/* 55748*/       OPC_CheckType, MVT::i32,
/* 55750*/       OPC_MoveParent,
/* 55751*/       OPC_CheckType, MVT::v2i64,
/* 55753*/       OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 55755*/       OPC_EmitMergeInputChains1_1,
/* 55756*/       OPC_EmitInteger, MVT::i32, 0, 
/* 55759*/       OPC_EmitInteger, MVT::i64, 0, 
/* 55762*/       OPC_EmitConvertToTarget, 3,
/* 55764*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_LANE_I64x2_A64), 0|OPFL_Chain|OPFL_MemRefs,
                     MVT::v2i64, 5/*#Ops*/, 4, 5, 6, 2, 0, 
                 // Src: (vector_insert:{ *:[v2i64] } V128:{ *:[v2i64] }:$vec, (ld:{ *:[i64] } I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_load>>, (imm:{ *:[i32] })<<P:Predicate_LaneIdx2>>:$idx) - Complexity = 11
                 // Dst: (LOAD_LANE_I64x2_A64:{ *:[v2i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, (imm:{ *:[i32] }):$idx, ?:{ *:[i64] }:$addr, ?:{ *:[v2i64] }:$vec)
/* 55775*/      0, // EndSwitchType
/* 55776*/     0, /*End of Scope*/
/* 55777*/    0, /*End of Scope*/
/* 55778*/   /*Scope*/ 22|128,2/*278*/, /*->56058*/
/* 55780*/    OPC_RecordChild1, // #1 = $x
/* 55781*/    OPC_Scope, 121, /*->55904*/ // 4 children in Scope
/* 55783*/     OPC_CheckChild1Type, MVT::i32,
/* 55785*/     OPC_Scope, 66, /*->55853*/ // 2 children in Scope
/* 55787*/      OPC_RecordChild2, // #2 = $idx
/* 55788*/      OPC_MoveChild2,
/* 55789*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 55792*/      OPC_CheckType, MVT::i32,
/* 55794*/      OPC_Scope, 18, /*->55814*/ // 3 children in Scope
/* 55796*/       OPC_CheckPredicate, 5, // Predicate_LaneIdx16
/* 55798*/       OPC_MoveParent,
/* 55799*/       OPC_CheckType, MVT::v16i8,
/* 55801*/       OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 55803*/       OPC_EmitConvertToTarget, 2,
/* 55805*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::REPLACE_LANE_I8x16), 0,
                     MVT::v16i8, 3/*#Ops*/, 0, 3, 1, 
                 // Src: (vector_insert:{ *:[v16i8] } V128:{ *:[v16i8] }:$vec, I32:{ *:[i32] }:$x, (imm:{ *:[i32] })<<P:Predicate_LaneIdx16>>:$idx) - Complexity = 7
                 // Dst: (REPLACE_LANE_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$vec, (imm:{ *:[i32] }):$idx, I32:{ *:[i32] }:$x)
/* 55814*/      /*Scope*/ 18, /*->55833*/
/* 55815*/       OPC_CheckPredicate, 6, // Predicate_LaneIdx8
/* 55817*/       OPC_MoveParent,
/* 55818*/       OPC_CheckType, MVT::v8i16,
/* 55820*/       OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 55822*/       OPC_EmitConvertToTarget, 2,
/* 55824*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::REPLACE_LANE_I16x8), 0,
                     MVT::v8i16, 3/*#Ops*/, 0, 3, 1, 
                 // Src: (vector_insert:{ *:[v8i16] } V128:{ *:[v8i16] }:$vec, I32:{ *:[i32] }:$x, (imm:{ *:[i32] })<<P:Predicate_LaneIdx8>>:$idx) - Complexity = 7
                 // Dst: (REPLACE_LANE_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$vec, (imm:{ *:[i32] }):$idx, I32:{ *:[i32] }:$x)
/* 55833*/      /*Scope*/ 18, /*->55852*/
/* 55834*/       OPC_CheckPredicate, 13, // Predicate_LaneIdx4
/* 55836*/       OPC_MoveParent,
/* 55837*/       OPC_CheckType, MVT::v4i32,
/* 55839*/       OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 55841*/       OPC_EmitConvertToTarget, 2,
/* 55843*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::REPLACE_LANE_I32x4), 0,
                     MVT::v4i32, 3/*#Ops*/, 0, 3, 1, 
                 // Src: (vector_insert:{ *:[v4i32] } V128:{ *:[v4i32] }:$vec, I32:{ *:[i32] }:$x, (imm:{ *:[i32] })<<P:Predicate_LaneIdx4>>:$idx) - Complexity = 7
                 // Dst: (REPLACE_LANE_I32x4:{ *:[v4i32] } V128:{ *:[v4i32] }:$vec, (imm:{ *:[i32] }):$idx, I32:{ *:[i32] }:$x)
/* 55852*/      0, /*End of Scope*/
/* 55853*/     /*Scope*/ 49, /*->55903*/
/* 55854*/      OPC_MoveChild2,
/* 55855*/      OPC_CheckOpcode, TARGET_VAL(ISD::UNDEF),
/* 55858*/      OPC_MoveParent,
/* 55859*/      OPC_SwitchType /*3 cases */, 12, MVT::v16i8,// ->55874
/* 55862*/       OPC_EmitInteger, MVT::i32, 0, 
/* 55865*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::REPLACE_LANE_I8x16), 0,
                     MVT::v16i8, 3/*#Ops*/, 0, 2, 1, 
                 // Src: (vector_insert:{ *:[v16i8] } V128:{ *:[v16i8] }:$vec, I32:{ *:[i32] }:$x, (undef:{ *:[iPTR] })) - Complexity = 6
                 // Dst: (REPLACE_LANE_I8x16:{ *:[v16i8] } ?:{ *:[v16i8] }:$vec, 0:{ *:[i32] }, ?:{ *:[i32] }:$x)
/* 55874*/      /*SwitchType*/ 12, MVT::v8i16,// ->55888
/* 55876*/       OPC_EmitInteger, MVT::i32, 0, 
/* 55879*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::REPLACE_LANE_I16x8), 0,
                     MVT::v8i16, 3/*#Ops*/, 0, 2, 1, 
                 // Src: (vector_insert:{ *:[v8i16] } V128:{ *:[v8i16] }:$vec, I32:{ *:[i32] }:$x, (undef:{ *:[iPTR] })) - Complexity = 6
                 // Dst: (REPLACE_LANE_I16x8:{ *:[v8i16] } ?:{ *:[v8i16] }:$vec, 0:{ *:[i32] }, ?:{ *:[i32] }:$x)
/* 55888*/      /*SwitchType*/ 12, MVT::v4i32,// ->55902
/* 55890*/       OPC_EmitInteger, MVT::i32, 0, 
/* 55893*/       OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::REPLACE_LANE_I32x4), 0,
                     MVT::v4i32, 3/*#Ops*/, 0, 2, 1, 
                 // Src: (vector_insert:{ *:[v4i32] } V128:{ *:[v4i32] }:$vec, I32:{ *:[i32] }:$x, (undef:{ *:[iPTR] })) - Complexity = 6
                 // Dst: (REPLACE_LANE_I32x4:{ *:[v4i32] } ?:{ *:[v4i32] }:$vec, 0:{ *:[i32] }, ?:{ *:[i32] }:$x)
/* 55902*/      0, // EndSwitchType
/* 55903*/     0, /*End of Scope*/
/* 55904*/    /*Scope*/ 50, /*->55955*/
/* 55905*/     OPC_CheckChild1Type, MVT::i64,
/* 55907*/     OPC_Scope, 25, /*->55934*/ // 2 children in Scope
/* 55909*/      OPC_RecordChild2, // #2 = $idx
/* 55910*/      OPC_MoveChild2,
/* 55911*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 55914*/      OPC_CheckPredicate, 15, // Predicate_LaneIdx2
/* 55916*/      OPC_CheckType, MVT::i32,
/* 55918*/      OPC_MoveParent,
/* 55919*/      OPC_CheckType, MVT::v2i64,
/* 55921*/      OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 55923*/      OPC_EmitConvertToTarget, 2,
/* 55925*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::REPLACE_LANE_I64x2), 0,
                    MVT::v2i64, 3/*#Ops*/, 0, 3, 1, 
                // Src: (vector_insert:{ *:[v2i64] } V128:{ *:[v2i64] }:$vec, I64:{ *:[i64] }:$x, (imm:{ *:[i32] })<<P:Predicate_LaneIdx2>>:$idx) - Complexity = 7
                // Dst: (REPLACE_LANE_I64x2:{ *:[v2i64] } V128:{ *:[v2i64] }:$vec, (imm:{ *:[i32] }):$idx, I64:{ *:[i64] }:$x)
/* 55934*/     /*Scope*/ 19, /*->55954*/
/* 55935*/      OPC_MoveChild2,
/* 55936*/      OPC_CheckOpcode, TARGET_VAL(ISD::UNDEF),
/* 55939*/      OPC_MoveParent,
/* 55940*/      OPC_CheckType, MVT::v2i64,
/* 55942*/      OPC_EmitInteger, MVT::i32, 0, 
/* 55945*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::REPLACE_LANE_I64x2), 0,
                    MVT::v2i64, 3/*#Ops*/, 0, 2, 1, 
                // Src: (vector_insert:{ *:[v2i64] } V128:{ *:[v2i64] }:$vec, I64:{ *:[i64] }:$x, (undef:{ *:[iPTR] })) - Complexity = 6
                // Dst: (REPLACE_LANE_I64x2:{ *:[v2i64] } ?:{ *:[v2i64] }:$vec, 0:{ *:[i32] }, ?:{ *:[i64] }:$x)
/* 55954*/     0, /*End of Scope*/
/* 55955*/    /*Scope*/ 50, /*->56006*/
/* 55956*/     OPC_CheckChild1Type, MVT::f32,
/* 55958*/     OPC_Scope, 25, /*->55985*/ // 2 children in Scope
/* 55960*/      OPC_RecordChild2, // #2 = $idx
/* 55961*/      OPC_MoveChild2,
/* 55962*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 55965*/      OPC_CheckPredicate, 13, // Predicate_LaneIdx4
/* 55967*/      OPC_CheckType, MVT::i32,
/* 55969*/      OPC_MoveParent,
/* 55970*/      OPC_CheckType, MVT::v4f32,
/* 55972*/      OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 55974*/      OPC_EmitConvertToTarget, 2,
/* 55976*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::REPLACE_LANE_F32x4), 0,
                    MVT::v4f32, 3/*#Ops*/, 0, 3, 1, 
                // Src: (vector_insert:{ *:[v4f32] } V128:{ *:[v4f32] }:$vec, F32:{ *:[f32] }:$x, (imm:{ *:[i32] })<<P:Predicate_LaneIdx4>>:$idx) - Complexity = 7
                // Dst: (REPLACE_LANE_F32x4:{ *:[v4f32] } V128:{ *:[v4f32] }:$vec, (imm:{ *:[i32] }):$idx, F32:{ *:[f32] }:$x)
/* 55985*/     /*Scope*/ 19, /*->56005*/
/* 55986*/      OPC_MoveChild2,
/* 55987*/      OPC_CheckOpcode, TARGET_VAL(ISD::UNDEF),
/* 55990*/      OPC_MoveParent,
/* 55991*/      OPC_CheckType, MVT::v4f32,
/* 55993*/      OPC_EmitInteger, MVT::i32, 0, 
/* 55996*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::REPLACE_LANE_F32x4), 0,
                    MVT::v4f32, 3/*#Ops*/, 0, 2, 1, 
                // Src: (vector_insert:{ *:[v4f32] } V128:{ *:[v4f32] }:$vec, F32:{ *:[f32] }:$x, (undef:{ *:[iPTR] })) - Complexity = 6
                // Dst: (REPLACE_LANE_F32x4:{ *:[v4f32] } ?:{ *:[v4f32] }:$vec, 0:{ *:[i32] }, ?:{ *:[f32] }:$x)
/* 56005*/     0, /*End of Scope*/
/* 56006*/    /*Scope*/ 50, /*->56057*/
/* 56007*/     OPC_CheckChild1Type, MVT::f64,
/* 56009*/     OPC_Scope, 25, /*->56036*/ // 2 children in Scope
/* 56011*/      OPC_RecordChild2, // #2 = $idx
/* 56012*/      OPC_MoveChild2,
/* 56013*/      OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 56016*/      OPC_CheckPredicate, 15, // Predicate_LaneIdx2
/* 56018*/      OPC_CheckType, MVT::i32,
/* 56020*/      OPC_MoveParent,
/* 56021*/      OPC_CheckType, MVT::v2f64,
/* 56023*/      OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 56025*/      OPC_EmitConvertToTarget, 2,
/* 56027*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::REPLACE_LANE_F64x2), 0,
                    MVT::v2f64, 3/*#Ops*/, 0, 3, 1, 
                // Src: (vector_insert:{ *:[v2f64] } V128:{ *:[v2f64] }:$vec, F64:{ *:[f64] }:$x, (imm:{ *:[i32] })<<P:Predicate_LaneIdx2>>:$idx) - Complexity = 7
                // Dst: (REPLACE_LANE_F64x2:{ *:[v2f64] } V128:{ *:[v2f64] }:$vec, (imm:{ *:[i32] }):$idx, F64:{ *:[f64] }:$x)
/* 56036*/     /*Scope*/ 19, /*->56056*/
/* 56037*/      OPC_MoveChild2,
/* 56038*/      OPC_CheckOpcode, TARGET_VAL(ISD::UNDEF),
/* 56041*/      OPC_MoveParent,
/* 56042*/      OPC_CheckType, MVT::v2f64,
/* 56044*/      OPC_EmitInteger, MVT::i32, 0, 
/* 56047*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::REPLACE_LANE_F64x2), 0,
                    MVT::v2f64, 3/*#Ops*/, 0, 2, 1, 
                // Src: (vector_insert:{ *:[v2f64] } V128:{ *:[v2f64] }:$vec, F64:{ *:[f64] }:$x, (undef:{ *:[iPTR] })) - Complexity = 6
                // Dst: (REPLACE_LANE_F64x2:{ *:[v2f64] } ?:{ *:[v2f64] }:$vec, 0:{ *:[i32] }, ?:{ *:[f64] }:$x)
/* 56056*/     0, /*End of Scope*/
/* 56057*/    0, /*End of Scope*/
/* 56058*/   0, /*End of Scope*/
/* 56059*/  0, /*End of Scope*/
/* 56060*/ /*SwitchOpcode*/ 60|128,3/*444*/, TARGET_VAL(ISD::SCALAR_TO_VECTOR),// ->56508
/* 56064*/  OPC_Scope, 112|128,2/*368*/, /*->56435*/ // 2 children in Scope
/* 56067*/   OPC_MoveChild0,
/* 56068*/   OPC_CheckOpcode, TARGET_VAL(ISD::LOAD),
/* 56071*/   OPC_RecordMemRef,
/* 56072*/   OPC_RecordNode, // #0 = 'ld' chained node
/* 56073*/   OPC_Scope, 92|128,1/*220*/, /*->56296*/ // 2 children in Scope
/* 56076*/    OPC_MoveChild1,
/* 56077*/    OPC_SwitchOpcode /*3 cases */, 69, TARGET_VAL(ISD::ADD),// ->56150
/* 56081*/     OPC_RecordChild0, // #1 = $addr
/* 56082*/     OPC_RecordChild1, // #2 = $off
/* 56083*/     OPC_MoveChild1,
/* 56084*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 56087*/     OPC_MoveParent,
/* 56088*/     OPC_CheckPredicate, 0, // Predicate_regPlusImm
/* 56090*/     OPC_SwitchType /*2 cases */, 27, MVT::i32,// ->56120
/* 56093*/      OPC_MoveParent,
/* 56094*/      OPC_CheckPredicate, 17, // Predicate_unindexedload
/* 56096*/      OPC_CheckPredicate, 18, // Predicate_load
/* 56098*/      OPC_CheckType, MVT::i64,
/* 56100*/      OPC_MoveParent,
/* 56101*/      OPC_CheckType, MVT::v2i64,
/* 56103*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 56105*/      OPC_EmitMergeInputChains1_0,
/* 56106*/      OPC_EmitInteger, MVT::i32, 0, 
/* 56109*/      OPC_EmitConvertToTarget, 2,
/* 56111*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_ZERO_I64x2_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2i64, 3/*#Ops*/, 3, 4, 1, 
                // Src: (scalar_to_vector:{ *:[v2i64] } (ld:{ *:[i64] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_load>>) - Complexity = 14
                // Dst: (LOAD_ZERO_I64x2_A32:{ *:[v2i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 56120*/     /*SwitchType*/ 27, MVT::i64,// ->56149
/* 56122*/      OPC_MoveParent,
/* 56123*/      OPC_CheckPredicate, 17, // Predicate_unindexedload
/* 56125*/      OPC_CheckPredicate, 18, // Predicate_load
/* 56127*/      OPC_CheckType, MVT::i64,
/* 56129*/      OPC_MoveParent,
/* 56130*/      OPC_CheckType, MVT::v2i64,
/* 56132*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 56134*/      OPC_EmitMergeInputChains1_0,
/* 56135*/      OPC_EmitInteger, MVT::i32, 0, 
/* 56138*/      OPC_EmitConvertToTarget, 2,
/* 56140*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_ZERO_I64x2_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2i64, 3/*#Ops*/, 3, 4, 1, 
                // Src: (scalar_to_vector:{ *:[v2i64] } (ld:{ *:[i64] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>)<<P:Predicate_unindexedload>><<P:Predicate_load>>) - Complexity = 14
                // Dst: (LOAD_ZERO_I64x2_A64:{ *:[v2i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 56149*/     0, // EndSwitchType
/* 56150*/    /*SwitchOpcode*/ 69, TARGET_VAL(ISD::OR),// ->56222
/* 56153*/     OPC_RecordChild0, // #1 = $addr
/* 56154*/     OPC_RecordChild1, // #2 = $off
/* 56155*/     OPC_MoveChild1,
/* 56156*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 56159*/     OPC_MoveParent,
/* 56160*/     OPC_CheckPredicate, 3, // Predicate_or_is_add
/* 56162*/     OPC_SwitchType /*2 cases */, 27, MVT::i32,// ->56192
/* 56165*/      OPC_MoveParent,
/* 56166*/      OPC_CheckPredicate, 17, // Predicate_unindexedload
/* 56168*/      OPC_CheckPredicate, 18, // Predicate_load
/* 56170*/      OPC_CheckType, MVT::i64,
/* 56172*/      OPC_MoveParent,
/* 56173*/      OPC_CheckType, MVT::v2i64,
/* 56175*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 56177*/      OPC_EmitMergeInputChains1_0,
/* 56178*/      OPC_EmitInteger, MVT::i32, 0, 
/* 56181*/      OPC_EmitConvertToTarget, 2,
/* 56183*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_ZERO_I64x2_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2i64, 3/*#Ops*/, 3, 4, 1, 
                // Src: (scalar_to_vector:{ *:[v2i64] } (ld:{ *:[i64] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_load>>) - Complexity = 14
                // Dst: (LOAD_ZERO_I64x2_A32:{ *:[v2i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 56192*/     /*SwitchType*/ 27, MVT::i64,// ->56221
/* 56194*/      OPC_MoveParent,
/* 56195*/      OPC_CheckPredicate, 17, // Predicate_unindexedload
/* 56197*/      OPC_CheckPredicate, 18, // Predicate_load
/* 56199*/      OPC_CheckType, MVT::i64,
/* 56201*/      OPC_MoveParent,
/* 56202*/      OPC_CheckType, MVT::v2i64,
/* 56204*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 56206*/      OPC_EmitMergeInputChains1_0,
/* 56207*/      OPC_EmitInteger, MVT::i32, 0, 
/* 56210*/      OPC_EmitConvertToTarget, 2,
/* 56212*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_ZERO_I64x2_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2i64, 3/*#Ops*/, 3, 4, 1, 
                // Src: (scalar_to_vector:{ *:[v2i64] } (ld:{ *:[i64] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>)<<P:Predicate_unindexedload>><<P:Predicate_load>>) - Complexity = 14
                // Dst: (LOAD_ZERO_I64x2_A64:{ *:[v2i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 56221*/     0, // EndSwitchType
/* 56222*/    /*SwitchOpcode*/ 70, TARGET_VAL(WebAssemblyISD::Wrapper),// ->56295
/* 56225*/     OPC_RecordChild0, // #1 = $off
/* 56226*/     OPC_MoveChild0,
/* 56227*/     OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 56230*/     OPC_MoveParent,
/* 56231*/     OPC_MoveParent,
/* 56232*/     OPC_CheckPredicate, 17, // Predicate_unindexedload
/* 56234*/     OPC_CheckPredicate, 18, // Predicate_load
/* 56236*/     OPC_CheckType, MVT::i64,
/* 56238*/     OPC_MoveParent,
/* 56239*/     OPC_CheckType, MVT::v2i64,
/* 56241*/     OPC_Scope, 25, /*->56268*/ // 2 children in Scope
/* 56243*/      OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 56245*/      OPC_EmitMergeInputChains1_0,
/* 56246*/      OPC_EmitInteger, MVT::i32, 0, 
/* 56249*/      OPC_EmitInteger, MVT::i32, 0, 
/* 56252*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 3,  // Results = #4
/* 56259*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_ZERO_I64x2_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2i64, 3/*#Ops*/, 2, 1, 4, 
                // Src: (scalar_to_vector:{ *:[v2i64] } (ld:{ *:[i64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_load>>) - Complexity = 13
                // Dst: (LOAD_ZERO_I64x2_A32:{ *:[v2i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 56268*/     /*Scope*/ 25, /*->56294*/
/* 56269*/      OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 56271*/      OPC_EmitMergeInputChains1_0,
/* 56272*/      OPC_EmitInteger, MVT::i32, 0, 
/* 56275*/      OPC_EmitInteger, MVT::i64, 0, 
/* 56278*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 3,  // Results = #4
/* 56285*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_ZERO_I64x2_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2i64, 3/*#Ops*/, 2, 1, 4, 
                // Src: (scalar_to_vector:{ *:[v2i64] } (ld:{ *:[i64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off))<<P:Predicate_unindexedload>><<P:Predicate_load>>) - Complexity = 13
                // Dst: (LOAD_ZERO_I64x2_A64:{ *:[v2i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 56294*/     0, /*End of Scope*/
/* 56295*/    0, // EndSwitchOpcode
/* 56296*/   /*Scope*/ 8|128,1/*136*/, /*->56434*/
/* 56298*/    OPC_RecordChild1, // #1 = $off
/* 56299*/    OPC_Scope, 72, /*->56373*/ // 3 children in Scope
/* 56301*/     OPC_MoveChild1,
/* 56302*/     OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 56305*/     OPC_MoveParent,
/* 56306*/     OPC_CheckPredicate, 17, // Predicate_unindexedload
/* 56308*/     OPC_CheckPredicate, 18, // Predicate_load
/* 56310*/     OPC_CheckType, MVT::i64,
/* 56312*/     OPC_MoveParent,
/* 56313*/     OPC_CheckType, MVT::v2i64,
/* 56315*/     OPC_Scope, 27, /*->56344*/ // 2 children in Scope
/* 56317*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 56319*/      OPC_EmitMergeInputChains1_0,
/* 56320*/      OPC_EmitInteger, MVT::i32, 0, 
/* 56323*/      OPC_EmitConvertToTarget, 1,
/* 56325*/      OPC_EmitInteger, MVT::i32, 0, 
/* 56328*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 56335*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_ZERO_I64x2_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2i64, 3/*#Ops*/, 2, 3, 5, 
                // Src: (scalar_to_vector:{ *:[v2i64] } (ld:{ *:[i64] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_load>>) - Complexity = 10
                // Dst: (LOAD_ZERO_I64x2_A32:{ *:[v2i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 56344*/     /*Scope*/ 27, /*->56372*/
/* 56345*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 56347*/      OPC_EmitMergeInputChains1_0,
/* 56348*/      OPC_EmitInteger, MVT::i32, 0, 
/* 56351*/      OPC_EmitConvertToTarget, 1,
/* 56353*/      OPC_EmitInteger, MVT::i64, 0, 
/* 56356*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 56363*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_ZERO_I64x2_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2i64, 3/*#Ops*/, 2, 3, 5, 
                // Src: (scalar_to_vector:{ *:[v2i64] } (ld:{ *:[i64] } (imm:{ *:[iPTR] }):$off)<<P:Predicate_unindexedload>><<P:Predicate_load>>) - Complexity = 10
                // Dst: (LOAD_ZERO_I64x2_A64:{ *:[v2i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 56372*/     0, /*End of Scope*/
/* 56373*/    /*Scope*/ 29, /*->56403*/
/* 56374*/     OPC_CheckChild1Type, MVT::i32,
/* 56376*/     OPC_CheckPredicate, 17, // Predicate_unindexedload
/* 56378*/     OPC_CheckPredicate, 18, // Predicate_load
/* 56380*/     OPC_CheckType, MVT::i64,
/* 56382*/     OPC_MoveParent,
/* 56383*/     OPC_CheckType, MVT::v2i64,
/* 56385*/     OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 56387*/     OPC_EmitMergeInputChains1_0,
/* 56388*/     OPC_EmitInteger, MVT::i32, 0, 
/* 56391*/     OPC_EmitInteger, MVT::i32, 0, 
/* 56394*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_ZERO_I64x2_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::v2i64, 3/*#Ops*/, 2, 3, 1, 
               // Src: (scalar_to_vector:{ *:[v2i64] } (ld:{ *:[i64] } I32:{ *:[i32] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_load>>) - Complexity = 7
               // Dst: (LOAD_ZERO_I64x2_A32:{ *:[v2i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr)
/* 56403*/    /*Scope*/ 29, /*->56433*/
/* 56404*/     OPC_CheckChild1Type, MVT::i64,
/* 56406*/     OPC_CheckPredicate, 17, // Predicate_unindexedload
/* 56408*/     OPC_CheckPredicate, 18, // Predicate_load
/* 56410*/     OPC_CheckType, MVT::i64,
/* 56412*/     OPC_MoveParent,
/* 56413*/     OPC_CheckType, MVT::v2i64,
/* 56415*/     OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 56417*/     OPC_EmitMergeInputChains1_0,
/* 56418*/     OPC_EmitInteger, MVT::i32, 0, 
/* 56421*/     OPC_EmitInteger, MVT::i64, 0, 
/* 56424*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD_ZERO_I64x2_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::v2i64, 3/*#Ops*/, 2, 3, 1, 
               // Src: (scalar_to_vector:{ *:[v2i64] } (ld:{ *:[i64] } I64:{ *:[i64] }:$addr)<<P:Predicate_unindexedload>><<P:Predicate_load>>) - Complexity = 7
               // Dst: (LOAD_ZERO_I64x2_A64:{ *:[v2i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr)
/* 56433*/    0, /*End of Scope*/
/* 56434*/   0, /*End of Scope*/
/* 56435*/  /*Scope*/ 71, /*->56507*/
/* 56436*/   OPC_RecordChild0, // #0 = $x
/* 56437*/   OPC_Scope, 31, /*->56470*/ // 4 children in Scope
/* 56439*/    OPC_CheckChild0Type, MVT::i32,
/* 56441*/    OPC_SwitchType /*3 cases */, 7, MVT::v16i8,// ->56451
/* 56444*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SPLAT_I8x16), 0,
                   MVT::v16i8, 1/*#Ops*/, 0, 
               // Src: (scalar_to_vector:{ *:[v16i8] } I32:{ *:[i32] }:$x) - Complexity = 3
               // Dst: (SPLAT_I8x16:{ *:[v16i8] } ?:{ *:[i32] }:$x)
/* 56451*/    /*SwitchType*/ 7, MVT::v8i16,// ->56460
/* 56453*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SPLAT_I16x8), 0,
                   MVT::v8i16, 1/*#Ops*/, 0, 
               // Src: (scalar_to_vector:{ *:[v8i16] } I32:{ *:[i32] }:$x) - Complexity = 3
               // Dst: (SPLAT_I16x8:{ *:[v8i16] } ?:{ *:[i32] }:$x)
/* 56460*/    /*SwitchType*/ 7, MVT::v4i32,// ->56469
/* 56462*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SPLAT_I32x4), 0,
                   MVT::v4i32, 1/*#Ops*/, 0, 
               // Src: (scalar_to_vector:{ *:[v4i32] } I32:{ *:[i32] }:$x) - Complexity = 3
               // Dst: (SPLAT_I32x4:{ *:[v4i32] } ?:{ *:[i32] }:$x)
/* 56469*/    0, // EndSwitchType
/* 56470*/   /*Scope*/ 11, /*->56482*/
/* 56471*/    OPC_CheckChild0Type, MVT::i64,
/* 56473*/    OPC_CheckType, MVT::v2i64,
/* 56475*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SPLAT_I64x2), 0,
                  MVT::v2i64, 1/*#Ops*/, 0, 
              // Src: (scalar_to_vector:{ *:[v2i64] } I64:{ *:[i64] }:$x) - Complexity = 3
              // Dst: (SPLAT_I64x2:{ *:[v2i64] } ?:{ *:[i64] }:$x)
/* 56482*/   /*Scope*/ 11, /*->56494*/
/* 56483*/    OPC_CheckChild0Type, MVT::f32,
/* 56485*/    OPC_CheckType, MVT::v4f32,
/* 56487*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SPLAT_F32x4), 0,
                  MVT::v4f32, 1/*#Ops*/, 0, 
              // Src: (scalar_to_vector:{ *:[v4f32] } F32:{ *:[f32] }:$x) - Complexity = 3
              // Dst: (SPLAT_F32x4:{ *:[v4f32] } ?:{ *:[f32] }:$x)
/* 56494*/   /*Scope*/ 11, /*->56506*/
/* 56495*/    OPC_CheckChild0Type, MVT::f64,
/* 56497*/    OPC_CheckType, MVT::v2f64,
/* 56499*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SPLAT_F64x2), 0,
                  MVT::v2f64, 1/*#Ops*/, 0, 
              // Src: (scalar_to_vector:{ *:[v2f64] } F64:{ *:[f64] }:$x) - Complexity = 3
              // Dst: (SPLAT_F64x2:{ *:[v2f64] } ?:{ *:[f64] }:$x)
/* 56506*/   0, /*End of Scope*/
/* 56507*/  0, /*End of Scope*/
/* 56508*/ /*SwitchOpcode*/ 3|128,1/*131*/, TARGET_VAL(WebAssemblyISD::VEC_SHL),// ->56643
/* 56512*/  OPC_RecordChild0, // #0 = $lhs
/* 56513*/  OPC_Scope, 75, /*->56590*/ // 2 children in Scope
/* 56515*/   OPC_MoveChild1,
/* 56516*/   OPC_Scope, 26, /*->56544*/ // 4 children in Scope
/* 56518*/    OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/* 56521*/    OPC_MoveChild0,
/* 56522*/    OPC_CheckAndImm, 63, 
/* 56524*/    OPC_RecordChild0, // #1 = $rhs
/* 56525*/    OPC_MoveParent,
/* 56526*/    OPC_MoveParent,
/* 56527*/    OPC_CheckType, MVT::v2i64,
/* 56529*/    OPC_EmitNode1, TARGET_VAL(WebAssembly::I32_WRAP_I64), 0,
                  MVT::i32, 1/*#Ops*/, 1,  // Results = #2
/* 56536*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SHL_I64x2), 0,
                  MVT::v2i64, 2/*#Ops*/, 0, 2, 
              // Src: (wasm_shl:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, (trunc:{ *:[i32] } (and:{ *:[i64] } I64:{ *:[i64] }:$rhs, 63:{ *:[i64] }))) - Complexity = 14
              // Dst: (SHL_I64x2:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, (I32_WRAP_I64:{ *:[i32] } I64:{ *:[i64] }:$rhs))
/* 56544*/   /*Scope*/ 14, /*->56559*/
/* 56545*/    OPC_CheckAndImm, 7, 
/* 56547*/    OPC_RecordChild0, // #1 = $rhs
/* 56548*/    OPC_MoveParent,
/* 56549*/    OPC_CheckType, MVT::v16i8,
/* 56551*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SHL_I8x16), 0,
                  MVT::v16i8, 2/*#Ops*/, 0, 1, 
              // Src: (wasm_shl:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, (and:{ *:[i32] } I32:{ *:[i32] }:$rhs, 7:{ *:[i32] })) - Complexity = 11
              // Dst: (SHL_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, I32:{ *:[i32] }:$rhs)
/* 56559*/   /*Scope*/ 14, /*->56574*/
/* 56560*/    OPC_CheckAndImm, 15, 
/* 56562*/    OPC_RecordChild0, // #1 = $rhs
/* 56563*/    OPC_MoveParent,
/* 56564*/    OPC_CheckType, MVT::v8i16,
/* 56566*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SHL_I16x8), 0,
                  MVT::v8i16, 2/*#Ops*/, 0, 1, 
              // Src: (wasm_shl:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, (and:{ *:[i32] } I32:{ *:[i32] }:$rhs, 15:{ *:[i32] })) - Complexity = 11
              // Dst: (SHL_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, I32:{ *:[i32] }:$rhs)
/* 56574*/   /*Scope*/ 14, /*->56589*/
/* 56575*/    OPC_CheckAndImm, 31, 
/* 56577*/    OPC_RecordChild0, // #1 = $rhs
/* 56578*/    OPC_MoveParent,
/* 56579*/    OPC_CheckType, MVT::v4i32,
/* 56581*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SHL_I32x4), 0,
                  MVT::v4i32, 2/*#Ops*/, 0, 1, 
              // Src: (wasm_shl:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, (and:{ *:[i32] } I32:{ *:[i32] }:$rhs, 31:{ *:[i32] })) - Complexity = 11
              // Dst: (SHL_I32x4:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/* 56589*/   0, /*End of Scope*/
/* 56590*/  /*Scope*/ 51, /*->56642*/
/* 56591*/   OPC_RecordChild1, // #1 = $x
/* 56592*/   OPC_SwitchType /*4 cases */, 10, MVT::v16i8,// ->56605
/* 56595*/    OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 56597*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SHL_I8x16), 0,
                  MVT::v16i8, 2/*#Ops*/, 0, 1, 
              // Src: (wasm_shl:{ *:[v16i8] } V128:{ *:[v16i8] }:$vec, I32:{ *:[i32] }:$x) - Complexity = 3
              // Dst: (SHL_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$vec, I32:{ *:[i32] }:$x)
/* 56605*/   /*SwitchType*/ 10, MVT::v8i16,// ->56617
/* 56607*/    OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 56609*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SHL_I16x8), 0,
                  MVT::v8i16, 2/*#Ops*/, 0, 1, 
              // Src: (wasm_shl:{ *:[v8i16] } V128:{ *:[v8i16] }:$vec, I32:{ *:[i32] }:$x) - Complexity = 3
              // Dst: (SHL_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$vec, I32:{ *:[i32] }:$x)
/* 56617*/   /*SwitchType*/ 10, MVT::v4i32,// ->56629
/* 56619*/    OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 56621*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SHL_I32x4), 0,
                  MVT::v4i32, 2/*#Ops*/, 0, 1, 
              // Src: (wasm_shl:{ *:[v4i32] } V128:{ *:[v4i32] }:$vec, I32:{ *:[i32] }:$x) - Complexity = 3
              // Dst: (SHL_I32x4:{ *:[v4i32] } V128:{ *:[v4i32] }:$vec, I32:{ *:[i32] }:$x)
/* 56629*/   /*SwitchType*/ 10, MVT::v2i64,// ->56641
/* 56631*/    OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 56633*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SHL_I64x2), 0,
                  MVT::v2i64, 2/*#Ops*/, 0, 1, 
              // Src: (wasm_shl:{ *:[v2i64] } V128:{ *:[v2i64] }:$vec, I32:{ *:[i32] }:$x) - Complexity = 3
              // Dst: (SHL_I64x2:{ *:[v2i64] } V128:{ *:[v2i64] }:$vec, I32:{ *:[i32] }:$x)
/* 56641*/   0, // EndSwitchType
/* 56642*/  0, /*End of Scope*/
/* 56643*/ /*SwitchOpcode*/ 3|128,1/*131*/, TARGET_VAL(WebAssemblyISD::VEC_SHR_S),// ->56778
/* 56647*/  OPC_RecordChild0, // #0 = $lhs
/* 56648*/  OPC_Scope, 75, /*->56725*/ // 2 children in Scope
/* 56650*/   OPC_MoveChild1,
/* 56651*/   OPC_Scope, 26, /*->56679*/ // 4 children in Scope
/* 56653*/    OPC_CheckOpcode, TARGET_VAL(ISD::TRUNCATE),
/* 56656*/    OPC_MoveChild0,
/* 56657*/    OPC_CheckAndImm, 63, 
/* 56659*/    OPC_RecordChild0, // #1 = $rhs
/* 56660*/    OPC_MoveParent,
/* 56661*/    OPC_MoveParent,
/* 56662*/    OPC_CheckType, MVT::v2i64,
/* 56664*/    OPC_EmitNode1, TARGET_VAL(WebAssembly::I32_WRAP_I64), 0,
                  MVT::i32, 1/*#Ops*/, 1,  // Results = #2
/* 56671*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SHR_S_I64x2), 0,
                  MVT::v2i64, 2/*#Ops*/, 0, 2, 
              // Src: (wasm_shr_s:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, (trunc:{ *:[i32] } (and:{ *:[i64] } I64:{ *:[i64] }:$rhs, 63:{ *:[i64] }))) - Complexity = 14
              // Dst: (SHR_S_I64x2:{ *:[v2i64] } V128:{ *:[v2i64] }:$lhs, (I32_WRAP_I64:{ *:[i32] } I64:{ *:[i64] }:$rhs))
/* 56679*/   /*Scope*/ 14, /*->56694*/
/* 56680*/    OPC_CheckAndImm, 7, 
/* 56682*/    OPC_RecordChild0, // #1 = $rhs
/* 56683*/    OPC_MoveParent,
/* 56684*/    OPC_CheckType, MVT::v16i8,
/* 56686*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SHR_S_I8x16), 0,
                  MVT::v16i8, 2/*#Ops*/, 0, 1, 
              // Src: (wasm_shr_s:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, (and:{ *:[i32] } I32:{ *:[i32] }:$rhs, 7:{ *:[i32] })) - Complexity = 11
              // Dst: (SHR_S_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, I32:{ *:[i32] }:$rhs)
/* 56694*/   /*Scope*/ 14, /*->56709*/
/* 56695*/    OPC_CheckAndImm, 15, 
/* 56697*/    OPC_RecordChild0, // #1 = $rhs
/* 56698*/    OPC_MoveParent,
/* 56699*/    OPC_CheckType, MVT::v8i16,
/* 56701*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SHR_S_I16x8), 0,
                  MVT::v8i16, 2/*#Ops*/, 0, 1, 
              // Src: (wasm_shr_s:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, (and:{ *:[i32] } I32:{ *:[i32] }:$rhs, 15:{ *:[i32] })) - Complexity = 11
              // Dst: (SHR_S_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, I32:{ *:[i32] }:$rhs)
/* 56709*/   /*Scope*/ 14, /*->56724*/
/* 56710*/    OPC_CheckAndImm, 31, 
/* 56712*/    OPC_RecordChild0, // #1 = $rhs
/* 56713*/    OPC_MoveParent,
/* 56714*/    OPC_CheckType, MVT::v4i32,
/* 56716*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SHR_S_I32x4), 0,
                  MVT::v4i32, 2/*#Ops*/, 0, 1, 
              // Src: (wasm_shr_s:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, (and:{ *:[i32] } I32:{ *:[i32] }:$rhs, 31:{ *:[i32] })) - Complexity = 11
              // Dst: (SHR_S_I32x4:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, I32:{ *:[i32] }:$rhs)
/* 56724*/   0, /*End of Scope*/
/* 56725*/  /*Scope*/ 51, /*->56777*/
/* 56726*/   OPC_RecordChild1, // #1 = $x
/* 56727*/   OPC_SwitchType /*4 cases */, 10, MVT::v16i8,// ->56740
/* 56730*/    OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 56732*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SHR_S_I8x16), 0,
                  MVT::v16i8, 2/*#Ops*/, 0, 1, 
              // Src: (wasm_shr_s:{ *:[v16i8] } V128:{ *:[v16i8] }:$vec, I32:{ *:[i32] }:$x) - Complexity = 3
              // Dst: (SHR_S_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$vec, I32:{ *:[i32] }:$x)
/* 56740*/   /*SwitchType*/ 10, MVT::v8i16,// ->56752
/* 56742*/    OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 56744*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SHR_S_I16x8), 0,
                  MVT::v8i16, 2/*#Ops*/, 0, 1, 
              // Src: (wasm_shr_s:{ *:[v8i16] } V128:{ *:[v8i16] }:$vec, I32:{ *:[i32] }:$x) - Complexity = 3
              // Dst: (SHR_S_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$vec, I32:{ *:[i32] }:$x)
/* 56752*/   /*SwitchType*/ 10, MVT::v4i32,// ->56764
/* 56754*/    OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 56756*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SHR_S_I32x4), 0,
                  MVT::v4i32, 2/*#Ops*/, 0, 1, 
              // Src: (wasm_shr_s:{ *:[v4i32] } V128:{ *:[v4i32] }:$vec, I32:{ *:[i32] }:$x) - Complexity = 3
              // Dst: (SHR_S_I32x4:{ *:[v4i32] } V128:{ *:[v4i32] }:$vec, I32:{ *:[i32] }:$x)
/* 56764*/   /*SwitchType*/ 10, MVT::v2i64,// ->56776
/* 56766*/    OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 56768*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SHR_S_I64x2), 0,
                  MVT::v2i64, 2/*#Ops*/, 0, 1, 
              // Src: (wasm_shr_s:{ *:[v2i64] } V128:{ *:[v2i64] }:$vec, I32:{ *:[i32] }:$x) - Complexity = 3
              // Dst: (SHR_S_I64x2:{ *:[v2i64] } V128:{ *:[v2i64] }:$vec, I32:{ *:[i32] }:$x)
/* 56776*/   0, // EndSwitchType
/* 56777*/  0, /*End of Scope*/
/* 56778*/ /*SwitchOpcode*/ 18|128,2/*274*/, TARGET_VAL(ISD::VSELECT),// ->57056
/* 56782*/  OPC_Scope, 103, /*->56887*/ // 4 children in Scope
/* 56784*/   OPC_MoveChild0,
/* 56785*/   OPC_CheckOpcode, TARGET_VAL(ISD::SETCC),
/* 56788*/   OPC_MoveChild0,
/* 56789*/   OPC_CheckOpcode, TARGET_VAL(ISD::BITCAST),
/* 56792*/   OPC_RecordChild0, // #0 = $rhs
/* 56793*/   OPC_SwitchType /*2 cases */, 44, MVT::v4f32,// ->56840
/* 56796*/    OPC_CheckChild0Type, MVT::v4i32,
/* 56798*/    OPC_MoveParent,
/* 56799*/    OPC_MoveChild1,
/* 56800*/    OPC_CheckOpcode, TARGET_VAL(ISD::BITCAST),
/* 56803*/    OPC_RecordChild0, // #1 = $lhs
/* 56804*/    OPC_CheckChild0Type, MVT::v4i32,
/* 56806*/    OPC_MoveParent,
/* 56807*/    OPC_CheckChild2CondCode, ISD::SETOLT,
/* 56809*/    OPC_MoveParent,
/* 56810*/    OPC_CheckType, MVT::v4i32,
/* 56812*/    OPC_Scope, 12, /*->56826*/ // 2 children in Scope
/* 56814*/     OPC_CheckChild1Same, 0,
/* 56816*/     OPC_CheckChild2Same, 1,
/* 56818*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::PMIN_F32x4), 0,
                   MVT::v4i32, 2/*#Ops*/, 1, 0, 
               // Src: (vselect:{ *:[v4i32] } (setcc:{ *:[v4i32] } (bitconvert:{ *:[v4f32] } V128:{ *:[v4i32] }:$rhs), (bitconvert:{ *:[v4f32] } V128:{ *:[v4i32] }:$lhs), SETOLT:{ *:[Other] }), V128:{ *:[v4i32] }:$rhs, V128:{ *:[v4i32] }:$lhs) - Complexity = 12
               // Dst: (PMIN_F32x4:{ *:[v4i32] } ?:{ *:[v4i32] }:$lhs, ?:{ *:[v4i32] }:$rhs)
/* 56826*/    /*Scope*/ 12, /*->56839*/
/* 56827*/     OPC_CheckChild1Same, 1,
/* 56829*/     OPC_CheckChild2Same, 0,
/* 56831*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::PMAX_F32x4), 0,
                   MVT::v4i32, 2/*#Ops*/, 0, 1, 
               // Src: (vselect:{ *:[v4i32] } (setcc:{ *:[v4i32] } (bitconvert:{ *:[v4f32] } V128:{ *:[v4i32] }:$lhs), (bitconvert:{ *:[v4f32] } V128:{ *:[v4i32] }:$rhs), SETOLT:{ *:[Other] }), V128:{ *:[v4i32] }:$rhs, V128:{ *:[v4i32] }:$lhs) - Complexity = 12
               // Dst: (PMAX_F32x4:{ *:[v4i32] } ?:{ *:[v4i32] }:$lhs, ?:{ *:[v4i32] }:$rhs)
/* 56839*/    0, /*End of Scope*/
/* 56840*/   /*SwitchType*/ 44, MVT::v2f64,// ->56886
/* 56842*/    OPC_CheckChild0Type, MVT::v2i64,
/* 56844*/    OPC_MoveParent,
/* 56845*/    OPC_MoveChild1,
/* 56846*/    OPC_CheckOpcode, TARGET_VAL(ISD::BITCAST),
/* 56849*/    OPC_RecordChild0, // #1 = $lhs
/* 56850*/    OPC_CheckChild0Type, MVT::v2i64,
/* 56852*/    OPC_MoveParent,
/* 56853*/    OPC_CheckChild2CondCode, ISD::SETOLT,
/* 56855*/    OPC_MoveParent,
/* 56856*/    OPC_CheckType, MVT::v2i64,
/* 56858*/    OPC_Scope, 12, /*->56872*/ // 2 children in Scope
/* 56860*/     OPC_CheckChild1Same, 0,
/* 56862*/     OPC_CheckChild2Same, 1,
/* 56864*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::PMIN_F64x2), 0,
                   MVT::v2i64, 2/*#Ops*/, 1, 0, 
               // Src: (vselect:{ *:[v2i64] } (setcc:{ *:[v2i64] } (bitconvert:{ *:[v2f64] } V128:{ *:[v2i64] }:$rhs), (bitconvert:{ *:[v2f64] } V128:{ *:[v2i64] }:$lhs), SETOLT:{ *:[Other] }), V128:{ *:[v2i64] }:$rhs, V128:{ *:[v2i64] }:$lhs) - Complexity = 12
               // Dst: (PMIN_F64x2:{ *:[v2i64] } ?:{ *:[v2i64] }:$lhs, ?:{ *:[v2i64] }:$rhs)
/* 56872*/    /*Scope*/ 12, /*->56885*/
/* 56873*/     OPC_CheckChild1Same, 1,
/* 56875*/     OPC_CheckChild2Same, 0,
/* 56877*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::PMAX_F64x2), 0,
                   MVT::v2i64, 2/*#Ops*/, 0, 1, 
               // Src: (vselect:{ *:[v2i64] } (setcc:{ *:[v2i64] } (bitconvert:{ *:[v2f64] } V128:{ *:[v2i64] }:$lhs), (bitconvert:{ *:[v2f64] } V128:{ *:[v2i64] }:$rhs), SETOLT:{ *:[Other] }), V128:{ *:[v2i64] }:$rhs, V128:{ *:[v2i64] }:$lhs) - Complexity = 12
               // Dst: (PMAX_F64x2:{ *:[v2i64] } ?:{ *:[v2i64] }:$lhs, ?:{ *:[v2i64] }:$rhs)
/* 56885*/    0, /*End of Scope*/
/* 56886*/   0, // EndSwitchType
/* 56887*/  /*Scope*/ 49, /*->56937*/
/* 56888*/   OPC_RecordChild0, // #0 = $c
/* 56889*/   OPC_RecordChild1, // #1 = $v1
/* 56890*/   OPC_RecordChild2, // #2 = $v2
/* 56891*/   OPC_SwitchType /*4 cases */, 9, MVT::v16i8,// ->56903
/* 56894*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::BITSELECT), 0,
                  MVT::v16i8, 3/*#Ops*/, 1, 2, 0, 
              // Src: (vselect:{ *:[v16i8] } V128:{ *:[v16i8] }:$c, V128:{ *:[v16i8] }:$v1, V128:{ *:[v16i8] }:$v2) - Complexity = 3
              // Dst: (BITSELECT:{ *:[v16i8] } ?:{ *:[v16i8] }:$v1, ?:{ *:[v16i8] }:$v2, ?:{ *:[v16i8] }:$c)
/* 56903*/   /*SwitchType*/ 9, MVT::v8i16,// ->56914
/* 56905*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::BITSELECT), 0,
                  MVT::v8i16, 3/*#Ops*/, 1, 2, 0, 
              // Src: (vselect:{ *:[v8i16] } V128:{ *:[v8i16] }:$c, V128:{ *:[v8i16] }:$v1, V128:{ *:[v8i16] }:$v2) - Complexity = 3
              // Dst: (BITSELECT:{ *:[v8i16] } ?:{ *:[v8i16] }:$v1, ?:{ *:[v8i16] }:$v2, ?:{ *:[v8i16] }:$c)
/* 56914*/   /*SwitchType*/ 9, MVT::v4i32,// ->56925
/* 56916*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::BITSELECT), 0,
                  MVT::v4i32, 3/*#Ops*/, 1, 2, 0, 
              // Src: (vselect:{ *:[v4i32] } V128:{ *:[v4i32] }:$c, V128:{ *:[v4i32] }:$v1, V128:{ *:[v4i32] }:$v2) - Complexity = 3
              // Dst: (BITSELECT:{ *:[v4i32] } ?:{ *:[v4i32] }:$v1, ?:{ *:[v4i32] }:$v2, ?:{ *:[v4i32] }:$c)
/* 56925*/   /*SwitchType*/ 9, MVT::v2i64,// ->56936
/* 56927*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::BITSELECT), 0,
                  MVT::v2i64, 3/*#Ops*/, 1, 2, 0, 
              // Src: (vselect:{ *:[v2i64] } V128:{ *:[v2i64] }:$c, V128:{ *:[v2i64] }:$v1, V128:{ *:[v2i64] }:$v2) - Complexity = 3
              // Dst: (BITSELECT:{ *:[v2i64] } ?:{ *:[v2i64] }:$v1, ?:{ *:[v2i64] }:$v2, ?:{ *:[v2i64] }:$c)
/* 56936*/   0, // EndSwitchType
/* 56937*/  /*Scope*/ 89, /*->57027*/
/* 56938*/   OPC_MoveChild0,
/* 56939*/   OPC_CheckOpcode, TARGET_VAL(ISD::SETCC),
/* 56942*/   OPC_RecordChild0, // #0 = $rhs
/* 56943*/   OPC_Scope, 40, /*->56985*/ // 2 children in Scope
/* 56945*/    OPC_CheckChild0Type, MVT::v4f32,
/* 56947*/    OPC_RecordChild1, // #1 = $lhs
/* 56948*/    OPC_CheckChild2CondCode, ISD::SETOLT,
/* 56950*/    OPC_MoveParent,
/* 56951*/    OPC_CheckType, MVT::v4f32,
/* 56953*/    OPC_Scope, 14, /*->56969*/ // 2 children in Scope
/* 56955*/     OPC_CheckChild1Same, 0,
/* 56957*/     OPC_CheckChild2Same, 1,
/* 56959*/     OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 56961*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::PMIN_F32x4), 0,
                   MVT::v4f32, 2/*#Ops*/, 1, 0, 
               // Src: (vselect:{ *:[v4f32] } (setcc:{ *:[v4i32] } V128:{ *:[v4f32] }:$rhs, V128:{ *:[v4f32] }:$lhs, SETOLT:{ *:[Other] }), V128:{ *:[v4f32] }:$rhs, V128:{ *:[v4f32] }:$lhs) - Complexity = 6
               // Dst: (PMIN_F32x4:{ *:[v4f32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs)
/* 56969*/    /*Scope*/ 14, /*->56984*/
/* 56970*/     OPC_CheckChild1Same, 1,
/* 56972*/     OPC_CheckChild2Same, 0,
/* 56974*/     OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 56976*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::PMAX_F32x4), 0,
                   MVT::v4f32, 2/*#Ops*/, 0, 1, 
               // Src: (vselect:{ *:[v4f32] } (setcc:{ *:[v4i32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs, SETOLT:{ *:[Other] }), V128:{ *:[v4f32] }:$rhs, V128:{ *:[v4f32] }:$lhs) - Complexity = 6
               // Dst: (PMAX_F32x4:{ *:[v4f32] } V128:{ *:[v4f32] }:$lhs, V128:{ *:[v4f32] }:$rhs)
/* 56984*/    0, /*End of Scope*/
/* 56985*/   /*Scope*/ 40, /*->57026*/
/* 56986*/    OPC_CheckChild0Type, MVT::v2f64,
/* 56988*/    OPC_RecordChild1, // #1 = $lhs
/* 56989*/    OPC_CheckChild2CondCode, ISD::SETOLT,
/* 56991*/    OPC_MoveParent,
/* 56992*/    OPC_CheckType, MVT::v2f64,
/* 56994*/    OPC_Scope, 14, /*->57010*/ // 2 children in Scope
/* 56996*/     OPC_CheckChild1Same, 0,
/* 56998*/     OPC_CheckChild2Same, 1,
/* 57000*/     OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 57002*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::PMIN_F64x2), 0,
                   MVT::v2f64, 2/*#Ops*/, 1, 0, 
               // Src: (vselect:{ *:[v2f64] } (setcc:{ *:[v2i64] } V128:{ *:[v2f64] }:$rhs, V128:{ *:[v2f64] }:$lhs, SETOLT:{ *:[Other] }), V128:{ *:[v2f64] }:$rhs, V128:{ *:[v2f64] }:$lhs) - Complexity = 6
               // Dst: (PMIN_F64x2:{ *:[v2f64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs)
/* 57010*/    /*Scope*/ 14, /*->57025*/
/* 57011*/     OPC_CheckChild1Same, 1,
/* 57013*/     OPC_CheckChild2Same, 0,
/* 57015*/     OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 57017*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::PMAX_F64x2), 0,
                   MVT::v2f64, 2/*#Ops*/, 0, 1, 
               // Src: (vselect:{ *:[v2f64] } (setcc:{ *:[v2i64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs, SETOLT:{ *:[Other] }), V128:{ *:[v2f64] }:$rhs, V128:{ *:[v2f64] }:$lhs) - Complexity = 6
               // Dst: (PMAX_F64x2:{ *:[v2f64] } V128:{ *:[v2f64] }:$lhs, V128:{ *:[v2f64] }:$rhs)
/* 57025*/    0, /*End of Scope*/
/* 57026*/   0, /*End of Scope*/
/* 57027*/  /*Scope*/ 27, /*->57055*/
/* 57028*/   OPC_RecordChild0, // #0 = $c
/* 57029*/   OPC_RecordChild1, // #1 = $v1
/* 57030*/   OPC_RecordChild2, // #2 = $v2
/* 57031*/   OPC_SwitchType /*2 cases */, 9, MVT::v4f32,// ->57043
/* 57034*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::BITSELECT), 0,
                  MVT::v4f32, 3/*#Ops*/, 1, 2, 0, 
              // Src: (vselect:{ *:[v4f32] } V128:{ *:[v4i32] }:$c, V128:{ *:[v4f32] }:$v1, V128:{ *:[v4f32] }:$v2) - Complexity = 3
              // Dst: (BITSELECT:{ *:[v4f32] } ?:{ *:[v4f32] }:$v1, ?:{ *:[v4f32] }:$v2, ?:{ *:[v4i32] }:$c)
/* 57043*/   /*SwitchType*/ 9, MVT::v2f64,// ->57054
/* 57045*/    OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::BITSELECT), 0,
                  MVT::v2f64, 3/*#Ops*/, 1, 2, 0, 
              // Src: (vselect:{ *:[v2f64] } V128:{ *:[v2i64] }:$c, V128:{ *:[v2f64] }:$v1, V128:{ *:[v2f64] }:$v2) - Complexity = 3
              // Dst: (BITSELECT:{ *:[v2f64] } ?:{ *:[v2f64] }:$v1, ?:{ *:[v2f64] }:$v2, ?:{ *:[v2i64] }:$c)
/* 57054*/   0, // EndSwitchType
/* 57055*/  0, /*End of Scope*/
/* 57056*/ /*SwitchOpcode*/ 40|128,12/*1576*/, TARGET_VAL(WebAssemblyISD::LOAD_SPLAT),// ->58636
/* 57060*/  OPC_RecordMemRef,
/* 57061*/  OPC_RecordNode, // #0 = 'wasm_load_splat' chained node
/* 57062*/  OPC_Scope, 82|128,4/*594*/, /*->57659*/ // 4 children in Scope
/* 57065*/   OPC_MoveChild1,
/* 57066*/   OPC_SwitchOpcode /*3 cases */, 45|128,1/*173*/, TARGET_VAL(ISD::ADD),// ->57244
/* 57071*/    OPC_RecordChild0, // #1 = $addr
/* 57072*/    OPC_RecordChild1, // #2 = $off
/* 57073*/    OPC_MoveChild1,
/* 57074*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 57077*/    OPC_MoveParent,
/* 57078*/    OPC_CheckPredicate, 0, // Predicate_regPlusImm
/* 57080*/    OPC_SwitchType /*2 cases */, 79, MVT::i32,// ->57162
/* 57083*/     OPC_MoveParent,
/* 57084*/     OPC_SwitchType /*4 cases */, 17, MVT::v16i8,// ->57104
/* 57087*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 57089*/      OPC_EmitMergeInputChains1_0,
/* 57090*/      OPC_EmitInteger, MVT::i32, 0, 
/* 57093*/      OPC_EmitConvertToTarget, 2,
/* 57095*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_SPLAT_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v16i8, 3/*#Ops*/, 3, 4, 1, 
                // Src: (wasm_load_splat:{ *:[v16i8] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>) - Complexity = 10
                // Dst: (LOAD8_SPLAT_A32:{ *:[v16i8] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 57104*/     /*SwitchType*/ 17, MVT::v8i16,// ->57123
/* 57106*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 57108*/      OPC_EmitMergeInputChains1_0,
/* 57109*/      OPC_EmitInteger, MVT::i32, 0, 
/* 57112*/      OPC_EmitConvertToTarget, 2,
/* 57114*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_SPLAT_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v8i16, 3/*#Ops*/, 3, 4, 1, 
                // Src: (wasm_load_splat:{ *:[v8i16] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>) - Complexity = 10
                // Dst: (LOAD16_SPLAT_A32:{ *:[v8i16] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 57123*/     /*SwitchType*/ 17, MVT::v4i32,// ->57142
/* 57125*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 57127*/      OPC_EmitMergeInputChains1_0,
/* 57128*/      OPC_EmitInteger, MVT::i32, 0, 
/* 57131*/      OPC_EmitConvertToTarget, 2,
/* 57133*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD32_SPLAT_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v4i32, 3/*#Ops*/, 3, 4, 1, 
                // Src: (wasm_load_splat:{ *:[v4i32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>) - Complexity = 10
                // Dst: (LOAD32_SPLAT_A32:{ *:[v4i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 57142*/     /*SwitchType*/ 17, MVT::v2i64,// ->57161
/* 57144*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 57146*/      OPC_EmitMergeInputChains1_0,
/* 57147*/      OPC_EmitInteger, MVT::i32, 0, 
/* 57150*/      OPC_EmitConvertToTarget, 2,
/* 57152*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD64_SPLAT_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2i64, 3/*#Ops*/, 3, 4, 1, 
                // Src: (wasm_load_splat:{ *:[v2i64] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>) - Complexity = 10
                // Dst: (LOAD64_SPLAT_A32:{ *:[v2i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 57161*/     0, // EndSwitchType
/* 57162*/    /*SwitchType*/ 79, MVT::i64,// ->57243
/* 57164*/     OPC_MoveParent,
/* 57165*/     OPC_SwitchType /*4 cases */, 17, MVT::v16i8,// ->57185
/* 57168*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 57170*/      OPC_EmitMergeInputChains1_0,
/* 57171*/      OPC_EmitInteger, MVT::i32, 0, 
/* 57174*/      OPC_EmitConvertToTarget, 2,
/* 57176*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_SPLAT_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v16i8, 3/*#Ops*/, 3, 4, 1, 
                // Src: (wasm_load_splat:{ *:[v16i8] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>) - Complexity = 10
                // Dst: (LOAD8_SPLAT_A64:{ *:[v16i8] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 57185*/     /*SwitchType*/ 17, MVT::v8i16,// ->57204
/* 57187*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 57189*/      OPC_EmitMergeInputChains1_0,
/* 57190*/      OPC_EmitInteger, MVT::i32, 0, 
/* 57193*/      OPC_EmitConvertToTarget, 2,
/* 57195*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_SPLAT_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v8i16, 3/*#Ops*/, 3, 4, 1, 
                // Src: (wasm_load_splat:{ *:[v8i16] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>) - Complexity = 10
                // Dst: (LOAD16_SPLAT_A64:{ *:[v8i16] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 57204*/     /*SwitchType*/ 17, MVT::v4i32,// ->57223
/* 57206*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 57208*/      OPC_EmitMergeInputChains1_0,
/* 57209*/      OPC_EmitInteger, MVT::i32, 0, 
/* 57212*/      OPC_EmitConvertToTarget, 2,
/* 57214*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD32_SPLAT_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v4i32, 3/*#Ops*/, 3, 4, 1, 
                // Src: (wasm_load_splat:{ *:[v4i32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>) - Complexity = 10
                // Dst: (LOAD32_SPLAT_A64:{ *:[v4i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 57223*/     /*SwitchType*/ 17, MVT::v2i64,// ->57242
/* 57225*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 57227*/      OPC_EmitMergeInputChains1_0,
/* 57228*/      OPC_EmitInteger, MVT::i32, 0, 
/* 57231*/      OPC_EmitConvertToTarget, 2,
/* 57233*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD64_SPLAT_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2i64, 3/*#Ops*/, 3, 4, 1, 
                // Src: (wasm_load_splat:{ *:[v2i64] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>) - Complexity = 10
                // Dst: (LOAD64_SPLAT_A64:{ *:[v2i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 57242*/     0, // EndSwitchType
/* 57243*/    0, // EndSwitchType
/* 57244*/   /*SwitchOpcode*/ 45|128,1/*173*/, TARGET_VAL(ISD::OR),// ->57421
/* 57248*/    OPC_RecordChild0, // #1 = $addr
/* 57249*/    OPC_RecordChild1, // #2 = $off
/* 57250*/    OPC_MoveChild1,
/* 57251*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 57254*/    OPC_MoveParent,
/* 57255*/    OPC_CheckPredicate, 3, // Predicate_or_is_add
/* 57257*/    OPC_SwitchType /*2 cases */, 79, MVT::i32,// ->57339
/* 57260*/     OPC_MoveParent,
/* 57261*/     OPC_SwitchType /*4 cases */, 17, MVT::v16i8,// ->57281
/* 57264*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 57266*/      OPC_EmitMergeInputChains1_0,
/* 57267*/      OPC_EmitInteger, MVT::i32, 0, 
/* 57270*/      OPC_EmitConvertToTarget, 2,
/* 57272*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_SPLAT_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v16i8, 3/*#Ops*/, 3, 4, 1, 
                // Src: (wasm_load_splat:{ *:[v16i8] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>) - Complexity = 10
                // Dst: (LOAD8_SPLAT_A32:{ *:[v16i8] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 57281*/     /*SwitchType*/ 17, MVT::v8i16,// ->57300
/* 57283*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 57285*/      OPC_EmitMergeInputChains1_0,
/* 57286*/      OPC_EmitInteger, MVT::i32, 0, 
/* 57289*/      OPC_EmitConvertToTarget, 2,
/* 57291*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_SPLAT_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v8i16, 3/*#Ops*/, 3, 4, 1, 
                // Src: (wasm_load_splat:{ *:[v8i16] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>) - Complexity = 10
                // Dst: (LOAD16_SPLAT_A32:{ *:[v8i16] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 57300*/     /*SwitchType*/ 17, MVT::v4i32,// ->57319
/* 57302*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 57304*/      OPC_EmitMergeInputChains1_0,
/* 57305*/      OPC_EmitInteger, MVT::i32, 0, 
/* 57308*/      OPC_EmitConvertToTarget, 2,
/* 57310*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD32_SPLAT_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v4i32, 3/*#Ops*/, 3, 4, 1, 
                // Src: (wasm_load_splat:{ *:[v4i32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>) - Complexity = 10
                // Dst: (LOAD32_SPLAT_A32:{ *:[v4i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 57319*/     /*SwitchType*/ 17, MVT::v2i64,// ->57338
/* 57321*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 57323*/      OPC_EmitMergeInputChains1_0,
/* 57324*/      OPC_EmitInteger, MVT::i32, 0, 
/* 57327*/      OPC_EmitConvertToTarget, 2,
/* 57329*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD64_SPLAT_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2i64, 3/*#Ops*/, 3, 4, 1, 
                // Src: (wasm_load_splat:{ *:[v2i64] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>) - Complexity = 10
                // Dst: (LOAD64_SPLAT_A32:{ *:[v2i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 57338*/     0, // EndSwitchType
/* 57339*/    /*SwitchType*/ 79, MVT::i64,// ->57420
/* 57341*/     OPC_MoveParent,
/* 57342*/     OPC_SwitchType /*4 cases */, 17, MVT::v16i8,// ->57362
/* 57345*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 57347*/      OPC_EmitMergeInputChains1_0,
/* 57348*/      OPC_EmitInteger, MVT::i32, 0, 
/* 57351*/      OPC_EmitConvertToTarget, 2,
/* 57353*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_SPLAT_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v16i8, 3/*#Ops*/, 3, 4, 1, 
                // Src: (wasm_load_splat:{ *:[v16i8] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>) - Complexity = 10
                // Dst: (LOAD8_SPLAT_A64:{ *:[v16i8] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 57362*/     /*SwitchType*/ 17, MVT::v8i16,// ->57381
/* 57364*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 57366*/      OPC_EmitMergeInputChains1_0,
/* 57367*/      OPC_EmitInteger, MVT::i32, 0, 
/* 57370*/      OPC_EmitConvertToTarget, 2,
/* 57372*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_SPLAT_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v8i16, 3/*#Ops*/, 3, 4, 1, 
                // Src: (wasm_load_splat:{ *:[v8i16] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>) - Complexity = 10
                // Dst: (LOAD16_SPLAT_A64:{ *:[v8i16] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 57381*/     /*SwitchType*/ 17, MVT::v4i32,// ->57400
/* 57383*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 57385*/      OPC_EmitMergeInputChains1_0,
/* 57386*/      OPC_EmitInteger, MVT::i32, 0, 
/* 57389*/      OPC_EmitConvertToTarget, 2,
/* 57391*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD32_SPLAT_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v4i32, 3/*#Ops*/, 3, 4, 1, 
                // Src: (wasm_load_splat:{ *:[v4i32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>) - Complexity = 10
                // Dst: (LOAD32_SPLAT_A64:{ *:[v4i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 57400*/     /*SwitchType*/ 17, MVT::v2i64,// ->57419
/* 57402*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 57404*/      OPC_EmitMergeInputChains1_0,
/* 57405*/      OPC_EmitInteger, MVT::i32, 0, 
/* 57408*/      OPC_EmitConvertToTarget, 2,
/* 57410*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD64_SPLAT_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2i64, 3/*#Ops*/, 3, 4, 1, 
                // Src: (wasm_load_splat:{ *:[v2i64] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>) - Complexity = 10
                // Dst: (LOAD64_SPLAT_A64:{ *:[v2i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 57419*/     0, // EndSwitchType
/* 57420*/    0, // EndSwitchType
/* 57421*/   /*SwitchOpcode*/ 105|128,1/*233*/, TARGET_VAL(WebAssemblyISD::Wrapper),// ->57658
/* 57425*/    OPC_RecordChild0, // #1 = $off
/* 57426*/    OPC_MoveChild0,
/* 57427*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 57430*/    OPC_MoveParent,
/* 57431*/    OPC_MoveParent,
/* 57432*/    OPC_SwitchType /*4 cases */, 54, MVT::v16i8,// ->57489
/* 57435*/     OPC_Scope, 25, /*->57462*/ // 2 children in Scope
/* 57437*/      OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 57439*/      OPC_EmitMergeInputChains1_0,
/* 57440*/      OPC_EmitInteger, MVT::i32, 0, 
/* 57443*/      OPC_EmitInteger, MVT::i32, 0, 
/* 57446*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 3,  // Results = #4
/* 57453*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_SPLAT_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v16i8, 3/*#Ops*/, 2, 1, 4, 
                // Src: (wasm_load_splat:{ *:[v16i8] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off)) - Complexity = 9
                // Dst: (LOAD8_SPLAT_A32:{ *:[v16i8] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 57462*/     /*Scope*/ 25, /*->57488*/
/* 57463*/      OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 57465*/      OPC_EmitMergeInputChains1_0,
/* 57466*/      OPC_EmitInteger, MVT::i32, 0, 
/* 57469*/      OPC_EmitInteger, MVT::i64, 0, 
/* 57472*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 3,  // Results = #4
/* 57479*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_SPLAT_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v16i8, 3/*#Ops*/, 2, 1, 4, 
                // Src: (wasm_load_splat:{ *:[v16i8] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off)) - Complexity = 9
                // Dst: (LOAD8_SPLAT_A64:{ *:[v16i8] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 57488*/     0, /*End of Scope*/
/* 57489*/    /*SwitchType*/ 54, MVT::v8i16,// ->57545
/* 57491*/     OPC_Scope, 25, /*->57518*/ // 2 children in Scope
/* 57493*/      OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 57495*/      OPC_EmitMergeInputChains1_0,
/* 57496*/      OPC_EmitInteger, MVT::i32, 0, 
/* 57499*/      OPC_EmitInteger, MVT::i32, 0, 
/* 57502*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 3,  // Results = #4
/* 57509*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_SPLAT_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v8i16, 3/*#Ops*/, 2, 1, 4, 
                // Src: (wasm_load_splat:{ *:[v8i16] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off)) - Complexity = 9
                // Dst: (LOAD16_SPLAT_A32:{ *:[v8i16] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 57518*/     /*Scope*/ 25, /*->57544*/
/* 57519*/      OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 57521*/      OPC_EmitMergeInputChains1_0,
/* 57522*/      OPC_EmitInteger, MVT::i32, 0, 
/* 57525*/      OPC_EmitInteger, MVT::i64, 0, 
/* 57528*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 3,  // Results = #4
/* 57535*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_SPLAT_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v8i16, 3/*#Ops*/, 2, 1, 4, 
                // Src: (wasm_load_splat:{ *:[v8i16] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off)) - Complexity = 9
                // Dst: (LOAD16_SPLAT_A64:{ *:[v8i16] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 57544*/     0, /*End of Scope*/
/* 57545*/    /*SwitchType*/ 54, MVT::v4i32,// ->57601
/* 57547*/     OPC_Scope, 25, /*->57574*/ // 2 children in Scope
/* 57549*/      OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 57551*/      OPC_EmitMergeInputChains1_0,
/* 57552*/      OPC_EmitInteger, MVT::i32, 0, 
/* 57555*/      OPC_EmitInteger, MVT::i32, 0, 
/* 57558*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 3,  // Results = #4
/* 57565*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD32_SPLAT_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v4i32, 3/*#Ops*/, 2, 1, 4, 
                // Src: (wasm_load_splat:{ *:[v4i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off)) - Complexity = 9
                // Dst: (LOAD32_SPLAT_A32:{ *:[v4i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 57574*/     /*Scope*/ 25, /*->57600*/
/* 57575*/      OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 57577*/      OPC_EmitMergeInputChains1_0,
/* 57578*/      OPC_EmitInteger, MVT::i32, 0, 
/* 57581*/      OPC_EmitInteger, MVT::i64, 0, 
/* 57584*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 3,  // Results = #4
/* 57591*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD32_SPLAT_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v4i32, 3/*#Ops*/, 2, 1, 4, 
                // Src: (wasm_load_splat:{ *:[v4i32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off)) - Complexity = 9
                // Dst: (LOAD32_SPLAT_A64:{ *:[v4i32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 57600*/     0, /*End of Scope*/
/* 57601*/    /*SwitchType*/ 54, MVT::v2i64,// ->57657
/* 57603*/     OPC_Scope, 25, /*->57630*/ // 2 children in Scope
/* 57605*/      OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 57607*/      OPC_EmitMergeInputChains1_0,
/* 57608*/      OPC_EmitInteger, MVT::i32, 0, 
/* 57611*/      OPC_EmitInteger, MVT::i32, 0, 
/* 57614*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 3,  // Results = #4
/* 57621*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD64_SPLAT_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2i64, 3/*#Ops*/, 2, 1, 4, 
                // Src: (wasm_load_splat:{ *:[v2i64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off)) - Complexity = 9
                // Dst: (LOAD64_SPLAT_A32:{ *:[v2i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 57630*/     /*Scope*/ 25, /*->57656*/
/* 57631*/      OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 57633*/      OPC_EmitMergeInputChains1_0,
/* 57634*/      OPC_EmitInteger, MVT::i32, 0, 
/* 57637*/      OPC_EmitInteger, MVT::i64, 0, 
/* 57640*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 3,  // Results = #4
/* 57647*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD64_SPLAT_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2i64, 3/*#Ops*/, 2, 1, 4, 
                // Src: (wasm_load_splat:{ *:[v2i64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off)) - Complexity = 9
                // Dst: (LOAD64_SPLAT_A64:{ *:[v2i64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 57656*/     0, /*End of Scope*/
/* 57657*/    0, // EndSwitchType
/* 57658*/   0, // EndSwitchOpcode
/* 57659*/  /*Scope*/ 38|128,3/*422*/, /*->58083*/
/* 57661*/   OPC_RecordChild1, // #1 = $off
/* 57662*/   OPC_Scope, 119|128,1/*247*/, /*->57912*/ // 3 children in Scope
/* 57665*/    OPC_MoveChild1,
/* 57666*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 57669*/    OPC_MoveParent,
/* 57670*/    OPC_SwitchType /*4 cases */, 58, MVT::v16i8,// ->57731
/* 57673*/     OPC_Scope, 27, /*->57702*/ // 2 children in Scope
/* 57675*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 57677*/      OPC_EmitMergeInputChains1_0,
/* 57678*/      OPC_EmitInteger, MVT::i32, 0, 
/* 57681*/      OPC_EmitConvertToTarget, 1,
/* 57683*/      OPC_EmitInteger, MVT::i32, 0, 
/* 57686*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 57693*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_SPLAT_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v16i8, 3/*#Ops*/, 2, 3, 5, 
                // Src: (wasm_load_splat:{ *:[v16i8] } (imm:{ *:[iPTR] }):$off) - Complexity = 6
                // Dst: (LOAD8_SPLAT_A32:{ *:[v16i8] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 57702*/     /*Scope*/ 27, /*->57730*/
/* 57703*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 57705*/      OPC_EmitMergeInputChains1_0,
/* 57706*/      OPC_EmitInteger, MVT::i32, 0, 
/* 57709*/      OPC_EmitConvertToTarget, 1,
/* 57711*/      OPC_EmitInteger, MVT::i64, 0, 
/* 57714*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 57721*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_SPLAT_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v16i8, 3/*#Ops*/, 2, 3, 5, 
                // Src: (wasm_load_splat:{ *:[v16i8] } (imm:{ *:[iPTR] }):$off) - Complexity = 6
                // Dst: (LOAD8_SPLAT_A64:{ *:[v16i8] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 57730*/     0, /*End of Scope*/
/* 57731*/    /*SwitchType*/ 58, MVT::v8i16,// ->57791
/* 57733*/     OPC_Scope, 27, /*->57762*/ // 2 children in Scope
/* 57735*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 57737*/      OPC_EmitMergeInputChains1_0,
/* 57738*/      OPC_EmitInteger, MVT::i32, 0, 
/* 57741*/      OPC_EmitConvertToTarget, 1,
/* 57743*/      OPC_EmitInteger, MVT::i32, 0, 
/* 57746*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 57753*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_SPLAT_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v8i16, 3/*#Ops*/, 2, 3, 5, 
                // Src: (wasm_load_splat:{ *:[v8i16] } (imm:{ *:[iPTR] }):$off) - Complexity = 6
                // Dst: (LOAD16_SPLAT_A32:{ *:[v8i16] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 57762*/     /*Scope*/ 27, /*->57790*/
/* 57763*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 57765*/      OPC_EmitMergeInputChains1_0,
/* 57766*/      OPC_EmitInteger, MVT::i32, 0, 
/* 57769*/      OPC_EmitConvertToTarget, 1,
/* 57771*/      OPC_EmitInteger, MVT::i64, 0, 
/* 57774*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 57781*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_SPLAT_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v8i16, 3/*#Ops*/, 2, 3, 5, 
                // Src: (wasm_load_splat:{ *:[v8i16] } (imm:{ *:[iPTR] }):$off) - Complexity = 6
                // Dst: (LOAD16_SPLAT_A64:{ *:[v8i16] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 57790*/     0, /*End of Scope*/
/* 57791*/    /*SwitchType*/ 58, MVT::v4i32,// ->57851
/* 57793*/     OPC_Scope, 27, /*->57822*/ // 2 children in Scope
/* 57795*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 57797*/      OPC_EmitMergeInputChains1_0,
/* 57798*/      OPC_EmitInteger, MVT::i32, 0, 
/* 57801*/      OPC_EmitConvertToTarget, 1,
/* 57803*/      OPC_EmitInteger, MVT::i32, 0, 
/* 57806*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 57813*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD32_SPLAT_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v4i32, 3/*#Ops*/, 2, 3, 5, 
                // Src: (wasm_load_splat:{ *:[v4i32] } (imm:{ *:[iPTR] }):$off) - Complexity = 6
                // Dst: (LOAD32_SPLAT_A32:{ *:[v4i32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 57822*/     /*Scope*/ 27, /*->57850*/
/* 57823*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 57825*/      OPC_EmitMergeInputChains1_0,
/* 57826*/      OPC_EmitInteger, MVT::i32, 0, 
/* 57829*/      OPC_EmitConvertToTarget, 1,
/* 57831*/      OPC_EmitInteger, MVT::i64, 0, 
/* 57834*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 57841*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD32_SPLAT_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v4i32, 3/*#Ops*/, 2, 3, 5, 
                // Src: (wasm_load_splat:{ *:[v4i32] } (imm:{ *:[iPTR] }):$off) - Complexity = 6
                // Dst: (LOAD32_SPLAT_A64:{ *:[v4i32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 57850*/     0, /*End of Scope*/
/* 57851*/    /*SwitchType*/ 58, MVT::v2i64,// ->57911
/* 57853*/     OPC_Scope, 27, /*->57882*/ // 2 children in Scope
/* 57855*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 57857*/      OPC_EmitMergeInputChains1_0,
/* 57858*/      OPC_EmitInteger, MVT::i32, 0, 
/* 57861*/      OPC_EmitConvertToTarget, 1,
/* 57863*/      OPC_EmitInteger, MVT::i32, 0, 
/* 57866*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 57873*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD64_SPLAT_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2i64, 3/*#Ops*/, 2, 3, 5, 
                // Src: (wasm_load_splat:{ *:[v2i64] } (imm:{ *:[iPTR] }):$off) - Complexity = 6
                // Dst: (LOAD64_SPLAT_A32:{ *:[v2i64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 57882*/     /*Scope*/ 27, /*->57910*/
/* 57883*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 57885*/      OPC_EmitMergeInputChains1_0,
/* 57886*/      OPC_EmitInteger, MVT::i32, 0, 
/* 57889*/      OPC_EmitConvertToTarget, 1,
/* 57891*/      OPC_EmitInteger, MVT::i64, 0, 
/* 57894*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 57901*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD64_SPLAT_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2i64, 3/*#Ops*/, 2, 3, 5, 
                // Src: (wasm_load_splat:{ *:[v2i64] } (imm:{ *:[iPTR] }):$off) - Complexity = 6
                // Dst: (LOAD64_SPLAT_A64:{ *:[v2i64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 57910*/     0, /*End of Scope*/
/* 57911*/    0, // EndSwitchType
/* 57912*/   /*Scope*/ 84, /*->57997*/
/* 57913*/    OPC_CheckChild1Type, MVT::i32,
/* 57915*/    OPC_SwitchType /*4 cases */, 18, MVT::v16i8,// ->57936
/* 57918*/     OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 57920*/     OPC_EmitMergeInputChains1_0,
/* 57921*/     OPC_EmitInteger, MVT::i32, 0, 
/* 57924*/     OPC_EmitInteger, MVT::i32, 0, 
/* 57927*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_SPLAT_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::v16i8, 3/*#Ops*/, 2, 3, 1, 
               // Src: (wasm_load_splat:{ *:[v16i8] } I32:{ *:[i32] }:$addr) - Complexity = 3
               // Dst: (LOAD8_SPLAT_A32:{ *:[v16i8] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr)
/* 57936*/    /*SwitchType*/ 18, MVT::v8i16,// ->57956
/* 57938*/     OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 57940*/     OPC_EmitMergeInputChains1_0,
/* 57941*/     OPC_EmitInteger, MVT::i32, 0, 
/* 57944*/     OPC_EmitInteger, MVT::i32, 0, 
/* 57947*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_SPLAT_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::v8i16, 3/*#Ops*/, 2, 3, 1, 
               // Src: (wasm_load_splat:{ *:[v8i16] } I32:{ *:[i32] }:$addr) - Complexity = 3
               // Dst: (LOAD16_SPLAT_A32:{ *:[v8i16] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr)
/* 57956*/    /*SwitchType*/ 18, MVT::v4i32,// ->57976
/* 57958*/     OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 57960*/     OPC_EmitMergeInputChains1_0,
/* 57961*/     OPC_EmitInteger, MVT::i32, 0, 
/* 57964*/     OPC_EmitInteger, MVT::i32, 0, 
/* 57967*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD32_SPLAT_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::v4i32, 3/*#Ops*/, 2, 3, 1, 
               // Src: (wasm_load_splat:{ *:[v4i32] } I32:{ *:[i32] }:$addr) - Complexity = 3
               // Dst: (LOAD32_SPLAT_A32:{ *:[v4i32] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr)
/* 57976*/    /*SwitchType*/ 18, MVT::v2i64,// ->57996
/* 57978*/     OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 57980*/     OPC_EmitMergeInputChains1_0,
/* 57981*/     OPC_EmitInteger, MVT::i32, 0, 
/* 57984*/     OPC_EmitInteger, MVT::i32, 0, 
/* 57987*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD64_SPLAT_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::v2i64, 3/*#Ops*/, 2, 3, 1, 
               // Src: (wasm_load_splat:{ *:[v2i64] } I32:{ *:[i32] }:$addr) - Complexity = 3
               // Dst: (LOAD64_SPLAT_A32:{ *:[v2i64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr)
/* 57996*/    0, // EndSwitchType
/* 57997*/   /*Scope*/ 84, /*->58082*/
/* 57998*/    OPC_CheckChild1Type, MVT::i64,
/* 58000*/    OPC_SwitchType /*4 cases */, 18, MVT::v16i8,// ->58021
/* 58003*/     OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 58005*/     OPC_EmitMergeInputChains1_0,
/* 58006*/     OPC_EmitInteger, MVT::i32, 0, 
/* 58009*/     OPC_EmitInteger, MVT::i64, 0, 
/* 58012*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD8_SPLAT_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::v16i8, 3/*#Ops*/, 2, 3, 1, 
               // Src: (wasm_load_splat:{ *:[v16i8] } I64:{ *:[i64] }:$addr) - Complexity = 3
               // Dst: (LOAD8_SPLAT_A64:{ *:[v16i8] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr)
/* 58021*/    /*SwitchType*/ 18, MVT::v8i16,// ->58041
/* 58023*/     OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 58025*/     OPC_EmitMergeInputChains1_0,
/* 58026*/     OPC_EmitInteger, MVT::i32, 0, 
/* 58029*/     OPC_EmitInteger, MVT::i64, 0, 
/* 58032*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD16_SPLAT_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::v8i16, 3/*#Ops*/, 2, 3, 1, 
               // Src: (wasm_load_splat:{ *:[v8i16] } I64:{ *:[i64] }:$addr) - Complexity = 3
               // Dst: (LOAD16_SPLAT_A64:{ *:[v8i16] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr)
/* 58041*/    /*SwitchType*/ 18, MVT::v4i32,// ->58061
/* 58043*/     OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 58045*/     OPC_EmitMergeInputChains1_0,
/* 58046*/     OPC_EmitInteger, MVT::i32, 0, 
/* 58049*/     OPC_EmitInteger, MVT::i64, 0, 
/* 58052*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD32_SPLAT_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::v4i32, 3/*#Ops*/, 2, 3, 1, 
               // Src: (wasm_load_splat:{ *:[v4i32] } I64:{ *:[i64] }:$addr) - Complexity = 3
               // Dst: (LOAD32_SPLAT_A64:{ *:[v4i32] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr)
/* 58061*/    /*SwitchType*/ 18, MVT::v2i64,// ->58081
/* 58063*/     OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 58065*/     OPC_EmitMergeInputChains1_0,
/* 58066*/     OPC_EmitInteger, MVT::i32, 0, 
/* 58069*/     OPC_EmitInteger, MVT::i64, 0, 
/* 58072*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD64_SPLAT_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::v2i64, 3/*#Ops*/, 2, 3, 1, 
               // Src: (wasm_load_splat:{ *:[v2i64] } I64:{ *:[i64] }:$addr) - Complexity = 3
               // Dst: (LOAD64_SPLAT_A64:{ *:[v2i64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr)
/* 58081*/    0, // EndSwitchType
/* 58082*/   0, /*End of Scope*/
/* 58083*/  /*Scope*/ 71|128,2/*327*/, /*->58412*/
/* 58085*/   OPC_MoveChild1,
/* 58086*/   OPC_SwitchOpcode /*3 cases */, 97, TARGET_VAL(ISD::ADD),// ->58187
/* 58090*/    OPC_RecordChild0, // #1 = $addr
/* 58091*/    OPC_RecordChild1, // #2 = $off
/* 58092*/    OPC_MoveChild1,
/* 58093*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 58096*/    OPC_MoveParent,
/* 58097*/    OPC_CheckPredicate, 0, // Predicate_regPlusImm
/* 58099*/    OPC_SwitchType /*2 cases */, 41, MVT::i32,// ->58143
/* 58102*/     OPC_MoveParent,
/* 58103*/     OPC_SwitchType /*2 cases */, 17, MVT::v4f32,// ->58123
/* 58106*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 58108*/      OPC_EmitMergeInputChains1_0,
/* 58109*/      OPC_EmitInteger, MVT::i32, 0, 
/* 58112*/      OPC_EmitConvertToTarget, 2,
/* 58114*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD32_SPLAT_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v4f32, 3/*#Ops*/, 3, 4, 1, 
                // Src: (wasm_load_splat:{ *:[v4f32] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>) - Complexity = 10
                // Dst: (LOAD32_SPLAT_A32:{ *:[v4f32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 58123*/     /*SwitchType*/ 17, MVT::v2f64,// ->58142
/* 58125*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 58127*/      OPC_EmitMergeInputChains1_0,
/* 58128*/      OPC_EmitInteger, MVT::i32, 0, 
/* 58131*/      OPC_EmitConvertToTarget, 2,
/* 58133*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD64_SPLAT_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2f64, 3/*#Ops*/, 3, 4, 1, 
                // Src: (wasm_load_splat:{ *:[v2f64] } (add:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_regPlusImm>>) - Complexity = 10
                // Dst: (LOAD64_SPLAT_A32:{ *:[v2f64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 58142*/     0, // EndSwitchType
/* 58143*/    /*SwitchType*/ 41, MVT::i64,// ->58186
/* 58145*/     OPC_MoveParent,
/* 58146*/     OPC_SwitchType /*2 cases */, 17, MVT::v4f32,// ->58166
/* 58149*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 58151*/      OPC_EmitMergeInputChains1_0,
/* 58152*/      OPC_EmitInteger, MVT::i32, 0, 
/* 58155*/      OPC_EmitConvertToTarget, 2,
/* 58157*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD32_SPLAT_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v4f32, 3/*#Ops*/, 3, 4, 1, 
                // Src: (wasm_load_splat:{ *:[v4f32] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>) - Complexity = 10
                // Dst: (LOAD32_SPLAT_A64:{ *:[v4f32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 58166*/     /*SwitchType*/ 17, MVT::v2f64,// ->58185
/* 58168*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 58170*/      OPC_EmitMergeInputChains1_0,
/* 58171*/      OPC_EmitInteger, MVT::i32, 0, 
/* 58174*/      OPC_EmitConvertToTarget, 2,
/* 58176*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD64_SPLAT_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2f64, 3/*#Ops*/, 3, 4, 1, 
                // Src: (wasm_load_splat:{ *:[v2f64] } (add:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_regPlusImm>>) - Complexity = 10
                // Dst: (LOAD64_SPLAT_A64:{ *:[v2f64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 58185*/     0, // EndSwitchType
/* 58186*/    0, // EndSwitchType
/* 58187*/   /*SwitchOpcode*/ 97, TARGET_VAL(ISD::OR),// ->58287
/* 58190*/    OPC_RecordChild0, // #1 = $addr
/* 58191*/    OPC_RecordChild1, // #2 = $off
/* 58192*/    OPC_MoveChild1,
/* 58193*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 58196*/    OPC_MoveParent,
/* 58197*/    OPC_CheckPredicate, 3, // Predicate_or_is_add
/* 58199*/    OPC_SwitchType /*2 cases */, 41, MVT::i32,// ->58243
/* 58202*/     OPC_MoveParent,
/* 58203*/     OPC_SwitchType /*2 cases */, 17, MVT::v4f32,// ->58223
/* 58206*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 58208*/      OPC_EmitMergeInputChains1_0,
/* 58209*/      OPC_EmitInteger, MVT::i32, 0, 
/* 58212*/      OPC_EmitConvertToTarget, 2,
/* 58214*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD32_SPLAT_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v4f32, 3/*#Ops*/, 3, 4, 1, 
                // Src: (wasm_load_splat:{ *:[v4f32] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>) - Complexity = 10
                // Dst: (LOAD32_SPLAT_A32:{ *:[v4f32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 58223*/     /*SwitchType*/ 17, MVT::v2f64,// ->58242
/* 58225*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 58227*/      OPC_EmitMergeInputChains1_0,
/* 58228*/      OPC_EmitInteger, MVT::i32, 0, 
/* 58231*/      OPC_EmitConvertToTarget, 2,
/* 58233*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD64_SPLAT_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2f64, 3/*#Ops*/, 3, 4, 1, 
                // Src: (wasm_load_splat:{ *:[v2f64] } (or:{ *:[i32] } I32:{ *:[i32] }:$addr, (imm:{ *:[i32] }):$off)<<P:Predicate_or_is_add>>) - Complexity = 10
                // Dst: (LOAD64_SPLAT_A32:{ *:[v2f64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, I32:{ *:[i32] }:$addr)
/* 58242*/     0, // EndSwitchType
/* 58243*/    /*SwitchType*/ 41, MVT::i64,// ->58286
/* 58245*/     OPC_MoveParent,
/* 58246*/     OPC_SwitchType /*2 cases */, 17, MVT::v4f32,// ->58266
/* 58249*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 58251*/      OPC_EmitMergeInputChains1_0,
/* 58252*/      OPC_EmitInteger, MVT::i32, 0, 
/* 58255*/      OPC_EmitConvertToTarget, 2,
/* 58257*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD32_SPLAT_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v4f32, 3/*#Ops*/, 3, 4, 1, 
                // Src: (wasm_load_splat:{ *:[v4f32] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>) - Complexity = 10
                // Dst: (LOAD32_SPLAT_A64:{ *:[v4f32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 58266*/     /*SwitchType*/ 17, MVT::v2f64,// ->58285
/* 58268*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 58270*/      OPC_EmitMergeInputChains1_0,
/* 58271*/      OPC_EmitInteger, MVT::i32, 0, 
/* 58274*/      OPC_EmitConvertToTarget, 2,
/* 58276*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD64_SPLAT_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2f64, 3/*#Ops*/, 3, 4, 1, 
                // Src: (wasm_load_splat:{ *:[v2f64] } (or:{ *:[i64] } I64:{ *:[i64] }:$addr, (imm:{ *:[i64] }):$off)<<P:Predicate_or_is_add>>) - Complexity = 10
                // Dst: (LOAD64_SPLAT_A64:{ *:[v2f64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, I64:{ *:[i64] }:$addr)
/* 58285*/     0, // EndSwitchType
/* 58286*/    0, // EndSwitchType
/* 58287*/   /*SwitchOpcode*/ 121, TARGET_VAL(WebAssemblyISD::Wrapper),// ->58411
/* 58290*/    OPC_RecordChild0, // #1 = $off
/* 58291*/    OPC_MoveChild0,
/* 58292*/    OPC_CheckOpcode, TARGET_VAL(ISD::TargetGlobalAddress),
/* 58295*/    OPC_MoveParent,
/* 58296*/    OPC_MoveParent,
/* 58297*/    OPC_SwitchType /*2 cases */, 54, MVT::v4f32,// ->58354
/* 58300*/     OPC_Scope, 25, /*->58327*/ // 2 children in Scope
/* 58302*/      OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 58304*/      OPC_EmitMergeInputChains1_0,
/* 58305*/      OPC_EmitInteger, MVT::i32, 0, 
/* 58308*/      OPC_EmitInteger, MVT::i32, 0, 
/* 58311*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 3,  // Results = #4
/* 58318*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD32_SPLAT_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v4f32, 3/*#Ops*/, 2, 1, 4, 
                // Src: (wasm_load_splat:{ *:[v4f32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off)) - Complexity = 9
                // Dst: (LOAD32_SPLAT_A32:{ *:[v4f32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 58327*/     /*Scope*/ 25, /*->58353*/
/* 58328*/      OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 58330*/      OPC_EmitMergeInputChains1_0,
/* 58331*/      OPC_EmitInteger, MVT::i32, 0, 
/* 58334*/      OPC_EmitInteger, MVT::i64, 0, 
/* 58337*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 3,  // Results = #4
/* 58344*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD32_SPLAT_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v4f32, 3/*#Ops*/, 2, 1, 4, 
                // Src: (wasm_load_splat:{ *:[v4f32] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off)) - Complexity = 9
                // Dst: (LOAD32_SPLAT_A64:{ *:[v4f32] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 58353*/     0, /*End of Scope*/
/* 58354*/    /*SwitchType*/ 54, MVT::v2f64,// ->58410
/* 58356*/     OPC_Scope, 25, /*->58383*/ // 2 children in Scope
/* 58358*/      OPC_CheckPatternPredicate, 6, // (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 58360*/      OPC_EmitMergeInputChains1_0,
/* 58361*/      OPC_EmitInteger, MVT::i32, 0, 
/* 58364*/      OPC_EmitInteger, MVT::i32, 0, 
/* 58367*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 3,  // Results = #4
/* 58374*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD64_SPLAT_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2f64, 3/*#Ops*/, 2, 1, 4, 
                // Src: (wasm_load_splat:{ *:[v2f64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off)) - Complexity = 9
                // Dst: (LOAD64_SPLAT_A32:{ *:[v2f64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 58383*/     /*Scope*/ 25, /*->58409*/
/* 58384*/      OPC_CheckPatternPredicate, 7, // (Subtarget->hasAddr64()) && (!TM.isPositionIndependent())
/* 58386*/      OPC_EmitMergeInputChains1_0,
/* 58387*/      OPC_EmitInteger, MVT::i32, 0, 
/* 58390*/      OPC_EmitInteger, MVT::i64, 0, 
/* 58393*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 3,  // Results = #4
/* 58400*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD64_SPLAT_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2f64, 3/*#Ops*/, 2, 1, 4, 
                // Src: (wasm_load_splat:{ *:[v2f64] } (WebAssemblyWrapper:{ *:[iPTR] } (tglobaladdr:{ *:[iPTR] }):$off)) - Complexity = 9
                // Dst: (LOAD64_SPLAT_A64:{ *:[v2f64] } 0:{ *:[i32] }, (tglobaladdr:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 58409*/     0, /*End of Scope*/
/* 58410*/    0, // EndSwitchType
/* 58411*/   0, // EndSwitchOpcode
/* 58412*/  /*Scope*/ 93|128,1/*221*/, /*->58635*/
/* 58414*/   OPC_RecordChild1, // #1 = $off
/* 58415*/   OPC_Scope, 127, /*->58544*/ // 3 children in Scope
/* 58417*/    OPC_MoveChild1,
/* 58418*/    OPC_CheckOpcode, TARGET_VAL(ISD::Constant),
/* 58421*/    OPC_MoveParent,
/* 58422*/    OPC_SwitchType /*2 cases */, 58, MVT::v4f32,// ->58483
/* 58425*/     OPC_Scope, 27, /*->58454*/ // 2 children in Scope
/* 58427*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 58429*/      OPC_EmitMergeInputChains1_0,
/* 58430*/      OPC_EmitInteger, MVT::i32, 0, 
/* 58433*/      OPC_EmitConvertToTarget, 1,
/* 58435*/      OPC_EmitInteger, MVT::i32, 0, 
/* 58438*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 58445*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD32_SPLAT_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v4f32, 3/*#Ops*/, 2, 3, 5, 
                // Src: (wasm_load_splat:{ *:[v4f32] } (imm:{ *:[iPTR] }):$off) - Complexity = 6
                // Dst: (LOAD32_SPLAT_A32:{ *:[v4f32] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 58454*/     /*Scope*/ 27, /*->58482*/
/* 58455*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 58457*/      OPC_EmitMergeInputChains1_0,
/* 58458*/      OPC_EmitInteger, MVT::i32, 0, 
/* 58461*/      OPC_EmitConvertToTarget, 1,
/* 58463*/      OPC_EmitInteger, MVT::i64, 0, 
/* 58466*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 58473*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD32_SPLAT_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v4f32, 3/*#Ops*/, 2, 3, 5, 
                // Src: (wasm_load_splat:{ *:[v4f32] } (imm:{ *:[iPTR] }):$off) - Complexity = 6
                // Dst: (LOAD32_SPLAT_A64:{ *:[v4f32] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 58482*/     0, /*End of Scope*/
/* 58483*/    /*SwitchType*/ 58, MVT::v2f64,// ->58543
/* 58485*/     OPC_Scope, 27, /*->58514*/ // 2 children in Scope
/* 58487*/      OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 58489*/      OPC_EmitMergeInputChains1_0,
/* 58490*/      OPC_EmitInteger, MVT::i32, 0, 
/* 58493*/      OPC_EmitConvertToTarget, 1,
/* 58495*/      OPC_EmitInteger, MVT::i32, 0, 
/* 58498*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I32), 0,
                    MVT::i32, 1/*#Ops*/, 4,  // Results = #5
/* 58505*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD64_SPLAT_A32), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2f64, 3/*#Ops*/, 2, 3, 5, 
                // Src: (wasm_load_splat:{ *:[v2f64] } (imm:{ *:[iPTR] }):$off) - Complexity = 6
                // Dst: (LOAD64_SPLAT_A32:{ *:[v2f64] } 0:{ *:[i32] }, (imm:{ *:[i32] }):$off, (CONST_I32:{ *:[i32] } 0:{ *:[i32] }))
/* 58514*/     /*Scope*/ 27, /*->58542*/
/* 58515*/      OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 58517*/      OPC_EmitMergeInputChains1_0,
/* 58518*/      OPC_EmitInteger, MVT::i32, 0, 
/* 58521*/      OPC_EmitConvertToTarget, 1,
/* 58523*/      OPC_EmitInteger, MVT::i64, 0, 
/* 58526*/      OPC_EmitNode1, TARGET_VAL(WebAssembly::CONST_I64), 0,
                    MVT::i64, 1/*#Ops*/, 4,  // Results = #5
/* 58533*/      OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD64_SPLAT_A64), 0|OPFL_Chain|OPFL_MemRefs,
                    MVT::v2f64, 3/*#Ops*/, 2, 3, 5, 
                // Src: (wasm_load_splat:{ *:[v2f64] } (imm:{ *:[iPTR] }):$off) - Complexity = 6
                // Dst: (LOAD64_SPLAT_A64:{ *:[v2f64] } 0:{ *:[i32] }, (imm:{ *:[i64] }):$off, (CONST_I64:{ *:[i64] } 0:{ *:[i64] }))
/* 58542*/     0, /*End of Scope*/
/* 58543*/    0, // EndSwitchType
/* 58544*/   /*Scope*/ 44, /*->58589*/
/* 58545*/    OPC_CheckChild1Type, MVT::i32,
/* 58547*/    OPC_SwitchType /*2 cases */, 18, MVT::v4f32,// ->58568
/* 58550*/     OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 58552*/     OPC_EmitMergeInputChains1_0,
/* 58553*/     OPC_EmitInteger, MVT::i32, 0, 
/* 58556*/     OPC_EmitInteger, MVT::i32, 0, 
/* 58559*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD32_SPLAT_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::v4f32, 3/*#Ops*/, 2, 3, 1, 
               // Src: (wasm_load_splat:{ *:[v4f32] } I32:{ *:[i32] }:$addr) - Complexity = 3
               // Dst: (LOAD32_SPLAT_A32:{ *:[v4f32] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr)
/* 58568*/    /*SwitchType*/ 18, MVT::v2f64,// ->58588
/* 58570*/     OPC_CheckPatternPredicate, 4, // (!Subtarget->hasAddr64())
/* 58572*/     OPC_EmitMergeInputChains1_0,
/* 58573*/     OPC_EmitInteger, MVT::i32, 0, 
/* 58576*/     OPC_EmitInteger, MVT::i32, 0, 
/* 58579*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD64_SPLAT_A32), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::v2f64, 3/*#Ops*/, 2, 3, 1, 
               // Src: (wasm_load_splat:{ *:[v2f64] } I32:{ *:[i32] }:$addr) - Complexity = 3
               // Dst: (LOAD64_SPLAT_A32:{ *:[v2f64] } 0:{ *:[i32] }, 0:{ *:[i32] }, I32:{ *:[i32] }:$addr)
/* 58588*/    0, // EndSwitchType
/* 58589*/   /*Scope*/ 44, /*->58634*/
/* 58590*/    OPC_CheckChild1Type, MVT::i64,
/* 58592*/    OPC_SwitchType /*2 cases */, 18, MVT::v4f32,// ->58613
/* 58595*/     OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 58597*/     OPC_EmitMergeInputChains1_0,
/* 58598*/     OPC_EmitInteger, MVT::i32, 0, 
/* 58601*/     OPC_EmitInteger, MVT::i64, 0, 
/* 58604*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD32_SPLAT_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::v4f32, 3/*#Ops*/, 2, 3, 1, 
               // Src: (wasm_load_splat:{ *:[v4f32] } I64:{ *:[i64] }:$addr) - Complexity = 3
               // Dst: (LOAD32_SPLAT_A64:{ *:[v4f32] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr)
/* 58613*/    /*SwitchType*/ 18, MVT::v2f64,// ->58633
/* 58615*/     OPC_CheckPatternPredicate, 5, // (Subtarget->hasAddr64())
/* 58617*/     OPC_EmitMergeInputChains1_0,
/* 58618*/     OPC_EmitInteger, MVT::i32, 0, 
/* 58621*/     OPC_EmitInteger, MVT::i64, 0, 
/* 58624*/     OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::LOAD64_SPLAT_A64), 0|OPFL_Chain|OPFL_MemRefs,
                   MVT::v2f64, 3/*#Ops*/, 2, 3, 1, 
               // Src: (wasm_load_splat:{ *:[v2f64] } I64:{ *:[i64] }:$addr) - Complexity = 3
               // Dst: (LOAD64_SPLAT_A64:{ *:[v2f64] } 0:{ *:[i32] }, 0:{ *:[i64] }, I64:{ *:[i64] }:$addr)
/* 58633*/    0, // EndSwitchType
/* 58634*/   0, /*End of Scope*/
/* 58635*/  0, /*End of Scope*/
/* 58636*/ /*SwitchOpcode*/ 18, TARGET_VAL(WebAssemblyISD::SWIZZLE),// ->58657
/* 58639*/  OPC_RecordChild0, // #0 = $src
/* 58640*/  OPC_CheckChild0Type, MVT::v16i8,
/* 58642*/  OPC_RecordChild1, // #1 = $mask
/* 58643*/  OPC_CheckChild1Type, MVT::v16i8,
/* 58645*/  OPC_CheckType, MVT::v16i8,
/* 58647*/  OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 58649*/  OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::SWIZZLE), 0,
                MVT::v16i8, 2/*#Ops*/, 0, 1, 
            // Src: (wasm_swizzle:{ *:[v16i8] } V128:{ *:[v16i8] }:$src, V128:{ *:[v16i8] }:$mask) - Complexity = 3
            // Dst: (SWIZZLE:{ *:[v16i8] } V128:{ *:[v16i8] }:$src, V128:{ *:[v16i8] }:$mask)
/* 58657*/ /*SwitchOpcode*/ 47, TARGET_VAL(ISD::ABS),// ->58707
/* 58660*/  OPC_RecordChild0, // #0 = $v
/* 58661*/  OPC_SwitchType /*4 cases */, 9, MVT::v16i8,// ->58673
/* 58664*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 58666*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ABS_I8x16), 0,
                 MVT::v16i8, 1/*#Ops*/, 0, 
             // Src: (abs:{ *:[v16i8] } V128:{ *:[v16i8] }:$v) - Complexity = 3
             // Dst: (ABS_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$v)
/* 58673*/  /*SwitchType*/ 9, MVT::v8i16,// ->58684
/* 58675*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 58677*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ABS_I16x8), 0,
                 MVT::v8i16, 1/*#Ops*/, 0, 
             // Src: (abs:{ *:[v8i16] } V128:{ *:[v8i16] }:$v) - Complexity = 3
             // Dst: (ABS_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$v)
/* 58684*/  /*SwitchType*/ 9, MVT::v4i32,// ->58695
/* 58686*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 58688*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ABS_I32x4), 0,
                 MVT::v4i32, 1/*#Ops*/, 0, 
             // Src: (abs:{ *:[v4i32] } V128:{ *:[v4i32] }:$v) - Complexity = 3
             // Dst: (ABS_I32x4:{ *:[v4i32] } V128:{ *:[v4i32] }:$v)
/* 58695*/  /*SwitchType*/ 9, MVT::v2i64,// ->58706
/* 58697*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 58699*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ABS_I64x2), 0,
                 MVT::v2i64, 1/*#Ops*/, 0, 
             // Src: (abs:{ *:[v2i64] } V128:{ *:[v2i64] }:$v) - Complexity = 3
             // Dst: (ABS_I64x2:{ *:[v2i64] } V128:{ *:[v2i64] }:$v)
/* 58706*/  0, // EndSwitchType
/* 58707*/ /*SwitchOpcode*/ 28, TARGET_VAL(ISD::SADDSAT),// ->58738
/* 58710*/  OPC_RecordChild0, // #0 = $lhs
/* 58711*/  OPC_RecordChild1, // #1 = $rhs
/* 58712*/  OPC_SwitchType /*2 cases */, 10, MVT::v16i8,// ->58725
/* 58715*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 58717*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ADD_SAT_S_I8x16), 0,
                 MVT::v16i8, 2/*#Ops*/, 0, 1, 
             // Src: (saddsat:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs) - Complexity = 3
             // Dst: (ADD_SAT_S_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs)
/* 58725*/  /*SwitchType*/ 10, MVT::v8i16,// ->58737
/* 58727*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 58729*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ADD_SAT_S_I16x8), 0,
                 MVT::v8i16, 2/*#Ops*/, 0, 1, 
             // Src: (saddsat:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs) - Complexity = 3
             // Dst: (ADD_SAT_S_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)
/* 58737*/  0, // EndSwitchType
/* 58738*/ /*SwitchOpcode*/ 28, TARGET_VAL(ISD::UADDSAT),// ->58769
/* 58741*/  OPC_RecordChild0, // #0 = $lhs
/* 58742*/  OPC_RecordChild1, // #1 = $rhs
/* 58743*/  OPC_SwitchType /*2 cases */, 10, MVT::v16i8,// ->58756
/* 58746*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 58748*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ADD_SAT_U_I8x16), 0,
                 MVT::v16i8, 2/*#Ops*/, 0, 1, 
             // Src: (uaddsat:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs) - Complexity = 3
             // Dst: (ADD_SAT_U_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs)
/* 58756*/  /*SwitchType*/ 10, MVT::v8i16,// ->58768
/* 58758*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 58760*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::ADD_SAT_U_I16x8), 0,
                 MVT::v8i16, 2/*#Ops*/, 0, 1, 
             // Src: (uaddsat:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs) - Complexity = 3
             // Dst: (ADD_SAT_U_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)
/* 58768*/  0, // EndSwitchType
/* 58769*/ /*SwitchOpcode*/ 40, TARGET_VAL(ISD::SMIN),// ->58812
/* 58772*/  OPC_RecordChild0, // #0 = $lhs
/* 58773*/  OPC_RecordChild1, // #1 = $rhs
/* 58774*/  OPC_SwitchType /*3 cases */, 10, MVT::v16i8,// ->58787
/* 58777*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 58779*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MIN_S_I8x16), 0,
                 MVT::v16i8, 2/*#Ops*/, 0, 1, 
             // Src: (smin:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs) - Complexity = 3
             // Dst: (MIN_S_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs)
/* 58787*/  /*SwitchType*/ 10, MVT::v8i16,// ->58799
/* 58789*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 58791*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MIN_S_I16x8), 0,
                 MVT::v8i16, 2/*#Ops*/, 0, 1, 
             // Src: (smin:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs) - Complexity = 3
             // Dst: (MIN_S_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)
/* 58799*/  /*SwitchType*/ 10, MVT::v4i32,// ->58811
/* 58801*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 58803*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MIN_S_I32x4), 0,
                 MVT::v4i32, 2/*#Ops*/, 0, 1, 
             // Src: (smin:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs) - Complexity = 3
             // Dst: (MIN_S_I32x4:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs)
/* 58811*/  0, // EndSwitchType
/* 58812*/ /*SwitchOpcode*/ 40, TARGET_VAL(ISD::UMIN),// ->58855
/* 58815*/  OPC_RecordChild0, // #0 = $lhs
/* 58816*/  OPC_RecordChild1, // #1 = $rhs
/* 58817*/  OPC_SwitchType /*3 cases */, 10, MVT::v16i8,// ->58830
/* 58820*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 58822*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MIN_U_I8x16), 0,
                 MVT::v16i8, 2/*#Ops*/, 0, 1, 
             // Src: (umin:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs) - Complexity = 3
             // Dst: (MIN_U_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs)
/* 58830*/  /*SwitchType*/ 10, MVT::v8i16,// ->58842
/* 58832*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 58834*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MIN_U_I16x8), 0,
                 MVT::v8i16, 2/*#Ops*/, 0, 1, 
             // Src: (umin:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs) - Complexity = 3
             // Dst: (MIN_U_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)
/* 58842*/  /*SwitchType*/ 10, MVT::v4i32,// ->58854
/* 58844*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 58846*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MIN_U_I32x4), 0,
                 MVT::v4i32, 2/*#Ops*/, 0, 1, 
             // Src: (umin:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs) - Complexity = 3
             // Dst: (MIN_U_I32x4:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs)
/* 58854*/  0, // EndSwitchType
/* 58855*/ /*SwitchOpcode*/ 40, TARGET_VAL(ISD::SMAX),// ->58898
/* 58858*/  OPC_RecordChild0, // #0 = $lhs
/* 58859*/  OPC_RecordChild1, // #1 = $rhs
/* 58860*/  OPC_SwitchType /*3 cases */, 10, MVT::v16i8,// ->58873
/* 58863*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 58865*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MAX_S_I8x16), 0,
                 MVT::v16i8, 2/*#Ops*/, 0, 1, 
             // Src: (smax:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs) - Complexity = 3
             // Dst: (MAX_S_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs)
/* 58873*/  /*SwitchType*/ 10, MVT::v8i16,// ->58885
/* 58875*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 58877*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MAX_S_I16x8), 0,
                 MVT::v8i16, 2/*#Ops*/, 0, 1, 
             // Src: (smax:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs) - Complexity = 3
             // Dst: (MAX_S_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)
/* 58885*/  /*SwitchType*/ 10, MVT::v4i32,// ->58897
/* 58887*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 58889*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MAX_S_I32x4), 0,
                 MVT::v4i32, 2/*#Ops*/, 0, 1, 
             // Src: (smax:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs) - Complexity = 3
             // Dst: (MAX_S_I32x4:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs)
/* 58897*/  0, // EndSwitchType
/* 58898*/ /*SwitchOpcode*/ 40, TARGET_VAL(ISD::UMAX),// ->58941
/* 58901*/  OPC_RecordChild0, // #0 = $lhs
/* 58902*/  OPC_RecordChild1, // #1 = $rhs
/* 58903*/  OPC_SwitchType /*3 cases */, 10, MVT::v16i8,// ->58916
/* 58906*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 58908*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MAX_U_I8x16), 0,
                 MVT::v16i8, 2/*#Ops*/, 0, 1, 
             // Src: (umax:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs) - Complexity = 3
             // Dst: (MAX_U_I8x16:{ *:[v16i8] } V128:{ *:[v16i8] }:$lhs, V128:{ *:[v16i8] }:$rhs)
/* 58916*/  /*SwitchType*/ 10, MVT::v8i16,// ->58928
/* 58918*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 58920*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MAX_U_I16x8), 0,
                 MVT::v8i16, 2/*#Ops*/, 0, 1, 
             // Src: (umax:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs) - Complexity = 3
             // Dst: (MAX_U_I16x8:{ *:[v8i16] } V128:{ *:[v8i16] }:$lhs, V128:{ *:[v8i16] }:$rhs)
/* 58928*/  /*SwitchType*/ 10, MVT::v4i32,// ->58940
/* 58930*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 58932*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::MAX_U_I32x4), 0,
                 MVT::v4i32, 2/*#Ops*/, 0, 1, 
             // Src: (umax:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs) - Complexity = 3
             // Dst: (MAX_U_I32x4:{ *:[v4i32] } V128:{ *:[v4i32] }:$lhs, V128:{ *:[v4i32] }:$rhs)
/* 58940*/  0, // EndSwitchType
/* 58941*/ /*SwitchOpcode*/ 14, TARGET_VAL(WebAssemblyISD::TRUNC_SAT_ZERO_S),// ->58958
/* 58944*/  OPC_RecordChild0, // #0 = $vec
/* 58945*/  OPC_CheckChild0Type, MVT::v2f64,
/* 58947*/  OPC_CheckType, MVT::v4i32,
/* 58949*/  OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 58951*/  OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::trunc_sat_zero_s_I32x4), 0,
                MVT::v4i32, 1/*#Ops*/, 0, 
            // Src: (trunc_sat_zero_s:{ *:[v4i32] } V128:{ *:[v2f64] }:$vec) - Complexity = 3
            // Dst: (trunc_sat_zero_s_I32x4:{ *:[v4i32] } V128:{ *:[v2f64] }:$vec)
/* 58958*/ /*SwitchOpcode*/ 14, TARGET_VAL(WebAssemblyISD::TRUNC_SAT_ZERO_U),// ->58975
/* 58961*/  OPC_RecordChild0, // #0 = $vec
/* 58962*/  OPC_CheckChild0Type, MVT::v2f64,
/* 58964*/  OPC_CheckType, MVT::v4i32,
/* 58966*/  OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 58968*/  OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::trunc_sat_zero_u_I32x4), 0,
                MVT::v4i32, 1/*#Ops*/, 0, 
            // Src: (trunc_sat_zero_u:{ *:[v4i32] } V128:{ *:[v2f64] }:$vec) - Complexity = 3
            // Dst: (trunc_sat_zero_u_I32x4:{ *:[v4i32] } V128:{ *:[v2f64] }:$vec)
/* 58975*/ /*SwitchOpcode*/ 42, TARGET_VAL(WebAssemblyISD::EXTEND_LOW_S),// ->59020
/* 58978*/  OPC_RecordChild0, // #0 = $vec
/* 58979*/  OPC_SwitchType /*3 cases */, 11, MVT::v8i16,// ->58993
/* 58982*/   OPC_CheckChild0Type, MVT::v16i8,
/* 58984*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 58986*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::extend_low_s_I16x8), 0,
                 MVT::v8i16, 1/*#Ops*/, 0, 
             // Src: (extend_low_s:{ *:[v8i16] } V128:{ *:[v16i8] }:$vec) - Complexity = 3
             // Dst: (extend_low_s_I16x8:{ *:[v8i16] } V128:{ *:[v16i8] }:$vec)
/* 58993*/  /*SwitchType*/ 11, MVT::v4i32,// ->59006
/* 58995*/   OPC_CheckChild0Type, MVT::v8i16,
/* 58997*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 58999*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::extend_low_s_I32x4), 0,
                 MVT::v4i32, 1/*#Ops*/, 0, 
             // Src: (extend_low_s:{ *:[v4i32] } V128:{ *:[v8i16] }:$vec) - Complexity = 3
             // Dst: (extend_low_s_I32x4:{ *:[v4i32] } V128:{ *:[v8i16] }:$vec)
/* 59006*/  /*SwitchType*/ 11, MVT::v2i64,// ->59019
/* 59008*/   OPC_CheckChild0Type, MVT::v4i32,
/* 59010*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 59012*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::extend_low_s_I64x2), 0,
                 MVT::v2i64, 1/*#Ops*/, 0, 
             // Src: (extend_low_s:{ *:[v2i64] } V128:{ *:[v4i32] }:$vec) - Complexity = 3
             // Dst: (extend_low_s_I64x2:{ *:[v2i64] } V128:{ *:[v4i32] }:$vec)
/* 59019*/  0, // EndSwitchType
/* 59020*/ /*SwitchOpcode*/ 42, TARGET_VAL(WebAssemblyISD::EXTEND_HIGH_S),// ->59065
/* 59023*/  OPC_RecordChild0, // #0 = $vec
/* 59024*/  OPC_SwitchType /*3 cases */, 11, MVT::v8i16,// ->59038
/* 59027*/   OPC_CheckChild0Type, MVT::v16i8,
/* 59029*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 59031*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::extend_high_s_I16x8), 0,
                 MVT::v8i16, 1/*#Ops*/, 0, 
             // Src: (extend_high_s:{ *:[v8i16] } V128:{ *:[v16i8] }:$vec) - Complexity = 3
             // Dst: (extend_high_s_I16x8:{ *:[v8i16] } V128:{ *:[v16i8] }:$vec)
/* 59038*/  /*SwitchType*/ 11, MVT::v4i32,// ->59051
/* 59040*/   OPC_CheckChild0Type, MVT::v8i16,
/* 59042*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 59044*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::extend_high_s_I32x4), 0,
                 MVT::v4i32, 1/*#Ops*/, 0, 
             // Src: (extend_high_s:{ *:[v4i32] } V128:{ *:[v8i16] }:$vec) - Complexity = 3
             // Dst: (extend_high_s_I32x4:{ *:[v4i32] } V128:{ *:[v8i16] }:$vec)
/* 59051*/  /*SwitchType*/ 11, MVT::v2i64,// ->59064
/* 59053*/   OPC_CheckChild0Type, MVT::v4i32,
/* 59055*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 59057*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::extend_high_s_I64x2), 0,
                 MVT::v2i64, 1/*#Ops*/, 0, 
             // Src: (extend_high_s:{ *:[v2i64] } V128:{ *:[v4i32] }:$vec) - Complexity = 3
             // Dst: (extend_high_s_I64x2:{ *:[v2i64] } V128:{ *:[v4i32] }:$vec)
/* 59064*/  0, // EndSwitchType
/* 59065*/ /*SwitchOpcode*/ 42, TARGET_VAL(WebAssemblyISD::EXTEND_LOW_U),// ->59110
/* 59068*/  OPC_RecordChild0, // #0 = $vec
/* 59069*/  OPC_SwitchType /*3 cases */, 11, MVT::v8i16,// ->59083
/* 59072*/   OPC_CheckChild0Type, MVT::v16i8,
/* 59074*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 59076*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::extend_low_u_I16x8), 0,
                 MVT::v8i16, 1/*#Ops*/, 0, 
             // Src: (extend_low_u:{ *:[v8i16] } V128:{ *:[v16i8] }:$vec) - Complexity = 3
             // Dst: (extend_low_u_I16x8:{ *:[v8i16] } V128:{ *:[v16i8] }:$vec)
/* 59083*/  /*SwitchType*/ 11, MVT::v4i32,// ->59096
/* 59085*/   OPC_CheckChild0Type, MVT::v8i16,
/* 59087*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 59089*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::extend_low_u_I32x4), 0,
                 MVT::v4i32, 1/*#Ops*/, 0, 
             // Src: (extend_low_u:{ *:[v4i32] } V128:{ *:[v8i16] }:$vec) - Complexity = 3
             // Dst: (extend_low_u_I32x4:{ *:[v4i32] } V128:{ *:[v8i16] }:$vec)
/* 59096*/  /*SwitchType*/ 11, MVT::v2i64,// ->59109
/* 59098*/   OPC_CheckChild0Type, MVT::v4i32,
/* 59100*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 59102*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::extend_low_u_I64x2), 0,
                 MVT::v2i64, 1/*#Ops*/, 0, 
             // Src: (extend_low_u:{ *:[v2i64] } V128:{ *:[v4i32] }:$vec) - Complexity = 3
             // Dst: (extend_low_u_I64x2:{ *:[v2i64] } V128:{ *:[v4i32] }:$vec)
/* 59109*/  0, // EndSwitchType
/* 59110*/ /*SwitchOpcode*/ 42, TARGET_VAL(WebAssemblyISD::EXTEND_HIGH_U),// ->59155
/* 59113*/  OPC_RecordChild0, // #0 = $vec
/* 59114*/  OPC_SwitchType /*3 cases */, 11, MVT::v8i16,// ->59128
/* 59117*/   OPC_CheckChild0Type, MVT::v16i8,
/* 59119*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 59121*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::extend_high_u_I16x8), 0,
                 MVT::v8i16, 1/*#Ops*/, 0, 
             // Src: (extend_high_u:{ *:[v8i16] } V128:{ *:[v16i8] }:$vec) - Complexity = 3
             // Dst: (extend_high_u_I16x8:{ *:[v8i16] } V128:{ *:[v16i8] }:$vec)
/* 59128*/  /*SwitchType*/ 11, MVT::v4i32,// ->59141
/* 59130*/   OPC_CheckChild0Type, MVT::v8i16,
/* 59132*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 59134*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::extend_high_u_I32x4), 0,
                 MVT::v4i32, 1/*#Ops*/, 0, 
             // Src: (extend_high_u:{ *:[v4i32] } V128:{ *:[v8i16] }:$vec) - Complexity = 3
             // Dst: (extend_high_u_I32x4:{ *:[v4i32] } V128:{ *:[v8i16] }:$vec)
/* 59141*/  /*SwitchType*/ 11, MVT::v2i64,// ->59154
/* 59143*/   OPC_CheckChild0Type, MVT::v4i32,
/* 59145*/   OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 59147*/   OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::extend_high_u_I64x2), 0,
                 MVT::v2i64, 1/*#Ops*/, 0, 
             // Src: (extend_high_u:{ *:[v2i64] } V128:{ *:[v4i32] }:$vec) - Complexity = 3
             // Dst: (extend_high_u_I64x2:{ *:[v2i64] } V128:{ *:[v4i32] }:$vec)
/* 59154*/  0, // EndSwitchType
/* 59155*/ /*SwitchOpcode*/ 14, TARGET_VAL(WebAssemblyISD::CONVERT_LOW_S),// ->59172
/* 59158*/  OPC_RecordChild0, // #0 = $vec
/* 59159*/  OPC_CheckChild0Type, MVT::v4i32,
/* 59161*/  OPC_CheckType, MVT::v2f64,
/* 59163*/  OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 59165*/  OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::convert_low_s_F64x2), 0,
                MVT::v2f64, 1/*#Ops*/, 0, 
            // Src: (convert_low_s:{ *:[v2f64] } V128:{ *:[v4i32] }:$vec) - Complexity = 3
            // Dst: (convert_low_s_F64x2:{ *:[v2f64] } V128:{ *:[v4i32] }:$vec)
/* 59172*/ /*SwitchOpcode*/ 14, TARGET_VAL(WebAssemblyISD::CONVERT_LOW_U),// ->59189
/* 59175*/  OPC_RecordChild0, // #0 = $vec
/* 59176*/  OPC_CheckChild0Type, MVT::v4i32,
/* 59178*/  OPC_CheckType, MVT::v2f64,
/* 59180*/  OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 59182*/  OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::convert_low_u_F64x2), 0,
                MVT::v2f64, 1/*#Ops*/, 0, 
            // Src: (convert_low_u:{ *:[v2f64] } V128:{ *:[v4i32] }:$vec) - Complexity = 3
            // Dst: (convert_low_u_F64x2:{ *:[v2f64] } V128:{ *:[v4i32] }:$vec)
/* 59189*/ /*SwitchOpcode*/ 14, TARGET_VAL(WebAssemblyISD::DEMOTE_ZERO),// ->59206
/* 59192*/  OPC_RecordChild0, // #0 = $vec
/* 59193*/  OPC_CheckChild0Type, MVT::v2f64,
/* 59195*/  OPC_CheckType, MVT::v4f32,
/* 59197*/  OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 59199*/  OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::demote_zero_F32x4), 0,
                MVT::v4f32, 1/*#Ops*/, 0, 
            // Src: (demote_zero:{ *:[v4f32] } V128:{ *:[v2f64] }:$vec) - Complexity = 3
            // Dst: (demote_zero_F32x4:{ *:[v4f32] } V128:{ *:[v2f64] }:$vec)
/* 59206*/ /*SwitchOpcode*/ 14, TARGET_VAL(WebAssemblyISD::PROMOTE_LOW),// ->59223
/* 59209*/  OPC_RecordChild0, // #0 = $vec
/* 59210*/  OPC_CheckChild0Type, MVT::v4f32,
/* 59212*/  OPC_CheckType, MVT::v2f64,
/* 59214*/  OPC_CheckPatternPredicate, 8, // (Subtarget->hasSIMD128())
/* 59216*/  OPC_MorphNodeTo1, TARGET_VAL(WebAssembly::promote_low_F64x2), 0,
                MVT::v2f64, 1/*#Ops*/, 0, 
            // Src: (promote_low:{ *:[v2f64] } V128:{ *:[v4f32] }:$vec) - Complexity = 3
            // Dst: (promote_low_F64x2:{ *:[v2f64] } V128:{ *:[v4f32] }:$vec)
/* 59223*/ 0, // EndSwitchOpcode
    0
  }; // Total Array size is 59225 bytes

  // Opcode Histogram:
  // #OPC_Scope                                = 839
  // #OPC_RecordNode                           = 124
  // #OPC_RecordChild                          = 1047
  // #OPC_RecordMemRef                         = 38
  // #OPC_CaptureGlueInput                     = 1
  // #OPC_MoveChild                            = 759
  // #OPC_MoveParent                           = 1430
  // #OPC_CheckSame                            = 12
  // #OPC_CheckChildSame                       = 53
  // #OPC_CheckPatternPredicate                = 1823
  // #OPC_CheckPredicate                       = 1704
  // #OPC_CheckOpcode                          = 627
  // #OPC_SwitchOpcode                         = 56
  // #OPC_CheckType                            = 542
  // #OPC_SwitchType                           = 347
  // #OPC_CheckChildType                       = 448
  // #OPC_CheckInteger                         = 22
  // #OPC_CheckChildInteger                    = 101
  // #OPC_CheckCondCode                        = 0
  // #OPC_CheckChild2CondCode                  = 136
  // #OPC_CheckValueType                       = 15
  // #OPC_CheckComplexPat                      = 0
  // #OPC_CheckAndImm                          = 24
  // #OPC_CheckOrImm                           = 0
  // #OPC_CheckImmAllOnesV                     = 24
  // #OPC_CheckImmAllZerosV                    = 1
  // #OPC_CheckFoldableChainNode               = 5
  // #OPC_EmitInteger                          = 2492
  // #OPC_EmitStringInteger                    = 0
  // #OPC_EmitRegister                         = 0
  // #OPC_EmitConvertToTarget                  = 1087
  // #OPC_EmitMergeInputChains                 = 1616
  // #OPC_EmitCopyToReg                        = 0
  // #OPC_EmitNode                             = 625
  // #OPC_EmitNodeXForm                        = 0
  // #OPC_CompleteMatch                        = 32
  // #OPC_MorphNodeTo                          = 2246

  #undef TARGET_VAL
  SelectCodeCommon(N, MatcherTable,sizeof(MatcherTable));
}
#endif // GET_DAGISEL_BODY

#ifdef GET_DAGISEL_DECL
bool CheckPatternPredicate(unsigned PredNo) const override;
#endif
#if defined(GET_DAGISEL_BODY) || DAGISEL_INLINE
bool DAGISEL_CLASS_COLONCOLON CheckPatternPredicate(unsigned PredNo) const
#if DAGISEL_INLINE
  override
#endif
{
  switch (PredNo) {
  default: llvm_unreachable("Invalid predicate in table?");
  case 0: return (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics());
  case 1: return (Subtarget->hasAddr64()) && (Subtarget->hasAtomics());
  case 2: return (!Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent());
  case 3: return (Subtarget->hasAddr64()) && (Subtarget->hasAtomics()) && (!TM.isPositionIndependent());
  case 4: return (!Subtarget->hasAddr64());
  case 5: return (Subtarget->hasAddr64());
  case 6: return (!Subtarget->hasAddr64()) && (!TM.isPositionIndependent());
  case 7: return (Subtarget->hasAddr64()) && (!TM.isPositionIndependent());
  case 8: return (Subtarget->hasSIMD128());
  case 9: return (Subtarget->hasReferenceTypes());
  case 10: return (Subtarget->hasSignExt());
  case 11: return (Subtarget->hasBulkMemory());
  case 12: return (Subtarget->hasExceptionHandling());
  case 13: return (Subtarget->hasRelaxedSIMD());
  case 14: return (!Subtarget->hasAddr64()) && (TM.isPositionIndependent());
  case 15: return (Subtarget->hasAddr64()) && (TM.isPositionIndependent());
  case 16: return (Subtarget->hasNontrappingFPToInt());
  case 17: return (!Subtarget->hasNontrappingFPToInt());
  }
}
#endif // GET_DAGISEL_BODY

#ifdef GET_DAGISEL_DECL
bool CheckNodePredicate(SDNode *Node, unsigned PredNo) const override;
#endif
#if defined(GET_DAGISEL_BODY) || DAGISEL_INLINE
bool DAGISEL_CLASS_COLONCOLON CheckNodePredicate(SDNode *Node, unsigned PredNo) const
#if DAGISEL_INLINE
  override
#endif
{
  switch (PredNo) {
  default: llvm_unreachable("Invalid predicate in table?");
  case 0: {
    // Predicate_regPlusImm
    SDNode *N = Node;
    (void)N;
 return N->getFlags().hasNoUnsignedWrap(); 
  }
  case 1: {
    // Predicate_atomic_cmp_swap_8
    // Predicate_atomic_load_add_8
    // Predicate_atomic_load_sub_8
    // Predicate_atomic_load_and_8
    // Predicate_atomic_load_or_8
    // Predicate_atomic_load_xor_8
    // Predicate_atomic_swap_8
    // Predicate_atomic_load_8
    // Predicate_atomic_store_8
    // Predicate_sextloadi8
    // Predicate_zextloadi8
    // Predicate_extloadi8
    SDNode *N = Node;
    (void)N;
if (cast<MemSDNode>(N)->getMemoryVT() != MVT::i8) return false;
return true;

  }
  case 2: {
    // Predicate_atomic_cmp_swap_16
    // Predicate_atomic_load_add_16
    // Predicate_atomic_load_sub_16
    // Predicate_atomic_load_and_16
    // Predicate_atomic_load_or_16
    // Predicate_atomic_load_xor_16
    // Predicate_atomic_swap_16
    // Predicate_atomic_load_16
    // Predicate_atomic_store_16
    // Predicate_sextloadi16
    // Predicate_zextloadi16
    // Predicate_extloadi16
    SDNode *N = Node;
    (void)N;
if (cast<MemSDNode>(N)->getMemoryVT() != MVT::i16) return false;
return true;

  }
  case 3: {
    // Predicate_or_is_add
    SDNode *N = Node;
    (void)N;

  if (ConstantSDNode *CN = dyn_cast<ConstantSDNode>(N->getOperand(1)))
    return CurDAG->MaskedValueIsZero(N->getOperand(0), CN->getAPIntValue());

  KnownBits Known0 = CurDAG->computeKnownBits(N->getOperand(0), 0);
  KnownBits Known1 = CurDAG->computeKnownBits(N->getOperand(1), 0);
  return (~Known0.Zero & ~Known1.Zero) == 0;

  }
  case 4: {
    // Predicate_atomic_cmp_swap_32
    // Predicate_atomic_load_add_32
    // Predicate_atomic_load_sub_32
    // Predicate_atomic_load_and_32
    // Predicate_atomic_load_or_32
    // Predicate_atomic_load_xor_32
    // Predicate_atomic_swap_32
    // Predicate_atomic_load_32
    // Predicate_atomic_store_32
    // Predicate_sextloadi32
    // Predicate_zextloadi32
    // Predicate_extloadi32
    SDNode *N = Node;
    (void)N;
if (cast<MemSDNode>(N)->getMemoryVT() != MVT::i32) return false;
return true;

  }
  case 5: {
    // Predicate_LaneIdx16
    int64_t Imm = cast<ConstantSDNode>(Node)->getSExtValue();
return 0 <= Imm && Imm < 16;
  }
  case 6: {
    // Predicate_LaneIdx8
    int64_t Imm = cast<ConstantSDNode>(Node)->getSExtValue();
return 0 <= Imm && Imm < 8;
  }
  case 7: {
    // Predicate_atomic_store_64
    // Predicate_atomic_load_64
    // Predicate_atomic_load_add_64
    // Predicate_atomic_load_sub_64
    // Predicate_atomic_load_and_64
    // Predicate_atomic_load_or_64
    // Predicate_atomic_load_xor_64
    // Predicate_atomic_swap_64
    // Predicate_atomic_cmp_swap_64
    SDNode *N = Node;
    (void)N;
if (cast<MemSDNode>(N)->getMemoryVT() != MVT::i64) return false;
return true;

  }
  case 8: {
    // Predicate_bool_node
    SDNode *N = Node;
    (void)N;

  return CurDAG->computeKnownBits(SDValue(N, 0)).countMinLeadingZeros() == 31;

  }
  case 9: {
    // Predicate_unindexedstore
    SDNode *N = Node;
    (void)N;
if (cast<StoreSDNode>(N)->getAddressingMode() != ISD::UNINDEXED) return false;
return true;

  }
  case 10: {
    // Predicate_truncstore
    SDNode *N = Node;
    (void)N;
 if (!cast<StoreSDNode>(N)->isTruncatingStore()) return false;
return true;

  }
  case 11: {
    // Predicate_truncstorei8
    SDNode *N = Node;
    (void)N;
if (cast<MemSDNode>(N)->getMemoryVT() != MVT::i8) return false;
 if (!cast<StoreSDNode>(N)->isTruncatingStore()) return false;
return true;

  }
  case 12: {
    // Predicate_truncstorei16
    SDNode *N = Node;
    (void)N;
if (cast<MemSDNode>(N)->getMemoryVT() != MVT::i16) return false;
 if (!cast<StoreSDNode>(N)->isTruncatingStore()) return false;
return true;

  }
  case 13: {
    // Predicate_LaneIdx4
    int64_t Imm = cast<ConstantSDNode>(Node)->getSExtValue();
return 0 <= Imm && Imm < 4;
  }
  case 14: {
    // Predicate_store
    SDNode *N = Node;
    (void)N;
 if (cast<StoreSDNode>(N)->isTruncatingStore()) return false;
return true;

  }
  case 15: {
    // Predicate_LaneIdx2
    int64_t Imm = cast<ConstantSDNode>(Node)->getSExtValue();
return 0 <= Imm && Imm < 2;
  }
  case 16: {
    // Predicate_truncstorei32
    SDNode *N = Node;
    (void)N;
if (cast<MemSDNode>(N)->getMemoryVT() != MVT::i32) return false;
 if (!cast<StoreSDNode>(N)->isTruncatingStore()) return false;
return true;

  }
  case 17: {
    // Predicate_unindexedload
    SDNode *N = Node;
    (void)N;
if (cast<LoadSDNode>(N)->getAddressingMode() != ISD::UNINDEXED) return false;
return true;

  }
  case 18: {
    // Predicate_load
    SDNode *N = Node;
    (void)N;
if (cast<LoadSDNode>(N)->getExtensionType() != ISD::NON_EXTLOAD) return false;
return true;

  }
  case 19: {
    // Predicate_sextload
    SDNode *N = Node;
    (void)N;
if (cast<LoadSDNode>(N)->getExtensionType() != ISD::SEXTLOAD) return false;
return true;

  }
  case 20: {
    // Predicate_zextload
    SDNode *N = Node;
    (void)N;
if (cast<LoadSDNode>(N)->getExtensionType() != ISD::ZEXTLOAD) return false;
return true;

  }
  case 21: {
    // Predicate_extload
    SDNode *N = Node;
    (void)N;
if (cast<LoadSDNode>(N)->getExtensionType() != ISD::EXTLOAD) return false;
return true;

  }
  case 22: {
    // Predicate_sextloadvi8
    // Predicate_zextloadvi8
    // Predicate_extloadvi8
    SDNode *N = Node;
    (void)N;
if (cast<LoadSDNode>(N)->getMemoryVT().getScalarType() != MVT::i8) return false;
return true;

  }
  case 23: {
    // Predicate_sextloadvi16
    // Predicate_zextloadvi16
    // Predicate_extloadvi16
    SDNode *N = Node;
    (void)N;
if (cast<LoadSDNode>(N)->getMemoryVT().getScalarType() != MVT::i16) return false;
return true;

  }
  case 24: {
    // Predicate_sextloadvi32
    // Predicate_zextloadvi32
    // Predicate_extloadvi32
    SDNode *N = Node;
    (void)N;
if (cast<LoadSDNode>(N)->getMemoryVT().getScalarType() != MVT::i32) return false;
return true;

  }
  case 25: {
    // Predicate_add_nuw
    SDNode *N = Node;
    (void)N;
return N->getFlags().hasNoUnsignedWrap();
  }
  case 26: {
    // Predicate_ImmI8
    int64_t Imm = cast<ConstantSDNode>(Node)->getSExtValue();
return -(1 << (8 - 1)) <= Imm && Imm < (1 << (8 - 1));
  }
  case 27: {
    // Predicate_ImmI16
    int64_t Imm = cast<ConstantSDNode>(Node)->getSExtValue();
return -(1 << (16 - 1)) <= Imm && Imm < (1 << (16 - 1));
  }
  case 28: {
    // Predicate_LaneIdx32
    int64_t Imm = cast<ConstantSDNode>(Node)->getSExtValue();
return 0 <= Imm && Imm < 32;
  }
  }
}
#endif // GET_DAGISEL_BODY


#ifdef DAGISEL_INLINE
#undef DAGISEL_INLINE
#endif
#ifdef DAGISEL_CLASS_COLONCOLON
#undef DAGISEL_CLASS_COLONCOLON
#endif
#ifdef GET_DAGISEL_DECL
#undef GET_DAGISEL_DECL
#endif
#ifdef GET_DAGISEL_BODY
#undef GET_DAGISEL_BODY
#endif
